/*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
|*                                                                            *|
|* Global Instruction Selector for the AArch64 target                         *|
|*                                                                            *|
|* Automatically generated file, do not edit!                                 *|
|*                                                                            *|
\*===----------------------------------------------------------------------===*/

#ifdef GET_GLOBALISEL_PREDICATE_BITSET
const unsigned MAX_SUBTARGET_PREDICATES = 94;
using PredicateBitset = llvm::Bitset<MAX_SUBTARGET_PREDICATES>;
#endif // ifdef GET_GLOBALISEL_PREDICATE_BITSET

#ifdef GET_GLOBALISEL_TEMPORARIES_DECL
  mutable MatcherState State;
  typedef ComplexRendererFns(AArch64InstructionSelector::*ComplexMatcherMemFn)(MachineOperand &) const;
  typedef void(AArch64InstructionSelector::*CustomRendererFn)(MachineInstrBuilder &, const MachineInstr &, int) const;
  const ExecInfoTy<PredicateBitset, ComplexMatcherMemFn, CustomRendererFn> ExecInfo;
  static AArch64InstructionSelector::ComplexMatcherMemFn ComplexPredicateFns[];
  static AArch64InstructionSelector::CustomRendererFn CustomRenderers[];
  bool testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const override;
  bool testImmPredicate_APInt(unsigned PredicateID, const APInt &Imm) const override;
  bool testImmPredicate_APFloat(unsigned PredicateID, const APFloat &Imm) const override;
  const uint8_t *getMatchTable() const override;
  bool testMIPredicate_MI(unsigned PredicateID, const MachineInstr &MI, const MatcherState &State) const override;
  bool testSimplePredicate(unsigned PredicateID) const override;
  bool runCustomAction(unsigned FnID, const MatcherState &State, NewMIVector &OutMIs) const override;
#endif // ifdef GET_GLOBALISEL_TEMPORARIES_DECL

#ifdef GET_GLOBALISEL_TEMPORARIES_INIT
, State(2),
ExecInfo(TypeObjects, NumTypeObjects, FeatureBitsets, ComplexPredicateFns, CustomRenderers)
#endif // ifdef GET_GLOBALISEL_TEMPORARIES_INIT

#ifdef GET_GLOBALISEL_IMPL
// LLT Objects.
enum {
  GILLT_s8,
  GILLT_s16,
  GILLT_s32,
  GILLT_s64,
  GILLT_s128,
  GILLT_v2s32,
  GILLT_v2s64,
  GILLT_v4s16,
  GILLT_v4s32,
  GILLT_v8s8,
  GILLT_v8s16,
  GILLT_v16s8,
  GILLT_nxv1s1,
  GILLT_nxv2s1,
  GILLT_nxv2s16,
  GILLT_nxv2s32,
  GILLT_nxv2s64,
  GILLT_nxv4s1,
  GILLT_nxv4s16,
  GILLT_nxv4s32,
  GILLT_nxv8s1,
  GILLT_nxv8s16,
  GILLT_nxv16s1,
  GILLT_nxv16s8,
};
const static size_t NumTypeObjects = 24;
const static LLT TypeObjects[] = {
  LLT::scalar(8),
  LLT::scalar(16),
  LLT::scalar(32),
  LLT::scalar(64),
  LLT::scalar(128),
  LLT::vector(ElementCount::getFixed(2), 32),
  LLT::vector(ElementCount::getFixed(2), 64),
  LLT::vector(ElementCount::getFixed(4), 16),
  LLT::vector(ElementCount::getFixed(4), 32),
  LLT::vector(ElementCount::getFixed(8), 8),
  LLT::vector(ElementCount::getFixed(8), 16),
  LLT::vector(ElementCount::getFixed(16), 8),
  LLT::vector(ElementCount::getScalable(1), 1),
  LLT::vector(ElementCount::getScalable(2), 1),
  LLT::vector(ElementCount::getScalable(2), 16),
  LLT::vector(ElementCount::getScalable(2), 32),
  LLT::vector(ElementCount::getScalable(2), 64),
  LLT::vector(ElementCount::getScalable(4), 1),
  LLT::vector(ElementCount::getScalable(4), 16),
  LLT::vector(ElementCount::getScalable(4), 32),
  LLT::vector(ElementCount::getScalable(8), 1),
  LLT::vector(ElementCount::getScalable(8), 16),
  LLT::vector(ElementCount::getScalable(16), 1),
  LLT::vector(ElementCount::getScalable(16), 8),
};

// Bits for subtarget features that participate in instruction matching.
enum SubtargetFeatureBits : uint8_t {
  Feature_HasPAuthBit = 6,
  Feature_HasJSBit = 8,
  Feature_HasComplxNumBit = 66,
  Feature_HasRCPC_IMMOBit = 86,
  Feature_HasFPARMv8Bit = 7,
  Feature_HasNEONBit = 5,
  Feature_HasSM4Bit = 65,
  Feature_HasSHA3Bit = 64,
  Feature_HasSHA2Bit = 19,
  Feature_HasAESBit = 18,
  Feature_HasDotProdBit = 2,
  Feature_HasCRCBit = 10,
  Feature_HasCSSCBit = 20,
  Feature_HasNoCSSCBit = 29,
  Feature_HasLSEBit = 30,
  Feature_HasNoLSEBit = 93,
  Feature_HasRDMBit = 16,
  Feature_HasFullFP16Bit = 13,
  Feature_HasNoFullFP16Bit = 83,
  Feature_HasFP16FMLBit = 4,
  Feature_HasFuseAESBit = 77,
  Feature_HasSVEBit = 26,
  Feature_HasSVE2Bit = 27,
  Feature_HasSVE2p1Bit = 44,
  Feature_HasSVEAESBit = 37,
  Feature_HasSVE2SM4Bit = 41,
  Feature_HasSVE2SHA3Bit = 92,
  Feature_HasSVEBitPermBit = 39,
  Feature_HasSMEandIsNonStreamingSafeBit = 57,
  Feature_HasSMEBit = 50,
  Feature_HasSMEF64F64Bit = 52,
  Feature_HasSMEF16F16Bit = 63,
  Feature_HasSMEI16I64Bit = 55,
  Feature_HasSME2andIsNonStreamingSafeBit = 60,
  Feature_HasSME2Bit = 59,
  Feature_HasSME2p1Bit = 62,
  Feature_HasFP8Bit = 21,
  Feature_HasFAMINMAXBit = 22,
  Feature_HasFP8FMABit = 23,
  Feature_HasSSVE_FP8FMABit = 47,
  Feature_HasFP8DOT2Bit = 24,
  Feature_HasSSVE_FP8DOT2Bit = 42,
  Feature_HasFP8DOT4Bit = 25,
  Feature_HasSSVE_FP8DOT4Bit = 48,
  Feature_HasLUTBit = 49,
  Feature_HasSME_LUTv2Bit = 61,
  Feature_HasSMEF8F16Bit = 53,
  Feature_HasSMEF8F32Bit = 51,
  Feature_HasSME_MOP4Bit = 56,
  Feature_HasCMPBRBit = 84,
  Feature_HasFPRCVTBit = 14,
  Feature_HasLSFEBit = 31,
  Feature_HasSVE_or_SMEBit = 0,
  Feature_HasNonStreamingSVE_or_SME2p2Bit = 40,
  Feature_HasSVE2_or_SMEBit = 33,
  Feature_HasSVE2_or_SME2Bit = 46,
  Feature_HasNonStreamingSVE2_or_SSVE_AESBit = 36,
  Feature_HasSVE2p1_or_SMEBit = 58,
  Feature_HasSVE2p1_or_SME2Bit = 28,
  Feature_HasSVE2p1_or_SME2p1Bit = 45,
  Feature_HasSVE2p2_or_SME2p2Bit = 32,
  Feature_HasSMEF16F16_or_SMEF8F16Bit = 54,
  Feature_HasNonStreamingSVE2_or_SSVE_BitPermBit = 38,
  Feature_HasNEONandIsStreamingSafeBit = 17,
  Feature_HasNEONandIsSME2p2StreamingSafeBit = 74,
  Feature_HasRCPCBit = 85,
  Feature_HasFRInt3264Bit = 15,
  Feature_HasMTEBit = 11,
  Feature_HasTMEBit = 9,
  Feature_HasMatMulInt8Bit = 3,
  Feature_HasMatMulFP32Bit = 91,
  Feature_HasMatMulFP64Bit = 43,
  Feature_HasLS64Bit = 81,
  Feature_HasHBCBit = 12,
  Feature_HasRCPC3Bit = 82,
  Feature_HasGCSBit = 1,
  Feature_IsLEBit = 72,
  Feature_IsBEBit = 78,
  Feature_UseExperimentalZeroingPseudosBit = 35,
  Feature_UseAlternateSExtLoadCVTF32Bit = 76,
  Feature_UseScalarIncVLBit = 34,
  Feature_NoUseScalarIncVLBit = 89,
  Feature_UseSVEFPLD1RBit = 88,
  Feature_UseLDAPURBit = 87,
  Feature_AllowMisalignedMemAccessesBit = 90,
  Feature_NotForCodeSizeBit = 75,
  Feature_UseSTRQroBit = 73,
  Feature_TailCallX16X17Bit = 68,
  Feature_TailCallX17Bit = 79,
  Feature_TailCallNotX16Bit = 80,
  Feature_TailCallAnyBit = 67,
  Feature_SLSBLRMitigationBit = 71,
  Feature_NoSLSBLRMitigationBit = 70,
  Feature_OptimizedGISelOrOtherSelectorBit = 69,
};

PredicateBitset AArch64InstructionSelector::
computeAvailableModuleFeatures(const AArch64Subtarget *Subtarget) const {
  PredicateBitset Features{};
  if (Subtarget->hasPAuth())
    Features.set(Feature_HasPAuthBit);
  if (Subtarget->hasJS())
    Features.set(Feature_HasJSBit);
  if (Subtarget->hasComplxNum())
    Features.set(Feature_HasComplxNumBit);
  if (Subtarget->hasRCPC_IMMO())
    Features.set(Feature_HasRCPC_IMMOBit);
  if (Subtarget->hasFPARMv8())
    Features.set(Feature_HasFPARMv8Bit);
  if (Subtarget->isNeonAvailable())
    Features.set(Feature_HasNEONBit);
  if (Subtarget->hasSM4())
    Features.set(Feature_HasSM4Bit);
  if (Subtarget->hasSHA3())
    Features.set(Feature_HasSHA3Bit);
  if (Subtarget->hasSHA2())
    Features.set(Feature_HasSHA2Bit);
  if (Subtarget->hasAES())
    Features.set(Feature_HasAESBit);
  if (Subtarget->hasDotProd())
    Features.set(Feature_HasDotProdBit);
  if (Subtarget->hasCRC())
    Features.set(Feature_HasCRCBit);
  if (Subtarget->hasCSSC())
    Features.set(Feature_HasCSSCBit);
  if (!Subtarget->hasCSSC())
    Features.set(Feature_HasNoCSSCBit);
  if (Subtarget->hasLSE())
    Features.set(Feature_HasLSEBit);
  if (!Subtarget->hasLSE())
    Features.set(Feature_HasNoLSEBit);
  if (Subtarget->hasRDM())
    Features.set(Feature_HasRDMBit);
  if (Subtarget->hasFullFP16())
    Features.set(Feature_HasFullFP16Bit);
  if (!Subtarget->hasFullFP16())
    Features.set(Feature_HasNoFullFP16Bit);
  if (Subtarget->hasFP16FML())
    Features.set(Feature_HasFP16FMLBit);
  if (Subtarget->hasFuseAES())
    Features.set(Feature_HasFuseAESBit);
  if (Subtarget->isSVEAvailable())
    Features.set(Feature_HasSVEBit);
  if (Subtarget->isSVEAvailable() && Subtarget->hasSVE2())
    Features.set(Feature_HasSVE2Bit);
  if (Subtarget->isSVEAvailable() && Subtarget->hasSVE2p1())
    Features.set(Feature_HasSVE2p1Bit);
  if (Subtarget->hasSVEAES())
    Features.set(Feature_HasSVEAESBit);
  if (Subtarget->isSVEAvailable() && Subtarget->hasSVE2SM4())
    Features.set(Feature_HasSVE2SM4Bit);
  if (Subtarget->isSVEAvailable() && Subtarget->hasSVE2SHA3())
    Features.set(Feature_HasSVE2SHA3Bit);
  if (Subtarget->hasSVEBitPerm())
    Features.set(Feature_HasSVEBitPermBit);
  if (Subtarget->hasSME())
    Features.set(Feature_HasSMEandIsNonStreamingSafeBit);
  if (Subtarget->isStreaming() && Subtarget->hasSME())
    Features.set(Feature_HasSMEBit);
  if (Subtarget->isStreaming() && Subtarget->hasSMEF64F64())
    Features.set(Feature_HasSMEF64F64Bit);
  if (Subtarget->isStreaming() && Subtarget->hasSMEF16F16())
    Features.set(Feature_HasSMEF16F16Bit);
  if (Subtarget->isStreaming() && Subtarget->hasSMEI16I64())
    Features.set(Feature_HasSMEI16I64Bit);
  if (Subtarget->hasSME2())
    Features.set(Feature_HasSME2andIsNonStreamingSafeBit);
  if (Subtarget->isStreaming() && Subtarget->hasSME2())
    Features.set(Feature_HasSME2Bit);
  if (Subtarget->isStreaming() && Subtarget->hasSME2p1())
    Features.set(Feature_HasSME2p1Bit);
  if (Subtarget->hasFP8())
    Features.set(Feature_HasFP8Bit);
  if (Subtarget->hasFAMINMAX())
    Features.set(Feature_HasFAMINMAXBit);
  if (Subtarget->hasFP8FMA())
    Features.set(Feature_HasFP8FMABit);
  if (Subtarget->hasSSVE_FP8FMA() || (Subtarget->hasSVE2() && Subtarget->hasFP8FMA()))
    Features.set(Feature_HasSSVE_FP8FMABit);
  if (Subtarget->hasFP8DOT2())
    Features.set(Feature_HasFP8DOT2Bit);
  if (Subtarget->hasSSVE_FP8DOT2() || (Subtarget->hasSVE2() && Subtarget->hasFP8DOT2()))
    Features.set(Feature_HasSSVE_FP8DOT2Bit);
  if (Subtarget->hasFP8DOT4())
    Features.set(Feature_HasFP8DOT4Bit);
  if (Subtarget->hasSSVE_FP8DOT4() || (Subtarget->hasSVE2() && Subtarget->hasFP8DOT4()))
    Features.set(Feature_HasSSVE_FP8DOT4Bit);
  if (Subtarget->hasLUT())
    Features.set(Feature_HasLUTBit);
  if (Subtarget->isStreaming() && Subtarget->hasSME_LUTv2())
    Features.set(Feature_HasSME_LUTv2Bit);
  if (Subtarget->isStreaming() && Subtarget->hasSMEF8F16())
    Features.set(Feature_HasSMEF8F16Bit);
  if (Subtarget->isStreaming() && Subtarget->hasSMEF8F32())
    Features.set(Feature_HasSMEF8F32Bit);
  if ((Subtarget->isStreaming() && Subtarget->hasSME_MOP4()))
    Features.set(Feature_HasSME_MOP4Bit);
  if (Subtarget->hasCMPBR())
    Features.set(Feature_HasCMPBRBit);
  if (Subtarget->hasFPRCVT())
    Features.set(Feature_HasFPRCVTBit);
  if (Subtarget->hasLSFE())
    Features.set(Feature_HasLSFEBit);
  if (Subtarget->hasSVE() || (Subtarget->isStreaming() && Subtarget->hasSME()))
    Features.set(Feature_HasSVE_or_SMEBit);
  if ((Subtarget->isSVEAvailable() && Subtarget->hasSVE()) ||(Subtarget->isSVEorStreamingSVEAvailable() && Subtarget->hasSME2p2()))
    Features.set(Feature_HasNonStreamingSVE_or_SME2p2Bit);
  if (Subtarget->hasSVE2() || (Subtarget->isStreaming() && Subtarget->hasSME()))
    Features.set(Feature_HasSVE2_or_SMEBit);
  if (Subtarget->hasSVE2() || (Subtarget->isStreaming() && Subtarget->hasSME2()))
    Features.set(Feature_HasSVE2_or_SME2Bit);
  if ((Subtarget->isSVEAvailable() && Subtarget->hasSVE2()) ||(Subtarget->isSVEorStreamingSVEAvailable() && Subtarget->hasSSVE_AES()))
    Features.set(Feature_HasNonStreamingSVE2_or_SSVE_AESBit);
  if (Subtarget->hasSVE2p1() || (Subtarget->isStreaming() && Subtarget->hasSME()))
    Features.set(Feature_HasSVE2p1_or_SMEBit);
  if (Subtarget->hasSVE2p1() || (Subtarget->isStreaming() && Subtarget->hasSME2()))
    Features.set(Feature_HasSVE2p1_or_SME2Bit);
  if (Subtarget->hasSVE2p1() || (Subtarget->isStreaming() && Subtarget->hasSME2p1()))
    Features.set(Feature_HasSVE2p1_or_SME2p1Bit);
  if (Subtarget->isSVEorStreamingSVEAvailable() && (Subtarget->hasSVE2p2() || Subtarget->hasSME2p2()))
    Features.set(Feature_HasSVE2p2_or_SME2p2Bit);
  if (Subtarget->isStreaming() && (Subtarget->hasSMEF16F16() || Subtarget->hasSMEF8F16()))
    Features.set(Feature_HasSMEF16F16_or_SMEF8F16Bit);
  if ((Subtarget->isSVEAvailable() && Subtarget->hasSVE2()) ||(Subtarget->isSVEorStreamingSVEAvailable() && Subtarget->hasSSVE_BitPerm()))
    Features.set(Feature_HasNonStreamingSVE2_or_SSVE_BitPermBit);
  if (Subtarget->hasNEON())
    Features.set(Feature_HasNEONandIsStreamingSafeBit);
  if (Subtarget->isNeonAvailable() || (Subtarget->hasNEON() && Subtarget->hasSME2p2()))
    Features.set(Feature_HasNEONandIsSME2p2StreamingSafeBit);
  if (Subtarget->hasRCPC())
    Features.set(Feature_HasRCPCBit);
  if (Subtarget->hasFRInt3264())
    Features.set(Feature_HasFRInt3264Bit);
  if (Subtarget->hasMTE())
    Features.set(Feature_HasMTEBit);
  if (Subtarget->hasTME())
    Features.set(Feature_HasTMEBit);
  if (Subtarget->hasMatMulInt8())
    Features.set(Feature_HasMatMulInt8Bit);
  if (Subtarget->hasMatMulFP32())
    Features.set(Feature_HasMatMulFP32Bit);
  if (Subtarget->hasMatMulFP64())
    Features.set(Feature_HasMatMulFP64Bit);
  if (Subtarget->hasLS64())
    Features.set(Feature_HasLS64Bit);
  if (Subtarget->hasHBC())
    Features.set(Feature_HasHBCBit);
  if (Subtarget->hasRCPC3())
    Features.set(Feature_HasRCPC3Bit);
  if (Subtarget->hasGCS())
    Features.set(Feature_HasGCSBit);
  if (Subtarget->isLittleEndian())
    Features.set(Feature_IsLEBit);
  if (!Subtarget->isLittleEndian())
    Features.set(Feature_IsBEBit);
  if (Subtarget->useExperimentalZeroingPseudos())
    Features.set(Feature_UseExperimentalZeroingPseudosBit);
  if (Subtarget->useAlternateSExtLoadCVTF32Pattern())
    Features.set(Feature_UseAlternateSExtLoadCVTF32Bit);
  if (Subtarget->useScalarIncVL())
    Features.set(Feature_UseScalarIncVLBit);
  if (!Subtarget->useScalarIncVL())
    Features.set(Feature_NoUseScalarIncVLBit);
  if (!Subtarget->noSVEFPLD1R())
    Features.set(Feature_UseSVEFPLD1RBit);
  if (!Subtarget->avoidLDAPUR())
    Features.set(Feature_UseLDAPURBit);
  if (!Subtarget->requiresStrictAlign())
    Features.set(Feature_AllowMisalignedMemAccessesBit);
  return Features;
}

void AArch64InstructionSelector::setupGeneratedPerFunctionState(MachineFunction &MF) {
  AvailableFunctionFeatures = computeAvailableFunctionFeatures((const AArch64Subtarget *)&MF.getSubtarget(), &MF);
}
PredicateBitset AArch64InstructionSelector::
computeAvailableFunctionFeatures(const AArch64Subtarget *Subtarget, const MachineFunction *MF) const {
  PredicateBitset Features{};
  if (!shouldOptForSize(MF))
    Features.set(Feature_NotForCodeSizeBit);
  if (!Subtarget->isSTRQroSlow() || shouldOptForSize(MF))
    Features.set(Feature_UseSTRQroBit);
  if (  MF->getInfo<AArch64FunctionInfo>()->branchTargetEnforcement() && !MF->getInfo<AArch64FunctionInfo>()->branchProtectionPAuthLR() )
    Features.set(Feature_TailCallX16X17Bit);
  if ( MF->getInfo<AArch64FunctionInfo>()->branchTargetEnforcement() && MF->getInfo<AArch64FunctionInfo>()->branchProtectionPAuthLR() )
    Features.set(Feature_TailCallX17Bit);
  if ( !MF->getInfo<AArch64FunctionInfo>()->branchTargetEnforcement() && MF->getInfo<AArch64FunctionInfo>()->branchProtectionPAuthLR() )
    Features.set(Feature_TailCallNotX16Bit);
  if ( !MF->getInfo<AArch64FunctionInfo>()->branchTargetEnforcement() && !MF->getInfo<AArch64FunctionInfo>()->branchProtectionPAuthLR() )
    Features.set(Feature_TailCallAnyBit);
  if ( MF->getSubtarget<AArch64Subtarget>().hardenSlsBlr() )
    Features.set(Feature_SLSBLRMitigationBit);
  if ( !MF->getSubtarget<AArch64Subtarget>().hardenSlsBlr() )
    Features.set(Feature_NoSLSBLRMitigationBit);
  if (!MF->getFunction().hasOptNone() || MF->getProperties().hasProperty(MachineFunctionProperties::Property::FailedISel) || !MF->getProperties().hasProperty(MachineFunctionProperties::Property::Legalized))
    Features.set(Feature_OptimizedGISelOrOtherSelectorBit);
  return Features;
}

// Feature bitsets.
enum {
  GIFBS_Invalid,
  GIFBS_HasAES,
  GIFBS_HasCRC,
  GIFBS_HasCSSC,
  GIFBS_HasDotProd,
  GIFBS_HasFP8,
  GIFBS_HasFP8DOT2,
  GIFBS_HasFP8DOT4,
  GIFBS_HasFP8FMA,
  GIFBS_HasFPARMv8,
  GIFBS_HasFRInt3264,
  GIFBS_HasFullFP16,
  GIFBS_HasFuseAES,
  GIFBS_HasGCS,
  GIFBS_HasLSE,
  GIFBS_HasLSFE,
  GIFBS_HasLUT,
  GIFBS_HasMTE,
  GIFBS_HasMatMulInt8,
  GIFBS_HasNEON,
  GIFBS_HasNEONandIsSME2p2StreamingSafe,
  GIFBS_HasNEONandIsStreamingSafe,
  GIFBS_HasNoCSSC,
  GIFBS_HasNoFullFP16,
  GIFBS_HasNoLSE,
  GIFBS_HasNonStreamingSVE_or_SME2p2,
  GIFBS_HasPAuth,
  GIFBS_HasRCPC,
  GIFBS_HasRCPC_IMMO,
  GIFBS_HasRDM,
  GIFBS_HasSHA2,
  GIFBS_HasSHA3,
  GIFBS_HasSM4,
  GIFBS_HasSME,
  GIFBS_HasSME2,
  GIFBS_HasSMEF16F16_or_SMEF8F16,
  GIFBS_HasSMEF64F64,
  GIFBS_HasSMEF8F16,
  GIFBS_HasSMEF8F32,
  GIFBS_HasSMEI16I64,
  GIFBS_HasSME_MOP4,
  GIFBS_HasSMEandIsNonStreamingSafe,
  GIFBS_HasSSVE_FP8DOT2,
  GIFBS_HasSSVE_FP8DOT4,
  GIFBS_HasSSVE_FP8FMA,
  GIFBS_HasSVE,
  GIFBS_HasSVE2,
  GIFBS_HasSVE2SHA3,
  GIFBS_HasSVE2SM4,
  GIFBS_HasSVE2_or_SME,
  GIFBS_HasSVE2p1_or_SME,
  GIFBS_HasSVE2p1_or_SME2,
  GIFBS_HasSVE2p1_or_SME2p1,
  GIFBS_HasSVE_or_SME,
  GIFBS_HasTME,
  GIFBS_IsBE,
  GIFBS_IsLE,
  GIFBS_OptimizedGISelOrOtherSelector,
  GIFBS_UseSTRQro,
  GIFBS_HasComplxNum_HasNEON,
  GIFBS_HasFAMINMAX_HasNEON,
  GIFBS_HasFAMINMAX_HasSVE2_or_SME2,
  GIFBS_HasFP16FML_HasNEON,
  GIFBS_HasFP8_HasSVE2_or_SME2,
  GIFBS_HasFPARMv8_HasJS,
  GIFBS_HasFPRCVT_HasNEON,
  GIFBS_HasFullFP16_HasNEON,
  GIFBS_HasFullFP16_HasNEONandIsSME2p2StreamingSafe,
  GIFBS_HasFullFP16_HasNEONandIsStreamingSafe,
  GIFBS_HasLUT_HasSVE2_or_SME2,
  GIFBS_HasMatMulFP32_HasSVE,
  GIFBS_HasMatMulFP64_HasSVE,
  GIFBS_HasMatMulFP64_HasSVE_or_SME,
  GIFBS_HasMatMulInt8_HasSVE,
  GIFBS_HasMatMulInt8_HasSVE_or_SME,
  GIFBS_HasNEON_HasRCPC3,
  GIFBS_HasNEON_HasRDM,
  GIFBS_HasNonStreamingSVE2_or_SSVE_AES_HasSVEAES,
  GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm,
  GIFBS_HasRCPC_IMMO_UseLDAPUR,
  GIFBS_HasSMEF16F16_HasSME_MOP4,
  GIFBS_HasSMEF64F64_HasSME_MOP4,
  GIFBS_HasSMEI16I64_HasSME_MOP4,
  GIFBS_HasSVE_or_SME_UseScalarIncVL,
  GIFBS_IsLE_UseSTRQro,
  GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE,
  GIFBS_HasComplxNum_HasFullFP16_HasNEON,
  GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32,
};
constexpr static PredicateBitset FeatureBitsets[] {
  {}, // GIFBS_Invalid
  {Feature_HasAESBit, },
  {Feature_HasCRCBit, },
  {Feature_HasCSSCBit, },
  {Feature_HasDotProdBit, },
  {Feature_HasFP8Bit, },
  {Feature_HasFP8DOT2Bit, },
  {Feature_HasFP8DOT4Bit, },
  {Feature_HasFP8FMABit, },
  {Feature_HasFPARMv8Bit, },
  {Feature_HasFRInt3264Bit, },
  {Feature_HasFullFP16Bit, },
  {Feature_HasFuseAESBit, },
  {Feature_HasGCSBit, },
  {Feature_HasLSEBit, },
  {Feature_HasLSFEBit, },
  {Feature_HasLUTBit, },
  {Feature_HasMTEBit, },
  {Feature_HasMatMulInt8Bit, },
  {Feature_HasNEONBit, },
  {Feature_HasNEONandIsSME2p2StreamingSafeBit, },
  {Feature_HasNEONandIsStreamingSafeBit, },
  {Feature_HasNoCSSCBit, },
  {Feature_HasNoFullFP16Bit, },
  {Feature_HasNoLSEBit, },
  {Feature_HasNonStreamingSVE_or_SME2p2Bit, },
  {Feature_HasPAuthBit, },
  {Feature_HasRCPCBit, },
  {Feature_HasRCPC_IMMOBit, },
  {Feature_HasRDMBit, },
  {Feature_HasSHA2Bit, },
  {Feature_HasSHA3Bit, },
  {Feature_HasSM4Bit, },
  {Feature_HasSMEBit, },
  {Feature_HasSME2Bit, },
  {Feature_HasSMEF16F16_or_SMEF8F16Bit, },
  {Feature_HasSMEF64F64Bit, },
  {Feature_HasSMEF8F16Bit, },
  {Feature_HasSMEF8F32Bit, },
  {Feature_HasSMEI16I64Bit, },
  {Feature_HasSME_MOP4Bit, },
  {Feature_HasSMEandIsNonStreamingSafeBit, },
  {Feature_HasSSVE_FP8DOT2Bit, },
  {Feature_HasSSVE_FP8DOT4Bit, },
  {Feature_HasSSVE_FP8FMABit, },
  {Feature_HasSVEBit, },
  {Feature_HasSVE2Bit, },
  {Feature_HasSVE2SHA3Bit, },
  {Feature_HasSVE2SM4Bit, },
  {Feature_HasSVE2_or_SMEBit, },
  {Feature_HasSVE2p1_or_SMEBit, },
  {Feature_HasSVE2p1_or_SME2Bit, },
  {Feature_HasSVE2p1_or_SME2p1Bit, },
  {Feature_HasSVE_or_SMEBit, },
  {Feature_HasTMEBit, },
  {Feature_IsBEBit, },
  {Feature_IsLEBit, },
  {Feature_OptimizedGISelOrOtherSelectorBit, },
  {Feature_UseSTRQroBit, },
  {Feature_HasComplxNumBit, Feature_HasNEONBit, },
  {Feature_HasFAMINMAXBit, Feature_HasNEONBit, },
  {Feature_HasFAMINMAXBit, Feature_HasSVE2_or_SME2Bit, },
  {Feature_HasFP16FMLBit, Feature_HasNEONBit, },
  {Feature_HasFP8Bit, Feature_HasSVE2_or_SME2Bit, },
  {Feature_HasFPARMv8Bit, Feature_HasJSBit, },
  {Feature_HasFPRCVTBit, Feature_HasNEONBit, },
  {Feature_HasFullFP16Bit, Feature_HasNEONBit, },
  {Feature_HasFullFP16Bit, Feature_HasNEONandIsSME2p2StreamingSafeBit, },
  {Feature_HasFullFP16Bit, Feature_HasNEONandIsStreamingSafeBit, },
  {Feature_HasLUTBit, Feature_HasSVE2_or_SME2Bit, },
  {Feature_HasMatMulFP32Bit, Feature_HasSVEBit, },
  {Feature_HasMatMulFP64Bit, Feature_HasSVEBit, },
  {Feature_HasMatMulFP64Bit, Feature_HasSVE_or_SMEBit, },
  {Feature_HasMatMulInt8Bit, Feature_HasSVEBit, },
  {Feature_HasMatMulInt8Bit, Feature_HasSVE_or_SMEBit, },
  {Feature_HasNEONBit, Feature_HasRCPC3Bit, },
  {Feature_HasNEONBit, Feature_HasRDMBit, },
  {Feature_HasNonStreamingSVE2_or_SSVE_AESBit, Feature_HasSVEAESBit, },
  {Feature_HasNonStreamingSVE2_or_SSVE_BitPermBit, Feature_HasSVEBitPermBit, },
  {Feature_HasRCPC_IMMOBit, Feature_UseLDAPURBit, },
  {Feature_HasSMEF16F16Bit, Feature_HasSME_MOP4Bit, },
  {Feature_HasSMEF64F64Bit, Feature_HasSME_MOP4Bit, },
  {Feature_HasSMEI16I64Bit, Feature_HasSME_MOP4Bit, },
  {Feature_HasSVE_or_SMEBit, Feature_UseScalarIncVLBit, },
  {Feature_IsLEBit, Feature_UseSTRQroBit, },
  {Feature_AllowMisalignedMemAccessesBit, Feature_HasSVE_or_SMEBit, Feature_IsLEBit, },
  {Feature_HasComplxNumBit, Feature_HasFullFP16Bit, Feature_HasNEONBit, },
  {Feature_HasNEONBit, Feature_NotForCodeSizeBit, Feature_UseAlternateSExtLoadCVTF32Bit, },
};

// ComplexPattern predicates.
enum {
  GICP_Invalid,
  GICP_gi_addsub_shifted_imm32,
  GICP_gi_addsub_shifted_imm64,
  GICP_gi_am_indexed128,
  GICP_gi_am_indexed16,
  GICP_gi_am_indexed32,
  GICP_gi_am_indexed64,
  GICP_gi_am_indexed8,
  GICP_gi_am_unscaled128,
  GICP_gi_am_unscaled16,
  GICP_gi_am_unscaled32,
  GICP_gi_am_unscaled64,
  GICP_gi_am_unscaled8,
  GICP_gi_arith_extended_reg32_i32,
  GICP_gi_arith_extended_reg32_i64,
  GICP_gi_arith_extended_reg32to64_i64,
  GICP_gi_arith_shifted_reg32,
  GICP_gi_arith_shifted_reg64,
  GICP_gi_extract_high_v16i8,
  GICP_gi_extract_high_v4f32,
  GICP_gi_extract_high_v4i32,
  GICP_gi_extract_high_v8f16,
  GICP_gi_extract_high_v8i16,
  GICP_gi_logical_shifted_reg32,
  GICP_gi_logical_shifted_reg64,
  GICP_gi_neg_addsub_shifted_imm32,
  GICP_gi_neg_addsub_shifted_imm64,
  GICP_gi_ro_Windexed128,
  GICP_gi_ro_Windexed16,
  GICP_gi_ro_Windexed32,
  GICP_gi_ro_Windexed64,
  GICP_gi_ro_Windexed8,
  GICP_gi_ro_Xindexed128,
  GICP_gi_ro_Xindexed16,
  GICP_gi_ro_Xindexed32,
  GICP_gi_ro_Xindexed64,
  GICP_gi_ro_Xindexed8,
};
// See constructor for table contents

AArch64InstructionSelector::ComplexMatcherMemFn
AArch64InstructionSelector::ComplexPredicateFns[] = {
  nullptr, // GICP_Invalid
  &AArch64InstructionSelector::selectArithImmed, // gi_addsub_shifted_imm32
  &AArch64InstructionSelector::selectArithImmed, // gi_addsub_shifted_imm64
  &AArch64InstructionSelector::selectAddrModeIndexed<128>, // gi_am_indexed128
  &AArch64InstructionSelector::selectAddrModeIndexed<16>, // gi_am_indexed16
  &AArch64InstructionSelector::selectAddrModeIndexed<32>, // gi_am_indexed32
  &AArch64InstructionSelector::selectAddrModeIndexed<64>, // gi_am_indexed64
  &AArch64InstructionSelector::selectAddrModeIndexed<8>, // gi_am_indexed8
  &AArch64InstructionSelector::selectAddrModeUnscaled128, // gi_am_unscaled128
  &AArch64InstructionSelector::selectAddrModeUnscaled16, // gi_am_unscaled16
  &AArch64InstructionSelector::selectAddrModeUnscaled32, // gi_am_unscaled32
  &AArch64InstructionSelector::selectAddrModeUnscaled64, // gi_am_unscaled64
  &AArch64InstructionSelector::selectAddrModeUnscaled8, // gi_am_unscaled8
  &AArch64InstructionSelector::selectArithExtendedRegister, // gi_arith_extended_reg32_i32
  &AArch64InstructionSelector::selectArithExtendedRegister, // gi_arith_extended_reg32_i64
  &AArch64InstructionSelector::selectArithExtendedRegister, // gi_arith_extended_reg32to64_i64
  &AArch64InstructionSelector::selectArithShiftedRegister, // gi_arith_shifted_reg32
  &AArch64InstructionSelector::selectArithShiftedRegister, // gi_arith_shifted_reg64
  &AArch64InstructionSelector::selectExtractHigh, // gi_extract_high_v16i8
  &AArch64InstructionSelector::selectExtractHigh, // gi_extract_high_v4f32
  &AArch64InstructionSelector::selectExtractHigh, // gi_extract_high_v4i32
  &AArch64InstructionSelector::selectExtractHigh, // gi_extract_high_v8f16
  &AArch64InstructionSelector::selectExtractHigh, // gi_extract_high_v8i16
  &AArch64InstructionSelector::selectLogicalShiftedRegister, // gi_logical_shifted_reg32
  &AArch64InstructionSelector::selectLogicalShiftedRegister, // gi_logical_shifted_reg64
  &AArch64InstructionSelector::selectNegArithImmed, // gi_neg_addsub_shifted_imm32
  &AArch64InstructionSelector::selectNegArithImmed, // gi_neg_addsub_shifted_imm64
  &AArch64InstructionSelector::selectAddrModeWRO<128>, // gi_ro_Windexed128
  &AArch64InstructionSelector::selectAddrModeWRO<16>, // gi_ro_Windexed16
  &AArch64InstructionSelector::selectAddrModeWRO<32>, // gi_ro_Windexed32
  &AArch64InstructionSelector::selectAddrModeWRO<64>, // gi_ro_Windexed64
  &AArch64InstructionSelector::selectAddrModeWRO<8>, // gi_ro_Windexed8
  &AArch64InstructionSelector::selectAddrModeXRO<128>, // gi_ro_Xindexed128
  &AArch64InstructionSelector::selectAddrModeXRO<16>, // gi_ro_Xindexed16
  &AArch64InstructionSelector::selectAddrModeXRO<32>, // gi_ro_Xindexed32
  &AArch64InstructionSelector::selectAddrModeXRO<64>, // gi_ro_Xindexed64
  &AArch64InstructionSelector::selectAddrModeXRO<8>, // gi_ro_Xindexed8
};

// PatFrag predicates.
enum {
  GICXXPred_MI_Predicate_add_and_or_is_add = GICXXPred_Invalid + 1,
  GICXXPred_MI_Predicate_ldaxr_1,
  GICXXPred_MI_Predicate_ldaxr_2,
  GICXXPred_MI_Predicate_ldaxr_4,
  GICXXPred_MI_Predicate_ldaxr_8,
  GICXXPred_MI_Predicate_ldxr_1,
  GICXXPred_MI_Predicate_ldxr_2,
  GICXXPred_MI_Predicate_ldxr_4,
  GICXXPred_MI_Predicate_ldxr_8,
  GICXXPred_MI_Predicate_stlxr_1,
  GICXXPred_MI_Predicate_stlxr_2,
  GICXXPred_MI_Predicate_stlxr_4,
  GICXXPred_MI_Predicate_stlxr_8,
  GICXXPred_MI_Predicate_stxr_1,
  GICXXPred_MI_Predicate_stxr_2,
  GICXXPred_MI_Predicate_stxr_4,
  GICXXPred_MI_Predicate_stxr_8,
};
bool AArch64InstructionSelector::testMIPredicate_MI(unsigned PredicateID, const MachineInstr & MI, const MatcherState &State) const {
  const MachineFunction &MF = *MI.getParent()->getParent();
  const MachineRegisterInfo &MRI = MF.getRegInfo();
  const auto &Operands = State.RecordedOperands;
  (void)Operands;
  (void)MRI;
  switch (PredicateID) {
  case GICXXPred_MI_Predicate_add_and_or_is_add: {
    
         return mi_match(MI, MRI, m_GAddLike(m_Reg(), m_Reg()));
      
  }
  case GICXXPred_MI_Predicate_ldaxr_1: {
     return isLoadStoreOfNumBytes(MI, 1); 
  }
  case GICXXPred_MI_Predicate_ldaxr_2: {
     return isLoadStoreOfNumBytes(MI, 2); 
  }
  case GICXXPred_MI_Predicate_ldaxr_4: {
     return isLoadStoreOfNumBytes(MI, 4); 
  }
  case GICXXPred_MI_Predicate_ldaxr_8: {
     return isLoadStoreOfNumBytes(MI, 8); 
  }
  case GICXXPred_MI_Predicate_ldxr_1: {
     return isLoadStoreOfNumBytes(MI, 1); 
  }
  case GICXXPred_MI_Predicate_ldxr_2: {
     return isLoadStoreOfNumBytes(MI, 2); 
  }
  case GICXXPred_MI_Predicate_ldxr_4: {
     return isLoadStoreOfNumBytes(MI, 4); 
  }
  case GICXXPred_MI_Predicate_ldxr_8: {
     return isLoadStoreOfNumBytes(MI, 8); 
  }
  case GICXXPred_MI_Predicate_stlxr_1: {
     return isLoadStoreOfNumBytes(MI, 1); 
  }
  case GICXXPred_MI_Predicate_stlxr_2: {
     return isLoadStoreOfNumBytes(MI, 2); 
  }
  case GICXXPred_MI_Predicate_stlxr_4: {
     return isLoadStoreOfNumBytes(MI, 4); 
  }
  case GICXXPred_MI_Predicate_stlxr_8: {
     return isLoadStoreOfNumBytes(MI, 8); 
  }
  case GICXXPred_MI_Predicate_stxr_1: {
     return isLoadStoreOfNumBytes(MI, 1); 
  }
  case GICXXPred_MI_Predicate_stxr_2: {
     return isLoadStoreOfNumBytes(MI, 2); 
  }
  case GICXXPred_MI_Predicate_stxr_4: {
     return isLoadStoreOfNumBytes(MI, 4); 
  }
  case GICXXPred_MI_Predicate_stxr_8: {
     return isLoadStoreOfNumBytes(MI, 8); 
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_I64_Predicate_VectorIndex0 = GICXXPred_Invalid + 1,
  GICXXPred_I64_Predicate_VectorIndex0_timm,
  GICXXPred_I64_Predicate_VectorIndex1,
  GICXXPred_I64_Predicate_VectorIndex1_timm,
  GICXXPred_I64_Predicate_VectorIndex032b,
  GICXXPred_I64_Predicate_VectorIndex032b_timm,
  GICXXPred_I64_Predicate_VectorIndex132b,
  GICXXPred_I64_Predicate_VectorIndex132b_timm,
  GICXXPred_I64_Predicate_VectorIndexB,
  GICXXPred_I64_Predicate_VectorIndexB32b,
  GICXXPred_I64_Predicate_VectorIndexB32b_timm,
  GICXXPred_I64_Predicate_VectorIndexB_timm,
  GICXXPred_I64_Predicate_VectorIndexD,
  GICXXPred_I64_Predicate_VectorIndexD32b,
  GICXXPred_I64_Predicate_VectorIndexD32b_timm,
  GICXXPred_I64_Predicate_VectorIndexD_timm,
  GICXXPred_I64_Predicate_VectorIndexH,
  GICXXPred_I64_Predicate_VectorIndexH32b,
  GICXXPred_I64_Predicate_VectorIndexH32b_timm,
  GICXXPred_I64_Predicate_VectorIndexH_timm,
  GICXXPred_I64_Predicate_VectorIndexS,
  GICXXPred_I64_Predicate_VectorIndexS32b,
  GICXXPred_I64_Predicate_VectorIndexS32b_timm,
  GICXXPred_I64_Predicate_VectorIndexS_timm,
  GICXXPred_I64_Predicate_complexrotateop,
  GICXXPred_I64_Predicate_complexrotateopodd,
  GICXXPred_I64_Predicate_extq_timm32_0_1m8,
  GICXXPred_I64_Predicate_extq_timm32_0_3m4,
  GICXXPred_I64_Predicate_extq_timm32_0_7m2,
  GICXXPred_I64_Predicate_i64imm_32bit,
  GICXXPred_I64_Predicate_i64imm_32bit_tgt,
  GICXXPred_I64_Predicate_imm0_1,
  GICXXPred_I64_Predicate_imm0_3,
  GICXXPred_I64_Predicate_imm0_7,
  GICXXPred_I64_Predicate_imm0_15,
  GICXXPred_I64_Predicate_imm0_31,
  GICXXPred_I64_Predicate_imm0_63,
  GICXXPred_I64_Predicate_imm0_127,
  GICXXPred_I64_Predicate_imm0_127_64b,
  GICXXPred_I64_Predicate_imm0_255,
  GICXXPred_I64_Predicate_imm32_0_7,
  GICXXPred_I64_Predicate_imm32_0_15,
  GICXXPred_I64_Predicate_imm32_0_31,
  GICXXPred_I64_Predicate_imm64_0_65535,
  GICXXPred_I64_Predicate_maski8_or_more,
  GICXXPred_I64_Predicate_maski16_or_more,
  GICXXPred_I64_Predicate_rprfop,
  GICXXPred_I64_Predicate_s64imm_32bit,
  GICXXPred_I64_Predicate_simm4s1,
  GICXXPred_I64_Predicate_simm4s2,
  GICXXPred_I64_Predicate_simm4s3,
  GICXXPred_I64_Predicate_simm4s4,
  GICXXPred_I64_Predicate_simm4s16,
  GICXXPred_I64_Predicate_simm4s32,
  GICXXPred_I64_Predicate_simm5_8b,
  GICXXPred_I64_Predicate_simm5_8b_tgt,
  GICXXPred_I64_Predicate_simm5_16b,
  GICXXPred_I64_Predicate_simm5_16b_tgt,
  GICXXPred_I64_Predicate_simm5_32b,
  GICXXPred_I64_Predicate_simm5_32b_tgt,
  GICXXPred_I64_Predicate_simm5_64b,
  GICXXPred_I64_Predicate_simm5_64b_tgt,
  GICXXPred_I64_Predicate_simm6_32b,
  GICXXPred_I64_Predicate_simm6s1,
  GICXXPred_I64_Predicate_simm8_32b,
  GICXXPred_I64_Predicate_simm8_64b,
  GICXXPred_I64_Predicate_simm9,
  GICXXPred_I64_Predicate_sme_elm_idx0_0,
  GICXXPred_I64_Predicate_sme_elm_idx0_1,
  GICXXPred_I64_Predicate_sme_elm_idx0_3,
  GICXXPred_I64_Predicate_sme_elm_idx0_7,
  GICXXPred_I64_Predicate_sme_elm_idx0_15,
  GICXXPred_I64_Predicate_svcr_op,
  GICXXPred_I64_Predicate_sve_elm_idx_extdup_b,
  GICXXPred_I64_Predicate_sve_elm_idx_extdup_b_timm,
  GICXXPred_I64_Predicate_sve_elm_idx_extdup_d,
  GICXXPred_I64_Predicate_sve_elm_idx_extdup_d_timm,
  GICXXPred_I64_Predicate_sve_elm_idx_extdup_h,
  GICXXPred_I64_Predicate_sve_elm_idx_extdup_h_timm,
  GICXXPred_I64_Predicate_sve_elm_idx_extdup_q,
  GICXXPred_I64_Predicate_sve_elm_idx_extdup_q_timm,
  GICXXPred_I64_Predicate_sve_elm_idx_extdup_s,
  GICXXPred_I64_Predicate_sve_elm_idx_extdup_s_timm,
  GICXXPred_I64_Predicate_sve_incdec_imm,
  GICXXPred_I64_Predicate_sve_pred_enum,
  GICXXPred_I64_Predicate_sve_prfop,
  GICXXPred_I64_Predicate_sve_vec_len_specifier_enum,
  GICXXPred_I64_Predicate_tbz_imm0_31_diag,
  GICXXPred_I64_Predicate_tbz_imm0_31_nodiag,
  GICXXPred_I64_Predicate_tbz_imm32_63,
  GICXXPred_I64_Predicate_timm0_1,
  GICXXPred_I64_Predicate_timm0_31,
  GICXXPred_I64_Predicate_timm0_63,
  GICXXPred_I64_Predicate_timm32_0_0,
  GICXXPred_I64_Predicate_timm32_0_1,
  GICXXPred_I64_Predicate_timm32_0_3,
  GICXXPred_I64_Predicate_timm32_0_7,
  GICXXPred_I64_Predicate_timm32_0_15,
  GICXXPred_I64_Predicate_timm32_0_31,
  GICXXPred_I64_Predicate_timm32_0_255,
  GICXXPred_I64_Predicate_timm32_0_65535,
  GICXXPred_I64_Predicate_timm32_1_1,
  GICXXPred_I64_Predicate_timm32_1_3,
  GICXXPred_I64_Predicate_timm32_1_7,
  GICXXPred_I64_Predicate_timm64_0_65535,
  GICXXPred_I64_Predicate_tuimm5s2,
  GICXXPred_I64_Predicate_tuimm5s4,
  GICXXPred_I64_Predicate_tuimm5s8,
  GICXXPred_I64_Predicate_tvecshiftL8,
  GICXXPred_I64_Predicate_tvecshiftL16,
  GICXXPred_I64_Predicate_tvecshiftL32,
  GICXXPred_I64_Predicate_tvecshiftL64,
  GICXXPred_I64_Predicate_tvecshiftR8,
  GICXXPred_I64_Predicate_tvecshiftR16,
  GICXXPred_I64_Predicate_tvecshiftR32,
  GICXXPred_I64_Predicate_tvecshiftR64,
  GICXXPred_I64_Predicate_ubsan_trap_imm,
  GICXXPred_I64_Predicate_uimm0s2range,
  GICXXPred_I64_Predicate_uimm0s4range,
  GICXXPred_I64_Predicate_uimm1s2range,
  GICXXPred_I64_Predicate_uimm1s4range,
  GICXXPred_I64_Predicate_uimm2s2range,
  GICXXPred_I64_Predicate_uimm2s4range,
  GICXXPred_I64_Predicate_uimm3s2range,
  GICXXPred_I64_Predicate_uimm3s8,
  GICXXPred_I64_Predicate_uimm5s2,
  GICXXPred_I64_Predicate_uimm5s4,
  GICXXPred_I64_Predicate_uimm5s8,
  GICXXPred_I64_Predicate_uimm6,
  GICXXPred_I64_Predicate_uimm6_32b,
  GICXXPred_I64_Predicate_uimm6_64b,
  GICXXPred_I64_Predicate_uimm6s1,
  GICXXPred_I64_Predicate_uimm6s2,
  GICXXPred_I64_Predicate_uimm6s4,
  GICXXPred_I64_Predicate_uimm6s8,
  GICXXPred_I64_Predicate_uimm6s16,
  GICXXPred_I64_Predicate_uimm8_32b,
  GICXXPred_I64_Predicate_uimm8_64b,
  GICXXPred_I64_Predicate_uimm16,
  GICXXPred_I64_Predicate_vecshiftL8,
  GICXXPred_I64_Predicate_vecshiftL16,
  GICXXPred_I64_Predicate_vecshiftL32,
  GICXXPred_I64_Predicate_vecshiftL64,
  GICXXPred_I64_Predicate_vecshiftR8,
  GICXXPred_I64_Predicate_vecshiftR16,
  GICXXPred_I64_Predicate_vecshiftR16Narrow,
  GICXXPred_I64_Predicate_vecshiftR32,
  GICXXPred_I64_Predicate_vecshiftR32Narrow,
  GICXXPred_I64_Predicate_vecshiftR64,
  GICXXPred_I64_Predicate_vecshiftR64Narrow,
};
bool AArch64InstructionSelector::testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const {
  switch (PredicateID) {
  case GICXXPred_I64_Predicate_VectorIndex0: {
     return ((uint64_t)Imm) == 0; 
  }
  case GICXXPred_I64_Predicate_VectorIndex0_timm: {
     return ((uint64_t)Imm) == 0; 
  }
  case GICXXPred_I64_Predicate_VectorIndex1: {
     return ((uint64_t)Imm) == 1; 
  }
  case GICXXPred_I64_Predicate_VectorIndex1_timm: {
     return ((uint64_t)Imm) == 1; 
  }
  case GICXXPred_I64_Predicate_VectorIndex032b: {
     return ((uint32_t)Imm) == 0; 
  }
  case GICXXPred_I64_Predicate_VectorIndex032b_timm: {
     return ((uint32_t)Imm) == 0; 
  }
  case GICXXPred_I64_Predicate_VectorIndex132b: {
     return ((uint64_t)Imm) == 1; 
  }
  case GICXXPred_I64_Predicate_VectorIndex132b_timm: {
     return ((uint64_t)Imm) == 1; 
  }
  case GICXXPred_I64_Predicate_VectorIndexB: {
     return ((uint64_t)Imm) < 16; 
  }
  case GICXXPred_I64_Predicate_VectorIndexB32b: {
     return ((uint64_t)Imm) < 16; 
  }
  case GICXXPred_I64_Predicate_VectorIndexB32b_timm: {
     return ((uint64_t)Imm) < 16; 
  }
  case GICXXPred_I64_Predicate_VectorIndexB_timm: {
     return ((uint64_t)Imm) < 16; 
  }
  case GICXXPred_I64_Predicate_VectorIndexD: {
     return ((uint64_t)Imm) < 2; 
  }
  case GICXXPred_I64_Predicate_VectorIndexD32b: {
     return ((uint64_t)Imm) < 2; 
  }
  case GICXXPred_I64_Predicate_VectorIndexD32b_timm: {
     return ((uint64_t)Imm) < 2; 
  }
  case GICXXPred_I64_Predicate_VectorIndexD_timm: {
     return ((uint64_t)Imm) < 2; 
  }
  case GICXXPred_I64_Predicate_VectorIndexH: {
     return ((uint64_t)Imm) < 8; 
  }
  case GICXXPred_I64_Predicate_VectorIndexH32b: {
     return ((uint64_t)Imm) < 8; 
  }
  case GICXXPred_I64_Predicate_VectorIndexH32b_timm: {
     return ((uint64_t)Imm) < 8; 
  }
  case GICXXPred_I64_Predicate_VectorIndexH_timm: {
     return ((uint64_t)Imm) < 8; 
  }
  case GICXXPred_I64_Predicate_VectorIndexS: {
     return ((uint64_t)Imm) < 4; 
  }
  case GICXXPred_I64_Predicate_VectorIndexS32b: {
     return ((uint64_t)Imm) < 4; 
  }
  case GICXXPred_I64_Predicate_VectorIndexS32b_timm: {
     return ((uint64_t)Imm) < 4; 
  }
  case GICXXPred_I64_Predicate_VectorIndexS_timm: {
     return ((uint64_t)Imm) < 4; 
  }
  case GICXXPred_I64_Predicate_complexrotateop: {
     return Imm >= 0 && Imm <= 270;  
  }
  case GICXXPred_I64_Predicate_complexrotateopodd: {
     return Imm >= 0 && Imm <= 270;  
  }
  case GICXXPred_I64_Predicate_extq_timm32_0_1m8: {
    
      return ((uint32_t)Imm) < 2;
  }
  case GICXXPred_I64_Predicate_extq_timm32_0_3m4: {
    
      return ((uint32_t)Imm) < 4;
  }
  case GICXXPred_I64_Predicate_extq_timm32_0_7m2: {
    
      return ((uint32_t)Imm) < 8;
  }
  case GICXXPred_I64_Predicate_i64imm_32bit: {
    
      return (Imm & 0xffffffffULL) == static_cast<uint64_t>(Imm);
    
  }
  case GICXXPred_I64_Predicate_i64imm_32bit_tgt: {
    
      return (Imm & 0xffffffffULL) == static_cast<uint64_t>(Imm);
    
  }
  case GICXXPred_I64_Predicate_imm0_1: {
    
      return ((uint64_t)Imm) < 2;
    
  }
  case GICXXPred_I64_Predicate_imm0_3: {
    
      return ((uint64_t)Imm) < 4;
    
  }
  case GICXXPred_I64_Predicate_imm0_7: {
    
      return ((uint64_t)Imm) < 8;
    
  }
  case GICXXPred_I64_Predicate_imm0_15: {
    
      return ((uint64_t)Imm) < 16;
    
  }
  case GICXXPred_I64_Predicate_imm0_31: {
    
      return ((uint64_t)Imm) < 32;
    
  }
  case GICXXPred_I64_Predicate_imm0_63: {
    
      return ((uint64_t)Imm) < 64;
    
  }
  case GICXXPred_I64_Predicate_imm0_127: {
    
      return ((uint32_t)Imm) < 128;
    
  }
  case GICXXPred_I64_Predicate_imm0_127_64b: {
    
      return ((uint64_t)Imm) < 128;
    
  }
  case GICXXPred_I64_Predicate_imm0_255: {
    
      return ((uint32_t)Imm) < 256;
    
  }
  case GICXXPred_I64_Predicate_imm32_0_7: {
    
      return ((uint32_t)Imm) < 8;
    
  }
  case GICXXPred_I64_Predicate_imm32_0_15: {
    
      return ((uint32_t)Imm) < 16;
    
  }
  case GICXXPred_I64_Predicate_imm32_0_31: {
    
      return ((uint64_t)Imm) < 32;
    
  }
  case GICXXPred_I64_Predicate_imm64_0_65535: {
    
      return ((uint64_t)Imm) < 65536;
    
  }
  case GICXXPred_I64_Predicate_maski8_or_more: {
     return (Imm & 0xff) == 0xff; 
  }
  case GICXXPred_I64_Predicate_maski16_or_more: {
     return (Imm & 0xffff) == 0xffff; 
  }
  case GICXXPred_I64_Predicate_rprfop: {
    
        return (((uint32_t)Imm) <= 63);
      
  }
  case GICXXPred_I64_Predicate_s64imm_32bit: {
    
      int64_t Imm64 = static_cast<int64_t>(Imm);
      return Imm64 >= std::numeric_limits<int32_t>::min() &&
             Imm64 <= std::numeric_limits<int32_t>::max();
    
    llvm_unreachable("s64imm_32bit should have returned");
  }
  case GICXXPred_I64_Predicate_simm4s1: {
     return Imm >=-8  && Imm <= 7; 
  }
  case GICXXPred_I64_Predicate_simm4s2: {
     return Imm >=-16  && Imm <= 14 && (Imm % 2) == 0x0; 
  }
  case GICXXPred_I64_Predicate_simm4s3: {
     return Imm >=-24  && Imm <= 21 && (Imm % 3) == 0x0; 
  }
  case GICXXPred_I64_Predicate_simm4s4: {
     return Imm >=-32  && Imm <= 28 && (Imm % 4) == 0x0; 
  }
  case GICXXPred_I64_Predicate_simm4s16: {
     return Imm >=-128  && Imm <= 112 && (Imm % 16) == 0x0; 
  }
  case GICXXPred_I64_Predicate_simm4s32: {
     return Imm >=-256  && Imm <= 224 && (Imm % 32) == 0x0; 
  }
  case GICXXPred_I64_Predicate_simm5_8b: {
     return (int8_t)Imm >= -16 && (int8_t)Imm < 16; 
  }
  case GICXXPred_I64_Predicate_simm5_8b_tgt: {
     return (int8_t)Imm >= -16 && (int8_t)Imm < 16; 
  }
  case GICXXPred_I64_Predicate_simm5_16b: {
     return (int16_t)Imm >= -16 && (int16_t)Imm < 16; 
  }
  case GICXXPred_I64_Predicate_simm5_16b_tgt: {
     return (int16_t)Imm >= -16 && (int16_t)Imm < 16; 
  }
  case GICXXPred_I64_Predicate_simm5_32b: {
     return Imm >= -16 && Imm < 16; 
  }
  case GICXXPred_I64_Predicate_simm5_32b_tgt: {
     return (int32_t)Imm >= -16 && (int32_t)Imm < 16; 
  }
  case GICXXPred_I64_Predicate_simm5_64b: {
     return Imm >= -16 && Imm < 16; 
  }
  case GICXXPred_I64_Predicate_simm5_64b_tgt: {
     return (int64_t)Imm >= -16 && (int64_t)Imm < 16; 
  }
  case GICXXPred_I64_Predicate_simm6_32b: {
     return Imm >= -32 && Imm < 32; 
  }
  case GICXXPred_I64_Predicate_simm6s1: {
     return Imm >= -32 && Imm < 32; 
  }
  case GICXXPred_I64_Predicate_simm8_32b: {
     return Imm >= -128 && Imm < 128; 
  }
  case GICXXPred_I64_Predicate_simm8_64b: {
     return Imm >= -128 && Imm < 128; 
  }
  case GICXXPred_I64_Predicate_simm9: {
     return Imm >= -256 && Imm < 256; 
  }
  case GICXXPred_I64_Predicate_sme_elm_idx0_0: {
    
      return ((uint32_t)Imm) == 0;
    
  }
  case GICXXPred_I64_Predicate_sme_elm_idx0_1: {
    
      return ((uint32_t)Imm) <= 1;
    
  }
  case GICXXPred_I64_Predicate_sme_elm_idx0_3: {
    
      return ((uint32_t)Imm) <= 3;
    
  }
  case GICXXPred_I64_Predicate_sme_elm_idx0_7: {
    
      return ((uint32_t)Imm) <= 7;
    
  }
  case GICXXPred_I64_Predicate_sme_elm_idx0_15: {
    
      return ((uint32_t)Imm) <= 15;
    
  }
  case GICXXPred_I64_Predicate_svcr_op: {
    
        return AArch64SVCR::lookupSVCRByEncoding(Imm) != nullptr;
      
  }
  case GICXXPred_I64_Predicate_sve_elm_idx_extdup_b: {
     return ((uint64_t)Imm) < 64; 
  }
  case GICXXPred_I64_Predicate_sve_elm_idx_extdup_b_timm: {
     return ((uint64_t)Imm) < 64; 
  }
  case GICXXPred_I64_Predicate_sve_elm_idx_extdup_d: {
     return ((uint64_t)Imm) < 8; 
  }
  case GICXXPred_I64_Predicate_sve_elm_idx_extdup_d_timm: {
     return ((uint64_t)Imm) < 8; 
  }
  case GICXXPred_I64_Predicate_sve_elm_idx_extdup_h: {
     return ((uint64_t)Imm) < 32; 
  }
  case GICXXPred_I64_Predicate_sve_elm_idx_extdup_h_timm: {
     return ((uint64_t)Imm) < 32; 
  }
  case GICXXPred_I64_Predicate_sve_elm_idx_extdup_q: {
     return ((uint64_t)Imm) < 4; 
  }
  case GICXXPred_I64_Predicate_sve_elm_idx_extdup_q_timm: {
     return ((uint64_t)Imm) < 4; 
  }
  case GICXXPred_I64_Predicate_sve_elm_idx_extdup_s: {
     return ((uint64_t)Imm) < 16; 
  }
  case GICXXPred_I64_Predicate_sve_elm_idx_extdup_s_timm: {
     return ((uint64_t)Imm) < 16; 
  }
  case GICXXPred_I64_Predicate_sve_incdec_imm: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 17);
    
  }
  case GICXXPred_I64_Predicate_sve_pred_enum: {
    
      return (((uint32_t)Imm) < 32);
      
  }
  case GICXXPred_I64_Predicate_sve_prfop: {
    
        return (((uint32_t)Imm) <= 15);
      
  }
  case GICXXPred_I64_Predicate_sve_vec_len_specifier_enum: {
    
      return (((uint32_t)Imm) < 2);
      
  }
  case GICXXPred_I64_Predicate_tbz_imm0_31_diag: {
    
      return (((uint32_t)Imm) < 32);
    
  }
  case GICXXPred_I64_Predicate_tbz_imm0_31_nodiag: {
    
      return (((uint32_t)Imm) < 32);
    
  }
  case GICXXPred_I64_Predicate_tbz_imm32_63: {
    
      return (((uint32_t)Imm) > 31) && (((uint32_t)Imm) < 64);
    
  }
  case GICXXPred_I64_Predicate_timm0_1: {
    
      return ((uint64_t)Imm) < 2;
    
  }
  case GICXXPred_I64_Predicate_timm0_31: {
    
      return ((uint64_t)Imm) < 32;
    
  }
  case GICXXPred_I64_Predicate_timm0_63: {
    
      return ((uint64_t)Imm) < 64;
    
  }
  case GICXXPred_I64_Predicate_timm32_0_0: {
    
      return ((uint32_t)Imm) == 0;
    
  }
  case GICXXPred_I64_Predicate_timm32_0_1: {
    
      return ((uint32_t)Imm) < 2;
    
  }
  case GICXXPred_I64_Predicate_timm32_0_3: {
    
      return ((uint32_t)Imm) < 4;
    
  }
  case GICXXPred_I64_Predicate_timm32_0_7: {
    
      return ((uint32_t)Imm) < 8;
    
  }
  case GICXXPred_I64_Predicate_timm32_0_15: {
    
      return ((uint32_t)Imm) < 16;
    
  }
  case GICXXPred_I64_Predicate_timm32_0_31: {
    
      return ((uint32_t)Imm) < 32;
    
  }
  case GICXXPred_I64_Predicate_timm32_0_255: {
    
      return ((uint32_t)Imm) < 256;
    
  }
  case GICXXPred_I64_Predicate_timm32_0_65535: {
    
      return ((uint32_t)Imm) < 65536;
    
  }
  case GICXXPred_I64_Predicate_timm32_1_1: {
    
        return ((uint32_t)Imm) == 1;
    
  }
  case GICXXPred_I64_Predicate_timm32_1_3: {
    
      return ((uint32_t)Imm) > 0 && ((uint32_t)Imm) < 4;
    
  }
  case GICXXPred_I64_Predicate_timm32_1_7: {
    
      return ((uint32_t)Imm) > 0 && ((uint32_t)Imm) < 8;
    
  }
  case GICXXPred_I64_Predicate_timm64_0_65535: {
    
      return ((uint64_t)Imm) < 65536;
    
  }
  case GICXXPred_I64_Predicate_tuimm5s2: {
     return Imm >= 0 && Imm < (32*2) && ((Imm % 2) == 0); 
  }
  case GICXXPred_I64_Predicate_tuimm5s4: {
     return Imm >= 0 && Imm < (32*4) && ((Imm % 4) == 0); 
  }
  case GICXXPred_I64_Predicate_tuimm5s8: {
     return Imm >= 0 && Imm < (32*8) && ((Imm % 8) == 0); 
  }
  case GICXXPred_I64_Predicate_tvecshiftL8: {
    
      return (((uint32_t)Imm) < 8);
    
  }
  case GICXXPred_I64_Predicate_tvecshiftL16: {
    
      return (((uint32_t)Imm) < 16);
    
  }
  case GICXXPred_I64_Predicate_tvecshiftL32: {
    
      return (((uint32_t)Imm) < 32);
    
  }
  case GICXXPred_I64_Predicate_tvecshiftL64: {
    
      return (((uint32_t)Imm) < 64);
    
  }
  case GICXXPred_I64_Predicate_tvecshiftR8: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 9);
    
  }
  case GICXXPred_I64_Predicate_tvecshiftR16: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 17);
    
  }
  case GICXXPred_I64_Predicate_tvecshiftR32: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 33);
    
  }
  case GICXXPred_I64_Predicate_tvecshiftR64: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 65);
    
  }
  case GICXXPred_I64_Predicate_ubsan_trap_imm: {
    
      return isUInt<8>(Imm);
    
  }
  case GICXXPred_I64_Predicate_uimm0s2range: {
     return Imm == 0; 
  }
  case GICXXPred_I64_Predicate_uimm0s4range: {
     return Imm == 0; 
  }
  case GICXXPred_I64_Predicate_uimm1s2range: {
     return Imm >= 0 && Imm <= 2 && ((Imm % 2) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm1s4range: {
     return Imm >= 0 && Imm <= 4 && ((Imm % 4) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm2s2range: {
     return Imm >= 0 && Imm <= 6 && ((Imm % 2) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm2s4range: {
     return Imm >= 0 && Imm <= 12 && ((Imm % 4) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm3s2range: {
     return Imm >= 0 && Imm <= 14 && ((Imm % 2) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm3s8: {
     return Imm >= 0 && Imm <= 56 && ((Imm % 8) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm5s2: {
     return Imm >= 0 && Imm < (32*2) && ((Imm % 2) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm5s4: {
     return Imm >= 0 && Imm < (32*4) && ((Imm % 4) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm5s8: {
     return Imm >= 0 && Imm < (32*8) && ((Imm % 8) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm6: {
     return Imm >= 0 && Imm < 64; 
  }
  case GICXXPred_I64_Predicate_uimm6_32b: {
     return Imm >= 0 && Imm < 64; 
  }
  case GICXXPred_I64_Predicate_uimm6_64b: {
     return Imm >= 0 && Imm < 64; 
  }
  case GICXXPred_I64_Predicate_uimm6s1: {
     return Imm >= 0 && Imm < 64; 
  }
  case GICXXPred_I64_Predicate_uimm6s2: {
     return Imm >= 0 && Imm < (64*2) && ((Imm % 2) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm6s4: {
     return Imm >= 0 && Imm < (64*4) && ((Imm % 4) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm6s8: {
     return Imm >= 0 && Imm < (64*8) && ((Imm % 8) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm6s16: {
     return Imm >= 0 && Imm < (64*16) && ((Imm % 16) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm8_32b: {
     return Imm >= 0 && Imm < 256; 
  }
  case GICXXPred_I64_Predicate_uimm8_64b: {
     return Imm >= 0 && Imm < 256; 
  }
  case GICXXPred_I64_Predicate_uimm16: {
    return Imm >= 0 && Imm < 65536;
  }
  case GICXXPred_I64_Predicate_vecshiftL8: {
    
      return (((uint32_t)Imm) < 8);
    
  }
  case GICXXPred_I64_Predicate_vecshiftL16: {
    
      return (((uint32_t)Imm) < 16);
    
  }
  case GICXXPred_I64_Predicate_vecshiftL32: {
    
      return (((uint32_t)Imm) < 32);
    
  }
  case GICXXPred_I64_Predicate_vecshiftL64: {
    
      return (((uint32_t)Imm) < 64);
    
  }
  case GICXXPred_I64_Predicate_vecshiftR8: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 9);
    
  }
  case GICXXPred_I64_Predicate_vecshiftR16: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 17);
    
  }
  case GICXXPred_I64_Predicate_vecshiftR16Narrow: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 9);
    
  }
  case GICXXPred_I64_Predicate_vecshiftR32: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 33);
    
  }
  case GICXXPred_I64_Predicate_vecshiftR32Narrow: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 17);
    
  }
  case GICXXPred_I64_Predicate_vecshiftR64: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 65);
    
  }
  case GICXXPred_I64_Predicate_vecshiftR64Narrow: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 33);
    
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_APFloat_Predicate_fpimm0 = GICXXPred_Invalid + 1,
  GICXXPred_APFloat_Predicate_fpimm16,
  GICXXPred_APFloat_Predicate_fpimm32,
  GICXXPred_APFloat_Predicate_fpimm32SIMDModImmType4,
  GICXXPred_APFloat_Predicate_fpimm64,
  GICXXPred_APFloat_Predicate_fpimm_half,
  GICXXPred_APFloat_Predicate_fpimm_minus0,
  GICXXPred_APFloat_Predicate_fpimm_one,
  GICXXPred_APFloat_Predicate_fpimm_two,
  GICXXPred_APFloat_Predicate_fpimmbf16,
  GICXXPred_APFloat_Predicate_simdimmtype10,
};
bool AArch64InstructionSelector::testImmPredicate_APFloat(unsigned PredicateID, const APFloat & Imm) const {
  switch (PredicateID) {
  case GICXXPred_APFloat_Predicate_fpimm0: {
    
      return Imm.isExactlyValue(+0.0);
    
  }
  case GICXXPred_APFloat_Predicate_fpimm16: {
    
          return AArch64_AM::getFP16Imm(Imm) != -1;
        
  }
  case GICXXPred_APFloat_Predicate_fpimm32: {
    
          return AArch64_AM::getFP32Imm(Imm) != -1;
        
  }
  case GICXXPred_APFloat_Predicate_fpimm32SIMDModImmType4: {
    
          uint64_t Enc = Imm.bitcastToAPInt().getZExtValue();
          return Enc != 0 && AArch64_AM::isAdvSIMDModImmType4(Enc << 32 | Enc);
        
    llvm_unreachable("fpimm32SIMDModImmType4 should have returned");
  }
  case GICXXPred_APFloat_Predicate_fpimm64: {
    
          return AArch64_AM::getFP64Imm(Imm) != -1;
        
  }
  case GICXXPred_APFloat_Predicate_fpimm_half: {
    
      return Imm.isExactlyValue(+0.5);
    
  }
  case GICXXPred_APFloat_Predicate_fpimm_minus0: {
    
      return Imm.isExactlyValue(-0.0);
    
  }
  case GICXXPred_APFloat_Predicate_fpimm_one: {
    
      return Imm.isExactlyValue(+1.0);
    
  }
  case GICXXPred_APFloat_Predicate_fpimm_two: {
    
      return Imm.isExactlyValue(+2.0);
    
  }
  case GICXXPred_APFloat_Predicate_fpimmbf16: {
    
          return AArch64_AM::getFP16Imm(Imm) != -1;
        
  }
  case GICXXPred_APFloat_Predicate_simdimmtype10: {
    
          return AArch64_AM::isAdvSIMDModImmType10(
                     Imm.bitcastToAPInt().getZExtValue());
        
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_APInt_Predicate_logical_imm32 = GICXXPred_Invalid + 1,
  GICXXPred_APInt_Predicate_logical_imm64,
};
bool AArch64InstructionSelector::testImmPredicate_APInt(unsigned PredicateID, const APInt & Imm) const {
  switch (PredicateID) {
  case GICXXPred_APInt_Predicate_logical_imm32: {
    
      return AArch64_AM::isLogicalImmediate(Imm.getZExtValue(), 32);
    
  }
  case GICXXPred_APInt_Predicate_logical_imm64: {
    
      return AArch64_AM::isLogicalImmediate(Imm.getZExtValue(), 64);
    
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
bool AArch64InstructionSelector::testSimplePredicate(unsigned) const {
    llvm_unreachable("AArch64InstructionSelector does not support simple predicates!");
  return false;
}
// Custom renderers.
enum {
  GICR_Invalid,
  GICR_renderFPImm16,
  GICR_renderFPImm32,
  GICR_renderFPImm32SIMDModImmType4,
  GICR_renderFPImm64,
  GICR_renderLogicalImm32,
  GICR_renderLogicalImm64,
  GICR_renderTruncImm,
  GICR_renderUbsanTrap,
};
AArch64InstructionSelector::CustomRendererFn
AArch64InstructionSelector::CustomRenderers[] = {
  nullptr, // GICR_Invalid
  &AArch64InstructionSelector::renderFPImm16,
  &AArch64InstructionSelector::renderFPImm32,
  &AArch64InstructionSelector::renderFPImm32SIMDModImmType4,
  &AArch64InstructionSelector::renderFPImm64,
  &AArch64InstructionSelector::renderLogicalImm32,
  &AArch64InstructionSelector::renderLogicalImm64,
  &AArch64InstructionSelector::renderTruncImm,
  &AArch64InstructionSelector::renderUbsanTrap,
};

bool AArch64InstructionSelector::selectImpl(MachineInstr &I, CodeGenCoverage &CoverageInfo) const {
  const PredicateBitset AvailableFeatures = getAvailableFeatures();
  MachineIRBuilder B(I);
  State.MIs.clear();
  State.MIs.push_back(&I);

  if (executeMatchTable(*this, State, ExecInfo, B, getMatchTable(), TII, MF->getRegInfo(), TRI, RBI, AvailableFeatures, &CoverageInfo)) {
    return true;
  }

  return false;
}

bool AArch64InstructionSelector::runCustomAction(unsigned, const MatcherState&, NewMIVector &) const {
    llvm_unreachable("AArch64InstructionSelector does not support custom C++ actions!");
}
#if __BYTE_ORDER__ == __ORDER_LITTLE_ENDIAN__
#define GIMT_Encode2(Val) uint8_t(Val), uint8_t((uint16_t)Val >> 8)
#define GIMT_Encode4(Val) uint8_t(Val), uint8_t((uint32_t)Val >> 8), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 24)
#define GIMT_Encode8(Val) uint8_t(Val), uint8_t((uint64_t)Val >> 8), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 24),  uint8_t((uint64_t)Val >> 32), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 56)
#else
#define GIMT_Encode2(Val) uint8_t((uint16_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode4(Val) uint8_t((uint32_t)Val >> 24), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode8(Val) uint8_t((uint64_t)Val >> 56), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 32),  uint8_t((uint64_t)Val >> 24), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 8), uint8_t(Val)
#endif
const uint8_t *AArch64InstructionSelector::getMatchTable() const {
  constexpr static uint8_t MatchTable0[] = {
     /*      0 */ GIM_SwitchOpcode, /*MI*/0, /*[*/GIMT_Encode2(53), GIMT_Encode2(889), /*)*//*default:*//*Label 157*/ GIMT_Encode4(413861),
     /*     10 */ /*TargetOpcode::G_ADD*//*Label 0*/ GIMT_Encode4(3354),
     /*     14 */ /*TargetOpcode::G_SUB*//*Label 1*/ GIMT_Encode4(36349),
     /*     18 */ /*TargetOpcode::G_MUL*//*Label 2*/ GIMT_Encode4(50577),
     /*     22 */ /*TargetOpcode::G_SDIV*//*Label 3*/ GIMT_Encode4(52406),
     /*     26 */ /*TargetOpcode::G_UDIV*//*Label 4*/ GIMT_Encode4(52488), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     46 */ /*TargetOpcode::G_AND*//*Label 5*/ GIMT_Encode4(52570),
     /*     50 */ /*TargetOpcode::G_OR*//*Label 6*/ GIMT_Encode4(60316),
     /*     54 */ /*TargetOpcode::G_XOR*//*Label 7*/ GIMT_Encode4(72095), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    114 */ /*TargetOpcode::G_CONCAT_VECTORS*//*Label 8*/ GIMT_Encode4(79287), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    126 */ /*TargetOpcode::G_BITCAST*//*Label 9*/ GIMT_Encode4(86811), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    142 */ /*TargetOpcode::G_INTRINSIC_TRUNC*//*Label 10*/ GIMT_Encode4(96755),
     /*    146 */ /*TargetOpcode::G_INTRINSIC_ROUND*//*Label 11*/ GIMT_Encode4(97246),
     /*    150 */ /*TargetOpcode::G_INTRINSIC_LRINT*//*Label 12*/ GIMT_Encode4(97737),
     /*    154 */ /*TargetOpcode::G_INTRINSIC_LLRINT*//*Label 13*/ GIMT_Encode4(98005),
     /*    158 */ /*TargetOpcode::G_INTRINSIC_ROUNDEVEN*//*Label 14*/ GIMT_Encode4(98155),
     /*    162 */ /*TargetOpcode::G_READCYCLECOUNTER*//*Label 15*/ GIMT_Encode4(98646), GIMT_Encode4(0),
     /*    170 */ /*TargetOpcode::G_LOAD*//*Label 16*/ GIMT_Encode4(98679),
     /*    174 */ /*TargetOpcode::G_SEXTLOAD*//*Label 17*/ GIMT_Encode4(107489),
     /*    178 */ /*TargetOpcode::G_ZEXTLOAD*//*Label 18*/ GIMT_Encode4(108539), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    194 */ /*TargetOpcode::G_STORE*//*Label 19*/ GIMT_Encode4(111508), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    206 */ /*TargetOpcode::G_ATOMIC_CMPXCHG*//*Label 20*/ GIMT_Encode4(125034),
     /*    210 */ /*TargetOpcode::G_ATOMICRMW_XCHG*//*Label 21*/ GIMT_Encode4(126385),
     /*    214 */ /*TargetOpcode::G_ATOMICRMW_ADD*//*Label 22*/ GIMT_Encode4(127377),
     /*    218 */ /*TargetOpcode::G_ATOMICRMW_SUB*//*Label 23*/ GIMT_Encode4(128369),
     /*    222 */ /*TargetOpcode::G_ATOMICRMW_AND*//*Label 24*/ GIMT_Encode4(129861), GIMT_Encode4(0),
     /*    230 */ /*TargetOpcode::G_ATOMICRMW_OR*//*Label 25*/ GIMT_Encode4(131353),
     /*    234 */ /*TargetOpcode::G_ATOMICRMW_XOR*//*Label 26*/ GIMT_Encode4(132345),
     /*    238 */ /*TargetOpcode::G_ATOMICRMW_MAX*//*Label 27*/ GIMT_Encode4(133337),
     /*    242 */ /*TargetOpcode::G_ATOMICRMW_MIN*//*Label 28*/ GIMT_Encode4(134329),
     /*    246 */ /*TargetOpcode::G_ATOMICRMW_UMAX*//*Label 29*/ GIMT_Encode4(135321),
     /*    250 */ /*TargetOpcode::G_ATOMICRMW_UMIN*//*Label 30*/ GIMT_Encode4(136313),
     /*    254 */ /*TargetOpcode::G_ATOMICRMW_FADD*//*Label 31*/ GIMT_Encode4(137305), GIMT_Encode4(0),
     /*    262 */ /*TargetOpcode::G_ATOMICRMW_FMAX*//*Label 32*/ GIMT_Encode4(138010),
     /*    266 */ /*TargetOpcode::G_ATOMICRMW_FMIN*//*Label 33*/ GIMT_Encode4(138715), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    286 */ /*TargetOpcode::G_FENCE*//*Label 34*/ GIMT_Encode4(139420), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    306 */ /*TargetOpcode::G_INTRINSIC*//*Label 35*/ GIMT_Encode4(139471),
     /*    310 */ /*TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS*//*Label 36*/ GIMT_Encode4(249207), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    322 */ /*TargetOpcode::G_ANYEXT*//*Label 37*/ GIMT_Encode4(260527),
     /*    326 */ /*TargetOpcode::G_TRUNC*//*Label 38*/ GIMT_Encode4(260817),
     /*    330 */ /*TargetOpcode::G_CONSTANT*//*Label 39*/ GIMT_Encode4(262254),
     /*    334 */ /*TargetOpcode::G_FCONSTANT*//*Label 40*/ GIMT_Encode4(262374), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    346 */ /*TargetOpcode::G_SEXT*//*Label 41*/ GIMT_Encode4(262615),
     /*    350 */ /*TargetOpcode::G_SEXT_INREG*//*Label 42*/ GIMT_Encode4(264513),
     /*    354 */ /*TargetOpcode::G_ZEXT*//*Label 43*/ GIMT_Encode4(266167),
     /*    358 */ /*TargetOpcode::G_SHL*//*Label 44*/ GIMT_Encode4(268946),
     /*    362 */ /*TargetOpcode::G_LSHR*//*Label 45*/ GIMT_Encode4(269726),
     /*    366 */ /*TargetOpcode::G_ASHR*//*Label 46*/ GIMT_Encode4(270119), GIMT_Encode4(0),
     /*    374 */ /*TargetOpcode::G_FSHR*//*Label 47*/ GIMT_Encode4(270895),
     /*    378 */ /*TargetOpcode::G_ROTR*//*Label 48*/ GIMT_Encode4(271025), GIMT_Encode4(0),
     /*    386 */ /*TargetOpcode::G_ICMP*//*Label 49*/ GIMT_Encode4(271518), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    402 */ /*TargetOpcode::G_SELECT*//*Label 50*/ GIMT_Encode4(279295), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    446 */ /*TargetOpcode::G_UMULH*//*Label 51*/ GIMT_Encode4(280340),
     /*    450 */ /*TargetOpcode::G_SMULH*//*Label 52*/ GIMT_Encode4(280824),
     /*    454 */ /*TargetOpcode::G_UADDSAT*//*Label 53*/ GIMT_Encode4(281308),
     /*    458 */ /*TargetOpcode::G_SADDSAT*//*Label 54*/ GIMT_Encode4(281738),
     /*    462 */ /*TargetOpcode::G_USUBSAT*//*Label 55*/ GIMT_Encode4(282168),
     /*    466 */ /*TargetOpcode::G_SSUBSAT*//*Label 56*/ GIMT_Encode4(282598), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    510 */ /*TargetOpcode::G_FADD*//*Label 57*/ GIMT_Encode4(283028),
     /*    514 */ /*TargetOpcode::G_FSUB*//*Label 58*/ GIMT_Encode4(284826),
     /*    518 */ /*TargetOpcode::G_FMUL*//*Label 59*/ GIMT_Encode4(285564),
     /*    522 */ /*TargetOpcode::G_FMA*//*Label 60*/ GIMT_Encode4(289660), GIMT_Encode4(0),
     /*    530 */ /*TargetOpcode::G_FDIV*//*Label 61*/ GIMT_Encode4(305933), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    578 */ /*TargetOpcode::G_FNEG*//*Label 62*/ GIMT_Encode4(306549),
     /*    582 */ /*TargetOpcode::G_FPEXT*//*Label 63*/ GIMT_Encode4(310056),
     /*    586 */ /*TargetOpcode::G_FPTRUNC*//*Label 64*/ GIMT_Encode4(310304),
     /*    590 */ /*TargetOpcode::G_FPTOSI*//*Label 65*/ GIMT_Encode4(310492),
     /*    594 */ /*TargetOpcode::G_FPTOUI*//*Label 66*/ GIMT_Encode4(311469),
     /*    598 */ /*TargetOpcode::G_SITOFP*//*Label 67*/ GIMT_Encode4(312446),
     /*    602 */ /*TargetOpcode::G_UITOFP*//*Label 68*/ GIMT_Encode4(316754),
     /*    606 */ /*TargetOpcode::G_FPTOSI_SAT*//*Label 69*/ GIMT_Encode4(320440),
     /*    610 */ /*TargetOpcode::G_FPTOUI_SAT*//*Label 70*/ GIMT_Encode4(320760),
     /*    614 */ /*TargetOpcode::G_FABS*//*Label 71*/ GIMT_Encode4(321080), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    626 */ /*TargetOpcode::G_FCANONICALIZE*//*Label 72*/ GIMT_Encode4(321937),
     /*    630 */ /*TargetOpcode::G_FMINNUM*//*Label 73*/ GIMT_Encode4(322219),
     /*    634 */ /*TargetOpcode::G_FMAXNUM*//*Label 74*/ GIMT_Encode4(322597),
     /*    638 */ /*TargetOpcode::G_FMINNUM_IEEE*//*Label 75*/ GIMT_Encode4(322975),
     /*    642 */ /*TargetOpcode::G_FMAXNUM_IEEE*//*Label 76*/ GIMT_Encode4(323325),
     /*    646 */ /*TargetOpcode::G_FMINIMUM*//*Label 77*/ GIMT_Encode4(323675),
     /*    650 */ /*TargetOpcode::G_FMAXIMUM*//*Label 78*/ GIMT_Encode4(324378), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    686 */ /*TargetOpcode::G_SMIN*//*Label 79*/ GIMT_Encode4(325081),
     /*    690 */ /*TargetOpcode::G_SMAX*//*Label 80*/ GIMT_Encode4(325485),
     /*    694 */ /*TargetOpcode::G_UMIN*//*Label 81*/ GIMT_Encode4(325889),
     /*    698 */ /*TargetOpcode::G_UMAX*//*Label 82*/ GIMT_Encode4(326293),
     /*    702 */ /*TargetOpcode::G_ABS*//*Label 83*/ GIMT_Encode4(326697),
     /*    706 */ /*TargetOpcode::G_LROUND*//*Label 84*/ GIMT_Encode4(327512),
     /*    710 */ /*TargetOpcode::G_LLROUND*//*Label 85*/ GIMT_Encode4(327678),
     /*    714 */ /*TargetOpcode::G_BR*//*Label 86*/ GIMT_Encode4(327777), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    730 */ /*TargetOpcode::G_EXTRACT_SUBVECTOR*//*Label 87*/ GIMT_Encode4(327793),
     /*    734 */ /*TargetOpcode::G_INSERT_VECTOR_ELT*//*Label 88*/ GIMT_Encode4(333165),
     /*    738 */ /*TargetOpcode::G_EXTRACT_VECTOR_ELT*//*Label 89*/ GIMT_Encode4(360562), GIMT_Encode4(0),
     /*    746 */ /*TargetOpcode::G_SPLAT_VECTOR*//*Label 90*/ GIMT_Encode4(363480), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    758 */ /*TargetOpcode::G_CTTZ*//*Label 91*/ GIMT_Encode4(365800), GIMT_Encode4(0),
     /*    766 */ /*TargetOpcode::G_CTLZ*//*Label 92*/ GIMT_Encode4(365952), GIMT_Encode4(0),
     /*    774 */ /*TargetOpcode::G_CTPOP*//*Label 93*/ GIMT_Encode4(366626),
     /*    778 */ /*TargetOpcode::G_BSWAP*//*Label 94*/ GIMT_Encode4(366786),
     /*    782 */ /*TargetOpcode::G_BITREVERSE*//*Label 95*/ GIMT_Encode4(367100),
     /*    786 */ /*TargetOpcode::G_FCEIL*//*Label 96*/ GIMT_Encode4(367254), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    834 */ /*TargetOpcode::G_FSQRT*//*Label 97*/ GIMT_Encode4(367745),
     /*    838 */ /*TargetOpcode::G_FFLOOR*//*Label 98*/ GIMT_Encode4(368045),
     /*    842 */ /*TargetOpcode::G_FRINT*//*Label 99*/ GIMT_Encode4(368536),
     /*    846 */ /*TargetOpcode::G_FNEARBYINT*//*Label 100*/ GIMT_Encode4(369027), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    874 */ /*TargetOpcode::G_STRICT_FADD*//*Label 101*/ GIMT_Encode4(369518),
     /*    878 */ /*TargetOpcode::G_STRICT_FSUB*//*Label 102*/ GIMT_Encode4(370644),
     /*    882 */ /*TargetOpcode::G_STRICT_FMUL*//*Label 103*/ GIMT_Encode4(371260),
     /*    886 */ /*TargetOpcode::G_STRICT_FDIV*//*Label 104*/ GIMT_Encode4(374982), GIMT_Encode4(0),
     /*    894 */ /*TargetOpcode::G_STRICT_FMA*//*Label 105*/ GIMT_Encode4(375598),
     /*    898 */ /*TargetOpcode::G_STRICT_FSQRT*//*Label 106*/ GIMT_Encode4(391205), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    934 */ /*TargetOpcode::G_TRAP*//*Label 107*/ GIMT_Encode4(391505),
     /*    938 */ /*TargetOpcode::G_DEBUGTRAP*//*Label 108*/ GIMT_Encode4(391519),
     /*    942 */ /*TargetOpcode::G_UBSANTRAP*//*Label 109*/ GIMT_Encode4(391540), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    954 */ /*TargetOpcode::G_VECREDUCE_FADD*//*Label 110*/ GIMT_Encode4(391565), GIMT_Encode4(0),
     /*    962 */ /*TargetOpcode::G_VECREDUCE_FMAX*//*Label 111*/ GIMT_Encode4(391875),
     /*    966 */ /*TargetOpcode::G_VECREDUCE_FMIN*//*Label 112*/ GIMT_Encode4(392046),
     /*    970 */ /*TargetOpcode::G_VECREDUCE_FMAXIMUM*//*Label 113*/ GIMT_Encode4(392217),
     /*    974 */ /*TargetOpcode::G_VECREDUCE_FMINIMUM*//*Label 114*/ GIMT_Encode4(392388),
     /*    978 */ /*TargetOpcode::G_VECREDUCE_ADD*//*Label 115*/ GIMT_Encode4(392559), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    998 */ /*TargetOpcode::G_VECREDUCE_SMAX*//*Label 116*/ GIMT_Encode4(393688),
     /*   1002 */ /*TargetOpcode::G_VECREDUCE_SMIN*//*Label 117*/ GIMT_Encode4(393891),
     /*   1006 */ /*TargetOpcode::G_VECREDUCE_UMAX*//*Label 118*/ GIMT_Encode4(394094),
     /*   1010 */ /*TargetOpcode::G_VECREDUCE_UMIN*//*Label 119*/ GIMT_Encode4(394297), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   3202 */ /*AArch64::G_AARCH64_PREFETCH*//*Label 120*/ GIMT_Encode4(394500), GIMT_Encode4(0),
     /*   3210 */ /*AArch64::G_BSP*//*Label 121*/ GIMT_Encode4(394640),
     /*   3214 */ /*AArch64::G_DUP*//*Label 122*/ GIMT_Encode4(395180),
     /*   3218 */ /*AArch64::G_DUPLANE16*//*Label 123*/ GIMT_Encode4(397003),
     /*   3222 */ /*AArch64::G_DUPLANE32*//*Label 124*/ GIMT_Encode4(397258),
     /*   3226 */ /*AArch64::G_DUPLANE64*//*Label 125*/ GIMT_Encode4(397513),
     /*   3230 */ /*AArch64::G_DUPLANE8*//*Label 126*/ GIMT_Encode4(397659),
     /*   3234 */ /*AArch64::G_EXT*//*Label 127*/ GIMT_Encode4(397838),
     /*   3238 */ /*AArch64::G_FCMEQ*//*Label 128*/ GIMT_Encode4(399488),
     /*   3242 */ /*AArch64::G_FCMEQZ*//*Label 129*/ GIMT_Encode4(399827),
     /*   3246 */ /*AArch64::G_FCMGE*//*Label 130*/ GIMT_Encode4(400057),
     /*   3250 */ /*AArch64::G_FCMGEZ*//*Label 131*/ GIMT_Encode4(400721),
     /*   3254 */ /*AArch64::G_FCMGT*//*Label 132*/ GIMT_Encode4(400951),
     /*   3258 */ /*AArch64::G_FCMGTZ*//*Label 133*/ GIMT_Encode4(401615),
     /*   3262 */ /*AArch64::G_FCMLEZ*//*Label 134*/ GIMT_Encode4(401845),
     /*   3266 */ /*AArch64::G_FCMLTZ*//*Label 135*/ GIMT_Encode4(402075),
     /*   3270 */ /*AArch64::G_REV16*//*Label 136*/ GIMT_Encode4(402305),
     /*   3274 */ /*AArch64::G_REV32*//*Label 137*/ GIMT_Encode4(402459),
     /*   3278 */ /*AArch64::G_REV64*//*Label 138*/ GIMT_Encode4(402635),
     /*   3282 */ /*AArch64::G_SADDLP*//*Label 139*/ GIMT_Encode4(402909),
     /*   3286 */ /*AArch64::G_SADDLV*//*Label 140*/ GIMT_Encode4(403115),
     /*   3290 */ /*AArch64::G_SDOT*//*Label 141*/ GIMT_Encode4(403514),
     /*   3294 */ /*AArch64::G_SITOF*//*Label 142*/ GIMT_Encode4(403884),
     /*   3298 */ /*AArch64::G_SMULL*//*Label 143*/ GIMT_Encode4(404001),
     /*   3302 */ /*AArch64::G_TRN1*//*Label 144*/ GIMT_Encode4(405234),
     /*   3306 */ /*AArch64::G_TRN2*//*Label 145*/ GIMT_Encode4(406014),
     /*   3310 */ /*AArch64::G_UADDLP*//*Label 146*/ GIMT_Encode4(406794),
     /*   3314 */ /*AArch64::G_UADDLV*//*Label 147*/ GIMT_Encode4(407000),
     /*   3318 */ /*AArch64::G_UDOT*//*Label 148*/ GIMT_Encode4(407867),
     /*   3322 */ /*AArch64::G_UITOF*//*Label 149*/ GIMT_Encode4(408237),
     /*   3326 */ /*AArch64::G_UMULL*//*Label 150*/ GIMT_Encode4(408354),
     /*   3330 */ /*AArch64::G_UZP1*//*Label 151*/ GIMT_Encode4(409587),
     /*   3334 */ /*AArch64::G_UZP2*//*Label 152*/ GIMT_Encode4(410367),
     /*   3338 */ /*AArch64::G_VASHR*//*Label 153*/ GIMT_Encode4(411147),
     /*   3342 */ /*AArch64::G_VLSHR*//*Label 154*/ GIMT_Encode4(411845),
     /*   3346 */ /*AArch64::G_ZIP1*//*Label 155*/ GIMT_Encode4(412301),
     /*   3350 */ /*AArch64::G_ZIP2*//*Label 156*/ GIMT_Encode4(413081),
     /*   3354 */ // Label 0: @3354
     /*   3354 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(24), /*)*//*default:*//*Label 171*/ GIMT_Encode4(36348),
     /*   3365 */ /*GILLT_s32*//*Label 158*/ GIMT_Encode4(3453),
     /*   3369 */ /*GILLT_s64*//*Label 159*/ GIMT_Encode4(6232), GIMT_Encode4(0),
     /*   3377 */ /*GILLT_v2s32*//*Label 160*/ GIMT_Encode4(11560),
     /*   3381 */ /*GILLT_v2s64*//*Label 161*/ GIMT_Encode4(15168),
     /*   3385 */ /*GILLT_v4s16*//*Label 162*/ GIMT_Encode4(21070),
     /*   3389 */ /*GILLT_v4s32*//*Label 163*/ GIMT_Encode4(24568),
     /*   3393 */ /*GILLT_v8s8*//*Label 164*/ GIMT_Encode4(30746),
     /*   3397 */ /*GILLT_v8s16*//*Label 165*/ GIMT_Encode4(31596),
     /*   3401 */ /*GILLT_v16s8*//*Label 166*/ GIMT_Encode4(35174), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   3421 */ /*GILLT_nxv2s64*//*Label 167*/ GIMT_Encode4(35898), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   3433 */ /*GILLT_nxv4s32*//*Label 168*/ GIMT_Encode4(36270), GIMT_Encode4(0),
     /*   3441 */ /*GILLT_nxv8s16*//*Label 169*/ GIMT_Encode4(36296), GIMT_Encode4(0),
     /*   3449 */ /*GILLT_nxv16s8*//*Label 170*/ GIMT_Encode4(36322),
     /*   3453 */ // Label 158: @3453
     /*   3453 */ GIM_Try, /*On fail goto*//*Label 172*/ GIMT_Encode4(6231),
     /*   3458 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   3461 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   3464 */   GIM_Try, /*On fail goto*//*Label 173*/ GIMT_Encode4(3497), // Rule ID 13121 //
     /*   3469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*   3473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*   3477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addsub_shifted_imm32),
     /*   3484 */     // (add:{ *:[i32] } addsub_shifted_imm32:{ *:[i32] }:$imm, GPR32sp:{ *:[i32] }:$Rn)  =>  (ADDWri:{ *:[i32] } GPR32sp:{ *:[i32] }:$Rn, addsub_shifted_imm32:{ *:[i32] }:$imm)
     /*   3484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDWri),
     /*   3487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   3489 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*   3491 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*   3495 */     GIR_RootConstrainSelectedInstOperands,
     /*   3496 */     // GIR_Coverage, 13121,
     /*   3496 */     GIR_EraseRootFromParent_Done,
     /*   3497 */   // Label 173: @3497
     /*   3497 */   GIM_Try, /*On fail goto*//*Label 174*/ GIMT_Encode4(3649), // Rule ID 13548 //
     /*   3502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   3505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   3513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   3517 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   3521 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   3525 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   3529 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*   3532 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntb),
     /*   3537 */     // MIs[2] pattern
     /*   3537 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*   3540 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   3545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3549 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   3551 */     // (add:{ *:[i32] } (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1318:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)), GPR32:{ *:[i32] }:$Rdn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCB_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*   3551 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   3554 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   3558 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   3563 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   3565 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   3568 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   3572 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   3577 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   3580 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rdn
     /*   3584 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   3587 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   3592 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   3597 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3602 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   3605 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCB_XPiI),
     /*   3609 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   3614 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   3617 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*   3621 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*   3624 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   3626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   3629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3631 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   3638 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3643 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   3648 */     // GIR_Coverage, 13548,
     /*   3648 */     GIR_EraseRootFromParent_Done,
     /*   3649 */   // Label 174: @3649
     /*   3649 */   GIM_Try, /*On fail goto*//*Label 175*/ GIMT_Encode4(3801), // Rule ID 15399 //
     /*   3654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   3657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   3665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   3669 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   3673 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   3677 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   3681 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*   3684 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnth),
     /*   3689 */     // MIs[2] pattern
     /*   3689 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*   3692 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   3697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3701 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   3703 */     // (add:{ *:[i32] } (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1320:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)), GPR32:{ *:[i32] }:$Rdn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCH_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*   3703 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   3706 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   3710 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   3715 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   3717 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   3720 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   3724 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   3729 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   3732 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rdn
     /*   3736 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   3739 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   3744 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   3749 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3754 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   3757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCH_XPiI),
     /*   3761 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   3766 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   3769 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*   3773 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*   3776 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   3778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   3781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3783 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   3790 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3795 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   3800 */     // GIR_Coverage, 15399,
     /*   3800 */     GIR_EraseRootFromParent_Done,
     /*   3801 */   // Label 175: @3801
     /*   3801 */   GIM_Try, /*On fail goto*//*Label 176*/ GIMT_Encode4(3953), // Rule ID 15411 //
     /*   3806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   3809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   3817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   3821 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   3825 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   3829 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   3833 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*   3836 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntw),
     /*   3841 */     // MIs[2] pattern
     /*   3841 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*   3844 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   3849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3853 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   3855 */     // (add:{ *:[i32] } (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1326:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)), GPR32:{ *:[i32] }:$Rdn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCW_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*   3855 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   3858 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   3862 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   3867 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   3869 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   3872 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   3876 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   3881 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   3884 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rdn
     /*   3888 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   3891 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   3896 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   3901 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3906 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   3909 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCW_XPiI),
     /*   3913 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   3918 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   3921 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*   3925 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*   3928 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   3930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   3933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3935 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   3942 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3947 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   3952 */     // GIR_Coverage, 15411,
     /*   3952 */     GIR_EraseRootFromParent_Done,
     /*   3953 */   // Label 176: @3953
     /*   3953 */   GIM_Try, /*On fail goto*//*Label 177*/ GIMT_Encode4(4105), // Rule ID 15423 //
     /*   3958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   3961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   3969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   3973 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   3977 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   3981 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   3985 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*   3988 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntd),
     /*   3993 */     // MIs[2] pattern
     /*   3993 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*   3996 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   4001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4005 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   4007 */     // (add:{ *:[i32] } (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1319:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)), GPR32:{ *:[i32] }:$Rdn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCD_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*   4007 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   4010 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   4014 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   4021 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   4024 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   4028 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4033 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   4036 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rdn
     /*   4040 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   4043 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   4048 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   4053 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4058 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   4061 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCD_XPiI),
     /*   4065 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4070 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   4073 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*   4077 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*   4080 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   4082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   4085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4087 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   4094 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4099 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   4104 */     // GIR_Coverage, 15423,
     /*   4104 */     GIR_EraseRootFromParent_Done,
     /*   4105 */   // Label 177: @4105
     /*   4105 */   GIM_Try, /*On fail goto*//*Label 178*/ GIMT_Encode4(4138), // Rule ID 91 //
     /*   4110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*   4114 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*   4118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addsub_shifted_imm32),
     /*   4125 */     // (add:{ *:[i32] } GPR32sp:{ *:[i32] }:$Rn, addsub_shifted_imm32:{ *:[i32] }:$imm)  =>  (ADDWri:{ *:[i32] } GPR32sp:{ *:[i32] }:$Rn, addsub_shifted_imm32:{ *:[i32] }:$imm)
     /*   4125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDWri),
     /*   4128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   4130 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*   4132 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*   4136 */     GIR_RootConstrainSelectedInstOperands,
     /*   4137 */     // GIR_Coverage, 91,
     /*   4137 */     GIR_EraseRootFromParent_Done,
     /*   4138 */   // Label 178: @4138
     /*   4138 */   GIM_Try, /*On fail goto*//*Label 179*/ GIMT_Encode4(4290), // Rule ID 2656 //
     /*   4143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   4146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4150 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   4158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   4162 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   4166 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   4170 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   4174 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*   4177 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntb),
     /*   4182 */     // MIs[2] pattern
     /*   4182 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*   4185 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   4190 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   4192 */     // (add:{ *:[i32] } GPR32:{ *:[i32] }:$Rdn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1318:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)))  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCB_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*   4192 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   4195 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   4199 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4204 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   4206 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   4209 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   4213 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4218 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   4221 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rdn
     /*   4225 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   4228 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   4233 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   4238 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4243 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   4246 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCB_XPiI),
     /*   4250 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4255 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   4258 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*   4262 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*   4265 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   4267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   4270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4272 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   4279 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4284 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   4289 */     // GIR_Coverage, 2656,
     /*   4289 */     GIR_EraseRootFromParent_Done,
     /*   4290 */   // Label 179: @4290
     /*   4290 */   GIM_Try, /*On fail goto*//*Label 180*/ GIMT_Encode4(4442), // Rule ID 9888 //
     /*   4295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   4298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4302 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   4310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   4314 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   4318 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   4322 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   4326 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*   4329 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnth),
     /*   4334 */     // MIs[2] pattern
     /*   4334 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*   4337 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   4342 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   4344 */     // (add:{ *:[i32] } GPR32:{ *:[i32] }:$Rdn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1320:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)))  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCH_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*   4344 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   4347 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   4351 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   4358 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   4361 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   4365 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4370 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   4373 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rdn
     /*   4377 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   4380 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   4385 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   4390 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4395 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   4398 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCH_XPiI),
     /*   4402 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4407 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   4410 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*   4414 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*   4417 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   4419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   4422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4424 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   4431 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4436 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   4441 */     // GIR_Coverage, 9888,
     /*   4441 */     GIR_EraseRootFromParent_Done,
     /*   4442 */   // Label 180: @4442
     /*   4442 */   GIM_Try, /*On fail goto*//*Label 181*/ GIMT_Encode4(4594), // Rule ID 9900 //
     /*   4447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   4450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4454 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   4462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   4466 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   4470 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   4474 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   4478 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*   4481 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntw),
     /*   4486 */     // MIs[2] pattern
     /*   4486 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*   4489 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   4494 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   4496 */     // (add:{ *:[i32] } GPR32:{ *:[i32] }:$Rdn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1326:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)))  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCW_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*   4496 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   4499 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   4503 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4508 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   4510 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   4513 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   4517 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4522 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   4525 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rdn
     /*   4529 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   4532 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   4537 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   4542 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4547 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   4550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCW_XPiI),
     /*   4554 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4559 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   4562 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*   4566 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*   4569 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   4571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   4574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4576 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   4583 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4588 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   4593 */     // GIR_Coverage, 9900,
     /*   4593 */     GIR_EraseRootFromParent_Done,
     /*   4594 */   // Label 181: @4594
     /*   4594 */   GIM_Try, /*On fail goto*//*Label 182*/ GIMT_Encode4(4746), // Rule ID 9912 //
     /*   4599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   4602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4606 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   4614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   4618 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   4622 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   4626 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   4630 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*   4633 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntd),
     /*   4638 */     // MIs[2] pattern
     /*   4638 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*   4641 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   4646 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   4648 */     // (add:{ *:[i32] } GPR32:{ *:[i32] }:$Rdn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1319:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)))  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCD_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*   4648 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   4651 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   4655 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4660 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   4662 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   4665 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   4669 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4674 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   4677 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rdn
     /*   4681 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   4684 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   4689 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   4694 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4699 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   4702 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCD_XPiI),
     /*   4706 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4711 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   4714 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*   4718 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*   4721 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   4723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   4726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4728 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   4735 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4740 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   4745 */     // GIR_Coverage, 9912,
     /*   4745 */     GIR_EraseRootFromParent_Done,
     /*   4746 */   // Label 182: @4746
     /*   4746 */   GIM_Try, /*On fail goto*//*Label 183*/ GIMT_Encode4(4903), // Rule ID 15442 //
     /*   4751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*   4754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   4762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   4766 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   4770 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   4774 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   4778 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*   4781 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*   4786 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   4790 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   4792 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*   4797 */     // MIs[2] pred
     /*   4797 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/3, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*   4802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4806 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   4808 */     // (add:{ *:[i32] } (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1321:{ *:[iPTR] }, PPRAny:{ *:[nxv16i1] }:$pred, PPRAny:{ *:[nxv16i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>), GPR32:{ *:[i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCP_XP_B:{ *:[i64] } PPRAny:{ *:[nxv16i1] }:$pred, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rn, sub_32:{ *:[i32] })), sub_32:{ *:[i32] })
     /*   4808 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   4811 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   4815 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4820 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   4822 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   4825 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   4829 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4834 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   4837 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*   4841 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   4844 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   4849 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   4854 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   4862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_B),
     /*   4866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4871 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pred
     /*   4875 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   4878 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   4880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   4883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4885 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   4892 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4897 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   4902 */     // GIR_Coverage, 15442,
     /*   4902 */     GIR_EraseRootFromParent_Done,
     /*   4903 */   // Label 183: @4903
     /*   4903 */   GIM_Try, /*On fail goto*//*Label 184*/ GIMT_Encode4(5060), // Rule ID 15443 //
     /*   4908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*   4911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   4919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   4923 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   4927 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   4931 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   4935 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*   4938 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*   4943 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   4947 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   4949 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*   4954 */     // MIs[2] pred
     /*   4954 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/3, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*   4959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4963 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   4965 */     // (add:{ *:[i32] } (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1321:{ *:[iPTR] }, PPRAny:{ *:[nxv8i1] }:$pred, PPRAny:{ *:[nxv8i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>), GPR32:{ *:[i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCP_XP_H:{ *:[i64] } PPRAny:{ *:[nxv8i1] }:$pred, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rn, sub_32:{ *:[i32] })), sub_32:{ *:[i32] })
     /*   4965 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   4968 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   4972 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4977 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   4979 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   4982 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   4986 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4991 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   4994 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*   4998 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   5001 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   5006 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   5011 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5016 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   5019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_H),
     /*   5023 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5028 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pred
     /*   5032 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   5035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   5037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   5040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5042 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   5049 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5054 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   5059 */     // GIR_Coverage, 15443,
     /*   5059 */     GIR_EraseRootFromParent_Done,
     /*   5060 */   // Label 184: @5060
     /*   5060 */   GIM_Try, /*On fail goto*//*Label 185*/ GIMT_Encode4(5217), // Rule ID 15444 //
     /*   5065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*   5068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   5076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   5080 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   5084 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   5088 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   5092 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*   5095 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*   5100 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   5104 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   5106 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*   5111 */     // MIs[2] pred
     /*   5111 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/3, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*   5116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5120 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   5122 */     // (add:{ *:[i32] } (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1321:{ *:[iPTR] }, PPRAny:{ *:[nxv4i1] }:$pred, PPRAny:{ *:[nxv4i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>), GPR32:{ *:[i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCP_XP_S:{ *:[i64] } PPRAny:{ *:[nxv4i1] }:$pred, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rn, sub_32:{ *:[i32] })), sub_32:{ *:[i32] })
     /*   5122 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   5125 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   5129 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5134 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   5136 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   5139 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   5143 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5148 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   5151 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*   5155 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   5158 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   5163 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   5168 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5173 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   5176 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_S),
     /*   5180 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5185 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pred
     /*   5189 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   5192 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   5194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   5197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5199 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   5206 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5211 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   5216 */     // GIR_Coverage, 15444,
     /*   5216 */     GIR_EraseRootFromParent_Done,
     /*   5217 */   // Label 185: @5217
     /*   5217 */   GIM_Try, /*On fail goto*//*Label 186*/ GIMT_Encode4(5374), // Rule ID 15445 //
     /*   5222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*   5225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   5233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   5237 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   5241 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   5245 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   5249 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*   5252 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*   5257 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   5261 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   5263 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*   5268 */     // MIs[2] pred
     /*   5268 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/3, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*   5273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5277 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   5279 */     // (add:{ *:[i32] } (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1321:{ *:[iPTR] }, PPRAny:{ *:[nxv2i1] }:$pred, PPRAny:{ *:[nxv2i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>), GPR32:{ *:[i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCP_XP_D:{ *:[i64] } PPRAny:{ *:[nxv2i1] }:$pred, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rn, sub_32:{ *:[i32] })), sub_32:{ *:[i32] })
     /*   5279 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   5282 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   5286 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5291 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   5293 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   5296 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   5300 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5305 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   5308 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*   5312 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   5315 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   5320 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   5325 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5330 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   5333 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_D),
     /*   5337 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5342 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pred
     /*   5346 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   5349 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   5351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   5354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5356 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   5363 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5368 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   5373 */     // GIR_Coverage, 15445,
     /*   5373 */     GIR_EraseRootFromParent_Done,
     /*   5374 */   // Label 186: @5374
     /*   5374 */   GIM_Try, /*On fail goto*//*Label 187*/ GIMT_Encode4(5531), // Rule ID 10004 //
     /*   5379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*   5382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5386 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   5394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   5398 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   5402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   5406 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   5410 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*   5413 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*   5418 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   5422 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   5424 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*   5429 */     // MIs[2] pred
     /*   5429 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/3, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*   5434 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   5436 */     // (add:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1321:{ *:[iPTR] }, PPRAny:{ *:[nxv16i1] }:$pred, PPRAny:{ *:[nxv16i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>))  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCP_XP_B:{ *:[i64] } PPRAny:{ *:[nxv16i1] }:$pred, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rn, sub_32:{ *:[i32] })), sub_32:{ *:[i32] })
     /*   5436 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   5439 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   5443 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5448 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   5450 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   5453 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   5457 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5462 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   5465 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*   5469 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   5472 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   5477 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   5482 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5487 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   5490 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_B),
     /*   5494 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5499 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pred
     /*   5503 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   5506 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   5508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   5511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5513 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   5520 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5525 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   5530 */     // GIR_Coverage, 10004,
     /*   5530 */     GIR_EraseRootFromParent_Done,
     /*   5531 */   // Label 187: @5531
     /*   5531 */   GIM_Try, /*On fail goto*//*Label 188*/ GIMT_Encode4(5688), // Rule ID 10005 //
     /*   5536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*   5539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   5551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   5555 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   5559 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   5563 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   5567 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*   5570 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*   5575 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   5579 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   5581 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*   5586 */     // MIs[2] pred
     /*   5586 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/3, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*   5591 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   5593 */     // (add:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1321:{ *:[iPTR] }, PPRAny:{ *:[nxv8i1] }:$pred, PPRAny:{ *:[nxv8i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>))  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCP_XP_H:{ *:[i64] } PPRAny:{ *:[nxv8i1] }:$pred, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rn, sub_32:{ *:[i32] })), sub_32:{ *:[i32] })
     /*   5593 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   5596 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   5600 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5605 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   5607 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   5610 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   5614 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5619 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   5622 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*   5626 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   5629 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   5634 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   5639 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5644 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   5647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_H),
     /*   5651 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5656 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pred
     /*   5660 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   5663 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   5665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   5668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5670 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   5677 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5682 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   5687 */     // GIR_Coverage, 10005,
     /*   5687 */     GIR_EraseRootFromParent_Done,
     /*   5688 */   // Label 188: @5688
     /*   5688 */   GIM_Try, /*On fail goto*//*Label 189*/ GIMT_Encode4(5845), // Rule ID 10006 //
     /*   5693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*   5696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   5708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   5712 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   5716 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   5720 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   5724 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*   5727 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*   5732 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   5736 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   5738 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*   5743 */     // MIs[2] pred
     /*   5743 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/3, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*   5748 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   5750 */     // (add:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1321:{ *:[iPTR] }, PPRAny:{ *:[nxv4i1] }:$pred, PPRAny:{ *:[nxv4i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>))  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCP_XP_S:{ *:[i64] } PPRAny:{ *:[nxv4i1] }:$pred, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rn, sub_32:{ *:[i32] })), sub_32:{ *:[i32] })
     /*   5750 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   5753 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   5757 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5762 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   5764 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   5767 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   5771 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5776 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   5779 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*   5783 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   5786 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   5791 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   5796 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5801 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   5804 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_S),
     /*   5808 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pred
     /*   5817 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   5820 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   5822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   5825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5827 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   5834 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5839 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   5844 */     // GIR_Coverage, 10006,
     /*   5844 */     GIR_EraseRootFromParent_Done,
     /*   5845 */   // Label 189: @5845
     /*   5845 */   GIM_Try, /*On fail goto*//*Label 190*/ GIMT_Encode4(6002), // Rule ID 10007 //
     /*   5850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*   5853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   5865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   5869 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   5873 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   5877 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   5881 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*   5884 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*   5889 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   5893 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   5895 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*   5900 */     // MIs[2] pred
     /*   5900 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/3, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*   5905 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   5907 */     // (add:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1321:{ *:[iPTR] }, PPRAny:{ *:[nxv2i1] }:$pred, PPRAny:{ *:[nxv2i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>))  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCP_XP_D:{ *:[i64] } PPRAny:{ *:[nxv2i1] }:$pred, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rn, sub_32:{ *:[i32] })), sub_32:{ *:[i32] })
     /*   5907 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   5910 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   5914 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   5921 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   5924 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   5928 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5933 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   5936 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*   5940 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   5943 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   5948 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   5953 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5958 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   5961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_D),
     /*   5965 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5970 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pred
     /*   5974 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   5977 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   5979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   5982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5984 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   5991 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5996 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   6001 */     // GIR_Coverage, 10007,
     /*   6001 */     GIR_EraseRootFromParent_Done,
     /*   6002 */   // Label 190: @6002
     /*   6002 */   GIM_Try, /*On fail goto*//*Label 191*/ GIMT_Encode4(6035), // Rule ID 13125 //
     /*   6007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*   6011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*   6015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_extended_reg32_i32),
     /*   6022 */     // (add:{ *:[i32] } arith_extended_reg32_i32:{ *:[i32] }:$Rm_and_extend, GPR32sp:{ *:[i32] }:$Rn)  =>  (ADDWrx:{ *:[i32] } GPR32sp:{ *:[i32] }:$Rn, arith_extended_reg32_i32:{ *:[i32] }:$Rm_and_extend)
     /*   6022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDWrx),
     /*   6025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   6027 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*   6029 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_extend
     /*   6033 */     GIR_RootConstrainSelectedInstOperands,
     /*   6034 */     // GIR_Coverage, 13125,
     /*   6034 */     GIR_EraseRootFromParent_Done,
     /*   6035 */   // Label 191: @6035
     /*   6035 */   GIM_Try, /*On fail goto*//*Label 192*/ GIMT_Encode4(6071), // Rule ID 13688 //
     /*   6040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_neg_addsub_shifted_imm32),
     /*   6055 */     // (add:{ *:[i32] } neg_addsub_shifted_imm32:{ *:[i32] }:$imm, GPR32:{ *:[i32] }:$Rn)  =>  (SUBSWri:{ *:[i32] }:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, neg_addsub_shifted_imm32:{ *:[i32] }:$imm)
     /*   6055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBSWri),
     /*   6058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   6060 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*   6062 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*   6066 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /*   6069 */     GIR_RootConstrainSelectedInstOperands,
     /*   6070 */     // GIR_Coverage, 13688,
     /*   6070 */     GIR_EraseRootFromParent_Done,
     /*   6071 */   // Label 192: @6071
     /*   6071 */   GIM_Try, /*On fail goto*//*Label 193*/ GIMT_Encode4(6104), // Rule ID 97 //
     /*   6076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*   6080 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*   6084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_extended_reg32_i32),
     /*   6091 */     // (add:{ *:[i32] } GPR32sp:{ *:[i32] }:$Rn, arith_extended_reg32_i32:{ *:[i32] }:$Rm_and_extend)  =>  (ADDWrx:{ *:[i32] } GPR32sp:{ *:[i32] }:$Rn, arith_extended_reg32_i32:{ *:[i32] }:$Rm_and_extend)
     /*   6091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDWrx),
     /*   6094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   6096 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*   6098 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_extend
     /*   6102 */     GIR_RootConstrainSelectedInstOperands,
     /*   6103 */     // GIR_Coverage, 97,
     /*   6103 */     GIR_EraseRootFromParent_Done,
     /*   6104 */   // Label 193: @6104
     /*   6104 */   GIM_Try, /*On fail goto*//*Label 194*/ GIMT_Encode4(6140), // Rule ID 3911 //
     /*   6109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6113 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_neg_addsub_shifted_imm32),
     /*   6124 */     // (add:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, neg_addsub_shifted_imm32:{ *:[i32] }:$imm)  =>  (SUBSWri:{ *:[i32] }:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, neg_addsub_shifted_imm32:{ *:[i32] }:$imm)
     /*   6124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBSWri),
     /*   6127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   6129 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*   6131 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*   6135 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /*   6138 */     GIR_RootConstrainSelectedInstOperands,
     /*   6139 */     // GIR_Coverage, 3911,
     /*   6139 */     GIR_EraseRootFromParent_Done,
     /*   6140 */   // Label 194: @6140
     /*   6140 */   GIM_Try, /*On fail goto*//*Label 195*/ GIMT_Encode4(6173), // Rule ID 13123 //
     /*   6145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_shifted_reg32),
     /*   6160 */     // (add:{ *:[i32] } arith_shifted_reg32:{ *:[i32] }:$Rm_and_shift, GPR32:{ *:[i32] }:$Rn)  =>  (ADDWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, arith_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*   6160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDWrs),
     /*   6163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   6165 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*   6167 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*   6171 */     GIR_RootConstrainSelectedInstOperands,
     /*   6172 */     // GIR_Coverage, 13123,
     /*   6172 */     GIR_EraseRootFromParent_Done,
     /*   6173 */   // Label 195: @6173
     /*   6173 */   GIM_Try, /*On fail goto*//*Label 196*/ GIMT_Encode4(6206), // Rule ID 95 //
     /*   6178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6182 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_shifted_reg32),
     /*   6193 */     // (add:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, arith_shifted_reg32:{ *:[i32] }:$Rm_and_shift)  =>  (ADDWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, arith_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*   6193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDWrs),
     /*   6196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   6198 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*   6200 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*   6204 */     GIR_RootConstrainSelectedInstOperands,
     /*   6205 */     // GIR_Coverage, 95,
     /*   6205 */     GIR_EraseRootFromParent_Done,
     /*   6206 */   // Label 196: @6206
     /*   6206 */   GIM_Try, /*On fail goto*//*Label 197*/ GIMT_Encode4(6230), // Rule ID 93 //
     /*   6211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6223 */     // (add:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (ADDWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*   6223 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDWrr),
     /*   6228 */     GIR_RootConstrainSelectedInstOperands,
     /*   6229 */     // GIR_Coverage, 93,
     /*   6229 */     GIR_Done,
     /*   6230 */   // Label 197: @6230
     /*   6230 */   GIM_Reject,
     /*   6231 */ // Label 172: @6231
     /*   6231 */ GIM_Reject,
     /*   6232 */ // Label 159: @6232
     /*   6232 */ GIM_Try, /*On fail goto*//*Label 198*/ GIMT_Encode4(11559),
     /*   6237 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   6240 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   6243 */   GIM_Try, /*On fail goto*//*Label 199*/ GIMT_Encode4(6379), // Rule ID 5362 //
     /*   6248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   6256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   6260 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   6264 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   6268 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   6272 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   6276 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6281 */     // MIs[1] Operand 2
     /*   6281 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   6292 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*   6296 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   6300 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   6304 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*   6308 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   6312 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   6316 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6321 */     // MIs[3] Operand 2
     /*   6321 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*   6332 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*   6334 */     // (add:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (UADDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   6334 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   6337 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv2i32_v2i64),
     /*   6341 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   6346 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   6350 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*   6354 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   6356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   6359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   6361 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   6368 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6373 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   6378 */     // GIR_Coverage, 5362,
     /*   6378 */     GIR_EraseRootFromParent_Done,
     /*   6379 */   // Label 199: @6379
     /*   6379 */   GIM_Try, /*On fail goto*//*Label 200*/ GIMT_Encode4(6515), // Rule ID 5361 //
     /*   6384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   6392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   6396 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   6400 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   6404 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   6408 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   6412 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6417 */     // MIs[1] Operand 2
     /*   6417 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   6428 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*   6432 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   6436 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   6440 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*   6444 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   6448 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   6452 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6457 */     // MIs[3] Operand 2
     /*   6457 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*   6468 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*   6470 */     // (add:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v1i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (UADDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   6470 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   6473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv2i32_v2i64),
     /*   6477 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   6482 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   6486 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*   6490 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   6492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   6495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   6497 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   6504 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6509 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   6514 */     // GIR_Coverage, 5361,
     /*   6514 */     GIR_EraseRootFromParent_Done,
     /*   6515 */   // Label 200: @6515
     /*   6515 */   GIM_Try, /*On fail goto*//*Label 201*/ GIMT_Encode4(6651), // Rule ID 5371 //
     /*   6520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   6528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   6532 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   6536 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   6540 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   6544 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   6548 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6553 */     // MIs[1] Operand 2
     /*   6553 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   6564 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*   6568 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   6572 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   6576 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*   6580 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   6584 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   6588 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6593 */     // MIs[3] Operand 2
     /*   6593 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*   6604 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*   6606 */     // (add:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v1i64] } (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (SADDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   6606 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   6609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDLv2i32_v2i64),
     /*   6613 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   6618 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   6622 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*   6626 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   6628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   6631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   6633 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   6640 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6645 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   6650 */     // GIR_Coverage, 5371,
     /*   6650 */     GIR_EraseRootFromParent_Done,
     /*   6651 */   // Label 201: @6651
     /*   6651 */   GIM_Try, /*On fail goto*//*Label 202*/ GIMT_Encode4(6787), // Rule ID 5360 //
     /*   6656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   6664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   6668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   6672 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   6676 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   6680 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   6684 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6689 */     // MIs[1] Operand 2
     /*   6689 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   6700 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*   6704 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   6708 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   6712 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*   6716 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   6720 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   6724 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6729 */     // MIs[3] Operand 2
     /*   6729 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*   6740 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*   6742 */     // (add:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (UADDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   6742 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   6745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv2i32_v2i64),
     /*   6749 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   6754 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   6758 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*   6762 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   6764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   6767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   6769 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   6776 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6781 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   6786 */     // GIR_Coverage, 5360,
     /*   6786 */     GIR_EraseRootFromParent_Done,
     /*   6787 */   // Label 202: @6787
     /*   6787 */   GIM_Try, /*On fail goto*//*Label 203*/ GIMT_Encode4(6923), // Rule ID 5359 //
     /*   6792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   6800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   6804 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   6808 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   6812 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   6816 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   6820 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6825 */     // MIs[1] Operand 2
     /*   6825 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   6836 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*   6840 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   6844 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   6848 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*   6852 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   6856 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   6860 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6865 */     // MIs[3] Operand 2
     /*   6865 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*   6876 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*   6878 */     // (add:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v1i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (UADDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   6878 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   6881 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv2i32_v2i64),
     /*   6885 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   6890 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   6894 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*   6898 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   6900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   6903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   6905 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   6912 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6917 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   6922 */     // GIR_Coverage, 5359,
     /*   6922 */     GIR_EraseRootFromParent_Done,
     /*   6923 */   // Label 203: @6923
     /*   6923 */   GIM_Try, /*On fail goto*//*Label 204*/ GIMT_Encode4(6991), // Rule ID 6876 //
     /*   6928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   6936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /*   6940 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   6944 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   6948 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   6953 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /*   6957 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   6961 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /*   6965 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   6969 */     // MIs[2] Rn
     /*   6969 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*   6974 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*   6978 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   6980 */     // (add:{ *:[i64] } (vector_extract:{ *:[i64] } FPR128:{ *:[v2i64] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[i64] } FPR128:{ *:[v2i64] }:$Rn, 1:{ *:[i64] }))  =>  (ADDPv2i64p:{ *:[i64] } FPR128:{ *:[v2i64] }:$Rn)
     /*   6980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i64p),
     /*   6983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   6985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*   6989 */     GIR_RootConstrainSelectedInstOperands,
     /*   6990 */     // GIR_Coverage, 6876,
     /*   6990 */     GIR_EraseRootFromParent_Done,
     /*   6991 */   // Label 204: @6991
     /*   6991 */   GIM_Try, /*On fail goto*//*Label 205*/ GIMT_Encode4(7059), // Rule ID 13843 //
     /*   6996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   7000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   7004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /*   7008 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   7012 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   7016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   7021 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*   7025 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   7029 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /*   7033 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   7037 */     // MIs[2] Rn
     /*   7037 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*   7042 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /*   7046 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   7048 */     // (add:{ *:[i64] } (vector_extract:{ *:[i64] } FPR128:{ *:[v2i64] }:$Rn, 1:{ *:[i64] }), (vector_extract:{ *:[i64] } FPR128:{ *:[v2i64] }:$Rn, 0:{ *:[i64] }))  =>  (ADDPv2i64p:{ *:[i64] } FPR128:{ *:[v2i64] }:$Rn)
     /*   7048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i64p),
     /*   7051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   7053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*   7057 */     GIR_RootConstrainSelectedInstOperands,
     /*   7058 */     // GIR_Coverage, 13843,
     /*   7058 */     GIR_EraseRootFromParent_Done,
     /*   7059 */   // Label 205: @7059
     /*   7059 */   GIM_Try, /*On fail goto*//*Label 206*/ GIMT_Encode4(7092), // Rule ID 13122 //
     /*   7064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*   7068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*   7072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addsub_shifted_imm64),
     /*   7079 */     // (add:{ *:[i64] } addsub_shifted_imm64:{ *:[i64] }:$imm, GPR64sp:{ *:[i64] }:$Rn)  =>  (ADDXri:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, addsub_shifted_imm64:{ *:[i64] }:$imm)
     /*   7079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDXri),
     /*   7082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   7084 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*   7086 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*   7090 */     GIR_RootConstrainSelectedInstOperands,
     /*   7091 */     // GIR_Coverage, 13122,
     /*   7091 */     GIR_EraseRootFromParent_Done,
     /*   7092 */   // Label 206: @7092
     /*   7092 */   GIM_Try, /*On fail goto*//*Label 207*/ GIMT_Encode4(7225), // Rule ID 3963 //
     /*   7097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   7105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   7109 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   7113 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   7117 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   7121 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*   7125 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   7129 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7134 */     // MIs[2] Operand 2
     /*   7134 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(32),
     /*   7145 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   7149 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   7153 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_s64imm_32bit),
     /*   7157 */     // MIs[3] Operand 1
     /*   7157 */     // No operand predicates
     /*   7157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7161 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   7163 */     // (add:{ *:[i64] } (mul:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, i32:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_s64imm_32bit>>:$C), GPR64:{ *:[i64] }:$Ra)  =>  (SMADDLrrr:{ *:[i64] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, sub_32:{ *:[i32] }), (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), GPR64:{ *:[i64] }:$Ra)
     /*   7163 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*   7166 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*   7170 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   7175 */     GIR_CustomRenderer, /*InsnID*/2, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*   7180 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   7182 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   7185 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   7189 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   7194 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // Rn
     /*   7200 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   7205 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMADDLrrr),
     /*   7213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   7215 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   7218 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   7221 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ra
     /*   7223 */     GIR_RootConstrainSelectedInstOperands,
     /*   7224 */     // GIR_Coverage, 3963,
     /*   7224 */     GIR_EraseRootFromParent_Done,
     /*   7225 */   // Label 207: @7225
     /*   7225 */   GIM_Try, /*On fail goto*//*Label 208*/ GIMT_Encode4(7320), // Rule ID 3961 //
     /*   7230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   7238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   7242 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   7246 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   7250 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   7254 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   7258 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   7262 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   7267 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   7271 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   7275 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_s64imm_32bit),
     /*   7279 */     // MIs[3] Operand 1
     /*   7279 */     // No operand predicates
     /*   7279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7283 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   7285 */     // (add:{ *:[i64] } (mul:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (imm:{ *:[i64] })<<P:Predicate_s64imm_32bit>>:$C), GPR64:{ *:[i64] }:$Ra)  =>  (SMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), GPR64:{ *:[i64] }:$Ra)
     /*   7285 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   7288 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*   7292 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   7297 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*   7302 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   7304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMADDLrrr),
     /*   7307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   7309 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   7313 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   7316 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ra
     /*   7318 */     GIR_RootConstrainSelectedInstOperands,
     /*   7319 */     // GIR_Coverage, 3961,
     /*   7319 */     GIR_EraseRootFromParent_Done,
     /*   7320 */   // Label 208: @7320
     /*   7320 */   GIM_Try, /*On fail goto*//*Label 209*/ GIMT_Encode4(7415), // Rule ID 3962 //
     /*   7325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   7333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   7337 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   7341 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   7345 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   7349 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   7353 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   7357 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   7362 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   7366 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   7370 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64imm_32bit),
     /*   7374 */     // MIs[3] Operand 1
     /*   7374 */     // No operand predicates
     /*   7374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7378 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   7380 */     // (add:{ *:[i64] } (mul:{ *:[i64] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (imm:{ *:[i64] })<<P:Predicate_i64imm_32bit>>:$C), GPR64:{ *:[i64] }:$Ra)  =>  (UMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), GPR64:{ *:[i64] }:$Ra)
     /*   7380 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   7383 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*   7387 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   7392 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*   7397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   7399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMADDLrrr),
     /*   7402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   7404 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   7408 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   7411 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ra
     /*   7413 */     GIR_RootConstrainSelectedInstOperands,
     /*   7414 */     // GIR_Coverage, 3962,
     /*   7414 */     GIR_EraseRootFromParent_Done,
     /*   7415 */   // Label 209: @7415
     /*   7415 */   GIM_Try, /*On fail goto*//*Label 210*/ GIMT_Encode4(7448), // Rule ID 92 //
     /*   7420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*   7424 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*   7428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addsub_shifted_imm64),
     /*   7435 */     // (add:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, addsub_shifted_imm64:{ *:[i64] }:$imm)  =>  (ADDXri:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, addsub_shifted_imm64:{ *:[i64] }:$imm)
     /*   7435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDXri),
     /*   7438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   7440 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*   7442 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*   7446 */     GIR_RootConstrainSelectedInstOperands,
     /*   7447 */     // GIR_Coverage, 92,
     /*   7447 */     GIR_EraseRootFromParent_Done,
     /*   7448 */   // Label 210: @7448
     /*   7448 */   GIM_Try, /*On fail goto*//*Label 211*/ GIMT_Encode4(7581), // Rule ID 13698 //
     /*   7453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7457 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   7465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   7469 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   7473 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   7477 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   7481 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*   7485 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   7489 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7494 */     // MIs[2] Operand 2
     /*   7494 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(32),
     /*   7505 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   7509 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   7513 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_s64imm_32bit),
     /*   7517 */     // MIs[3] Operand 1
     /*   7517 */     // No operand predicates
     /*   7517 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   7519 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Ra, (mul:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, i32:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_s64imm_32bit>>:$C))  =>  (SMADDLrrr:{ *:[i64] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, sub_32:{ *:[i32] }), (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), GPR64:{ *:[i64] }:$Ra)
     /*   7519 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*   7522 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*   7526 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   7531 */     GIR_CustomRenderer, /*InsnID*/2, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*   7536 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   7538 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   7541 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   7545 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   7550 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // Rn
     /*   7556 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   7561 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMADDLrrr),
     /*   7569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   7571 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   7574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   7577 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*   7579 */     GIR_RootConstrainSelectedInstOperands,
     /*   7580 */     // GIR_Coverage, 13698,
     /*   7580 */     GIR_EraseRootFromParent_Done,
     /*   7581 */   // Label 211: @7581
     /*   7581 */   GIM_Try, /*On fail goto*//*Label 212*/ GIMT_Encode4(7676), // Rule ID 13696 //
     /*   7586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7590 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   7598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   7602 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   7606 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   7610 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   7614 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   7618 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   7622 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   7627 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   7631 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   7635 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_s64imm_32bit),
     /*   7639 */     // MIs[3] Operand 1
     /*   7639 */     // No operand predicates
     /*   7639 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   7641 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Ra, (mul:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (imm:{ *:[i64] })<<P:Predicate_s64imm_32bit>>:$C))  =>  (SMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), GPR64:{ *:[i64] }:$Ra)
     /*   7641 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   7644 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*   7648 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   7653 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*   7658 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   7660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMADDLrrr),
     /*   7663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   7665 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   7669 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   7672 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*   7674 */     GIR_RootConstrainSelectedInstOperands,
     /*   7675 */     // GIR_Coverage, 13696,
     /*   7675 */     GIR_EraseRootFromParent_Done,
     /*   7676 */   // Label 212: @7676
     /*   7676 */   GIM_Try, /*On fail goto*//*Label 213*/ GIMT_Encode4(7771), // Rule ID 13697 //
     /*   7681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7685 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   7693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   7697 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   7701 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   7705 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   7709 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   7713 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   7717 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   7722 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   7726 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   7730 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64imm_32bit),
     /*   7734 */     // MIs[3] Operand 1
     /*   7734 */     // No operand predicates
     /*   7734 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   7736 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Ra, (mul:{ *:[i64] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (imm:{ *:[i64] })<<P:Predicate_i64imm_32bit>>:$C))  =>  (UMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), GPR64:{ *:[i64] }:$Ra)
     /*   7736 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   7739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*   7743 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   7748 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*   7753 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   7755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMADDLrrr),
     /*   7758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   7760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   7764 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   7767 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*   7769 */     GIR_RootConstrainSelectedInstOperands,
     /*   7770 */     // GIR_Coverage, 13697,
     /*   7770 */     GIR_EraseRootFromParent_Done,
     /*   7771 */   // Label 213: @7771
     /*   7771 */   GIM_Try, /*On fail goto*//*Label 214*/ GIMT_Encode4(7853), // Rule ID 13133 //
     /*   7776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   7784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   7788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   7792 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   7796 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   7800 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   7804 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   7808 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   7813 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   7817 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   7821 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   7825 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   7830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7834 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   7836 */     // (add:{ *:[i64] } (mul:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm)), GPR64:{ *:[i64] }:$Ra)  =>  (SMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, GPR64:{ *:[i64] }:$Ra)
     /*   7836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMADDLrrr),
     /*   7839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   7841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   7845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*   7849 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ra
     /*   7851 */     GIR_RootConstrainSelectedInstOperands,
     /*   7852 */     // GIR_Coverage, 13133,
     /*   7852 */     GIR_EraseRootFromParent_Done,
     /*   7853 */   // Label 214: @7853
     /*   7853 */   GIM_Try, /*On fail goto*//*Label 215*/ GIMT_Encode4(7935), // Rule ID 13134 //
     /*   7858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   7866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   7870 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   7874 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   7878 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   7882 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   7886 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   7890 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   7895 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   7899 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   7903 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   7907 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   7912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7916 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   7918 */     // (add:{ *:[i64] } (mul:{ *:[i64] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm)), GPR64:{ *:[i64] }:$Ra)  =>  (UMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, GPR64:{ *:[i64] }:$Ra)
     /*   7918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMADDLrrr),
     /*   7921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   7923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   7927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*   7931 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ra
     /*   7933 */     GIR_RootConstrainSelectedInstOperands,
     /*   7934 */     // GIR_Coverage, 13134,
     /*   7934 */     GIR_EraseRootFromParent_Done,
     /*   7935 */   // Label 215: @7935
     /*   7935 */   GIM_Try, /*On fail goto*//*Label 216*/ GIMT_Encode4(8017), // Rule ID 123 //
     /*   7940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   7952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   7956 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   7960 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   7964 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   7968 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   7972 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   7976 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   7981 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   7985 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   7989 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   7993 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   7998 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   8000 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Ra, (mul:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm)))  =>  (SMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, GPR64:{ *:[i64] }:$Ra)
     /*   8000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMADDLrrr),
     /*   8003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   8005 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   8009 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*   8013 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*   8015 */     GIR_RootConstrainSelectedInstOperands,
     /*   8016 */     // GIR_Coverage, 123,
     /*   8016 */     GIR_EraseRootFromParent_Done,
     /*   8017 */   // Label 216: @8017
     /*   8017 */   GIM_Try, /*On fail goto*//*Label 217*/ GIMT_Encode4(8099), // Rule ID 125 //
     /*   8022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   8038 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   8042 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   8046 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   8050 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   8054 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   8058 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   8063 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   8067 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   8071 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   8075 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   8080 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   8082 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Ra, (mul:{ *:[i64] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm)))  =>  (UMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, GPR64:{ *:[i64] }:$Ra)
     /*   8082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMADDLrrr),
     /*   8085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   8087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   8091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*   8095 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*   8097 */     GIR_RootConstrainSelectedInstOperands,
     /*   8098 */     // GIR_Coverage, 125,
     /*   8098 */     GIR_EraseRootFromParent_Done,
     /*   8099 */   // Label 217: @8099
     /*   8099 */   GIM_Try, /*On fail goto*//*Label 218*/ GIMT_Encode4(8157), // Rule ID 13543 //
     /*   8104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   8107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   8115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   8119 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*   8122 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntb),
     /*   8127 */     // MIs[1] pattern
     /*   8127 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*   8130 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   8135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8141 */     // (add:{ *:[i64] } (intrinsic_wo_chain:{ *:[i64] } 1318:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern), GPR64:{ *:[i64] }:$Rdn)  =>  (INCB_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*   8141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCB_XPiI),
     /*   8144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*   8146 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rdn
     /*   8148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*   8152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   8155 */     GIR_RootConstrainSelectedInstOperands,
     /*   8156 */     // GIR_Coverage, 13543,
     /*   8156 */     GIR_EraseRootFromParent_Done,
     /*   8157 */   // Label 218: @8157
     /*   8157 */   GIM_Try, /*On fail goto*//*Label 219*/ GIMT_Encode4(8215), // Rule ID 15394 //
     /*   8162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   8165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   8173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   8177 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*   8180 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnth),
     /*   8185 */     // MIs[1] pattern
     /*   8185 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*   8188 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   8193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8199 */     // (add:{ *:[i64] } (intrinsic_wo_chain:{ *:[i64] } 1320:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern), GPR64:{ *:[i64] }:$Rdn)  =>  (INCH_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*   8199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCH_XPiI),
     /*   8202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*   8204 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rdn
     /*   8206 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*   8210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   8213 */     GIR_RootConstrainSelectedInstOperands,
     /*   8214 */     // GIR_Coverage, 15394,
     /*   8214 */     GIR_EraseRootFromParent_Done,
     /*   8215 */   // Label 219: @8215
     /*   8215 */   GIM_Try, /*On fail goto*//*Label 220*/ GIMT_Encode4(8273), // Rule ID 15406 //
     /*   8220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   8223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   8231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   8235 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*   8238 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntw),
     /*   8243 */     // MIs[1] pattern
     /*   8243 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*   8246 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   8251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8257 */     // (add:{ *:[i64] } (intrinsic_wo_chain:{ *:[i64] } 1326:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern), GPR64:{ *:[i64] }:$Rdn)  =>  (INCW_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*   8257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCW_XPiI),
     /*   8260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*   8262 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rdn
     /*   8264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*   8268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   8271 */     GIR_RootConstrainSelectedInstOperands,
     /*   8272 */     // GIR_Coverage, 15406,
     /*   8272 */     GIR_EraseRootFromParent_Done,
     /*   8273 */   // Label 220: @8273
     /*   8273 */   GIM_Try, /*On fail goto*//*Label 221*/ GIMT_Encode4(8331), // Rule ID 15418 //
     /*   8278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   8281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   8289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   8293 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*   8296 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntd),
     /*   8301 */     // MIs[1] pattern
     /*   8301 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*   8304 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   8309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8315 */     // (add:{ *:[i64] } (intrinsic_wo_chain:{ *:[i64] } 1319:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern), GPR64:{ *:[i64] }:$Rdn)  =>  (INCD_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*   8315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCD_XPiI),
     /*   8318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*   8320 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rdn
     /*   8322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*   8326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   8329 */     GIR_RootConstrainSelectedInstOperands,
     /*   8330 */     // GIR_Coverage, 15418,
     /*   8330 */     GIR_EraseRootFromParent_Done,
     /*   8331 */   // Label 221: @8331
     /*   8331 */   GIM_Try, /*On fail goto*//*Label 222*/ GIMT_Encode4(8389), // Rule ID 2653 //
     /*   8336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   8339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8343 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   8355 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*   8358 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntb),
     /*   8363 */     // MIs[1] pattern
     /*   8363 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*   8366 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   8371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8373 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (intrinsic_wo_chain:{ *:[i64] } 1318:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern))  =>  (INCB_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*   8373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCB_XPiI),
     /*   8376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*   8378 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rdn
     /*   8380 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*   8384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   8387 */     GIR_RootConstrainSelectedInstOperands,
     /*   8388 */     // GIR_Coverage, 2653,
     /*   8388 */     GIR_EraseRootFromParent_Done,
     /*   8389 */   // Label 222: @8389
     /*   8389 */   GIM_Try, /*On fail goto*//*Label 223*/ GIMT_Encode4(8447), // Rule ID 9885 //
     /*   8394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   8397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8401 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   8413 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*   8416 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnth),
     /*   8421 */     // MIs[1] pattern
     /*   8421 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*   8424 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   8429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8431 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (intrinsic_wo_chain:{ *:[i64] } 1320:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern))  =>  (INCH_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*   8431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCH_XPiI),
     /*   8434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*   8436 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rdn
     /*   8438 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*   8442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   8445 */     GIR_RootConstrainSelectedInstOperands,
     /*   8446 */     // GIR_Coverage, 9885,
     /*   8446 */     GIR_EraseRootFromParent_Done,
     /*   8447 */   // Label 223: @8447
     /*   8447 */   GIM_Try, /*On fail goto*//*Label 224*/ GIMT_Encode4(8505), // Rule ID 9897 //
     /*   8452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   8455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8459 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   8471 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*   8474 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntw),
     /*   8479 */     // MIs[1] pattern
     /*   8479 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*   8482 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   8487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8489 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (intrinsic_wo_chain:{ *:[i64] } 1326:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern))  =>  (INCW_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*   8489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCW_XPiI),
     /*   8492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*   8494 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rdn
     /*   8496 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*   8500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   8503 */     GIR_RootConstrainSelectedInstOperands,
     /*   8504 */     // GIR_Coverage, 9897,
     /*   8504 */     GIR_EraseRootFromParent_Done,
     /*   8505 */   // Label 224: @8505
     /*   8505 */   GIM_Try, /*On fail goto*//*Label 225*/ GIMT_Encode4(8563), // Rule ID 9909 //
     /*   8510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   8513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8517 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   8529 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*   8532 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntd),
     /*   8537 */     // MIs[1] pattern
     /*   8537 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*   8540 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   8545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8547 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (intrinsic_wo_chain:{ *:[i64] } 1319:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern))  =>  (INCD_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*   8547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCD_XPiI),
     /*   8550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*   8552 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rdn
     /*   8554 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*   8558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   8561 */     GIR_RootConstrainSelectedInstOperands,
     /*   8562 */     // GIR_Coverage, 9909,
     /*   8562 */     GIR_EraseRootFromParent_Done,
     /*   8563 */   // Label 225: @8563
     /*   8563 */   GIM_Try, /*On fail goto*//*Label 226*/ GIMT_Encode4(8726), // Rule ID 13815 //
     /*   8568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   8576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   8580 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   8584 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   8588 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_SMULL),
     /*   8592 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   8596 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*   8600 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8605 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8610 */     // MIs[1] Operand 2
     /*   8610 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   8621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8625 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   8627 */     // (add:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v1i64] }:$Ra)  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (SMLALv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   8627 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*   8630 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   8634 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   8639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   8641 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*   8644 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   8648 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   8653 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   8656 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Ra
     /*   8660 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*   8663 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   8668 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   8673 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8678 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   8681 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_v2i64),
     /*   8685 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   8690 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   8693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   8697 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*   8701 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   8703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   8706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8708 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   8715 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8720 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   8725 */     // GIR_Coverage, 13815,
     /*   8725 */     GIR_EraseRootFromParent_Done,
     /*   8726 */   // Label 226: @8726
     /*   8726 */   GIM_Try, /*On fail goto*//*Label 227*/ GIMT_Encode4(8889), // Rule ID 13812 //
     /*   8731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   8739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   8743 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   8747 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   8751 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UMULL),
     /*   8755 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   8759 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*   8763 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8768 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8773 */     // MIs[1] Operand 2
     /*   8773 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   8784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8788 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   8790 */     // (add:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v1i64] }:$Ra)  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (UMLALv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   8790 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*   8793 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   8797 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   8802 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   8804 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*   8807 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   8811 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   8816 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   8819 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Ra
     /*   8823 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*   8826 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   8831 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   8836 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8841 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   8844 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_v2i64),
     /*   8848 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   8853 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   8856 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   8860 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*   8864 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   8866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   8869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8871 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   8878 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8883 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   8888 */     // GIR_Coverage, 13812,
     /*   8888 */     GIR_EraseRootFromParent_Done,
     /*   8889 */   // Label 227: @8889
     /*   8889 */   GIM_Try, /*On fail goto*//*Label 228*/ GIMT_Encode4(9039), // Rule ID 13821 //
     /*   8894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   8902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   8906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   8910 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   8914 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   8918 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   8922 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8927 */     // MIs[1] Operand 2
     /*   8927 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   8938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8942 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   8944 */     // (add:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v1i64] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (UADDWv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   8944 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*   8947 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   8951 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   8956 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   8958 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*   8961 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   8965 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   8970 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   8973 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*   8977 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*   8980 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   8985 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   8990 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8995 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   8998 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv2i32_v2i64),
     /*   9002 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9007 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   9010 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*   9014 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   9016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   9019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9021 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   9028 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9033 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9038 */     // GIR_Coverage, 13821,
     /*   9038 */     GIR_EraseRootFromParent_Done,
     /*   9039 */   // Label 228: @9039
     /*   9039 */   GIM_Try, /*On fail goto*//*Label 229*/ GIMT_Encode4(9189), // Rule ID 13824 //
     /*   9044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   9052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   9056 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   9060 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   9064 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   9068 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   9072 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9077 */     // MIs[1] Operand 2
     /*   9077 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   9088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9092 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   9094 */     // (add:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v1i64] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (SADDWv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   9094 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*   9097 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   9101 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   9108 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*   9111 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   9115 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9120 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   9123 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*   9127 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*   9130 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9135 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9140 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9145 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   9148 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDWv2i32_v2i64),
     /*   9152 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9157 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   9160 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*   9164 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   9166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   9169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9171 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   9178 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9183 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9188 */     // GIR_Coverage, 13824,
     /*   9188 */     GIR_EraseRootFromParent_Done,
     /*   9189 */   // Label 229: @9189
     /*   9189 */   GIM_Try, /*On fail goto*//*Label 230*/ GIMT_Encode4(9339), // Rule ID 13820 //
     /*   9194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   9202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   9206 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   9210 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   9214 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   9218 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   9222 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9227 */     // MIs[1] Operand 2
     /*   9227 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   9238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9242 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   9244 */     // (add:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v1i64] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (UADDWv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   9244 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*   9247 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   9251 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9256 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   9258 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*   9261 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   9265 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9270 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   9273 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*   9277 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*   9280 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9285 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9290 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9295 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   9298 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv2i32_v2i64),
     /*   9302 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9307 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   9310 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*   9314 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   9316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   9319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9321 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   9328 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9333 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9338 */     // GIR_Coverage, 13820,
     /*   9338 */     GIR_EraseRootFromParent_Done,
     /*   9339 */   // Label 230: @9339
     /*   9339 */   GIM_Try, /*On fail goto*//*Label 231*/ GIMT_Encode4(9502), // Rule ID 5344 //
     /*   9344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9348 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   9360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   9364 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   9368 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_SMULL),
     /*   9372 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   9376 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*   9380 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9385 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9390 */     // MIs[1] Operand 2
     /*   9390 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   9401 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   9403 */     // (add:{ *:[v1i64] } V64:{ *:[v1i64] }:$Ra, (extract_subvector:{ *:[v1i64] } (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (SMLALv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   9403 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*   9406 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   9410 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9415 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   9417 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*   9420 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   9424 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9429 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   9432 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*   9436 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*   9439 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9444 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9449 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   9457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_v2i64),
     /*   9461 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9466 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   9469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   9473 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*   9477 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   9479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   9482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9484 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   9491 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9496 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9501 */     // GIR_Coverage, 5344,
     /*   9501 */     GIR_EraseRootFromParent_Done,
     /*   9502 */   // Label 231: @9502
     /*   9502 */   GIM_Try, /*On fail goto*//*Label 232*/ GIMT_Encode4(9665), // Rule ID 5341 //
     /*   9507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9511 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   9523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   9527 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   9531 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UMULL),
     /*   9535 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   9539 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*   9543 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9548 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9553 */     // MIs[1] Operand 2
     /*   9553 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   9564 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   9566 */     // (add:{ *:[v1i64] } V64:{ *:[v1i64] }:$Ra, (extract_subvector:{ *:[v1i64] } (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (UMLALv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   9566 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*   9569 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   9573 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9578 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   9580 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*   9583 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   9587 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9592 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   9595 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*   9599 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*   9602 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9607 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9612 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9617 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   9620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_v2i64),
     /*   9624 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9629 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   9632 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   9636 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*   9640 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   9642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   9645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9647 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   9654 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9659 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9664 */     // GIR_Coverage, 5341,
     /*   9664 */     GIR_EraseRootFromParent_Done,
     /*   9665 */   // Label 232: @9665
     /*   9665 */   GIM_Try, /*On fail goto*//*Label 233*/ GIMT_Encode4(9815), // Rule ID 5368 //
     /*   9670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9674 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   9686 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   9690 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   9694 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   9698 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   9702 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9707 */     // MIs[1] Operand 2
     /*   9707 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   9718 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   9720 */     // (add:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn, (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (UADDWv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   9720 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*   9723 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   9727 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9732 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   9734 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*   9737 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   9741 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9746 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   9749 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*   9753 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*   9756 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9761 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9766 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9771 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   9774 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv2i32_v2i64),
     /*   9778 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9783 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   9786 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*   9790 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   9792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   9795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9797 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   9804 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9809 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9814 */     // GIR_Coverage, 5368,
     /*   9814 */     GIR_EraseRootFromParent_Done,
     /*   9815 */   // Label 233: @9815
     /*   9815 */   GIM_Try, /*On fail goto*//*Label 234*/ GIMT_Encode4(9965), // Rule ID 5374 //
     /*   9820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9824 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   9836 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   9840 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   9844 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   9848 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   9852 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9857 */     // MIs[1] Operand 2
     /*   9857 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   9868 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   9870 */     // (add:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn, (extract_subvector:{ *:[v1i64] } (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (SADDWv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   9870 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*   9873 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   9877 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9882 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   9884 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*   9887 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   9891 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9896 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   9899 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*   9903 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*   9906 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9911 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9916 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9921 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   9924 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDWv2i32_v2i64),
     /*   9928 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9933 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   9936 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*   9940 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   9942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   9945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9947 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   9954 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9959 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9964 */     // GIR_Coverage, 5374,
     /*   9964 */     GIR_EraseRootFromParent_Done,
     /*   9965 */   // Label 234: @9965
     /*   9965 */   GIM_Try, /*On fail goto*//*Label 235*/ GIMT_Encode4(10115), // Rule ID 5367 //
     /*   9970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   9986 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   9990 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   9994 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   9998 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  10002 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10007 */     // MIs[1] Operand 2
     /*  10007 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  10018 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  10020 */     // (add:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn, (extract_subvector:{ *:[v1i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (UADDWv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*  10020 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*  10023 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  10027 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  10032 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  10034 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*  10037 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  10041 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  10046 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  10049 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  10053 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  10056 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  10061 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  10066 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10071 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  10074 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv2i32_v2i64),
     /*  10078 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  10083 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  10086 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  10090 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  10092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  10095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  10097 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  10104 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10109 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  10114 */     // GIR_Coverage, 5367,
     /*  10114 */     GIR_EraseRootFromParent_Done,
     /*  10115 */   // Label 235: @10115
     /*  10115 */   GIM_Try, /*On fail goto*//*Label 236*/ GIMT_Encode4(10148), // Rule ID 13126 //
     /*  10120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  10124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  10128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_extended_reg32to64_i64),
     /*  10135 */     // (add:{ *:[i64] } arith_extended_reg32to64_i64:{ *:[i64] }:$Rm_and_extend, GPR64sp:{ *:[i64] }:$Rn)  =>  (ADDXrx:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, arith_extended_reg32to64_i64:{ *:[i64] }:$Rm_and_extend)
     /*  10135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDXrx),
     /*  10138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  10140 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  10142 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_extend
     /*  10146 */     GIR_RootConstrainSelectedInstOperands,
     /*  10147 */     // GIR_Coverage, 13126,
     /*  10147 */     GIR_EraseRootFromParent_Done,
     /*  10148 */   // Label 236: @10148
     /*  10148 */   GIM_Try, /*On fail goto*//*Label 237*/ GIMT_Encode4(10184), // Rule ID 13689 //
     /*  10153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_neg_addsub_shifted_imm64),
     /*  10168 */     // (add:{ *:[i64] } neg_addsub_shifted_imm64:{ *:[i64] }:$imm, GPR64:{ *:[i64] }:$Rn)  =>  (SUBSXri:{ *:[i64] }:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, neg_addsub_shifted_imm64:{ *:[i64] }:$imm)
     /*  10168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBSXri),
     /*  10171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  10173 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  10175 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*  10179 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /*  10182 */     GIR_RootConstrainSelectedInstOperands,
     /*  10183 */     // GIR_Coverage, 13689,
     /*  10183 */     GIR_EraseRootFromParent_Done,
     /*  10184 */   // Label 237: @10184
     /*  10184 */   GIM_Try, /*On fail goto*//*Label 238*/ GIMT_Encode4(10217), // Rule ID 98 //
     /*  10189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  10193 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  10197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_extended_reg32to64_i64),
     /*  10204 */     // (add:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, arith_extended_reg32to64_i64:{ *:[i64] }:$Rm_and_extend)  =>  (ADDXrx:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, arith_extended_reg32to64_i64:{ *:[i64] }:$Rm_and_extend)
     /*  10204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDXrx),
     /*  10207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  10209 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  10211 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_extend
     /*  10215 */     GIR_RootConstrainSelectedInstOperands,
     /*  10216 */     // GIR_Coverage, 98,
     /*  10216 */     GIR_EraseRootFromParent_Done,
     /*  10217 */   // Label 238: @10217
     /*  10217 */   GIM_Try, /*On fail goto*//*Label 239*/ GIMT_Encode4(10253), // Rule ID 3912 //
     /*  10222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10226 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_neg_addsub_shifted_imm64),
     /*  10237 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, neg_addsub_shifted_imm64:{ *:[i64] }:$imm)  =>  (SUBSXri:{ *:[i64] }:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, neg_addsub_shifted_imm64:{ *:[i64] }:$imm)
     /*  10237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBSXri),
     /*  10240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  10242 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  10244 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*  10248 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /*  10251 */     GIR_RootConstrainSelectedInstOperands,
     /*  10252 */     // GIR_Coverage, 3912,
     /*  10252 */     GIR_EraseRootFromParent_Done,
     /*  10253 */   // Label 239: @10253
     /*  10253 */   GIM_Try, /*On fail goto*//*Label 240*/ GIMT_Encode4(10286), // Rule ID 13124 //
     /*  10258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_shifted_reg64),
     /*  10273 */     // (add:{ *:[i64] } arith_shifted_reg64:{ *:[i64] }:$Rm_and_shift, GPR64:{ *:[i64] }:$Rn)  =>  (ADDXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, arith_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  10273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDXrs),
     /*  10276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  10278 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  10280 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  10284 */     GIR_RootConstrainSelectedInstOperands,
     /*  10285 */     // GIR_Coverage, 13124,
     /*  10285 */     GIR_EraseRootFromParent_Done,
     /*  10286 */   // Label 240: @10286
     /*  10286 */   GIM_Try, /*On fail goto*//*Label 241*/ GIMT_Encode4(10349), // Rule ID 15434 //
     /*  10291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  10294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  10302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  10306 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  10309 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  10314 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  10318 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  10320 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  10325 */     // MIs[1] pred
     /*  10325 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  10330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10336 */     // (add:{ *:[i64] } (intrinsic_wo_chain:{ *:[i64] } 1321:{ *:[iPTR] }, PPRAny:{ *:[nxv16i1] }:$pred, PPRAny:{ *:[nxv16i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>, GPR64:{ *:[i64] }:$Rn)  =>  (INCP_XP_B:{ *:[i64] } PPRAny:{ *:[nxv16i1] }:$pred, ?:{ *:[i64] }:$Rn)
     /*  10336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_B),
     /*  10339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  10341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pred
     /*  10345 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  10347 */     GIR_RootConstrainSelectedInstOperands,
     /*  10348 */     // GIR_Coverage, 15434,
     /*  10348 */     GIR_EraseRootFromParent_Done,
     /*  10349 */   // Label 241: @10349
     /*  10349 */   GIM_Try, /*On fail goto*//*Label 242*/ GIMT_Encode4(10412), // Rule ID 15435 //
     /*  10354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  10357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  10365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  10369 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  10372 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  10377 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  10381 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  10383 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  10388 */     // MIs[1] pred
     /*  10388 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  10393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10397 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10399 */     // (add:{ *:[i64] } (intrinsic_wo_chain:{ *:[i64] } 1321:{ *:[iPTR] }, PPRAny:{ *:[nxv8i1] }:$pred, PPRAny:{ *:[nxv8i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>, GPR64:{ *:[i64] }:$Rn)  =>  (INCP_XP_H:{ *:[i64] } PPRAny:{ *:[nxv8i1] }:$pred, ?:{ *:[i64] }:$Rn)
     /*  10399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_H),
     /*  10402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  10404 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pred
     /*  10408 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  10410 */     GIR_RootConstrainSelectedInstOperands,
     /*  10411 */     // GIR_Coverage, 15435,
     /*  10411 */     GIR_EraseRootFromParent_Done,
     /*  10412 */   // Label 242: @10412
     /*  10412 */   GIM_Try, /*On fail goto*//*Label 243*/ GIMT_Encode4(10475), // Rule ID 15436 //
     /*  10417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  10420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  10428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  10432 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  10435 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  10440 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  10444 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  10446 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  10451 */     // MIs[1] pred
     /*  10451 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  10456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10462 */     // (add:{ *:[i64] } (intrinsic_wo_chain:{ *:[i64] } 1321:{ *:[iPTR] }, PPRAny:{ *:[nxv4i1] }:$pred, PPRAny:{ *:[nxv4i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>, GPR64:{ *:[i64] }:$Rn)  =>  (INCP_XP_S:{ *:[i64] } PPRAny:{ *:[nxv4i1] }:$pred, ?:{ *:[i64] }:$Rn)
     /*  10462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_S),
     /*  10465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  10467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pred
     /*  10471 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  10473 */     GIR_RootConstrainSelectedInstOperands,
     /*  10474 */     // GIR_Coverage, 15436,
     /*  10474 */     GIR_EraseRootFromParent_Done,
     /*  10475 */   // Label 243: @10475
     /*  10475 */   GIM_Try, /*On fail goto*//*Label 244*/ GIMT_Encode4(10538), // Rule ID 15437 //
     /*  10480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  10483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  10491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  10495 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  10498 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  10503 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  10507 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  10509 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  10514 */     // MIs[1] pred
     /*  10514 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  10519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10525 */     // (add:{ *:[i64] } (intrinsic_wo_chain:{ *:[i64] } 1321:{ *:[iPTR] }, PPRAny:{ *:[nxv2i1] }:$pred, PPRAny:{ *:[nxv2i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>, GPR64:{ *:[i64] }:$Rn)  =>  (INCP_XP_D:{ *:[i64] } PPRAny:{ *:[nxv2i1] }:$pred, ?:{ *:[i64] }:$Rn)
     /*  10525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_D),
     /*  10528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  10530 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pred
     /*  10534 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  10536 */     GIR_RootConstrainSelectedInstOperands,
     /*  10537 */     // GIR_Coverage, 15437,
     /*  10537 */     GIR_EraseRootFromParent_Done,
     /*  10538 */   // Label 244: @10538
     /*  10538 */   GIM_Try, /*On fail goto*//*Label 245*/ GIMT_Encode4(10571), // Rule ID 96 //
     /*  10543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10547 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_shifted_reg64),
     /*  10558 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, arith_shifted_reg64:{ *:[i64] }:$Rm_and_shift)  =>  (ADDXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, arith_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  10558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDXrs),
     /*  10561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  10563 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  10565 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  10569 */     GIR_RootConstrainSelectedInstOperands,
     /*  10570 */     // GIR_Coverage, 96,
     /*  10570 */     GIR_EraseRootFromParent_Done,
     /*  10571 */   // Label 245: @10571
     /*  10571 */   GIM_Try, /*On fail goto*//*Label 246*/ GIMT_Encode4(10634), // Rule ID 9996 //
     /*  10576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  10579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10583 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  10591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  10595 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  10598 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  10603 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  10607 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  10609 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  10614 */     // MIs[1] pred
     /*  10614 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  10619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10621 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (intrinsic_wo_chain:{ *:[i64] } 1321:{ *:[iPTR] }, PPRAny:{ *:[nxv16i1] }:$pred, PPRAny:{ *:[nxv16i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>)  =>  (INCP_XP_B:{ *:[i64] } PPRAny:{ *:[nxv16i1] }:$pred, ?:{ *:[i64] }:$Rn)
     /*  10621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_B),
     /*  10624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  10626 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pred
     /*  10630 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  10632 */     GIR_RootConstrainSelectedInstOperands,
     /*  10633 */     // GIR_Coverage, 9996,
     /*  10633 */     GIR_EraseRootFromParent_Done,
     /*  10634 */   // Label 246: @10634
     /*  10634 */   GIM_Try, /*On fail goto*//*Label 247*/ GIMT_Encode4(10697), // Rule ID 9997 //
     /*  10639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  10642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10646 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  10654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  10658 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  10661 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  10666 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  10670 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  10672 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  10677 */     // MIs[1] pred
     /*  10677 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  10682 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10684 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (intrinsic_wo_chain:{ *:[i64] } 1321:{ *:[iPTR] }, PPRAny:{ *:[nxv8i1] }:$pred, PPRAny:{ *:[nxv8i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>)  =>  (INCP_XP_H:{ *:[i64] } PPRAny:{ *:[nxv8i1] }:$pred, ?:{ *:[i64] }:$Rn)
     /*  10684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_H),
     /*  10687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  10689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pred
     /*  10693 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  10695 */     GIR_RootConstrainSelectedInstOperands,
     /*  10696 */     // GIR_Coverage, 9997,
     /*  10696 */     GIR_EraseRootFromParent_Done,
     /*  10697 */   // Label 247: @10697
     /*  10697 */   GIM_Try, /*On fail goto*//*Label 248*/ GIMT_Encode4(10760), // Rule ID 9998 //
     /*  10702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  10705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10709 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  10717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  10721 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  10724 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  10729 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  10733 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  10735 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  10740 */     // MIs[1] pred
     /*  10740 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  10745 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10747 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (intrinsic_wo_chain:{ *:[i64] } 1321:{ *:[iPTR] }, PPRAny:{ *:[nxv4i1] }:$pred, PPRAny:{ *:[nxv4i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>)  =>  (INCP_XP_S:{ *:[i64] } PPRAny:{ *:[nxv4i1] }:$pred, ?:{ *:[i64] }:$Rn)
     /*  10747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_S),
     /*  10750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  10752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pred
     /*  10756 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  10758 */     GIR_RootConstrainSelectedInstOperands,
     /*  10759 */     // GIR_Coverage, 9998,
     /*  10759 */     GIR_EraseRootFromParent_Done,
     /*  10760 */   // Label 248: @10760
     /*  10760 */   GIM_Try, /*On fail goto*//*Label 249*/ GIMT_Encode4(10823), // Rule ID 9999 //
     /*  10765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  10768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10772 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  10780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  10784 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  10787 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  10792 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  10796 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  10798 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  10803 */     // MIs[1] pred
     /*  10803 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  10808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10810 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (intrinsic_wo_chain:{ *:[i64] } 1321:{ *:[iPTR] }, PPRAny:{ *:[nxv2i1] }:$pred, PPRAny:{ *:[nxv2i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>)  =>  (INCP_XP_D:{ *:[i64] } PPRAny:{ *:[nxv2i1] }:$pred, ?:{ *:[i64] }:$Rn)
     /*  10810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_D),
     /*  10813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  10815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pred
     /*  10819 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  10821 */     GIR_RootConstrainSelectedInstOperands,
     /*  10822 */     // GIR_Coverage, 9999,
     /*  10822 */     GIR_EraseRootFromParent_Done,
     /*  10823 */   // Label 249: @10823
     /*  10823 */   GIM_Try, /*On fail goto*//*Label 250*/ GIMT_Encode4(10879), // Rule ID 13232 //
     /*  10828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  10831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  10839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  10843 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  10846 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  10851 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  10855 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10866 */     // (add:{ *:[v1i64] } (intrinsic_wo_chain:{ *:[v1i64] } 660:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn), V64:{ *:[v1i64] }:$Rd)  =>  (SADALPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, V64:{ *:[v2i32] }:$Rn)
     /*  10866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv2i32_v1i64),
     /*  10869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  10871 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  10873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  10877 */     GIR_RootConstrainSelectedInstOperands,
     /*  10878 */     // GIR_Coverage, 13232,
     /*  10878 */     GIR_EraseRootFromParent_Done,
     /*  10879 */   // Label 250: @10879
     /*  10879 */   GIM_Try, /*On fail goto*//*Label 251*/ GIMT_Encode4(10935), // Rule ID 13244 //
     /*  10884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  10887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  10895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  10899 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  10902 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  10907 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  10911 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10922 */     // (add:{ *:[v1i64] } (intrinsic_wo_chain:{ *:[v1i64] } 725:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn), V64:{ *:[v1i64] }:$Rd)  =>  (UADALPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, V64:{ *:[v2i32] }:$Rn)
     /*  10922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv2i32_v1i64),
     /*  10925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  10927 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  10929 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  10933 */     GIR_RootConstrainSelectedInstOperands,
     /*  10934 */     // GIR_Coverage, 13244,
     /*  10934 */     GIR_EraseRootFromParent_Done,
     /*  10935 */   // Label 251: @10935
     /*  10935 */   GIM_Try, /*On fail goto*//*Label 252*/ GIMT_Encode4(11002), // Rule ID 13450 //
     /*  10940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  10943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  10951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  10955 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  10959 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10964 */     // MIs[1] imm
     /*  10964 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  10968 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  10972 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  10976 */     // MIs[2] Operand 1
     /*  10976 */     // No operand predicates
     /*  10976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10980 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  10984 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  10986 */     // (add:{ *:[v1i64] } (AArch64vashr:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm), FPR64:{ *:[v1i64] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAd:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  10986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAd),
     /*  10989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  10991 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  10993 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  10997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  11000 */     GIR_RootConstrainSelectedInstOperands,
     /*  11001 */     // GIR_Coverage, 13450,
     /*  11001 */     GIR_EraseRootFromParent_Done,
     /*  11002 */   // Label 252: @11002
     /*  11002 */   GIM_Try, /*On fail goto*//*Label 253*/ GIMT_Encode4(11069), // Rule ID 13453 //
     /*  11007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  11018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  11022 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  11026 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11031 */     // MIs[1] imm
     /*  11031 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  11035 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  11039 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  11043 */     // MIs[2] Operand 1
     /*  11043 */     // No operand predicates
     /*  11043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11047 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  11051 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  11053 */     // (add:{ *:[v1i64] } (AArch64vlshr:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm), FPR64:{ *:[v1i64] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAd:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  11053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAd),
     /*  11056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11058 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  11060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  11064 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  11067 */     GIR_RootConstrainSelectedInstOperands,
     /*  11068 */     // GIR_Coverage, 13453,
     /*  11068 */     GIR_EraseRootFromParent_Done,
     /*  11069 */   // Label 253: @11069
     /*  11069 */   GIM_Try, /*On fail goto*//*Label 254*/ GIMT_Encode4(11125), // Rule ID 997 //
     /*  11074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11081 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  11089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  11093 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  11096 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  11101 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  11105 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11112 */     // (add:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, (intrinsic_wo_chain:{ *:[v1i64] } 660:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn))  =>  (SADALPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, V64:{ *:[v2i32] }:$Rn)
     /*  11112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv2i32_v1i64),
     /*  11115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11117 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  11119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  11123 */     GIR_RootConstrainSelectedInstOperands,
     /*  11124 */     // GIR_Coverage, 997,
     /*  11124 */     GIR_EraseRootFromParent_Done,
     /*  11125 */   // Label 254: @11125
     /*  11125 */   GIM_Try, /*On fail goto*//*Label 255*/ GIMT_Encode4(11181), // Rule ID 1058 //
     /*  11130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11137 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  11145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  11149 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  11152 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  11157 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  11161 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11166 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11168 */     // (add:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, (intrinsic_wo_chain:{ *:[v1i64] } 725:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn))  =>  (UADALPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, V64:{ *:[v2i32] }:$Rn)
     /*  11168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv2i32_v1i64),
     /*  11171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11173 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  11175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  11179 */     GIR_RootConstrainSelectedInstOperands,
     /*  11180 */     // GIR_Coverage, 1058,
     /*  11180 */     GIR_EraseRootFromParent_Done,
     /*  11181 */   // Label 255: @11181
     /*  11181 */   GIM_Try, /*On fail goto*//*Label 256*/ GIMT_Encode4(11248), // Rule ID 2121 //
     /*  11186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11193 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  11201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  11205 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  11209 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11214 */     // MIs[1] imm
     /*  11214 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  11218 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  11222 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  11226 */     // MIs[2] Operand 1
     /*  11226 */     // No operand predicates
     /*  11226 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  11230 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  11232 */     // (add:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, (AArch64vashr:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAd:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  11232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAd),
     /*  11235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11237 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  11239 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  11243 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  11246 */     GIR_RootConstrainSelectedInstOperands,
     /*  11247 */     // GIR_Coverage, 2121,
     /*  11247 */     GIR_EraseRootFromParent_Done,
     /*  11248 */   // Label 256: @11248
     /*  11248 */   GIM_Try, /*On fail goto*//*Label 257*/ GIMT_Encode4(11315), // Rule ID 2130 //
     /*  11253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11260 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  11268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  11272 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  11276 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11281 */     // MIs[1] imm
     /*  11281 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  11285 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  11289 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  11293 */     // MIs[2] Operand 1
     /*  11293 */     // No operand predicates
     /*  11293 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  11297 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  11299 */     // (add:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, (AArch64vlshr:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAd:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  11299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAd),
     /*  11302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11304 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  11306 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  11310 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  11313 */     GIR_RootConstrainSelectedInstOperands,
     /*  11314 */     // GIR_Coverage, 2130,
     /*  11314 */     GIR_EraseRootFromParent_Done,
     /*  11315 */   // Label 257: @11315
     /*  11315 */   GIM_Try, /*On fail goto*//*Label 258*/ GIMT_Encode4(11363), // Rule ID 13231 //
     /*  11320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  11331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  11335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  11339 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11348 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11350 */     // (add:{ *:[v1i64] } (AArch64saddlp_n:{ *:[v1i64] } V64:{ *:[v2i32] }:$Rn), V64:{ *:[v1i64] }:$Rd)  =>  (SADALPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, V64:{ *:[v2i32] }:$Rn)
     /*  11350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv2i32_v1i64),
     /*  11353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11355 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  11357 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  11361 */     GIR_RootConstrainSelectedInstOperands,
     /*  11362 */     // GIR_Coverage, 13231,
     /*  11362 */     GIR_EraseRootFromParent_Done,
     /*  11363 */   // Label 258: @11363
     /*  11363 */   GIM_Try, /*On fail goto*//*Label 259*/ GIMT_Encode4(11411), // Rule ID 13243 //
     /*  11368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  11379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  11383 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  11387 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11398 */     // (add:{ *:[v1i64] } (AArch64uaddlp_n:{ *:[v1i64] } V64:{ *:[v2i32] }:$Rn), V64:{ *:[v1i64] }:$Rd)  =>  (UADALPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, V64:{ *:[v2i32] }:$Rn)
     /*  11398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv2i32_v1i64),
     /*  11401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11403 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  11405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  11409 */     GIR_RootConstrainSelectedInstOperands,
     /*  11410 */     // GIR_Coverage, 13243,
     /*  11410 */     GIR_EraseRootFromParent_Done,
     /*  11411 */   // Label 259: @11411
     /*  11411 */   GIM_Try, /*On fail goto*//*Label 260*/ GIMT_Encode4(11459), // Rule ID 996 //
     /*  11416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11423 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  11431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  11435 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  11439 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11446 */     // (add:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, (AArch64saddlp_n:{ *:[v1i64] } V64:{ *:[v2i32] }:$Rn))  =>  (SADALPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, V64:{ *:[v2i32] }:$Rn)
     /*  11446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv2i32_v1i64),
     /*  11449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11451 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  11453 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  11457 */     GIR_RootConstrainSelectedInstOperands,
     /*  11458 */     // GIR_Coverage, 996,
     /*  11458 */     GIR_EraseRootFromParent_Done,
     /*  11459 */   // Label 260: @11459
     /*  11459 */   GIM_Try, /*On fail goto*//*Label 261*/ GIMT_Encode4(11507), // Rule ID 1057 //
     /*  11464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  11479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  11483 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  11487 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11494 */     // (add:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, (AArch64uaddlp_n:{ *:[v1i64] } V64:{ *:[v2i32] }:$Rn))  =>  (UADALPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, V64:{ *:[v2i32] }:$Rn)
     /*  11494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv2i32_v1i64),
     /*  11497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11499 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  11501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  11505 */     GIR_RootConstrainSelectedInstOperands,
     /*  11506 */     // GIR_Coverage, 1057,
     /*  11506 */     GIR_EraseRootFromParent_Done,
     /*  11507 */   // Label 261: @11507
     /*  11507 */   GIM_Try, /*On fail goto*//*Label 262*/ GIMT_Encode4(11531), // Rule ID 94 //
     /*  11512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  11516 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  11520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  11524 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (ADDXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  11524 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDXrr),
     /*  11529 */     GIR_RootConstrainSelectedInstOperands,
     /*  11530 */     // GIR_Coverage, 94,
     /*  11530 */     GIR_Done,
     /*  11531 */   // Label 262: @11531
     /*  11531 */   GIM_Try, /*On fail goto*//*Label 263*/ GIMT_Encode4(11558), // Rule ID 1607 //
     /*  11536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11551 */     // (add:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (ADDv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /*  11551 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDv1i64),
     /*  11556 */     GIR_RootConstrainSelectedInstOperands,
     /*  11557 */     // GIR_Coverage, 1607,
     /*  11557 */     GIR_Done,
     /*  11558 */   // Label 263: @11558
     /*  11558 */   GIM_Reject,
     /*  11559 */ // Label 198: @11559
     /*  11559 */ GIM_Reject,
     /*  11560 */ // Label 160: @11560
     /*  11560 */ GIM_Try, /*On fail goto*//*Label 264*/ GIMT_Encode4(15167),
     /*  11565 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  11568 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  11571 */   GIM_Try, /*On fail goto*//*Label 265*/ GIMT_Encode4(11759), // Rule ID 6897 //
     /*  11576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  11584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_ZIP1),
     /*  11588 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  11592 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  11596 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  11600 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  11604 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  11608 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  11613 */     // MIs[2] Operand 2
     /*  11613 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  11624 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  11628 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  11632 */     // MIs[3] Rn
     /*  11632 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  11637 */     // MIs[3] Operand 2
     /*  11637 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(2),
     /*  11648 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  11652 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(AArch64::G_ZIP2),
     /*  11656 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  11660 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  11664 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  11668 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  11672 */     // MIs[5] Rn
     /*  11672 */     GIM_CheckIsSameOperand, /*MI*/5, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  11677 */     // MIs[5] Operand 2
     /*  11677 */     GIM_CheckLiteralInt, /*MI*/5, /*Op*/2, GIMT_Encode8(0),
     /*  11688 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/4, /*OpIdx*/2, // MIs[6]
     /*  11692 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  11696 */     // MIs[6] Rn
     /*  11696 */     GIM_CheckIsSameOperand, /*MI*/6, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  11701 */     // MIs[6] Operand 2
     /*  11701 */     GIM_CheckLiteralInt, /*MI*/6, /*Op*/2, GIMT_Encode8(2),
     /*  11712 */     GIM_CheckIsSafeToFold, /*NumInsns*/6,
     /*  11714 */     // (add:{ *:[v2i32] } (AArch64zip1:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } FPR128:{ *:[v4i32] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } FPR128:{ *:[v4i32] }:$Rn, 2:{ *:[i64] })), (AArch64zip2:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } FPR128:{ *:[v4i32] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } FPR128:{ *:[v4i32] }:$Rn, 2:{ *:[i64] })))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (ADDPv4i32:{ *:[f128] } ?:{ *:[v4i32] }:$Rn, ?:{ *:[v4i32] }:$Rn), dsub:{ *:[i32] })
     /*  11714 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  11717 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ADDPv4i32),
     /*  11721 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  11726 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  11730 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  11734 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  11736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  11739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11741 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  11748 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11753 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  11758 */     // GIR_Coverage, 6897,
     /*  11758 */     GIR_EraseRootFromParent_Done,
     /*  11759 */   // Label 265: @11759
     /*  11759 */   GIM_Try, /*On fail goto*//*Label 266*/ GIMT_Encode4(11947), // Rule ID 13854 //
     /*  11764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  11772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_ZIP2),
     /*  11776 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  11780 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  11784 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  11788 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  11792 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  11796 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  11801 */     // MIs[2] Operand 2
     /*  11801 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  11812 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  11816 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  11820 */     // MIs[3] Rn
     /*  11820 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  11825 */     // MIs[3] Operand 2
     /*  11825 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(2),
     /*  11836 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  11840 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(AArch64::G_ZIP1),
     /*  11844 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  11848 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  11852 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  11856 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  11860 */     // MIs[5] Rn
     /*  11860 */     GIM_CheckIsSameOperand, /*MI*/5, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  11865 */     // MIs[5] Operand 2
     /*  11865 */     GIM_CheckLiteralInt, /*MI*/5, /*Op*/2, GIMT_Encode8(0),
     /*  11876 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/4, /*OpIdx*/2, // MIs[6]
     /*  11880 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  11884 */     // MIs[6] Rn
     /*  11884 */     GIM_CheckIsSameOperand, /*MI*/6, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  11889 */     // MIs[6] Operand 2
     /*  11889 */     GIM_CheckLiteralInt, /*MI*/6, /*Op*/2, GIMT_Encode8(2),
     /*  11900 */     GIM_CheckIsSafeToFold, /*NumInsns*/6,
     /*  11902 */     // (add:{ *:[v2i32] } (AArch64zip2:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } FPR128:{ *:[v4i32] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } FPR128:{ *:[v4i32] }:$Rn, 2:{ *:[i64] })), (AArch64zip1:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } FPR128:{ *:[v4i32] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } FPR128:{ *:[v4i32] }:$Rn, 2:{ *:[i64] })))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (ADDPv4i32:{ *:[f128] } ?:{ *:[v4i32] }:$Rn, ?:{ *:[v4i32] }:$Rn), dsub:{ *:[i32] })
     /*  11902 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  11905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ADDPv4i32),
     /*  11909 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  11914 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  11918 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  11922 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  11924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  11927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11929 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  11936 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11941 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  11946 */     // GIR_Coverage, 13854,
     /*  11946 */     GIR_EraseRootFromParent_Done,
     /*  11947 */   // Label 266: @11947
     /*  11947 */   GIM_Try, /*On fail goto*//*Label 267*/ GIMT_Encode4(12083), // Rule ID 5358 //
     /*  11952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  11960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  11964 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  11968 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  11972 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  11976 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  11980 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11985 */     // MIs[1] Operand 2
     /*  11985 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  11996 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  12000 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  12004 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  12008 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  12012 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  12016 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12020 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12025 */     // MIs[3] Operand 2
     /*  12025 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  12036 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  12038 */     // (add:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (UADDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  12038 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  12041 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i16_v4i32),
     /*  12045 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12050 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  12054 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  12058 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  12060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  12063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12065 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  12072 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12077 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  12082 */     // GIR_Coverage, 5358,
     /*  12082 */     GIR_EraseRootFromParent_Done,
     /*  12083 */   // Label 267: @12083
     /*  12083 */   GIM_Try, /*On fail goto*//*Label 268*/ GIMT_Encode4(12219), // Rule ID 5357 //
     /*  12088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  12096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  12100 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  12104 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  12108 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  12112 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12116 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12121 */     // MIs[1] Operand 2
     /*  12121 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  12132 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  12136 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  12140 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  12144 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  12148 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  12152 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12156 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12161 */     // MIs[3] Operand 2
     /*  12161 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  12172 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  12174 */     // (add:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (UADDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  12174 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  12177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i16_v4i32),
     /*  12181 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12186 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  12190 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  12194 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  12196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  12199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12201 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  12208 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12213 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  12218 */     // GIR_Coverage, 5357,
     /*  12218 */     GIR_EraseRootFromParent_Done,
     /*  12219 */   // Label 268: @12219
     /*  12219 */   GIM_Try, /*On fail goto*//*Label 269*/ GIMT_Encode4(12355), // Rule ID 5370 //
     /*  12224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  12232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  12236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  12240 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  12244 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  12248 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12252 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12257 */     // MIs[1] Operand 2
     /*  12257 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  12268 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  12272 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  12276 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  12280 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  12284 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  12288 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12292 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12297 */     // MIs[3] Operand 2
     /*  12297 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  12308 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  12310 */     // (add:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (SADDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  12310 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  12313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDLv4i16_v4i32),
     /*  12317 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12322 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  12326 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  12330 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  12332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  12335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12337 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  12344 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12349 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  12354 */     // GIR_Coverage, 5370,
     /*  12354 */     GIR_EraseRootFromParent_Done,
     /*  12355 */   // Label 269: @12355
     /*  12355 */   GIM_Try, /*On fail goto*//*Label 270*/ GIMT_Encode4(12491), // Rule ID 5356 //
     /*  12360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  12368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  12372 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  12376 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  12380 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  12384 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12388 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12393 */     // MIs[1] Operand 2
     /*  12393 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  12404 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  12408 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  12412 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  12416 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  12420 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  12424 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12428 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12433 */     // MIs[3] Operand 2
     /*  12433 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  12444 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  12446 */     // (add:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (UADDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  12446 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  12449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i16_v4i32),
     /*  12453 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12458 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  12462 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  12466 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  12468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  12471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12473 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  12480 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12485 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  12490 */     // GIR_Coverage, 5356,
     /*  12490 */     GIR_EraseRootFromParent_Done,
     /*  12491 */   // Label 270: @12491
     /*  12491 */   GIM_Try, /*On fail goto*//*Label 271*/ GIMT_Encode4(12627), // Rule ID 5355 //
     /*  12496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  12504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  12508 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  12512 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  12516 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  12520 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12524 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12529 */     // MIs[1] Operand 2
     /*  12529 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  12540 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  12544 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  12548 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  12552 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  12556 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  12560 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12564 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12569 */     // MIs[3] Operand 2
     /*  12569 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  12580 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  12582 */     // (add:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (UADDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  12582 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  12585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i16_v4i32),
     /*  12589 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12594 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  12598 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  12602 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  12604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  12607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12609 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  12616 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12621 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  12626 */     // GIR_Coverage, 5355,
     /*  12626 */     GIR_EraseRootFromParent_Done,
     /*  12627 */   // Label 271: @12627
     /*  12627 */   GIM_Try, /*On fail goto*//*Label 272*/ GIMT_Encode4(12790), // Rule ID 13814 //
     /*  12632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  12640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  12644 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  12648 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  12652 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_SMULL),
     /*  12656 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12660 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  12664 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12669 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12674 */     // MIs[1] Operand 2
     /*  12674 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  12685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12689 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  12691 */     // (add:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Ra)  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (SMLALv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  12691 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  12694 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  12698 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12703 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  12705 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  12708 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  12712 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12717 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  12720 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Ra
     /*  12724 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  12727 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  12732 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  12737 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12742 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  12745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_v4i32),
     /*  12749 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12754 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  12757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  12761 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  12765 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  12767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  12770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12772 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  12779 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12784 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  12789 */     // GIR_Coverage, 13814,
     /*  12789 */     GIR_EraseRootFromParent_Done,
     /*  12790 */   // Label 272: @12790
     /*  12790 */   GIM_Try, /*On fail goto*//*Label 273*/ GIMT_Encode4(12953), // Rule ID 13811 //
     /*  12795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  12803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  12807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  12811 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  12815 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UMULL),
     /*  12819 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12823 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  12827 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12832 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12837 */     // MIs[1] Operand 2
     /*  12837 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  12848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12852 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  12854 */     // (add:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Ra)  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (UMLALv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  12854 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  12857 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  12861 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12866 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  12868 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  12871 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  12875 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12880 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  12883 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Ra
     /*  12887 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  12890 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  12895 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  12900 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12905 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  12908 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_v4i32),
     /*  12912 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12917 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  12920 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  12924 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  12928 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  12930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  12933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12935 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  12942 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12947 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  12952 */     // GIR_Coverage, 13811,
     /*  12952 */     GIR_EraseRootFromParent_Done,
     /*  12953 */   // Label 273: @12953
     /*  12953 */   GIM_Try, /*On fail goto*//*Label 274*/ GIMT_Encode4(13103), // Rule ID 13819 //
     /*  12958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  12966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  12970 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  12974 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  12978 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  12982 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12986 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12991 */     // MIs[1] Operand 2
     /*  12991 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  13002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13006 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  13008 */     // (add:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (UADDWv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  13008 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  13011 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  13015 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13020 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  13022 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  13025 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  13029 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13034 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  13037 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  13041 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  13044 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13049 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13054 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13059 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  13062 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i16_v4i32),
     /*  13066 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13071 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  13074 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  13078 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  13080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  13083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13085 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  13092 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13097 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13102 */     // GIR_Coverage, 13819,
     /*  13102 */     GIR_EraseRootFromParent_Done,
     /*  13103 */   // Label 274: @13103
     /*  13103 */   GIM_Try, /*On fail goto*//*Label 275*/ GIMT_Encode4(13253), // Rule ID 13823 //
     /*  13108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  13116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  13120 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  13124 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  13128 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  13132 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  13136 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13141 */     // MIs[1] Operand 2
     /*  13141 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  13152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13156 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  13158 */     // (add:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (SADDWv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  13158 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  13161 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  13165 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13170 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  13172 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  13175 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  13179 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13184 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  13187 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  13191 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  13194 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13199 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13204 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  13212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDWv4i16_v4i32),
     /*  13216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13221 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  13224 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  13228 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  13230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  13233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13235 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  13242 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13247 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13252 */     // GIR_Coverage, 13823,
     /*  13252 */     GIR_EraseRootFromParent_Done,
     /*  13253 */   // Label 275: @13253
     /*  13253 */   GIM_Try, /*On fail goto*//*Label 276*/ GIMT_Encode4(13403), // Rule ID 13818 //
     /*  13258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  13266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  13270 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  13274 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  13278 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  13282 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  13286 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13291 */     // MIs[1] Operand 2
     /*  13291 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  13302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13306 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  13308 */     // (add:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (UADDWv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  13308 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  13311 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  13315 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13320 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  13322 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  13325 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  13329 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13334 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  13337 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  13341 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  13344 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13349 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13354 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  13362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i16_v4i32),
     /*  13366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13371 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  13374 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  13378 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  13380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  13383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13385 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  13392 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13397 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13402 */     // GIR_Coverage, 13818,
     /*  13402 */     GIR_EraseRootFromParent_Done,
     /*  13403 */   // Label 276: @13403
     /*  13403 */   GIM_Try, /*On fail goto*//*Label 277*/ GIMT_Encode4(13566), // Rule ID 5343 //
     /*  13408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13412 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  13420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  13424 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  13428 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  13432 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_SMULL),
     /*  13436 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  13440 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  13444 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13449 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13454 */     // MIs[1] Operand 2
     /*  13454 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  13465 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  13467 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Ra, (extract_subvector:{ *:[v2i32] } (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (SMLALv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  13467 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  13470 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  13474 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13479 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  13481 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  13484 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  13488 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13493 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  13496 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*  13500 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  13503 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13508 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13513 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13518 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  13521 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_v4i32),
     /*  13525 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13530 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  13533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  13537 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  13541 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  13543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  13546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13548 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  13555 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13560 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13565 */     // GIR_Coverage, 5343,
     /*  13565 */     GIR_EraseRootFromParent_Done,
     /*  13566 */   // Label 277: @13566
     /*  13566 */   GIM_Try, /*On fail goto*//*Label 278*/ GIMT_Encode4(13729), // Rule ID 5340 //
     /*  13571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  13583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  13587 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  13591 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  13595 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UMULL),
     /*  13599 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  13603 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  13607 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13612 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13617 */     // MIs[1] Operand 2
     /*  13617 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  13628 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  13630 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Ra, (extract_subvector:{ *:[v2i32] } (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (UMLALv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  13630 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  13633 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  13637 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13642 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  13644 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  13647 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  13651 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13656 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  13659 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*  13663 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  13666 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13671 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13676 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  13684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_v4i32),
     /*  13688 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13693 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  13696 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  13700 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  13704 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  13706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  13709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13711 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  13718 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13723 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13728 */     // GIR_Coverage, 5340,
     /*  13728 */     GIR_EraseRootFromParent_Done,
     /*  13729 */   // Label 278: @13729
     /*  13729 */   GIM_Try, /*On fail goto*//*Label 279*/ GIMT_Encode4(13879), // Rule ID 5366 //
     /*  13734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13738 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  13746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  13750 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  13754 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  13758 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  13762 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  13766 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13771 */     // MIs[1] Operand 2
     /*  13771 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  13782 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  13784 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (UADDWv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  13784 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  13787 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  13791 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13796 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  13798 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  13801 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  13805 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13810 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  13813 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  13817 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  13820 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13825 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13830 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13835 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  13838 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i16_v4i32),
     /*  13842 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13847 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  13850 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  13854 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  13856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  13859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13861 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  13868 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13873 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13878 */     // GIR_Coverage, 5366,
     /*  13878 */     GIR_EraseRootFromParent_Done,
     /*  13879 */   // Label 279: @13879
     /*  13879 */   GIM_Try, /*On fail goto*//*Label 280*/ GIMT_Encode4(14029), // Rule ID 5373 //
     /*  13884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13888 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  13896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  13900 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  13904 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  13908 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  13912 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  13916 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13921 */     // MIs[1] Operand 2
     /*  13921 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  13932 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  13934 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (SADDWv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  13934 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  13937 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  13941 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  13948 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  13951 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  13955 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13960 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  13963 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  13967 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  13970 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13975 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13980 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13985 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  13988 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDWv4i16_v4i32),
     /*  13992 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13997 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  14000 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  14004 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  14006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  14009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14011 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  14018 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14023 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  14028 */     // GIR_Coverage, 5373,
     /*  14028 */     GIR_EraseRootFromParent_Done,
     /*  14029 */   // Label 280: @14029
     /*  14029 */   GIM_Try, /*On fail goto*//*Label 281*/ GIMT_Encode4(14179), // Rule ID 5365 //
     /*  14034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14038 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  14046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  14050 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  14054 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  14058 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  14062 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  14066 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14071 */     // MIs[1] Operand 2
     /*  14071 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  14082 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  14084 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (UADDWv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  14084 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  14087 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  14091 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  14096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  14098 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  14101 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  14105 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  14110 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  14113 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  14117 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  14120 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  14125 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  14130 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14135 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  14138 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i16_v4i32),
     /*  14142 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  14147 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  14150 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  14154 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  14156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  14159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14161 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  14168 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14173 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  14178 */     // GIR_Coverage, 5365,
     /*  14178 */     GIR_EraseRootFromParent_Done,
     /*  14179 */   // Label 281: @14179
     /*  14179 */   GIM_Try, /*On fail goto*//*Label 282*/ GIMT_Encode4(14248), // Rule ID 13266 //
     /*  14184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  14195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  14199 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  14202 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  14207 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  14211 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  14215 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14220 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  14231 */     // (add:{ *:[v2i32] } (intrinsic_wo_chain:{ *:[v2i32] } 659:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), V64:{ *:[v2i32] }:$Rd)  =>  (SABAv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  14231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv2i32),
     /*  14234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14236 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  14238 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  14242 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  14246 */     GIR_RootConstrainSelectedInstOperands,
     /*  14247 */     // GIR_Coverage, 13266,
     /*  14247 */     GIR_EraseRootFromParent_Done,
     /*  14248 */   // Label 282: @14248
     /*  14248 */   GIM_Try, /*On fail goto*//*Label 283*/ GIMT_Encode4(14317), // Rule ID 13278 //
     /*  14253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  14264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  14268 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  14271 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  14276 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  14280 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  14284 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14289 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  14300 */     // (add:{ *:[v2i32] } (intrinsic_wo_chain:{ *:[v2i32] } 724:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), V64:{ *:[v2i32] }:$Rd)  =>  (UABAv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  14300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv2i32),
     /*  14303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14305 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  14307 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  14311 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  14315 */     GIR_RootConstrainSelectedInstOperands,
     /*  14316 */     // GIR_Coverage, 13278,
     /*  14316 */     GIR_EraseRootFromParent_Done,
     /*  14317 */   // Label 283: @14317
     /*  14317 */   GIM_Try, /*On fail goto*//*Label 284*/ GIMT_Encode4(14373), // Rule ID 13228 //
     /*  14322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  14333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  14337 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  14340 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  14345 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  14349 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  14360 */     // (add:{ *:[v2i32] } (intrinsic_wo_chain:{ *:[v2i32] } 660:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn), V64:{ *:[v2i32] }:$Rd)  =>  (SADALPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v4i16] }:$Rn)
     /*  14360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv4i16_v2i32),
     /*  14363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14365 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  14367 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  14371 */     GIR_RootConstrainSelectedInstOperands,
     /*  14372 */     // GIR_Coverage, 13228,
     /*  14372 */     GIR_EraseRootFromParent_Done,
     /*  14373 */   // Label 284: @14373
     /*  14373 */   GIM_Try, /*On fail goto*//*Label 285*/ GIMT_Encode4(14429), // Rule ID 13240 //
     /*  14378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  14389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  14393 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  14396 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  14401 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  14405 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  14416 */     // (add:{ *:[v2i32] } (intrinsic_wo_chain:{ *:[v2i32] } 725:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn), V64:{ *:[v2i32] }:$Rd)  =>  (UADALPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v4i16] }:$Rn)
     /*  14416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv4i16_v2i32),
     /*  14419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14421 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  14423 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  14427 */     GIR_RootConstrainSelectedInstOperands,
     /*  14428 */     // GIR_Coverage, 13240,
     /*  14428 */     GIR_EraseRootFromParent_Done,
     /*  14429 */   // Label 285: @14429
     /*  14429 */   GIM_Try, /*On fail goto*//*Label 286*/ GIMT_Encode4(14496), // Rule ID 13470 //
     /*  14434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  14445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  14449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  14453 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14458 */     // MIs[1] imm
     /*  14458 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  14462 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  14466 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  14470 */     // MIs[2] Operand 1
     /*  14470 */     // No operand predicates
     /*  14470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14474 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  14478 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  14480 */     // (add:{ *:[v2i32] } (AArch64vashr:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm), V64:{ *:[v2i32] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv2i32_shift:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  14480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv2i32_shift),
     /*  14483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14485 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  14487 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  14491 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  14494 */     GIR_RootConstrainSelectedInstOperands,
     /*  14495 */     // GIR_Coverage, 13470,
     /*  14495 */     GIR_EraseRootFromParent_Done,
     /*  14496 */   // Label 286: @14496
     /*  14496 */   GIM_Try, /*On fail goto*//*Label 287*/ GIMT_Encode4(14563), // Rule ID 13491 //
     /*  14501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  14512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  14516 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  14520 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14525 */     // MIs[1] imm
     /*  14525 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  14529 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  14533 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  14537 */     // MIs[2] Operand 1
     /*  14537 */     // No operand predicates
     /*  14537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14541 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  14545 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  14547 */     // (add:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm), V64:{ *:[v2i32] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv2i32_shift:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  14547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv2i32_shift),
     /*  14550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14552 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  14554 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  14558 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  14561 */     GIR_RootConstrainSelectedInstOperands,
     /*  14562 */     // GIR_Coverage, 13491,
     /*  14562 */     GIR_EraseRootFromParent_Done,
     /*  14563 */   // Label 287: @14563
     /*  14563 */   GIM_Try, /*On fail goto*//*Label 288*/ GIMT_Encode4(14632), // Rule ID 1365 //
     /*  14568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  14583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  14587 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  14590 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  14595 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  14599 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  14603 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14608 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  14615 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, (intrinsic_wo_chain:{ *:[v2i32] } 659:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm))  =>  (SABAv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  14615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv2i32),
     /*  14618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14620 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  14622 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  14626 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  14630 */     GIR_RootConstrainSelectedInstOperands,
     /*  14631 */     // GIR_Coverage, 1365,
     /*  14631 */     GIR_EraseRootFromParent_Done,
     /*  14632 */   // Label 288: @14632
     /*  14632 */   GIM_Try, /*On fail goto*//*Label 289*/ GIMT_Encode4(14701), // Rule ID 1488 //
     /*  14637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14644 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  14652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  14656 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  14659 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  14664 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  14668 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  14672 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14677 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14682 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  14684 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, (intrinsic_wo_chain:{ *:[v2i32] } 724:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm))  =>  (UABAv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  14684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv2i32),
     /*  14687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14689 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  14691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  14695 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  14699 */     GIR_RootConstrainSelectedInstOperands,
     /*  14700 */     // GIR_Coverage, 1488,
     /*  14700 */     GIR_EraseRootFromParent_Done,
     /*  14701 */   // Label 289: @14701
     /*  14701 */   GIM_Try, /*On fail goto*//*Label 290*/ GIMT_Encode4(14757), // Rule ID 993 //
     /*  14706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14713 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  14721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  14725 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  14728 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  14733 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  14737 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14742 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  14744 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, (intrinsic_wo_chain:{ *:[v2i32] } 660:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn))  =>  (SADALPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v4i16] }:$Rn)
     /*  14744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv4i16_v2i32),
     /*  14747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14749 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  14751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  14755 */     GIR_RootConstrainSelectedInstOperands,
     /*  14756 */     // GIR_Coverage, 993,
     /*  14756 */     GIR_EraseRootFromParent_Done,
     /*  14757 */   // Label 290: @14757
     /*  14757 */   GIM_Try, /*On fail goto*//*Label 291*/ GIMT_Encode4(14813), // Rule ID 1054 //
     /*  14762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  14777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  14781 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  14784 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  14789 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  14793 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  14800 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, (intrinsic_wo_chain:{ *:[v2i32] } 725:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn))  =>  (UADALPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v4i16] }:$Rn)
     /*  14800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv4i16_v2i32),
     /*  14803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14805 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  14807 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  14811 */     GIR_RootConstrainSelectedInstOperands,
     /*  14812 */     // GIR_Coverage, 1054,
     /*  14812 */     GIR_EraseRootFromParent_Done,
     /*  14813 */   // Label 291: @14813
     /*  14813 */   GIM_Try, /*On fail goto*//*Label 292*/ GIMT_Encode4(14880), // Rule ID 2238 //
     /*  14818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14825 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  14833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  14837 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  14841 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14846 */     // MIs[1] imm
     /*  14846 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  14850 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  14854 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  14858 */     // MIs[2] Operand 1
     /*  14858 */     // No operand predicates
     /*  14858 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  14862 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  14864 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, (AArch64vashr:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv2i32_shift:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  14864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv2i32_shift),
     /*  14867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14869 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  14871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  14875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  14878 */     GIR_RootConstrainSelectedInstOperands,
     /*  14879 */     // GIR_Coverage, 2238,
     /*  14879 */     GIR_EraseRootFromParent_Done,
     /*  14880 */   // Label 292: @14880
     /*  14880 */   GIM_Try, /*On fail goto*//*Label 293*/ GIMT_Encode4(14947), // Rule ID 2297 //
     /*  14885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  14900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  14904 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  14908 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14913 */     // MIs[1] imm
     /*  14913 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  14917 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  14921 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  14925 */     // MIs[2] Operand 1
     /*  14925 */     // No operand predicates
     /*  14925 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  14929 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  14931 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, (AArch64vlshr:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv2i32_shift:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  14931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv2i32_shift),
     /*  14934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14936 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  14938 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  14942 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  14945 */     GIR_RootConstrainSelectedInstOperands,
     /*  14946 */     // GIR_Coverage, 2297,
     /*  14946 */     GIR_EraseRootFromParent_Done,
     /*  14947 */   // Label 293: @14947
     /*  14947 */   GIM_Try, /*On fail goto*//*Label 294*/ GIMT_Encode4(14995), // Rule ID 13227 //
     /*  14952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  14963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  14967 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  14971 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  14982 */     // (add:{ *:[v2i32] } (AArch64saddlp_n:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn), V64:{ *:[v2i32] }:$Rd)  =>  (SADALPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v4i16] }:$Rn)
     /*  14982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv4i16_v2i32),
     /*  14985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14987 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  14989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  14993 */     GIR_RootConstrainSelectedInstOperands,
     /*  14994 */     // GIR_Coverage, 13227,
     /*  14994 */     GIR_EraseRootFromParent_Done,
     /*  14995 */   // Label 294: @14995
     /*  14995 */   GIM_Try, /*On fail goto*//*Label 295*/ GIMT_Encode4(15043), // Rule ID 13239 //
     /*  15000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  15011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  15015 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  15019 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15030 */     // (add:{ *:[v2i32] } (AArch64uaddlp_n:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn), V64:{ *:[v2i32] }:$Rd)  =>  (UADALPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v4i16] }:$Rn)
     /*  15030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv4i16_v2i32),
     /*  15033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15035 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  15037 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  15041 */     GIR_RootConstrainSelectedInstOperands,
     /*  15042 */     // GIR_Coverage, 13239,
     /*  15042 */     GIR_EraseRootFromParent_Done,
     /*  15043 */   // Label 295: @15043
     /*  15043 */   GIM_Try, /*On fail goto*//*Label 296*/ GIMT_Encode4(15091), // Rule ID 992 //
     /*  15048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15055 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  15063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  15067 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  15071 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15076 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15078 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, (AArch64saddlp_n:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn))  =>  (SADALPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v4i16] }:$Rn)
     /*  15078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv4i16_v2i32),
     /*  15081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15083 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  15085 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  15089 */     GIR_RootConstrainSelectedInstOperands,
     /*  15090 */     // GIR_Coverage, 992,
     /*  15090 */     GIR_EraseRootFromParent_Done,
     /*  15091 */   // Label 296: @15091
     /*  15091 */   GIM_Try, /*On fail goto*//*Label 297*/ GIMT_Encode4(15139), // Rule ID 1053 //
     /*  15096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  15111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  15115 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  15119 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15126 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, (AArch64uaddlp_n:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn))  =>  (UADALPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v4i16] }:$Rn)
     /*  15126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv4i16_v2i32),
     /*  15129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15131 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  15133 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  15137 */     GIR_RootConstrainSelectedInstOperands,
     /*  15138 */     // GIR_Coverage, 1053,
     /*  15138 */     GIR_EraseRootFromParent_Done,
     /*  15139 */   // Label 297: @15139
     /*  15139 */   GIM_Try, /*On fail goto*//*Label 298*/ GIMT_Encode4(15166), // Rule ID 1104 //
     /*  15144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15151 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15159 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (ADDv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  15159 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDv2i32),
     /*  15164 */     GIR_RootConstrainSelectedInstOperands,
     /*  15165 */     // GIR_Coverage, 1104,
     /*  15165 */     GIR_Done,
     /*  15166 */   // Label 298: @15166
     /*  15166 */   GIM_Reject,
     /*  15167 */ // Label 264: @15167
     /*  15167 */ GIM_Reject,
     /*  15168 */ // Label 161: @15168
     /*  15168 */ GIM_Try, /*On fail goto*//*Label 299*/ GIMT_Encode4(21069),
     /*  15173 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  15176 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  15179 */   GIM_Try, /*On fail goto*//*Label 300*/ GIMT_Encode4(15297), // Rule ID 13405 //
     /*  15184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  15195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  15199 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  15203 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  15207 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  15211 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  15215 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15219 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  15223 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  15227 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15231 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  15235 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15240 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  15244 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  15248 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  15252 */     // MIs[4] Operand 1
     /*  15252 */     // No operand predicates
     /*  15252 */     // MIs[2] Operand 2
     /*  15252 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  15263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15267 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  15269 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  15276 */     // (add:{ *:[v2i64] } (AArch64smull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] })), V128:{ *:[v2i64] }:$Rd)  =>  (SMLALv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  15276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i32_indexed),
     /*  15279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15281 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  15283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  15288 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  15292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  15295 */     GIR_RootConstrainSelectedInstOperands,
     /*  15296 */     // GIR_Coverage, 13405,
     /*  15296 */     GIR_EraseRootFromParent_Done,
     /*  15297 */   // Label 300: @15297
     /*  15297 */   GIM_Try, /*On fail goto*//*Label 301*/ GIMT_Encode4(15415), // Rule ID 13406 //
     /*  15302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  15313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  15317 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  15321 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  15325 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  15329 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  15333 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15337 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  15341 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  15345 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15349 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  15353 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15358 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  15362 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  15366 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  15370 */     // MIs[4] Operand 1
     /*  15370 */     // No operand predicates
     /*  15370 */     // MIs[2] Operand 2
     /*  15370 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  15381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15385 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  15387 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  15394 */     // (add:{ *:[v2i64] } (AArch64smull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] }), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), V128:{ *:[v2i64] }:$Rd)  =>  (SMLALv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  15394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i32_indexed),
     /*  15397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15399 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  15401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  15406 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  15410 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  15413 */     GIR_RootConstrainSelectedInstOperands,
     /*  15414 */     // GIR_Coverage, 13406,
     /*  15414 */     GIR_EraseRootFromParent_Done,
     /*  15415 */   // Label 301: @15415
     /*  15415 */   GIM_Try, /*On fail goto*//*Label 302*/ GIMT_Encode4(15533), // Rule ID 13435 //
     /*  15420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  15431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  15435 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  15439 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  15443 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  15447 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  15451 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15455 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  15459 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  15463 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15467 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  15471 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15476 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  15480 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  15484 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  15488 */     // MIs[4] Operand 1
     /*  15488 */     // No operand predicates
     /*  15488 */     // MIs[2] Operand 2
     /*  15488 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  15499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15503 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  15505 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  15512 */     // (add:{ *:[v2i64] } (AArch64umull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] })), V128:{ *:[v2i64] }:$Rd)  =>  (UMLALv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  15512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i32_indexed),
     /*  15515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15517 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  15519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  15524 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  15528 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  15531 */     GIR_RootConstrainSelectedInstOperands,
     /*  15532 */     // GIR_Coverage, 13435,
     /*  15532 */     GIR_EraseRootFromParent_Done,
     /*  15533 */   // Label 302: @15533
     /*  15533 */   GIM_Try, /*On fail goto*//*Label 303*/ GIMT_Encode4(15651), // Rule ID 13436 //
     /*  15538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  15549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  15553 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  15557 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  15561 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  15565 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  15569 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15573 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  15577 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  15581 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15585 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  15589 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15594 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  15598 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  15602 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  15606 */     // MIs[4] Operand 1
     /*  15606 */     // No operand predicates
     /*  15606 */     // MIs[2] Operand 2
     /*  15606 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  15617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15621 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  15623 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  15630 */     // (add:{ *:[v2i64] } (AArch64umull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] }), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), V128:{ *:[v2i64] }:$Rd)  =>  (UMLALv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  15630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i32_indexed),
     /*  15633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15635 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  15637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  15642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  15646 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  15649 */     GIR_RootConstrainSelectedInstOperands,
     /*  15650 */     // GIR_Coverage, 13436,
     /*  15650 */     GIR_EraseRootFromParent_Done,
     /*  15651 */   // Label 303: @15651
     /*  15651 */   GIM_Try, /*On fail goto*//*Label 304*/ GIMT_Encode4(15769), // Rule ID 2042 //
     /*  15656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15663 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  15671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  15675 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  15679 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  15683 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  15687 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  15691 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15695 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  15699 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  15703 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15707 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  15711 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15716 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  15720 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  15724 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  15728 */     // MIs[4] Operand 1
     /*  15728 */     // No operand predicates
     /*  15728 */     // MIs[2] Operand 2
     /*  15728 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  15739 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  15741 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  15748 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] })))  =>  (SMLALv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  15748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i32_indexed),
     /*  15751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15753 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  15755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  15760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  15764 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  15767 */     GIR_RootConstrainSelectedInstOperands,
     /*  15768 */     // GIR_Coverage, 2042,
     /*  15768 */     GIR_EraseRootFromParent_Done,
     /*  15769 */   // Label 304: @15769
     /*  15769 */   GIM_Try, /*On fail goto*//*Label 305*/ GIMT_Encode4(15887), // Rule ID 13404 //
     /*  15774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15781 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  15789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  15793 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  15797 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  15801 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  15805 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  15809 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15813 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  15817 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  15821 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15825 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  15829 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15834 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  15838 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  15842 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  15846 */     // MIs[4] Operand 1
     /*  15846 */     // No operand predicates
     /*  15846 */     // MIs[2] Operand 2
     /*  15846 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  15857 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  15859 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  15866 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] }), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)))  =>  (SMLALv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  15866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i32_indexed),
     /*  15869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15871 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  15873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  15878 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  15882 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  15885 */     GIR_RootConstrainSelectedInstOperands,
     /*  15886 */     // GIR_Coverage, 13404,
     /*  15886 */     GIR_EraseRootFromParent_Done,
     /*  15887 */   // Label 305: @15887
     /*  15887 */   GIM_Try, /*On fail goto*//*Label 306*/ GIMT_Encode4(16005), // Rule ID 2094 //
     /*  15892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  15907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  15911 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  15915 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  15919 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  15923 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  15927 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15931 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  15935 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  15939 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15943 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  15947 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15952 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  15956 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  15960 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  15964 */     // MIs[4] Operand 1
     /*  15964 */     // No operand predicates
     /*  15964 */     // MIs[2] Operand 2
     /*  15964 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  15975 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  15977 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  15984 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] })))  =>  (UMLALv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  15984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i32_indexed),
     /*  15987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15989 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  15991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  15996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  16000 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  16003 */     GIR_RootConstrainSelectedInstOperands,
     /*  16004 */     // GIR_Coverage, 2094,
     /*  16004 */     GIR_EraseRootFromParent_Done,
     /*  16005 */   // Label 306: @16005
     /*  16005 */   GIM_Try, /*On fail goto*//*Label 307*/ GIMT_Encode4(16123), // Rule ID 13434 //
     /*  16010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  16013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16017 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  16025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  16029 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  16033 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  16037 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  16041 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  16045 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  16049 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  16053 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  16057 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  16061 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  16065 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16070 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  16074 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  16078 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  16082 */     // MIs[4] Operand 1
     /*  16082 */     // No operand predicates
     /*  16082 */     // MIs[2] Operand 2
     /*  16082 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  16093 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  16095 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  16102 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] }), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)))  =>  (UMLALv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  16102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i32_indexed),
     /*  16105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16107 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  16109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  16114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  16118 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  16121 */     GIR_RootConstrainSelectedInstOperands,
     /*  16122 */     // GIR_Coverage, 13434,
     /*  16122 */     GIR_EraseRootFromParent_Done,
     /*  16123 */   // Label 307: @16123
     /*  16123 */   GIM_Try, /*On fail goto*//*Label 308*/ GIMT_Encode4(16210), // Rule ID 13310 //
     /*  16128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  16131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  16143 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  16147 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  16151 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  16155 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  16158 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  16163 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  16167 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  16171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16175 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  16177 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  16184 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  16191 */     // (add:{ *:[v2i64] } (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 659:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm))), V128:{ *:[v2i64] }:$Rd)  =>  (SABALv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  16191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv4i32_v2i64),
     /*  16194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16196 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  16198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  16203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  16208 */     GIR_RootConstrainSelectedInstOperands,
     /*  16209 */     // GIR_Coverage, 13310,
     /*  16209 */     GIR_EraseRootFromParent_Done,
     /*  16210 */   // Label 308: @16210
     /*  16210 */   GIM_Try, /*On fail goto*//*Label 309*/ GIMT_Encode4(16297), // Rule ID 13334 //
     /*  16215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  16218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  16230 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  16234 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  16238 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  16242 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  16245 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  16250 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  16254 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  16258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16262 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  16264 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  16271 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  16278 */     // (add:{ *:[v2i64] } (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 724:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm))), V128:{ *:[v2i64] }:$Rd)  =>  (UABALv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  16278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv4i32_v2i64),
     /*  16281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16283 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  16285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  16290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  16295 */     GIR_RootConstrainSelectedInstOperands,
     /*  16296 */     // GIR_Coverage, 13334,
     /*  16296 */     GIR_EraseRootFromParent_Done,
     /*  16297 */   // Label 309: @16297
     /*  16297 */   GIM_Try, /*On fail goto*//*Label 310*/ GIMT_Encode4(16384), // Rule ID 1699 //
     /*  16302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  16305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16309 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  16317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  16321 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  16325 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  16329 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  16333 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  16336 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  16341 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  16345 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  16349 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  16351 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  16358 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  16365 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 659:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm))))  =>  (SABALv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  16365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv4i32_v2i64),
     /*  16368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16370 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  16372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  16377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  16382 */     GIR_RootConstrainSelectedInstOperands,
     /*  16383 */     // GIR_Coverage, 1699,
     /*  16383 */     GIR_EraseRootFromParent_Done,
     /*  16384 */   // Label 310: @16384
     /*  16384 */   GIM_Try, /*On fail goto*//*Label 311*/ GIMT_Encode4(16471), // Rule ID 1777 //
     /*  16389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  16392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16396 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  16404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  16408 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  16412 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  16416 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  16420 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  16423 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  16428 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  16432 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  16436 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  16438 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  16445 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  16452 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 724:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm))))  =>  (UABALv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  16452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv4i32_v2i64),
     /*  16455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16457 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  16459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  16464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  16469 */     GIR_RootConstrainSelectedInstOperands,
     /*  16470 */     // GIR_Coverage, 1777,
     /*  16470 */     GIR_EraseRootFromParent_Done,
     /*  16471 */   // Label 311: @16471
     /*  16471 */   GIM_Try, /*On fail goto*//*Label 312*/ GIMT_Encode4(16586), // Rule ID 13400 //
     /*  16476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  16479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  16491 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  16495 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  16499 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  16503 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  16507 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  16511 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  16515 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  16519 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  16523 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  16527 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16532 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  16536 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  16540 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  16544 */     // MIs[4] Operand 1
     /*  16544 */     // No operand predicates
     /*  16544 */     // MIs[2] Operand 2
     /*  16544 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  16555 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  16560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16564 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  16566 */     // (add:{ *:[v2i64] } (AArch64smull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn), V128:{ *:[v2i64] }:$Rd)  =>  (SMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  16566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_indexed),
     /*  16569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16571 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  16573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  16577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  16581 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  16584 */     GIR_RootConstrainSelectedInstOperands,
     /*  16585 */     // GIR_Coverage, 13400,
     /*  16585 */     GIR_EraseRootFromParent_Done,
     /*  16586 */   // Label 312: @16586
     /*  16586 */   GIM_Try, /*On fail goto*//*Label 313*/ GIMT_Encode4(16701), // Rule ID 13399 //
     /*  16591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  16594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  16606 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  16610 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  16614 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  16619 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  16623 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  16627 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  16631 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  16635 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  16639 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  16643 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  16647 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16652 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  16656 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  16660 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  16664 */     // MIs[4] Operand 1
     /*  16664 */     // No operand predicates
     /*  16664 */     // MIs[2] Operand 2
     /*  16664 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  16675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16679 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  16681 */     // (add:{ *:[v2i64] } (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] })), V128:{ *:[v2i64] }:$Rd)  =>  (SMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  16681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_indexed),
     /*  16684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16686 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  16688 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  16692 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  16696 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  16699 */     GIR_RootConstrainSelectedInstOperands,
     /*  16700 */     // GIR_Coverage, 13399,
     /*  16700 */     GIR_EraseRootFromParent_Done,
     /*  16701 */   // Label 313: @16701
     /*  16701 */   GIM_Try, /*On fail goto*//*Label 314*/ GIMT_Encode4(16816), // Rule ID 13430 //
     /*  16706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  16709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  16721 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  16725 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  16729 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  16733 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  16737 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  16741 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  16745 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  16749 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  16753 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  16757 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16762 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  16766 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  16770 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  16774 */     // MIs[4] Operand 1
     /*  16774 */     // No operand predicates
     /*  16774 */     // MIs[2] Operand 2
     /*  16774 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  16785 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  16790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16794 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  16796 */     // (add:{ *:[v2i64] } (AArch64umull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn), V128:{ *:[v2i64] }:$Rd)  =>  (UMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  16796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_indexed),
     /*  16799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16801 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  16803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  16807 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  16811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  16814 */     GIR_RootConstrainSelectedInstOperands,
     /*  16815 */     // GIR_Coverage, 13430,
     /*  16815 */     GIR_EraseRootFromParent_Done,
     /*  16816 */   // Label 314: @16816
     /*  16816 */   GIM_Try, /*On fail goto*//*Label 315*/ GIMT_Encode4(16931), // Rule ID 13429 //
     /*  16821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  16824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  16836 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  16840 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  16844 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  16849 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  16853 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  16857 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  16861 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  16865 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  16869 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  16873 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  16877 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16882 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  16886 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  16890 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  16894 */     // MIs[4] Operand 1
     /*  16894 */     // No operand predicates
     /*  16894 */     // MIs[2] Operand 2
     /*  16894 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  16905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16909 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  16911 */     // (add:{ *:[v2i64] } (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] })), V128:{ *:[v2i64] }:$Rd)  =>  (UMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  16911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_indexed),
     /*  16914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16916 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  16918 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  16922 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  16926 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  16929 */     GIR_RootConstrainSelectedInstOperands,
     /*  16930 */     // GIR_Coverage, 13429,
     /*  16930 */     GIR_EraseRootFromParent_Done,
     /*  16931 */   // Label 315: @16931
     /*  16931 */   GIM_Try, /*On fail goto*//*Label 316*/ GIMT_Encode4(17000), // Rule ID 1801 //
     /*  16936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  16939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  16951 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  16955 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  16959 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  16963 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  16967 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  16969 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  16976 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  16983 */     // (add:{ *:[v2i64] } (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (UADDLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  16983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i32_v2i64),
     /*  16986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  16988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  16993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  16998 */     GIR_RootConstrainSelectedInstOperands,
     /*  16999 */     // GIR_Coverage, 1801,
     /*  16999 */     GIR_EraseRootFromParent_Done,
     /*  17000 */   // Label 316: @17000
     /*  17000 */   GIM_Try, /*On fail goto*//*Label 317*/ GIMT_Encode4(17069), // Rule ID 1800 //
     /*  17005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  17016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  17020 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17024 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  17028 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  17032 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17036 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  17038 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17045 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17052 */     // (add:{ *:[v2i64] } (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (UADDLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  17052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i32_v2i64),
     /*  17055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  17057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  17062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  17067 */     GIR_RootConstrainSelectedInstOperands,
     /*  17068 */     // GIR_Coverage, 1800,
     /*  17068 */     GIR_EraseRootFromParent_Done,
     /*  17069 */   // Label 317: @17069
     /*  17069 */   GIM_Try, /*On fail goto*//*Label 318*/ GIMT_Encode4(17138), // Rule ID 1717 //
     /*  17074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  17085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  17089 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17093 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  17097 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  17101 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17105 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  17107 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17114 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17121 */     // (add:{ *:[v2i64] } (sext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), (sext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (SADDLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  17121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLv4i32_v2i64),
     /*  17124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  17126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  17131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  17136 */     GIR_RootConstrainSelectedInstOperands,
     /*  17137 */     // GIR_Coverage, 1717,
     /*  17137 */     GIR_EraseRootFromParent_Done,
     /*  17138 */   // Label 318: @17138
     /*  17138 */   GIM_Try, /*On fail goto*//*Label 319*/ GIMT_Encode4(17207), // Rule ID 1799 //
     /*  17143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  17154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  17158 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17162 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  17166 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  17170 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17174 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  17176 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17183 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17190 */     // (add:{ *:[v2i64] } (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (UADDLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  17190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i32_v2i64),
     /*  17193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  17195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  17200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  17205 */     GIR_RootConstrainSelectedInstOperands,
     /*  17206 */     // GIR_Coverage, 1799,
     /*  17206 */     GIR_EraseRootFromParent_Done,
     /*  17207 */   // Label 319: @17207
     /*  17207 */   GIM_Try, /*On fail goto*//*Label 320*/ GIMT_Encode4(17276), // Rule ID 1798 //
     /*  17212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  17223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  17227 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17231 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  17235 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  17239 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17243 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  17245 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17252 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17259 */     // (add:{ *:[v2i64] } (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (UADDLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  17259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i32_v2i64),
     /*  17262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  17264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  17269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  17274 */     GIR_RootConstrainSelectedInstOperands,
     /*  17275 */     // GIR_Coverage, 1798,
     /*  17275 */     GIR_EraseRootFromParent_Done,
     /*  17276 */   // Label 320: @17276
     /*  17276 */   GIM_Try, /*On fail goto*//*Label 321*/ GIMT_Encode4(17391), // Rule ID 13398 //
     /*  17281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  17300 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17304 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  17308 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  17312 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  17316 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  17320 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  17324 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  17328 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  17332 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  17336 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17341 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  17345 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  17349 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  17353 */     // MIs[4] Operand 1
     /*  17353 */     // No operand predicates
     /*  17353 */     // MIs[2] Operand 2
     /*  17353 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  17364 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  17369 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  17371 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn))  =>  (SMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  17371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_indexed),
     /*  17374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17376 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  17378 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  17382 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  17386 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  17389 */     GIR_RootConstrainSelectedInstOperands,
     /*  17390 */     // GIR_Coverage, 13398,
     /*  17390 */     GIR_EraseRootFromParent_Done,
     /*  17391 */   // Label 321: @17391
     /*  17391 */   GIM_Try, /*On fail goto*//*Label 322*/ GIMT_Encode4(17506), // Rule ID 2040 //
     /*  17396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17403 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  17415 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17419 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  17423 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  17428 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  17432 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  17436 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  17440 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  17444 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  17448 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  17452 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  17456 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17461 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  17465 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  17469 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  17473 */     // MIs[4] Operand 1
     /*  17473 */     // No operand predicates
     /*  17473 */     // MIs[2] Operand 2
     /*  17473 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  17484 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  17486 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] })))  =>  (SMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  17486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_indexed),
     /*  17489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17491 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  17493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  17497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  17501 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  17504 */     GIR_RootConstrainSelectedInstOperands,
     /*  17505 */     // GIR_Coverage, 2040,
     /*  17505 */     GIR_EraseRootFromParent_Done,
     /*  17506 */   // Label 322: @17506
     /*  17506 */   GIM_Try, /*On fail goto*//*Label 323*/ GIMT_Encode4(17621), // Rule ID 13428 //
     /*  17511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  17530 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17534 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  17538 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  17542 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  17546 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  17550 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  17554 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  17558 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  17562 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  17566 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17571 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  17575 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  17579 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  17583 */     // MIs[4] Operand 1
     /*  17583 */     // No operand predicates
     /*  17583 */     // MIs[2] Operand 2
     /*  17583 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  17594 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  17599 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  17601 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn))  =>  (UMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  17601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_indexed),
     /*  17604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17606 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  17608 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  17612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  17616 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  17619 */     GIR_RootConstrainSelectedInstOperands,
     /*  17620 */     // GIR_Coverage, 13428,
     /*  17620 */     GIR_EraseRootFromParent_Done,
     /*  17621 */   // Label 323: @17621
     /*  17621 */   GIM_Try, /*On fail goto*//*Label 324*/ GIMT_Encode4(17736), // Rule ID 2092 //
     /*  17626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17633 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  17645 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17649 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  17653 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  17658 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  17662 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  17666 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  17670 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  17674 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  17678 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  17682 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  17686 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17691 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  17695 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  17699 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  17703 */     // MIs[4] Operand 1
     /*  17703 */     // No operand predicates
     /*  17703 */     // MIs[2] Operand 2
     /*  17703 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  17714 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  17716 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] })))  =>  (UMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  17716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_indexed),
     /*  17719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17721 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  17723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  17727 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  17731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  17734 */     GIR_RootConstrainSelectedInstOperands,
     /*  17735 */     // GIR_Coverage, 2092,
     /*  17735 */     GIR_EraseRootFromParent_Done,
     /*  17736 */   // Label 324: @17736
     /*  17736 */   GIM_Try, /*On fail goto*//*Label 325*/ GIMT_Encode4(17803), // Rule ID 13322 //
     /*  17741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  17752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  17756 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17760 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  17764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17770 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17777 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17784 */     // (add:{ *:[v2i64] } (AArch64smull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)), V128:{ *:[v2i64] }:$Rd)  =>  (SMLALv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  17784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i32_v2i64),
     /*  17787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17789 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  17791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  17796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  17801 */     GIR_RootConstrainSelectedInstOperands,
     /*  17802 */     // GIR_Coverage, 13322,
     /*  17802 */     GIR_EraseRootFromParent_Done,
     /*  17803 */   // Label 325: @17803
     /*  17803 */   GIM_Try, /*On fail goto*//*Label 326*/ GIMT_Encode4(17870), // Rule ID 13352 //
     /*  17808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  17819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  17823 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17827 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  17831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17837 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17844 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17851 */     // (add:{ *:[v2i64] } (AArch64umull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)), V128:{ *:[v2i64] }:$Rd)  =>  (UMLALv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  17851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i32_v2i64),
     /*  17854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17856 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  17858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  17863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  17868 */     GIR_RootConstrainSelectedInstOperands,
     /*  17869 */     // GIR_Coverage, 13352,
     /*  17869 */     GIR_EraseRootFromParent_Done,
     /*  17870 */   // Label 326: @17870
     /*  17870 */   GIM_Try, /*On fail goto*//*Label 327*/ GIMT_Encode4(17937), // Rule ID 1729 //
     /*  17875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17882 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  17894 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17898 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  17902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17904 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17911 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17918 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (SMLALv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  17918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i32_v2i64),
     /*  17921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17923 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  17925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  17930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  17935 */     GIR_RootConstrainSelectedInstOperands,
     /*  17936 */     // GIR_Coverage, 1729,
     /*  17936 */     GIR_EraseRootFromParent_Done,
     /*  17937 */   // Label 327: @17937
     /*  17937 */   GIM_Try, /*On fail goto*//*Label 328*/ GIMT_Encode4(18004), // Rule ID 1819 //
     /*  17942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17949 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  17961 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17965 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  17969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17971 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17978 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17985 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (UMLALv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  17985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i32_v2i64),
     /*  17988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17990 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  17992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  17997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  18002 */     GIR_RootConstrainSelectedInstOperands,
     /*  18003 */     // GIR_Coverage, 1819,
     /*  18003 */     GIR_EraseRootFromParent_Done,
     /*  18004 */   // Label 328: @18004
     /*  18004 */   GIM_Try, /*On fail goto*//*Label 329*/ GIMT_Encode4(18085), // Rule ID 13308 //
     /*  18009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  18024 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18028 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  18032 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  18036 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  18039 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  18044 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  18048 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  18052 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18057 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18066 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  18068 */     // (add:{ *:[v2i64] } (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 659:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)), V128:{ *:[v2i64] }:$Rd)  =>  (SABALv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  18068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv2i32_v2i64),
     /*  18071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18073 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  18075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  18079 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  18083 */     GIR_RootConstrainSelectedInstOperands,
     /*  18084 */     // GIR_Coverage, 13308,
     /*  18084 */     GIR_EraseRootFromParent_Done,
     /*  18085 */   // Label 329: @18085
     /*  18085 */   GIM_Try, /*On fail goto*//*Label 330*/ GIMT_Encode4(18166), // Rule ID 13332 //
     /*  18090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  18105 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18109 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  18113 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  18117 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  18120 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  18125 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  18129 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  18133 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18138 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18147 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  18149 */     // (add:{ *:[v2i64] } (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 724:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)), V128:{ *:[v2i64] }:$Rd)  =>  (UABALv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  18149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv2i32_v2i64),
     /*  18152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18154 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  18156 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  18160 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  18164 */     GIR_RootConstrainSelectedInstOperands,
     /*  18165 */     // GIR_Coverage, 13332,
     /*  18165 */     GIR_EraseRootFromParent_Done,
     /*  18166 */   // Label 330: @18166
     /*  18166 */   GIM_Try, /*On fail goto*//*Label 331*/ GIMT_Encode4(18247), // Rule ID 1697 //
     /*  18171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18178 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  18186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  18190 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18194 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  18198 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  18202 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  18205 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  18210 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  18214 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  18218 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18223 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18228 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  18230 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 659:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)))  =>  (SABALv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  18230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv2i32_v2i64),
     /*  18233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18235 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  18237 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  18241 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  18245 */     GIR_RootConstrainSelectedInstOperands,
     /*  18246 */     // GIR_Coverage, 1697,
     /*  18246 */     GIR_EraseRootFromParent_Done,
     /*  18247 */   // Label 331: @18247
     /*  18247 */   GIM_Try, /*On fail goto*//*Label 332*/ GIMT_Encode4(18328), // Rule ID 1775 //
     /*  18252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18259 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  18267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  18271 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18275 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  18279 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  18283 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  18286 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  18291 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  18295 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  18299 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18304 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18309 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  18311 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 724:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)))  =>  (UABALv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  18311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv2i32_v2i64),
     /*  18314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18316 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  18318 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  18322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  18326 */     GIR_RootConstrainSelectedInstOperands,
     /*  18327 */     // GIR_Coverage, 1775,
     /*  18327 */     GIR_EraseRootFromParent_Done,
     /*  18328 */   // Label 332: @18328
     /*  18328 */   GIM_Try, /*On fail goto*//*Label 333*/ GIMT_Encode4(18420), // Rule ID 13403 //
     /*  18333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  18348 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18352 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  18356 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  18360 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  18364 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  18368 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  18372 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18377 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  18381 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  18385 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  18389 */     // MIs[3] Operand 1
     /*  18389 */     // No operand predicates
     /*  18389 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18398 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  18400 */     // (add:{ *:[v2i64] } (AArch64smull:{ *:[v2i64] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2i32] }:$Rn), V128:{ *:[v2i64] }:$Rd)  =>  (SMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  18400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_indexed),
     /*  18403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18405 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  18407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  18411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  18415 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  18418 */     GIR_RootConstrainSelectedInstOperands,
     /*  18419 */     // GIR_Coverage, 13403,
     /*  18419 */     GIR_EraseRootFromParent_Done,
     /*  18420 */   // Label 333: @18420
     /*  18420 */   GIM_Try, /*On fail goto*//*Label 334*/ GIMT_Encode4(18512), // Rule ID 13402 //
     /*  18425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  18440 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18444 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  18448 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18453 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  18457 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  18461 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  18465 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  18469 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18474 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  18478 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  18482 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  18486 */     // MIs[3] Operand 1
     /*  18486 */     // No operand predicates
     /*  18486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18490 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  18492 */     // (add:{ *:[v2i64] } (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), V128:{ *:[v2i64] }:$Rd)  =>  (SMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  18492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_indexed),
     /*  18495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18497 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  18499 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  18503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  18507 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  18510 */     GIR_RootConstrainSelectedInstOperands,
     /*  18511 */     // GIR_Coverage, 13402,
     /*  18511 */     GIR_EraseRootFromParent_Done,
     /*  18512 */   // Label 334: @18512
     /*  18512 */   GIM_Try, /*On fail goto*//*Label 335*/ GIMT_Encode4(18604), // Rule ID 13433 //
     /*  18517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  18532 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18536 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  18540 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  18544 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  18548 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  18552 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  18556 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18561 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  18565 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  18569 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  18573 */     // MIs[3] Operand 1
     /*  18573 */     // No operand predicates
     /*  18573 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18582 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  18584 */     // (add:{ *:[v2i64] } (AArch64umull:{ *:[v2i64] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2i32] }:$Rn), V128:{ *:[v2i64] }:$Rd)  =>  (UMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  18584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_indexed),
     /*  18587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18589 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  18591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  18595 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  18599 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  18602 */     GIR_RootConstrainSelectedInstOperands,
     /*  18603 */     // GIR_Coverage, 13433,
     /*  18603 */     GIR_EraseRootFromParent_Done,
     /*  18604 */   // Label 335: @18604
     /*  18604 */   GIM_Try, /*On fail goto*//*Label 336*/ GIMT_Encode4(18696), // Rule ID 13432 //
     /*  18609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  18624 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18628 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  18632 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18637 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  18641 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  18645 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  18649 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  18653 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18658 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  18662 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  18666 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  18670 */     // MIs[3] Operand 1
     /*  18670 */     // No operand predicates
     /*  18670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18674 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  18676 */     // (add:{ *:[v2i64] } (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), V128:{ *:[v2i64] }:$Rd)  =>  (UMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  18676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_indexed),
     /*  18679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18681 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  18683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  18687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  18691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  18694 */     GIR_RootConstrainSelectedInstOperands,
     /*  18695 */     // GIR_Coverage, 13432,
     /*  18695 */     GIR_EraseRootFromParent_Done,
     /*  18696 */   // Label 336: @18696
     /*  18696 */   GIM_Try, /*On fail goto*//*Label 337*/ GIMT_Encode4(18788), // Rule ID 13401 //
     /*  18701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  18716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  18720 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18724 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  18728 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  18732 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  18736 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  18740 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  18744 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18749 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  18753 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  18757 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  18761 */     // MIs[3] Operand 1
     /*  18761 */     // No operand predicates
     /*  18761 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18766 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  18768 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2i32] }:$Rn))  =>  (SMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  18768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_indexed),
     /*  18771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18773 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  18775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  18779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  18783 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  18786 */     GIR_RootConstrainSelectedInstOperands,
     /*  18787 */     // GIR_Coverage, 13401,
     /*  18787 */     GIR_EraseRootFromParent_Done,
     /*  18788 */   // Label 337: @18788
     /*  18788 */   GIM_Try, /*On fail goto*//*Label 338*/ GIMT_Encode4(18880), // Rule ID 2041 //
     /*  18793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18800 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  18808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  18812 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18816 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  18820 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18825 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  18829 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  18833 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  18837 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  18841 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18846 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  18850 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  18854 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  18858 */     // MIs[3] Operand 1
     /*  18858 */     // No operand predicates
     /*  18858 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  18860 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (SMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  18860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_indexed),
     /*  18863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18865 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  18867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  18871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  18875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  18878 */     GIR_RootConstrainSelectedInstOperands,
     /*  18879 */     // GIR_Coverage, 2041,
     /*  18879 */     GIR_EraseRootFromParent_Done,
     /*  18880 */   // Label 338: @18880
     /*  18880 */   GIM_Try, /*On fail goto*//*Label 339*/ GIMT_Encode4(18972), // Rule ID 13431 //
     /*  18885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  18900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  18904 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18908 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  18912 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  18916 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  18920 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  18924 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  18928 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18933 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  18937 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  18941 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  18945 */     // MIs[3] Operand 1
     /*  18945 */     // No operand predicates
     /*  18945 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18950 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  18952 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2i32] }:$Rn))  =>  (UMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  18952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_indexed),
     /*  18955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18957 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  18959 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  18963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  18967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  18970 */     GIR_RootConstrainSelectedInstOperands,
     /*  18971 */     // GIR_Coverage, 13431,
     /*  18971 */     GIR_EraseRootFromParent_Done,
     /*  18972 */   // Label 339: @18972
     /*  18972 */   GIM_Try, /*On fail goto*//*Label 340*/ GIMT_Encode4(19064), // Rule ID 2093 //
     /*  18977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18984 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  18992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  18996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  19000 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  19004 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  19009 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  19013 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  19017 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  19021 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  19025 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19030 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  19034 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  19038 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  19042 */     // MIs[3] Operand 1
     /*  19042 */     // No operand predicates
     /*  19042 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  19044 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (UMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  19044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_indexed),
     /*  19047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19049 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  19051 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  19055 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  19059 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  19062 */     GIR_RootConstrainSelectedInstOperands,
     /*  19063 */     // GIR_Coverage, 2093,
     /*  19063 */     GIR_EraseRootFromParent_Done,
     /*  19064 */   // Label 340: @19064
     /*  19064 */   GIM_Try, /*On fail goto*//*Label 341*/ GIMT_Encode4(19115), // Rule ID 13346 //
     /*  19069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  19084 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  19088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19092 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19094 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  19101 */     // (add:{ *:[v2i64] } (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)), V128:{ *:[v2i64] }:$Rn)  =>  (UADDWv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  19101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i32_v2i64),
     /*  19104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  19106 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  19108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  19113 */     GIR_RootConstrainSelectedInstOperands,
     /*  19114 */     // GIR_Coverage, 13346,
     /*  19114 */     GIR_EraseRootFromParent_Done,
     /*  19115 */   // Label 341: @19115
     /*  19115 */   GIM_Try, /*On fail goto*//*Label 342*/ GIMT_Encode4(19166), // Rule ID 13316 //
     /*  19120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  19135 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  19139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19145 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  19152 */     // (add:{ *:[v2i64] } (sext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)), V128:{ *:[v2i64] }:$Rn)  =>  (SADDWv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  19152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv4i32_v2i64),
     /*  19155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  19157 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  19159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  19164 */     GIR_RootConstrainSelectedInstOperands,
     /*  19165 */     // GIR_Coverage, 13316,
     /*  19165 */     GIR_EraseRootFromParent_Done,
     /*  19166 */   // Label 342: @19166
     /*  19166 */   GIM_Try, /*On fail goto*//*Label 343*/ GIMT_Encode4(19217), // Rule ID 13345 //
     /*  19171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  19186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  19190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19194 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19196 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  19203 */     // (add:{ *:[v2i64] } (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)), V128:{ *:[v2i64] }:$Rn)  =>  (UADDWv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  19203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i32_v2i64),
     /*  19206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  19208 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  19210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  19215 */     GIR_RootConstrainSelectedInstOperands,
     /*  19216 */     // GIR_Coverage, 13345,
     /*  19216 */     GIR_EraseRootFromParent_Done,
     /*  19217 */   // Label 343: @19217
     /*  19217 */   GIM_Try, /*On fail goto*//*Label 344*/ GIMT_Encode4(19268), // Rule ID 1813 //
     /*  19222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  19237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  19241 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  19245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19247 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  19254 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (UADDWv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  19254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i32_v2i64),
     /*  19257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  19259 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  19261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  19266 */     GIR_RootConstrainSelectedInstOperands,
     /*  19267 */     // GIR_Coverage, 1813,
     /*  19267 */     GIR_EraseRootFromParent_Done,
     /*  19268 */   // Label 344: @19268
     /*  19268 */   GIM_Try, /*On fail goto*//*Label 345*/ GIMT_Encode4(19319), // Rule ID 1723 //
     /*  19273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  19288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  19292 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  19296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19298 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  19305 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (sext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (SADDWv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  19305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv4i32_v2i64),
     /*  19308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  19310 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  19312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  19317 */     GIR_RootConstrainSelectedInstOperands,
     /*  19318 */     // GIR_Coverage, 1723,
     /*  19318 */     GIR_EraseRootFromParent_Done,
     /*  19319 */   // Label 345: @19319
     /*  19319 */   GIM_Try, /*On fail goto*//*Label 346*/ GIMT_Encode4(19370), // Rule ID 1812 //
     /*  19324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  19339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  19343 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  19347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19349 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  19356 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (UADDWv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  19356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i32_v2i64),
     /*  19359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  19361 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  19363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  19368 */     GIR_RootConstrainSelectedInstOperands,
     /*  19369 */     // GIR_Coverage, 1812,
     /*  19369 */     GIR_EraseRootFromParent_Done,
     /*  19370 */   // Label 346: @19370
     /*  19370 */   GIM_Try, /*On fail goto*//*Label 347*/ GIMT_Encode4(19426), // Rule ID 13234 //
     /*  19375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  19390 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  19393 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  19398 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  19402 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19413 */     // (add:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i64] } 660:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn), V128:{ *:[v2i64] }:$Rd)  =>  (SADALPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /*  19413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv4i32_v2i64),
     /*  19416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19418 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  19420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  19424 */     GIR_RootConstrainSelectedInstOperands,
     /*  19425 */     // GIR_Coverage, 13234,
     /*  19425 */     GIR_EraseRootFromParent_Done,
     /*  19426 */   // Label 347: @19426
     /*  19426 */   GIM_Try, /*On fail goto*//*Label 348*/ GIMT_Encode4(19482), // Rule ID 13246 //
     /*  19431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  19446 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  19449 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  19454 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  19458 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19469 */     // (add:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i64] } 725:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn), V128:{ *:[v2i64] }:$Rd)  =>  (UADALPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /*  19469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv4i32_v2i64),
     /*  19472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19474 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  19476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  19480 */     GIR_RootConstrainSelectedInstOperands,
     /*  19481 */     // GIR_Coverage, 13246,
     /*  19481 */     GIR_EraseRootFromParent_Done,
     /*  19482 */   // Label 348: @19482
     /*  19482 */   GIM_Try, /*On fail goto*//*Label 349*/ GIMT_Encode4(19549), // Rule ID 13474 //
     /*  19487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  19502 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  19506 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19511 */     // MIs[1] imm
     /*  19511 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  19515 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  19519 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  19523 */     // MIs[2] Operand 1
     /*  19523 */     // No operand predicates
     /*  19523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19527 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  19531 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  19533 */     // (add:{ *:[v2i64] } (AArch64vashr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm), V128:{ *:[v2i64] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv2i64_shift:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  19533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv2i64_shift),
     /*  19536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19538 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  19540 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  19544 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  19547 */     GIR_RootConstrainSelectedInstOperands,
     /*  19548 */     // GIR_Coverage, 13474,
     /*  19548 */     GIR_EraseRootFromParent_Done,
     /*  19549 */   // Label 349: @19549
     /*  19549 */   GIM_Try, /*On fail goto*//*Label 350*/ GIMT_Encode4(19616), // Rule ID 13495 //
     /*  19554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  19569 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  19573 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19578 */     // MIs[1] imm
     /*  19578 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  19582 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  19586 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  19590 */     // MIs[2] Operand 1
     /*  19590 */     // No operand predicates
     /*  19590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19594 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  19598 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  19600 */     // (add:{ *:[v2i64] } (AArch64vlshr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm), V128:{ *:[v2i64] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv2i64_shift:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  19600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv2i64_shift),
     /*  19603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19605 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  19607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  19611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  19614 */     GIR_RootConstrainSelectedInstOperands,
     /*  19615 */     // GIR_Coverage, 13495,
     /*  19615 */     GIR_EraseRootFromParent_Done,
     /*  19616 */   // Label 350: @19616
     /*  19616 */   GIM_Try, /*On fail goto*//*Label 351*/ GIMT_Encode4(19672), // Rule ID 999 //
     /*  19621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19628 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  19636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  19640 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  19643 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  19648 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  19652 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19659 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 660:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn))  =>  (SADALPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /*  19659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv4i32_v2i64),
     /*  19662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19664 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  19666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  19670 */     GIR_RootConstrainSelectedInstOperands,
     /*  19671 */     // GIR_Coverage, 999,
     /*  19671 */     GIR_EraseRootFromParent_Done,
     /*  19672 */   // Label 351: @19672
     /*  19672 */   GIM_Try, /*On fail goto*//*Label 352*/ GIMT_Encode4(19728), // Rule ID 1060 //
     /*  19677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  19692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  19696 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  19699 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  19704 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  19708 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19715 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 725:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn))  =>  (UADALPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /*  19715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv4i32_v2i64),
     /*  19718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19720 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  19722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  19726 */     GIR_RootConstrainSelectedInstOperands,
     /*  19727 */     // GIR_Coverage, 1060,
     /*  19727 */     GIR_EraseRootFromParent_Done,
     /*  19728 */   // Label 352: @19728
     /*  19728 */   GIM_Try, /*On fail goto*//*Label 353*/ GIMT_Encode4(19795), // Rule ID 2242 //
     /*  19733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19740 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  19748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  19752 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  19756 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19761 */     // MIs[1] imm
     /*  19761 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  19765 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  19769 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  19773 */     // MIs[2] Operand 1
     /*  19773 */     // No operand predicates
     /*  19773 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  19777 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  19779 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64vashr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv2i64_shift:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  19779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv2i64_shift),
     /*  19782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19784 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  19786 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  19790 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  19793 */     GIR_RootConstrainSelectedInstOperands,
     /*  19794 */     // GIR_Coverage, 2242,
     /*  19794 */     GIR_EraseRootFromParent_Done,
     /*  19795 */   // Label 353: @19795
     /*  19795 */   GIM_Try, /*On fail goto*//*Label 354*/ GIMT_Encode4(19862), // Rule ID 2301 //
     /*  19800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  19815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  19819 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  19823 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19828 */     // MIs[1] imm
     /*  19828 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  19832 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  19836 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  19840 */     // MIs[2] Operand 1
     /*  19840 */     // No operand predicates
     /*  19840 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  19844 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  19846 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64vlshr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv2i64_shift:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  19846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv2i64_shift),
     /*  19849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19851 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  19853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  19857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  19860 */     GIR_RootConstrainSelectedInstOperands,
     /*  19861 */     // GIR_Coverage, 2301,
     /*  19861 */     GIR_EraseRootFromParent_Done,
     /*  19862 */   // Label 354: @19862
     /*  19862 */   GIM_Try, /*On fail goto*//*Label 355*/ GIMT_Encode4(19932), // Rule ID 6893 //
     /*  19867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_ZIP1),
     /*  19879 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  19883 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  19887 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19892 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19897 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  19901 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_ZIP2),
     /*  19905 */     // MIs[2] Rn
     /*  19905 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  19910 */     // MIs[2] Rm
     /*  19910 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  19915 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  19917 */     // (add:{ *:[v2i64] } (AArch64zip1:{ *:[v2i64] } FPR128:{ *:[v2i64] }:$Rn, FPR128:{ *:[v2i64] }:$Rm), (AArch64zip2:{ *:[v2i64] } FPR128:{ *:[v2i64] }:$Rn, FPR128:{ *:[v2i64] }:$Rm))  =>  (ADDPv2i64:{ *:[v2i64] } ?:{ *:[v2i64] }:$Rn, ?:{ *:[v2i64] }:$Rm)
     /*  19917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i64),
     /*  19920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  19922 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  19926 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  19930 */     GIR_RootConstrainSelectedInstOperands,
     /*  19931 */     // GIR_Coverage, 6893,
     /*  19931 */     GIR_EraseRootFromParent_Done,
     /*  19932 */   // Label 355: @19932
     /*  19932 */   GIM_Try, /*On fail goto*//*Label 356*/ GIMT_Encode4(20002), // Rule ID 13850 //
     /*  19937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_ZIP2),
     /*  19949 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  19953 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  19957 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19962 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19967 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  19971 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_ZIP1),
     /*  19975 */     // MIs[2] Rn
     /*  19975 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  19980 */     // MIs[2] Rm
     /*  19980 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  19985 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  19987 */     // (add:{ *:[v2i64] } (AArch64zip2:{ *:[v2i64] } FPR128:{ *:[v2i64] }:$Rn, FPR128:{ *:[v2i64] }:$Rm), (AArch64zip1:{ *:[v2i64] } FPR128:{ *:[v2i64] }:$Rn, FPR128:{ *:[v2i64] }:$Rm))  =>  (ADDPv2i64:{ *:[v2i64] } ?:{ *:[v2i64] }:$Rn, ?:{ *:[v2i64] }:$Rm)
     /*  19987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i64),
     /*  19990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  19992 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  19996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  20000 */     GIR_RootConstrainSelectedInstOperands,
     /*  20001 */     // GIR_Coverage, 13850,
     /*  20001 */     GIR_EraseRootFromParent_Done,
     /*  20002 */   // Label 356: @20002
     /*  20002 */   GIM_Try, /*On fail goto*//*Label 357*/ GIMT_Encode4(20065), // Rule ID 1797 //
     /*  20007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  20022 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20026 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20031 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  20035 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  20039 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20043 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20048 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  20050 */     // (add:{ *:[v2i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (UADDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  20050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv2i32_v2i64),
     /*  20053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  20055 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  20059 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  20063 */     GIR_RootConstrainSelectedInstOperands,
     /*  20064 */     // GIR_Coverage, 1797,
     /*  20064 */     GIR_EraseRootFromParent_Done,
     /*  20065 */   // Label 357: @20065
     /*  20065 */   GIM_Try, /*On fail goto*//*Label 358*/ GIMT_Encode4(20128), // Rule ID 1796 //
     /*  20070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  20085 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20089 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20094 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  20098 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  20102 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20106 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20111 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  20113 */     // (add:{ *:[v2i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (UADDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  20113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv2i32_v2i64),
     /*  20116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  20118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  20122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  20126 */     GIR_RootConstrainSelectedInstOperands,
     /*  20127 */     // GIR_Coverage, 1796,
     /*  20127 */     GIR_EraseRootFromParent_Done,
     /*  20128 */   // Label 358: @20128
     /*  20128 */   GIM_Try, /*On fail goto*//*Label 359*/ GIMT_Encode4(20191), // Rule ID 1716 //
     /*  20133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  20148 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20152 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20157 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  20161 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  20165 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20169 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20174 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  20176 */     // (add:{ *:[v2i64] } (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (SADDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  20176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLv2i32_v2i64),
     /*  20179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  20181 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  20185 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  20189 */     GIR_RootConstrainSelectedInstOperands,
     /*  20190 */     // GIR_Coverage, 1716,
     /*  20190 */     GIR_EraseRootFromParent_Done,
     /*  20191 */   // Label 359: @20191
     /*  20191 */   GIM_Try, /*On fail goto*//*Label 360*/ GIMT_Encode4(20254), // Rule ID 1795 //
     /*  20196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  20211 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20215 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20220 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  20224 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  20228 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20232 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20237 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  20239 */     // (add:{ *:[v2i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (UADDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  20239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv2i32_v2i64),
     /*  20242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  20244 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  20248 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  20252 */     GIR_RootConstrainSelectedInstOperands,
     /*  20253 */     // GIR_Coverage, 1795,
     /*  20253 */     GIR_EraseRootFromParent_Done,
     /*  20254 */   // Label 360: @20254
     /*  20254 */   GIM_Try, /*On fail goto*//*Label 361*/ GIMT_Encode4(20317), // Rule ID 1794 //
     /*  20259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  20274 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20278 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20283 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  20287 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  20291 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20295 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20300 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  20302 */     // (add:{ *:[v2i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (UADDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  20302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv2i32_v2i64),
     /*  20305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  20307 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  20311 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  20315 */     GIR_RootConstrainSelectedInstOperands,
     /*  20316 */     // GIR_Coverage, 1794,
     /*  20316 */     GIR_EraseRootFromParent_Done,
     /*  20317 */   // Label 361: @20317
     /*  20317 */   GIM_Try, /*On fail goto*//*Label 362*/ GIMT_Encode4(20378), // Rule ID 13321 //
     /*  20322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  20337 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20341 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  20345 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20350 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20361 */     // (add:{ *:[v2i64] } (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), V128:{ *:[v2i64] }:$Rd)  =>  (SMLALv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  20361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_v2i64),
     /*  20364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20366 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  20368 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  20372 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  20376 */     GIR_RootConstrainSelectedInstOperands,
     /*  20377 */     // GIR_Coverage, 13321,
     /*  20377 */     GIR_EraseRootFromParent_Done,
     /*  20378 */   // Label 362: @20378
     /*  20378 */   GIM_Try, /*On fail goto*//*Label 363*/ GIMT_Encode4(20439), // Rule ID 13351 //
     /*  20383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  20398 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20402 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  20406 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20411 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20422 */     // (add:{ *:[v2i64] } (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), V128:{ *:[v2i64] }:$Rd)  =>  (UMLALv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  20422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_v2i64),
     /*  20425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20427 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  20429 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  20433 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  20437 */     GIR_RootConstrainSelectedInstOperands,
     /*  20438 */     // GIR_Coverage, 13351,
     /*  20438 */     GIR_EraseRootFromParent_Done,
     /*  20439 */   // Label 363: @20439
     /*  20439 */   GIM_Try, /*On fail goto*//*Label 364*/ GIMT_Encode4(20487), // Rule ID 13344 //
     /*  20444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  20459 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20463 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20472 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20474 */     // (add:{ *:[v2i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), V128:{ *:[v2i64] }:$Rn)  =>  (UADDWv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  20474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv2i32_v2i64),
     /*  20477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  20479 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  20481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  20485 */     GIR_RootConstrainSelectedInstOperands,
     /*  20486 */     // GIR_Coverage, 13344,
     /*  20486 */     GIR_EraseRootFromParent_Done,
     /*  20487 */   // Label 364: @20487
     /*  20487 */   GIM_Try, /*On fail goto*//*Label 365*/ GIMT_Encode4(20535), // Rule ID 13233 //
     /*  20492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  20507 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  20511 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20522 */     // (add:{ *:[v2i64] } (AArch64saddlp_n:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn), V128:{ *:[v2i64] }:$Rd)  =>  (SADALPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /*  20522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv4i32_v2i64),
     /*  20525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20527 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  20529 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  20533 */     GIR_RootConstrainSelectedInstOperands,
     /*  20534 */     // GIR_Coverage, 13233,
     /*  20534 */     GIR_EraseRootFromParent_Done,
     /*  20535 */   // Label 365: @20535
     /*  20535 */   GIM_Try, /*On fail goto*//*Label 366*/ GIMT_Encode4(20583), // Rule ID 13315 //
     /*  20540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  20555 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20559 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20570 */     // (add:{ *:[v2i64] } (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), V128:{ *:[v2i64] }:$Rn)  =>  (SADDWv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  20570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv2i32_v2i64),
     /*  20573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  20575 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  20577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  20581 */     GIR_RootConstrainSelectedInstOperands,
     /*  20582 */     // GIR_Coverage, 13315,
     /*  20582 */     GIR_EraseRootFromParent_Done,
     /*  20583 */   // Label 366: @20583
     /*  20583 */   GIM_Try, /*On fail goto*//*Label 367*/ GIMT_Encode4(20631), // Rule ID 13245 //
     /*  20588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  20603 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  20607 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20618 */     // (add:{ *:[v2i64] } (AArch64uaddlp_n:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn), V128:{ *:[v2i64] }:$Rd)  =>  (UADALPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /*  20618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv4i32_v2i64),
     /*  20621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20623 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  20625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  20629 */     GIR_RootConstrainSelectedInstOperands,
     /*  20630 */     // GIR_Coverage, 13245,
     /*  20630 */     GIR_EraseRootFromParent_Done,
     /*  20631 */   // Label 367: @20631
     /*  20631 */   GIM_Try, /*On fail goto*//*Label 368*/ GIMT_Encode4(20679), // Rule ID 13343 //
     /*  20636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  20651 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20655 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20666 */     // (add:{ *:[v2i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), V128:{ *:[v2i64] }:$Rn)  =>  (UADDWv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  20666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv2i32_v2i64),
     /*  20669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  20671 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  20673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  20677 */     GIR_RootConstrainSelectedInstOperands,
     /*  20678 */     // GIR_Coverage, 13343,
     /*  20678 */     GIR_EraseRootFromParent_Done,
     /*  20679 */   // Label 368: @20679
     /*  20679 */   GIM_Try, /*On fail goto*//*Label 369*/ GIMT_Encode4(20740), // Rule ID 1728 //
     /*  20684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20691 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  20699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  20703 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20707 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  20711 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20716 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20723 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm))  =>  (SMLALv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  20723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_v2i64),
     /*  20726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20728 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  20730 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  20734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  20738 */     GIR_RootConstrainSelectedInstOperands,
     /*  20739 */     // GIR_Coverage, 1728,
     /*  20739 */     GIR_EraseRootFromParent_Done,
     /*  20740 */   // Label 369: @20740
     /*  20740 */   GIM_Try, /*On fail goto*//*Label 370*/ GIMT_Encode4(20801), // Rule ID 1818 //
     /*  20745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20752 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  20760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  20764 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20768 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  20772 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20777 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20784 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm))  =>  (UMLALv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  20784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_v2i64),
     /*  20787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20789 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  20791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  20795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  20799 */     GIR_RootConstrainSelectedInstOperands,
     /*  20800 */     // GIR_Coverage, 1818,
     /*  20800 */     GIR_EraseRootFromParent_Done,
     /*  20801 */   // Label 370: @20801
     /*  20801 */   GIM_Try, /*On fail goto*//*Label 371*/ GIMT_Encode4(20849), // Rule ID 1811 //
     /*  20806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20813 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  20821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  20825 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20829 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20834 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20836 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (UADDWv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  20836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv2i32_v2i64),
     /*  20839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  20841 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  20843 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  20847 */     GIR_RootConstrainSelectedInstOperands,
     /*  20848 */     // GIR_Coverage, 1811,
     /*  20848 */     GIR_EraseRootFromParent_Done,
     /*  20849 */   // Label 371: @20849
     /*  20849 */   GIM_Try, /*On fail goto*//*Label 372*/ GIMT_Encode4(20897), // Rule ID 998 //
     /*  20854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20861 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  20869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  20873 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  20877 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20882 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20884 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64saddlp_n:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn))  =>  (SADALPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /*  20884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv4i32_v2i64),
     /*  20887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20889 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  20891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  20895 */     GIR_RootConstrainSelectedInstOperands,
     /*  20896 */     // GIR_Coverage, 998,
     /*  20896 */     GIR_EraseRootFromParent_Done,
     /*  20897 */   // Label 372: @20897
     /*  20897 */   GIM_Try, /*On fail goto*//*Label 373*/ GIMT_Encode4(20945), // Rule ID 1722 //
     /*  20902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20909 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  20917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  20921 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20925 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20932 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (SADDWv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  20932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv2i32_v2i64),
     /*  20935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  20937 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  20939 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  20943 */     GIR_RootConstrainSelectedInstOperands,
     /*  20944 */     // GIR_Coverage, 1722,
     /*  20944 */     GIR_EraseRootFromParent_Done,
     /*  20945 */   // Label 373: @20945
     /*  20945 */   GIM_Try, /*On fail goto*//*Label 374*/ GIMT_Encode4(20993), // Rule ID 1059 //
     /*  20950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20957 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  20965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  20969 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  20973 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20980 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64uaddlp_n:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn))  =>  (UADALPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /*  20980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv4i32_v2i64),
     /*  20983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20985 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  20987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  20991 */     GIR_RootConstrainSelectedInstOperands,
     /*  20992 */     // GIR_Coverage, 1059,
     /*  20992 */     GIR_EraseRootFromParent_Done,
     /*  20993 */   // Label 374: @20993
     /*  20993 */   GIM_Try, /*On fail goto*//*Label 375*/ GIMT_Encode4(21041), // Rule ID 1810 //
     /*  20998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  21001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21005 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  21013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  21017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  21021 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  21028 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (UADDWv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  21028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv2i32_v2i64),
     /*  21031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  21033 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  21035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  21039 */     GIR_RootConstrainSelectedInstOperands,
     /*  21040 */     // GIR_Coverage, 1810,
     /*  21040 */     GIR_EraseRootFromParent_Done,
     /*  21041 */   // Label 375: @21041
     /*  21041 */   GIM_Try, /*On fail goto*//*Label 376*/ GIMT_Encode4(21068), // Rule ID 1106 //
     /*  21046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  21049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21061 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (ADDv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /*  21061 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDv2i64),
     /*  21066 */     GIR_RootConstrainSelectedInstOperands,
     /*  21067 */     // GIR_Coverage, 1106,
     /*  21067 */     GIR_Done,
     /*  21068 */   // Label 376: @21068
     /*  21068 */   GIM_Reject,
     /*  21069 */ // Label 299: @21069
     /*  21069 */ GIM_Reject,
     /*  21070 */ // Label 162: @21070
     /*  21070 */ GIM_Try, /*On fail goto*//*Label 377*/ GIMT_Encode4(24567),
     /*  21075 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  21078 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  21081 */   GIM_Try, /*On fail goto*//*Label 378*/ GIMT_Encode4(21217), // Rule ID 5354 //
     /*  21086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  21098 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21102 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  21106 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  21110 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  21114 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21119 */     // MIs[1] Operand 2
     /*  21119 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  21130 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  21134 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  21138 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21142 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  21146 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  21150 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  21154 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21159 */     // MIs[3] Operand 2
     /*  21159 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  21170 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  21172 */     // (add:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (UADDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  21172 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  21175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i8_v8i16),
     /*  21179 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21184 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  21188 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  21192 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  21194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  21197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21199 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  21206 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21211 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21216 */     // GIR_Coverage, 5354,
     /*  21216 */     GIR_EraseRootFromParent_Done,
     /*  21217 */   // Label 378: @21217
     /*  21217 */   GIM_Try, /*On fail goto*//*Label 379*/ GIMT_Encode4(21353), // Rule ID 5353 //
     /*  21222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  21234 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21238 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  21242 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  21246 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  21250 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21255 */     // MIs[1] Operand 2
     /*  21255 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  21266 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  21270 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  21274 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21278 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  21282 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  21286 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  21290 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21295 */     // MIs[3] Operand 2
     /*  21295 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  21306 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  21308 */     // (add:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (UADDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  21308 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  21311 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i8_v8i16),
     /*  21315 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21320 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  21324 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  21328 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  21330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  21333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21335 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  21342 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21347 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21352 */     // GIR_Coverage, 5353,
     /*  21352 */     GIR_EraseRootFromParent_Done,
     /*  21353 */   // Label 379: @21353
     /*  21353 */   GIM_Try, /*On fail goto*//*Label 380*/ GIMT_Encode4(21489), // Rule ID 5369 //
     /*  21358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  21370 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21374 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  21378 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  21382 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  21386 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21391 */     // MIs[1] Operand 2
     /*  21391 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  21402 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  21406 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  21410 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21414 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  21418 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  21422 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  21426 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21431 */     // MIs[3] Operand 2
     /*  21431 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  21442 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  21444 */     // (add:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (SADDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  21444 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  21447 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDLv8i8_v8i16),
     /*  21451 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21456 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  21460 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  21464 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  21466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  21469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21471 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  21478 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21483 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21488 */     // GIR_Coverage, 5369,
     /*  21488 */     GIR_EraseRootFromParent_Done,
     /*  21489 */   // Label 380: @21489
     /*  21489 */   GIM_Try, /*On fail goto*//*Label 381*/ GIMT_Encode4(21625), // Rule ID 5352 //
     /*  21494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  21506 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21510 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  21514 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  21518 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  21522 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21527 */     // MIs[1] Operand 2
     /*  21527 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  21538 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  21542 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  21546 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21550 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  21554 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  21558 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  21562 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21567 */     // MIs[3] Operand 2
     /*  21567 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  21578 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  21580 */     // (add:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (UADDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  21580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  21583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i8_v8i16),
     /*  21587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21592 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  21596 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  21600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  21602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  21605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21607 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  21614 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21619 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21624 */     // GIR_Coverage, 5352,
     /*  21624 */     GIR_EraseRootFromParent_Done,
     /*  21625 */   // Label 381: @21625
     /*  21625 */   GIM_Try, /*On fail goto*//*Label 382*/ GIMT_Encode4(21761), // Rule ID 5351 //
     /*  21630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  21642 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21646 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  21650 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  21654 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  21658 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21663 */     // MIs[1] Operand 2
     /*  21663 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  21674 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  21678 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  21682 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21686 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  21690 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  21694 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  21698 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21703 */     // MIs[3] Operand 2
     /*  21703 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  21714 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  21716 */     // (add:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (UADDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  21716 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  21719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i8_v8i16),
     /*  21723 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21728 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  21732 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  21736 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  21738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  21741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21743 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  21750 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21755 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21760 */     // GIR_Coverage, 5351,
     /*  21760 */     GIR_EraseRootFromParent_Done,
     /*  21761 */   // Label 382: @21761
     /*  21761 */   GIM_Try, /*On fail goto*//*Label 383*/ GIMT_Encode4(21894), // Rule ID 13855 //
     /*  21766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  21778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21782 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  21786 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP2),
     /*  21790 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21794 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  21798 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21803 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  21807 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  21811 */     // MIs[1] Operand 2
     /*  21811 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  21822 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  21826 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  21830 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  21834 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  21838 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /*  21842 */     // MIs[5] Rn
     /*  21842 */     GIM_CheckIsSameOperand, /*MI*/5, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  21847 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  21849 */     // (add:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (AArch64uzp2:{ *:[v8i16] } FPR128:{ *:[v8i16] }:$Rn, (undef:{ *:[v8i16] })), 0:{ *:[i64] }), (trunc:{ *:[v4i16] } (bitconvert:{ *:[v4i32] } FPR128:{ *:[v8i16] }:$Rn)))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (ADDPv8i16:{ *:[f128] } ?:{ *:[v8i16] }:$Rn, ?:{ *:[v8i16] }:$Rn), dsub:{ *:[i32] })
     /*  21849 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  21852 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ADDPv8i16),
     /*  21856 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  21865 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  21869 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  21871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  21874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21876 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  21883 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21888 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21893 */     // GIR_Coverage, 13855,
     /*  21893 */     GIR_EraseRootFromParent_Done,
     /*  21894 */   // Label 383: @21894
     /*  21894 */   GIM_Try, /*On fail goto*//*Label 384*/ GIMT_Encode4(22027), // Rule ID 6898 //
     /*  21899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  21911 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  21915 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  21919 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /*  21923 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21927 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21932 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  21936 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  21940 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21944 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  21948 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(AArch64::G_UZP2),
     /*  21952 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  21956 */     // MIs[4] Rn
     /*  21956 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  21961 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  21965 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  21969 */     // MIs[3] Operand 2
     /*  21969 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  21980 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  21982 */     // (add:{ *:[v4i16] } (trunc:{ *:[v4i16] } (bitconvert:{ *:[v4i32] } FPR128:{ *:[v8i16] }:$Rn)), (extract_subvector:{ *:[v4i16] } (AArch64uzp2:{ *:[v8i16] } FPR128:{ *:[v8i16] }:$Rn, (undef:{ *:[v8i16] })), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (ADDPv8i16:{ *:[f128] } ?:{ *:[v8i16] }:$Rn, ?:{ *:[v8i16] }:$Rn), dsub:{ *:[i32] })
     /*  21982 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  21985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ADDPv8i16),
     /*  21989 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21994 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  21998 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  22002 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  22004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  22007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22009 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  22016 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22021 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22026 */     // GIR_Coverage, 6898,
     /*  22026 */     GIR_EraseRootFromParent_Done,
     /*  22027 */   // Label 384: @22027
     /*  22027 */   GIM_Try, /*On fail goto*//*Label 385*/ GIMT_Encode4(22190), // Rule ID 13813 //
     /*  22032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  22040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  22044 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  22048 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  22052 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_SMULL),
     /*  22056 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  22060 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  22064 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22069 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22074 */     // MIs[1] Operand 2
     /*  22074 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  22085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22089 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  22091 */     // (add:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (AArch64smull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Ra)  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (SMLALv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  22091 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  22094 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  22098 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  22105 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  22108 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  22112 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22117 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  22120 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Ra
     /*  22124 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  22127 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22132 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22137 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22142 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  22145 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMLALv8i8_v8i16),
     /*  22149 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22154 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  22157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  22161 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  22165 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  22167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  22170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22172 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  22179 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22184 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22189 */     // GIR_Coverage, 13813,
     /*  22189 */     GIR_EraseRootFromParent_Done,
     /*  22190 */   // Label 385: @22190
     /*  22190 */   GIM_Try, /*On fail goto*//*Label 386*/ GIMT_Encode4(22353), // Rule ID 13810 //
     /*  22195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  22203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  22207 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  22211 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  22215 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UMULL),
     /*  22219 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  22223 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  22227 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22232 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22237 */     // MIs[1] Operand 2
     /*  22237 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  22248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22252 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  22254 */     // (add:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (AArch64umull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Ra)  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (UMLALv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  22254 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  22257 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  22261 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22266 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  22268 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  22271 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  22275 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22280 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  22283 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Ra
     /*  22287 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  22290 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22295 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22300 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22305 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  22308 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMLALv8i8_v8i16),
     /*  22312 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22317 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  22320 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  22324 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  22328 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  22330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  22333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22335 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  22342 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22347 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22352 */     // GIR_Coverage, 13810,
     /*  22352 */     GIR_EraseRootFromParent_Done,
     /*  22353 */   // Label 386: @22353
     /*  22353 */   GIM_Try, /*On fail goto*//*Label 387*/ GIMT_Encode4(22503), // Rule ID 13817 //
     /*  22358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  22366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  22370 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  22374 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  22378 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  22382 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  22386 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22391 */     // MIs[1] Operand 2
     /*  22391 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  22402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22406 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  22408 */     // (add:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (UADDWv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  22408 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  22411 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  22415 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22420 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  22422 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  22425 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  22429 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22434 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  22437 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  22441 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  22444 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22449 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22454 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22459 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  22462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i8_v8i16),
     /*  22466 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22471 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  22474 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  22478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  22480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  22483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22485 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  22492 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22497 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22502 */     // GIR_Coverage, 13817,
     /*  22502 */     GIR_EraseRootFromParent_Done,
     /*  22503 */   // Label 387: @22503
     /*  22503 */   GIM_Try, /*On fail goto*//*Label 388*/ GIMT_Encode4(22653), // Rule ID 13822 //
     /*  22508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  22516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  22520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  22524 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  22528 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  22532 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  22536 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22541 */     // MIs[1] Operand 2
     /*  22541 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  22552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22556 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  22558 */     // (add:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (SADDWv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  22558 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  22561 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  22565 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22570 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  22572 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  22575 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  22579 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22584 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  22587 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  22591 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  22594 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22599 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22604 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  22612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDWv8i8_v8i16),
     /*  22616 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22621 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  22624 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  22628 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  22630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  22633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22635 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  22642 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22647 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22652 */     // GIR_Coverage, 13822,
     /*  22652 */     GIR_EraseRootFromParent_Done,
     /*  22653 */   // Label 388: @22653
     /*  22653 */   GIM_Try, /*On fail goto*//*Label 389*/ GIMT_Encode4(22803), // Rule ID 13816 //
     /*  22658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  22666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  22670 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  22674 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  22678 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  22682 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  22686 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22691 */     // MIs[1] Operand 2
     /*  22691 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  22702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22706 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  22708 */     // (add:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (UADDWv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  22708 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  22711 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  22715 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22720 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  22722 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  22725 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  22729 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22734 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  22737 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  22741 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  22744 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22749 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22754 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22759 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  22762 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i8_v8i16),
     /*  22766 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22771 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  22774 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  22778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  22780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  22783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22785 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  22792 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22797 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22802 */     // GIR_Coverage, 13816,
     /*  22802 */     GIR_EraseRootFromParent_Done,
     /*  22803 */   // Label 389: @22803
     /*  22803 */   GIM_Try, /*On fail goto*//*Label 390*/ GIMT_Encode4(22966), // Rule ID 5342 //
     /*  22808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22812 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  22820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  22824 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  22828 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  22832 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_SMULL),
     /*  22836 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  22840 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  22844 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22849 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22854 */     // MIs[1] Operand 2
     /*  22854 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  22865 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  22867 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Ra, (extract_subvector:{ *:[v4i16] } (AArch64smull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (SMLALv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  22867 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  22870 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  22874 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22879 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  22881 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  22884 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  22888 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22893 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  22896 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*  22900 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  22903 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22908 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22913 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22918 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  22921 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMLALv8i8_v8i16),
     /*  22925 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22930 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  22933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  22937 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  22941 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  22943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  22946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22948 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  22955 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22960 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22965 */     // GIR_Coverage, 5342,
     /*  22965 */     GIR_EraseRootFromParent_Done,
     /*  22966 */   // Label 390: @22966
     /*  22966 */   GIM_Try, /*On fail goto*//*Label 391*/ GIMT_Encode4(23129), // Rule ID 5339 //
     /*  22971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22975 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  22983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  22987 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  22991 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  22995 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UMULL),
     /*  22999 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  23003 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  23007 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23012 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23017 */     // MIs[1] Operand 2
     /*  23017 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  23028 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  23030 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Ra, (extract_subvector:{ *:[v4i16] } (AArch64umull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (UMLALv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  23030 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  23033 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  23037 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  23042 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  23044 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  23047 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  23051 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  23056 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  23059 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*  23063 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  23066 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23071 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23076 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23081 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  23084 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMLALv8i8_v8i16),
     /*  23088 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  23093 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  23096 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  23100 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  23104 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  23106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  23109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23111 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  23118 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23123 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23128 */     // GIR_Coverage, 5339,
     /*  23128 */     GIR_EraseRootFromParent_Done,
     /*  23129 */   // Label 391: @23129
     /*  23129 */   GIM_Try, /*On fail goto*//*Label 392*/ GIMT_Encode4(23279), // Rule ID 5364 //
     /*  23134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23138 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  23146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  23150 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  23154 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  23158 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  23162 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  23166 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23171 */     // MIs[1] Operand 2
     /*  23171 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  23182 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  23184 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (UADDWv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  23184 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  23187 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  23191 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  23196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  23198 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  23201 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  23205 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  23210 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  23213 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  23217 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  23220 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23225 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23230 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23235 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  23238 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i8_v8i16),
     /*  23242 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  23247 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  23250 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  23254 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  23256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  23259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23261 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  23268 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23273 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23278 */     // GIR_Coverage, 5364,
     /*  23278 */     GIR_EraseRootFromParent_Done,
     /*  23279 */   // Label 392: @23279
     /*  23279 */   GIM_Try, /*On fail goto*//*Label 393*/ GIMT_Encode4(23429), // Rule ID 5372 //
     /*  23284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  23296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  23300 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  23304 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  23308 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  23312 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  23316 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23321 */     // MIs[1] Operand 2
     /*  23321 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  23332 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  23334 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (SADDWv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  23334 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  23337 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  23341 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  23346 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  23348 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  23351 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  23355 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  23360 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  23363 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  23367 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  23370 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23375 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23380 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  23388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDWv8i8_v8i16),
     /*  23392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  23397 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  23400 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  23404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  23406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  23409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23411 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  23418 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23423 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23428 */     // GIR_Coverage, 5372,
     /*  23428 */     GIR_EraseRootFromParent_Done,
     /*  23429 */   // Label 393: @23429
     /*  23429 */   GIM_Try, /*On fail goto*//*Label 394*/ GIMT_Encode4(23579), // Rule ID 5363 //
     /*  23434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  23446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  23450 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  23454 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  23458 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  23462 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  23466 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23471 */     // MIs[1] Operand 2
     /*  23471 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  23482 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  23484 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (UADDWv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  23484 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  23487 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  23491 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  23496 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  23498 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  23501 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  23505 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  23510 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  23513 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  23517 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  23520 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23525 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23530 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23535 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  23538 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i8_v8i16),
     /*  23542 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  23547 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  23550 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  23554 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  23556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  23559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23561 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  23568 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23573 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23578 */     // GIR_Coverage, 5363,
     /*  23578 */     GIR_EraseRootFromParent_Done,
     /*  23579 */   // Label 394: @23579
     /*  23579 */   GIM_Try, /*On fail goto*//*Label 395*/ GIMT_Encode4(23648), // Rule ID 13262 //
     /*  23584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  23587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  23595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  23599 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  23602 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  23607 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  23611 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  23615 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23620 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  23631 */     // (add:{ *:[v4i16] } (intrinsic_wo_chain:{ *:[v4i16] } 659:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), V64:{ *:[v4i16] }:$Rd)  =>  (SABAv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  23631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv4i16),
     /*  23634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23636 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  23638 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  23642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  23646 */     GIR_RootConstrainSelectedInstOperands,
     /*  23647 */     // GIR_Coverage, 13262,
     /*  23647 */     GIR_EraseRootFromParent_Done,
     /*  23648 */   // Label 395: @23648
     /*  23648 */   GIM_Try, /*On fail goto*//*Label 396*/ GIMT_Encode4(23717), // Rule ID 13274 //
     /*  23653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  23656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  23664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  23668 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  23671 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  23676 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  23680 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  23684 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23689 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23698 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  23700 */     // (add:{ *:[v4i16] } (intrinsic_wo_chain:{ *:[v4i16] } 724:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), V64:{ *:[v4i16] }:$Rd)  =>  (UABAv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  23700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv4i16),
     /*  23703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23705 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  23707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  23711 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  23715 */     GIR_RootConstrainSelectedInstOperands,
     /*  23716 */     // GIR_Coverage, 13274,
     /*  23716 */     GIR_EraseRootFromParent_Done,
     /*  23717 */   // Label 396: @23717
     /*  23717 */   GIM_Try, /*On fail goto*//*Label 397*/ GIMT_Encode4(23773), // Rule ID 13224 //
     /*  23722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  23725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  23733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  23737 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  23740 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  23745 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  23749 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  23760 */     // (add:{ *:[v4i16] } (intrinsic_wo_chain:{ *:[v4i16] } 660:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn), V64:{ *:[v4i16] }:$Rd)  =>  (SADALPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v8i8] }:$Rn)
     /*  23760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv8i8_v4i16),
     /*  23763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23765 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  23767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  23771 */     GIR_RootConstrainSelectedInstOperands,
     /*  23772 */     // GIR_Coverage, 13224,
     /*  23772 */     GIR_EraseRootFromParent_Done,
     /*  23773 */   // Label 397: @23773
     /*  23773 */   GIM_Try, /*On fail goto*//*Label 398*/ GIMT_Encode4(23829), // Rule ID 13236 //
     /*  23778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  23781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  23789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  23793 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  23796 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  23801 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  23805 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23814 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  23816 */     // (add:{ *:[v4i16] } (intrinsic_wo_chain:{ *:[v4i16] } 725:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn), V64:{ *:[v4i16] }:$Rd)  =>  (UADALPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v8i8] }:$Rn)
     /*  23816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv8i8_v4i16),
     /*  23819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23821 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  23823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  23827 */     GIR_RootConstrainSelectedInstOperands,
     /*  23828 */     // GIR_Coverage, 13236,
     /*  23828 */     GIR_EraseRootFromParent_Done,
     /*  23829 */   // Label 398: @23829
     /*  23829 */   GIM_Try, /*On fail goto*//*Label 399*/ GIMT_Encode4(23896), // Rule ID 13466 //
     /*  23834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  23837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  23845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  23849 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  23853 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23858 */     // MIs[1] imm
     /*  23858 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  23862 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  23866 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  23870 */     // MIs[2] Operand 1
     /*  23870 */     // No operand predicates
     /*  23870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23874 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  23878 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  23880 */     // (add:{ *:[v4i16] } (AArch64vashr:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm), V64:{ *:[v4i16] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv4i16_shift:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  23880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv4i16_shift),
     /*  23883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23885 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  23887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  23891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  23894 */     GIR_RootConstrainSelectedInstOperands,
     /*  23895 */     // GIR_Coverage, 13466,
     /*  23895 */     GIR_EraseRootFromParent_Done,
     /*  23896 */   // Label 399: @23896
     /*  23896 */   GIM_Try, /*On fail goto*//*Label 400*/ GIMT_Encode4(23963), // Rule ID 13487 //
     /*  23901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  23904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  23912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  23916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  23920 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23925 */     // MIs[1] imm
     /*  23925 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  23929 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  23933 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  23937 */     // MIs[2] Operand 1
     /*  23937 */     // No operand predicates
     /*  23937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23941 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  23945 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  23947 */     // (add:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm), V64:{ *:[v4i16] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv4i16_shift:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  23947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv4i16_shift),
     /*  23950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23952 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  23954 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  23958 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  23961 */     GIR_RootConstrainSelectedInstOperands,
     /*  23962 */     // GIR_Coverage, 13487,
     /*  23962 */     GIR_EraseRootFromParent_Done,
     /*  23963 */   // Label 400: @23963
     /*  23963 */   GIM_Try, /*On fail goto*//*Label 401*/ GIMT_Encode4(24032), // Rule ID 1361 //
     /*  23968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  23971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23975 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  23983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  23987 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  23990 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  23995 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  23999 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  24003 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24008 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24015 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, (intrinsic_wo_chain:{ *:[v4i16] } 659:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm))  =>  (SABAv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  24015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv4i16),
     /*  24018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24020 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  24022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  24026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  24030 */     GIR_RootConstrainSelectedInstOperands,
     /*  24031 */     // GIR_Coverage, 1361,
     /*  24031 */     GIR_EraseRootFromParent_Done,
     /*  24032 */   // Label 401: @24032
     /*  24032 */   GIM_Try, /*On fail goto*//*Label 402*/ GIMT_Encode4(24101), // Rule ID 1484 //
     /*  24037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24044 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  24052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  24056 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  24059 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  24064 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  24068 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  24072 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24077 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24084 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, (intrinsic_wo_chain:{ *:[v4i16] } 724:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm))  =>  (UABAv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  24084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv4i16),
     /*  24087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24089 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  24091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  24095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  24099 */     GIR_RootConstrainSelectedInstOperands,
     /*  24100 */     // GIR_Coverage, 1484,
     /*  24100 */     GIR_EraseRootFromParent_Done,
     /*  24101 */   // Label 402: @24101
     /*  24101 */   GIM_Try, /*On fail goto*//*Label 403*/ GIMT_Encode4(24157), // Rule ID 989 //
     /*  24106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24113 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  24121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  24125 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  24128 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  24133 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  24137 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24144 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, (intrinsic_wo_chain:{ *:[v4i16] } 660:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn))  =>  (SADALPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v8i8] }:$Rn)
     /*  24144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv8i8_v4i16),
     /*  24147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24149 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  24151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  24155 */     GIR_RootConstrainSelectedInstOperands,
     /*  24156 */     // GIR_Coverage, 989,
     /*  24156 */     GIR_EraseRootFromParent_Done,
     /*  24157 */   // Label 403: @24157
     /*  24157 */   GIM_Try, /*On fail goto*//*Label 404*/ GIMT_Encode4(24213), // Rule ID 1050 //
     /*  24162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24169 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  24177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  24181 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  24184 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  24189 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  24193 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24200 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, (intrinsic_wo_chain:{ *:[v4i16] } 725:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn))  =>  (UADALPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v8i8] }:$Rn)
     /*  24200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv8i8_v4i16),
     /*  24203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24205 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  24207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  24211 */     GIR_RootConstrainSelectedInstOperands,
     /*  24212 */     // GIR_Coverage, 1050,
     /*  24212 */     GIR_EraseRootFromParent_Done,
     /*  24213 */   // Label 404: @24213
     /*  24213 */   GIM_Try, /*On fail goto*//*Label 405*/ GIMT_Encode4(24280), // Rule ID 2234 //
     /*  24218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24225 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  24233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  24237 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  24241 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24246 */     // MIs[1] imm
     /*  24246 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  24250 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  24254 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  24258 */     // MIs[2] Operand 1
     /*  24258 */     // No operand predicates
     /*  24258 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  24262 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  24264 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, (AArch64vashr:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv4i16_shift:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  24264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv4i16_shift),
     /*  24267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24269 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  24271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  24275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  24278 */     GIR_RootConstrainSelectedInstOperands,
     /*  24279 */     // GIR_Coverage, 2234,
     /*  24279 */     GIR_EraseRootFromParent_Done,
     /*  24280 */   // Label 405: @24280
     /*  24280 */   GIM_Try, /*On fail goto*//*Label 406*/ GIMT_Encode4(24347), // Rule ID 2293 //
     /*  24285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24292 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  24300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  24304 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  24308 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24313 */     // MIs[1] imm
     /*  24313 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  24317 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  24321 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  24325 */     // MIs[2] Operand 1
     /*  24325 */     // No operand predicates
     /*  24325 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  24329 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  24331 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, (AArch64vlshr:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv4i16_shift:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  24331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv4i16_shift),
     /*  24334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24336 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  24338 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  24342 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  24345 */     GIR_RootConstrainSelectedInstOperands,
     /*  24346 */     // GIR_Coverage, 2293,
     /*  24346 */     GIR_EraseRootFromParent_Done,
     /*  24347 */   // Label 406: @24347
     /*  24347 */   GIM_Try, /*On fail goto*//*Label 407*/ GIMT_Encode4(24395), // Rule ID 13223 //
     /*  24352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  24363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  24367 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  24371 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24382 */     // (add:{ *:[v4i16] } (AArch64saddlp_n:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn), V64:{ *:[v4i16] }:$Rd)  =>  (SADALPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v8i8] }:$Rn)
     /*  24382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv8i8_v4i16),
     /*  24385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24387 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  24389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  24393 */     GIR_RootConstrainSelectedInstOperands,
     /*  24394 */     // GIR_Coverage, 13223,
     /*  24394 */     GIR_EraseRootFromParent_Done,
     /*  24395 */   // Label 407: @24395
     /*  24395 */   GIM_Try, /*On fail goto*//*Label 408*/ GIMT_Encode4(24443), // Rule ID 13235 //
     /*  24400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  24411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  24415 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  24419 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24430 */     // (add:{ *:[v4i16] } (AArch64uaddlp_n:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn), V64:{ *:[v4i16] }:$Rd)  =>  (UADALPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v8i8] }:$Rn)
     /*  24430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv8i8_v4i16),
     /*  24433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24435 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  24437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  24441 */     GIR_RootConstrainSelectedInstOperands,
     /*  24442 */     // GIR_Coverage, 13235,
     /*  24442 */     GIR_EraseRootFromParent_Done,
     /*  24443 */   // Label 408: @24443
     /*  24443 */   GIM_Try, /*On fail goto*//*Label 409*/ GIMT_Encode4(24491), // Rule ID 988 //
     /*  24448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  24463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  24467 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  24471 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24476 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24478 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, (AArch64saddlp_n:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn))  =>  (SADALPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v8i8] }:$Rn)
     /*  24478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv8i8_v4i16),
     /*  24481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24483 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  24485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  24489 */     GIR_RootConstrainSelectedInstOperands,
     /*  24490 */     // GIR_Coverage, 988,
     /*  24490 */     GIR_EraseRootFromParent_Done,
     /*  24491 */   // Label 409: @24491
     /*  24491 */   GIM_Try, /*On fail goto*//*Label 410*/ GIMT_Encode4(24539), // Rule ID 1049 //
     /*  24496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  24511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  24515 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  24519 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24526 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, (AArch64uaddlp_n:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn))  =>  (UADALPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v8i8] }:$Rn)
     /*  24526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv8i8_v4i16),
     /*  24529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24531 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  24533 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  24537 */     GIR_RootConstrainSelectedInstOperands,
     /*  24538 */     // GIR_Coverage, 1049,
     /*  24538 */     GIR_EraseRootFromParent_Done,
     /*  24539 */   // Label 410: @24539
     /*  24539 */   GIM_Try, /*On fail goto*//*Label 411*/ GIMT_Encode4(24566), // Rule ID 1102 //
     /*  24544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24551 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24559 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (ADDv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  24559 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDv4i16),
     /*  24564 */     GIR_RootConstrainSelectedInstOperands,
     /*  24565 */     // GIR_Coverage, 1102,
     /*  24565 */     GIR_Done,
     /*  24566 */   // Label 411: @24566
     /*  24566 */   GIM_Reject,
     /*  24567 */ // Label 377: @24567
     /*  24567 */ GIM_Reject,
     /*  24568 */ // Label 163: @24568
     /*  24568 */ GIM_Try, /*On fail goto*//*Label 412*/ GIMT_Encode4(30745),
     /*  24573 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  24576 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  24579 */   GIM_Try, /*On fail goto*//*Label 413*/ GIMT_Encode4(24697), // Rule ID 13396 //
     /*  24584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  24591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  24595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  24599 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  24603 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  24607 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  24611 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  24615 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  24619 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  24623 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  24627 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  24631 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  24635 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  24640 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  24644 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  24648 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  24652 */     // MIs[4] Operand 1
     /*  24652 */     // No operand predicates
     /*  24652 */     // MIs[2] Operand 2
     /*  24652 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  24663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  24667 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  24669 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  24676 */     // (add:{ *:[v4i32] } (AArch64smull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] })), V128:{ *:[v4i32] }:$Rd)  =>  (SMLALv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  24676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv8i16_indexed),
     /*  24679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24681 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  24683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  24688 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  24692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  24695 */     GIR_RootConstrainSelectedInstOperands,
     /*  24696 */     // GIR_Coverage, 13396,
     /*  24696 */     GIR_EraseRootFromParent_Done,
     /*  24697 */   // Label 413: @24697
     /*  24697 */   GIM_Try, /*On fail goto*//*Label 414*/ GIMT_Encode4(24815), // Rule ID 13397 //
     /*  24702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  24709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  24713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  24717 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  24721 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  24725 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  24729 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  24733 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  24737 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  24741 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  24745 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  24749 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  24753 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  24758 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  24762 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  24766 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  24770 */     // MIs[4] Operand 1
     /*  24770 */     // No operand predicates
     /*  24770 */     // MIs[2] Operand 2
     /*  24770 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  24781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  24785 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  24787 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  24794 */     // (add:{ *:[v4i32] } (AArch64smull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] }), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), V128:{ *:[v4i32] }:$Rd)  =>  (SMLALv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  24794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv8i16_indexed),
     /*  24797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24799 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  24801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  24806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  24810 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  24813 */     GIR_RootConstrainSelectedInstOperands,
     /*  24814 */     // GIR_Coverage, 13397,
     /*  24814 */     GIR_EraseRootFromParent_Done,
     /*  24815 */   // Label 414: @24815
     /*  24815 */   GIM_Try, /*On fail goto*//*Label 415*/ GIMT_Encode4(24933), // Rule ID 13426 //
     /*  24820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  24827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  24831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  24835 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  24839 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  24843 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  24847 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  24851 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  24855 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  24859 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  24863 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  24867 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  24871 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  24876 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  24880 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  24884 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  24888 */     // MIs[4] Operand 1
     /*  24888 */     // No operand predicates
     /*  24888 */     // MIs[2] Operand 2
     /*  24888 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  24899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  24903 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  24905 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  24912 */     // (add:{ *:[v4i32] } (AArch64umull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] })), V128:{ *:[v4i32] }:$Rd)  =>  (UMLALv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  24912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv8i16_indexed),
     /*  24915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24917 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  24919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  24924 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  24928 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  24931 */     GIR_RootConstrainSelectedInstOperands,
     /*  24932 */     // GIR_Coverage, 13426,
     /*  24932 */     GIR_EraseRootFromParent_Done,
     /*  24933 */   // Label 415: @24933
     /*  24933 */   GIM_Try, /*On fail goto*//*Label 416*/ GIMT_Encode4(25051), // Rule ID 13427 //
     /*  24938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  24945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  24949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  24953 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  24957 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  24961 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  24965 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  24969 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  24973 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  24977 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  24981 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  24985 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  24989 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  24994 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  24998 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  25002 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  25006 */     // MIs[4] Operand 1
     /*  25006 */     // No operand predicates
     /*  25006 */     // MIs[2] Operand 2
     /*  25006 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  25017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25021 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  25023 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25030 */     // (add:{ *:[v4i32] } (AArch64umull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] }), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), V128:{ *:[v4i32] }:$Rd)  =>  (UMLALv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  25030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv8i16_indexed),
     /*  25033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25035 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  25037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  25042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  25046 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  25049 */     GIR_RootConstrainSelectedInstOperands,
     /*  25050 */     // GIR_Coverage, 13427,
     /*  25050 */     GIR_EraseRootFromParent_Done,
     /*  25051 */   // Label 416: @25051
     /*  25051 */   GIM_Try, /*On fail goto*//*Label 417*/ GIMT_Encode4(25169), // Rule ID 2039 //
     /*  25056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25063 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  25071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  25075 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  25079 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  25083 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  25087 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  25091 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  25095 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  25099 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  25103 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  25107 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  25111 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  25116 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  25120 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  25124 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  25128 */     // MIs[4] Operand 1
     /*  25128 */     // No operand predicates
     /*  25128 */     // MIs[2] Operand 2
     /*  25128 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  25139 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  25141 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25148 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] })))  =>  (SMLALv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  25148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv8i16_indexed),
     /*  25151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25153 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  25155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  25160 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  25164 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  25167 */     GIR_RootConstrainSelectedInstOperands,
     /*  25168 */     // GIR_Coverage, 2039,
     /*  25168 */     GIR_EraseRootFromParent_Done,
     /*  25169 */   // Label 417: @25169
     /*  25169 */   GIM_Try, /*On fail goto*//*Label 418*/ GIMT_Encode4(25287), // Rule ID 13395 //
     /*  25174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25181 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  25189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  25193 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  25197 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  25201 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  25205 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  25209 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  25213 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  25217 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  25221 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  25225 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  25229 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  25234 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  25238 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  25242 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  25246 */     // MIs[4] Operand 1
     /*  25246 */     // No operand predicates
     /*  25246 */     // MIs[2] Operand 2
     /*  25246 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  25257 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  25259 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25266 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] }), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)))  =>  (SMLALv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  25266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv8i16_indexed),
     /*  25269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25271 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  25273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  25278 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  25282 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  25285 */     GIR_RootConstrainSelectedInstOperands,
     /*  25286 */     // GIR_Coverage, 13395,
     /*  25286 */     GIR_EraseRootFromParent_Done,
     /*  25287 */   // Label 418: @25287
     /*  25287 */   GIM_Try, /*On fail goto*//*Label 419*/ GIMT_Encode4(25405), // Rule ID 2091 //
     /*  25292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25299 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  25307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  25311 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  25315 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  25319 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  25323 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  25327 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  25331 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  25335 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  25339 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  25343 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  25347 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  25352 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  25356 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  25360 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  25364 */     // MIs[4] Operand 1
     /*  25364 */     // No operand predicates
     /*  25364 */     // MIs[2] Operand 2
     /*  25364 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  25375 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  25377 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25384 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] })))  =>  (UMLALv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  25384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv8i16_indexed),
     /*  25387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25389 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  25391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  25396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  25400 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  25403 */     GIR_RootConstrainSelectedInstOperands,
     /*  25404 */     // GIR_Coverage, 2091,
     /*  25404 */     GIR_EraseRootFromParent_Done,
     /*  25405 */   // Label 419: @25405
     /*  25405 */   GIM_Try, /*On fail goto*//*Label 420*/ GIMT_Encode4(25523), // Rule ID 13425 //
     /*  25410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25417 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  25425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  25429 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  25433 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  25437 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  25441 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  25445 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  25449 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  25453 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  25457 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  25461 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  25465 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  25470 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  25474 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  25478 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  25482 */     // MIs[4] Operand 1
     /*  25482 */     // No operand predicates
     /*  25482 */     // MIs[2] Operand 2
     /*  25482 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  25493 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  25495 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25502 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] }), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)))  =>  (UMLALv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  25502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv8i16_indexed),
     /*  25505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25507 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  25509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  25514 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  25518 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  25521 */     GIR_RootConstrainSelectedInstOperands,
     /*  25522 */     // GIR_Coverage, 13425,
     /*  25522 */     GIR_EraseRootFromParent_Done,
     /*  25523 */   // Label 420: @25523
     /*  25523 */   GIM_Try, /*On fail goto*//*Label 421*/ GIMT_Encode4(25610), // Rule ID 13306 //
     /*  25528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  25539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  25543 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  25547 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  25551 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  25555 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  25558 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  25563 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  25567 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  25571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25575 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  25577 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25584 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25591 */     // (add:{ *:[v4i32] } (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 659:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm))), V128:{ *:[v4i32] }:$Rd)  =>  (SABALv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  25591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv8i16_v4i32),
     /*  25594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25596 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  25598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  25603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  25608 */     GIR_RootConstrainSelectedInstOperands,
     /*  25609 */     // GIR_Coverage, 13306,
     /*  25609 */     GIR_EraseRootFromParent_Done,
     /*  25610 */   // Label 421: @25610
     /*  25610 */   GIM_Try, /*On fail goto*//*Label 422*/ GIMT_Encode4(25697), // Rule ID 13330 //
     /*  25615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  25626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  25630 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  25634 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  25638 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  25642 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  25645 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  25650 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  25654 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  25658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25662 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  25664 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25671 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25678 */     // (add:{ *:[v4i32] } (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 724:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm))), V128:{ *:[v4i32] }:$Rd)  =>  (UABALv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  25678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv8i16_v4i32),
     /*  25681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25683 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  25685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  25690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  25695 */     GIR_RootConstrainSelectedInstOperands,
     /*  25696 */     // GIR_Coverage, 13330,
     /*  25696 */     GIR_EraseRootFromParent_Done,
     /*  25697 */   // Label 422: @25697
     /*  25697 */   GIM_Try, /*On fail goto*//*Label 423*/ GIMT_Encode4(25784), // Rule ID 1695 //
     /*  25702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25709 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  25717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  25721 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  25725 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  25729 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  25733 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  25736 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  25741 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  25745 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  25749 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  25751 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25758 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25765 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 659:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm))))  =>  (SABALv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  25765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv8i16_v4i32),
     /*  25768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25770 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  25772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  25777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  25782 */     GIR_RootConstrainSelectedInstOperands,
     /*  25783 */     // GIR_Coverage, 1695,
     /*  25783 */     GIR_EraseRootFromParent_Done,
     /*  25784 */   // Label 423: @25784
     /*  25784 */   GIM_Try, /*On fail goto*//*Label 424*/ GIMT_Encode4(25871), // Rule ID 1773 //
     /*  25789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25796 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  25804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  25808 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  25812 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  25816 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  25820 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  25823 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  25828 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  25832 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  25836 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  25838 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25845 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25852 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 724:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm))))  =>  (UABALv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  25852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv8i16_v4i32),
     /*  25855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25857 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  25859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  25864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  25869 */     GIR_RootConstrainSelectedInstOperands,
     /*  25870 */     // GIR_Coverage, 1773,
     /*  25870 */     GIR_EraseRootFromParent_Done,
     /*  25871 */   // Label 424: @25871
     /*  25871 */   GIM_Try, /*On fail goto*//*Label 425*/ GIMT_Encode4(25986), // Rule ID 13391 //
     /*  25876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  25887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  25891 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  25895 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  25899 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  25903 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  25907 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  25911 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  25915 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  25919 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  25923 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  25927 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  25932 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  25936 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  25940 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  25944 */     // MIs[4] Operand 1
     /*  25944 */     // No operand predicates
     /*  25944 */     // MIs[2] Operand 2
     /*  25944 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  25955 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  25960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25964 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  25966 */     // (add:{ *:[v4i32] } (AArch64smull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn), V128:{ *:[v4i32] }:$Rd)  =>  (SMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  25966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_indexed),
     /*  25969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25971 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  25973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  25977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  25981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  25984 */     GIR_RootConstrainSelectedInstOperands,
     /*  25985 */     // GIR_Coverage, 13391,
     /*  25985 */     GIR_EraseRootFromParent_Done,
     /*  25986 */   // Label 425: @25986
     /*  25986 */   GIM_Try, /*On fail goto*//*Label 426*/ GIMT_Encode4(26101), // Rule ID 13390 //
     /*  25991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  26006 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26010 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  26014 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  26019 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  26023 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  26027 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  26031 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  26035 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  26039 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  26043 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  26047 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  26052 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  26056 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  26060 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  26064 */     // MIs[4] Operand 1
     /*  26064 */     // No operand predicates
     /*  26064 */     // MIs[2] Operand 2
     /*  26064 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  26075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26079 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  26081 */     // (add:{ *:[v4i32] } (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] })), V128:{ *:[v4i32] }:$Rd)  =>  (SMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  26081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_indexed),
     /*  26084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26086 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  26088 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  26092 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  26096 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  26099 */     GIR_RootConstrainSelectedInstOperands,
     /*  26100 */     // GIR_Coverage, 13390,
     /*  26100 */     GIR_EraseRootFromParent_Done,
     /*  26101 */   // Label 426: @26101
     /*  26101 */   GIM_Try, /*On fail goto*//*Label 427*/ GIMT_Encode4(26216), // Rule ID 13421 //
     /*  26106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  26121 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26125 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  26129 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  26133 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  26137 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  26141 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  26145 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  26149 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  26153 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  26157 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  26162 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  26166 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  26170 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  26174 */     // MIs[4] Operand 1
     /*  26174 */     // No operand predicates
     /*  26174 */     // MIs[2] Operand 2
     /*  26174 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  26185 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  26190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26194 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  26196 */     // (add:{ *:[v4i32] } (AArch64umull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn), V128:{ *:[v4i32] }:$Rd)  =>  (UMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  26196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_indexed),
     /*  26199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26201 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  26203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  26207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  26211 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  26214 */     GIR_RootConstrainSelectedInstOperands,
     /*  26215 */     // GIR_Coverage, 13421,
     /*  26215 */     GIR_EraseRootFromParent_Done,
     /*  26216 */   // Label 427: @26216
     /*  26216 */   GIM_Try, /*On fail goto*//*Label 428*/ GIMT_Encode4(26331), // Rule ID 13420 //
     /*  26221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  26236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26240 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  26244 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  26249 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  26253 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  26257 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  26261 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  26265 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  26269 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  26273 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  26277 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  26282 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  26286 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  26290 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  26294 */     // MIs[4] Operand 1
     /*  26294 */     // No operand predicates
     /*  26294 */     // MIs[2] Operand 2
     /*  26294 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  26305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26309 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  26311 */     // (add:{ *:[v4i32] } (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] })), V128:{ *:[v4i32] }:$Rd)  =>  (UMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  26311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_indexed),
     /*  26314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26316 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  26318 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  26322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  26326 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  26329 */     GIR_RootConstrainSelectedInstOperands,
     /*  26330 */     // GIR_Coverage, 13420,
     /*  26330 */     GIR_EraseRootFromParent_Done,
     /*  26331 */   // Label 428: @26331
     /*  26331 */   GIM_Try, /*On fail goto*//*Label 429*/ GIMT_Encode4(26400), // Rule ID 1793 //
     /*  26336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  26351 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26355 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  26359 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  26363 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26367 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  26369 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  26376 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  26383 */     // (add:{ *:[v4i32] } (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (UADDLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  26383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i16_v4i32),
     /*  26386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  26388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  26393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  26398 */     GIR_RootConstrainSelectedInstOperands,
     /*  26399 */     // GIR_Coverage, 1793,
     /*  26399 */     GIR_EraseRootFromParent_Done,
     /*  26400 */   // Label 429: @26400
     /*  26400 */   GIM_Try, /*On fail goto*//*Label 430*/ GIMT_Encode4(26469), // Rule ID 1792 //
     /*  26405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  26420 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26424 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  26428 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  26432 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26436 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  26438 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  26445 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  26452 */     // (add:{ *:[v4i32] } (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (UADDLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  26452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i16_v4i32),
     /*  26455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  26457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  26462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  26467 */     GIR_RootConstrainSelectedInstOperands,
     /*  26468 */     // GIR_Coverage, 1792,
     /*  26468 */     GIR_EraseRootFromParent_Done,
     /*  26469 */   // Label 430: @26469
     /*  26469 */   GIM_Try, /*On fail goto*//*Label 431*/ GIMT_Encode4(26538), // Rule ID 1715 //
     /*  26474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  26489 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26493 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  26497 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  26501 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26505 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  26507 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  26514 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  26521 */     // (add:{ *:[v4i32] } (sext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), (sext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (SADDLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  26521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLv8i16_v4i32),
     /*  26524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  26526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  26531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  26536 */     GIR_RootConstrainSelectedInstOperands,
     /*  26537 */     // GIR_Coverage, 1715,
     /*  26537 */     GIR_EraseRootFromParent_Done,
     /*  26538 */   // Label 431: @26538
     /*  26538 */   GIM_Try, /*On fail goto*//*Label 432*/ GIMT_Encode4(26607), // Rule ID 1791 //
     /*  26543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  26558 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26562 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  26566 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  26570 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26574 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  26576 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  26583 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  26590 */     // (add:{ *:[v4i32] } (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (UADDLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  26590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i16_v4i32),
     /*  26593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  26595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  26600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  26605 */     GIR_RootConstrainSelectedInstOperands,
     /*  26606 */     // GIR_Coverage, 1791,
     /*  26606 */     GIR_EraseRootFromParent_Done,
     /*  26607 */   // Label 432: @26607
     /*  26607 */   GIM_Try, /*On fail goto*//*Label 433*/ GIMT_Encode4(26676), // Rule ID 1790 //
     /*  26612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  26627 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26631 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  26635 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  26639 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26643 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  26645 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  26652 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  26659 */     // (add:{ *:[v4i32] } (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (UADDLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  26659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i16_v4i32),
     /*  26662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  26664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  26669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  26674 */     GIR_RootConstrainSelectedInstOperands,
     /*  26675 */     // GIR_Coverage, 1790,
     /*  26675 */     GIR_EraseRootFromParent_Done,
     /*  26676 */   // Label 433: @26676
     /*  26676 */   GIM_Try, /*On fail goto*//*Label 434*/ GIMT_Encode4(26791), // Rule ID 13389 //
     /*  26681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26688 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26692 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  26696 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  26700 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26704 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  26708 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  26712 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  26716 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  26720 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  26724 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  26728 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  26732 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  26736 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  26741 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  26745 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  26749 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  26753 */     // MIs[4] Operand 1
     /*  26753 */     // No operand predicates
     /*  26753 */     // MIs[2] Operand 2
     /*  26753 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  26764 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  26769 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  26771 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn))  =>  (SMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  26771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_indexed),
     /*  26774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26776 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  26778 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  26782 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  26786 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  26789 */     GIR_RootConstrainSelectedInstOperands,
     /*  26790 */     // GIR_Coverage, 13389,
     /*  26790 */     GIR_EraseRootFromParent_Done,
     /*  26791 */   // Label 434: @26791
     /*  26791 */   GIM_Try, /*On fail goto*//*Label 435*/ GIMT_Encode4(26906), // Rule ID 2037 //
     /*  26796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26803 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  26811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  26815 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26819 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  26823 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  26828 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  26832 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  26836 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  26840 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  26844 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  26848 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  26852 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  26856 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  26861 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  26865 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  26869 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  26873 */     // MIs[4] Operand 1
     /*  26873 */     // No operand predicates
     /*  26873 */     // MIs[2] Operand 2
     /*  26873 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  26884 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  26886 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] })))  =>  (SMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  26886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_indexed),
     /*  26889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26891 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  26893 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  26897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  26901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  26904 */     GIR_RootConstrainSelectedInstOperands,
     /*  26905 */     // GIR_Coverage, 2037,
     /*  26905 */     GIR_EraseRootFromParent_Done,
     /*  26906 */   // Label 435: @26906
     /*  26906 */   GIM_Try, /*On fail goto*//*Label 436*/ GIMT_Encode4(27021), // Rule ID 13419 //
     /*  26911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26918 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  26926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  26930 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26934 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  26938 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  26942 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  26946 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  26950 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  26954 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  26958 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  26962 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  26966 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  26971 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  26975 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  26979 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  26983 */     // MIs[4] Operand 1
     /*  26983 */     // No operand predicates
     /*  26983 */     // MIs[2] Operand 2
     /*  26983 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  26994 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  26999 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  27001 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn))  =>  (UMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  27001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_indexed),
     /*  27004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27006 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  27008 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  27012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  27016 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  27019 */     GIR_RootConstrainSelectedInstOperands,
     /*  27020 */     // GIR_Coverage, 13419,
     /*  27020 */     GIR_EraseRootFromParent_Done,
     /*  27021 */   // Label 436: @27021
     /*  27021 */   GIM_Try, /*On fail goto*//*Label 437*/ GIMT_Encode4(27136), // Rule ID 2089 //
     /*  27026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27033 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  27041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  27045 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27049 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  27053 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  27058 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  27062 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  27066 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  27070 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  27074 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  27078 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  27082 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  27086 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  27091 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  27095 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  27099 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  27103 */     // MIs[4] Operand 1
     /*  27103 */     // No operand predicates
     /*  27103 */     // MIs[2] Operand 2
     /*  27103 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  27114 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  27116 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] })))  =>  (UMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  27116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_indexed),
     /*  27119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27121 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  27123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  27127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  27131 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  27134 */     GIR_RootConstrainSelectedInstOperands,
     /*  27135 */     // GIR_Coverage, 2089,
     /*  27135 */     GIR_EraseRootFromParent_Done,
     /*  27136 */   // Label 437: @27136
     /*  27136 */   GIM_Try, /*On fail goto*//*Label 438*/ GIMT_Encode4(27203), // Rule ID 13320 //
     /*  27141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  27152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  27156 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27160 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  27164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27168 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27170 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  27177 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  27184 */     // (add:{ *:[v4i32] } (AArch64smull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)), V128:{ *:[v4i32] }:$Rd)  =>  (SMLALv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  27184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv8i16_v4i32),
     /*  27187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27189 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  27191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  27196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  27201 */     GIR_RootConstrainSelectedInstOperands,
     /*  27202 */     // GIR_Coverage, 13320,
     /*  27202 */     GIR_EraseRootFromParent_Done,
     /*  27203 */   // Label 438: @27203
     /*  27203 */   GIM_Try, /*On fail goto*//*Label 439*/ GIMT_Encode4(27270), // Rule ID 13350 //
     /*  27208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  27219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  27223 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27227 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  27231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27237 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  27244 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  27251 */     // (add:{ *:[v4i32] } (AArch64umull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)), V128:{ *:[v4i32] }:$Rd)  =>  (UMLALv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  27251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv8i16_v4i32),
     /*  27254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27256 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  27258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  27263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  27268 */     GIR_RootConstrainSelectedInstOperands,
     /*  27269 */     // GIR_Coverage, 13350,
     /*  27269 */     GIR_EraseRootFromParent_Done,
     /*  27270 */   // Label 439: @27270
     /*  27270 */   GIM_Try, /*On fail goto*//*Label 440*/ GIMT_Encode4(27337), // Rule ID 1727 //
     /*  27275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  27290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  27294 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27298 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  27302 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27304 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  27311 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  27318 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (SMLALv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  27318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv8i16_v4i32),
     /*  27321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27323 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  27325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  27330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  27335 */     GIR_RootConstrainSelectedInstOperands,
     /*  27336 */     // GIR_Coverage, 1727,
     /*  27336 */     GIR_EraseRootFromParent_Done,
     /*  27337 */   // Label 440: @27337
     /*  27337 */   GIM_Try, /*On fail goto*//*Label 441*/ GIMT_Encode4(27404), // Rule ID 1817 //
     /*  27342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  27357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  27361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27365 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  27369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27371 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  27378 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  27385 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (UMLALv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  27385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv8i16_v4i32),
     /*  27388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27390 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  27392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  27397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  27402 */     GIR_RootConstrainSelectedInstOperands,
     /*  27403 */     // GIR_Coverage, 1817,
     /*  27403 */     GIR_EraseRootFromParent_Done,
     /*  27404 */   // Label 441: @27404
     /*  27404 */   GIM_Try, /*On fail goto*//*Label 442*/ GIMT_Encode4(27485), // Rule ID 13304 //
     /*  27409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  27420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  27424 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27428 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  27432 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  27436 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  27439 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  27444 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  27448 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  27452 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  27457 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  27462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27466 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  27468 */     // (add:{ *:[v4i32] } (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 659:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)), V128:{ *:[v4i32] }:$Rd)  =>  (SABALv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  27468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv4i16_v4i32),
     /*  27471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27473 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  27475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  27479 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  27483 */     GIR_RootConstrainSelectedInstOperands,
     /*  27484 */     // GIR_Coverage, 13304,
     /*  27484 */     GIR_EraseRootFromParent_Done,
     /*  27485 */   // Label 442: @27485
     /*  27485 */   GIM_Try, /*On fail goto*//*Label 443*/ GIMT_Encode4(27566), // Rule ID 13328 //
     /*  27490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  27501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  27505 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27509 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  27513 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  27517 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  27520 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  27525 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  27529 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  27533 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  27538 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  27543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27547 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  27549 */     // (add:{ *:[v4i32] } (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 724:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)), V128:{ *:[v4i32] }:$Rd)  =>  (UABALv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  27549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv4i16_v4i32),
     /*  27552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27554 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  27556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  27560 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  27564 */     GIR_RootConstrainSelectedInstOperands,
     /*  27565 */     // GIR_Coverage, 13328,
     /*  27565 */     GIR_EraseRootFromParent_Done,
     /*  27566 */   // Label 443: @27566
     /*  27566 */   GIM_Try, /*On fail goto*//*Label 444*/ GIMT_Encode4(27647), // Rule ID 1693 //
     /*  27571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  27586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  27590 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27594 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  27598 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  27602 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  27605 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  27610 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  27614 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  27618 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  27623 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  27628 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  27630 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 659:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)))  =>  (SABALv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  27630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv4i16_v4i32),
     /*  27633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27635 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  27637 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  27641 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  27645 */     GIR_RootConstrainSelectedInstOperands,
     /*  27646 */     // GIR_Coverage, 1693,
     /*  27646 */     GIR_EraseRootFromParent_Done,
     /*  27647 */   // Label 444: @27647
     /*  27647 */   GIM_Try, /*On fail goto*//*Label 445*/ GIMT_Encode4(27728), // Rule ID 1771 //
     /*  27652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27659 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  27667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  27671 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27675 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  27679 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  27683 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  27686 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  27691 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  27695 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  27699 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  27704 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  27709 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  27711 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 724:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)))  =>  (UABALv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  27711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv4i16_v4i32),
     /*  27714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27716 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  27718 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  27722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  27726 */     GIR_RootConstrainSelectedInstOperands,
     /*  27727 */     // GIR_Coverage, 1771,
     /*  27727 */     GIR_EraseRootFromParent_Done,
     /*  27728 */   // Label 445: @27728
     /*  27728 */   GIM_Try, /*On fail goto*//*Label 446*/ GIMT_Encode4(27820), // Rule ID 13394 //
     /*  27733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  27744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  27748 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27752 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  27756 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  27760 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  27764 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  27768 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  27772 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  27777 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  27781 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  27785 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  27789 */     // MIs[3] Operand 1
     /*  27789 */     // No operand predicates
     /*  27789 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  27794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27798 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  27800 */     // (add:{ *:[v4i32] } (AArch64smull:{ *:[v4i32] } (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4i16] }:$Rn), V128:{ *:[v4i32] }:$Rd)  =>  (SMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  27800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_indexed),
     /*  27803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27805 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  27807 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  27811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  27815 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  27818 */     GIR_RootConstrainSelectedInstOperands,
     /*  27819 */     // GIR_Coverage, 13394,
     /*  27819 */     GIR_EraseRootFromParent_Done,
     /*  27820 */   // Label 446: @27820
     /*  27820 */   GIM_Try, /*On fail goto*//*Label 447*/ GIMT_Encode4(27912), // Rule ID 13393 //
     /*  27825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  27836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  27840 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27844 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  27848 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  27853 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  27857 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  27861 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  27865 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  27869 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  27874 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  27878 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  27882 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  27886 */     // MIs[3] Operand 1
     /*  27886 */     // No operand predicates
     /*  27886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27890 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  27892 */     // (add:{ *:[v4i32] } (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), V128:{ *:[v4i32] }:$Rd)  =>  (SMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  27892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_indexed),
     /*  27895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27897 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  27899 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  27903 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  27907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  27910 */     GIR_RootConstrainSelectedInstOperands,
     /*  27911 */     // GIR_Coverage, 13393,
     /*  27911 */     GIR_EraseRootFromParent_Done,
     /*  27912 */   // Label 447: @27912
     /*  27912 */   GIM_Try, /*On fail goto*//*Label 448*/ GIMT_Encode4(28004), // Rule ID 13424 //
     /*  27917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  27928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  27932 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27936 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  27940 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  27944 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  27948 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  27952 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  27956 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  27961 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  27965 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  27969 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  27973 */     // MIs[3] Operand 1
     /*  27973 */     // No operand predicates
     /*  27973 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  27978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27982 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  27984 */     // (add:{ *:[v4i32] } (AArch64umull:{ *:[v4i32] } (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4i16] }:$Rn), V128:{ *:[v4i32] }:$Rd)  =>  (UMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  27984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_indexed),
     /*  27987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27989 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  27991 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  27995 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  27999 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  28002 */     GIR_RootConstrainSelectedInstOperands,
     /*  28003 */     // GIR_Coverage, 13424,
     /*  28003 */     GIR_EraseRootFromParent_Done,
     /*  28004 */   // Label 448: @28004
     /*  28004 */   GIM_Try, /*On fail goto*//*Label 449*/ GIMT_Encode4(28096), // Rule ID 13423 //
     /*  28009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  28024 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28028 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  28032 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  28037 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  28041 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  28045 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  28049 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  28053 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  28058 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  28062 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  28066 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  28070 */     // MIs[3] Operand 1
     /*  28070 */     // No operand predicates
     /*  28070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28074 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  28076 */     // (add:{ *:[v4i32] } (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), V128:{ *:[v4i32] }:$Rd)  =>  (UMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  28076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_indexed),
     /*  28079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28081 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  28083 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  28087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  28091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  28094 */     GIR_RootConstrainSelectedInstOperands,
     /*  28095 */     // GIR_Coverage, 13423,
     /*  28095 */     GIR_EraseRootFromParent_Done,
     /*  28096 */   // Label 449: @28096
     /*  28096 */   GIM_Try, /*On fail goto*//*Label 450*/ GIMT_Encode4(28188), // Rule ID 13392 //
     /*  28101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  28116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  28120 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28124 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  28128 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  28132 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  28136 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  28140 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  28144 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  28149 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  28153 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  28157 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  28161 */     // MIs[3] Operand 1
     /*  28161 */     // No operand predicates
     /*  28161 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  28166 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  28168 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4i16] }:$Rn))  =>  (SMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  28168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_indexed),
     /*  28171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28173 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  28175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  28179 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  28183 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  28186 */     GIR_RootConstrainSelectedInstOperands,
     /*  28187 */     // GIR_Coverage, 13392,
     /*  28187 */     GIR_EraseRootFromParent_Done,
     /*  28188 */   // Label 450: @28188
     /*  28188 */   GIM_Try, /*On fail goto*//*Label 451*/ GIMT_Encode4(28280), // Rule ID 2038 //
     /*  28193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28200 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  28208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  28212 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28216 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  28220 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  28225 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  28229 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  28233 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  28237 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  28241 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  28246 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  28250 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  28254 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  28258 */     // MIs[3] Operand 1
     /*  28258 */     // No operand predicates
     /*  28258 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  28260 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)))  =>  (SMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  28260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_indexed),
     /*  28263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28265 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  28267 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  28271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  28275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  28278 */     GIR_RootConstrainSelectedInstOperands,
     /*  28279 */     // GIR_Coverage, 2038,
     /*  28279 */     GIR_EraseRootFromParent_Done,
     /*  28280 */   // Label 451: @28280
     /*  28280 */   GIM_Try, /*On fail goto*//*Label 452*/ GIMT_Encode4(28372), // Rule ID 13422 //
     /*  28285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28292 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  28300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  28304 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28308 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  28312 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  28316 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  28320 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  28324 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  28328 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  28333 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  28337 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  28341 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  28345 */     // MIs[3] Operand 1
     /*  28345 */     // No operand predicates
     /*  28345 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  28350 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  28352 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4i16] }:$Rn))  =>  (UMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  28352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_indexed),
     /*  28355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28357 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  28359 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  28363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  28367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  28370 */     GIR_RootConstrainSelectedInstOperands,
     /*  28371 */     // GIR_Coverage, 13422,
     /*  28371 */     GIR_EraseRootFromParent_Done,
     /*  28372 */   // Label 452: @28372
     /*  28372 */   GIM_Try, /*On fail goto*//*Label 453*/ GIMT_Encode4(28464), // Rule ID 2090 //
     /*  28377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  28392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  28396 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28400 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  28404 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  28409 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  28413 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  28417 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  28421 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  28425 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  28430 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  28434 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  28438 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  28442 */     // MIs[3] Operand 1
     /*  28442 */     // No operand predicates
     /*  28442 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  28444 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)))  =>  (UMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  28444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_indexed),
     /*  28447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28449 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  28451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  28455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  28459 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  28462 */     GIR_RootConstrainSelectedInstOperands,
     /*  28463 */     // GIR_Coverage, 2090,
     /*  28463 */     GIR_EraseRootFromParent_Done,
     /*  28464 */   // Label 453: @28464
     /*  28464 */   GIM_Try, /*On fail goto*//*Label 454*/ GIMT_Encode4(28515), // Rule ID 13342 //
     /*  28469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  28484 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28494 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  28501 */     // (add:{ *:[v4i32] } (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)), V128:{ *:[v4i32] }:$Rn)  =>  (UADDWv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  28501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i16_v4i32),
     /*  28504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  28506 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  28508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  28513 */     GIR_RootConstrainSelectedInstOperands,
     /*  28514 */     // GIR_Coverage, 13342,
     /*  28514 */     GIR_EraseRootFromParent_Done,
     /*  28515 */   // Label 454: @28515
     /*  28515 */   GIM_Try, /*On fail goto*//*Label 455*/ GIMT_Encode4(28566), // Rule ID 13314 //
     /*  28520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  28535 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28545 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  28552 */     // (add:{ *:[v4i32] } (sext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)), V128:{ *:[v4i32] }:$Rn)  =>  (SADDWv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  28552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv8i16_v4i32),
     /*  28555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  28557 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  28559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  28564 */     GIR_RootConstrainSelectedInstOperands,
     /*  28565 */     // GIR_Coverage, 13314,
     /*  28565 */     GIR_EraseRootFromParent_Done,
     /*  28566 */   // Label 455: @28566
     /*  28566 */   GIM_Try, /*On fail goto*//*Label 456*/ GIMT_Encode4(28617), // Rule ID 13341 //
     /*  28571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  28586 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28596 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  28603 */     // (add:{ *:[v4i32] } (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)), V128:{ *:[v4i32] }:$Rn)  =>  (UADDWv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  28603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i16_v4i32),
     /*  28606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  28608 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  28610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  28615 */     GIR_RootConstrainSelectedInstOperands,
     /*  28616 */     // GIR_Coverage, 13341,
     /*  28616 */     GIR_EraseRootFromParent_Done,
     /*  28617 */   // Label 456: @28617
     /*  28617 */   GIM_Try, /*On fail goto*//*Label 457*/ GIMT_Encode4(28668), // Rule ID 1809 //
     /*  28622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  28637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  28641 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28647 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  28654 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (UADDWv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  28654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i16_v4i32),
     /*  28657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  28659 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  28661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  28666 */     GIR_RootConstrainSelectedInstOperands,
     /*  28667 */     // GIR_Coverage, 1809,
     /*  28667 */     GIR_EraseRootFromParent_Done,
     /*  28668 */   // Label 457: @28668
     /*  28668 */   GIM_Try, /*On fail goto*//*Label 458*/ GIMT_Encode4(28719), // Rule ID 1721 //
     /*  28673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28680 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  28688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  28692 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28698 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  28705 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (sext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (SADDWv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  28705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv8i16_v4i32),
     /*  28708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  28710 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  28712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  28717 */     GIR_RootConstrainSelectedInstOperands,
     /*  28718 */     // GIR_Coverage, 1721,
     /*  28718 */     GIR_EraseRootFromParent_Done,
     /*  28719 */   // Label 458: @28719
     /*  28719 */   GIM_Try, /*On fail goto*//*Label 459*/ GIMT_Encode4(28770), // Rule ID 1808 //
     /*  28724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28731 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  28739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  28743 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28749 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  28756 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (UADDWv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  28756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i16_v4i32),
     /*  28759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  28761 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  28763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  28768 */     GIR_RootConstrainSelectedInstOperands,
     /*  28769 */     // GIR_Coverage, 1808,
     /*  28769 */     GIR_EraseRootFromParent_Done,
     /*  28770 */   // Label 459: @28770
     /*  28770 */   GIM_Try, /*On fail goto*//*Label 460*/ GIMT_Encode4(28839), // Rule ID 13268 //
     /*  28775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  28790 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  28793 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  28798 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  28802 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  28806 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28811 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28822 */     // (add:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i32] } 659:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm), V128:{ *:[v4i32] }:$Rd)  =>  (SABAv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  28822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv4i32),
     /*  28825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28827 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  28829 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  28833 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  28837 */     GIR_RootConstrainSelectedInstOperands,
     /*  28838 */     // GIR_Coverage, 13268,
     /*  28838 */     GIR_EraseRootFromParent_Done,
     /*  28839 */   // Label 460: @28839
     /*  28839 */   GIM_Try, /*On fail goto*//*Label 461*/ GIMT_Encode4(28908), // Rule ID 13280 //
     /*  28844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  28859 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  28862 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  28867 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  28871 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  28875 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28880 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28891 */     // (add:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i32] } 724:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm), V128:{ *:[v4i32] }:$Rd)  =>  (UABAv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  28891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv4i32),
     /*  28894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28896 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  28898 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  28902 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  28906 */     GIR_RootConstrainSelectedInstOperands,
     /*  28907 */     // GIR_Coverage, 13280,
     /*  28907 */     GIR_EraseRootFromParent_Done,
     /*  28908 */   // Label 461: @28908
     /*  28908 */   GIM_Try, /*On fail goto*//*Label 462*/ GIMT_Encode4(28964), // Rule ID 13230 //
     /*  28913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  28928 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  28931 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  28936 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  28940 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28951 */     // (add:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i32] } 660:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn), V128:{ *:[v4i32] }:$Rd)  =>  (SADALPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn)
     /*  28951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv8i16_v4i32),
     /*  28954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28956 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  28958 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  28962 */     GIR_RootConstrainSelectedInstOperands,
     /*  28963 */     // GIR_Coverage, 13230,
     /*  28963 */     GIR_EraseRootFromParent_Done,
     /*  28964 */   // Label 462: @28964
     /*  28964 */   GIM_Try, /*On fail goto*//*Label 463*/ GIMT_Encode4(29020), // Rule ID 13242 //
     /*  28969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  28984 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  28987 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  28992 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  28996 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  29007 */     // (add:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i32] } 725:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn), V128:{ *:[v4i32] }:$Rd)  =>  (UADALPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn)
     /*  29007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv8i16_v4i32),
     /*  29010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29012 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  29014 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  29018 */     GIR_RootConstrainSelectedInstOperands,
     /*  29019 */     // GIR_Coverage, 13242,
     /*  29019 */     GIR_EraseRootFromParent_Done,
     /*  29020 */   // Label 463: @29020
     /*  29020 */   GIM_Try, /*On fail goto*//*Label 464*/ GIMT_Encode4(29087), // Rule ID 13472 //
     /*  29025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  29040 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  29044 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29049 */     // MIs[1] imm
     /*  29049 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  29053 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  29057 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  29061 */     // MIs[2] Operand 1
     /*  29061 */     // No operand predicates
     /*  29061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29065 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  29069 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  29071 */     // (add:{ *:[v4i32] } (AArch64vashr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm), V128:{ *:[v4i32] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv4i32_shift:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  29071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv4i32_shift),
     /*  29074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29076 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  29078 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  29082 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  29085 */     GIR_RootConstrainSelectedInstOperands,
     /*  29086 */     // GIR_Coverage, 13472,
     /*  29086 */     GIR_EraseRootFromParent_Done,
     /*  29087 */   // Label 464: @29087
     /*  29087 */   GIM_Try, /*On fail goto*//*Label 465*/ GIMT_Encode4(29154), // Rule ID 13493 //
     /*  29092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  29107 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  29111 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29116 */     // MIs[1] imm
     /*  29116 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  29120 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  29124 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  29128 */     // MIs[2] Operand 1
     /*  29128 */     // No operand predicates
     /*  29128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29132 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  29136 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  29138 */     // (add:{ *:[v4i32] } (AArch64vlshr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm), V128:{ *:[v4i32] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv4i32_shift:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  29138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv4i32_shift),
     /*  29141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29143 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  29145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  29149 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  29152 */     GIR_RootConstrainSelectedInstOperands,
     /*  29153 */     // GIR_Coverage, 13493,
     /*  29153 */     GIR_EraseRootFromParent_Done,
     /*  29154 */   // Label 465: @29154
     /*  29154 */   GIM_Try, /*On fail goto*//*Label 466*/ GIMT_Encode4(29223), // Rule ID 1367 //
     /*  29159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29166 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  29174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  29178 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  29181 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  29186 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  29190 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  29194 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29199 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  29206 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 659:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm))  =>  (SABAv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  29206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv4i32),
     /*  29209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29211 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  29213 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  29217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  29221 */     GIR_RootConstrainSelectedInstOperands,
     /*  29222 */     // GIR_Coverage, 1367,
     /*  29222 */     GIR_EraseRootFromParent_Done,
     /*  29223 */   // Label 466: @29223
     /*  29223 */   GIM_Try, /*On fail goto*//*Label 467*/ GIMT_Encode4(29292), // Rule ID 1490 //
     /*  29228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  29243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  29247 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  29250 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  29255 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  29259 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  29263 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29268 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  29275 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 724:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm))  =>  (UABAv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  29275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv4i32),
     /*  29278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29280 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  29282 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  29286 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  29290 */     GIR_RootConstrainSelectedInstOperands,
     /*  29291 */     // GIR_Coverage, 1490,
     /*  29291 */     GIR_EraseRootFromParent_Done,
     /*  29292 */   // Label 467: @29292
     /*  29292 */   GIM_Try, /*On fail goto*//*Label 468*/ GIMT_Encode4(29348), // Rule ID 995 //
     /*  29297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29304 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  29312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  29316 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  29319 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  29324 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  29328 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  29335 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 660:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn))  =>  (SADALPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn)
     /*  29335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv8i16_v4i32),
     /*  29338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29340 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  29342 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  29346 */     GIR_RootConstrainSelectedInstOperands,
     /*  29347 */     // GIR_Coverage, 995,
     /*  29347 */     GIR_EraseRootFromParent_Done,
     /*  29348 */   // Label 468: @29348
     /*  29348 */   GIM_Try, /*On fail goto*//*Label 469*/ GIMT_Encode4(29404), // Rule ID 1056 //
     /*  29353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29360 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  29368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  29372 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  29375 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  29380 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  29384 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  29391 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 725:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn))  =>  (UADALPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn)
     /*  29391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv8i16_v4i32),
     /*  29394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29396 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  29398 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  29402 */     GIR_RootConstrainSelectedInstOperands,
     /*  29403 */     // GIR_Coverage, 1056,
     /*  29403 */     GIR_EraseRootFromParent_Done,
     /*  29404 */   // Label 469: @29404
     /*  29404 */   GIM_Try, /*On fail goto*//*Label 470*/ GIMT_Encode4(29471), // Rule ID 2240 //
     /*  29409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29416 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  29424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  29428 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  29432 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29437 */     // MIs[1] imm
     /*  29437 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  29441 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  29445 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  29449 */     // MIs[2] Operand 1
     /*  29449 */     // No operand predicates
     /*  29449 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  29453 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  29455 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64vashr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv4i32_shift:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  29455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv4i32_shift),
     /*  29458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29460 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  29462 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  29466 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  29469 */     GIR_RootConstrainSelectedInstOperands,
     /*  29470 */     // GIR_Coverage, 2240,
     /*  29470 */     GIR_EraseRootFromParent_Done,
     /*  29471 */   // Label 470: @29471
     /*  29471 */   GIM_Try, /*On fail goto*//*Label 471*/ GIMT_Encode4(29538), // Rule ID 2299 //
     /*  29476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29483 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  29491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  29495 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  29499 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29504 */     // MIs[1] imm
     /*  29504 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  29508 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  29512 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  29516 */     // MIs[2] Operand 1
     /*  29516 */     // No operand predicates
     /*  29516 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  29520 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  29522 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64vlshr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv4i32_shift:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  29522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv4i32_shift),
     /*  29525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29527 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  29529 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  29533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  29536 */     GIR_RootConstrainSelectedInstOperands,
     /*  29537 */     // GIR_Coverage, 2299,
     /*  29537 */     GIR_EraseRootFromParent_Done,
     /*  29538 */   // Label 471: @29538
     /*  29538 */   GIM_Try, /*On fail goto*//*Label 472*/ GIMT_Encode4(29608), // Rule ID 6894 //
     /*  29543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UZP1),
     /*  29555 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  29559 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  29563 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29568 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29573 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  29577 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP2),
     /*  29581 */     // MIs[2] Rn
     /*  29581 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  29586 */     // MIs[2] Rm
     /*  29586 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  29591 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  29593 */     // (add:{ *:[v4i32] } (AArch64uzp1:{ *:[v4i32] } FPR128:{ *:[v4i32] }:$Rn, FPR128:{ *:[v4i32] }:$Rm), (AArch64uzp2:{ *:[v4i32] } FPR128:{ *:[v4i32] }:$Rn, FPR128:{ *:[v4i32] }:$Rm))  =>  (ADDPv4i32:{ *:[v4i32] } ?:{ *:[v4i32] }:$Rn, ?:{ *:[v4i32] }:$Rm)
     /*  29593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv4i32),
     /*  29596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  29598 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  29602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  29606 */     GIR_RootConstrainSelectedInstOperands,
     /*  29607 */     // GIR_Coverage, 6894,
     /*  29607 */     GIR_EraseRootFromParent_Done,
     /*  29608 */   // Label 472: @29608
     /*  29608 */   GIM_Try, /*On fail goto*//*Label 473*/ GIMT_Encode4(29678), // Rule ID 13851 //
     /*  29613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UZP2),
     /*  29625 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  29629 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  29633 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29638 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29643 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  29647 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP1),
     /*  29651 */     // MIs[2] Rn
     /*  29651 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  29656 */     // MIs[2] Rm
     /*  29656 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  29661 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  29663 */     // (add:{ *:[v4i32] } (AArch64uzp2:{ *:[v4i32] } FPR128:{ *:[v4i32] }:$Rn, FPR128:{ *:[v4i32] }:$Rm), (AArch64uzp1:{ *:[v4i32] } FPR128:{ *:[v4i32] }:$Rn, FPR128:{ *:[v4i32] }:$Rm))  =>  (ADDPv4i32:{ *:[v4i32] } ?:{ *:[v4i32] }:$Rn, ?:{ *:[v4i32] }:$Rm)
     /*  29663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv4i32),
     /*  29666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  29668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  29672 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  29676 */     GIR_RootConstrainSelectedInstOperands,
     /*  29677 */     // GIR_Coverage, 13851,
     /*  29677 */     GIR_EraseRootFromParent_Done,
     /*  29678 */   // Label 473: @29678
     /*  29678 */   GIM_Try, /*On fail goto*//*Label 474*/ GIMT_Encode4(29741), // Rule ID 1789 //
     /*  29683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  29698 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  29702 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29707 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  29711 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  29715 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  29719 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29724 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  29726 */     // (add:{ *:[v4i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (UADDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  29726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i16_v4i32),
     /*  29729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  29731 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  29735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  29739 */     GIR_RootConstrainSelectedInstOperands,
     /*  29740 */     // GIR_Coverage, 1789,
     /*  29740 */     GIR_EraseRootFromParent_Done,
     /*  29741 */   // Label 474: @29741
     /*  29741 */   GIM_Try, /*On fail goto*//*Label 475*/ GIMT_Encode4(29804), // Rule ID 1788 //
     /*  29746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  29761 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  29765 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29770 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  29774 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  29778 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  29782 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29787 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  29789 */     // (add:{ *:[v4i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (UADDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  29789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i16_v4i32),
     /*  29792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  29794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  29798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  29802 */     GIR_RootConstrainSelectedInstOperands,
     /*  29803 */     // GIR_Coverage, 1788,
     /*  29803 */     GIR_EraseRootFromParent_Done,
     /*  29804 */   // Label 475: @29804
     /*  29804 */   GIM_Try, /*On fail goto*//*Label 476*/ GIMT_Encode4(29867), // Rule ID 1714 //
     /*  29809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  29824 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  29828 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29833 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  29837 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  29841 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  29845 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29850 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  29852 */     // (add:{ *:[v4i32] } (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (SADDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  29852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLv4i16_v4i32),
     /*  29855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  29857 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  29861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  29865 */     GIR_RootConstrainSelectedInstOperands,
     /*  29866 */     // GIR_Coverage, 1714,
     /*  29866 */     GIR_EraseRootFromParent_Done,
     /*  29867 */   // Label 476: @29867
     /*  29867 */   GIM_Try, /*On fail goto*//*Label 477*/ GIMT_Encode4(29930), // Rule ID 1787 //
     /*  29872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  29887 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  29891 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29896 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  29900 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  29904 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  29908 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29913 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  29915 */     // (add:{ *:[v4i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (UADDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  29915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i16_v4i32),
     /*  29918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  29920 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  29924 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  29928 */     GIR_RootConstrainSelectedInstOperands,
     /*  29929 */     // GIR_Coverage, 1787,
     /*  29929 */     GIR_EraseRootFromParent_Done,
     /*  29930 */   // Label 477: @29930
     /*  29930 */   GIM_Try, /*On fail goto*//*Label 478*/ GIMT_Encode4(29993), // Rule ID 1786 //
     /*  29935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  29950 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  29954 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29959 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  29963 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  29967 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  29971 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29976 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  29978 */     // (add:{ *:[v4i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (UADDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  29978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i16_v4i32),
     /*  29981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  29983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  29987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  29991 */     GIR_RootConstrainSelectedInstOperands,
     /*  29992 */     // GIR_Coverage, 1786,
     /*  29992 */     GIR_EraseRootFromParent_Done,
     /*  29993 */   // Label 478: @29993
     /*  29993 */   GIM_Try, /*On fail goto*//*Label 479*/ GIMT_Encode4(30054), // Rule ID 13319 //
     /*  29998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  30013 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  30017 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  30021 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30026 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30037 */     // (add:{ *:[v4i32] } (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), V128:{ *:[v4i32] }:$Rd)  =>  (SMLALv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  30037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_v4i32),
     /*  30040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30042 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  30044 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  30048 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  30052 */     GIR_RootConstrainSelectedInstOperands,
     /*  30053 */     // GIR_Coverage, 13319,
     /*  30053 */     GIR_EraseRootFromParent_Done,
     /*  30054 */   // Label 479: @30054
     /*  30054 */   GIM_Try, /*On fail goto*//*Label 480*/ GIMT_Encode4(30115), // Rule ID 13349 //
     /*  30059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  30074 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  30078 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  30082 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30087 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30098 */     // (add:{ *:[v4i32] } (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), V128:{ *:[v4i32] }:$Rd)  =>  (UMLALv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  30098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_v4i32),
     /*  30101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30103 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  30105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  30109 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  30113 */     GIR_RootConstrainSelectedInstOperands,
     /*  30114 */     // GIR_Coverage, 13349,
     /*  30114 */     GIR_EraseRootFromParent_Done,
     /*  30115 */   // Label 480: @30115
     /*  30115 */   GIM_Try, /*On fail goto*//*Label 481*/ GIMT_Encode4(30163), // Rule ID 13340 //
     /*  30120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  30135 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  30139 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30150 */     // (add:{ *:[v4i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), V128:{ *:[v4i32] }:$Rn)  =>  (UADDWv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  30150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i16_v4i32),
     /*  30153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  30155 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  30157 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  30161 */     GIR_RootConstrainSelectedInstOperands,
     /*  30162 */     // GIR_Coverage, 13340,
     /*  30162 */     GIR_EraseRootFromParent_Done,
     /*  30163 */   // Label 481: @30163
     /*  30163 */   GIM_Try, /*On fail goto*//*Label 482*/ GIMT_Encode4(30211), // Rule ID 13229 //
     /*  30168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  30183 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  30187 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30198 */     // (add:{ *:[v4i32] } (AArch64saddlp_n:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn), V128:{ *:[v4i32] }:$Rd)  =>  (SADALPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn)
     /*  30198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv8i16_v4i32),
     /*  30201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30203 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  30205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  30209 */     GIR_RootConstrainSelectedInstOperands,
     /*  30210 */     // GIR_Coverage, 13229,
     /*  30210 */     GIR_EraseRootFromParent_Done,
     /*  30211 */   // Label 482: @30211
     /*  30211 */   GIM_Try, /*On fail goto*//*Label 483*/ GIMT_Encode4(30259), // Rule ID 13313 //
     /*  30216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  30231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  30235 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30244 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30246 */     // (add:{ *:[v4i32] } (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), V128:{ *:[v4i32] }:$Rn)  =>  (SADDWv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  30246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv4i16_v4i32),
     /*  30249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  30251 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  30253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  30257 */     GIR_RootConstrainSelectedInstOperands,
     /*  30258 */     // GIR_Coverage, 13313,
     /*  30258 */     GIR_EraseRootFromParent_Done,
     /*  30259 */   // Label 483: @30259
     /*  30259 */   GIM_Try, /*On fail goto*//*Label 484*/ GIMT_Encode4(30307), // Rule ID 13241 //
     /*  30264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  30279 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  30283 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30292 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30294 */     // (add:{ *:[v4i32] } (AArch64uaddlp_n:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn), V128:{ *:[v4i32] }:$Rd)  =>  (UADALPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn)
     /*  30294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv8i16_v4i32),
     /*  30297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30299 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  30301 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  30305 */     GIR_RootConstrainSelectedInstOperands,
     /*  30306 */     // GIR_Coverage, 13241,
     /*  30306 */     GIR_EraseRootFromParent_Done,
     /*  30307 */   // Label 484: @30307
     /*  30307 */   GIM_Try, /*On fail goto*//*Label 485*/ GIMT_Encode4(30355), // Rule ID 13339 //
     /*  30312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  30327 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  30331 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30342 */     // (add:{ *:[v4i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), V128:{ *:[v4i32] }:$Rn)  =>  (UADDWv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  30342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i16_v4i32),
     /*  30345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  30347 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  30349 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  30353 */     GIR_RootConstrainSelectedInstOperands,
     /*  30354 */     // GIR_Coverage, 13339,
     /*  30354 */     GIR_EraseRootFromParent_Done,
     /*  30355 */   // Label 485: @30355
     /*  30355 */   GIM_Try, /*On fail goto*//*Label 486*/ GIMT_Encode4(30416), // Rule ID 1726 //
     /*  30360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30367 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  30375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  30379 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  30383 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  30387 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30392 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30397 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30399 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm))  =>  (SMLALv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  30399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_v4i32),
     /*  30402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30404 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  30406 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  30410 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  30414 */     GIR_RootConstrainSelectedInstOperands,
     /*  30415 */     // GIR_Coverage, 1726,
     /*  30415 */     GIR_EraseRootFromParent_Done,
     /*  30416 */   // Label 486: @30416
     /*  30416 */   GIM_Try, /*On fail goto*//*Label 487*/ GIMT_Encode4(30477), // Rule ID 1816 //
     /*  30421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30428 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  30436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  30440 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  30444 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  30448 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30453 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30460 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm))  =>  (UMLALv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  30460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_v4i32),
     /*  30463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30465 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  30467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  30471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  30475 */     GIR_RootConstrainSelectedInstOperands,
     /*  30476 */     // GIR_Coverage, 1816,
     /*  30476 */     GIR_EraseRootFromParent_Done,
     /*  30477 */   // Label 487: @30477
     /*  30477 */   GIM_Try, /*On fail goto*//*Label 488*/ GIMT_Encode4(30525), // Rule ID 1807 //
     /*  30482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30489 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  30497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  30501 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  30505 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30510 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30512 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (UADDWv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  30512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i16_v4i32),
     /*  30515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  30517 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  30519 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  30523 */     GIR_RootConstrainSelectedInstOperands,
     /*  30524 */     // GIR_Coverage, 1807,
     /*  30524 */     GIR_EraseRootFromParent_Done,
     /*  30525 */   // Label 488: @30525
     /*  30525 */   GIM_Try, /*On fail goto*//*Label 489*/ GIMT_Encode4(30573), // Rule ID 994 //
     /*  30530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30537 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  30545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  30549 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  30553 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30558 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30560 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64saddlp_n:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn))  =>  (SADALPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn)
     /*  30560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv8i16_v4i32),
     /*  30563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30565 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  30567 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  30571 */     GIR_RootConstrainSelectedInstOperands,
     /*  30572 */     // GIR_Coverage, 994,
     /*  30572 */     GIR_EraseRootFromParent_Done,
     /*  30573 */   // Label 489: @30573
     /*  30573 */   GIM_Try, /*On fail goto*//*Label 490*/ GIMT_Encode4(30621), // Rule ID 1720 //
     /*  30578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30585 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  30593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  30597 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  30601 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30608 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (SADDWv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  30608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv4i16_v4i32),
     /*  30611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  30613 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  30615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  30619 */     GIR_RootConstrainSelectedInstOperands,
     /*  30620 */     // GIR_Coverage, 1720,
     /*  30620 */     GIR_EraseRootFromParent_Done,
     /*  30621 */   // Label 490: @30621
     /*  30621 */   GIM_Try, /*On fail goto*//*Label 491*/ GIMT_Encode4(30669), // Rule ID 1055 //
     /*  30626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30633 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  30641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  30645 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  30649 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30654 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30656 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64uaddlp_n:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn))  =>  (UADALPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn)
     /*  30656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv8i16_v4i32),
     /*  30659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30661 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  30663 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  30667 */     GIR_RootConstrainSelectedInstOperands,
     /*  30668 */     // GIR_Coverage, 1055,
     /*  30668 */     GIR_EraseRootFromParent_Done,
     /*  30669 */   // Label 491: @30669
     /*  30669 */   GIM_Try, /*On fail goto*//*Label 492*/ GIMT_Encode4(30717), // Rule ID 1806 //
     /*  30674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  30689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  30693 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  30697 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30704 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (UADDWv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  30704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i16_v4i32),
     /*  30707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  30709 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  30711 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  30715 */     GIR_RootConstrainSelectedInstOperands,
     /*  30716 */     // GIR_Coverage, 1806,
     /*  30716 */     GIR_EraseRootFromParent_Done,
     /*  30717 */   // Label 492: @30717
     /*  30717 */   GIM_Try, /*On fail goto*//*Label 493*/ GIMT_Encode4(30744), // Rule ID 1105 //
     /*  30722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30729 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30737 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (ADDv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  30737 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDv4i32),
     /*  30742 */     GIR_RootConstrainSelectedInstOperands,
     /*  30743 */     // GIR_Coverage, 1105,
     /*  30743 */     GIR_Done,
     /*  30744 */   // Label 493: @30744
     /*  30744 */   GIM_Reject,
     /*  30745 */ // Label 412: @30745
     /*  30745 */ GIM_Reject,
     /*  30746 */ // Label 164: @30746
     /*  30746 */ GIM_Try, /*On fail goto*//*Label 494*/ GIMT_Encode4(31595),
     /*  30751 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  30754 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  30757 */   GIM_Try, /*On fail goto*//*Label 495*/ GIMT_Encode4(30890), // Rule ID 13856 //
     /*  30762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  30774 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  30778 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  30782 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP2),
     /*  30786 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  30790 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  30794 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30799 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  30803 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  30807 */     // MIs[1] Operand 2
     /*  30807 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  30818 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  30822 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  30826 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  30830 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  30834 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /*  30838 */     // MIs[5] Rn
     /*  30838 */     GIM_CheckIsSameOperand, /*MI*/5, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  30843 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  30845 */     // (add:{ *:[v8i8] } (extract_subvector:{ *:[v8i8] } (AArch64uzp2:{ *:[v16i8] } FPR128:{ *:[v16i8] }:$Rn, (undef:{ *:[v16i8] })), 0:{ *:[i64] }), (trunc:{ *:[v8i8] } (bitconvert:{ *:[v8i16] } FPR128:{ *:[v16i8] }:$Rn)))  =>  (EXTRACT_SUBREG:{ *:[v8i8] } (ADDPv16i8:{ *:[f128] } ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rn), dsub:{ *:[i32] })
     /*  30845 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  30848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ADDPv16i8),
     /*  30852 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  30857 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  30861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  30865 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  30867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  30870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30872 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  30879 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30884 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30889 */     // GIR_Coverage, 13856,
     /*  30889 */     GIR_EraseRootFromParent_Done,
     /*  30890 */   // Label 495: @30890
     /*  30890 */   GIM_Try, /*On fail goto*//*Label 496*/ GIMT_Encode4(31023), // Rule ID 6899 //
     /*  30895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  30907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  30911 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  30915 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /*  30919 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  30923 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30928 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  30932 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  30936 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  30940 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  30944 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(AArch64::G_UZP2),
     /*  30948 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  30952 */     // MIs[4] Rn
     /*  30952 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  30957 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  30961 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  30965 */     // MIs[3] Operand 2
     /*  30965 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  30976 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  30978 */     // (add:{ *:[v8i8] } (trunc:{ *:[v8i8] } (bitconvert:{ *:[v8i16] } FPR128:{ *:[v16i8] }:$Rn)), (extract_subvector:{ *:[v8i8] } (AArch64uzp2:{ *:[v16i8] } FPR128:{ *:[v16i8] }:$Rn, (undef:{ *:[v16i8] })), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v8i8] } (ADDPv16i8:{ *:[f128] } ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rn), dsub:{ *:[i32] })
     /*  30978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  30981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ADDPv16i8),
     /*  30985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  30990 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  30994 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  30998 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  31000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  31003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31005 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  31012 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31017 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31022 */     // GIR_Coverage, 6899,
     /*  31022 */     GIR_EraseRootFromParent_Done,
     /*  31023 */   // Label 496: @31023
     /*  31023 */   GIM_Try, /*On fail goto*//*Label 497*/ GIMT_Encode4(31092), // Rule ID 13258 //
     /*  31028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  31039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  31043 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  31046 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  31051 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  31055 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  31059 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31064 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31075 */     // (add:{ *:[v8i8] } (intrinsic_wo_chain:{ *:[v8i8] } 659:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), V64:{ *:[v8i8] }:$Rd)  =>  (SABAv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  31075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv8i8),
     /*  31078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31080 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  31082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  31086 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  31090 */     GIR_RootConstrainSelectedInstOperands,
     /*  31091 */     // GIR_Coverage, 13258,
     /*  31091 */     GIR_EraseRootFromParent_Done,
     /*  31092 */   // Label 497: @31092
     /*  31092 */   GIM_Try, /*On fail goto*//*Label 498*/ GIMT_Encode4(31161), // Rule ID 13270 //
     /*  31097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  31108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  31112 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  31115 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  31120 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  31124 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  31128 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31133 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31144 */     // (add:{ *:[v8i8] } (intrinsic_wo_chain:{ *:[v8i8] } 724:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), V64:{ *:[v8i8] }:$Rd)  =>  (UABAv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  31144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv8i8),
     /*  31147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31149 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  31151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  31155 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  31159 */     GIR_RootConstrainSelectedInstOperands,
     /*  31160 */     // GIR_Coverage, 13270,
     /*  31160 */     GIR_EraseRootFromParent_Done,
     /*  31161 */   // Label 498: @31161
     /*  31161 */   GIM_Try, /*On fail goto*//*Label 499*/ GIMT_Encode4(31228), // Rule ID 13462 //
     /*  31166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  31177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  31181 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  31185 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31190 */     // MIs[1] imm
     /*  31190 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  31194 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  31198 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  31202 */     // MIs[2] Operand 1
     /*  31202 */     // No operand predicates
     /*  31202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31206 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  31210 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  31212 */     // (add:{ *:[v8i8] } (AArch64vashr:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm), V64:{ *:[v8i8] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv8i8_shift:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  31212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv8i8_shift),
     /*  31215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31217 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  31219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  31223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  31226 */     GIR_RootConstrainSelectedInstOperands,
     /*  31227 */     // GIR_Coverage, 13462,
     /*  31227 */     GIR_EraseRootFromParent_Done,
     /*  31228 */   // Label 499: @31228
     /*  31228 */   GIM_Try, /*On fail goto*//*Label 500*/ GIMT_Encode4(31295), // Rule ID 13483 //
     /*  31233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  31244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  31248 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  31252 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31257 */     // MIs[1] imm
     /*  31257 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  31261 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  31265 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  31269 */     // MIs[2] Operand 1
     /*  31269 */     // No operand predicates
     /*  31269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31273 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  31277 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  31279 */     // (add:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm), V64:{ *:[v8i8] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv8i8_shift:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  31279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv8i8_shift),
     /*  31282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31284 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  31286 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  31290 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  31293 */     GIR_RootConstrainSelectedInstOperands,
     /*  31294 */     // GIR_Coverage, 13483,
     /*  31294 */     GIR_EraseRootFromParent_Done,
     /*  31295 */   // Label 500: @31295
     /*  31295 */   GIM_Try, /*On fail goto*//*Label 501*/ GIMT_Encode4(31364), // Rule ID 1357 //
     /*  31300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31307 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  31315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  31319 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  31322 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  31327 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  31331 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  31335 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31340 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31347 */     // (add:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, (intrinsic_wo_chain:{ *:[v8i8] } 659:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm))  =>  (SABAv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  31347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv8i8),
     /*  31350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31352 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  31354 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  31358 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  31362 */     GIR_RootConstrainSelectedInstOperands,
     /*  31363 */     // GIR_Coverage, 1357,
     /*  31363 */     GIR_EraseRootFromParent_Done,
     /*  31364 */   // Label 501: @31364
     /*  31364 */   GIM_Try, /*On fail goto*//*Label 502*/ GIMT_Encode4(31433), // Rule ID 1480 //
     /*  31369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  31384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  31388 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  31391 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  31396 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  31400 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  31404 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31409 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31416 */     // (add:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, (intrinsic_wo_chain:{ *:[v8i8] } 724:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm))  =>  (UABAv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  31416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv8i8),
     /*  31419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31421 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  31423 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  31427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  31431 */     GIR_RootConstrainSelectedInstOperands,
     /*  31432 */     // GIR_Coverage, 1480,
     /*  31432 */     GIR_EraseRootFromParent_Done,
     /*  31433 */   // Label 502: @31433
     /*  31433 */   GIM_Try, /*On fail goto*//*Label 503*/ GIMT_Encode4(31500), // Rule ID 2230 //
     /*  31438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31445 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  31453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  31457 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  31461 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31466 */     // MIs[1] imm
     /*  31466 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  31470 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  31474 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  31478 */     // MIs[2] Operand 1
     /*  31478 */     // No operand predicates
     /*  31478 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  31482 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  31484 */     // (add:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, (AArch64vashr:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv8i8_shift:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  31484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv8i8_shift),
     /*  31487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31489 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  31491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  31495 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  31498 */     GIR_RootConstrainSelectedInstOperands,
     /*  31499 */     // GIR_Coverage, 2230,
     /*  31499 */     GIR_EraseRootFromParent_Done,
     /*  31500 */   // Label 503: @31500
     /*  31500 */   GIM_Try, /*On fail goto*//*Label 504*/ GIMT_Encode4(31567), // Rule ID 2289 //
     /*  31505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  31520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  31524 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  31528 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31533 */     // MIs[1] imm
     /*  31533 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  31537 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  31541 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  31545 */     // MIs[2] Operand 1
     /*  31545 */     // No operand predicates
     /*  31545 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  31549 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  31551 */     // (add:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, (AArch64vlshr:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv8i8_shift:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  31551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv8i8_shift),
     /*  31554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31556 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  31558 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  31562 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  31565 */     GIR_RootConstrainSelectedInstOperands,
     /*  31566 */     // GIR_Coverage, 2289,
     /*  31566 */     GIR_EraseRootFromParent_Done,
     /*  31567 */   // Label 504: @31567
     /*  31567 */   GIM_Try, /*On fail goto*//*Label 505*/ GIMT_Encode4(31594), // Rule ID 1100 //
     /*  31572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31579 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31587 */     // (add:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (ADDv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  31587 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDv8i8),
     /*  31592 */     GIR_RootConstrainSelectedInstOperands,
     /*  31593 */     // GIR_Coverage, 1100,
     /*  31593 */     GIR_Done,
     /*  31594 */   // Label 505: @31594
     /*  31594 */   GIM_Reject,
     /*  31595 */ // Label 494: @31595
     /*  31595 */ GIM_Reject,
     /*  31596 */ // Label 165: @31596
     /*  31596 */ GIM_Try, /*On fail goto*//*Label 506*/ GIMT_Encode4(35173),
     /*  31601 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  31604 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  31607 */   GIM_Try, /*On fail goto*//*Label 507*/ GIMT_Encode4(31694), // Rule ID 13302 //
     /*  31612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  31623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  31627 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  31631 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  31635 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  31639 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  31642 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  31647 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  31651 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  31655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31659 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  31661 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  31668 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  31675 */     // (add:{ *:[v8i16] } (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 659:{ *:[iPTR] }, (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm))), V128:{ *:[v8i16] }:$Rd)  =>  (SABALv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  31675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv16i8_v8i16),
     /*  31678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31680 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  31682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  31687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  31692 */     GIR_RootConstrainSelectedInstOperands,
     /*  31693 */     // GIR_Coverage, 13302,
     /*  31693 */     GIR_EraseRootFromParent_Done,
     /*  31694 */   // Label 507: @31694
     /*  31694 */   GIM_Try, /*On fail goto*//*Label 508*/ GIMT_Encode4(31781), // Rule ID 13326 //
     /*  31699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  31710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  31714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  31718 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  31722 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  31726 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  31729 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  31734 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  31738 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  31742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31746 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  31748 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  31755 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  31762 */     // (add:{ *:[v8i16] } (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 724:{ *:[iPTR] }, (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm))), V128:{ *:[v8i16] }:$Rd)  =>  (UABALv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  31762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv16i8_v8i16),
     /*  31765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31767 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  31769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  31774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  31779 */     GIR_RootConstrainSelectedInstOperands,
     /*  31780 */     // GIR_Coverage, 13326,
     /*  31780 */     GIR_EraseRootFromParent_Done,
     /*  31781 */   // Label 508: @31781
     /*  31781 */   GIM_Try, /*On fail goto*//*Label 509*/ GIMT_Encode4(31868), // Rule ID 1691 //
     /*  31786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31793 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  31801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  31805 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  31809 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  31813 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  31817 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  31820 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  31825 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  31829 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  31833 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  31835 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  31842 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  31849 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 659:{ *:[iPTR] }, (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm))))  =>  (SABALv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  31849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv16i8_v8i16),
     /*  31852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31854 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  31856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  31861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  31866 */     GIR_RootConstrainSelectedInstOperands,
     /*  31867 */     // GIR_Coverage, 1691,
     /*  31867 */     GIR_EraseRootFromParent_Done,
     /*  31868 */   // Label 509: @31868
     /*  31868 */   GIM_Try, /*On fail goto*//*Label 510*/ GIMT_Encode4(31955), // Rule ID 1769 //
     /*  31873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31880 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  31888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  31892 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  31896 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  31900 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  31904 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  31907 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  31912 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  31916 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  31920 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  31922 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  31929 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  31936 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 724:{ *:[iPTR] }, (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm))))  =>  (UABALv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  31936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv16i8_v8i16),
     /*  31939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31941 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  31943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  31948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  31953 */     GIR_RootConstrainSelectedInstOperands,
     /*  31954 */     // GIR_Coverage, 1769,
     /*  31954 */     GIR_EraseRootFromParent_Done,
     /*  31955 */   // Label 510: @31955
     /*  31955 */   GIM_Try, /*On fail goto*//*Label 511*/ GIMT_Encode4(32024), // Rule ID 1785 //
     /*  31960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  31971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  31975 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  31979 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  31983 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  31987 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  31991 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  31993 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32000 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32007 */     // (add:{ *:[v8i16] } (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn)), (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (UADDLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  32007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv16i8_v8i16),
     /*  32010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  32012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  32017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  32022 */     GIR_RootConstrainSelectedInstOperands,
     /*  32023 */     // GIR_Coverage, 1785,
     /*  32023 */     GIR_EraseRootFromParent_Done,
     /*  32024 */   // Label 511: @32024
     /*  32024 */   GIM_Try, /*On fail goto*//*Label 512*/ GIMT_Encode4(32093), // Rule ID 1784 //
     /*  32029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  32044 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32048 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  32052 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  32056 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32060 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  32062 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32069 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32076 */     // (add:{ *:[v8i16] } (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn)), (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (UADDLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  32076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv16i8_v8i16),
     /*  32079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  32081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  32086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  32091 */     GIR_RootConstrainSelectedInstOperands,
     /*  32092 */     // GIR_Coverage, 1784,
     /*  32092 */     GIR_EraseRootFromParent_Done,
     /*  32093 */   // Label 512: @32093
     /*  32093 */   GIM_Try, /*On fail goto*//*Label 513*/ GIMT_Encode4(32162), // Rule ID 1713 //
     /*  32098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  32113 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32117 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  32121 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  32125 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32129 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  32131 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32138 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32145 */     // (add:{ *:[v8i16] } (sext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn)), (sext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (SADDLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  32145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLv16i8_v8i16),
     /*  32148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  32150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  32155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  32160 */     GIR_RootConstrainSelectedInstOperands,
     /*  32161 */     // GIR_Coverage, 1713,
     /*  32161 */     GIR_EraseRootFromParent_Done,
     /*  32162 */   // Label 513: @32162
     /*  32162 */   GIM_Try, /*On fail goto*//*Label 514*/ GIMT_Encode4(32231), // Rule ID 1783 //
     /*  32167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  32182 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32186 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  32190 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  32194 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32198 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  32200 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32207 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32214 */     // (add:{ *:[v8i16] } (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn)), (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (UADDLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  32214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv16i8_v8i16),
     /*  32217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  32219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  32224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  32229 */     GIR_RootConstrainSelectedInstOperands,
     /*  32230 */     // GIR_Coverage, 1783,
     /*  32230 */     GIR_EraseRootFromParent_Done,
     /*  32231 */   // Label 514: @32231
     /*  32231 */   GIM_Try, /*On fail goto*//*Label 515*/ GIMT_Encode4(32300), // Rule ID 1782 //
     /*  32236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  32251 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32255 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  32259 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  32263 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32267 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  32269 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32276 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32283 */     // (add:{ *:[v8i16] } (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn)), (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (UADDLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  32283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv16i8_v8i16),
     /*  32286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  32288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  32293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  32298 */     GIR_RootConstrainSelectedInstOperands,
     /*  32299 */     // GIR_Coverage, 1782,
     /*  32299 */     GIR_EraseRootFromParent_Done,
     /*  32300 */   // Label 515: @32300
     /*  32300 */   GIM_Try, /*On fail goto*//*Label 516*/ GIMT_Encode4(32367), // Rule ID 13318 //
     /*  32305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  32320 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32324 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  32328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32332 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32334 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32341 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32348 */     // (add:{ *:[v8i16] } (AArch64smull:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)), V128:{ *:[v8i16] }:$Rd)  =>  (SMLALv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  32348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv16i8_v8i16),
     /*  32351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32353 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  32355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  32360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  32365 */     GIR_RootConstrainSelectedInstOperands,
     /*  32366 */     // GIR_Coverage, 13318,
     /*  32366 */     GIR_EraseRootFromParent_Done,
     /*  32367 */   // Label 516: @32367
     /*  32367 */   GIM_Try, /*On fail goto*//*Label 517*/ GIMT_Encode4(32434), // Rule ID 13348 //
     /*  32372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  32387 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32391 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  32395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32401 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32408 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32415 */     // (add:{ *:[v8i16] } (AArch64umull:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)), V128:{ *:[v8i16] }:$Rd)  =>  (UMLALv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  32415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv16i8_v8i16),
     /*  32418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32420 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  32422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  32427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  32432 */     GIR_RootConstrainSelectedInstOperands,
     /*  32433 */     // GIR_Coverage, 13348,
     /*  32433 */     GIR_EraseRootFromParent_Done,
     /*  32434 */   // Label 517: @32434
     /*  32434 */   GIM_Try, /*On fail goto*//*Label 518*/ GIMT_Encode4(32501), // Rule ID 1725 //
     /*  32439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  32454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  32458 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32462 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  32466 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32468 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32475 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32482 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64smull:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (SMLALv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  32482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv16i8_v8i16),
     /*  32485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32487 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  32489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  32494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  32499 */     GIR_RootConstrainSelectedInstOperands,
     /*  32500 */     // GIR_Coverage, 1725,
     /*  32500 */     GIR_EraseRootFromParent_Done,
     /*  32501 */   // Label 518: @32501
     /*  32501 */   GIM_Try, /*On fail goto*//*Label 519*/ GIMT_Encode4(32568), // Rule ID 1815 //
     /*  32506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32513 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  32521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  32525 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32529 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  32533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32535 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32542 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32549 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64umull:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (UMLALv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  32549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv16i8_v8i16),
     /*  32552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32554 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  32556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  32561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  32566 */     GIR_RootConstrainSelectedInstOperands,
     /*  32567 */     // GIR_Coverage, 1815,
     /*  32567 */     GIR_EraseRootFromParent_Done,
     /*  32568 */   // Label 519: @32568
     /*  32568 */   GIM_Try, /*On fail goto*//*Label 520*/ GIMT_Encode4(32649), // Rule ID 13300 //
     /*  32573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  32588 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32592 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  32596 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  32600 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  32603 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  32608 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  32612 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  32616 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  32621 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  32626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32630 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  32632 */     // (add:{ *:[v8i16] } (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 659:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)), V128:{ *:[v8i16] }:$Rd)  =>  (SABALv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  32632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv8i8_v8i16),
     /*  32635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32637 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  32639 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  32643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  32647 */     GIR_RootConstrainSelectedInstOperands,
     /*  32648 */     // GIR_Coverage, 13300,
     /*  32648 */     GIR_EraseRootFromParent_Done,
     /*  32649 */   // Label 520: @32649
     /*  32649 */   GIM_Try, /*On fail goto*//*Label 521*/ GIMT_Encode4(32730), // Rule ID 13324 //
     /*  32654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  32669 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32673 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  32677 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  32681 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  32684 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  32689 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  32693 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  32697 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  32702 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  32707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32711 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  32713 */     // (add:{ *:[v8i16] } (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 724:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)), V128:{ *:[v8i16] }:$Rd)  =>  (UABALv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  32713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv8i8_v8i16),
     /*  32716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32718 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  32720 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  32724 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  32728 */     GIR_RootConstrainSelectedInstOperands,
     /*  32729 */     // GIR_Coverage, 13324,
     /*  32729 */     GIR_EraseRootFromParent_Done,
     /*  32730 */   // Label 521: @32730
     /*  32730 */   GIM_Try, /*On fail goto*//*Label 522*/ GIMT_Encode4(32811), // Rule ID 1689 //
     /*  32735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  32750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  32754 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32758 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  32762 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  32766 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  32769 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  32774 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  32778 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  32782 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  32787 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  32792 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  32794 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 659:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)))  =>  (SABALv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  32794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv8i8_v8i16),
     /*  32797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32799 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  32801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  32805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  32809 */     GIR_RootConstrainSelectedInstOperands,
     /*  32810 */     // GIR_Coverage, 1689,
     /*  32810 */     GIR_EraseRootFromParent_Done,
     /*  32811 */   // Label 522: @32811
     /*  32811 */   GIM_Try, /*On fail goto*//*Label 523*/ GIMT_Encode4(32892), // Rule ID 1767 //
     /*  32816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32823 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  32831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  32835 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32839 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  32843 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  32847 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  32850 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  32855 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  32859 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  32863 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  32868 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  32873 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  32875 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 724:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)))  =>  (UABALv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  32875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv8i8_v8i16),
     /*  32878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32880 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  32882 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  32886 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  32890 */     GIR_RootConstrainSelectedInstOperands,
     /*  32891 */     // GIR_Coverage, 1767,
     /*  32891 */     GIR_EraseRootFromParent_Done,
     /*  32892 */   // Label 523: @32892
     /*  32892 */   GIM_Try, /*On fail goto*//*Label 524*/ GIMT_Encode4(32943), // Rule ID 13338 //
     /*  32897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  32912 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32922 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32929 */     // (add:{ *:[v8i16] } (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)), V128:{ *:[v8i16] }:$Rn)  =>  (UADDWv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  32929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv16i8_v8i16),
     /*  32932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  32934 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  32936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  32941 */     GIR_RootConstrainSelectedInstOperands,
     /*  32942 */     // GIR_Coverage, 13338,
     /*  32942 */     GIR_EraseRootFromParent_Done,
     /*  32943 */   // Label 524: @32943
     /*  32943 */   GIM_Try, /*On fail goto*//*Label 525*/ GIMT_Encode4(32994), // Rule ID 13312 //
     /*  32948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  32963 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32973 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32980 */     // (add:{ *:[v8i16] } (sext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)), V128:{ *:[v8i16] }:$Rn)  =>  (SADDWv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  32980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv16i8_v8i16),
     /*  32983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  32985 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  32987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  32992 */     GIR_RootConstrainSelectedInstOperands,
     /*  32993 */     // GIR_Coverage, 13312,
     /*  32993 */     GIR_EraseRootFromParent_Done,
     /*  32994 */   // Label 525: @32994
     /*  32994 */   GIM_Try, /*On fail goto*//*Label 526*/ GIMT_Encode4(33045), // Rule ID 13337 //
     /*  32999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  33014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  33018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33022 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33024 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  33031 */     // (add:{ *:[v8i16] } (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)), V128:{ *:[v8i16] }:$Rn)  =>  (UADDWv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  33031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv16i8_v8i16),
     /*  33034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  33036 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  33038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  33043 */     GIR_RootConstrainSelectedInstOperands,
     /*  33044 */     // GIR_Coverage, 13337,
     /*  33044 */     GIR_EraseRootFromParent_Done,
     /*  33045 */   // Label 526: @33045
     /*  33045 */   GIM_Try, /*On fail goto*//*Label 527*/ GIMT_Encode4(33096), // Rule ID 1805 //
     /*  33050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33057 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  33069 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  33073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33075 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  33082 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (UADDWv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  33082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv16i8_v8i16),
     /*  33085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  33087 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  33089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  33094 */     GIR_RootConstrainSelectedInstOperands,
     /*  33095 */     // GIR_Coverage, 1805,
     /*  33095 */     GIR_EraseRootFromParent_Done,
     /*  33096 */   // Label 527: @33096
     /*  33096 */   GIM_Try, /*On fail goto*//*Label 528*/ GIMT_Encode4(33147), // Rule ID 1719 //
     /*  33101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  33120 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  33124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33126 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  33133 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (sext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (SADDWv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  33133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv16i8_v8i16),
     /*  33136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  33138 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  33140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  33145 */     GIR_RootConstrainSelectedInstOperands,
     /*  33146 */     // GIR_Coverage, 1719,
     /*  33146 */     GIR_EraseRootFromParent_Done,
     /*  33147 */   // Label 528: @33147
     /*  33147 */   GIM_Try, /*On fail goto*//*Label 529*/ GIMT_Encode4(33198), // Rule ID 1804 //
     /*  33152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  33171 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  33175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33177 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  33184 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (UADDWv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  33184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv16i8_v8i16),
     /*  33187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  33189 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  33191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  33196 */     GIR_RootConstrainSelectedInstOperands,
     /*  33197 */     // GIR_Coverage, 1804,
     /*  33197 */     GIR_EraseRootFromParent_Done,
     /*  33198 */   // Label 529: @33198
     /*  33198 */   GIM_Try, /*On fail goto*//*Label 530*/ GIMT_Encode4(33267), // Rule ID 13264 //
     /*  33203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  33218 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  33221 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  33226 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  33230 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  33234 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33239 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33250 */     // (add:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i16] } 659:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm), V128:{ *:[v8i16] }:$Rd)  =>  (SABAv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  33250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv8i16),
     /*  33253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33255 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  33257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  33261 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  33265 */     GIR_RootConstrainSelectedInstOperands,
     /*  33266 */     // GIR_Coverage, 13264,
     /*  33266 */     GIR_EraseRootFromParent_Done,
     /*  33267 */   // Label 530: @33267
     /*  33267 */   GIM_Try, /*On fail goto*//*Label 531*/ GIMT_Encode4(33336), // Rule ID 13276 //
     /*  33272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  33287 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  33290 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  33295 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  33299 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  33303 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33308 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33319 */     // (add:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i16] } 724:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm), V128:{ *:[v8i16] }:$Rd)  =>  (UABAv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  33319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv8i16),
     /*  33322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33324 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  33326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  33330 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  33334 */     GIR_RootConstrainSelectedInstOperands,
     /*  33335 */     // GIR_Coverage, 13276,
     /*  33335 */     GIR_EraseRootFromParent_Done,
     /*  33336 */   // Label 531: @33336
     /*  33336 */   GIM_Try, /*On fail goto*//*Label 532*/ GIMT_Encode4(33392), // Rule ID 13226 //
     /*  33341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  33356 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  33359 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  33364 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  33368 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33379 */     // (add:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i16] } 660:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn), V128:{ *:[v8i16] }:$Rd)  =>  (SADALPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /*  33379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv16i8_v8i16),
     /*  33382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33384 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  33386 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  33390 */     GIR_RootConstrainSelectedInstOperands,
     /*  33391 */     // GIR_Coverage, 13226,
     /*  33391 */     GIR_EraseRootFromParent_Done,
     /*  33392 */   // Label 532: @33392
     /*  33392 */   GIM_Try, /*On fail goto*//*Label 533*/ GIMT_Encode4(33448), // Rule ID 13238 //
     /*  33397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  33412 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  33415 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  33420 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  33424 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33435 */     // (add:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i16] } 725:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn), V128:{ *:[v8i16] }:$Rd)  =>  (UADALPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /*  33435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv16i8_v8i16),
     /*  33438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33440 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  33442 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  33446 */     GIR_RootConstrainSelectedInstOperands,
     /*  33447 */     // GIR_Coverage, 13238,
     /*  33447 */     GIR_EraseRootFromParent_Done,
     /*  33448 */   // Label 533: @33448
     /*  33448 */   GIM_Try, /*On fail goto*//*Label 534*/ GIMT_Encode4(33515), // Rule ID 13468 //
     /*  33453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  33468 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  33472 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33477 */     // MIs[1] imm
     /*  33477 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  33481 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  33485 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  33489 */     // MIs[2] Operand 1
     /*  33489 */     // No operand predicates
     /*  33489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33493 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  33497 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  33499 */     // (add:{ *:[v8i16] } (AArch64vashr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm), V128:{ *:[v8i16] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv8i16_shift:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  33499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv8i16_shift),
     /*  33502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33504 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  33506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  33510 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  33513 */     GIR_RootConstrainSelectedInstOperands,
     /*  33514 */     // GIR_Coverage, 13468,
     /*  33514 */     GIR_EraseRootFromParent_Done,
     /*  33515 */   // Label 534: @33515
     /*  33515 */   GIM_Try, /*On fail goto*//*Label 535*/ GIMT_Encode4(33582), // Rule ID 13489 //
     /*  33520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  33535 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  33539 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33544 */     // MIs[1] imm
     /*  33544 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  33548 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  33552 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  33556 */     // MIs[2] Operand 1
     /*  33556 */     // No operand predicates
     /*  33556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33560 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  33564 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  33566 */     // (add:{ *:[v8i16] } (AArch64vlshr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm), V128:{ *:[v8i16] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv8i16_shift:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  33566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv8i16_shift),
     /*  33569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33571 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  33573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  33577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  33580 */     GIR_RootConstrainSelectedInstOperands,
     /*  33581 */     // GIR_Coverage, 13489,
     /*  33581 */     GIR_EraseRootFromParent_Done,
     /*  33582 */   // Label 535: @33582
     /*  33582 */   GIM_Try, /*On fail goto*//*Label 536*/ GIMT_Encode4(33651), // Rule ID 1363 //
     /*  33587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33594 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  33606 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  33609 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  33614 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  33618 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  33622 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33627 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33632 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33634 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (intrinsic_wo_chain:{ *:[v8i16] } 659:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm))  =>  (SABAv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  33634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv8i16),
     /*  33637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33639 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  33641 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  33645 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  33649 */     GIR_RootConstrainSelectedInstOperands,
     /*  33650 */     // GIR_Coverage, 1363,
     /*  33650 */     GIR_EraseRootFromParent_Done,
     /*  33651 */   // Label 536: @33651
     /*  33651 */   GIM_Try, /*On fail goto*//*Label 537*/ GIMT_Encode4(33720), // Rule ID 1486 //
     /*  33656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33663 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  33675 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  33678 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  33683 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  33687 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  33691 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33696 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33703 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (intrinsic_wo_chain:{ *:[v8i16] } 724:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm))  =>  (UABAv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  33703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv8i16),
     /*  33706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33708 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  33710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  33714 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  33718 */     GIR_RootConstrainSelectedInstOperands,
     /*  33719 */     // GIR_Coverage, 1486,
     /*  33719 */     GIR_EraseRootFromParent_Done,
     /*  33720 */   // Label 537: @33720
     /*  33720 */   GIM_Try, /*On fail goto*//*Label 538*/ GIMT_Encode4(33776), // Rule ID 991 //
     /*  33725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  33744 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  33747 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  33752 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  33756 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33761 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33763 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (intrinsic_wo_chain:{ *:[v8i16] } 660:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn))  =>  (SADALPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /*  33763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv16i8_v8i16),
     /*  33766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33768 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  33770 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  33774 */     GIR_RootConstrainSelectedInstOperands,
     /*  33775 */     // GIR_Coverage, 991,
     /*  33775 */     GIR_EraseRootFromParent_Done,
     /*  33776 */   // Label 538: @33776
     /*  33776 */   GIM_Try, /*On fail goto*//*Label 539*/ GIMT_Encode4(33832), // Rule ID 1052 //
     /*  33781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33788 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  33800 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  33803 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  33808 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  33812 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33817 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33819 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (intrinsic_wo_chain:{ *:[v8i16] } 725:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn))  =>  (UADALPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /*  33819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv16i8_v8i16),
     /*  33822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33824 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  33826 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  33830 */     GIR_RootConstrainSelectedInstOperands,
     /*  33831 */     // GIR_Coverage, 1052,
     /*  33831 */     GIR_EraseRootFromParent_Done,
     /*  33832 */   // Label 539: @33832
     /*  33832 */   GIM_Try, /*On fail goto*//*Label 540*/ GIMT_Encode4(33899), // Rule ID 2236 //
     /*  33837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33844 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  33856 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  33860 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33865 */     // MIs[1] imm
     /*  33865 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  33869 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  33873 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  33877 */     // MIs[2] Operand 1
     /*  33877 */     // No operand predicates
     /*  33877 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  33881 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  33883 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64vashr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv8i16_shift:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  33883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv8i16_shift),
     /*  33886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33888 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  33890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  33894 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  33897 */     GIR_RootConstrainSelectedInstOperands,
     /*  33898 */     // GIR_Coverage, 2236,
     /*  33898 */     GIR_EraseRootFromParent_Done,
     /*  33899 */   // Label 540: @33899
     /*  33899 */   GIM_Try, /*On fail goto*//*Label 541*/ GIMT_Encode4(33966), // Rule ID 2295 //
     /*  33904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  33923 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  33927 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33932 */     // MIs[1] imm
     /*  33932 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  33936 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  33940 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  33944 */     // MIs[2] Operand 1
     /*  33944 */     // No operand predicates
     /*  33944 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  33948 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  33950 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64vlshr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv8i16_shift:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  33950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv8i16_shift),
     /*  33953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33955 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  33957 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  33961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  33964 */     GIR_RootConstrainSelectedInstOperands,
     /*  33965 */     // GIR_Coverage, 2295,
     /*  33965 */     GIR_EraseRootFromParent_Done,
     /*  33966 */   // Label 541: @33966
     /*  33966 */   GIM_Try, /*On fail goto*//*Label 542*/ GIMT_Encode4(34036), // Rule ID 6895 //
     /*  33971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UZP1),
     /*  33983 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  33987 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  33991 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33996 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34001 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  34005 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP2),
     /*  34009 */     // MIs[2] Rn
     /*  34009 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  34014 */     // MIs[2] Rm
     /*  34014 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  34019 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  34021 */     // (add:{ *:[v8i16] } (AArch64uzp1:{ *:[v8i16] } FPR128:{ *:[v8i16] }:$Rn, FPR128:{ *:[v8i16] }:$Rm), (AArch64uzp2:{ *:[v8i16] } FPR128:{ *:[v8i16] }:$Rn, FPR128:{ *:[v8i16] }:$Rm))  =>  (ADDPv8i16:{ *:[v8i16] } ?:{ *:[v8i16] }:$Rn, ?:{ *:[v8i16] }:$Rm)
     /*  34021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv8i16),
     /*  34024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  34026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  34034 */     GIR_RootConstrainSelectedInstOperands,
     /*  34035 */     // GIR_Coverage, 6895,
     /*  34035 */     GIR_EraseRootFromParent_Done,
     /*  34036 */   // Label 542: @34036
     /*  34036 */   GIM_Try, /*On fail goto*//*Label 543*/ GIMT_Encode4(34106), // Rule ID 13852 //
     /*  34041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UZP2),
     /*  34053 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  34057 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  34061 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34066 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34071 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  34075 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP1),
     /*  34079 */     // MIs[2] Rn
     /*  34079 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  34084 */     // MIs[2] Rm
     /*  34084 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  34089 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  34091 */     // (add:{ *:[v8i16] } (AArch64uzp2:{ *:[v8i16] } FPR128:{ *:[v8i16] }:$Rn, FPR128:{ *:[v8i16] }:$Rm), (AArch64uzp1:{ *:[v8i16] } FPR128:{ *:[v8i16] }:$Rn, FPR128:{ *:[v8i16] }:$Rm))  =>  (ADDPv8i16:{ *:[v8i16] } ?:{ *:[v8i16] }:$Rn, ?:{ *:[v8i16] }:$Rm)
     /*  34091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv8i16),
     /*  34094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  34096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34100 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  34104 */     GIR_RootConstrainSelectedInstOperands,
     /*  34105 */     // GIR_Coverage, 13852,
     /*  34105 */     GIR_EraseRootFromParent_Done,
     /*  34106 */   // Label 543: @34106
     /*  34106 */   GIM_Try, /*On fail goto*//*Label 544*/ GIMT_Encode4(34169), // Rule ID 1781 //
     /*  34111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  34126 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34130 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34135 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  34139 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  34143 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34147 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34152 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  34154 */     // (add:{ *:[v8i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (UADDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  34154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i8_v8i16),
     /*  34157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  34159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  34167 */     GIR_RootConstrainSelectedInstOperands,
     /*  34168 */     // GIR_Coverage, 1781,
     /*  34168 */     GIR_EraseRootFromParent_Done,
     /*  34169 */   // Label 544: @34169
     /*  34169 */   GIM_Try, /*On fail goto*//*Label 545*/ GIMT_Encode4(34232), // Rule ID 1780 //
     /*  34174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  34189 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34193 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34198 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  34202 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  34206 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34210 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34215 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  34217 */     // (add:{ *:[v8i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (UADDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  34217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i8_v8i16),
     /*  34220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  34222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34226 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  34230 */     GIR_RootConstrainSelectedInstOperands,
     /*  34231 */     // GIR_Coverage, 1780,
     /*  34231 */     GIR_EraseRootFromParent_Done,
     /*  34232 */   // Label 545: @34232
     /*  34232 */   GIM_Try, /*On fail goto*//*Label 546*/ GIMT_Encode4(34295), // Rule ID 1712 //
     /*  34237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  34252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34256 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34261 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  34265 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  34269 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34273 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34278 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  34280 */     // (add:{ *:[v8i16] } (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (SADDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  34280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLv8i8_v8i16),
     /*  34283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  34285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  34293 */     GIR_RootConstrainSelectedInstOperands,
     /*  34294 */     // GIR_Coverage, 1712,
     /*  34294 */     GIR_EraseRootFromParent_Done,
     /*  34295 */   // Label 546: @34295
     /*  34295 */   GIM_Try, /*On fail goto*//*Label 547*/ GIMT_Encode4(34358), // Rule ID 1779 //
     /*  34300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  34315 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34319 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34324 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  34328 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  34332 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34336 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34341 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  34343 */     // (add:{ *:[v8i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (UADDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  34343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i8_v8i16),
     /*  34346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  34348 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34352 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  34356 */     GIR_RootConstrainSelectedInstOperands,
     /*  34357 */     // GIR_Coverage, 1779,
     /*  34357 */     GIR_EraseRootFromParent_Done,
     /*  34358 */   // Label 547: @34358
     /*  34358 */   GIM_Try, /*On fail goto*//*Label 548*/ GIMT_Encode4(34421), // Rule ID 1778 //
     /*  34363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  34378 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34382 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34387 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  34391 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  34395 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34399 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34404 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  34406 */     // (add:{ *:[v8i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (UADDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  34406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i8_v8i16),
     /*  34409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  34411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34415 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  34419 */     GIR_RootConstrainSelectedInstOperands,
     /*  34420 */     // GIR_Coverage, 1778,
     /*  34420 */     GIR_EraseRootFromParent_Done,
     /*  34421 */   // Label 548: @34421
     /*  34421 */   GIM_Try, /*On fail goto*//*Label 549*/ GIMT_Encode4(34482), // Rule ID 13317 //
     /*  34426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  34441 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34445 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  34449 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34454 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34465 */     // (add:{ *:[v8i16] } (AArch64smull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), V128:{ *:[v8i16] }:$Rd)  =>  (SMLALv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  34465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv8i8_v8i16),
     /*  34468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34470 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  34472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  34480 */     GIR_RootConstrainSelectedInstOperands,
     /*  34481 */     // GIR_Coverage, 13317,
     /*  34481 */     GIR_EraseRootFromParent_Done,
     /*  34482 */   // Label 549: @34482
     /*  34482 */   GIM_Try, /*On fail goto*//*Label 550*/ GIMT_Encode4(34543), // Rule ID 13347 //
     /*  34487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  34502 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34506 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  34510 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34515 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34526 */     // (add:{ *:[v8i16] } (AArch64umull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), V128:{ *:[v8i16] }:$Rd)  =>  (UMLALv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  34526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv8i8_v8i16),
     /*  34529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34531 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  34533 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  34541 */     GIR_RootConstrainSelectedInstOperands,
     /*  34542 */     // GIR_Coverage, 13347,
     /*  34542 */     GIR_EraseRootFromParent_Done,
     /*  34543 */   // Label 550: @34543
     /*  34543 */   GIM_Try, /*On fail goto*//*Label 551*/ GIMT_Encode4(34591), // Rule ID 13336 //
     /*  34548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  34563 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34567 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34576 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34578 */     // (add:{ *:[v8i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), V128:{ *:[v8i16] }:$Rn)  =>  (UADDWv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  34578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i8_v8i16),
     /*  34581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  34583 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  34585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  34589 */     GIR_RootConstrainSelectedInstOperands,
     /*  34590 */     // GIR_Coverage, 13336,
     /*  34590 */     GIR_EraseRootFromParent_Done,
     /*  34591 */   // Label 551: @34591
     /*  34591 */   GIM_Try, /*On fail goto*//*Label 552*/ GIMT_Encode4(34639), // Rule ID 13225 //
     /*  34596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  34611 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  34615 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34626 */     // (add:{ *:[v8i16] } (AArch64saddlp_n:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn), V128:{ *:[v8i16] }:$Rd)  =>  (SADALPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /*  34626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv16i8_v8i16),
     /*  34629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34631 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  34633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34637 */     GIR_RootConstrainSelectedInstOperands,
     /*  34638 */     // GIR_Coverage, 13225,
     /*  34638 */     GIR_EraseRootFromParent_Done,
     /*  34639 */   // Label 552: @34639
     /*  34639 */   GIM_Try, /*On fail goto*//*Label 553*/ GIMT_Encode4(34687), // Rule ID 13311 //
     /*  34644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  34659 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34663 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34672 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34674 */     // (add:{ *:[v8i16] } (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), V128:{ *:[v8i16] }:$Rn)  =>  (SADDWv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  34674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv8i8_v8i16),
     /*  34677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  34679 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  34681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  34685 */     GIR_RootConstrainSelectedInstOperands,
     /*  34686 */     // GIR_Coverage, 13311,
     /*  34686 */     GIR_EraseRootFromParent_Done,
     /*  34687 */   // Label 553: @34687
     /*  34687 */   GIM_Try, /*On fail goto*//*Label 554*/ GIMT_Encode4(34735), // Rule ID 13237 //
     /*  34692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  34707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  34711 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34722 */     // (add:{ *:[v8i16] } (AArch64uaddlp_n:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn), V128:{ *:[v8i16] }:$Rd)  =>  (UADALPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /*  34722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv16i8_v8i16),
     /*  34725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34727 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  34729 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34733 */     GIR_RootConstrainSelectedInstOperands,
     /*  34734 */     // GIR_Coverage, 13237,
     /*  34734 */     GIR_EraseRootFromParent_Done,
     /*  34735 */   // Label 554: @34735
     /*  34735 */   GIM_Try, /*On fail goto*//*Label 555*/ GIMT_Encode4(34783), // Rule ID 13335 //
     /*  34740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  34755 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34759 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34770 */     // (add:{ *:[v8i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), V128:{ *:[v8i16] }:$Rn)  =>  (UADDWv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  34770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i8_v8i16),
     /*  34773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  34775 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  34777 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  34781 */     GIR_RootConstrainSelectedInstOperands,
     /*  34782 */     // GIR_Coverage, 13335,
     /*  34782 */     GIR_EraseRootFromParent_Done,
     /*  34783 */   // Label 555: @34783
     /*  34783 */   GIM_Try, /*On fail goto*//*Label 556*/ GIMT_Encode4(34844), // Rule ID 1724 //
     /*  34788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34795 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  34803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  34807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34811 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  34815 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34820 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34827 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64smull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm))  =>  (SMLALv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  34827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv8i8_v8i16),
     /*  34830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34832 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  34834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  34842 */     GIR_RootConstrainSelectedInstOperands,
     /*  34843 */     // GIR_Coverage, 1724,
     /*  34843 */     GIR_EraseRootFromParent_Done,
     /*  34844 */   // Label 556: @34844
     /*  34844 */   GIM_Try, /*On fail goto*//*Label 557*/ GIMT_Encode4(34905), // Rule ID 1814 //
     /*  34849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  34864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  34868 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34872 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  34876 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34881 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34888 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64umull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm))  =>  (UMLALv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  34888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv8i8_v8i16),
     /*  34891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34893 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  34895 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34899 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  34903 */     GIR_RootConstrainSelectedInstOperands,
     /*  34904 */     // GIR_Coverage, 1814,
     /*  34904 */     GIR_EraseRootFromParent_Done,
     /*  34905 */   // Label 557: @34905
     /*  34905 */   GIM_Try, /*On fail goto*//*Label 558*/ GIMT_Encode4(34953), // Rule ID 1803 //
     /*  34910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34917 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  34925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  34929 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34933 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34940 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (UADDWv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  34940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i8_v8i16),
     /*  34943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  34945 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  34947 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  34951 */     GIR_RootConstrainSelectedInstOperands,
     /*  34952 */     // GIR_Coverage, 1803,
     /*  34952 */     GIR_EraseRootFromParent_Done,
     /*  34953 */   // Label 558: @34953
     /*  34953 */   GIM_Try, /*On fail goto*//*Label 559*/ GIMT_Encode4(35001), // Rule ID 990 //
     /*  34958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34965 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  34973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  34977 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  34981 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34986 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34988 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64saddlp_n:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn))  =>  (SADALPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /*  34988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv16i8_v8i16),
     /*  34991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34993 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  34995 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34999 */     GIR_RootConstrainSelectedInstOperands,
     /*  35000 */     // GIR_Coverage, 990,
     /*  35000 */     GIR_EraseRootFromParent_Done,
     /*  35001 */   // Label 559: @35001
     /*  35001 */   GIM_Try, /*On fail goto*//*Label 560*/ GIMT_Encode4(35049), // Rule ID 1718 //
     /*  35006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  35009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35013 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  35021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  35025 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  35029 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  35034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35036 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (SADDWv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  35036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv8i8_v8i16),
     /*  35039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  35041 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  35043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  35047 */     GIR_RootConstrainSelectedInstOperands,
     /*  35048 */     // GIR_Coverage, 1718,
     /*  35048 */     GIR_EraseRootFromParent_Done,
     /*  35049 */   // Label 560: @35049
     /*  35049 */   GIM_Try, /*On fail goto*//*Label 561*/ GIMT_Encode4(35097), // Rule ID 1051 //
     /*  35054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  35057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35061 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  35069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  35073 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  35077 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35084 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64uaddlp_n:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn))  =>  (UADALPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /*  35084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv16i8_v8i16),
     /*  35087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35089 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  35091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  35095 */     GIR_RootConstrainSelectedInstOperands,
     /*  35096 */     // GIR_Coverage, 1051,
     /*  35096 */     GIR_EraseRootFromParent_Done,
     /*  35097 */   // Label 561: @35097
     /*  35097 */   GIM_Try, /*On fail goto*//*Label 562*/ GIMT_Encode4(35145), // Rule ID 1802 //
     /*  35102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  35105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35109 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  35117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  35121 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  35125 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  35130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35132 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (UADDWv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  35132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i8_v8i16),
     /*  35135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  35137 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  35139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  35143 */     GIR_RootConstrainSelectedInstOperands,
     /*  35144 */     // GIR_Coverage, 1802,
     /*  35144 */     GIR_EraseRootFromParent_Done,
     /*  35145 */   // Label 562: @35145
     /*  35145 */   GIM_Try, /*On fail goto*//*Label 563*/ GIMT_Encode4(35172), // Rule ID 1103 //
     /*  35150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  35153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35157 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35165 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (ADDv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  35165 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDv8i16),
     /*  35170 */     GIR_RootConstrainSelectedInstOperands,
     /*  35171 */     // GIR_Coverage, 1103,
     /*  35171 */     GIR_Done,
     /*  35172 */   // Label 563: @35172
     /*  35172 */   GIM_Reject,
     /*  35173 */ // Label 506: @35173
     /*  35173 */ GIM_Reject,
     /*  35174 */ // Label 166: @35174
     /*  35174 */ GIM_Try, /*On fail goto*//*Label 564*/ GIMT_Encode4(35897),
     /*  35179 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  35182 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  35185 */   GIM_Try, /*On fail goto*//*Label 565*/ GIMT_Encode4(35254), // Rule ID 13260 //
     /*  35190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  35193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  35201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  35205 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  35208 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  35213 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  35217 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  35221 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35226 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35237 */     // (add:{ *:[v16i8] } (intrinsic_wo_chain:{ *:[v16i8] } 659:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm), V128:{ *:[v16i8] }:$Rd)  =>  (SABAv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  35237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv16i8),
     /*  35240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35242 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  35244 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  35248 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  35252 */     GIR_RootConstrainSelectedInstOperands,
     /*  35253 */     // GIR_Coverage, 13260,
     /*  35253 */     GIR_EraseRootFromParent_Done,
     /*  35254 */   // Label 565: @35254
     /*  35254 */   GIM_Try, /*On fail goto*//*Label 566*/ GIMT_Encode4(35323), // Rule ID 13272 //
     /*  35259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  35262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  35270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  35274 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  35277 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  35282 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  35286 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  35290 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35295 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35306 */     // (add:{ *:[v16i8] } (intrinsic_wo_chain:{ *:[v16i8] } 724:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm), V128:{ *:[v16i8] }:$Rd)  =>  (UABAv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  35306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv16i8),
     /*  35309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35311 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  35313 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  35317 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  35321 */     GIR_RootConstrainSelectedInstOperands,
     /*  35322 */     // GIR_Coverage, 13272,
     /*  35322 */     GIR_EraseRootFromParent_Done,
     /*  35323 */   // Label 566: @35323
     /*  35323 */   GIM_Try, /*On fail goto*//*Label 567*/ GIMT_Encode4(35390), // Rule ID 13464 //
     /*  35328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  35331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  35339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  35343 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  35347 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35352 */     // MIs[1] imm
     /*  35352 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  35356 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  35360 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  35364 */     // MIs[2] Operand 1
     /*  35364 */     // No operand predicates
     /*  35364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35368 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  35372 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  35374 */     // (add:{ *:[v16i8] } (AArch64vashr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm), V128:{ *:[v16i8] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv16i8_shift:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  35374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv16i8_shift),
     /*  35377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35379 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  35381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  35385 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  35388 */     GIR_RootConstrainSelectedInstOperands,
     /*  35389 */     // GIR_Coverage, 13464,
     /*  35389 */     GIR_EraseRootFromParent_Done,
     /*  35390 */   // Label 567: @35390
     /*  35390 */   GIM_Try, /*On fail goto*//*Label 568*/ GIMT_Encode4(35457), // Rule ID 13485 //
     /*  35395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  35398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  35406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  35410 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  35414 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35419 */     // MIs[1] imm
     /*  35419 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  35423 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  35427 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  35431 */     // MIs[2] Operand 1
     /*  35431 */     // No operand predicates
     /*  35431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35435 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  35439 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  35441 */     // (add:{ *:[v16i8] } (AArch64vlshr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm), V128:{ *:[v16i8] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv16i8_shift:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  35441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv16i8_shift),
     /*  35444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35446 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  35448 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  35452 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  35455 */     GIR_RootConstrainSelectedInstOperands,
     /*  35456 */     // GIR_Coverage, 13485,
     /*  35456 */     GIR_EraseRootFromParent_Done,
     /*  35457 */   // Label 568: @35457
     /*  35457 */   GIM_Try, /*On fail goto*//*Label 569*/ GIMT_Encode4(35526), // Rule ID 1359 //
     /*  35462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  35465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35469 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  35477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  35481 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  35484 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  35489 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  35493 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  35497 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35502 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35509 */     // (add:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, (intrinsic_wo_chain:{ *:[v16i8] } 659:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm))  =>  (SABAv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  35509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv16i8),
     /*  35512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35514 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  35516 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  35520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  35524 */     GIR_RootConstrainSelectedInstOperands,
     /*  35525 */     // GIR_Coverage, 1359,
     /*  35525 */     GIR_EraseRootFromParent_Done,
     /*  35526 */   // Label 569: @35526
     /*  35526 */   GIM_Try, /*On fail goto*//*Label 570*/ GIMT_Encode4(35595), // Rule ID 1482 //
     /*  35531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  35534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35538 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  35546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  35550 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  35553 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  35558 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  35562 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  35566 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35571 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35576 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35578 */     // (add:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, (intrinsic_wo_chain:{ *:[v16i8] } 724:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm))  =>  (UABAv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  35578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv16i8),
     /*  35581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35583 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  35585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  35589 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  35593 */     GIR_RootConstrainSelectedInstOperands,
     /*  35594 */     // GIR_Coverage, 1482,
     /*  35594 */     GIR_EraseRootFromParent_Done,
     /*  35595 */   // Label 570: @35595
     /*  35595 */   GIM_Try, /*On fail goto*//*Label 571*/ GIMT_Encode4(35662), // Rule ID 2232 //
     /*  35600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  35603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35607 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  35615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  35619 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  35623 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35628 */     // MIs[1] imm
     /*  35628 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  35632 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  35636 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  35640 */     // MIs[2] Operand 1
     /*  35640 */     // No operand predicates
     /*  35640 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  35644 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  35646 */     // (add:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, (AArch64vashr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv16i8_shift:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  35646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv16i8_shift),
     /*  35649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35651 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  35653 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  35657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  35660 */     GIR_RootConstrainSelectedInstOperands,
     /*  35661 */     // GIR_Coverage, 2232,
     /*  35661 */     GIR_EraseRootFromParent_Done,
     /*  35662 */   // Label 571: @35662
     /*  35662 */   GIM_Try, /*On fail goto*//*Label 572*/ GIMT_Encode4(35729), // Rule ID 2291 //
     /*  35667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  35670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35674 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  35682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  35686 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  35690 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35695 */     // MIs[1] imm
     /*  35695 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  35699 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  35703 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  35707 */     // MIs[2] Operand 1
     /*  35707 */     // No operand predicates
     /*  35707 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  35711 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  35713 */     // (add:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, (AArch64vlshr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv16i8_shift:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  35713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv16i8_shift),
     /*  35716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35718 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  35720 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  35724 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  35727 */     GIR_RootConstrainSelectedInstOperands,
     /*  35728 */     // GIR_Coverage, 2291,
     /*  35728 */     GIR_EraseRootFromParent_Done,
     /*  35729 */   // Label 572: @35729
     /*  35729 */   GIM_Try, /*On fail goto*//*Label 573*/ GIMT_Encode4(35799), // Rule ID 6896 //
     /*  35734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  35742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UZP1),
     /*  35746 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  35750 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  35754 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35759 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35764 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  35768 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP2),
     /*  35772 */     // MIs[2] Rn
     /*  35772 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  35777 */     // MIs[2] Rm
     /*  35777 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  35782 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  35784 */     // (add:{ *:[v16i8] } (AArch64uzp1:{ *:[v16i8] } FPR128:{ *:[v16i8] }:$Rn, FPR128:{ *:[v16i8] }:$Rm), (AArch64uzp2:{ *:[v16i8] } FPR128:{ *:[v16i8] }:$Rn, FPR128:{ *:[v16i8] }:$Rm))  =>  (ADDPv16i8:{ *:[v16i8] } ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rm)
     /*  35784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv16i8),
     /*  35787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  35789 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  35793 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  35797 */     GIR_RootConstrainSelectedInstOperands,
     /*  35798 */     // GIR_Coverage, 6896,
     /*  35798 */     GIR_EraseRootFromParent_Done,
     /*  35799 */   // Label 573: @35799
     /*  35799 */   GIM_Try, /*On fail goto*//*Label 574*/ GIMT_Encode4(35869), // Rule ID 13853 //
     /*  35804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  35812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UZP2),
     /*  35816 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  35820 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  35824 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35829 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35834 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  35838 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP1),
     /*  35842 */     // MIs[2] Rn
     /*  35842 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  35847 */     // MIs[2] Rm
     /*  35847 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  35852 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  35854 */     // (add:{ *:[v16i8] } (AArch64uzp2:{ *:[v16i8] } FPR128:{ *:[v16i8] }:$Rn, FPR128:{ *:[v16i8] }:$Rm), (AArch64uzp1:{ *:[v16i8] } FPR128:{ *:[v16i8] }:$Rn, FPR128:{ *:[v16i8] }:$Rm))  =>  (ADDPv16i8:{ *:[v16i8] } ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rm)
     /*  35854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv16i8),
     /*  35857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  35859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  35863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  35867 */     GIR_RootConstrainSelectedInstOperands,
     /*  35868 */     // GIR_Coverage, 13853,
     /*  35868 */     GIR_EraseRootFromParent_Done,
     /*  35869 */   // Label 574: @35869
     /*  35869 */   GIM_Try, /*On fail goto*//*Label 575*/ GIMT_Encode4(35896), // Rule ID 1101 //
     /*  35874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  35877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35881 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35889 */     // (add:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (ADDv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  35889 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDv16i8),
     /*  35894 */     GIR_RootConstrainSelectedInstOperands,
     /*  35895 */     // GIR_Coverage, 1101,
     /*  35895 */     GIR_Done,
     /*  35896 */   // Label 575: @35896
     /*  35896 */   GIM_Reject,
     /*  35897 */ // Label 564: @35897
     /*  35897 */ GIM_Reject,
     /*  35898 */ // Label 167: @35898
     /*  35898 */ GIM_Try, /*On fail goto*//*Label 576*/ GIMT_Encode4(36269),
     /*  35903 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  35906 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  35909 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  35913 */   GIM_Try, /*On fail goto*//*Label 577*/ GIMT_Encode4(35975), // Rule ID 15037 //
     /*  35918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /*  35921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  35925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  35929 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  35933 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  35937 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  35941 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  35945 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  35949 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/1, GIMT_Encode8(4294967295),
     /*  35960 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  35962 */     // (add:{ *:[nxv2i64] } (and:{ *:[nxv2i64] } (splat_vector:{ *:[nxv2i64] } 4294967295:{ *:[i64] }), nxv2i64:{ *:[nxv2i64] }:$Op2), nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (ADR_UXTW_ZZZ_D_0:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  35962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_UXTW_ZZZ_D_0),
     /*  35965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  35967 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  35969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  35973 */     GIR_RootConstrainSelectedInstOperands,
     /*  35974 */     // GIR_Coverage, 15037,
     /*  35974 */     GIR_EraseRootFromParent_Done,
     /*  35975 */   // Label 577: @35975
     /*  35975 */   GIM_Try, /*On fail goto*//*Label 578*/ GIMT_Encode4(36037), // Rule ID 15036 //
     /*  35980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /*  35983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  35987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  35991 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  35995 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  35999 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  36003 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  36007 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  36011 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/1, GIMT_Encode8(4294967295),
     /*  36022 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  36024 */     // (add:{ *:[nxv2i64] } (and:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op2, (splat_vector:{ *:[nxv2i64] } 4294967295:{ *:[i64] })), nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (ADR_UXTW_ZZZ_D_0:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  36024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_UXTW_ZZZ_D_0),
     /*  36027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  36029 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  36031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  36035 */     GIR_RootConstrainSelectedInstOperands,
     /*  36036 */     // GIR_Coverage, 15036,
     /*  36036 */     GIR_EraseRootFromParent_Done,
     /*  36037 */   // Label 578: @36037
     /*  36037 */   GIM_Try, /*On fail goto*//*Label 579*/ GIMT_Encode4(36099), // Rule ID 15035 //
     /*  36042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /*  36045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  36053 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  36057 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  36061 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  36065 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  36069 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  36073 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/1, GIMT_Encode8(4294967295),
     /*  36084 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  36086 */     // (add:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, (and:{ *:[nxv2i64] } (splat_vector:{ *:[nxv2i64] } 4294967295:{ *:[i64] }), nxv2i64:{ *:[nxv2i64] }:$Op2))  =>  (ADR_UXTW_ZZZ_D_0:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  36086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_UXTW_ZZZ_D_0),
     /*  36089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  36091 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  36093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  36097 */     GIR_RootConstrainSelectedInstOperands,
     /*  36098 */     // GIR_Coverage, 15035,
     /*  36098 */     GIR_EraseRootFromParent_Done,
     /*  36099 */   // Label 579: @36099
     /*  36099 */   GIM_Try, /*On fail goto*//*Label 580*/ GIMT_Encode4(36161), // Rule ID 8835 //
     /*  36104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /*  36107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  36115 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  36119 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  36123 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  36127 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  36131 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  36135 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/1, GIMT_Encode8(4294967295),
     /*  36146 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  36148 */     // (add:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, (and:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op2, (splat_vector:{ *:[nxv2i64] } 4294967295:{ *:[i64] })))  =>  (ADR_UXTW_ZZZ_D_0:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  36148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_UXTW_ZZZ_D_0),
     /*  36151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  36153 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  36155 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  36159 */     GIR_RootConstrainSelectedInstOperands,
     /*  36160 */     // GIR_Coverage, 8835,
     /*  36160 */     GIR_EraseRootFromParent_Done,
     /*  36161 */   // Label 580: @36161
     /*  36161 */   GIM_Try, /*On fail goto*//*Label 581*/ GIMT_Encode4(36207), // Rule ID 15038 //
     /*  36166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /*  36169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  36173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  36177 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  36181 */     // MIs[1] Operand 2
     /*  36181 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /*  36192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  36194 */     // (add:{ *:[nxv2i64] } (sext_inreg:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i32:{ *:[Other] }), nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (ADR_SXTW_ZZZ_D_0:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  36194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_SXTW_ZZZ_D_0),
     /*  36197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  36199 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  36201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  36205 */     GIR_RootConstrainSelectedInstOperands,
     /*  36206 */     // GIR_Coverage, 15038,
     /*  36206 */     GIR_EraseRootFromParent_Done,
     /*  36207 */   // Label 581: @36207
     /*  36207 */   GIM_Try, /*On fail goto*//*Label 582*/ GIMT_Encode4(36253), // Rule ID 8836 //
     /*  36212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /*  36215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  36223 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  36227 */     // MIs[1] Operand 2
     /*  36227 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /*  36238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  36240 */     // (add:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, (sext_inreg:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i32:{ *:[Other] }))  =>  (ADR_SXTW_ZZZ_D_0:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  36240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_SXTW_ZZZ_D_0),
     /*  36243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  36245 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  36247 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  36251 */     GIR_RootConstrainSelectedInstOperands,
     /*  36252 */     // GIR_Coverage, 8836,
     /*  36252 */     GIR_EraseRootFromParent_Done,
     /*  36253 */   // Label 582: @36253
     /*  36253 */   GIM_Try, /*On fail goto*//*Label 583*/ GIMT_Encode4(36268), // Rule ID 2780 //
     /*  36258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  36261 */     // (add:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ADD_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  36261 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADD_ZZZ_D),
     /*  36266 */     GIR_RootConstrainSelectedInstOperands,
     /*  36267 */     // GIR_Coverage, 2780,
     /*  36267 */     GIR_Done,
     /*  36268 */   // Label 583: @36268
     /*  36268 */   GIM_Reject,
     /*  36269 */ // Label 576: @36269
     /*  36269 */ GIM_Reject,
     /*  36270 */ // Label 168: @36270
     /*  36270 */ GIM_Try, /*On fail goto*//*Label 584*/ GIMT_Encode4(36295), // Rule ID 2779 //
     /*  36275 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  36278 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  36281 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  36284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  36288 */   // (add:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ADD_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  36288 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADD_ZZZ_S),
     /*  36293 */   GIR_RootConstrainSelectedInstOperands,
     /*  36294 */   // GIR_Coverage, 2779,
     /*  36294 */   GIR_Done,
     /*  36295 */ // Label 584: @36295
     /*  36295 */ GIM_Reject,
     /*  36296 */ // Label 169: @36296
     /*  36296 */ GIM_Try, /*On fail goto*//*Label 585*/ GIMT_Encode4(36321), // Rule ID 2778 //
     /*  36301 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  36304 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  36307 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  36310 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  36314 */   // (add:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ADD_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  36314 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADD_ZZZ_H),
     /*  36319 */   GIR_RootConstrainSelectedInstOperands,
     /*  36320 */   // GIR_Coverage, 2778,
     /*  36320 */   GIR_Done,
     /*  36321 */ // Label 585: @36321
     /*  36321 */ GIM_Reject,
     /*  36322 */ // Label 170: @36322
     /*  36322 */ GIM_Try, /*On fail goto*//*Label 586*/ GIMT_Encode4(36347), // Rule ID 2777 //
     /*  36327 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  36330 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  36333 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  36336 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  36340 */   // (add:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (ADD_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  36340 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADD_ZZZ_B),
     /*  36345 */   GIR_RootConstrainSelectedInstOperands,
     /*  36346 */   // GIR_Coverage, 2777,
     /*  36346 */   GIR_Done,
     /*  36347 */ // Label 586: @36347
     /*  36347 */ GIM_Reject,
     /*  36348 */ // Label 171: @36348
     /*  36348 */ GIM_Reject,
     /*  36349 */ // Label 1: @36349
     /*  36349 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(24), /*)*//*default:*//*Label 600*/ GIMT_Encode4(50576),
     /*  36360 */ /*GILLT_s32*//*Label 587*/ GIMT_Encode4(36448),
     /*  36364 */ /*GILLT_s64*//*Label 588*/ GIMT_Encode4(37930), GIMT_Encode4(0),
     /*  36372 */ /*GILLT_v2s32*//*Label 589*/ GIMT_Encode4(41212),
     /*  36376 */ /*GILLT_v2s64*//*Label 590*/ GIMT_Encode4(42703),
     /*  36380 */ /*GILLT_v4s16*//*Label 591*/ GIMT_Encode4(45163),
     /*  36384 */ /*GILLT_v4s32*//*Label 592*/ GIMT_Encode4(46654),
     /*  36388 */ /*GILLT_v8s8*//*Label 593*/ GIMT_Encode4(49114),
     /*  36392 */ /*GILLT_v8s16*//*Label 594*/ GIMT_Encode4(49189),
     /*  36396 */ /*GILLT_v16s8*//*Label 595*/ GIMT_Encode4(50397), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  36416 */ /*GILLT_nxv2s64*//*Label 596*/ GIMT_Encode4(50472), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  36428 */ /*GILLT_nxv4s32*//*Label 597*/ GIMT_Encode4(50498), GIMT_Encode4(0),
     /*  36436 */ /*GILLT_nxv8s16*//*Label 598*/ GIMT_Encode4(50524), GIMT_Encode4(0),
     /*  36444 */ /*GILLT_nxv16s8*//*Label 599*/ GIMT_Encode4(50550),
     /*  36448 */ // Label 587: @36448
     /*  36448 */ GIM_Try, /*On fail goto*//*Label 601*/ GIMT_Encode4(37929),
     /*  36453 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  36456 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  36459 */   GIM_Try, /*On fail goto*//*Label 602*/ GIMT_Encode4(36611), // Rule ID 9882 //
     /*  36464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*  36467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  36483 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  36487 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  36491 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  36495 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*  36498 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntb),
     /*  36503 */     // MIs[2] pattern
     /*  36503 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*  36506 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*  36511 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  36513 */     // (sub:{ *:[i32] } GPR32:{ *:[i32] }:$Rdn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1318:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)))  =>  (EXTRACT_SUBREG:{ *:[i32] } (DECB_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*  36513 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*  36516 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  36520 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36525 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  36527 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  36530 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  36534 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36539 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  36542 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rdn
     /*  36546 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*  36549 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  36554 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  36559 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36564 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  36567 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DECB_XPiI),
     /*  36571 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36576 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  36579 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*  36583 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  36586 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  36588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  36591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  36593 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*  36600 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36605 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  36610 */     // GIR_Coverage, 9882,
     /*  36610 */     GIR_EraseRootFromParent_Done,
     /*  36611 */   // Label 602: @36611
     /*  36611 */   GIM_Try, /*On fail goto*//*Label 603*/ GIMT_Encode4(36763), // Rule ID 9894 //
     /*  36616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*  36619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36623 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  36635 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  36639 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  36643 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  36647 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*  36650 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnth),
     /*  36655 */     // MIs[2] pattern
     /*  36655 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*  36658 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*  36663 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  36665 */     // (sub:{ *:[i32] } GPR32:{ *:[i32] }:$Rdn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1320:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)))  =>  (EXTRACT_SUBREG:{ *:[i32] } (DECH_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*  36665 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*  36668 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  36672 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36677 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  36679 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  36682 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  36686 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36691 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  36694 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rdn
     /*  36698 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*  36701 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  36706 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  36711 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36716 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  36719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DECH_XPiI),
     /*  36723 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36728 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  36731 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*  36735 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  36738 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  36740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  36743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  36745 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*  36752 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36757 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  36762 */     // GIR_Coverage, 9894,
     /*  36762 */     GIR_EraseRootFromParent_Done,
     /*  36763 */   // Label 603: @36763
     /*  36763 */   GIM_Try, /*On fail goto*//*Label 604*/ GIMT_Encode4(36915), // Rule ID 9906 //
     /*  36768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*  36771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36775 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  36787 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  36791 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  36795 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  36799 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*  36802 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntw),
     /*  36807 */     // MIs[2] pattern
     /*  36807 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*  36810 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*  36815 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  36817 */     // (sub:{ *:[i32] } GPR32:{ *:[i32] }:$Rdn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1326:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)))  =>  (EXTRACT_SUBREG:{ *:[i32] } (DECW_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*  36817 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*  36820 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  36824 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36829 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  36831 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  36834 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  36838 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36843 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  36846 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rdn
     /*  36850 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*  36853 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  36858 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  36863 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36868 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  36871 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DECW_XPiI),
     /*  36875 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36880 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  36883 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*  36887 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  36890 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  36892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  36895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  36897 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*  36904 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36909 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  36914 */     // GIR_Coverage, 9906,
     /*  36914 */     GIR_EraseRootFromParent_Done,
     /*  36915 */   // Label 604: @36915
     /*  36915 */   GIM_Try, /*On fail goto*//*Label 605*/ GIMT_Encode4(37067), // Rule ID 9918 //
     /*  36920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*  36923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36927 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  36939 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  36943 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  36947 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  36951 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*  36954 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntd),
     /*  36959 */     // MIs[2] pattern
     /*  36959 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*  36962 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*  36967 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  36969 */     // (sub:{ *:[i32] } GPR32:{ *:[i32] }:$Rdn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1319:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)))  =>  (EXTRACT_SUBREG:{ *:[i32] } (DECD_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*  36969 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*  36972 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  36976 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36981 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  36983 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  36986 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  36990 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36995 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  36998 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rdn
     /*  37002 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*  37005 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  37010 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  37015 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37020 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  37023 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DECD_XPiI),
     /*  37027 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37032 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  37035 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*  37039 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  37042 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  37044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  37049 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*  37056 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37061 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  37066 */     // GIR_Coverage, 9918,
     /*  37066 */     GIR_EraseRootFromParent_Done,
     /*  37067 */   // Label 605: @37067
     /*  37067 */   GIM_Try, /*On fail goto*//*Label 606*/ GIMT_Encode4(37129), // Rule ID 3943 //
     /*  37072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37076 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*  37080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  37084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  37088 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  37092 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  37096 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37101 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37106 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  37108 */     // (sub:{ *:[i32] } 0:{ *:[i32] }, (mul:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm))  =>  (MSUBWrrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, WZR:{ *:[i32] })
     /*  37108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSUBWrrr),
     /*  37111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  37113 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  37117 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  37121 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  37127 */     GIR_RootConstrainSelectedInstOperands,
     /*  37128 */     // GIR_Coverage, 3943,
     /*  37128 */     GIR_EraseRootFromParent_Done,
     /*  37129 */   // Label 606: @37129
     /*  37129 */   GIM_Try, /*On fail goto*//*Label 607*/ GIMT_Encode4(37286), // Rule ID 10020 //
     /*  37134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  37137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  37149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  37153 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  37157 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  37161 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  37165 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  37168 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  37173 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  37177 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  37179 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  37184 */     // MIs[2] pred
     /*  37184 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/3, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  37189 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  37191 */     // (sub:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1321:{ *:[iPTR] }, PPRAny:{ *:[nxv16i1] }:$pred, PPRAny:{ *:[nxv16i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>))  =>  (EXTRACT_SUBREG:{ *:[i32] } (DECP_XP_B:{ *:[i64] } PPRAny:{ *:[nxv16i1] }:$pred, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rn, sub_32:{ *:[i32] })), sub_32:{ *:[i32] })
     /*  37191 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*  37194 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  37198 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  37205 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  37208 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  37212 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37217 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  37220 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  37224 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*  37227 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  37232 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  37237 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37242 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  37245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DECP_XP_B),
     /*  37249 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37254 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pred
     /*  37258 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  37261 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  37263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  37268 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*  37275 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37280 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  37285 */     // GIR_Coverage, 10020,
     /*  37285 */     GIR_EraseRootFromParent_Done,
     /*  37286 */   // Label 607: @37286
     /*  37286 */   GIM_Try, /*On fail goto*//*Label 608*/ GIMT_Encode4(37443), // Rule ID 10021 //
     /*  37291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  37294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  37306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  37310 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  37314 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  37318 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  37322 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  37325 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  37330 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  37334 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  37336 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  37341 */     // MIs[2] pred
     /*  37341 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/3, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  37346 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  37348 */     // (sub:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1321:{ *:[iPTR] }, PPRAny:{ *:[nxv8i1] }:$pred, PPRAny:{ *:[nxv8i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>))  =>  (EXTRACT_SUBREG:{ *:[i32] } (DECP_XP_H:{ *:[i64] } PPRAny:{ *:[nxv8i1] }:$pred, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rn, sub_32:{ *:[i32] })), sub_32:{ *:[i32] })
     /*  37348 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*  37351 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  37355 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37360 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  37362 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  37365 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  37369 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37374 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  37377 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  37381 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*  37384 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  37389 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  37394 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37399 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  37402 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DECP_XP_H),
     /*  37406 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37411 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pred
     /*  37415 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  37418 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  37420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  37425 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*  37432 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37437 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  37442 */     // GIR_Coverage, 10021,
     /*  37442 */     GIR_EraseRootFromParent_Done,
     /*  37443 */   // Label 608: @37443
     /*  37443 */   GIM_Try, /*On fail goto*//*Label 609*/ GIMT_Encode4(37600), // Rule ID 10022 //
     /*  37448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  37451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  37463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  37467 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  37471 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  37475 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  37479 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  37482 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  37487 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  37491 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  37493 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  37498 */     // MIs[2] pred
     /*  37498 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/3, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  37503 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  37505 */     // (sub:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1321:{ *:[iPTR] }, PPRAny:{ *:[nxv4i1] }:$pred, PPRAny:{ *:[nxv4i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>))  =>  (EXTRACT_SUBREG:{ *:[i32] } (DECP_XP_S:{ *:[i64] } PPRAny:{ *:[nxv4i1] }:$pred, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rn, sub_32:{ *:[i32] })), sub_32:{ *:[i32] })
     /*  37505 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*  37508 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  37512 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37517 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  37519 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  37522 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  37526 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37531 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  37534 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  37538 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*  37541 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  37546 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  37551 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  37559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DECP_XP_S),
     /*  37563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37568 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pred
     /*  37572 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  37575 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  37577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  37582 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*  37589 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37594 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  37599 */     // GIR_Coverage, 10022,
     /*  37599 */     GIR_EraseRootFromParent_Done,
     /*  37600 */   // Label 609: @37600
     /*  37600 */   GIM_Try, /*On fail goto*//*Label 610*/ GIMT_Encode4(37757), // Rule ID 10023 //
     /*  37605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  37608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37612 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  37620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  37624 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  37628 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  37632 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  37636 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  37639 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  37644 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  37648 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  37650 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  37655 */     // MIs[2] pred
     /*  37655 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/3, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  37660 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  37662 */     // (sub:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1321:{ *:[iPTR] }, PPRAny:{ *:[nxv2i1] }:$pred, PPRAny:{ *:[nxv2i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>))  =>  (EXTRACT_SUBREG:{ *:[i32] } (DECP_XP_D:{ *:[i64] } PPRAny:{ *:[nxv2i1] }:$pred, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rn, sub_32:{ *:[i32] })), sub_32:{ *:[i32] })
     /*  37662 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*  37665 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  37669 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37674 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  37676 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  37679 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  37683 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37688 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  37691 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  37695 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*  37698 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  37703 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  37708 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37713 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  37716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DECP_XP_D),
     /*  37720 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pred
     /*  37729 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  37732 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  37734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  37739 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*  37746 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37751 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  37756 */     // GIR_Coverage, 10023,
     /*  37756 */     GIR_EraseRootFromParent_Done,
     /*  37757 */   // Label 610: @37757
     /*  37757 */   GIM_Try, /*On fail goto*//*Label 611*/ GIMT_Encode4(37793), // Rule ID 3908 //
     /*  37762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*  37770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_extended_reg32_i32),
     /*  37777 */     // (sub:{ *:[i32] } GPR32sp:{ *:[i32] }:$R2, arith_extended_reg32_i32:{ *:[i32] }:$R3)  =>  (SUBSWrx:{ *:[i32] }:{ *:[i32] } GPR32sp:{ *:[i32] }:$R2, arith_extended_reg32_i32:{ *:[i32] }:$R3)
     /*  37777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBSWrx),
     /*  37780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  37782 */     GIR_RootToRootCopy, /*OpIdx*/1, // R2
     /*  37784 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // R3
     /*  37788 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /*  37791 */     GIR_RootConstrainSelectedInstOperands,
     /*  37792 */     // GIR_Coverage, 3908,
     /*  37792 */     GIR_EraseRootFromParent_Done,
     /*  37793 */   // Label 611: @37793
     /*  37793 */   GIM_Try, /*On fail goto*//*Label 612*/ GIMT_Encode4(37826), // Rule ID 3913 //
     /*  37798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*  37802 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_neg_addsub_shifted_imm32),
     /*  37813 */     // (sub:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, neg_addsub_shifted_imm32:{ *:[i32] }:$imm)  =>  (ADDWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, neg_addsub_shifted_imm32:{ *:[i32] }:$imm)
     /*  37813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDWri),
     /*  37816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  37818 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  37820 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*  37824 */     GIR_RootConstrainSelectedInstOperands,
     /*  37825 */     // GIR_Coverage, 3913,
     /*  37825 */     GIR_EraseRootFromParent_Done,
     /*  37826 */   // Label 612: @37826
     /*  37826 */   GIM_Try, /*On fail goto*//*Label 613*/ GIMT_Encode4(37862), // Rule ID 3902 //
     /*  37831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37835 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*  37839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addsub_shifted_imm32),
     /*  37846 */     // (sub:{ *:[i32] } GPR32sp:{ *:[i32] }:$Rn, addsub_shifted_imm32:{ *:[i32] }:$imm)  =>  (SUBSWri:{ *:[i32] }:{ *:[i32] } GPR32sp:{ *:[i32] }:$Rn, addsub_shifted_imm32:{ *:[i32] }:$imm)
     /*  37846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBSWri),
     /*  37849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  37851 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  37853 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*  37857 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /*  37860 */     GIR_RootConstrainSelectedInstOperands,
     /*  37861 */     // GIR_Coverage, 3902,
     /*  37861 */     GIR_EraseRootFromParent_Done,
     /*  37862 */   // Label 613: @37862
     /*  37862 */   GIM_Try, /*On fail goto*//*Label 614*/ GIMT_Encode4(37898), // Rule ID 3906 //
     /*  37867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37871 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_shifted_reg32),
     /*  37882 */     // (sub:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, arith_shifted_reg32:{ *:[i32] }:$Rm)  =>  (SUBSWrs:{ *:[i32] }:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, arith_shifted_reg32:{ *:[i32] }:$Rm)
     /*  37882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBSWrs),
     /*  37885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  37887 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  37889 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm
     /*  37893 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /*  37896 */     GIR_RootConstrainSelectedInstOperands,
     /*  37897 */     // GIR_Coverage, 3906,
     /*  37897 */     GIR_EraseRootFromParent_Done,
     /*  37898 */   // Label 614: @37898
     /*  37898 */   GIM_Try, /*On fail goto*//*Label 615*/ GIMT_Encode4(37928), // Rule ID 3904 //
     /*  37903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37907 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37915 */     // (sub:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (SUBSWrr:{ *:[i32] }:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  37915 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUBSWrr),
     /*  37920 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(AArch64::NZCV), GIMT_Encode2(RegState::Dead),
     /*  37926 */     GIR_RootConstrainSelectedInstOperands,
     /*  37927 */     // GIR_Coverage, 3904,
     /*  37927 */     GIR_Done,
     /*  37928 */   // Label 615: @37928
     /*  37928 */   GIM_Reject,
     /*  37929 */ // Label 601: @37929
     /*  37929 */ GIM_Reject,
     /*  37930 */ // Label 588: @37930
     /*  37930 */ GIM_Try, /*On fail goto*//*Label 616*/ GIMT_Encode4(41211),
     /*  37935 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  37938 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  37941 */   GIM_Try, /*On fail goto*//*Label 617*/ GIMT_Encode4(38077), // Rule ID 5386 //
     /*  37946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  37950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  37954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  37958 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  37962 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  37966 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  37970 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  37974 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  37979 */     // MIs[1] Operand 2
     /*  37979 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  37990 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  37994 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  37998 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  38002 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  38006 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  38010 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  38014 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38019 */     // MIs[3] Operand 2
     /*  38019 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  38030 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  38032 */     // (sub:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (USUBLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*  38032 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  38035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv2i32_v2i64),
     /*  38039 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38044 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  38048 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  38052 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  38054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  38059 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  38066 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38071 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  38076 */     // GIR_Coverage, 5386,
     /*  38076 */     GIR_EraseRootFromParent_Done,
     /*  38077 */   // Label 617: @38077
     /*  38077 */   GIM_Try, /*On fail goto*//*Label 618*/ GIMT_Encode4(38213), // Rule ID 5385 //
     /*  38082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  38090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  38094 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  38098 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  38102 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  38106 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  38110 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38115 */     // MIs[1] Operand 2
     /*  38115 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  38126 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  38130 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  38134 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  38138 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  38142 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  38146 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  38150 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38155 */     // MIs[3] Operand 2
     /*  38155 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  38166 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  38168 */     // (sub:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v1i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (USUBLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*  38168 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  38171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv2i32_v2i64),
     /*  38175 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38180 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  38184 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  38188 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  38190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  38195 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  38202 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38207 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  38212 */     // GIR_Coverage, 5385,
     /*  38212 */     GIR_EraseRootFromParent_Done,
     /*  38213 */   // Label 618: @38213
     /*  38213 */   GIM_Try, /*On fail goto*//*Label 619*/ GIMT_Encode4(38349), // Rule ID 5395 //
     /*  38218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  38226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  38230 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  38234 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  38238 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  38242 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  38246 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38251 */     // MIs[1] Operand 2
     /*  38251 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  38262 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  38266 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  38270 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  38274 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  38278 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  38282 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  38286 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38291 */     // MIs[3] Operand 2
     /*  38291 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  38302 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  38304 */     // (sub:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v1i64] } (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (SSUBLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*  38304 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  38307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SSUBLv2i32_v2i64),
     /*  38311 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38316 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  38320 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  38324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  38326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  38331 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  38338 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38343 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  38348 */     // GIR_Coverage, 5395,
     /*  38348 */     GIR_EraseRootFromParent_Done,
     /*  38349 */   // Label 619: @38349
     /*  38349 */   GIM_Try, /*On fail goto*//*Label 620*/ GIMT_Encode4(38485), // Rule ID 5384 //
     /*  38354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  38362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  38366 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  38370 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  38374 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  38378 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  38382 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38387 */     // MIs[1] Operand 2
     /*  38387 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  38398 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  38402 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  38406 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  38410 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  38414 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  38418 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  38422 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38427 */     // MIs[3] Operand 2
     /*  38427 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  38438 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  38440 */     // (sub:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (USUBLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*  38440 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  38443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv2i32_v2i64),
     /*  38447 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38452 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  38456 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  38460 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  38462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  38467 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  38474 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38479 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  38484 */     // GIR_Coverage, 5384,
     /*  38484 */     GIR_EraseRootFromParent_Done,
     /*  38485 */   // Label 620: @38485
     /*  38485 */   GIM_Try, /*On fail goto*//*Label 621*/ GIMT_Encode4(38621), // Rule ID 5383 //
     /*  38490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  38498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  38502 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  38506 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  38510 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  38514 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  38518 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38523 */     // MIs[1] Operand 2
     /*  38523 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  38534 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  38538 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  38542 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  38546 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  38550 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  38554 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  38558 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38563 */     // MIs[3] Operand 2
     /*  38563 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  38574 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  38576 */     // (sub:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v1i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (USUBLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*  38576 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  38579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv2i32_v2i64),
     /*  38583 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38588 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  38592 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  38596 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  38598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  38603 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  38610 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38615 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  38620 */     // GIR_Coverage, 5383,
     /*  38620 */     GIR_EraseRootFromParent_Done,
     /*  38621 */   // Label 621: @38621
     /*  38621 */   GIM_Try, /*On fail goto*//*Label 622*/ GIMT_Encode4(38758), // Rule ID 3960 //
     /*  38626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  38630 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*  38634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  38638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  38642 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  38646 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  38650 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  38654 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  38658 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  38662 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  38667 */     // MIs[2] Operand 2
     /*  38667 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(32),
     /*  38678 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  38682 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  38686 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_s64imm_32bit),
     /*  38690 */     // MIs[3] Operand 1
     /*  38690 */     // No operand predicates
     /*  38690 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  38692 */     // (sub:{ *:[i64] } 0:{ *:[i64] }, (mul:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, i32:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_s64imm_32bit>>:$C))  =>  (SMSUBLrrr:{ *:[i64] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, sub_32:{ *:[i32] }), (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), XZR:{ *:[i64] })
     /*  38692 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  38695 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*  38699 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38704 */     GIR_CustomRenderer, /*InsnID*/2, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*  38709 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  38711 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  38714 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38718 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38723 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // Rn
     /*  38729 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  38734 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  38739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMSUBLrrr),
     /*  38742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  38744 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  38747 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  38750 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  38756 */     GIR_RootConstrainSelectedInstOperands,
     /*  38757 */     // GIR_Coverage, 3960,
     /*  38757 */     GIR_EraseRootFromParent_Done,
     /*  38758 */   // Label 622: @38758
     /*  38758 */   GIM_Try, /*On fail goto*//*Label 623*/ GIMT_Encode4(38857), // Rule ID 3958 //
     /*  38763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  38767 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*  38771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  38775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  38779 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  38783 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  38787 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  38791 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  38795 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  38799 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  38804 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  38808 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  38812 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_s64imm_32bit),
     /*  38816 */     // MIs[3] Operand 1
     /*  38816 */     // No operand predicates
     /*  38816 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  38818 */     // (sub:{ *:[i64] } 0:{ *:[i64] }, (mul:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (imm:{ *:[i64] })<<P:Predicate_s64imm_32bit>>:$C))  =>  (SMSUBLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), XZR:{ *:[i64] })
     /*  38818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  38821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*  38825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38830 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*  38835 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  38837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMSUBLrrr),
     /*  38840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  38842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  38846 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  38849 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  38855 */     GIR_RootConstrainSelectedInstOperands,
     /*  38856 */     // GIR_Coverage, 3958,
     /*  38856 */     GIR_EraseRootFromParent_Done,
     /*  38857 */   // Label 623: @38857
     /*  38857 */   GIM_Try, /*On fail goto*//*Label 624*/ GIMT_Encode4(38956), // Rule ID 3959 //
     /*  38862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  38866 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*  38870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  38874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  38878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  38882 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  38886 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  38890 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  38894 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  38898 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  38903 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  38907 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  38911 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64imm_32bit),
     /*  38915 */     // MIs[3] Operand 1
     /*  38915 */     // No operand predicates
     /*  38915 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  38917 */     // (sub:{ *:[i64] } 0:{ *:[i64] }, (mul:{ *:[i64] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (imm:{ *:[i64] })<<P:Predicate_i64imm_32bit>>:$C))  =>  (UMSUBLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), XZR:{ *:[i64] })
     /*  38917 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  38920 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*  38924 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38929 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*  38934 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  38936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMSUBLrrr),
     /*  38939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  38941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  38945 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  38948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  38954 */     GIR_RootConstrainSelectedInstOperands,
     /*  38955 */     // GIR_Coverage, 3959,
     /*  38955 */     GIR_EraseRootFromParent_Done,
     /*  38956 */   // Label 624: @38956
     /*  38956 */   GIM_Try, /*On fail goto*//*Label 625*/ GIMT_Encode4(39042), // Rule ID 3953 //
     /*  38961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  38965 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*  38969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  38973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  38977 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  38981 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  38985 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  38989 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  38993 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  38997 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  39002 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  39006 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  39010 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  39014 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  39019 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  39021 */     // (sub:{ *:[i64] } 0:{ *:[i64] }, (mul:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm)))  =>  (SMSUBLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, XZR:{ *:[i64] })
     /*  39021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMSUBLrrr),
     /*  39024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  39026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  39030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  39034 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  39040 */     GIR_RootConstrainSelectedInstOperands,
     /*  39041 */     // GIR_Coverage, 3953,
     /*  39041 */     GIR_EraseRootFromParent_Done,
     /*  39042 */   // Label 625: @39042
     /*  39042 */   GIM_Try, /*On fail goto*//*Label 626*/ GIMT_Encode4(39128), // Rule ID 3954 //
     /*  39047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39051 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*  39055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  39063 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  39067 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  39071 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  39075 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  39079 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  39083 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  39088 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  39092 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  39096 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  39100 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  39105 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  39107 */     // (sub:{ *:[i64] } 0:{ *:[i64] }, (mul:{ *:[i64] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm)))  =>  (UMSUBLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, XZR:{ *:[i64] })
     /*  39107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMSUBLrrr),
     /*  39110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  39112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  39116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  39120 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  39126 */     GIR_RootConstrainSelectedInstOperands,
     /*  39127 */     // GIR_Coverage, 3954,
     /*  39127 */     GIR_EraseRootFromParent_Done,
     /*  39128 */   // Label 626: @39128
     /*  39128 */   GIM_Try, /*On fail goto*//*Label 627*/ GIMT_Encode4(39261), // Rule ID 3966 //
     /*  39133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39137 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  39149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  39153 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  39157 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  39161 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  39165 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  39169 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39174 */     // MIs[2] Operand 2
     /*  39174 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(32),
     /*  39185 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  39189 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  39193 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_s64imm_32bit),
     /*  39197 */     // MIs[3] Operand 1
     /*  39197 */     // No operand predicates
     /*  39197 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  39199 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Ra, (mul:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, i32:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_s64imm_32bit>>:$C))  =>  (SMSUBLrrr:{ *:[i64] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, sub_32:{ *:[i32] }), (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), GPR64:{ *:[i64] }:$Ra)
     /*  39199 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  39202 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*  39206 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39211 */     GIR_CustomRenderer, /*InsnID*/2, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*  39216 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  39218 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  39221 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  39225 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39230 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // Rn
     /*  39236 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  39241 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMSUBLrrr),
     /*  39249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  39251 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  39254 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  39257 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*  39259 */     GIR_RootConstrainSelectedInstOperands,
     /*  39260 */     // GIR_Coverage, 3966,
     /*  39260 */     GIR_EraseRootFromParent_Done,
     /*  39261 */   // Label 627: @39261
     /*  39261 */   GIM_Try, /*On fail goto*//*Label 628*/ GIMT_Encode4(39356), // Rule ID 3964 //
     /*  39266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39270 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  39282 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  39286 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  39290 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  39294 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  39298 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  39302 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  39307 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  39311 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  39315 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_s64imm_32bit),
     /*  39319 */     // MIs[3] Operand 1
     /*  39319 */     // No operand predicates
     /*  39319 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  39321 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Ra, (mul:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (imm:{ *:[i64] })<<P:Predicate_s64imm_32bit>>:$C))  =>  (SMSUBLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), GPR64:{ *:[i64] }:$Ra)
     /*  39321 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  39324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*  39328 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39333 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*  39338 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  39340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMSUBLrrr),
     /*  39343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  39345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  39349 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  39352 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*  39354 */     GIR_RootConstrainSelectedInstOperands,
     /*  39355 */     // GIR_Coverage, 3964,
     /*  39355 */     GIR_EraseRootFromParent_Done,
     /*  39356 */   // Label 628: @39356
     /*  39356 */   GIM_Try, /*On fail goto*//*Label 629*/ GIMT_Encode4(39451), // Rule ID 3965 //
     /*  39361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39365 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  39377 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  39381 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  39385 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  39389 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  39393 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  39397 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  39402 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  39406 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  39410 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64imm_32bit),
     /*  39414 */     // MIs[3] Operand 1
     /*  39414 */     // No operand predicates
     /*  39414 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  39416 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Ra, (mul:{ *:[i64] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (imm:{ *:[i64] })<<P:Predicate_i64imm_32bit>>:$C))  =>  (UMSUBLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), GPR64:{ *:[i64] }:$Ra)
     /*  39416 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  39419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*  39423 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39428 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*  39433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  39435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMSUBLrrr),
     /*  39438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  39440 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  39444 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  39447 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*  39449 */     GIR_RootConstrainSelectedInstOperands,
     /*  39450 */     // GIR_Coverage, 3965,
     /*  39450 */     GIR_EraseRootFromParent_Done,
     /*  39451 */   // Label 629: @39451
     /*  39451 */   GIM_Try, /*On fail goto*//*Label 630*/ GIMT_Encode4(39533), // Rule ID 124 //
     /*  39456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  39472 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  39476 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  39480 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  39484 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  39488 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  39492 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  39497 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  39501 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  39505 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  39509 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  39514 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  39516 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Ra, (mul:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm)))  =>  (SMSUBLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, GPR64:{ *:[i64] }:$Ra)
     /*  39516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMSUBLrrr),
     /*  39519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  39521 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  39525 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  39529 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*  39531 */     GIR_RootConstrainSelectedInstOperands,
     /*  39532 */     // GIR_Coverage, 124,
     /*  39532 */     GIR_EraseRootFromParent_Done,
     /*  39533 */   // Label 630: @39533
     /*  39533 */   GIM_Try, /*On fail goto*//*Label 631*/ GIMT_Encode4(39615), // Rule ID 126 //
     /*  39538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  39554 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  39558 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  39562 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  39566 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  39570 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  39574 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  39579 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  39583 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  39587 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  39591 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  39596 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  39598 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Ra, (mul:{ *:[i64] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm)))  =>  (UMSUBLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, GPR64:{ *:[i64] }:$Ra)
     /*  39598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMSUBLrrr),
     /*  39601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  39603 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  39607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  39611 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*  39613 */     GIR_RootConstrainSelectedInstOperands,
     /*  39614 */     // GIR_Coverage, 126,
     /*  39614 */     GIR_EraseRootFromParent_Done,
     /*  39615 */   // Label 631: @39615
     /*  39615 */   GIM_Try, /*On fail goto*//*Label 632*/ GIMT_Encode4(39677), // Rule ID 3944 //
     /*  39620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39624 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*  39628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  39636 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  39640 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  39644 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39649 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39654 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  39656 */     // (sub:{ *:[i64] } 0:{ *:[i64] }, (mul:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm))  =>  (MSUBXrrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, XZR:{ *:[i64] })
     /*  39656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSUBXrrr),
     /*  39659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  39661 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  39665 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  39669 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  39675 */     GIR_RootConstrainSelectedInstOperands,
     /*  39676 */     // GIR_Coverage, 3944,
     /*  39676 */     GIR_EraseRootFromParent_Done,
     /*  39677 */   // Label 632: @39677
     /*  39677 */   GIM_Try, /*On fail goto*//*Label 633*/ GIMT_Encode4(39735), // Rule ID 9879 //
     /*  39682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*  39685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39689 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  39701 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  39704 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntb),
     /*  39709 */     // MIs[1] pattern
     /*  39709 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*  39712 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*  39717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  39719 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (intrinsic_wo_chain:{ *:[i64] } 1318:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern))  =>  (DECB_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*  39719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DECB_XPiI),
     /*  39722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  39724 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rdn
     /*  39726 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*  39730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  39733 */     GIR_RootConstrainSelectedInstOperands,
     /*  39734 */     // GIR_Coverage, 9879,
     /*  39734 */     GIR_EraseRootFromParent_Done,
     /*  39735 */   // Label 633: @39735
     /*  39735 */   GIM_Try, /*On fail goto*//*Label 634*/ GIMT_Encode4(39793), // Rule ID 9891 //
     /*  39740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*  39743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39747 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  39759 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  39762 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnth),
     /*  39767 */     // MIs[1] pattern
     /*  39767 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*  39770 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*  39775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  39777 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (intrinsic_wo_chain:{ *:[i64] } 1320:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern))  =>  (DECH_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*  39777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DECH_XPiI),
     /*  39780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  39782 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rdn
     /*  39784 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*  39788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  39791 */     GIR_RootConstrainSelectedInstOperands,
     /*  39792 */     // GIR_Coverage, 9891,
     /*  39792 */     GIR_EraseRootFromParent_Done,
     /*  39793 */   // Label 634: @39793
     /*  39793 */   GIM_Try, /*On fail goto*//*Label 635*/ GIMT_Encode4(39851), // Rule ID 9903 //
     /*  39798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*  39801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  39817 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  39820 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntw),
     /*  39825 */     // MIs[1] pattern
     /*  39825 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*  39828 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*  39833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  39835 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (intrinsic_wo_chain:{ *:[i64] } 1326:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern))  =>  (DECW_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*  39835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DECW_XPiI),
     /*  39838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  39840 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rdn
     /*  39842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*  39846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  39849 */     GIR_RootConstrainSelectedInstOperands,
     /*  39850 */     // GIR_Coverage, 9903,
     /*  39850 */     GIR_EraseRootFromParent_Done,
     /*  39851 */   // Label 635: @39851
     /*  39851 */   GIM_Try, /*On fail goto*//*Label 636*/ GIMT_Encode4(39909), // Rule ID 9915 //
     /*  39856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*  39859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39863 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  39875 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  39878 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntd),
     /*  39883 */     // MIs[1] pattern
     /*  39883 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*  39886 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*  39891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  39893 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (intrinsic_wo_chain:{ *:[i64] } 1319:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern))  =>  (DECD_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*  39893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DECD_XPiI),
     /*  39896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  39898 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rdn
     /*  39900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*  39904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  39907 */     GIR_RootConstrainSelectedInstOperands,
     /*  39908 */     // GIR_Coverage, 9915,
     /*  39908 */     GIR_EraseRootFromParent_Done,
     /*  39909 */   // Label 636: @39909
     /*  39909 */   GIM_Try, /*On fail goto*//*Label 637*/ GIMT_Encode4(40072), // Rule ID 5350 //
     /*  39914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  39918 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  39922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  39930 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  39934 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  39938 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_SMULL),
     /*  39942 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  39946 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  39950 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  39955 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  39960 */     // MIs[1] Operand 2
     /*  39960 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  39971 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  39973 */     // (sub:{ *:[v1i64] } V64:{ *:[v1i64] }:$Ra, (extract_subvector:{ *:[v1i64] } (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (SMLSLv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*  39973 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*  39976 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  39980 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39985 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  39987 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*  39990 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  39994 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39999 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  40002 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*  40006 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  40009 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40014 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40019 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  40027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv2i32_v2i64),
     /*  40031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40036 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  40039 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  40043 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  40047 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  40049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  40052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  40054 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  40061 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40066 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40071 */     // GIR_Coverage, 5350,
     /*  40071 */     GIR_EraseRootFromParent_Done,
     /*  40072 */   // Label 637: @40072
     /*  40072 */   GIM_Try, /*On fail goto*//*Label 638*/ GIMT_Encode4(40235), // Rule ID 5347 //
     /*  40077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40081 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  40089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  40093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  40097 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  40101 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UMULL),
     /*  40105 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  40109 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  40113 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40118 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40123 */     // MIs[1] Operand 2
     /*  40123 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  40134 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  40136 */     // (sub:{ *:[v1i64] } V64:{ *:[v1i64] }:$Ra, (extract_subvector:{ *:[v1i64] } (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (UMLSLv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*  40136 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*  40139 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  40143 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40148 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  40150 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*  40153 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  40157 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40162 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  40165 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*  40169 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  40172 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40177 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40182 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40187 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  40190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv2i32_v2i64),
     /*  40194 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40199 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  40202 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  40206 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  40210 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  40212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  40215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  40217 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  40224 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40229 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40234 */     // GIR_Coverage, 5347,
     /*  40234 */     GIR_EraseRootFromParent_Done,
     /*  40235 */   // Label 638: @40235
     /*  40235 */   GIM_Try, /*On fail goto*//*Label 639*/ GIMT_Encode4(40385), // Rule ID 5392 //
     /*  40240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40244 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  40252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  40256 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  40260 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  40264 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  40268 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  40272 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40277 */     // MIs[1] Operand 2
     /*  40277 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  40288 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  40290 */     // (sub:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn, (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (USUBWv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*  40290 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*  40293 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  40297 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40302 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  40304 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*  40307 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  40311 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40316 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  40319 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  40323 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  40326 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40331 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40336 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40341 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  40344 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBWv2i32_v2i64),
     /*  40348 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40353 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  40356 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  40360 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  40362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  40365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  40367 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  40374 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40379 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40384 */     // GIR_Coverage, 5392,
     /*  40384 */     GIR_EraseRootFromParent_Done,
     /*  40385 */   // Label 639: @40385
     /*  40385 */   GIM_Try, /*On fail goto*//*Label 640*/ GIMT_Encode4(40535), // Rule ID 5398 //
     /*  40390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40394 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  40402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  40406 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  40410 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  40414 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  40418 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  40422 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40427 */     // MIs[1] Operand 2
     /*  40427 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  40438 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  40440 */     // (sub:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn, (extract_subvector:{ *:[v1i64] } (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (SSUBWv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*  40440 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*  40443 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  40447 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40452 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  40454 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*  40457 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  40461 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40466 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  40469 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  40473 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  40476 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40481 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40486 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40491 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  40494 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SSUBWv2i32_v2i64),
     /*  40498 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40503 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  40506 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  40510 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  40512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  40515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  40517 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  40524 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40529 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40534 */     // GIR_Coverage, 5398,
     /*  40534 */     GIR_EraseRootFromParent_Done,
     /*  40535 */   // Label 640: @40535
     /*  40535 */   GIM_Try, /*On fail goto*//*Label 641*/ GIMT_Encode4(40685), // Rule ID 5391 //
     /*  40540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40544 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  40552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  40556 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  40560 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  40564 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  40568 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  40572 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40577 */     // MIs[1] Operand 2
     /*  40577 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  40588 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  40590 */     // (sub:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn, (extract_subvector:{ *:[v1i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (USUBWv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*  40590 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*  40593 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  40597 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40602 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  40604 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*  40607 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  40611 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40616 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  40619 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  40623 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  40626 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40631 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40636 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40641 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  40644 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBWv2i32_v2i64),
     /*  40648 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40653 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  40656 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  40660 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  40662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  40665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  40667 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  40674 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40679 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40684 */     // GIR_Coverage, 5391,
     /*  40684 */     GIR_EraseRootFromParent_Done,
     /*  40685 */   // Label 641: @40685
     /*  40685 */   GIM_Try, /*On fail goto*//*Label 642*/ GIMT_Encode4(40721), // Rule ID 3909 //
     /*  40690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  40694 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  40698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_extended_reg32to64_i64),
     /*  40705 */     // (sub:{ *:[i64] } GPR64sp:{ *:[i64] }:$R2, arith_extended_reg32to64_i64:{ *:[i64] }:$R3)  =>  (SUBSXrx:{ *:[i64] }:{ *:[i32] } GPR64sp:{ *:[i64] }:$R2, arith_extended_reg32to64_i64:{ *:[i64] }:$R3)
     /*  40705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBSXrx),
     /*  40708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  40710 */     GIR_RootToRootCopy, /*OpIdx*/1, // R2
     /*  40712 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // R3
     /*  40716 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /*  40719 */     GIR_RootConstrainSelectedInstOperands,
     /*  40720 */     // GIR_Coverage, 3909,
     /*  40720 */     GIR_EraseRootFromParent_Done,
     /*  40721 */   // Label 642: @40721
     /*  40721 */   GIM_Try, /*On fail goto*//*Label 643*/ GIMT_Encode4(40754), // Rule ID 3914 //
     /*  40726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  40730 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  40734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_neg_addsub_shifted_imm64),
     /*  40741 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, neg_addsub_shifted_imm64:{ *:[i64] }:$imm)  =>  (ADDXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, neg_addsub_shifted_imm64:{ *:[i64] }:$imm)
     /*  40741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDXri),
     /*  40744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  40746 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  40748 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*  40752 */     GIR_RootConstrainSelectedInstOperands,
     /*  40753 */     // GIR_Coverage, 3914,
     /*  40753 */     GIR_EraseRootFromParent_Done,
     /*  40754 */   // Label 643: @40754
     /*  40754 */   GIM_Try, /*On fail goto*//*Label 644*/ GIMT_Encode4(40790), // Rule ID 3903 //
     /*  40759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  40763 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  40767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addsub_shifted_imm64),
     /*  40774 */     // (sub:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, addsub_shifted_imm64:{ *:[i64] }:$imm)  =>  (SUBSXri:{ *:[i64] }:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, addsub_shifted_imm64:{ *:[i64] }:$imm)
     /*  40774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBSXri),
     /*  40777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  40779 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  40781 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*  40785 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /*  40788 */     GIR_RootConstrainSelectedInstOperands,
     /*  40789 */     // GIR_Coverage, 3903,
     /*  40789 */     GIR_EraseRootFromParent_Done,
     /*  40790 */   // Label 644: @40790
     /*  40790 */   GIM_Try, /*On fail goto*//*Label 645*/ GIMT_Encode4(40826), // Rule ID 3907 //
     /*  40795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  40799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  40803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_shifted_reg64),
     /*  40810 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, arith_shifted_reg64:{ *:[i64] }:$Rm)  =>  (SUBSXrs:{ *:[i64] }:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, arith_shifted_reg64:{ *:[i64] }:$Rm)
     /*  40810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBSXrs),
     /*  40813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  40815 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  40817 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm
     /*  40821 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /*  40824 */     GIR_RootConstrainSelectedInstOperands,
     /*  40825 */     // GIR_Coverage, 3907,
     /*  40825 */     GIR_EraseRootFromParent_Done,
     /*  40826 */   // Label 645: @40826
     /*  40826 */   GIM_Try, /*On fail goto*//*Label 646*/ GIMT_Encode4(40889), // Rule ID 10012 //
     /*  40831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  40834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  40838 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  40842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  40846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  40850 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  40853 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  40858 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  40862 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  40864 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  40869 */     // MIs[1] pred
     /*  40869 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  40874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  40876 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (intrinsic_wo_chain:{ *:[i64] } 1321:{ *:[iPTR] }, PPRAny:{ *:[nxv16i1] }:$pred, PPRAny:{ *:[nxv16i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>)  =>  (DECP_XP_B:{ *:[i64] } PPRAny:{ *:[nxv16i1] }:$pred, ?:{ *:[i64] }:$Rn)
     /*  40876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DECP_XP_B),
     /*  40879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  40881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pred
     /*  40885 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  40887 */     GIR_RootConstrainSelectedInstOperands,
     /*  40888 */     // GIR_Coverage, 10012,
     /*  40888 */     GIR_EraseRootFromParent_Done,
     /*  40889 */   // Label 646: @40889
     /*  40889 */   GIM_Try, /*On fail goto*//*Label 647*/ GIMT_Encode4(40952), // Rule ID 10013 //
     /*  40894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  40897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  40901 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  40905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  40909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  40913 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  40916 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  40921 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  40925 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  40927 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  40932 */     // MIs[1] pred
     /*  40932 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  40937 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  40939 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (intrinsic_wo_chain:{ *:[i64] } 1321:{ *:[iPTR] }, PPRAny:{ *:[nxv8i1] }:$pred, PPRAny:{ *:[nxv8i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>)  =>  (DECP_XP_H:{ *:[i64] } PPRAny:{ *:[nxv8i1] }:$pred, ?:{ *:[i64] }:$Rn)
     /*  40939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DECP_XP_H),
     /*  40942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  40944 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pred
     /*  40948 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  40950 */     GIR_RootConstrainSelectedInstOperands,
     /*  40951 */     // GIR_Coverage, 10013,
     /*  40951 */     GIR_EraseRootFromParent_Done,
     /*  40952 */   // Label 647: @40952
     /*  40952 */   GIM_Try, /*On fail goto*//*Label 648*/ GIMT_Encode4(41015), // Rule ID 10014 //
     /*  40957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  40960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  40964 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  40968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  40972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  40976 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  40979 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  40984 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  40988 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  40990 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  40995 */     // MIs[1] pred
     /*  40995 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  41000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  41002 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (intrinsic_wo_chain:{ *:[i64] } 1321:{ *:[iPTR] }, PPRAny:{ *:[nxv4i1] }:$pred, PPRAny:{ *:[nxv4i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>)  =>  (DECP_XP_S:{ *:[i64] } PPRAny:{ *:[nxv4i1] }:$pred, ?:{ *:[i64] }:$Rn)
     /*  41002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DECP_XP_S),
     /*  41005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  41007 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pred
     /*  41011 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  41013 */     GIR_RootConstrainSelectedInstOperands,
     /*  41014 */     // GIR_Coverage, 10014,
     /*  41014 */     GIR_EraseRootFromParent_Done,
     /*  41015 */   // Label 648: @41015
     /*  41015 */   GIM_Try, /*On fail goto*//*Label 649*/ GIMT_Encode4(41078), // Rule ID 10015 //
     /*  41020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  41023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  41027 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  41031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  41035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  41039 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  41042 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  41047 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  41051 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  41053 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  41058 */     // MIs[1] pred
     /*  41058 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  41063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  41065 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (intrinsic_wo_chain:{ *:[i64] } 1321:{ *:[iPTR] }, PPRAny:{ *:[nxv2i1] }:$pred, PPRAny:{ *:[nxv2i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>)  =>  (DECP_XP_D:{ *:[i64] } PPRAny:{ *:[nxv2i1] }:$pred, ?:{ *:[i64] }:$Rn)
     /*  41065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DECP_XP_D),
     /*  41068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  41070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pred
     /*  41074 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  41076 */     GIR_RootConstrainSelectedInstOperands,
     /*  41077 */     // GIR_Coverage, 10015,
     /*  41077 */     GIR_EraseRootFromParent_Done,
     /*  41078 */   // Label 649: @41078
     /*  41078 */   GIM_Try, /*On fail goto*//*Label 650*/ GIMT_Encode4(41117), // Rule ID 1655 //
     /*  41083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  41086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  41094 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  41100 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  41102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41106 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  41108 */     // (sub:{ *:[v1i64] } immAllZerosV:{ *:[v1i64] }, FPR64:{ *:[v1i64] }:$Rn)  =>  (NEGv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn)
     /*  41108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NEGv1i64),
     /*  41111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  41113 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  41115 */     GIR_RootConstrainSelectedInstOperands,
     /*  41116 */     // GIR_Coverage, 1655,
     /*  41116 */     GIR_EraseRootFromParent_Done,
     /*  41117 */   // Label 650: @41117
     /*  41117 */   GIM_Try, /*On fail goto*//*Label 651*/ GIMT_Encode4(41153), // Rule ID 5233 //
     /*  41122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  41130 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  41136 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  41138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  41144 */     // (sub:{ *:[i64] } immAllZerosV:{ *:[i64] }, FPR64:{ *:[i64] }:$Rn)  =>  (NEGv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn)
     /*  41144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NEGv1i64),
     /*  41147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  41149 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  41151 */     GIR_RootConstrainSelectedInstOperands,
     /*  41152 */     // GIR_Coverage, 5233,
     /*  41152 */     GIR_EraseRootFromParent_Done,
     /*  41153 */   // Label 651: @41153
     /*  41153 */   GIM_Try, /*On fail goto*//*Label 652*/ GIMT_Encode4(41180), // Rule ID 1644 //
     /*  41158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  41161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41173 */     // (sub:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (SUBv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /*  41173 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUBv1i64),
     /*  41178 */     GIR_RootConstrainSelectedInstOperands,
     /*  41179 */     // GIR_Coverage, 1644,
     /*  41179 */     GIR_Done,
     /*  41180 */   // Label 652: @41180
     /*  41180 */   GIM_Try, /*On fail goto*//*Label 653*/ GIMT_Encode4(41210), // Rule ID 3905 //
     /*  41185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  41189 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  41193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  41197 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (SUBSXrr:{ *:[i64] }:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  41197 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUBSXrr),
     /*  41202 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(AArch64::NZCV), GIMT_Encode2(RegState::Dead),
     /*  41208 */     GIR_RootConstrainSelectedInstOperands,
     /*  41209 */     // GIR_Coverage, 3905,
     /*  41209 */     GIR_Done,
     /*  41210 */   // Label 653: @41210
     /*  41210 */   GIM_Reject,
     /*  41211 */ // Label 616: @41211
     /*  41211 */ GIM_Reject,
     /*  41212 */ // Label 589: @41212
     /*  41212 */ GIM_Try, /*On fail goto*//*Label 654*/ GIMT_Encode4(42702),
     /*  41217 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  41220 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  41223 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41227 */   GIM_Try, /*On fail goto*//*Label 655*/ GIMT_Encode4(41359), // Rule ID 5382 //
     /*  41232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  41236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  41240 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  41244 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  41248 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  41252 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  41256 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41261 */     // MIs[1] Operand 2
     /*  41261 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  41272 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  41276 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  41280 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  41284 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  41288 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  41292 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  41296 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41301 */     // MIs[3] Operand 2
     /*  41301 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  41312 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  41314 */     // (sub:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (USUBLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  41314 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  41317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i16_v4i32),
     /*  41321 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41326 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  41330 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  41334 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  41336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  41339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41341 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  41348 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41353 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  41358 */     // GIR_Coverage, 5382,
     /*  41358 */     GIR_EraseRootFromParent_Done,
     /*  41359 */   // Label 655: @41359
     /*  41359 */   GIM_Try, /*On fail goto*//*Label 656*/ GIMT_Encode4(41491), // Rule ID 5381 //
     /*  41364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  41368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  41372 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  41376 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  41380 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  41384 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  41388 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41393 */     // MIs[1] Operand 2
     /*  41393 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  41404 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  41408 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  41412 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  41416 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  41420 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  41424 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  41428 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41433 */     // MIs[3] Operand 2
     /*  41433 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  41444 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  41446 */     // (sub:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (USUBLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  41446 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  41449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i16_v4i32),
     /*  41453 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41458 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  41462 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  41466 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  41468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  41471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41473 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  41480 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41485 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  41490 */     // GIR_Coverage, 5381,
     /*  41490 */     GIR_EraseRootFromParent_Done,
     /*  41491 */   // Label 656: @41491
     /*  41491 */   GIM_Try, /*On fail goto*//*Label 657*/ GIMT_Encode4(41623), // Rule ID 5394 //
     /*  41496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  41500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  41504 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  41508 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  41512 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  41516 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  41520 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41525 */     // MIs[1] Operand 2
     /*  41525 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  41536 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  41540 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  41544 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  41548 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  41552 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  41556 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  41560 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41565 */     // MIs[3] Operand 2
     /*  41565 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  41576 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  41578 */     // (sub:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (SSUBLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  41578 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  41581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SSUBLv4i16_v4i32),
     /*  41585 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41590 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  41594 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  41598 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  41600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  41603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41605 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  41612 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41617 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  41622 */     // GIR_Coverage, 5394,
     /*  41622 */     GIR_EraseRootFromParent_Done,
     /*  41623 */   // Label 657: @41623
     /*  41623 */   GIM_Try, /*On fail goto*//*Label 658*/ GIMT_Encode4(41755), // Rule ID 5380 //
     /*  41628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  41632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  41636 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  41640 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  41644 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  41648 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  41652 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41657 */     // MIs[1] Operand 2
     /*  41657 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  41668 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  41672 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  41676 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  41680 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  41684 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  41688 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  41692 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41697 */     // MIs[3] Operand 2
     /*  41697 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  41708 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  41710 */     // (sub:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (USUBLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  41710 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  41713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i16_v4i32),
     /*  41717 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41722 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  41726 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  41730 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  41732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  41735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41737 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  41744 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41749 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  41754 */     // GIR_Coverage, 5380,
     /*  41754 */     GIR_EraseRootFromParent_Done,
     /*  41755 */   // Label 658: @41755
     /*  41755 */   GIM_Try, /*On fail goto*//*Label 659*/ GIMT_Encode4(41887), // Rule ID 5379 //
     /*  41760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  41764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  41768 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  41772 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  41776 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  41780 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  41784 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41789 */     // MIs[1] Operand 2
     /*  41789 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  41800 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  41804 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  41808 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  41812 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  41816 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  41820 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  41824 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41829 */     // MIs[3] Operand 2
     /*  41829 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  41840 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  41842 */     // (sub:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (USUBLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  41842 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  41845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i16_v4i32),
     /*  41849 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41854 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  41858 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  41862 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  41864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  41867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41869 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  41876 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41881 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  41886 */     // GIR_Coverage, 5379,
     /*  41886 */     GIR_EraseRootFromParent_Done,
     /*  41887 */   // Label 659: @41887
     /*  41887 */   GIM_Try, /*On fail goto*//*Label 660*/ GIMT_Encode4(42046), // Rule ID 5349 //
     /*  41892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  41900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  41904 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  41908 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  41912 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_SMULL),
     /*  41916 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  41920 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  41924 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41929 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41934 */     // MIs[1] Operand 2
     /*  41934 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  41945 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  41947 */     // (sub:{ *:[v2i32] } V64:{ *:[v2i32] }:$Ra, (extract_subvector:{ *:[v2i32] } (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (SMLSLv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  41947 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  41950 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  41954 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  41961 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  41964 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  41968 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41973 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  41976 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*  41980 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  41983 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  41988 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  41993 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41998 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  42001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv4i16_v4i32),
     /*  42005 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42010 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  42013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  42017 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  42021 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  42023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  42026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42028 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  42035 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42040 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42045 */     // GIR_Coverage, 5349,
     /*  42045 */     GIR_EraseRootFromParent_Done,
     /*  42046 */   // Label 660: @42046
     /*  42046 */   GIM_Try, /*On fail goto*//*Label 661*/ GIMT_Encode4(42205), // Rule ID 5346 //
     /*  42051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  42059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  42063 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  42067 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  42071 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UMULL),
     /*  42075 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  42079 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  42083 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42088 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42093 */     // MIs[1] Operand 2
     /*  42093 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  42104 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  42106 */     // (sub:{ *:[v2i32] } V64:{ *:[v2i32] }:$Ra, (extract_subvector:{ *:[v2i32] } (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (UMLSLv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  42106 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  42109 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  42113 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42118 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  42120 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  42123 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  42127 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42132 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  42135 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*  42139 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  42142 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42147 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42152 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42157 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  42160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv4i16_v4i32),
     /*  42164 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42169 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  42172 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  42176 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  42180 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  42182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  42185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42187 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  42194 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42199 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42204 */     // GIR_Coverage, 5346,
     /*  42204 */     GIR_EraseRootFromParent_Done,
     /*  42205 */   // Label 661: @42205
     /*  42205 */   GIM_Try, /*On fail goto*//*Label 662*/ GIMT_Encode4(42351), // Rule ID 5390 //
     /*  42210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  42218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  42222 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  42226 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  42230 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  42234 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  42238 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42243 */     // MIs[1] Operand 2
     /*  42243 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  42254 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  42256 */     // (sub:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (USUBWv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  42256 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  42259 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  42263 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42268 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  42270 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  42273 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  42277 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42282 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  42285 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  42289 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  42292 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42297 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42302 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  42310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBWv4i16_v4i32),
     /*  42314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42319 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  42322 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  42326 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  42328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  42331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42333 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  42340 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42345 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42350 */     // GIR_Coverage, 5390,
     /*  42350 */     GIR_EraseRootFromParent_Done,
     /*  42351 */   // Label 662: @42351
     /*  42351 */   GIM_Try, /*On fail goto*//*Label 663*/ GIMT_Encode4(42497), // Rule ID 5397 //
     /*  42356 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  42364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  42368 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  42372 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  42376 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  42380 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  42384 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42389 */     // MIs[1] Operand 2
     /*  42389 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  42400 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  42402 */     // (sub:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (SSUBWv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  42402 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  42405 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  42409 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42414 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  42416 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  42419 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  42423 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42428 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  42431 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  42435 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  42438 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42443 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42448 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42453 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  42456 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SSUBWv4i16_v4i32),
     /*  42460 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42465 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  42468 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  42472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  42474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  42477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42479 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  42486 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42491 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42496 */     // GIR_Coverage, 5397,
     /*  42496 */     GIR_EraseRootFromParent_Done,
     /*  42497 */   // Label 663: @42497
     /*  42497 */   GIM_Try, /*On fail goto*//*Label 664*/ GIMT_Encode4(42643), // Rule ID 5389 //
     /*  42502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  42510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  42514 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  42518 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  42522 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  42526 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  42530 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42535 */     // MIs[1] Operand 2
     /*  42535 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  42546 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  42548 */     // (sub:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (USUBWv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  42548 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  42551 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  42555 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42560 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  42562 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  42565 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  42569 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42574 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  42577 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  42581 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  42584 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42589 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42594 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  42602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBWv4i16_v4i32),
     /*  42606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42611 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  42614 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  42618 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  42620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  42623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42625 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  42632 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42637 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42642 */     // GIR_Coverage, 5389,
     /*  42642 */     GIR_EraseRootFromParent_Done,
     /*  42643 */   // Label 664: @42643
     /*  42643 */   GIM_Try, /*On fail goto*//*Label 665*/ GIMT_Encode4(42678), // Rule ID 969 //
     /*  42648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  42651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  42655 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  42661 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  42663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  42669 */     // (sub:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, V64:{ *:[v2i32] }:$Rn)  =>  (NEGv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /*  42669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NEGv2i32),
     /*  42672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  42674 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  42676 */     GIR_RootConstrainSelectedInstOperands,
     /*  42677 */     // GIR_Coverage, 969,
     /*  42677 */     GIR_EraseRootFromParent_Done,
     /*  42678 */   // Label 665: @42678
     /*  42678 */   GIM_Try, /*On fail goto*//*Label 666*/ GIMT_Encode4(42701), // Rule ID 1476 //
     /*  42683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  42686 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42694 */     // (sub:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SUBv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  42694 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUBv2i32),
     /*  42699 */     GIR_RootConstrainSelectedInstOperands,
     /*  42700 */     // GIR_Coverage, 1476,
     /*  42700 */     GIR_Done,
     /*  42701 */   // Label 666: @42701
     /*  42701 */   GIM_Reject,
     /*  42702 */ // Label 654: @42702
     /*  42702 */ GIM_Reject,
     /*  42703 */ // Label 590: @42703
     /*  42703 */ GIM_Try, /*On fail goto*//*Label 667*/ GIMT_Encode4(45162),
     /*  42708 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  42711 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  42714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42718 */   GIM_Try, /*On fail goto*//*Label 668*/ GIMT_Encode4(42832), // Rule ID 2048 //
     /*  42723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  42726 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  42734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  42738 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  42742 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  42746 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  42750 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  42754 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  42758 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  42762 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  42766 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  42770 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  42774 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42779 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  42783 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  42787 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  42791 */     // MIs[4] Operand 1
     /*  42791 */     // No operand predicates
     /*  42791 */     // MIs[2] Operand 2
     /*  42791 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  42802 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  42804 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  42811 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] })))  =>  (SMLSLv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  42811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv4i32_indexed),
     /*  42814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42816 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  42818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  42823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  42827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  42830 */     GIR_RootConstrainSelectedInstOperands,
     /*  42831 */     // GIR_Coverage, 2048,
     /*  42831 */     GIR_EraseRootFromParent_Done,
     /*  42832 */   // Label 668: @42832
     /*  42832 */   GIM_Try, /*On fail goto*//*Label 669*/ GIMT_Encode4(42946), // Rule ID 13412 //
     /*  42837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  42840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  42848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  42852 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  42856 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  42860 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  42864 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  42868 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  42872 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  42876 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  42880 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  42884 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  42888 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42893 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  42897 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  42901 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  42905 */     // MIs[4] Operand 1
     /*  42905 */     // No operand predicates
     /*  42905 */     // MIs[2] Operand 2
     /*  42905 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  42916 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  42918 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  42925 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] }), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)))  =>  (SMLSLv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  42925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv4i32_indexed),
     /*  42928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42930 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  42932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  42937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  42941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  42944 */     GIR_RootConstrainSelectedInstOperands,
     /*  42945 */     // GIR_Coverage, 13412,
     /*  42945 */     GIR_EraseRootFromParent_Done,
     /*  42946 */   // Label 669: @42946
     /*  42946 */   GIM_Try, /*On fail goto*//*Label 670*/ GIMT_Encode4(43060), // Rule ID 2100 //
     /*  42951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  42954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  42962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  42966 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  42970 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  42974 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  42978 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  42982 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  42986 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  42990 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  42994 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  42998 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  43002 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43007 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  43011 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  43015 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  43019 */     // MIs[4] Operand 1
     /*  43019 */     // No operand predicates
     /*  43019 */     // MIs[2] Operand 2
     /*  43019 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  43030 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  43032 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  43039 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] })))  =>  (UMLSLv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  43039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv4i32_indexed),
     /*  43042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43044 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  43046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  43051 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  43055 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  43058 */     GIR_RootConstrainSelectedInstOperands,
     /*  43059 */     // GIR_Coverage, 2100,
     /*  43059 */     GIR_EraseRootFromParent_Done,
     /*  43060 */   // Label 670: @43060
     /*  43060 */   GIM_Try, /*On fail goto*//*Label 671*/ GIMT_Encode4(43174), // Rule ID 13442 //
     /*  43065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  43068 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  43076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  43080 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43084 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  43088 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  43092 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  43096 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  43100 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  43104 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  43108 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  43112 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  43116 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43121 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  43125 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  43129 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  43133 */     // MIs[4] Operand 1
     /*  43133 */     // No operand predicates
     /*  43133 */     // MIs[2] Operand 2
     /*  43133 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  43144 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  43146 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  43153 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] }), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)))  =>  (UMLSLv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  43153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv4i32_indexed),
     /*  43156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43158 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  43160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  43165 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  43169 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  43172 */     GIR_RootConstrainSelectedInstOperands,
     /*  43173 */     // GIR_Coverage, 13442,
     /*  43173 */     GIR_EraseRootFromParent_Done,
     /*  43174 */   // Label 671: @43174
     /*  43174 */   GIM_Try, /*On fail goto*//*Label 672*/ GIMT_Encode4(43239), // Rule ID 1855 //
     /*  43179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  43182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  43186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  43190 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43194 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  43198 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  43202 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43206 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  43208 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  43215 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  43222 */     // (sub:{ *:[v2i64] } (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (USUBLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  43222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i32_v2i64),
     /*  43225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  43227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  43232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  43237 */     GIR_RootConstrainSelectedInstOperands,
     /*  43238 */     // GIR_Coverage, 1855,
     /*  43238 */     GIR_EraseRootFromParent_Done,
     /*  43239 */   // Label 672: @43239
     /*  43239 */   GIM_Try, /*On fail goto*//*Label 673*/ GIMT_Encode4(43304), // Rule ID 1854 //
     /*  43244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  43247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  43251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  43255 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43259 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  43263 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  43267 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43271 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  43273 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  43280 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  43287 */     // (sub:{ *:[v2i64] } (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (USUBLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  43287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i32_v2i64),
     /*  43290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  43292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  43297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  43302 */     GIR_RootConstrainSelectedInstOperands,
     /*  43303 */     // GIR_Coverage, 1854,
     /*  43303 */     GIR_EraseRootFromParent_Done,
     /*  43304 */   // Label 673: @43304
     /*  43304 */   GIM_Try, /*On fail goto*//*Label 674*/ GIMT_Encode4(43369), // Rule ID 1759 //
     /*  43309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  43312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  43316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  43320 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43324 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  43328 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  43332 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43336 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  43338 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  43345 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  43352 */     // (sub:{ *:[v2i64] } (sext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), (sext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (SSUBLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  43352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLv4i32_v2i64),
     /*  43355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  43357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  43362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  43367 */     GIR_RootConstrainSelectedInstOperands,
     /*  43368 */     // GIR_Coverage, 1759,
     /*  43368 */     GIR_EraseRootFromParent_Done,
     /*  43369 */   // Label 674: @43369
     /*  43369 */   GIM_Try, /*On fail goto*//*Label 675*/ GIMT_Encode4(43434), // Rule ID 1853 //
     /*  43374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  43377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  43381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  43385 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43389 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  43393 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  43397 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43401 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  43403 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  43410 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  43417 */     // (sub:{ *:[v2i64] } (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (USUBLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  43417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i32_v2i64),
     /*  43420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  43422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  43427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  43432 */     GIR_RootConstrainSelectedInstOperands,
     /*  43433 */     // GIR_Coverage, 1853,
     /*  43433 */     GIR_EraseRootFromParent_Done,
     /*  43434 */   // Label 675: @43434
     /*  43434 */   GIM_Try, /*On fail goto*//*Label 676*/ GIMT_Encode4(43499), // Rule ID 1852 //
     /*  43439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  43442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  43446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  43450 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43454 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  43458 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  43462 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43466 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  43468 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  43475 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  43482 */     // (sub:{ *:[v2i64] } (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (USUBLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  43482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i32_v2i64),
     /*  43485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  43487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  43492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  43497 */     GIR_RootConstrainSelectedInstOperands,
     /*  43498 */     // GIR_Coverage, 1852,
     /*  43498 */     GIR_EraseRootFromParent_Done,
     /*  43499 */   // Label 676: @43499
     /*  43499 */   GIM_Try, /*On fail goto*//*Label 677*/ GIMT_Encode4(43610), // Rule ID 13410 //
     /*  43504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  43507 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  43515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  43519 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43523 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  43527 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  43531 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  43535 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  43539 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  43543 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  43547 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  43551 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  43555 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43560 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  43564 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  43568 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  43572 */     // MIs[4] Operand 1
     /*  43572 */     // No operand predicates
     /*  43572 */     // MIs[2] Operand 2
     /*  43572 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  43583 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  43588 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  43590 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn))  =>  (SMLSLv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  43590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv2i32_indexed),
     /*  43593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43595 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  43597 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  43601 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  43605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  43608 */     GIR_RootConstrainSelectedInstOperands,
     /*  43609 */     // GIR_Coverage, 13410,
     /*  43609 */     GIR_EraseRootFromParent_Done,
     /*  43610 */   // Label 677: @43610
     /*  43610 */   GIM_Try, /*On fail goto*//*Label 678*/ GIMT_Encode4(43721), // Rule ID 2046 //
     /*  43615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  43618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  43626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  43630 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43634 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  43638 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  43643 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  43647 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  43651 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  43655 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  43659 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  43663 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  43667 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  43671 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43676 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  43680 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  43684 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  43688 */     // MIs[4] Operand 1
     /*  43688 */     // No operand predicates
     /*  43688 */     // MIs[2] Operand 2
     /*  43688 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  43699 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  43701 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] })))  =>  (SMLSLv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  43701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv2i32_indexed),
     /*  43704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43706 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  43708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  43712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  43716 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  43719 */     GIR_RootConstrainSelectedInstOperands,
     /*  43720 */     // GIR_Coverage, 2046,
     /*  43720 */     GIR_EraseRootFromParent_Done,
     /*  43721 */   // Label 678: @43721
     /*  43721 */   GIM_Try, /*On fail goto*//*Label 679*/ GIMT_Encode4(43832), // Rule ID 13440 //
     /*  43726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  43729 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  43737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  43741 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43745 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  43749 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  43753 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  43757 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  43761 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  43765 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  43769 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  43773 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  43777 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43782 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  43786 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  43790 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  43794 */     // MIs[4] Operand 1
     /*  43794 */     // No operand predicates
     /*  43794 */     // MIs[2] Operand 2
     /*  43794 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  43805 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  43810 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  43812 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn))  =>  (UMLSLv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  43812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv2i32_indexed),
     /*  43815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43817 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  43819 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  43823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  43827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  43830 */     GIR_RootConstrainSelectedInstOperands,
     /*  43831 */     // GIR_Coverage, 13440,
     /*  43831 */     GIR_EraseRootFromParent_Done,
     /*  43832 */   // Label 679: @43832
     /*  43832 */   GIM_Try, /*On fail goto*//*Label 680*/ GIMT_Encode4(43943), // Rule ID 2098 //
     /*  43837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  43840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  43848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  43852 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43856 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  43860 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  43865 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  43869 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  43873 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  43877 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  43881 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  43885 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  43889 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  43893 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43898 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  43902 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  43906 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  43910 */     // MIs[4] Operand 1
     /*  43910 */     // No operand predicates
     /*  43910 */     // MIs[2] Operand 2
     /*  43910 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  43921 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  43923 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] })))  =>  (UMLSLv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  43923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv2i32_indexed),
     /*  43926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43928 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  43930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  43934 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  43938 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  43941 */     GIR_RootConstrainSelectedInstOperands,
     /*  43942 */     // GIR_Coverage, 2098,
     /*  43942 */     GIR_EraseRootFromParent_Done,
     /*  43943 */   // Label 680: @43943
     /*  43943 */   GIM_Try, /*On fail goto*//*Label 681*/ GIMT_Encode4(44006), // Rule ID 1735 //
     /*  43948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  43951 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  43959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  43963 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43967 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  43971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  43973 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  43980 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  43987 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (SMLSLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  43987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv4i32_v2i64),
     /*  43990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43992 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  43994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  43999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  44004 */     GIR_RootConstrainSelectedInstOperands,
     /*  44005 */     // GIR_Coverage, 1735,
     /*  44005 */     GIR_EraseRootFromParent_Done,
     /*  44006 */   // Label 681: @44006
     /*  44006 */   GIM_Try, /*On fail goto*//*Label 682*/ GIMT_Encode4(44069), // Rule ID 1825 //
     /*  44011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44014 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  44022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  44026 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44030 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  44034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44036 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  44043 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  44050 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (UMLSLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  44050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv4i32_v2i64),
     /*  44053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44055 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  44057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  44062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  44067 */     GIR_RootConstrainSelectedInstOperands,
     /*  44068 */     // GIR_Coverage, 1825,
     /*  44068 */     GIR_EraseRootFromParent_Done,
     /*  44069 */   // Label 682: @44069
     /*  44069 */   GIM_Try, /*On fail goto*//*Label 683*/ GIMT_Encode4(44157), // Rule ID 13411 //
     /*  44074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44077 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  44085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  44089 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44093 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  44097 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  44101 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  44105 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  44109 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  44113 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44118 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  44122 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  44126 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  44130 */     // MIs[3] Operand 1
     /*  44130 */     // No operand predicates
     /*  44130 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44135 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  44137 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2i32] }:$Rn))  =>  (SMLSLv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  44137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv2i32_indexed),
     /*  44140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44142 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  44144 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  44148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  44152 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  44155 */     GIR_RootConstrainSelectedInstOperands,
     /*  44156 */     // GIR_Coverage, 13411,
     /*  44156 */     GIR_EraseRootFromParent_Done,
     /*  44157 */   // Label 683: @44157
     /*  44157 */   GIM_Try, /*On fail goto*//*Label 684*/ GIMT_Encode4(44245), // Rule ID 2047 //
     /*  44162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  44173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  44177 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44181 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  44185 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44190 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  44194 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  44198 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  44202 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  44206 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44211 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  44215 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  44219 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  44223 */     // MIs[3] Operand 1
     /*  44223 */     // No operand predicates
     /*  44223 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  44225 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (SMLSLv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  44225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv2i32_indexed),
     /*  44228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44230 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  44232 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  44236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  44240 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  44243 */     GIR_RootConstrainSelectedInstOperands,
     /*  44244 */     // GIR_Coverage, 2047,
     /*  44244 */     GIR_EraseRootFromParent_Done,
     /*  44245 */   // Label 684: @44245
     /*  44245 */   GIM_Try, /*On fail goto*//*Label 685*/ GIMT_Encode4(44333), // Rule ID 13441 //
     /*  44250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  44261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  44265 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44269 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  44273 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  44277 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  44281 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  44285 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  44289 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44294 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  44298 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  44302 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  44306 */     // MIs[3] Operand 1
     /*  44306 */     // No operand predicates
     /*  44306 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44311 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  44313 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2i32] }:$Rn))  =>  (UMLSLv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  44313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv2i32_indexed),
     /*  44316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44318 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  44320 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  44324 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  44328 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  44331 */     GIR_RootConstrainSelectedInstOperands,
     /*  44332 */     // GIR_Coverage, 13441,
     /*  44332 */     GIR_EraseRootFromParent_Done,
     /*  44333 */   // Label 685: @44333
     /*  44333 */   GIM_Try, /*On fail goto*//*Label 686*/ GIMT_Encode4(44421), // Rule ID 2099 //
     /*  44338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44341 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  44349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  44353 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44357 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  44361 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44366 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  44370 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  44374 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  44378 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  44382 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44387 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  44391 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  44395 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  44399 */     // MIs[3] Operand 1
     /*  44399 */     // No operand predicates
     /*  44399 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  44401 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (UMLSLv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  44401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv2i32_indexed),
     /*  44404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44406 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  44408 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  44412 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  44416 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  44419 */     GIR_RootConstrainSelectedInstOperands,
     /*  44420 */     // GIR_Coverage, 2099,
     /*  44420 */     GIR_EraseRootFromParent_Done,
     /*  44421 */   // Label 686: @44421
     /*  44421 */   GIM_Try, /*On fail goto*//*Label 687*/ GIMT_Encode4(44468), // Rule ID 1867 //
     /*  44426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44429 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  44437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  44441 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44447 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  44454 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (USUBWv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  44454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv4i32_v2i64),
     /*  44457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  44459 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  44461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  44466 */     GIR_RootConstrainSelectedInstOperands,
     /*  44467 */     // GIR_Coverage, 1867,
     /*  44467 */     GIR_EraseRootFromParent_Done,
     /*  44468 */   // Label 687: @44468
     /*  44468 */   GIM_Try, /*On fail goto*//*Label 688*/ GIMT_Encode4(44515), // Rule ID 1765 //
     /*  44473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  44484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  44488 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44494 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  44501 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (sext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (SSUBWv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  44501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWv4i32_v2i64),
     /*  44504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  44506 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  44508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  44513 */     GIR_RootConstrainSelectedInstOperands,
     /*  44514 */     // GIR_Coverage, 1765,
     /*  44514 */     GIR_EraseRootFromParent_Done,
     /*  44515 */   // Label 688: @44515
     /*  44515 */   GIM_Try, /*On fail goto*//*Label 689*/ GIMT_Encode4(44562), // Rule ID 1866 //
     /*  44520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  44531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  44535 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44541 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  44548 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (USUBWv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  44548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv4i32_v2i64),
     /*  44551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  44553 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  44555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  44560 */     GIR_RootConstrainSelectedInstOperands,
     /*  44561 */     // GIR_Coverage, 1866,
     /*  44561 */     GIR_EraseRootFromParent_Done,
     /*  44562 */   // Label 689: @44562
     /*  44562 */   GIM_Try, /*On fail goto*//*Label 690*/ GIMT_Encode4(44621), // Rule ID 1851 //
     /*  44567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  44574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  44578 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44582 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44587 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  44591 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  44595 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44599 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44604 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  44606 */     // (sub:{ *:[v2i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (USUBLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  44606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv2i32_v2i64),
     /*  44609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  44611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  44615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  44619 */     GIR_RootConstrainSelectedInstOperands,
     /*  44620 */     // GIR_Coverage, 1851,
     /*  44620 */     GIR_EraseRootFromParent_Done,
     /*  44621 */   // Label 690: @44621
     /*  44621 */   GIM_Try, /*On fail goto*//*Label 691*/ GIMT_Encode4(44680), // Rule ID 1850 //
     /*  44626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  44633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  44637 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44641 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44646 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  44650 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  44654 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44658 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44663 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  44665 */     // (sub:{ *:[v2i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (USUBLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  44665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv2i32_v2i64),
     /*  44668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  44670 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  44674 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  44678 */     GIR_RootConstrainSelectedInstOperands,
     /*  44679 */     // GIR_Coverage, 1850,
     /*  44679 */     GIR_EraseRootFromParent_Done,
     /*  44680 */   // Label 691: @44680
     /*  44680 */   GIM_Try, /*On fail goto*//*Label 692*/ GIMT_Encode4(44739), // Rule ID 1758 //
     /*  44685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  44692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  44696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44700 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44705 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  44709 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  44713 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44717 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44722 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  44724 */     // (sub:{ *:[v2i64] } (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (SSUBLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  44724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLv2i32_v2i64),
     /*  44727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  44729 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  44733 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  44737 */     GIR_RootConstrainSelectedInstOperands,
     /*  44738 */     // GIR_Coverage, 1758,
     /*  44738 */     GIR_EraseRootFromParent_Done,
     /*  44739 */   // Label 692: @44739
     /*  44739 */   GIM_Try, /*On fail goto*//*Label 693*/ GIMT_Encode4(44798), // Rule ID 1849 //
     /*  44744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  44751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  44755 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44759 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44764 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  44768 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  44772 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44776 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44781 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  44783 */     // (sub:{ *:[v2i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (USUBLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  44783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv2i32_v2i64),
     /*  44786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  44788 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  44792 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  44796 */     GIR_RootConstrainSelectedInstOperands,
     /*  44797 */     // GIR_Coverage, 1849,
     /*  44797 */     GIR_EraseRootFromParent_Done,
     /*  44798 */   // Label 693: @44798
     /*  44798 */   GIM_Try, /*On fail goto*//*Label 694*/ GIMT_Encode4(44857), // Rule ID 1848 //
     /*  44803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  44810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  44814 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44818 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44823 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  44827 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  44831 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44835 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44840 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  44842 */     // (sub:{ *:[v2i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (USUBLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  44842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv2i32_v2i64),
     /*  44845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  44847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  44851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  44855 */     GIR_RootConstrainSelectedInstOperands,
     /*  44856 */     // GIR_Coverage, 1848,
     /*  44856 */     GIR_EraseRootFromParent_Done,
     /*  44857 */   // Label 694: @44857
     /*  44857 */   GIM_Try, /*On fail goto*//*Label 695*/ GIMT_Encode4(44892), // Rule ID 971 //
     /*  44862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  44869 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  44875 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  44877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44883 */     // (sub:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, V128:{ *:[v2i64] }:$Rn)  =>  (NEGv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /*  44883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NEGv2i64),
     /*  44886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  44888 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  44890 */     GIR_RootConstrainSelectedInstOperands,
     /*  44891 */     // GIR_Coverage, 971,
     /*  44891 */     GIR_EraseRootFromParent_Done,
     /*  44892 */   // Label 695: @44892
     /*  44892 */   GIM_Try, /*On fail goto*//*Label 696*/ GIMT_Encode4(44949), // Rule ID 1734 //
     /*  44897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44900 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  44908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  44912 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44916 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  44920 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44925 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44932 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm))  =>  (SMLSLv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  44932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv2i32_v2i64),
     /*  44935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44937 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  44939 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  44943 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  44947 */     GIR_RootConstrainSelectedInstOperands,
     /*  44948 */     // GIR_Coverage, 1734,
     /*  44948 */     GIR_EraseRootFromParent_Done,
     /*  44949 */   // Label 696: @44949
     /*  44949 */   GIM_Try, /*On fail goto*//*Label 697*/ GIMT_Encode4(45006), // Rule ID 1824 //
     /*  44954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44957 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  44965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  44969 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44973 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  44977 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44982 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44989 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm))  =>  (UMLSLv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  44989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv2i32_v2i64),
     /*  44992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44994 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  44996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  45000 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  45004 */     GIR_RootConstrainSelectedInstOperands,
     /*  45005 */     // GIR_Coverage, 1824,
     /*  45005 */     GIR_EraseRootFromParent_Done,
     /*  45006 */   // Label 697: @45006
     /*  45006 */   GIM_Try, /*On fail goto*//*Label 698*/ GIMT_Encode4(45050), // Rule ID 1865 //
     /*  45011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  45014 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  45026 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  45030 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45037 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (USUBWv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  45037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv2i32_v2i64),
     /*  45040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  45042 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  45044 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  45048 */     GIR_RootConstrainSelectedInstOperands,
     /*  45049 */     // GIR_Coverage, 1865,
     /*  45049 */     GIR_EraseRootFromParent_Done,
     /*  45050 */   // Label 698: @45050
     /*  45050 */   GIM_Try, /*On fail goto*//*Label 699*/ GIMT_Encode4(45094), // Rule ID 1764 //
     /*  45055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  45058 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  45070 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  45074 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45081 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (SSUBWv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  45081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWv2i32_v2i64),
     /*  45084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  45086 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  45088 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  45092 */     GIR_RootConstrainSelectedInstOperands,
     /*  45093 */     // GIR_Coverage, 1764,
     /*  45093 */     GIR_EraseRootFromParent_Done,
     /*  45094 */   // Label 699: @45094
     /*  45094 */   GIM_Try, /*On fail goto*//*Label 700*/ GIMT_Encode4(45138), // Rule ID 1864 //
     /*  45099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  45102 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  45114 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  45118 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45125 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (USUBWv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  45125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv2i32_v2i64),
     /*  45128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  45130 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  45132 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  45136 */     GIR_RootConstrainSelectedInstOperands,
     /*  45137 */     // GIR_Coverage, 1864,
     /*  45137 */     GIR_EraseRootFromParent_Done,
     /*  45138 */   // Label 700: @45138
     /*  45138 */   GIM_Try, /*On fail goto*//*Label 701*/ GIMT_Encode4(45161), // Rule ID 1478 //
     /*  45143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  45146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45154 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (SUBv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /*  45154 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUBv2i64),
     /*  45159 */     GIR_RootConstrainSelectedInstOperands,
     /*  45160 */     // GIR_Coverage, 1478,
     /*  45160 */     GIR_Done,
     /*  45161 */   // Label 701: @45161
     /*  45161 */   GIM_Reject,
     /*  45162 */ // Label 667: @45162
     /*  45162 */ GIM_Reject,
     /*  45163 */ // Label 591: @45163
     /*  45163 */ GIM_Try, /*On fail goto*//*Label 702*/ GIMT_Encode4(46653),
     /*  45168 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  45171 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  45174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45178 */   GIM_Try, /*On fail goto*//*Label 703*/ GIMT_Encode4(45310), // Rule ID 5378 //
     /*  45183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  45187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  45191 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  45195 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  45199 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  45203 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  45207 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45212 */     // MIs[1] Operand 2
     /*  45212 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  45223 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  45227 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  45231 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  45235 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  45239 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  45243 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  45247 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45252 */     // MIs[3] Operand 2
     /*  45252 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  45263 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  45265 */     // (sub:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (USUBLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  45265 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  45268 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i8_v8i16),
     /*  45272 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  45281 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  45285 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  45287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  45290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45292 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  45299 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45304 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45309 */     // GIR_Coverage, 5378,
     /*  45309 */     GIR_EraseRootFromParent_Done,
     /*  45310 */   // Label 703: @45310
     /*  45310 */   GIM_Try, /*On fail goto*//*Label 704*/ GIMT_Encode4(45442), // Rule ID 5377 //
     /*  45315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  45319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  45323 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  45327 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  45331 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  45335 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  45339 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45344 */     // MIs[1] Operand 2
     /*  45344 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  45355 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  45359 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  45363 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  45367 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  45371 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  45375 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  45379 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45384 */     // MIs[3] Operand 2
     /*  45384 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  45395 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  45397 */     // (sub:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (USUBLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  45397 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  45400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i8_v8i16),
     /*  45404 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45409 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  45413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  45417 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  45419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  45422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45424 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  45431 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45436 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45441 */     // GIR_Coverage, 5377,
     /*  45441 */     GIR_EraseRootFromParent_Done,
     /*  45442 */   // Label 704: @45442
     /*  45442 */   GIM_Try, /*On fail goto*//*Label 705*/ GIMT_Encode4(45574), // Rule ID 5393 //
     /*  45447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  45451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  45455 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  45459 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  45463 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  45467 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  45471 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45476 */     // MIs[1] Operand 2
     /*  45476 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  45487 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  45491 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  45495 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  45499 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  45503 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  45507 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  45511 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45516 */     // MIs[3] Operand 2
     /*  45516 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  45527 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  45529 */     // (sub:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (SSUBLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  45529 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  45532 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SSUBLv8i8_v8i16),
     /*  45536 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  45545 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  45549 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  45551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  45554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45556 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  45563 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45568 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45573 */     // GIR_Coverage, 5393,
     /*  45573 */     GIR_EraseRootFromParent_Done,
     /*  45574 */   // Label 705: @45574
     /*  45574 */   GIM_Try, /*On fail goto*//*Label 706*/ GIMT_Encode4(45706), // Rule ID 5376 //
     /*  45579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  45583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  45587 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  45591 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  45595 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  45599 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  45603 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45608 */     // MIs[1] Operand 2
     /*  45608 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  45619 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  45623 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  45627 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  45631 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  45635 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  45639 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  45643 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45648 */     // MIs[3] Operand 2
     /*  45648 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  45659 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  45661 */     // (sub:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (USUBLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  45661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  45664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i8_v8i16),
     /*  45668 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45673 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  45677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  45681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  45683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  45686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45688 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  45695 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45700 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45705 */     // GIR_Coverage, 5376,
     /*  45705 */     GIR_EraseRootFromParent_Done,
     /*  45706 */   // Label 706: @45706
     /*  45706 */   GIM_Try, /*On fail goto*//*Label 707*/ GIMT_Encode4(45838), // Rule ID 5375 //
     /*  45711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  45715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  45719 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  45723 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  45727 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  45731 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  45735 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45740 */     // MIs[1] Operand 2
     /*  45740 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  45751 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  45755 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  45759 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  45763 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  45767 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  45771 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  45775 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45780 */     // MIs[3] Operand 2
     /*  45780 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  45791 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  45793 */     // (sub:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (USUBLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  45793 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  45796 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i8_v8i16),
     /*  45800 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  45809 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  45813 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  45815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  45818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45820 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  45827 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45832 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45837 */     // GIR_Coverage, 5375,
     /*  45837 */     GIR_EraseRootFromParent_Done,
     /*  45838 */   // Label 707: @45838
     /*  45838 */   GIM_Try, /*On fail goto*//*Label 708*/ GIMT_Encode4(45997), // Rule ID 5348 //
     /*  45843 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  45855 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  45859 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  45863 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_SMULL),
     /*  45867 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  45871 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  45875 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45880 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45885 */     // MIs[1] Operand 2
     /*  45885 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  45896 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  45898 */     // (sub:{ *:[v4i16] } V64:{ *:[v4i16] }:$Ra, (extract_subvector:{ *:[v4i16] } (AArch64smull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (SMLSLv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  45898 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  45901 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  45905 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45910 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  45912 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  45915 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  45919 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45924 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  45927 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*  45931 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  45934 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45939 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45944 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45949 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  45952 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv8i8_v8i16),
     /*  45956 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45961 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  45964 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  45968 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  45972 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  45974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  45977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45979 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  45986 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45991 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45996 */     // GIR_Coverage, 5348,
     /*  45996 */     GIR_EraseRootFromParent_Done,
     /*  45997 */   // Label 708: @45997
     /*  45997 */   GIM_Try, /*On fail goto*//*Label 709*/ GIMT_Encode4(46156), // Rule ID 5345 //
     /*  46002 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  46010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  46014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  46018 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  46022 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UMULL),
     /*  46026 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  46030 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  46034 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46039 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46044 */     // MIs[1] Operand 2
     /*  46044 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  46055 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  46057 */     // (sub:{ *:[v4i16] } V64:{ *:[v4i16] }:$Ra, (extract_subvector:{ *:[v4i16] } (AArch64umull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (UMLSLv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  46057 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  46060 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  46064 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46069 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  46071 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  46074 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  46078 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46083 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  46086 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*  46090 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  46093 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46098 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46103 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46108 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  46111 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv8i8_v8i16),
     /*  46115 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46120 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  46123 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  46127 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  46131 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  46133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46138 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  46145 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46150 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46155 */     // GIR_Coverage, 5345,
     /*  46155 */     GIR_EraseRootFromParent_Done,
     /*  46156 */   // Label 709: @46156
     /*  46156 */   GIM_Try, /*On fail goto*//*Label 710*/ GIMT_Encode4(46302), // Rule ID 5388 //
     /*  46161 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  46169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  46173 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  46177 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  46181 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  46185 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  46189 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46194 */     // MIs[1] Operand 2
     /*  46194 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  46205 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  46207 */     // (sub:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (USUBWv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  46207 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  46210 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  46214 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46219 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  46221 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  46224 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  46228 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46233 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  46236 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  46240 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  46243 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46248 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46253 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46258 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  46261 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBWv8i8_v8i16),
     /*  46265 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46270 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  46273 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  46277 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  46279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46284 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  46291 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46296 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46301 */     // GIR_Coverage, 5388,
     /*  46301 */     GIR_EraseRootFromParent_Done,
     /*  46302 */   // Label 710: @46302
     /*  46302 */   GIM_Try, /*On fail goto*//*Label 711*/ GIMT_Encode4(46448), // Rule ID 5396 //
     /*  46307 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  46315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  46319 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  46323 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  46327 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  46331 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  46335 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46340 */     // MIs[1] Operand 2
     /*  46340 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  46351 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  46353 */     // (sub:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (SSUBWv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  46353 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  46356 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  46360 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46365 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  46367 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  46370 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  46374 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46379 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  46382 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  46386 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  46389 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46394 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46399 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46404 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  46407 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SSUBWv8i8_v8i16),
     /*  46411 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46416 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  46419 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  46423 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  46425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46430 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  46437 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46442 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46447 */     // GIR_Coverage, 5396,
     /*  46447 */     GIR_EraseRootFromParent_Done,
     /*  46448 */   // Label 711: @46448
     /*  46448 */   GIM_Try, /*On fail goto*//*Label 712*/ GIMT_Encode4(46594), // Rule ID 5387 //
     /*  46453 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  46461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  46465 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  46469 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  46473 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  46477 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  46481 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46486 */     // MIs[1] Operand 2
     /*  46486 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  46497 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  46499 */     // (sub:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (USUBWv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  46499 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  46502 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  46506 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46511 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  46513 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  46516 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  46520 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46525 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  46528 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  46532 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  46535 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46540 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46545 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46550 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  46553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBWv8i8_v8i16),
     /*  46557 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46562 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  46565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  46569 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  46571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46576 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  46583 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46588 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46593 */     // GIR_Coverage, 5387,
     /*  46593 */     GIR_EraseRootFromParent_Done,
     /*  46594 */   // Label 712: @46594
     /*  46594 */   GIM_Try, /*On fail goto*//*Label 713*/ GIMT_Encode4(46629), // Rule ID 967 //
     /*  46599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  46602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  46606 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  46612 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  46614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46618 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  46620 */     // (sub:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, V64:{ *:[v4i16] }:$Rn)  =>  (NEGv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /*  46620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NEGv4i16),
     /*  46623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  46625 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  46627 */     GIR_RootConstrainSelectedInstOperands,
     /*  46628 */     // GIR_Coverage, 967,
     /*  46628 */     GIR_EraseRootFromParent_Done,
     /*  46629 */   // Label 713: @46629
     /*  46629 */   GIM_Try, /*On fail goto*//*Label 714*/ GIMT_Encode4(46652), // Rule ID 1474 //
     /*  46634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  46637 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46645 */     // (sub:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SUBv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  46645 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUBv4i16),
     /*  46650 */     GIR_RootConstrainSelectedInstOperands,
     /*  46651 */     // GIR_Coverage, 1474,
     /*  46651 */     GIR_Done,
     /*  46652 */   // Label 714: @46652
     /*  46652 */   GIM_Reject,
     /*  46653 */ // Label 702: @46653
     /*  46653 */ GIM_Reject,
     /*  46654 */ // Label 592: @46654
     /*  46654 */ GIM_Try, /*On fail goto*//*Label 715*/ GIMT_Encode4(49113),
     /*  46659 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  46662 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  46665 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46669 */   GIM_Try, /*On fail goto*//*Label 716*/ GIMT_Encode4(46783), // Rule ID 2045 //
     /*  46674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  46677 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  46685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  46689 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  46693 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  46697 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  46701 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  46705 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  46709 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  46713 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  46717 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  46721 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  46725 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  46730 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  46734 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  46738 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  46742 */     // MIs[4] Operand 1
     /*  46742 */     // No operand predicates
     /*  46742 */     // MIs[2] Operand 2
     /*  46742 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  46753 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  46755 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  46762 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] })))  =>  (SMLSLv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  46762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv8i16_indexed),
     /*  46765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46767 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  46769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  46774 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  46778 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  46781 */     GIR_RootConstrainSelectedInstOperands,
     /*  46782 */     // GIR_Coverage, 2045,
     /*  46782 */     GIR_EraseRootFromParent_Done,
     /*  46783 */   // Label 716: @46783
     /*  46783 */   GIM_Try, /*On fail goto*//*Label 717*/ GIMT_Encode4(46897), // Rule ID 13409 //
     /*  46788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  46791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  46799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  46803 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  46807 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  46811 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  46815 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  46819 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  46823 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  46827 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  46831 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  46835 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  46839 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  46844 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  46848 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  46852 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  46856 */     // MIs[4] Operand 1
     /*  46856 */     // No operand predicates
     /*  46856 */     // MIs[2] Operand 2
     /*  46856 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  46867 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  46869 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  46876 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] }), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)))  =>  (SMLSLv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  46876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv8i16_indexed),
     /*  46879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46881 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  46883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  46888 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  46892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  46895 */     GIR_RootConstrainSelectedInstOperands,
     /*  46896 */     // GIR_Coverage, 13409,
     /*  46896 */     GIR_EraseRootFromParent_Done,
     /*  46897 */   // Label 717: @46897
     /*  46897 */   GIM_Try, /*On fail goto*//*Label 718*/ GIMT_Encode4(47011), // Rule ID 2097 //
     /*  46902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  46905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  46913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  46917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  46921 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  46925 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  46929 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  46933 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  46937 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  46941 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  46945 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  46949 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  46953 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  46958 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  46962 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  46966 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  46970 */     // MIs[4] Operand 1
     /*  46970 */     // No operand predicates
     /*  46970 */     // MIs[2] Operand 2
     /*  46970 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  46981 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  46983 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  46990 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] })))  =>  (UMLSLv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  46990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv8i16_indexed),
     /*  46993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46995 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  46997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  47002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  47006 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  47009 */     GIR_RootConstrainSelectedInstOperands,
     /*  47010 */     // GIR_Coverage, 2097,
     /*  47010 */     GIR_EraseRootFromParent_Done,
     /*  47011 */   // Label 718: @47011
     /*  47011 */   GIM_Try, /*On fail goto*//*Label 719*/ GIMT_Encode4(47125), // Rule ID 13439 //
     /*  47016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47019 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  47023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  47027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  47031 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47035 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  47039 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  47043 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  47047 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  47051 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  47055 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  47059 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  47063 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  47067 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  47072 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  47076 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  47080 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  47084 */     // MIs[4] Operand 1
     /*  47084 */     // No operand predicates
     /*  47084 */     // MIs[2] Operand 2
     /*  47084 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  47095 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  47097 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  47104 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] }), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)))  =>  (UMLSLv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  47104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv8i16_indexed),
     /*  47107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47109 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  47111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  47116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  47120 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  47123 */     GIR_RootConstrainSelectedInstOperands,
     /*  47124 */     // GIR_Coverage, 13439,
     /*  47124 */     GIR_EraseRootFromParent_Done,
     /*  47125 */   // Label 719: @47125
     /*  47125 */   GIM_Try, /*On fail goto*//*Label 720*/ GIMT_Encode4(47190), // Rule ID 1847 //
     /*  47130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  47137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  47141 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47145 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  47149 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  47153 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47157 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  47159 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  47166 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  47173 */     // (sub:{ *:[v4i32] } (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (USUBLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  47173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i16_v4i32),
     /*  47176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  47183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  47188 */     GIR_RootConstrainSelectedInstOperands,
     /*  47189 */     // GIR_Coverage, 1847,
     /*  47189 */     GIR_EraseRootFromParent_Done,
     /*  47190 */   // Label 720: @47190
     /*  47190 */   GIM_Try, /*On fail goto*//*Label 721*/ GIMT_Encode4(47255), // Rule ID 1846 //
     /*  47195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  47202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  47206 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47210 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  47214 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  47218 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47222 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  47224 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  47231 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  47238 */     // (sub:{ *:[v4i32] } (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (USUBLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  47238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i16_v4i32),
     /*  47241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  47248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  47253 */     GIR_RootConstrainSelectedInstOperands,
     /*  47254 */     // GIR_Coverage, 1846,
     /*  47254 */     GIR_EraseRootFromParent_Done,
     /*  47255 */   // Label 721: @47255
     /*  47255 */   GIM_Try, /*On fail goto*//*Label 722*/ GIMT_Encode4(47320), // Rule ID 1757 //
     /*  47260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  47267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  47271 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47275 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  47279 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  47283 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47287 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  47289 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  47296 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  47303 */     // (sub:{ *:[v4i32] } (sext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), (sext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (SSUBLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  47303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLv8i16_v4i32),
     /*  47306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  47313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  47318 */     GIR_RootConstrainSelectedInstOperands,
     /*  47319 */     // GIR_Coverage, 1757,
     /*  47319 */     GIR_EraseRootFromParent_Done,
     /*  47320 */   // Label 722: @47320
     /*  47320 */   GIM_Try, /*On fail goto*//*Label 723*/ GIMT_Encode4(47385), // Rule ID 1845 //
     /*  47325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  47332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  47336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47340 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  47344 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  47348 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47352 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  47354 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  47361 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  47368 */     // (sub:{ *:[v4i32] } (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (USUBLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  47368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i16_v4i32),
     /*  47371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  47378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  47383 */     GIR_RootConstrainSelectedInstOperands,
     /*  47384 */     // GIR_Coverage, 1845,
     /*  47384 */     GIR_EraseRootFromParent_Done,
     /*  47385 */   // Label 723: @47385
     /*  47385 */   GIM_Try, /*On fail goto*//*Label 724*/ GIMT_Encode4(47450), // Rule ID 1844 //
     /*  47390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  47397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  47401 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47405 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  47409 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  47413 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47417 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  47419 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  47426 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  47433 */     // (sub:{ *:[v4i32] } (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (USUBLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  47433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i16_v4i32),
     /*  47436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  47443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  47448 */     GIR_RootConstrainSelectedInstOperands,
     /*  47449 */     // GIR_Coverage, 1844,
     /*  47449 */     GIR_EraseRootFromParent_Done,
     /*  47450 */   // Label 724: @47450
     /*  47450 */   GIM_Try, /*On fail goto*//*Label 725*/ GIMT_Encode4(47561), // Rule ID 13407 //
     /*  47455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47458 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  47462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  47466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  47470 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47474 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  47478 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  47482 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  47486 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  47490 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  47494 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  47498 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  47502 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  47506 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  47511 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  47515 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  47519 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  47523 */     // MIs[4] Operand 1
     /*  47523 */     // No operand predicates
     /*  47523 */     // MIs[2] Operand 2
     /*  47523 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  47534 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  47539 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  47541 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn))  =>  (SMLSLv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  47541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv4i16_indexed),
     /*  47544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47546 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  47548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  47552 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  47556 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  47559 */     GIR_RootConstrainSelectedInstOperands,
     /*  47560 */     // GIR_Coverage, 13407,
     /*  47560 */     GIR_EraseRootFromParent_Done,
     /*  47561 */   // Label 725: @47561
     /*  47561 */   GIM_Try, /*On fail goto*//*Label 726*/ GIMT_Encode4(47672), // Rule ID 2043 //
     /*  47566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  47573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  47577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  47581 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47585 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  47589 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  47594 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  47598 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  47602 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  47606 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  47610 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  47614 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  47618 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  47622 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  47627 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  47631 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  47635 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  47639 */     // MIs[4] Operand 1
     /*  47639 */     // No operand predicates
     /*  47639 */     // MIs[2] Operand 2
     /*  47639 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  47650 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  47652 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] })))  =>  (SMLSLv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  47652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv4i16_indexed),
     /*  47655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47657 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  47659 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  47663 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  47667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  47670 */     GIR_RootConstrainSelectedInstOperands,
     /*  47671 */     // GIR_Coverage, 2043,
     /*  47671 */     GIR_EraseRootFromParent_Done,
     /*  47672 */   // Label 726: @47672
     /*  47672 */   GIM_Try, /*On fail goto*//*Label 727*/ GIMT_Encode4(47783), // Rule ID 13437 //
     /*  47677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47680 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  47684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  47688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  47692 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47696 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  47700 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  47704 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  47708 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  47712 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  47716 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  47720 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  47724 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  47728 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  47733 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  47737 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  47741 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  47745 */     // MIs[4] Operand 1
     /*  47745 */     // No operand predicates
     /*  47745 */     // MIs[2] Operand 2
     /*  47745 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  47756 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  47761 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  47763 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn))  =>  (UMLSLv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  47763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv4i16_indexed),
     /*  47766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47768 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  47770 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  47774 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  47778 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  47781 */     GIR_RootConstrainSelectedInstOperands,
     /*  47782 */     // GIR_Coverage, 13437,
     /*  47782 */     GIR_EraseRootFromParent_Done,
     /*  47783 */   // Label 727: @47783
     /*  47783 */   GIM_Try, /*On fail goto*//*Label 728*/ GIMT_Encode4(47894), // Rule ID 2095 //
     /*  47788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  47795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  47799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  47803 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47807 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  47811 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  47816 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  47820 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  47824 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  47828 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  47832 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  47836 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  47840 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  47844 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  47849 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  47853 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  47857 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  47861 */     // MIs[4] Operand 1
     /*  47861 */     // No operand predicates
     /*  47861 */     // MIs[2] Operand 2
     /*  47861 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  47872 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  47874 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] })))  =>  (UMLSLv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  47874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv4i16_indexed),
     /*  47877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47879 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  47881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  47885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  47889 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  47892 */     GIR_RootConstrainSelectedInstOperands,
     /*  47893 */     // GIR_Coverage, 2095,
     /*  47893 */     GIR_EraseRootFromParent_Done,
     /*  47894 */   // Label 728: @47894
     /*  47894 */   GIM_Try, /*On fail goto*//*Label 729*/ GIMT_Encode4(47957), // Rule ID 1733 //
     /*  47899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47902 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  47906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  47910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  47914 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47918 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  47922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  47924 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  47931 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  47938 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (SMLSLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  47938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv8i16_v4i32),
     /*  47941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47943 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  47945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  47950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  47955 */     GIR_RootConstrainSelectedInstOperands,
     /*  47956 */     // GIR_Coverage, 1733,
     /*  47956 */     GIR_EraseRootFromParent_Done,
     /*  47957 */   // Label 729: @47957
     /*  47957 */   GIM_Try, /*On fail goto*//*Label 730*/ GIMT_Encode4(48020), // Rule ID 1823 //
     /*  47962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47965 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  47969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  47973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  47977 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47981 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  47985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  47987 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  47994 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  48001 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (UMLSLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  48001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv8i16_v4i32),
     /*  48004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48006 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  48008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  48013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  48018 */     GIR_RootConstrainSelectedInstOperands,
     /*  48019 */     // GIR_Coverage, 1823,
     /*  48019 */     GIR_EraseRootFromParent_Done,
     /*  48020 */   // Label 730: @48020
     /*  48020 */   GIM_Try, /*On fail goto*//*Label 731*/ GIMT_Encode4(48108), // Rule ID 13408 //
     /*  48025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  48032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  48036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  48040 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48044 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  48048 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  48052 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  48056 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  48060 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  48064 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  48069 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  48073 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  48077 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  48081 */     // MIs[3] Operand 1
     /*  48081 */     // No operand predicates
     /*  48081 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48086 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  48088 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4i16] }:$Rn))  =>  (SMLSLv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  48088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv4i16_indexed),
     /*  48091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48093 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  48095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  48099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  48103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  48106 */     GIR_RootConstrainSelectedInstOperands,
     /*  48107 */     // GIR_Coverage, 13408,
     /*  48107 */     GIR_EraseRootFromParent_Done,
     /*  48108 */   // Label 731: @48108
     /*  48108 */   GIM_Try, /*On fail goto*//*Label 732*/ GIMT_Encode4(48196), // Rule ID 2044 //
     /*  48113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48116 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  48120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  48124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  48128 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48132 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  48136 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48141 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  48145 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  48149 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  48153 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  48157 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  48162 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  48166 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  48170 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  48174 */     // MIs[3] Operand 1
     /*  48174 */     // No operand predicates
     /*  48174 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  48176 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)))  =>  (SMLSLv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  48176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv4i16_indexed),
     /*  48179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48181 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  48183 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  48187 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  48191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  48194 */     GIR_RootConstrainSelectedInstOperands,
     /*  48195 */     // GIR_Coverage, 2044,
     /*  48195 */     GIR_EraseRootFromParent_Done,
     /*  48196 */   // Label 732: @48196
     /*  48196 */   GIM_Try, /*On fail goto*//*Label 733*/ GIMT_Encode4(48284), // Rule ID 13438 //
     /*  48201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48204 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  48208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  48212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  48216 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48220 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  48224 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  48228 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  48232 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  48236 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  48240 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  48245 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  48249 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  48253 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  48257 */     // MIs[3] Operand 1
     /*  48257 */     // No operand predicates
     /*  48257 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48262 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  48264 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4i16] }:$Rn))  =>  (UMLSLv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  48264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv4i16_indexed),
     /*  48267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48269 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  48271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  48275 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  48279 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  48282 */     GIR_RootConstrainSelectedInstOperands,
     /*  48283 */     // GIR_Coverage, 13438,
     /*  48283 */     GIR_EraseRootFromParent_Done,
     /*  48284 */   // Label 733: @48284
     /*  48284 */   GIM_Try, /*On fail goto*//*Label 734*/ GIMT_Encode4(48372), // Rule ID 2096 //
     /*  48289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48292 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  48296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  48300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  48304 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48308 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  48312 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48317 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  48321 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  48325 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  48329 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  48333 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  48338 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  48342 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  48346 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  48350 */     // MIs[3] Operand 1
     /*  48350 */     // No operand predicates
     /*  48350 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  48352 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)))  =>  (UMLSLv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  48352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv4i16_indexed),
     /*  48355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48357 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  48359 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  48363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  48367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  48370 */     GIR_RootConstrainSelectedInstOperands,
     /*  48371 */     // GIR_Coverage, 2096,
     /*  48371 */     GIR_EraseRootFromParent_Done,
     /*  48372 */   // Label 734: @48372
     /*  48372 */   GIM_Try, /*On fail goto*//*Label 735*/ GIMT_Encode4(48419), // Rule ID 1863 //
     /*  48377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48380 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  48384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  48388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  48392 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  48398 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  48405 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (USUBWv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  48405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv8i16_v4i32),
     /*  48408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48410 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  48412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  48417 */     GIR_RootConstrainSelectedInstOperands,
     /*  48418 */     // GIR_Coverage, 1863,
     /*  48418 */     GIR_EraseRootFromParent_Done,
     /*  48419 */   // Label 735: @48419
     /*  48419 */   GIM_Try, /*On fail goto*//*Label 736*/ GIMT_Encode4(48466), // Rule ID 1763 //
     /*  48424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48427 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  48431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  48435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  48439 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  48445 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  48452 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (sext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (SSUBWv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  48452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWv8i16_v4i32),
     /*  48455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48457 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  48459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  48464 */     GIR_RootConstrainSelectedInstOperands,
     /*  48465 */     // GIR_Coverage, 1763,
     /*  48465 */     GIR_EraseRootFromParent_Done,
     /*  48466 */   // Label 736: @48466
     /*  48466 */   GIM_Try, /*On fail goto*//*Label 737*/ GIMT_Encode4(48513), // Rule ID 1862 //
     /*  48471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48474 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  48478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  48482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  48486 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48490 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  48492 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  48499 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (USUBWv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  48499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv8i16_v4i32),
     /*  48502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48504 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  48506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  48511 */     GIR_RootConstrainSelectedInstOperands,
     /*  48512 */     // GIR_Coverage, 1862,
     /*  48512 */     GIR_EraseRootFromParent_Done,
     /*  48513 */   // Label 737: @48513
     /*  48513 */   GIM_Try, /*On fail goto*//*Label 738*/ GIMT_Encode4(48572), // Rule ID 1843 //
     /*  48518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  48525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  48529 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48533 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48538 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  48542 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  48546 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48550 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48555 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  48557 */     // (sub:{ *:[v4i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (USUBLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  48557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i16_v4i32),
     /*  48560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48562 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  48566 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  48570 */     GIR_RootConstrainSelectedInstOperands,
     /*  48571 */     // GIR_Coverage, 1843,
     /*  48571 */     GIR_EraseRootFromParent_Done,
     /*  48572 */   // Label 738: @48572
     /*  48572 */   GIM_Try, /*On fail goto*//*Label 739*/ GIMT_Encode4(48631), // Rule ID 1842 //
     /*  48577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  48584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  48588 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48592 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48597 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  48601 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  48605 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48609 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48614 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  48616 */     // (sub:{ *:[v4i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (USUBLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  48616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i16_v4i32),
     /*  48619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  48625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  48629 */     GIR_RootConstrainSelectedInstOperands,
     /*  48630 */     // GIR_Coverage, 1842,
     /*  48630 */     GIR_EraseRootFromParent_Done,
     /*  48631 */   // Label 739: @48631
     /*  48631 */   GIM_Try, /*On fail goto*//*Label 740*/ GIMT_Encode4(48690), // Rule ID 1756 //
     /*  48636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  48643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  48647 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48651 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48656 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  48660 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  48664 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48668 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48673 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  48675 */     // (sub:{ *:[v4i32] } (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (SSUBLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  48675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLv4i16_v4i32),
     /*  48678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  48684 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  48688 */     GIR_RootConstrainSelectedInstOperands,
     /*  48689 */     // GIR_Coverage, 1756,
     /*  48689 */     GIR_EraseRootFromParent_Done,
     /*  48690 */   // Label 740: @48690
     /*  48690 */   GIM_Try, /*On fail goto*//*Label 741*/ GIMT_Encode4(48749), // Rule ID 1841 //
     /*  48695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  48702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  48706 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48710 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48715 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  48719 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  48723 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48727 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48732 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  48734 */     // (sub:{ *:[v4i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (USUBLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  48734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i16_v4i32),
     /*  48737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48739 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  48743 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  48747 */     GIR_RootConstrainSelectedInstOperands,
     /*  48748 */     // GIR_Coverage, 1841,
     /*  48748 */     GIR_EraseRootFromParent_Done,
     /*  48749 */   // Label 741: @48749
     /*  48749 */   GIM_Try, /*On fail goto*//*Label 742*/ GIMT_Encode4(48808), // Rule ID 1840 //
     /*  48754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  48761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  48765 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48769 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48774 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  48778 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  48782 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48786 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48791 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  48793 */     // (sub:{ *:[v4i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (USUBLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  48793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i16_v4i32),
     /*  48796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  48802 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  48806 */     GIR_RootConstrainSelectedInstOperands,
     /*  48807 */     // GIR_Coverage, 1840,
     /*  48807 */     GIR_EraseRootFromParent_Done,
     /*  48808 */   // Label 742: @48808
     /*  48808 */   GIM_Try, /*On fail goto*//*Label 743*/ GIMT_Encode4(48843), // Rule ID 970 //
     /*  48813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  48820 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  48826 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  48828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  48832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  48834 */     // (sub:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, V128:{ *:[v4i32] }:$Rn)  =>  (NEGv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /*  48834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NEGv4i32),
     /*  48837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48839 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  48841 */     GIR_RootConstrainSelectedInstOperands,
     /*  48842 */     // GIR_Coverage, 970,
     /*  48842 */     GIR_EraseRootFromParent_Done,
     /*  48843 */   // Label 743: @48843
     /*  48843 */   GIM_Try, /*On fail goto*//*Label 744*/ GIMT_Encode4(48900), // Rule ID 1732 //
     /*  48848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48851 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  48855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  48859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  48863 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48867 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  48871 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48876 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  48883 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm))  =>  (SMLSLv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  48883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv4i16_v4i32),
     /*  48886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48888 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  48890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  48894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  48898 */     GIR_RootConstrainSelectedInstOperands,
     /*  48899 */     // GIR_Coverage, 1732,
     /*  48899 */     GIR_EraseRootFromParent_Done,
     /*  48900 */   // Label 744: @48900
     /*  48900 */   GIM_Try, /*On fail goto*//*Label 745*/ GIMT_Encode4(48957), // Rule ID 1822 //
     /*  48905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48908 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  48912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  48916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  48920 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48924 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  48928 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48933 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  48940 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm))  =>  (UMLSLv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  48940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv4i16_v4i32),
     /*  48943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48945 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  48947 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  48951 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  48955 */     GIR_RootConstrainSelectedInstOperands,
     /*  48956 */     // GIR_Coverage, 1822,
     /*  48956 */     GIR_EraseRootFromParent_Done,
     /*  48957 */   // Label 745: @48957
     /*  48957 */   GIM_Try, /*On fail goto*//*Label 746*/ GIMT_Encode4(49001), // Rule ID 1861 //
     /*  48962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48965 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  48969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  48973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  48977 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48981 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48986 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  48988 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (USUBWv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  48988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv4i16_v4i32),
     /*  48991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48993 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  48995 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  48999 */     GIR_RootConstrainSelectedInstOperands,
     /*  49000 */     // GIR_Coverage, 1861,
     /*  49000 */     GIR_EraseRootFromParent_Done,
     /*  49001 */   // Label 746: @49001
     /*  49001 */   GIM_Try, /*On fail goto*//*Label 747*/ GIMT_Encode4(49045), // Rule ID 1762 //
     /*  49006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  49017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  49021 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  49025 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49032 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (SSUBWv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  49032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWv4i16_v4i32),
     /*  49035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49037 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  49039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  49043 */     GIR_RootConstrainSelectedInstOperands,
     /*  49044 */     // GIR_Coverage, 1762,
     /*  49044 */     GIR_EraseRootFromParent_Done,
     /*  49045 */   // Label 747: @49045
     /*  49045 */   GIM_Try, /*On fail goto*//*Label 748*/ GIMT_Encode4(49089), // Rule ID 1860 //
     /*  49050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  49061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  49065 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  49069 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49076 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (USUBWv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  49076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv4i16_v4i32),
     /*  49079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49081 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  49083 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  49087 */     GIR_RootConstrainSelectedInstOperands,
     /*  49088 */     // GIR_Coverage, 1860,
     /*  49088 */     GIR_EraseRootFromParent_Done,
     /*  49089 */   // Label 748: @49089
     /*  49089 */   GIM_Try, /*On fail goto*//*Label 749*/ GIMT_Encode4(49112), // Rule ID 1477 //
     /*  49094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49105 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SUBv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  49105 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUBv4i32),
     /*  49110 */     GIR_RootConstrainSelectedInstOperands,
     /*  49111 */     // GIR_Coverage, 1477,
     /*  49111 */     GIR_Done,
     /*  49112 */   // Label 749: @49112
     /*  49112 */   GIM_Reject,
     /*  49113 */ // Label 715: @49113
     /*  49113 */ GIM_Reject,
     /*  49114 */ // Label 593: @49114
     /*  49114 */ GIM_Try, /*On fail goto*//*Label 750*/ GIMT_Encode4(49188),
     /*  49119 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49122 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  49125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49129 */   GIM_Try, /*On fail goto*//*Label 751*/ GIMT_Encode4(49164), // Rule ID 965 //
     /*  49134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49141 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  49147 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  49149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49155 */     // (sub:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, V64:{ *:[v8i8] }:$Rn)  =>  (NEGv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /*  49155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NEGv8i8),
     /*  49158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49160 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  49162 */     GIR_RootConstrainSelectedInstOperands,
     /*  49163 */     // GIR_Coverage, 965,
     /*  49163 */     GIR_EraseRootFromParent_Done,
     /*  49164 */   // Label 751: @49164
     /*  49164 */   GIM_Try, /*On fail goto*//*Label 752*/ GIMT_Encode4(49187), // Rule ID 1472 //
     /*  49169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49172 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49180 */     // (sub:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SUBv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  49180 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUBv8i8),
     /*  49185 */     GIR_RootConstrainSelectedInstOperands,
     /*  49186 */     // GIR_Coverage, 1472,
     /*  49186 */     GIR_Done,
     /*  49187 */   // Label 752: @49187
     /*  49187 */   GIM_Reject,
     /*  49188 */ // Label 750: @49188
     /*  49188 */ GIM_Reject,
     /*  49189 */ // Label 594: @49189
     /*  49189 */ GIM_Try, /*On fail goto*//*Label 753*/ GIMT_Encode4(50396),
     /*  49194 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  49197 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  49200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49204 */   GIM_Try, /*On fail goto*//*Label 754*/ GIMT_Encode4(49269), // Rule ID 1839 //
     /*  49209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  49220 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49224 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  49228 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  49232 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49236 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  49238 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49245 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49252 */     // (sub:{ *:[v8i16] } (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn)), (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (USUBLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  49252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv16i8_v8i16),
     /*  49255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  49262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  49267 */     GIR_RootConstrainSelectedInstOperands,
     /*  49268 */     // GIR_Coverage, 1839,
     /*  49268 */     GIR_EraseRootFromParent_Done,
     /*  49269 */   // Label 754: @49269
     /*  49269 */   GIM_Try, /*On fail goto*//*Label 755*/ GIMT_Encode4(49334), // Rule ID 1838 //
     /*  49274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  49285 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49289 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  49293 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  49297 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49301 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  49303 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49310 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49317 */     // (sub:{ *:[v8i16] } (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn)), (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (USUBLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  49317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv16i8_v8i16),
     /*  49320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  49327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  49332 */     GIR_RootConstrainSelectedInstOperands,
     /*  49333 */     // GIR_Coverage, 1838,
     /*  49333 */     GIR_EraseRootFromParent_Done,
     /*  49334 */   // Label 755: @49334
     /*  49334 */   GIM_Try, /*On fail goto*//*Label 756*/ GIMT_Encode4(49399), // Rule ID 1755 //
     /*  49339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  49350 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49354 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  49358 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  49362 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49366 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  49368 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49375 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49382 */     // (sub:{ *:[v8i16] } (sext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn)), (sext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (SSUBLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  49382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLv16i8_v8i16),
     /*  49385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  49392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  49397 */     GIR_RootConstrainSelectedInstOperands,
     /*  49398 */     // GIR_Coverage, 1755,
     /*  49398 */     GIR_EraseRootFromParent_Done,
     /*  49399 */   // Label 756: @49399
     /*  49399 */   GIM_Try, /*On fail goto*//*Label 757*/ GIMT_Encode4(49464), // Rule ID 1837 //
     /*  49404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  49415 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49419 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  49423 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  49427 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49431 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  49433 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49440 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49447 */     // (sub:{ *:[v8i16] } (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn)), (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (USUBLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  49447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv16i8_v8i16),
     /*  49450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  49457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  49462 */     GIR_RootConstrainSelectedInstOperands,
     /*  49463 */     // GIR_Coverage, 1837,
     /*  49463 */     GIR_EraseRootFromParent_Done,
     /*  49464 */   // Label 757: @49464
     /*  49464 */   GIM_Try, /*On fail goto*//*Label 758*/ GIMT_Encode4(49529), // Rule ID 1836 //
     /*  49469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  49480 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49484 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  49488 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  49492 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49496 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  49498 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49505 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49512 */     // (sub:{ *:[v8i16] } (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn)), (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (USUBLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  49512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv16i8_v8i16),
     /*  49515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  49522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  49527 */     GIR_RootConstrainSelectedInstOperands,
     /*  49528 */     // GIR_Coverage, 1836,
     /*  49528 */     GIR_EraseRootFromParent_Done,
     /*  49529 */   // Label 758: @49529
     /*  49529 */   GIM_Try, /*On fail goto*//*Label 759*/ GIMT_Encode4(49592), // Rule ID 1731 //
     /*  49534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49537 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  49545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  49549 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49553 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  49557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49559 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49566 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49573 */     // (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64smull:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (SMLSLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  49573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv16i8_v8i16),
     /*  49576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  49578 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  49580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  49585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  49590 */     GIR_RootConstrainSelectedInstOperands,
     /*  49591 */     // GIR_Coverage, 1731,
     /*  49591 */     GIR_EraseRootFromParent_Done,
     /*  49592 */   // Label 759: @49592
     /*  49592 */   GIM_Try, /*On fail goto*//*Label 760*/ GIMT_Encode4(49655), // Rule ID 1821 //
     /*  49597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  49608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  49612 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49616 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  49620 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49622 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49629 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49636 */     // (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64umull:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (UMLSLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  49636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv16i8_v8i16),
     /*  49639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  49641 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  49643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  49648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  49653 */     GIR_RootConstrainSelectedInstOperands,
     /*  49654 */     // GIR_Coverage, 1821,
     /*  49654 */     GIR_EraseRootFromParent_Done,
     /*  49655 */   // Label 760: @49655
     /*  49655 */   GIM_Try, /*On fail goto*//*Label 761*/ GIMT_Encode4(49702), // Rule ID 1859 //
     /*  49660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49663 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  49671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  49675 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49681 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49688 */     // (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (USUBWv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  49688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv16i8_v8i16),
     /*  49691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49693 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  49695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  49700 */     GIR_RootConstrainSelectedInstOperands,
     /*  49701 */     // GIR_Coverage, 1859,
     /*  49701 */     GIR_EraseRootFromParent_Done,
     /*  49702 */   // Label 761: @49702
     /*  49702 */   GIM_Try, /*On fail goto*//*Label 762*/ GIMT_Encode4(49749), // Rule ID 1761 //
     /*  49707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49710 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  49718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  49722 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49728 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49735 */     // (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (sext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (SSUBWv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  49735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWv16i8_v8i16),
     /*  49738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49740 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  49742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  49747 */     GIR_RootConstrainSelectedInstOperands,
     /*  49748 */     // GIR_Coverage, 1761,
     /*  49748 */     GIR_EraseRootFromParent_Done,
     /*  49749 */   // Label 762: @49749
     /*  49749 */   GIM_Try, /*On fail goto*//*Label 763*/ GIMT_Encode4(49796), // Rule ID 1858 //
     /*  49754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49757 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  49765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  49769 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49775 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49782 */     // (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (USUBWv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  49782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv16i8_v8i16),
     /*  49785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49787 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  49789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  49794 */     GIR_RootConstrainSelectedInstOperands,
     /*  49795 */     // GIR_Coverage, 1858,
     /*  49795 */     GIR_EraseRootFromParent_Done,
     /*  49796 */   // Label 763: @49796
     /*  49796 */   GIM_Try, /*On fail goto*//*Label 764*/ GIMT_Encode4(49855), // Rule ID 1835 //
     /*  49801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  49812 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49816 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49821 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  49825 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  49829 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49833 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49838 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  49840 */     // (sub:{ *:[v8i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (USUBLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  49840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i8_v8i16),
     /*  49843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  49849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  49853 */     GIR_RootConstrainSelectedInstOperands,
     /*  49854 */     // GIR_Coverage, 1835,
     /*  49854 */     GIR_EraseRootFromParent_Done,
     /*  49855 */   // Label 764: @49855
     /*  49855 */   GIM_Try, /*On fail goto*//*Label 765*/ GIMT_Encode4(49914), // Rule ID 1834 //
     /*  49860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  49871 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49875 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49880 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  49884 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  49888 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49892 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49897 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  49899 */     // (sub:{ *:[v8i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (USUBLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  49899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i8_v8i16),
     /*  49902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49904 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  49908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  49912 */     GIR_RootConstrainSelectedInstOperands,
     /*  49913 */     // GIR_Coverage, 1834,
     /*  49913 */     GIR_EraseRootFromParent_Done,
     /*  49914 */   // Label 765: @49914
     /*  49914 */   GIM_Try, /*On fail goto*//*Label 766*/ GIMT_Encode4(49973), // Rule ID 1754 //
     /*  49919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  49930 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49934 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49939 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  49943 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  49947 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49951 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49956 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  49958 */     // (sub:{ *:[v8i16] } (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (SSUBLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  49958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLv8i8_v8i16),
     /*  49961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  49967 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  49971 */     GIR_RootConstrainSelectedInstOperands,
     /*  49972 */     // GIR_Coverage, 1754,
     /*  49972 */     GIR_EraseRootFromParent_Done,
     /*  49973 */   // Label 766: @49973
     /*  49973 */   GIM_Try, /*On fail goto*//*Label 767*/ GIMT_Encode4(50032), // Rule ID 1833 //
     /*  49978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  49989 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49993 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49998 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  50002 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  50006 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  50010 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  50015 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  50017 */     // (sub:{ *:[v8i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (USUBLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  50017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i8_v8i16),
     /*  50020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  50026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  50030 */     GIR_RootConstrainSelectedInstOperands,
     /*  50031 */     // GIR_Coverage, 1833,
     /*  50031 */     GIR_EraseRootFromParent_Done,
     /*  50032 */   // Label 767: @50032
     /*  50032 */   GIM_Try, /*On fail goto*//*Label 768*/ GIMT_Encode4(50091), // Rule ID 1832 //
     /*  50037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  50048 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  50052 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  50057 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  50061 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  50065 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  50069 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  50074 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  50076 */     // (sub:{ *:[v8i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (USUBLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  50076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i8_v8i16),
     /*  50079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50081 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  50085 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  50089 */     GIR_RootConstrainSelectedInstOperands,
     /*  50090 */     // GIR_Coverage, 1832,
     /*  50090 */     GIR_EraseRootFromParent_Done,
     /*  50091 */   // Label 768: @50091
     /*  50091 */   GIM_Try, /*On fail goto*//*Label 769*/ GIMT_Encode4(50126), // Rule ID 968 //
     /*  50096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50103 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  50109 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  50111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  50115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50117 */     // (sub:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, V128:{ *:[v8i16] }:$Rn)  =>  (NEGv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /*  50117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NEGv8i16),
     /*  50120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50122 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  50124 */     GIR_RootConstrainSelectedInstOperands,
     /*  50125 */     // GIR_Coverage, 968,
     /*  50125 */     GIR_EraseRootFromParent_Done,
     /*  50126 */   // Label 769: @50126
     /*  50126 */   GIM_Try, /*On fail goto*//*Label 770*/ GIMT_Encode4(50183), // Rule ID 1730 //
     /*  50131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50134 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  50138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  50142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  50146 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  50150 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  50154 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  50159 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  50164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50166 */     // (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64smull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm))  =>  (SMLSLv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  50166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv8i8_v8i16),
     /*  50169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  50171 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  50173 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  50177 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  50181 */     GIR_RootConstrainSelectedInstOperands,
     /*  50182 */     // GIR_Coverage, 1730,
     /*  50182 */     GIR_EraseRootFromParent_Done,
     /*  50183 */   // Label 770: @50183
     /*  50183 */   GIM_Try, /*On fail goto*//*Label 771*/ GIMT_Encode4(50240), // Rule ID 1820 //
     /*  50188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50191 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  50195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  50199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  50203 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  50207 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  50211 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  50216 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  50221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50223 */     // (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64umull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm))  =>  (UMLSLv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  50223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv8i8_v8i16),
     /*  50226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  50228 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  50230 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  50234 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  50238 */     GIR_RootConstrainSelectedInstOperands,
     /*  50239 */     // GIR_Coverage, 1820,
     /*  50239 */     GIR_EraseRootFromParent_Done,
     /*  50240 */   // Label 771: @50240
     /*  50240 */   GIM_Try, /*On fail goto*//*Label 772*/ GIMT_Encode4(50284), // Rule ID 1857 //
     /*  50245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50248 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  50252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  50256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  50260 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  50264 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  50269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50271 */     // (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (USUBWv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  50271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv8i8_v8i16),
     /*  50274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50276 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  50278 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  50282 */     GIR_RootConstrainSelectedInstOperands,
     /*  50283 */     // GIR_Coverage, 1857,
     /*  50283 */     GIR_EraseRootFromParent_Done,
     /*  50284 */   // Label 772: @50284
     /*  50284 */   GIM_Try, /*On fail goto*//*Label 773*/ GIMT_Encode4(50328), // Rule ID 1760 //
     /*  50289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50292 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  50296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  50300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  50304 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  50308 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  50313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50315 */     // (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (SSUBWv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  50315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWv8i8_v8i16),
     /*  50318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50320 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  50322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  50326 */     GIR_RootConstrainSelectedInstOperands,
     /*  50327 */     // GIR_Coverage, 1760,
     /*  50327 */     GIR_EraseRootFromParent_Done,
     /*  50328 */   // Label 773: @50328
     /*  50328 */   GIM_Try, /*On fail goto*//*Label 774*/ GIMT_Encode4(50372), // Rule ID 1856 //
     /*  50333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50336 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  50340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  50344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  50348 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  50352 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  50357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50359 */     // (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (USUBWv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  50359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv8i8_v8i16),
     /*  50362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50364 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  50366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  50370 */     GIR_RootConstrainSelectedInstOperands,
     /*  50371 */     // GIR_Coverage, 1856,
     /*  50371 */     GIR_EraseRootFromParent_Done,
     /*  50372 */   // Label 774: @50372
     /*  50372 */   GIM_Try, /*On fail goto*//*Label 775*/ GIMT_Encode4(50395), // Rule ID 1475 //
     /*  50377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50380 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  50384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  50388 */     // (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SUBv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  50388 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUBv8i16),
     /*  50393 */     GIR_RootConstrainSelectedInstOperands,
     /*  50394 */     // GIR_Coverage, 1475,
     /*  50394 */     GIR_Done,
     /*  50395 */   // Label 775: @50395
     /*  50395 */   GIM_Reject,
     /*  50396 */ // Label 753: @50396
     /*  50396 */ GIM_Reject,
     /*  50397 */ // Label 595: @50397
     /*  50397 */ GIM_Try, /*On fail goto*//*Label 776*/ GIMT_Encode4(50471),
     /*  50402 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  50405 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  50408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  50412 */   GIM_Try, /*On fail goto*//*Label 777*/ GIMT_Encode4(50447), // Rule ID 966 //
     /*  50417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50424 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  50430 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  50432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  50436 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50438 */     // (sub:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, V128:{ *:[v16i8] }:$Rn)  =>  (NEGv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /*  50438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NEGv16i8),
     /*  50441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50443 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  50445 */     GIR_RootConstrainSelectedInstOperands,
     /*  50446 */     // GIR_Coverage, 966,
     /*  50446 */     GIR_EraseRootFromParent_Done,
     /*  50447 */   // Label 777: @50447
     /*  50447 */   GIM_Try, /*On fail goto*//*Label 778*/ GIMT_Encode4(50470), // Rule ID 1473 //
     /*  50452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  50459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  50463 */     // (sub:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SUBv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  50463 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUBv16i8),
     /*  50468 */     GIR_RootConstrainSelectedInstOperands,
     /*  50469 */     // GIR_Coverage, 1473,
     /*  50469 */     GIR_Done,
     /*  50470 */   // Label 778: @50470
     /*  50470 */   GIM_Reject,
     /*  50471 */ // Label 776: @50471
     /*  50471 */ GIM_Reject,
     /*  50472 */ // Label 596: @50472
     /*  50472 */ GIM_Try, /*On fail goto*//*Label 779*/ GIMT_Encode4(50497), // Rule ID 7386 //
     /*  50477 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  50480 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  50483 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  50486 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  50490 */   // (sub:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SUB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  50490 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUB_ZZZ_D),
     /*  50495 */   GIR_RootConstrainSelectedInstOperands,
     /*  50496 */   // GIR_Coverage, 7386,
     /*  50496 */   GIR_Done,
     /*  50497 */ // Label 779: @50497
     /*  50497 */ GIM_Reject,
     /*  50498 */ // Label 597: @50498
     /*  50498 */ GIM_Try, /*On fail goto*//*Label 780*/ GIMT_Encode4(50523), // Rule ID 7385 //
     /*  50503 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  50506 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  50509 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  50512 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  50516 */   // (sub:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SUB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  50516 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUB_ZZZ_S),
     /*  50521 */   GIR_RootConstrainSelectedInstOperands,
     /*  50522 */   // GIR_Coverage, 7385,
     /*  50522 */   GIR_Done,
     /*  50523 */ // Label 780: @50523
     /*  50523 */ GIM_Reject,
     /*  50524 */ // Label 598: @50524
     /*  50524 */ GIM_Try, /*On fail goto*//*Label 781*/ GIMT_Encode4(50549), // Rule ID 7384 //
     /*  50529 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  50532 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  50535 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  50538 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  50542 */   // (sub:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SUB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  50542 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUB_ZZZ_H),
     /*  50547 */   GIR_RootConstrainSelectedInstOperands,
     /*  50548 */   // GIR_Coverage, 7384,
     /*  50548 */   GIR_Done,
     /*  50549 */ // Label 781: @50549
     /*  50549 */ GIM_Reject,
     /*  50550 */ // Label 599: @50550
     /*  50550 */ GIM_Try, /*On fail goto*//*Label 782*/ GIMT_Encode4(50575), // Rule ID 7383 //
     /*  50555 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  50558 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  50561 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  50564 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  50568 */   // (sub:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SUB_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  50568 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUB_ZZZ_B),
     /*  50573 */   GIR_RootConstrainSelectedInstOperands,
     /*  50574 */   // GIR_Coverage, 7383,
     /*  50574 */   GIR_Done,
     /*  50575 */ // Label 782: @50575
     /*  50575 */ GIM_Reject,
     /*  50576 */ // Label 600: @50576
     /*  50576 */ GIM_Reject,
     /*  50577 */ // Label 2: @50577
     /*  50577 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(12), /*)*//*default:*//*Label 791*/ GIMT_Encode4(52405),
     /*  50588 */ /*GILLT_s32*//*Label 783*/ GIMT_Encode4(50628),
     /*  50592 */ /*GILLT_s64*//*Label 784*/ GIMT_Encode4(50785), GIMT_Encode4(0),
     /*  50600 */ /*GILLT_v2s32*//*Label 785*/ GIMT_Encode4(51329), GIMT_Encode4(0),
     /*  50608 */ /*GILLT_v4s16*//*Label 786*/ GIMT_Encode4(51667),
     /*  50612 */ /*GILLT_v4s32*//*Label 787*/ GIMT_Encode4(52005),
     /*  50616 */ /*GILLT_v8s8*//*Label 788*/ GIMT_Encode4(52171),
     /*  50620 */ /*GILLT_v8s16*//*Label 789*/ GIMT_Encode4(52205),
     /*  50624 */ /*GILLT_v16s8*//*Label 790*/ GIMT_Encode4(52371),
     /*  50628 */ // Label 783: @50628
     /*  50628 */ GIM_Try, /*On fail goto*//*Label 792*/ GIMT_Encode4(50784),
     /*  50633 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  50636 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  50639 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50643 */   GIM_Try, /*On fail goto*//*Label 793*/ GIMT_Encode4(50698), // Rule ID 3945 //
     /*  50648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  50656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  50660 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  50664 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 0,
     /*  50668 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50679 */     // (mul:{ *:[i32] } (sub:{ *:[i32] } 0:{ *:[i32] }, GPR32:{ *:[i32] }:$Rn), GPR32:{ *:[i32] }:$Rm)  =>  (MSUBWrrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, WZR:{ *:[i32] })
     /*  50679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSUBWrrr),
     /*  50682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50684 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  50688 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  50690 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  50696 */     GIR_RootConstrainSelectedInstOperands,
     /*  50697 */     // GIR_Coverage, 3945,
     /*  50697 */     GIR_EraseRootFromParent_Done,
     /*  50698 */   // Label 793: @50698
     /*  50698 */   GIM_Try, /*On fail goto*//*Label 794*/ GIMT_Encode4(50753), // Rule ID 13692 //
     /*  50703 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  50711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  50715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  50719 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  50723 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 0,
     /*  50727 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50734 */     // (mul:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, (sub:{ *:[i32] } 0:{ *:[i32] }, GPR32:{ *:[i32] }:$Rn))  =>  (MSUBWrrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, WZR:{ *:[i32] })
     /*  50734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSUBWrrr),
     /*  50737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50739 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  50743 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /*  50745 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  50751 */     GIR_RootConstrainSelectedInstOperands,
     /*  50752 */     // GIR_Coverage, 13692,
     /*  50752 */     GIR_EraseRootFromParent_Done,
     /*  50753 */   // Label 794: @50753
     /*  50753 */   GIM_Try, /*On fail goto*//*Label 795*/ GIMT_Encode4(50783), // Rule ID 3941 //
     /*  50758 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50766 */     // (mul:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (MADDWrrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, WZR:{ *:[i32] })
     /*  50766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MADDWrrr),
     /*  50769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50771 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  50773 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  50775 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  50781 */     GIR_RootConstrainSelectedInstOperands,
     /*  50782 */     // GIR_Coverage, 3941,
     /*  50782 */     GIR_EraseRootFromParent_Done,
     /*  50783 */   // Label 795: @50783
     /*  50783 */   GIM_Reject,
     /*  50784 */ // Label 792: @50784
     /*  50784 */ GIM_Reject,
     /*  50785 */ // Label 784: @50785
     /*  50785 */ GIM_Try, /*On fail goto*//*Label 796*/ GIMT_Encode4(51328),
     /*  50790 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  50793 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  50796 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  50800 */   GIM_Try, /*On fail goto*//*Label 797*/ GIMT_Encode4(50855), // Rule ID 3946 //
     /*  50805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  50813 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  50817 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  50821 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 0,
     /*  50825 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  50830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  50834 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50836 */     // (mul:{ *:[i64] } (sub:{ *:[i64] } 0:{ *:[i64] }, GPR64:{ *:[i64] }:$Rn), GPR64:{ *:[i64] }:$Rm)  =>  (MSUBXrrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, XZR:{ *:[i64] })
     /*  50836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSUBXrrr),
     /*  50839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  50845 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  50847 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  50853 */     GIR_RootConstrainSelectedInstOperands,
     /*  50854 */     // GIR_Coverage, 3946,
     /*  50854 */     GIR_EraseRootFromParent_Done,
     /*  50855 */   // Label 797: @50855
     /*  50855 */   GIM_Try, /*On fail goto*//*Label 798*/ GIMT_Encode4(50910), // Rule ID 13693 //
     /*  50860 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  50864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  50868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  50872 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  50876 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  50880 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 0,
     /*  50884 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  50889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50891 */     // (mul:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, (sub:{ *:[i64] } 0:{ *:[i64] }, GPR64:{ *:[i64] }:$Rn))  =>  (MSUBXrrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, XZR:{ *:[i64] })
     /*  50891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSUBXrrr),
     /*  50894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50896 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  50900 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /*  50902 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  50908 */     GIR_RootConstrainSelectedInstOperands,
     /*  50909 */     // GIR_Coverage, 13693,
     /*  50909 */     GIR_EraseRootFromParent_Done,
     /*  50910 */   // Label 798: @50910
     /*  50910 */   GIM_Try, /*On fail goto*//*Label 799*/ GIMT_Encode4(51023), // Rule ID 3957 //
     /*  50915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  50923 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  50927 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  50932 */     // MIs[1] Operand 2
     /*  50932 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /*  50943 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  50947 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  50951 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_s64imm_32bit),
     /*  50955 */     // MIs[2] Operand 1
     /*  50955 */     // No operand predicates
     /*  50955 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  50957 */     // (mul:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, i32:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_s64imm_32bit>>:$C)  =>  (SMADDLrrr:{ *:[i64] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, sub_32:{ *:[i32] }), (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), XZR:{ *:[i64] })
     /*  50957 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  50960 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*  50964 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  50969 */     GIR_CustomRenderer, /*InsnID*/2, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*  50974 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  50976 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  50979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  50983 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  50988 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // Rn
     /*  50994 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50999 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMADDLrrr),
     /*  51007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  51009 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  51012 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  51015 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51021 */     GIR_RootConstrainSelectedInstOperands,
     /*  51022 */     // GIR_Coverage, 3957,
     /*  51022 */     GIR_EraseRootFromParent_Done,
     /*  51023 */   // Label 799: @51023
     /*  51023 */   GIM_Try, /*On fail goto*//*Label 800*/ GIMT_Encode4(51098), // Rule ID 3955 //
     /*  51028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  51036 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  51040 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51045 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  51049 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  51053 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_s64imm_32bit),
     /*  51057 */     // MIs[2] Operand 1
     /*  51057 */     // No operand predicates
     /*  51057 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  51059 */     // (mul:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (imm:{ *:[i64] })<<P:Predicate_s64imm_32bit>>:$C)  =>  (SMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), XZR:{ *:[i64] })
     /*  51059 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  51062 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*  51066 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51071 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*  51076 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  51078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMADDLrrr),
     /*  51081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  51083 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  51087 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  51090 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51096 */     GIR_RootConstrainSelectedInstOperands,
     /*  51097 */     // GIR_Coverage, 3955,
     /*  51097 */     GIR_EraseRootFromParent_Done,
     /*  51098 */   // Label 800: @51098
     /*  51098 */   GIM_Try, /*On fail goto*//*Label 801*/ GIMT_Encode4(51173), // Rule ID 3956 //
     /*  51103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  51111 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  51115 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51120 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  51124 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  51128 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64imm_32bit),
     /*  51132 */     // MIs[2] Operand 1
     /*  51132 */     // No operand predicates
     /*  51132 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  51134 */     // (mul:{ *:[i64] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (imm:{ *:[i64] })<<P:Predicate_i64imm_32bit>>:$C)  =>  (UMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), XZR:{ *:[i64] })
     /*  51134 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  51137 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*  51141 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51146 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*  51151 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  51153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMADDLrrr),
     /*  51156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  51158 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  51162 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  51165 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51171 */     GIR_RootConstrainSelectedInstOperands,
     /*  51172 */     // GIR_Coverage, 3956,
     /*  51172 */     GIR_EraseRootFromParent_Done,
     /*  51173 */   // Label 801: @51173
     /*  51173 */   GIM_Try, /*On fail goto*//*Label 802*/ GIMT_Encode4(51235), // Rule ID 3949 //
     /*  51178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  51186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  51190 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51195 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  51199 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  51203 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  51207 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51212 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  51214 */     // (mul:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (SMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, XZR:{ *:[i64] })
     /*  51214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMADDLrrr),
     /*  51217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  51219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  51223 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  51227 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51233 */     GIR_RootConstrainSelectedInstOperands,
     /*  51234 */     // GIR_Coverage, 3949,
     /*  51234 */     GIR_EraseRootFromParent_Done,
     /*  51235 */   // Label 802: @51235
     /*  51235 */   GIM_Try, /*On fail goto*//*Label 803*/ GIMT_Encode4(51297), // Rule ID 3952 //
     /*  51240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  51248 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  51252 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51257 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  51261 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  51265 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  51269 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51274 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  51276 */     // (mul:{ *:[i64] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (UMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, XZR:{ *:[i64] })
     /*  51276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMADDLrrr),
     /*  51279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  51281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  51285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  51289 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51295 */     GIR_RootConstrainSelectedInstOperands,
     /*  51296 */     // GIR_Coverage, 3952,
     /*  51296 */     GIR_EraseRootFromParent_Done,
     /*  51297 */   // Label 803: @51297
     /*  51297 */   GIM_Try, /*On fail goto*//*Label 804*/ GIMT_Encode4(51327), // Rule ID 3942 //
     /*  51302 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51310 */     // (mul:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (MADDXrrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, XZR:{ *:[i64] })
     /*  51310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MADDXrrr),
     /*  51313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  51315 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  51317 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  51319 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51325 */     GIR_RootConstrainSelectedInstOperands,
     /*  51326 */     // GIR_Coverage, 3942,
     /*  51326 */     GIR_EraseRootFromParent_Done,
     /*  51327 */   // Label 804: @51327
     /*  51327 */   GIM_Reject,
     /*  51328 */ // Label 796: @51328
     /*  51328 */ GIM_Reject,
     /*  51329 */ // Label 785: @51329
     /*  51329 */ GIM_Try, /*On fail goto*//*Label 805*/ GIMT_Encode4(51666),
     /*  51334 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  51337 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  51340 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  51344 */   GIM_Try, /*On fail goto*//*Label 806*/ GIMT_Encode4(51430), // Rule ID 13386 //
     /*  51349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  51352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  51360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  51364 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  51368 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  51372 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  51376 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  51380 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  51385 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  51389 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  51393 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  51397 */     // MIs[3] Operand 1
     /*  51397 */     // No operand predicates
     /*  51397 */     // MIs[1] Operand 2
     /*  51397 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  51408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  51412 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  51414 */     // (mul:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn)  =>  (MULv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  51414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv2i32_indexed),
     /*  51417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  51419 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  51421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  51425 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  51428 */     GIR_RootConstrainSelectedInstOperands,
     /*  51429 */     // GIR_Coverage, 13386,
     /*  51429 */     GIR_EraseRootFromParent_Done,
     /*  51430 */   // Label 806: @51430
     /*  51430 */   GIM_Try, /*On fail goto*//*Label 807*/ GIMT_Encode4(51516), // Rule ID 2034 //
     /*  51435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  51438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  51442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  51446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  51450 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  51454 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  51458 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  51462 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  51466 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  51470 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  51475 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  51479 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  51483 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  51487 */     // MIs[3] Operand 1
     /*  51487 */     // No operand predicates
     /*  51487 */     // MIs[1] Operand 2
     /*  51487 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  51498 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  51500 */     // (mul:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }))  =>  (MULv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  51500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv2i32_indexed),
     /*  51503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  51505 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  51507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  51511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  51514 */     GIR_RootConstrainSelectedInstOperands,
     /*  51515 */     // GIR_Coverage, 2034,
     /*  51515 */     GIR_EraseRootFromParent_Done,
     /*  51516 */   // Label 807: @51516
     /*  51516 */   GIM_Try, /*On fail goto*//*Label 808*/ GIMT_Encode4(51579), // Rule ID 13387 //
     /*  51521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  51524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  51532 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  51536 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  51540 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  51545 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  51549 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  51553 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  51557 */     // MIs[2] Operand 1
     /*  51557 */     // No operand predicates
     /*  51557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  51561 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  51563 */     // (mul:{ *:[v2i32] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2i32] }:$Rn)  =>  (MULv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  51563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv2i32_indexed),
     /*  51566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  51568 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  51570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  51574 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /*  51577 */     GIR_RootConstrainSelectedInstOperands,
     /*  51578 */     // GIR_Coverage, 13387,
     /*  51578 */     GIR_EraseRootFromParent_Done,
     /*  51579 */   // Label 808: @51579
     /*  51579 */   GIM_Try, /*On fail goto*//*Label 809*/ GIMT_Encode4(51642), // Rule ID 2035 //
     /*  51584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  51587 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  51591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  51595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  51599 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  51603 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  51607 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  51612 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  51616 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  51620 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  51624 */     // MIs[2] Operand 1
     /*  51624 */     // No operand predicates
     /*  51624 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  51626 */     // (mul:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (MULv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  51626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv2i32_indexed),
     /*  51629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  51631 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  51633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  51637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /*  51640 */     GIR_RootConstrainSelectedInstOperands,
     /*  51641 */     // GIR_Coverage, 2035,
     /*  51641 */     GIR_EraseRootFromParent_Done,
     /*  51642 */   // Label 809: @51642
     /*  51642 */   GIM_Try, /*On fail goto*//*Label 810*/ GIMT_Encode4(51665), // Rule ID 1352 //
     /*  51647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  51650 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  51654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  51658 */     // (mul:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (MULv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  51658 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::MULv2i32),
     /*  51663 */     GIR_RootConstrainSelectedInstOperands,
     /*  51664 */     // GIR_Coverage, 1352,
     /*  51664 */     GIR_Done,
     /*  51665 */   // Label 810: @51665
     /*  51665 */   GIM_Reject,
     /*  51666 */ // Label 805: @51666
     /*  51666 */ GIM_Reject,
     /*  51667 */ // Label 786: @51667
     /*  51667 */ GIM_Try, /*On fail goto*//*Label 811*/ GIMT_Encode4(52004),
     /*  51672 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  51675 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  51678 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  51682 */   GIM_Try, /*On fail goto*//*Label 812*/ GIMT_Encode4(51768), // Rule ID 13383 //
     /*  51687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  51690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  51698 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  51702 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  51706 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  51710 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  51714 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  51718 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  51723 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  51727 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  51731 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  51735 */     // MIs[3] Operand 1
     /*  51735 */     // No operand predicates
     /*  51735 */     // MIs[1] Operand 2
     /*  51735 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  51746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  51750 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  51752 */     // (mul:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn)  =>  (MULv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  51752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv4i16_indexed),
     /*  51755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  51757 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  51759 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  51763 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  51766 */     GIR_RootConstrainSelectedInstOperands,
     /*  51767 */     // GIR_Coverage, 13383,
     /*  51767 */     GIR_EraseRootFromParent_Done,
     /*  51768 */   // Label 812: @51768
     /*  51768 */   GIM_Try, /*On fail goto*//*Label 813*/ GIMT_Encode4(51854), // Rule ID 2031 //
     /*  51773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  51776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  51780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  51784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  51788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  51792 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  51796 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  51800 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  51804 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  51808 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  51813 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  51817 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  51821 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  51825 */     // MIs[3] Operand 1
     /*  51825 */     // No operand predicates
     /*  51825 */     // MIs[1] Operand 2
     /*  51825 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  51836 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  51838 */     // (mul:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }))  =>  (MULv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  51838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv4i16_indexed),
     /*  51841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  51843 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  51845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  51849 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  51852 */     GIR_RootConstrainSelectedInstOperands,
     /*  51853 */     // GIR_Coverage, 2031,
     /*  51853 */     GIR_EraseRootFromParent_Done,
     /*  51854 */   // Label 813: @51854
     /*  51854 */   GIM_Try, /*On fail goto*//*Label 814*/ GIMT_Encode4(51917), // Rule ID 13384 //
     /*  51859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  51862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  51870 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  51874 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  51878 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  51883 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  51887 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  51891 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  51895 */     // MIs[2] Operand 1
     /*  51895 */     // No operand predicates
     /*  51895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  51899 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  51901 */     // (mul:{ *:[v4i16] } (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4i16] }:$Rn)  =>  (MULv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  51901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv4i16_indexed),
     /*  51904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  51906 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  51908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  51912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /*  51915 */     GIR_RootConstrainSelectedInstOperands,
     /*  51916 */     // GIR_Coverage, 13384,
     /*  51916 */     GIR_EraseRootFromParent_Done,
     /*  51917 */   // Label 814: @51917
     /*  51917 */   GIM_Try, /*On fail goto*//*Label 815*/ GIMT_Encode4(51980), // Rule ID 2032 //
     /*  51922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  51925 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  51929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  51933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  51937 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  51941 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  51945 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  51950 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  51954 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  51958 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  51962 */     // MIs[2] Operand 1
     /*  51962 */     // No operand predicates
     /*  51962 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  51964 */     // (mul:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (MULv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  51964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv4i16_indexed),
     /*  51967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  51969 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  51971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  51975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /*  51978 */     GIR_RootConstrainSelectedInstOperands,
     /*  51979 */     // GIR_Coverage, 2032,
     /*  51979 */     GIR_EraseRootFromParent_Done,
     /*  51980 */   // Label 815: @51980
     /*  51980 */   GIM_Try, /*On fail goto*//*Label 816*/ GIMT_Encode4(52003), // Rule ID 1350 //
     /*  51985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  51988 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  51992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  51996 */     // (mul:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (MULv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  51996 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::MULv4i16),
     /*  52001 */     GIR_RootConstrainSelectedInstOperands,
     /*  52002 */     // GIR_Coverage, 1350,
     /*  52002 */     GIR_Done,
     /*  52003 */   // Label 816: @52003
     /*  52003 */   GIM_Reject,
     /*  52004 */ // Label 811: @52004
     /*  52004 */ GIM_Reject,
     /*  52005 */ // Label 787: @52005
     /*  52005 */ GIM_Try, /*On fail goto*//*Label 817*/ GIMT_Encode4(52170),
     /*  52010 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  52013 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  52016 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52020 */   GIM_Try, /*On fail goto*//*Label 818*/ GIMT_Encode4(52083), // Rule ID 13388 //
     /*  52025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  52036 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  52040 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  52044 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52049 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  52053 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  52057 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  52061 */     // MIs[2] Operand 1
     /*  52061 */     // No operand predicates
     /*  52061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52065 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  52067 */     // (mul:{ *:[v4i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4i32] }:$Rn)  =>  (MULv4i32_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  52067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv4i32_indexed),
     /*  52070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52072 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  52074 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  52078 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /*  52081 */     GIR_RootConstrainSelectedInstOperands,
     /*  52082 */     // GIR_Coverage, 13388,
     /*  52082 */     GIR_EraseRootFromParent_Done,
     /*  52083 */   // Label 818: @52083
     /*  52083 */   GIM_Try, /*On fail goto*//*Label 819*/ GIMT_Encode4(52146), // Rule ID 2036 //
     /*  52088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  52099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  52103 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  52107 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  52111 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52116 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  52120 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  52124 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  52128 */     // MIs[2] Operand 1
     /*  52128 */     // No operand predicates
     /*  52128 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  52130 */     // (mul:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (MULv4i32_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  52130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv4i32_indexed),
     /*  52133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52135 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  52137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  52141 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /*  52144 */     GIR_RootConstrainSelectedInstOperands,
     /*  52145 */     // GIR_Coverage, 2036,
     /*  52145 */     GIR_EraseRootFromParent_Done,
     /*  52146 */   // Label 819: @52146
     /*  52146 */   GIM_Try, /*On fail goto*//*Label 820*/ GIMT_Encode4(52169), // Rule ID 1353 //
     /*  52151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52162 */     // (mul:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (MULv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  52162 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::MULv4i32),
     /*  52167 */     GIR_RootConstrainSelectedInstOperands,
     /*  52168 */     // GIR_Coverage, 1353,
     /*  52168 */     GIR_Done,
     /*  52169 */   // Label 820: @52169
     /*  52169 */   GIM_Reject,
     /*  52170 */ // Label 817: @52170
     /*  52170 */ GIM_Reject,
     /*  52171 */ // Label 788: @52171
     /*  52171 */ GIM_Try, /*On fail goto*//*Label 821*/ GIMT_Encode4(52204), // Rule ID 1348 //
     /*  52176 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52179 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  52182 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  52185 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52189 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52193 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52197 */   // (mul:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (MULv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  52197 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::MULv8i8),
     /*  52202 */   GIR_RootConstrainSelectedInstOperands,
     /*  52203 */   // GIR_Coverage, 1348,
     /*  52203 */   GIR_Done,
     /*  52204 */ // Label 821: @52204
     /*  52204 */ GIM_Reject,
     /*  52205 */ // Label 789: @52205
     /*  52205 */ GIM_Try, /*On fail goto*//*Label 822*/ GIMT_Encode4(52370),
     /*  52210 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  52213 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  52216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52220 */   GIM_Try, /*On fail goto*//*Label 823*/ GIMT_Encode4(52283), // Rule ID 13385 //
     /*  52225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  52236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  52240 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  52244 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  52249 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  52253 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  52257 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  52261 */     // MIs[2] Operand 1
     /*  52261 */     // No operand predicates
     /*  52261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52265 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  52267 */     // (mul:{ *:[v8i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V128:{ *:[v8i16] }:$Rn)  =>  (MULv8i16_indexed:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  52267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv8i16_indexed),
     /*  52270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52272 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  52274 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  52278 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /*  52281 */     GIR_RootConstrainSelectedInstOperands,
     /*  52282 */     // GIR_Coverage, 13385,
     /*  52282 */     GIR_EraseRootFromParent_Done,
     /*  52283 */   // Label 823: @52283
     /*  52283 */   GIM_Try, /*On fail goto*//*Label 824*/ GIMT_Encode4(52346), // Rule ID 2033 //
     /*  52288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52291 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  52299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  52303 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  52307 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  52311 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  52316 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  52320 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  52324 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  52328 */     // MIs[2] Operand 1
     /*  52328 */     // No operand predicates
     /*  52328 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  52330 */     // (mul:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (MULv8i16_indexed:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  52330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv8i16_indexed),
     /*  52333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52335 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  52337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  52341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /*  52344 */     GIR_RootConstrainSelectedInstOperands,
     /*  52345 */     // GIR_Coverage, 2033,
     /*  52345 */     GIR_EraseRootFromParent_Done,
     /*  52346 */   // Label 824: @52346
     /*  52346 */   GIM_Try, /*On fail goto*//*Label 825*/ GIMT_Encode4(52369), // Rule ID 1351 //
     /*  52351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52362 */     // (mul:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (MULv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  52362 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::MULv8i16),
     /*  52367 */     GIR_RootConstrainSelectedInstOperands,
     /*  52368 */     // GIR_Coverage, 1351,
     /*  52368 */     GIR_Done,
     /*  52369 */   // Label 825: @52369
     /*  52369 */   GIM_Reject,
     /*  52370 */ // Label 822: @52370
     /*  52370 */ GIM_Reject,
     /*  52371 */ // Label 790: @52371
     /*  52371 */ GIM_Try, /*On fail goto*//*Label 826*/ GIMT_Encode4(52404), // Rule ID 1349 //
     /*  52376 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52379 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  52382 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  52385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52389 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52393 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52397 */   // (mul:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (MULv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  52397 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::MULv16i8),
     /*  52402 */   GIR_RootConstrainSelectedInstOperands,
     /*  52403 */   // GIR_Coverage, 1349,
     /*  52403 */   GIR_Done,
     /*  52404 */ // Label 826: @52404
     /*  52404 */ GIM_Reject,
     /*  52405 */ // Label 791: @52405
     /*  52405 */ GIM_Reject,
     /*  52406 */ // Label 3: @52406
     /*  52406 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 829*/ GIMT_Encode4(52487),
     /*  52417 */ /*GILLT_s32*//*Label 827*/ GIMT_Encode4(52425),
     /*  52421 */ /*GILLT_s64*//*Label 828*/ GIMT_Encode4(52456),
     /*  52425 */ // Label 827: @52425
     /*  52425 */ GIM_Try, /*On fail goto*//*Label 830*/ GIMT_Encode4(52455), // Rule ID 117 //
     /*  52430 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  52433 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  52436 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  52440 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  52444 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  52448 */   // (sdiv:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (SDIVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  52448 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SDIVWr),
     /*  52453 */   GIR_RootConstrainSelectedInstOperands,
     /*  52454 */   // GIR_Coverage, 117,
     /*  52454 */   GIR_Done,
     /*  52455 */ // Label 830: @52455
     /*  52455 */ GIM_Reject,
     /*  52456 */ // Label 828: @52456
     /*  52456 */ GIM_Try, /*On fail goto*//*Label 831*/ GIMT_Encode4(52486), // Rule ID 118 //
     /*  52461 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  52464 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  52467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  52471 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  52475 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  52479 */   // (sdiv:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (SDIVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  52479 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SDIVXr),
     /*  52484 */   GIR_RootConstrainSelectedInstOperands,
     /*  52485 */   // GIR_Coverage, 118,
     /*  52485 */   GIR_Done,
     /*  52486 */ // Label 831: @52486
     /*  52486 */ GIM_Reject,
     /*  52487 */ // Label 829: @52487
     /*  52487 */ GIM_Reject,
     /*  52488 */ // Label 4: @52488
     /*  52488 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 834*/ GIMT_Encode4(52569),
     /*  52499 */ /*GILLT_s32*//*Label 832*/ GIMT_Encode4(52507),
     /*  52503 */ /*GILLT_s64*//*Label 833*/ GIMT_Encode4(52538),
     /*  52507 */ // Label 832: @52507
     /*  52507 */ GIM_Try, /*On fail goto*//*Label 835*/ GIMT_Encode4(52537), // Rule ID 115 //
     /*  52512 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  52515 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  52518 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  52522 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  52526 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  52530 */   // (udiv:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (UDIVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  52530 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UDIVWr),
     /*  52535 */   GIR_RootConstrainSelectedInstOperands,
     /*  52536 */   // GIR_Coverage, 115,
     /*  52536 */   GIR_Done,
     /*  52537 */ // Label 835: @52537
     /*  52537 */ GIM_Reject,
     /*  52538 */ // Label 833: @52538
     /*  52538 */ GIM_Try, /*On fail goto*//*Label 836*/ GIMT_Encode4(52568), // Rule ID 116 //
     /*  52543 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  52546 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  52549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  52553 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  52557 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  52561 */   // (udiv:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (UDIVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  52561 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UDIVXr),
     /*  52566 */   GIR_RootConstrainSelectedInstOperands,
     /*  52567 */   // GIR_Coverage, 116,
     /*  52567 */   GIR_Done,
     /*  52568 */ // Label 836: @52568
     /*  52568 */ GIM_Reject,
     /*  52569 */ // Label 834: @52569
     /*  52569 */ GIM_Reject,
     /*  52570 */ // Label 5: @52570
     /*  52570 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(24), /*)*//*default:*//*Label 855*/ GIMT_Encode4(60315),
     /*  52581 */ /*GILLT_s32*//*Label 837*/ GIMT_Encode4(52669),
     /*  52585 */ /*GILLT_s64*//*Label 838*/ GIMT_Encode4(53167), GIMT_Encode4(0),
     /*  52593 */ /*GILLT_v2s32*//*Label 839*/ GIMT_Encode4(54602),
     /*  52597 */ /*GILLT_v2s64*//*Label 840*/ GIMT_Encode4(54762),
     /*  52601 */ /*GILLT_v4s16*//*Label 841*/ GIMT_Encode4(54922),
     /*  52605 */ /*GILLT_v4s32*//*Label 842*/ GIMT_Encode4(55082),
     /*  52609 */ /*GILLT_v8s8*//*Label 843*/ GIMT_Encode4(55242),
     /*  52613 */ /*GILLT_v8s16*//*Label 844*/ GIMT_Encode4(55402),
     /*  52617 */ /*GILLT_v16s8*//*Label 845*/ GIMT_Encode4(55562),
     /*  52621 */ /*GILLT_nxv1s1*//*Label 846*/ GIMT_Encode4(55722),
     /*  52625 */ /*GILLT_nxv2s1*//*Label 847*/ GIMT_Encode4(56263), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  52637 */ /*GILLT_nxv2s64*//*Label 848*/ GIMT_Encode4(56804),
     /*  52641 */ /*GILLT_nxv4s1*//*Label 849*/ GIMT_Encode4(57276), GIMT_Encode4(0),
     /*  52649 */ /*GILLT_nxv4s32*//*Label 850*/ GIMT_Encode4(57817),
     /*  52653 */ /*GILLT_nxv8s1*//*Label 851*/ GIMT_Encode4(58289),
     /*  52657 */ /*GILLT_nxv8s16*//*Label 852*/ GIMT_Encode4(58830),
     /*  52661 */ /*GILLT_nxv16s1*//*Label 853*/ GIMT_Encode4(59302),
     /*  52665 */ /*GILLT_nxv16s8*//*Label 854*/ GIMT_Encode4(59843),
     /*  52669 */ // Label 837: @52669
     /*  52669 */ GIM_Try, /*On fail goto*//*Label 856*/ GIMT_Encode4(53166),
     /*  52674 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  52677 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  52680 */   GIM_Try, /*On fail goto*//*Label 857*/ GIMT_Encode4(52735), // Rule ID 13145 //
     /*  52685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  52689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  52697 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  52701 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  52705 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  52709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  52713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  52715 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  52722 */     // (and:{ *:[i32] } (xor:{ *:[i32] } logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift, -1:{ *:[i32] }), GPR32:{ *:[i32] }:$Rn)  =>  (BICWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  52722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICWrs),
     /*  52725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52727 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  52729 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  52733 */     GIR_RootConstrainSelectedInstOperands,
     /*  52734 */     // GIR_Coverage, 13145,
     /*  52734 */     GIR_EraseRootFromParent_Done,
     /*  52735 */   // Label 857: @52735
     /*  52735 */   GIM_Try, /*On fail goto*//*Label 858*/ GIMT_Encode4(52790), // Rule ID 162 //
     /*  52740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  52744 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  52748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  52752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  52756 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  52760 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  52764 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  52768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  52770 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  52777 */     // (and:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (xor:{ *:[i32] } logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift, -1:{ *:[i32] }))  =>  (BICWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  52777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICWrs),
     /*  52780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52782 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  52784 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  52788 */     GIR_RootConstrainSelectedInstOperands,
     /*  52789 */     // GIR_Coverage, 162,
     /*  52789 */     GIR_EraseRootFromParent_Done,
     /*  52790 */   // Label 858: @52790
     /*  52790 */   GIM_Try, /*On fail goto*//*Label 859*/ GIMT_Encode4(52859), // Rule ID 5645 //
     /*  52795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  52799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /*  52807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  52811 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  52815 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52820 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  52824 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  52828 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /*  52832 */     // MIs[2] Operand 1
     /*  52832 */     // No operand predicates
     /*  52832 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  52843 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  52845 */     // (and:{ *:[i32] } (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx), 255:{ *:[i32] })  =>  (UMOVvi8:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)
     /*  52845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi8),
     /*  52848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  52854 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /*  52857 */     GIR_RootConstrainSelectedInstOperands,
     /*  52858 */     // GIR_Coverage, 5645,
     /*  52858 */     GIR_EraseRootFromParent_Done,
     /*  52859 */   // Label 859: @52859
     /*  52859 */   GIM_Try, /*On fail goto*//*Label 860*/ GIMT_Encode4(52928), // Rule ID 5646 //
     /*  52864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  52868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /*  52876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  52880 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  52884 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52889 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  52893 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  52897 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  52901 */     // MIs[2] Operand 1
     /*  52901 */     // No operand predicates
     /*  52901 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  52912 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  52914 */     // (and:{ *:[i32] } (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 65535:{ *:[i32] })  =>  (UMOVvi16:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /*  52914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi16),
     /*  52917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  52923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /*  52926 */     GIR_RootConstrainSelectedInstOperands,
     /*  52927 */     // GIR_Coverage, 5646,
     /*  52927 */     GIR_EraseRootFromParent_Done,
     /*  52928 */   // Label 860: @52928
     /*  52928 */   GIM_Try, /*On fail goto*//*Label 861*/ GIMT_Encode4(52981), // Rule ID 13143 //
     /*  52933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  52937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  52945 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  52949 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  52953 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  52958 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  52962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  52966 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  52968 */     // (and:{ *:[i32] } (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, -1:{ *:[i32] }), GPR32:{ *:[i32] }:$Rn)  =>  (BICWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  52968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICWrr),
     /*  52971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52973 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  52975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  52979 */     GIR_RootConstrainSelectedInstOperands,
     /*  52980 */     // GIR_Coverage, 13143,
     /*  52980 */     GIR_EraseRootFromParent_Done,
     /*  52981 */   // Label 861: @52981
     /*  52981 */   GIM_Try, /*On fail goto*//*Label 862*/ GIMT_Encode4(53034), // Rule ID 160 //
     /*  52986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  52990 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  52994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  52998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  53002 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  53006 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  53010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53015 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  53019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  53021 */     // (and:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, -1:{ *:[i32] }))  =>  (BICWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  53021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICWrr),
     /*  53024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  53026 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  53028 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  53032 */     GIR_RootConstrainSelectedInstOperands,
     /*  53033 */     // GIR_Coverage, 160,
     /*  53033 */     GIR_EraseRootFromParent_Done,
     /*  53034 */   // Label 862: @53034
     /*  53034 */   GIM_Try, /*On fail goto*//*Label 863*/ GIMT_Encode4(53075), // Rule ID 142 //
     /*  53039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*  53043 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  53051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  53055 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_logical_imm32),
     /*  53059 */     // MIs[1] Operand 1
     /*  53059 */     // No operand predicates
     /*  53059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  53061 */     // (and:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_logical_imm32>><<X:logical_imm32_XFORM>>:$imm)  =>  (ANDWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (logical_imm32_XFORM:{ *:[i32] } (imm:{ *:[i32] }):$imm))
     /*  53061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ANDWri),
     /*  53064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  53066 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  53068 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderLogicalImm32), // imm
     /*  53073 */     GIR_RootConstrainSelectedInstOperands,
     /*  53074 */     // GIR_Coverage, 142,
     /*  53074 */     GIR_EraseRootFromParent_Done,
     /*  53075 */   // Label 863: @53075
     /*  53075 */   GIM_Try, /*On fail goto*//*Label 864*/ GIMT_Encode4(53108), // Rule ID 13141 //
     /*  53080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  53095 */     // (and:{ *:[i32] } logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift, GPR32:{ *:[i32] }:$Rn)  =>  (ANDWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  53095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ANDWrs),
     /*  53098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  53100 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  53102 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  53106 */     GIR_RootConstrainSelectedInstOperands,
     /*  53107 */     // GIR_Coverage, 13141,
     /*  53107 */     GIR_EraseRootFromParent_Done,
     /*  53108 */   // Label 864: @53108
     /*  53108 */   GIM_Try, /*On fail goto*//*Label 865*/ GIMT_Encode4(53141), // Rule ID 158 //
     /*  53113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53117 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  53128 */     // (and:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)  =>  (ANDWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  53128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ANDWrs),
     /*  53131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  53133 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  53135 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  53139 */     GIR_RootConstrainSelectedInstOperands,
     /*  53140 */     // GIR_Coverage, 158,
     /*  53140 */     GIR_EraseRootFromParent_Done,
     /*  53141 */   // Label 865: @53141
     /*  53141 */   GIM_Try, /*On fail goto*//*Label 866*/ GIMT_Encode4(53165), // Rule ID 156 //
     /*  53146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53150 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53158 */     // (and:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (ANDWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  53158 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ANDWrr),
     /*  53163 */     GIR_RootConstrainSelectedInstOperands,
     /*  53164 */     // GIR_Coverage, 156,
     /*  53164 */     GIR_Done,
     /*  53165 */   // Label 866: @53165
     /*  53165 */   GIM_Reject,
     /*  53166 */ // Label 856: @53166
     /*  53166 */ GIM_Reject,
     /*  53167 */ // Label 838: @53167
     /*  53167 */ GIM_Try, /*On fail goto*//*Label 867*/ GIMT_Encode4(54601),
     /*  53172 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  53175 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  53178 */   GIM_Try, /*On fail goto*//*Label 868*/ GIMT_Encode4(53233), // Rule ID 13146 //
     /*  53183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  53187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  53191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  53195 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  53199 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  53203 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  53207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  53211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  53213 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  53220 */     // (and:{ *:[i64] } (xor:{ *:[i64] } logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift, -1:{ *:[i64] }), GPR64:{ *:[i64] }:$Rn)  =>  (BICXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  53220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICXrs),
     /*  53223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  53225 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  53227 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  53231 */     GIR_RootConstrainSelectedInstOperands,
     /*  53232 */     // GIR_Coverage, 13146,
     /*  53232 */     GIR_EraseRootFromParent_Done,
     /*  53233 */   // Label 868: @53233
     /*  53233 */   GIM_Try, /*On fail goto*//*Label 869*/ GIMT_Encode4(53288), // Rule ID 163 //
     /*  53238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  53242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  53246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  53250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  53254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  53258 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  53262 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  53266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  53268 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  53275 */     // (and:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (xor:{ *:[i64] } logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift, -1:{ *:[i64] }))  =>  (BICXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  53275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICXrs),
     /*  53278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  53280 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  53282 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  53286 */     GIR_RootConstrainSelectedInstOperands,
     /*  53287 */     // GIR_Coverage, 163,
     /*  53287 */     GIR_EraseRootFromParent_Done,
     /*  53288 */   // Label 869: @53288
     /*  53288 */   GIM_Try, /*On fail goto*//*Label 870*/ GIMT_Encode4(53401), // Rule ID 5647 //
     /*  53293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  53297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  53301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  53305 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  53309 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  53313 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /*  53317 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  53321 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  53325 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  53330 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  53334 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  53338 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /*  53342 */     // MIs[3] Operand 1
     /*  53342 */     // No operand predicates
     /*  53342 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  53353 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  53355 */     // (and:{ *:[i64] } (anyext:{ *:[i64] } (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)), 255:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (UMOVvi8:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx), sub_32:{ *:[i32] })
     /*  53355 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  53358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi8),
     /*  53362 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53367 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  53371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // idx
     /*  53374 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  53376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  53379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  53381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  53384 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  53387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  53390 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  53395 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53400 */     // GIR_Coverage, 5647,
     /*  53400 */     GIR_EraseRootFromParent_Done,
     /*  53401 */   // Label 870: @53401
     /*  53401 */   GIM_Try, /*On fail goto*//*Label 871*/ GIMT_Encode4(53514), // Rule ID 5648 //
     /*  53406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  53410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  53414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  53418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  53422 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  53426 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /*  53430 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  53434 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  53438 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  53443 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  53447 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  53451 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  53455 */     // MIs[3] Operand 1
     /*  53455 */     // No operand predicates
     /*  53455 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  53466 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  53468 */     // (and:{ *:[i64] } (anyext:{ *:[i64] } (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), 65535:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (UMOVvi16:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), sub_32:{ *:[i32] })
     /*  53468 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  53471 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi16),
     /*  53475 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53480 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  53484 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // idx
     /*  53487 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  53489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  53492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  53494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  53497 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  53500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  53503 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  53508 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53513 */     // GIR_Coverage, 5648,
     /*  53513 */     GIR_EraseRootFromParent_Done,
     /*  53514 */   // Label 871: @53514
     /*  53514 */   GIM_Try, /*On fail goto*//*Label 872*/ GIMT_Encode4(53613), // Rule ID 7065 //
     /*  53519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  53523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  53527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS),
     /*  53531 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  53534 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldxr),
     /*  53539 */     // MIs[1] addr
     /*  53539 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/2, /*SizeInBits*/64,
     /*  53543 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  53548 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldxr_1),
     /*  53552 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  53563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  53565 */     // (and:{ *:[i64] } (intrinsic_w_chain:{ *:[i64] } 566:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldxr_1>>, 255:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDXRB:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /*  53565 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  53568 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDXRB),
     /*  53572 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53577 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // addr
     /*  53581 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  53586 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  53588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  53591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  53593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  53596 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  53599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  53602 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  53607 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53612 */     // GIR_Coverage, 7065,
     /*  53612 */     GIR_EraseRootFromParent_Done,
     /*  53613 */   // Label 872: @53613
     /*  53613 */   GIM_Try, /*On fail goto*//*Label 873*/ GIMT_Encode4(53712), // Rule ID 7066 //
     /*  53618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  53622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  53626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS),
     /*  53630 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  53633 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldxr),
     /*  53638 */     // MIs[1] addr
     /*  53638 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/2, /*SizeInBits*/64,
     /*  53642 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  53647 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldxr_2),
     /*  53651 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  53662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  53664 */     // (and:{ *:[i64] } (intrinsic_w_chain:{ *:[i64] } 566:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldxr_2>>, 65535:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDXRH:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /*  53664 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  53667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDXRH),
     /*  53671 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53676 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // addr
     /*  53680 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  53685 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  53687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  53690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  53692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  53695 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  53698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  53701 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  53706 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53711 */     // GIR_Coverage, 7066,
     /*  53711 */     GIR_EraseRootFromParent_Done,
     /*  53712 */   // Label 873: @53712
     /*  53712 */   GIM_Try, /*On fail goto*//*Label 874*/ GIMT_Encode4(53811), // Rule ID 7067 //
     /*  53717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  53721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  53725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS),
     /*  53729 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  53732 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldxr),
     /*  53737 */     // MIs[1] addr
     /*  53737 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/2, /*SizeInBits*/64,
     /*  53741 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  53746 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldxr_4),
     /*  53750 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4294967295),
     /*  53761 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  53763 */     // (and:{ *:[i64] } (intrinsic_w_chain:{ *:[i64] } 566:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldxr_4>>, 4294967295:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDXRW:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /*  53763 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  53766 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDXRW),
     /*  53770 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53775 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // addr
     /*  53779 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  53784 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  53786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  53789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  53791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  53794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  53797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  53800 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  53805 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53810 */     // GIR_Coverage, 7067,
     /*  53810 */     GIR_EraseRootFromParent_Done,
     /*  53811 */   // Label 874: @53811
     /*  53811 */   GIM_Try, /*On fail goto*//*Label 875*/ GIMT_Encode4(53910), // Rule ID 7072 //
     /*  53816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  53820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  53824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS),
     /*  53828 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  53831 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldaxr),
     /*  53836 */     // MIs[1] addr
     /*  53836 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/2, /*SizeInBits*/64,
     /*  53840 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  53845 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldaxr_1),
     /*  53849 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  53860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  53862 */     // (and:{ *:[i64] } (intrinsic_w_chain:{ *:[i64] } 563:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldaxr_1>>, 255:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDAXRB:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /*  53862 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  53865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDAXRB),
     /*  53869 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53874 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // addr
     /*  53878 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  53883 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  53885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  53888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  53890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  53893 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  53896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  53899 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  53904 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53909 */     // GIR_Coverage, 7072,
     /*  53909 */     GIR_EraseRootFromParent_Done,
     /*  53910 */   // Label 875: @53910
     /*  53910 */   GIM_Try, /*On fail goto*//*Label 876*/ GIMT_Encode4(54009), // Rule ID 7073 //
     /*  53915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  53919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  53923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS),
     /*  53927 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  53930 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldaxr),
     /*  53935 */     // MIs[1] addr
     /*  53935 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/2, /*SizeInBits*/64,
     /*  53939 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  53944 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldaxr_2),
     /*  53948 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  53959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  53961 */     // (and:{ *:[i64] } (intrinsic_w_chain:{ *:[i64] } 563:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldaxr_2>>, 65535:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDAXRH:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /*  53961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  53964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDAXRH),
     /*  53968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  53973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // addr
     /*  53977 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  53982 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  53984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  53987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  53989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  53992 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  53995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  53998 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  54003 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  54008 */     // GIR_Coverage, 7073,
     /*  54008 */     GIR_EraseRootFromParent_Done,
     /*  54009 */   // Label 876: @54009
     /*  54009 */   GIM_Try, /*On fail goto*//*Label 877*/ GIMT_Encode4(54108), // Rule ID 7074 //
     /*  54014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  54018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  54022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS),
     /*  54026 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  54029 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldaxr),
     /*  54034 */     // MIs[1] addr
     /*  54034 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/2, /*SizeInBits*/64,
     /*  54038 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  54043 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldaxr_4),
     /*  54047 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4294967295),
     /*  54058 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  54060 */     // (and:{ *:[i64] } (intrinsic_w_chain:{ *:[i64] } 563:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldaxr_4>>, 4294967295:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDAXRW:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /*  54060 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  54063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDAXRW),
     /*  54067 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54072 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // addr
     /*  54076 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  54081 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  54083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  54086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  54091 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  54094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  54097 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  54102 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  54107 */     // GIR_Coverage, 7074,
     /*  54107 */     GIR_EraseRootFromParent_Done,
     /*  54108 */   // Label 877: @54108
     /*  54108 */   GIM_Try, /*On fail goto*//*Label 878*/ GIMT_Encode4(54161), // Rule ID 13144 //
     /*  54113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  54117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  54121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  54125 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  54129 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  54133 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  54138 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  54142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  54146 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  54148 */     // (and:{ *:[i64] } (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, -1:{ *:[i64] }), GPR64:{ *:[i64] }:$Rn)  =>  (BICXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  54148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICXrr),
     /*  54151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  54153 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  54155 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  54159 */     GIR_RootConstrainSelectedInstOperands,
     /*  54160 */     // GIR_Coverage, 13144,
     /*  54160 */     GIR_EraseRootFromParent_Done,
     /*  54161 */   // Label 878: @54161
     /*  54161 */   GIM_Try, /*On fail goto*//*Label 879*/ GIMT_Encode4(54214), // Rule ID 161 //
     /*  54166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  54170 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  54174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  54178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  54182 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  54186 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  54190 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  54195 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  54199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  54201 */     // (and:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, -1:{ *:[i64] }))  =>  (BICXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  54201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICXrr),
     /*  54204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  54206 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  54208 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  54212 */     GIR_RootConstrainSelectedInstOperands,
     /*  54213 */     // GIR_Coverage, 161,
     /*  54213 */     GIR_EraseRootFromParent_Done,
     /*  54214 */   // Label 879: @54214
     /*  54214 */   GIM_Try, /*On fail goto*//*Label 880*/ GIMT_Encode4(54314), // Rule ID 3994 //
     /*  54219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  54223 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  54227 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4294967295),
     /*  54238 */     // (and:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, 4294967295:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (ORRWrr:{ *:[i32] } WZR:{ *:[i32] }, (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, sub_32:{ *:[i32] })), sub_32:{ *:[i32] })
     /*  54238 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  54241 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  54245 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54250 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // Rn
     /*  54256 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  54261 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  54266 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  54269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORRWrr),
     /*  54273 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54278 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  54284 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  54287 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  54289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  54292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  54297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  54300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  54303 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  54308 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  54313 */     // GIR_Coverage, 3994,
     /*  54313 */     GIR_EraseRootFromParent_Done,
     /*  54314 */   // Label 880: @54314
     /*  54314 */   GIM_Try, /*On fail goto*//*Label 881*/ GIMT_Encode4(54355), // Rule ID 143 //
     /*  54319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  54323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  54327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  54331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  54335 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_logical_imm64),
     /*  54339 */     // MIs[1] Operand 1
     /*  54339 */     // No operand predicates
     /*  54339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  54341 */     // (and:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_logical_imm64>><<X:logical_imm64_XFORM>>:$imm)  =>  (ANDXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (logical_imm64_XFORM:{ *:[i64] } (imm:{ *:[i64] }):$imm))
     /*  54341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ANDXri),
     /*  54344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  54346 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  54348 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderLogicalImm64), // imm
     /*  54353 */     GIR_RootConstrainSelectedInstOperands,
     /*  54354 */     // GIR_Coverage, 143,
     /*  54354 */     GIR_EraseRootFromParent_Done,
     /*  54355 */   // Label 881: @54355
     /*  54355 */   GIM_Try, /*On fail goto*//*Label 882*/ GIMT_Encode4(54388), // Rule ID 13142 //
     /*  54360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  54364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  54368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  54375 */     // (and:{ *:[i64] } logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift, GPR64:{ *:[i64] }:$Rn)  =>  (ANDXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  54375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ANDXrs),
     /*  54378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  54380 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  54382 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  54386 */     GIR_RootConstrainSelectedInstOperands,
     /*  54387 */     // GIR_Coverage, 13142,
     /*  54387 */     GIR_EraseRootFromParent_Done,
     /*  54388 */   // Label 882: @54388
     /*  54388 */   GIM_Try, /*On fail goto*//*Label 883*/ GIMT_Encode4(54421), // Rule ID 159 //
     /*  54393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  54397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  54401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  54408 */     // (and:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)  =>  (ANDXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  54408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ANDXrs),
     /*  54411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  54413 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  54415 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  54419 */     GIR_RootConstrainSelectedInstOperands,
     /*  54420 */     // GIR_Coverage, 159,
     /*  54420 */     GIR_EraseRootFromParent_Done,
     /*  54421 */   // Label 883: @54421
     /*  54421 */   GIM_Try, /*On fail goto*//*Label 884*/ GIMT_Encode4(54485), // Rule ID 13797 //
     /*  54426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  54429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  54433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  54437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  54441 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  54445 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  54449 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  54454 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  54458 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  54464 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  54466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  54470 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  54472 */     // (and:{ *:[v1i64] } (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$RHS, immAllOnesV:{ *:[v1i64] }), V64:{ *:[v1i64] }:$LHS)  =>  (BICv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$RHS)
     /*  54472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv8i8),
     /*  54475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  54477 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  54479 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  54483 */     GIR_RootConstrainSelectedInstOperands,
     /*  54484 */     // GIR_Coverage, 13797,
     /*  54484 */     GIR_EraseRootFromParent_Done,
     /*  54485 */   // Label 884: @54485
     /*  54485 */   GIM_Try, /*On fail goto*//*Label 885*/ GIMT_Encode4(54549), // Rule ID 5029 //
     /*  54490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  54493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  54497 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  54501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  54505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  54509 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  54513 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  54517 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  54522 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  54526 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  54532 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  54534 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  54536 */     // (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$RHS, immAllOnesV:{ *:[v1i64] }))  =>  (BICv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$RHS)
     /*  54536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv8i8),
     /*  54539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  54541 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  54543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  54547 */     GIR_RootConstrainSelectedInstOperands,
     /*  54548 */     // GIR_Coverage, 5029,
     /*  54548 */     GIR_EraseRootFromParent_Done,
     /*  54549 */   // Label 885: @54549
     /*  54549 */   GIM_Try, /*On fail goto*//*Label 886*/ GIMT_Encode4(54573), // Rule ID 157 //
     /*  54554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  54558 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  54562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  54566 */     // (and:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (ANDXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  54566 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ANDXrr),
     /*  54571 */     GIR_RootConstrainSelectedInstOperands,
     /*  54572 */     // GIR_Coverage, 157,
     /*  54572 */     GIR_Done,
     /*  54573 */   // Label 886: @54573
     /*  54573 */   GIM_Try, /*On fail goto*//*Label 887*/ GIMT_Encode4(54600), // Rule ID 2484 //
     /*  54578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  54581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  54585 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  54589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  54593 */     // (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$RHS)  =>  (ANDv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$RHS)
     /*  54593 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ANDv8i8),
     /*  54598 */     GIR_RootConstrainSelectedInstOperands,
     /*  54599 */     // GIR_Coverage, 2484,
     /*  54599 */     GIR_Done,
     /*  54600 */   // Label 887: @54600
     /*  54600 */   GIM_Reject,
     /*  54601 */ // Label 867: @54601
     /*  54601 */ GIM_Reject,
     /*  54602 */ // Label 839: @54602
     /*  54602 */ GIM_Try, /*On fail goto*//*Label 888*/ GIMT_Encode4(54761),
     /*  54607 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  54610 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  54613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  54617 */   GIM_Try, /*On fail goto*//*Label 889*/ GIMT_Encode4(54677), // Rule ID 13796 //
     /*  54622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  54625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  54629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  54633 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  54637 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  54641 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  54646 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  54650 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  54656 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  54658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  54662 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  54664 */     // (and:{ *:[v2i32] } (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$RHS, immAllOnesV:{ *:[v2i32] }), V64:{ *:[v2i32] }:$LHS)  =>  (BICv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)
     /*  54664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv8i8),
     /*  54667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  54669 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  54671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  54675 */     GIR_RootConstrainSelectedInstOperands,
     /*  54676 */     // GIR_Coverage, 13796,
     /*  54676 */     GIR_EraseRootFromParent_Done,
     /*  54677 */   // Label 889: @54677
     /*  54677 */   GIM_Try, /*On fail goto*//*Label 890*/ GIMT_Encode4(54737), // Rule ID 5028 //
     /*  54682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  54685 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  54689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  54693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  54697 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  54701 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  54705 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  54710 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  54714 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  54720 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  54722 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  54724 */     // (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$RHS, immAllOnesV:{ *:[v2i32] }))  =>  (BICv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)
     /*  54724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv8i8),
     /*  54727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  54729 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  54731 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  54735 */     GIR_RootConstrainSelectedInstOperands,
     /*  54736 */     // GIR_Coverage, 5028,
     /*  54736 */     GIR_EraseRootFromParent_Done,
     /*  54737 */   // Label 890: @54737
     /*  54737 */   GIM_Try, /*On fail goto*//*Label 891*/ GIMT_Encode4(54760), // Rule ID 2483 //
     /*  54742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  54745 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  54749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  54753 */     // (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)  =>  (ANDv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)
     /*  54753 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ANDv8i8),
     /*  54758 */     GIR_RootConstrainSelectedInstOperands,
     /*  54759 */     // GIR_Coverage, 2483,
     /*  54759 */     GIR_Done,
     /*  54760 */   // Label 891: @54760
     /*  54760 */   GIM_Reject,
     /*  54761 */ // Label 888: @54761
     /*  54761 */ GIM_Reject,
     /*  54762 */ // Label 840: @54762
     /*  54762 */ GIM_Try, /*On fail goto*//*Label 892*/ GIMT_Encode4(54921),
     /*  54767 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  54770 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  54773 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  54777 */   GIM_Try, /*On fail goto*//*Label 893*/ GIMT_Encode4(54837), // Rule ID 13800 //
     /*  54782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  54785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  54789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  54793 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  54797 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  54801 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  54806 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  54810 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  54816 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  54818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  54822 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  54824 */     // (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$RHS, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$LHS)  =>  (BICv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)
     /*  54824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv16i8),
     /*  54827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  54829 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  54831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  54835 */     GIR_RootConstrainSelectedInstOperands,
     /*  54836 */     // GIR_Coverage, 13800,
     /*  54836 */     GIR_EraseRootFromParent_Done,
     /*  54837 */   // Label 893: @54837
     /*  54837 */   GIM_Try, /*On fail goto*//*Label 894*/ GIMT_Encode4(54897), // Rule ID 5032 //
     /*  54842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  54845 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  54849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  54853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  54857 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  54861 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  54865 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  54870 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  54874 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  54880 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  54882 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  54884 */     // (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$RHS, immAllOnesV:{ *:[v2i64] }))  =>  (BICv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)
     /*  54884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv16i8),
     /*  54887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  54889 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  54891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  54895 */     GIR_RootConstrainSelectedInstOperands,
     /*  54896 */     // GIR_Coverage, 5032,
     /*  54896 */     GIR_EraseRootFromParent_Done,
     /*  54897 */   // Label 894: @54897
     /*  54897 */   GIM_Try, /*On fail goto*//*Label 895*/ GIMT_Encode4(54920), // Rule ID 2487 //
     /*  54902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  54905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  54909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  54913 */     // (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)  =>  (ANDv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)
     /*  54913 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ANDv16i8),
     /*  54918 */     GIR_RootConstrainSelectedInstOperands,
     /*  54919 */     // GIR_Coverage, 2487,
     /*  54919 */     GIR_Done,
     /*  54920 */   // Label 895: @54920
     /*  54920 */   GIM_Reject,
     /*  54921 */ // Label 892: @54921
     /*  54921 */ GIM_Reject,
     /*  54922 */ // Label 841: @54922
     /*  54922 */ GIM_Try, /*On fail goto*//*Label 896*/ GIMT_Encode4(55081),
     /*  54927 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  54930 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  54933 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  54937 */   GIM_Try, /*On fail goto*//*Label 897*/ GIMT_Encode4(54997), // Rule ID 13795 //
     /*  54942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  54945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  54949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  54953 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  54957 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  54961 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  54966 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  54970 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  54976 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  54978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  54982 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  54984 */     // (and:{ *:[v4i16] } (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$RHS, immAllOnesV:{ *:[v4i16] }), V64:{ *:[v4i16] }:$LHS)  =>  (BICv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)
     /*  54984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv8i8),
     /*  54987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  54989 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  54991 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  54995 */     GIR_RootConstrainSelectedInstOperands,
     /*  54996 */     // GIR_Coverage, 13795,
     /*  54996 */     GIR_EraseRootFromParent_Done,
     /*  54997 */   // Label 897: @54997
     /*  54997 */   GIM_Try, /*On fail goto*//*Label 898*/ GIMT_Encode4(55057), // Rule ID 5027 //
     /*  55002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55005 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  55013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  55021 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  55025 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55030 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55034 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  55040 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  55042 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55044 */     // (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$RHS, immAllOnesV:{ *:[v4i16] }))  =>  (BICv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)
     /*  55044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv8i8),
     /*  55047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  55049 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  55051 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  55055 */     GIR_RootConstrainSelectedInstOperands,
     /*  55056 */     // GIR_Coverage, 5027,
     /*  55056 */     GIR_EraseRootFromParent_Done,
     /*  55057 */   // Label 898: @55057
     /*  55057 */   GIM_Try, /*On fail goto*//*Label 899*/ GIMT_Encode4(55080), // Rule ID 2482 //
     /*  55062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55073 */     // (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)  =>  (ANDv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)
     /*  55073 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ANDv8i8),
     /*  55078 */     GIR_RootConstrainSelectedInstOperands,
     /*  55079 */     // GIR_Coverage, 2482,
     /*  55079 */     GIR_Done,
     /*  55080 */   // Label 899: @55080
     /*  55080 */   GIM_Reject,
     /*  55081 */ // Label 896: @55081
     /*  55081 */ GIM_Reject,
     /*  55082 */ // Label 842: @55082
     /*  55082 */ GIM_Try, /*On fail goto*//*Label 900*/ GIMT_Encode4(55241),
     /*  55087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  55090 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  55093 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55097 */   GIM_Try, /*On fail goto*//*Label 901*/ GIMT_Encode4(55157), // Rule ID 13799 //
     /*  55102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  55109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55113 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  55117 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  55121 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55126 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55130 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  55136 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  55138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55142 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55144 */     // (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$RHS, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$LHS)  =>  (BICv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)
     /*  55144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv16i8),
     /*  55147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  55149 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  55151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  55155 */     GIR_RootConstrainSelectedInstOperands,
     /*  55156 */     // GIR_Coverage, 13799,
     /*  55156 */     GIR_EraseRootFromParent_Done,
     /*  55157 */   // Label 901: @55157
     /*  55157 */   GIM_Try, /*On fail goto*//*Label 902*/ GIMT_Encode4(55217), // Rule ID 5031 //
     /*  55162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  55173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55177 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  55181 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  55185 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55190 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55194 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  55200 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  55202 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55204 */     // (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$RHS, immAllOnesV:{ *:[v4i32] }))  =>  (BICv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)
     /*  55204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv16i8),
     /*  55207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  55209 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  55211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  55215 */     GIR_RootConstrainSelectedInstOperands,
     /*  55216 */     // GIR_Coverage, 5031,
     /*  55216 */     GIR_EraseRootFromParent_Done,
     /*  55217 */   // Label 902: @55217
     /*  55217 */   GIM_Try, /*On fail goto*//*Label 903*/ GIMT_Encode4(55240), // Rule ID 2486 //
     /*  55222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55225 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55233 */     // (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)  =>  (ANDv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)
     /*  55233 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ANDv16i8),
     /*  55238 */     GIR_RootConstrainSelectedInstOperands,
     /*  55239 */     // GIR_Coverage, 2486,
     /*  55239 */     GIR_Done,
     /*  55240 */   // Label 903: @55240
     /*  55240 */   GIM_Reject,
     /*  55241 */ // Label 900: @55241
     /*  55241 */ GIM_Reject,
     /*  55242 */ // Label 843: @55242
     /*  55242 */ GIM_Try, /*On fail goto*//*Label 904*/ GIMT_Encode4(55401),
     /*  55247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  55250 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  55253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55257 */   GIM_Try, /*On fail goto*//*Label 905*/ GIMT_Encode4(55317), // Rule ID 13281 //
     /*  55262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  55269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55273 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  55277 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  55281 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55286 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55290 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  55296 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  55298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55302 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55304 */     // (and:{ *:[v8i8] } (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, immAllOnesV:{ *:[v8i8] }), V64:{ *:[v8i8] }:$Rn)  =>  (BICv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  55304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv8i8),
     /*  55307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  55309 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  55311 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  55315 */     GIR_RootConstrainSelectedInstOperands,
     /*  55316 */     // GIR_Coverage, 13281,
     /*  55316 */     GIR_EraseRootFromParent_Done,
     /*  55317 */   // Label 905: @55317
     /*  55317 */   GIM_Try, /*On fail goto*//*Label 906*/ GIMT_Encode4(55377), // Rule ID 1597 //
     /*  55322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55325 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  55333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55337 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  55341 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  55345 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55350 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55354 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  55360 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  55362 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55364 */     // (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, immAllOnesV:{ *:[v8i8] }))  =>  (BICv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  55364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv8i8),
     /*  55367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  55369 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  55371 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  55375 */     GIR_RootConstrainSelectedInstOperands,
     /*  55376 */     // GIR_Coverage, 1597,
     /*  55376 */     GIR_EraseRootFromParent_Done,
     /*  55377 */   // Label 906: @55377
     /*  55377 */   GIM_Try, /*On fail goto*//*Label 907*/ GIMT_Encode4(55400), // Rule ID 1595 //
     /*  55382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55385 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55393 */     // (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (ANDv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  55393 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ANDv8i8),
     /*  55398 */     GIR_RootConstrainSelectedInstOperands,
     /*  55399 */     // GIR_Coverage, 1595,
     /*  55399 */     GIR_Done,
     /*  55400 */   // Label 907: @55400
     /*  55400 */   GIM_Reject,
     /*  55401 */ // Label 904: @55401
     /*  55401 */ GIM_Reject,
     /*  55402 */ // Label 844: @55402
     /*  55402 */ GIM_Try, /*On fail goto*//*Label 908*/ GIMT_Encode4(55561),
     /*  55407 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  55410 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  55413 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55417 */   GIM_Try, /*On fail goto*//*Label 909*/ GIMT_Encode4(55477), // Rule ID 13798 //
     /*  55422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  55429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55433 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  55437 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  55441 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55446 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55450 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  55456 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  55458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55462 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55464 */     // (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$RHS, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$LHS)  =>  (BICv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)
     /*  55464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv16i8),
     /*  55467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  55469 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  55471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  55475 */     GIR_RootConstrainSelectedInstOperands,
     /*  55476 */     // GIR_Coverage, 13798,
     /*  55476 */     GIR_EraseRootFromParent_Done,
     /*  55477 */   // Label 909: @55477
     /*  55477 */   GIM_Try, /*On fail goto*//*Label 910*/ GIMT_Encode4(55537), // Rule ID 5030 //
     /*  55482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  55493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55497 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  55501 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  55505 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55510 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55514 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  55520 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  55522 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55524 */     // (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$RHS, immAllOnesV:{ *:[v8i16] }))  =>  (BICv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)
     /*  55524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv16i8),
     /*  55527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  55529 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  55531 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  55535 */     GIR_RootConstrainSelectedInstOperands,
     /*  55536 */     // GIR_Coverage, 5030,
     /*  55536 */     GIR_EraseRootFromParent_Done,
     /*  55537 */   // Label 910: @55537
     /*  55537 */   GIM_Try, /*On fail goto*//*Label 911*/ GIMT_Encode4(55560), // Rule ID 2485 //
     /*  55542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55545 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55553 */     // (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)  =>  (ANDv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)
     /*  55553 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ANDv16i8),
     /*  55558 */     GIR_RootConstrainSelectedInstOperands,
     /*  55559 */     // GIR_Coverage, 2485,
     /*  55559 */     GIR_Done,
     /*  55560 */   // Label 911: @55560
     /*  55560 */   GIM_Reject,
     /*  55561 */ // Label 908: @55561
     /*  55561 */ GIM_Reject,
     /*  55562 */ // Label 845: @55562
     /*  55562 */ GIM_Try, /*On fail goto*//*Label 912*/ GIMT_Encode4(55721),
     /*  55567 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  55570 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  55573 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55577 */   GIM_Try, /*On fail goto*//*Label 913*/ GIMT_Encode4(55637), // Rule ID 13282 //
     /*  55582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  55589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55593 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  55597 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  55601 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55606 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55610 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  55616 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  55618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55622 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55624 */     // (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$Rn)  =>  (BICv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  55624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv16i8),
     /*  55627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  55629 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  55631 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  55635 */     GIR_RootConstrainSelectedInstOperands,
     /*  55636 */     // GIR_Coverage, 13282,
     /*  55636 */     GIR_EraseRootFromParent_Done,
     /*  55637 */   // Label 913: @55637
     /*  55637 */   GIM_Try, /*On fail goto*//*Label 914*/ GIMT_Encode4(55697), // Rule ID 1598 //
     /*  55642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55645 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  55653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55657 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  55661 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  55665 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55670 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55674 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  55680 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  55682 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55684 */     // (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, immAllOnesV:{ *:[v16i8] }))  =>  (BICv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  55684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv16i8),
     /*  55687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  55689 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  55691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  55695 */     GIR_RootConstrainSelectedInstOperands,
     /*  55696 */     // GIR_Coverage, 1598,
     /*  55696 */     GIR_EraseRootFromParent_Done,
     /*  55697 */   // Label 914: @55697
     /*  55697 */   GIM_Try, /*On fail goto*//*Label 915*/ GIMT_Encode4(55720), // Rule ID 1596 //
     /*  55702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55713 */     // (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (ANDv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  55713 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ANDv16i8),
     /*  55718 */     GIR_RootConstrainSelectedInstOperands,
     /*  55719 */     // GIR_Coverage, 1596,
     /*  55719 */     GIR_Done,
     /*  55720 */   // Label 915: @55720
     /*  55720 */   GIM_Reject,
     /*  55721 */ // Label 912: @55721
     /*  55721 */ GIM_Reject,
     /*  55722 */ // Label 846: @55722
     /*  55722 */ GIM_Try, /*On fail goto*//*Label 916*/ GIMT_Encode4(56262),
     /*  55727 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  55730 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  55733 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  55737 */   GIM_Try, /*On fail goto*//*Label 917*/ GIMT_Encode4(55794), // Rule ID 14992 //
     /*  55742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  55745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  55749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55753 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  55757 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  55761 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  55765 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  55769 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  55773 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  55777 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55779 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (splat_vector:{ *:[nxv1i1] } -1:{ *:[i32] }), nxv1i1:{ *:[nxv1i1] }:$Op2), nxv1i1:{ *:[nxv1i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2)
     /*  55779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  55782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  55784 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  55786 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  55788 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  55792 */     GIR_RootConstrainSelectedInstOperands,
     /*  55793 */     // GIR_Coverage, 14992,
     /*  55793 */     GIR_EraseRootFromParent_Done,
     /*  55794 */   // Label 917: @55794
     /*  55794 */   GIM_Try, /*On fail goto*//*Label 918*/ GIMT_Encode4(55851), // Rule ID 14995 //
     /*  55799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  55802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  55806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55810 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  55814 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  55818 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  55822 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  55826 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  55830 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  55834 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55836 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (splat_vector:{ *:[nxv1i1] } -1:{ *:[i64] }), nxv1i1:{ *:[nxv1i1] }:$Op2), nxv1i1:{ *:[nxv1i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2)
     /*  55836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  55839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  55841 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  55843 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  55845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  55849 */     GIR_RootConstrainSelectedInstOperands,
     /*  55850 */     // GIR_Coverage, 14995,
     /*  55850 */     GIR_EraseRootFromParent_Done,
     /*  55851 */   // Label 918: @55851
     /*  55851 */   GIM_Try, /*On fail goto*//*Label 919*/ GIMT_Encode4(55908), // Rule ID 14991 //
     /*  55856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  55859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  55863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55867 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  55871 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  55875 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55879 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  55883 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  55887 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  55891 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55893 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op2, (splat_vector:{ *:[nxv1i1] } -1:{ *:[i32] })), nxv1i1:{ *:[nxv1i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2)
     /*  55893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  55896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  55898 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  55900 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  55902 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  55906 */     GIR_RootConstrainSelectedInstOperands,
     /*  55907 */     // GIR_Coverage, 14991,
     /*  55907 */     GIR_EraseRootFromParent_Done,
     /*  55908 */   // Label 919: @55908
     /*  55908 */   GIM_Try, /*On fail goto*//*Label 920*/ GIMT_Encode4(55965), // Rule ID 14994 //
     /*  55913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  55916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  55920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55924 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  55928 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  55932 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55936 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  55940 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  55944 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  55948 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55950 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op2, (splat_vector:{ *:[nxv1i1] } -1:{ *:[i64] })), nxv1i1:{ *:[nxv1i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2)
     /*  55950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  55953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  55955 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  55957 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  55959 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  55963 */     GIR_RootConstrainSelectedInstOperands,
     /*  55964 */     // GIR_Coverage, 14994,
     /*  55964 */     GIR_EraseRootFromParent_Done,
     /*  55965 */   // Label 920: @55965
     /*  55965 */   GIM_Try, /*On fail goto*//*Label 921*/ GIMT_Encode4(56022), // Rule ID 14990 //
     /*  55970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  55973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  55977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55981 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  55985 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  55989 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  55993 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  55997 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  56001 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56005 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56007 */     // (and:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op1, (xor:{ *:[nxv1i1] } (splat_vector:{ *:[nxv1i1] } -1:{ *:[i32] }), nxv1i1:{ *:[nxv1i1] }:$Op2))  =>  (BIC_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2)
     /*  56007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  56010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56012 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56014 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  56020 */     GIR_RootConstrainSelectedInstOperands,
     /*  56021 */     // GIR_Coverage, 14990,
     /*  56021 */     GIR_EraseRootFromParent_Done,
     /*  56022 */   // Label 921: @56022
     /*  56022 */   GIM_Try, /*On fail goto*//*Label 922*/ GIMT_Encode4(56079), // Rule ID 14993 //
     /*  56027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  56034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56038 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  56042 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  56046 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  56050 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56054 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  56058 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56062 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56064 */     // (and:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op1, (xor:{ *:[nxv1i1] } (splat_vector:{ *:[nxv1i1] } -1:{ *:[i64] }), nxv1i1:{ *:[nxv1i1] }:$Op2))  =>  (BIC_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2)
     /*  56064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  56067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56069 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56071 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56073 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  56077 */     GIR_RootConstrainSelectedInstOperands,
     /*  56078 */     // GIR_Coverage, 14993,
     /*  56078 */     GIR_EraseRootFromParent_Done,
     /*  56079 */   // Label 922: @56079
     /*  56079 */   GIM_Try, /*On fail goto*//*Label 923*/ GIMT_Encode4(56136), // Rule ID 8374 //
     /*  56084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  56091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56095 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  56099 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  56103 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  56107 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56111 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  56115 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56119 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56121 */     // (and:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op1, (xor:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op2, (splat_vector:{ *:[nxv1i1] } -1:{ *:[i32] })))  =>  (BIC_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2)
     /*  56121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  56124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56126 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56128 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56130 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  56134 */     GIR_RootConstrainSelectedInstOperands,
     /*  56135 */     // GIR_Coverage, 8374,
     /*  56135 */     GIR_EraseRootFromParent_Done,
     /*  56136 */   // Label 923: @56136
     /*  56136 */   GIM_Try, /*On fail goto*//*Label 924*/ GIMT_Encode4(56193), // Rule ID 8375 //
     /*  56141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  56148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56152 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  56156 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  56160 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  56164 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56168 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  56172 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56176 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56178 */     // (and:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op1, (xor:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op2, (splat_vector:{ *:[nxv1i1] } -1:{ *:[i64] })))  =>  (BIC_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2)
     /*  56178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  56181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56183 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56185 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56187 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  56191 */     GIR_RootConstrainSelectedInstOperands,
     /*  56192 */     // GIR_Coverage, 8375,
     /*  56192 */     GIR_EraseRootFromParent_Done,
     /*  56193 */   // Label 924: @56193
     /*  56193 */   GIM_Try, /*On fail goto*//*Label 925*/ GIMT_Encode4(56240), // Rule ID 10626 //
     /*  56198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56201 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  56205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  56209 */     // (and:{ *:[nxv1i1] } PPR:{ *:[nxv1i1] }:$Ps1, PPR:{ *:[nxv1i1] }:$Ps2)  =>  (AND_PPzPP:{ *:[nxv1i1] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), PPR:{ *:[nxv1i1] }:$Ps1, PPR:{ *:[nxv1i1] }:$Ps2)
     /*  56209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  56212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /*  56216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  56221 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*  56224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  56226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /*  56229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56231 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  56234 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ps1
     /*  56236 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ps2
     /*  56238 */     GIR_RootConstrainSelectedInstOperands,
     /*  56239 */     // GIR_Coverage, 10626,
     /*  56239 */     GIR_EraseRootFromParent_Done,
     /*  56240 */   // Label 925: @56240
     /*  56240 */   GIM_Try, /*On fail goto*//*Label 926*/ GIMT_Encode4(56261), // Rule ID 2753 //
     /*  56245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56248 */     // (and:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op1, nxv1i1:{ *:[nxv1i1] }:$Op2)  =>  (AND_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2)
     /*  56248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /*  56251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56253 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56255 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56257 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  56259 */     GIR_RootConstrainSelectedInstOperands,
     /*  56260 */     // GIR_Coverage, 2753,
     /*  56260 */     GIR_EraseRootFromParent_Done,
     /*  56261 */   // Label 926: @56261
     /*  56261 */   GIM_Reject,
     /*  56262 */ // Label 916: @56262
     /*  56262 */ GIM_Reject,
     /*  56263 */ // Label 847: @56263
     /*  56263 */ GIM_Try, /*On fail goto*//*Label 927*/ GIMT_Encode4(56803),
     /*  56268 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  56271 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  56274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  56278 */   GIM_Try, /*On fail goto*//*Label 928*/ GIMT_Encode4(56335), // Rule ID 14983 //
     /*  56283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  56290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56294 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  56298 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  56302 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  56306 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56310 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  56314 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56318 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56320 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (splat_vector:{ *:[nxv2i1] } -1:{ *:[i32] }), nxv2i1:{ *:[nxv2i1] }:$Op2), nxv2i1:{ *:[nxv2i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /*  56320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  56323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56325 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  56327 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  56329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  56333 */     GIR_RootConstrainSelectedInstOperands,
     /*  56334 */     // GIR_Coverage, 14983,
     /*  56334 */     GIR_EraseRootFromParent_Done,
     /*  56335 */   // Label 928: @56335
     /*  56335 */   GIM_Try, /*On fail goto*//*Label 929*/ GIMT_Encode4(56392), // Rule ID 14986 //
     /*  56340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  56347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56351 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  56355 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  56359 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  56363 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56367 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  56371 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56375 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56377 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (splat_vector:{ *:[nxv2i1] } -1:{ *:[i64] }), nxv2i1:{ *:[nxv2i1] }:$Op2), nxv2i1:{ *:[nxv2i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /*  56377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  56380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56382 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  56384 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  56386 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  56390 */     GIR_RootConstrainSelectedInstOperands,
     /*  56391 */     // GIR_Coverage, 14986,
     /*  56391 */     GIR_EraseRootFromParent_Done,
     /*  56392 */   // Label 929: @56392
     /*  56392 */   GIM_Try, /*On fail goto*//*Label 930*/ GIMT_Encode4(56449), // Rule ID 14982 //
     /*  56397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  56404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56408 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  56412 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  56416 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  56420 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56424 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  56428 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56432 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56434 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op2, (splat_vector:{ *:[nxv2i1] } -1:{ *:[i32] })), nxv2i1:{ *:[nxv2i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /*  56434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  56437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56439 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  56441 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  56443 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  56447 */     GIR_RootConstrainSelectedInstOperands,
     /*  56448 */     // GIR_Coverage, 14982,
     /*  56448 */     GIR_EraseRootFromParent_Done,
     /*  56449 */   // Label 930: @56449
     /*  56449 */   GIM_Try, /*On fail goto*//*Label 931*/ GIMT_Encode4(56506), // Rule ID 14985 //
     /*  56454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  56461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56465 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  56469 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  56473 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  56477 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56481 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  56485 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56489 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56491 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op2, (splat_vector:{ *:[nxv2i1] } -1:{ *:[i64] })), nxv2i1:{ *:[nxv2i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /*  56491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  56494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56496 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  56498 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  56500 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  56504 */     GIR_RootConstrainSelectedInstOperands,
     /*  56505 */     // GIR_Coverage, 14985,
     /*  56505 */     GIR_EraseRootFromParent_Done,
     /*  56506 */   // Label 931: @56506
     /*  56506 */   GIM_Try, /*On fail goto*//*Label 932*/ GIMT_Encode4(56563), // Rule ID 14981 //
     /*  56511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  56518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56522 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  56526 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  56530 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  56534 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56538 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  56542 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56546 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56548 */     // (and:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, (xor:{ *:[nxv2i1] } (splat_vector:{ *:[nxv2i1] } -1:{ *:[i32] }), nxv2i1:{ *:[nxv2i1] }:$Op2))  =>  (BIC_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /*  56548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  56551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56553 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56555 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  56561 */     GIR_RootConstrainSelectedInstOperands,
     /*  56562 */     // GIR_Coverage, 14981,
     /*  56562 */     GIR_EraseRootFromParent_Done,
     /*  56563 */   // Label 932: @56563
     /*  56563 */   GIM_Try, /*On fail goto*//*Label 933*/ GIMT_Encode4(56620), // Rule ID 14984 //
     /*  56568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  56575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  56583 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  56587 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  56591 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56595 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  56599 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56603 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56605 */     // (and:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, (xor:{ *:[nxv2i1] } (splat_vector:{ *:[nxv2i1] } -1:{ *:[i64] }), nxv2i1:{ *:[nxv2i1] }:$Op2))  =>  (BIC_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /*  56605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  56608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56610 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56612 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  56618 */     GIR_RootConstrainSelectedInstOperands,
     /*  56619 */     // GIR_Coverage, 14984,
     /*  56619 */     GIR_EraseRootFromParent_Done,
     /*  56620 */   // Label 933: @56620
     /*  56620 */   GIM_Try, /*On fail goto*//*Label 934*/ GIMT_Encode4(56677), // Rule ID 8370 //
     /*  56625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  56632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56636 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  56640 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  56644 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  56648 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56652 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  56656 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56660 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56662 */     // (and:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, (xor:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op2, (splat_vector:{ *:[nxv2i1] } -1:{ *:[i32] })))  =>  (BIC_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /*  56662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  56665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56667 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56669 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  56675 */     GIR_RootConstrainSelectedInstOperands,
     /*  56676 */     // GIR_Coverage, 8370,
     /*  56676 */     GIR_EraseRootFromParent_Done,
     /*  56677 */   // Label 934: @56677
     /*  56677 */   GIM_Try, /*On fail goto*//*Label 935*/ GIMT_Encode4(56734), // Rule ID 8371 //
     /*  56682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  56689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56693 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  56697 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  56701 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  56705 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56709 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  56713 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56717 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56719 */     // (and:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, (xor:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op2, (splat_vector:{ *:[nxv2i1] } -1:{ *:[i64] })))  =>  (BIC_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /*  56719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  56722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56724 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56726 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56728 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  56732 */     GIR_RootConstrainSelectedInstOperands,
     /*  56733 */     // GIR_Coverage, 8371,
     /*  56733 */     GIR_EraseRootFromParent_Done,
     /*  56734 */   // Label 935: @56734
     /*  56734 */   GIM_Try, /*On fail goto*//*Label 936*/ GIMT_Encode4(56781), // Rule ID 10625 //
     /*  56739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  56746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  56750 */     // (and:{ *:[nxv2i1] } PPR:{ *:[nxv2i1] }:$Ps1, PPR:{ *:[nxv2i1] }:$Ps2)  =>  (AND_PPzPP:{ *:[nxv2i1] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), PPR:{ *:[nxv2i1] }:$Ps1, PPR:{ *:[nxv2i1] }:$Ps2)
     /*  56750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  56753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /*  56757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  56762 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*  56765 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  56767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /*  56770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56772 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  56775 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ps1
     /*  56777 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ps2
     /*  56779 */     GIR_RootConstrainSelectedInstOperands,
     /*  56780 */     // GIR_Coverage, 10625,
     /*  56780 */     GIR_EraseRootFromParent_Done,
     /*  56781 */   // Label 936: @56781
     /*  56781 */   GIM_Try, /*On fail goto*//*Label 937*/ GIMT_Encode4(56802), // Rule ID 2752 //
     /*  56786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56789 */     // (and:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (AND_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /*  56789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /*  56792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56794 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56796 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56798 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  56800 */     GIR_RootConstrainSelectedInstOperands,
     /*  56801 */     // GIR_Coverage, 2752,
     /*  56801 */     GIR_EraseRootFromParent_Done,
     /*  56802 */   // Label 937: @56802
     /*  56802 */   GIM_Reject,
     /*  56803 */ // Label 927: @56803
     /*  56803 */ GIM_Reject,
     /*  56804 */ // Label 848: @56804
     /*  56804 */ GIM_Try, /*On fail goto*//*Label 938*/ GIMT_Encode4(57275),
     /*  56809 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  56812 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  56815 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  56819 */   GIM_Try, /*On fail goto*//*Label 939*/ GIMT_Encode4(56874), // Rule ID 14923 //
     /*  56824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  56831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56835 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  56839 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  56843 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  56847 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56851 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  56855 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56859 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56861 */     // (and:{ *:[nxv2i64] } (xor:{ *:[nxv2i64] } (splat_vector:{ *:[nxv2i64] } -1:{ *:[i32] }), nxv2i64:{ *:[nxv2i64] }:$Op2), nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  56861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  56864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  56866 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  56868 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  56872 */     GIR_RootConstrainSelectedInstOperands,
     /*  56873 */     // GIR_Coverage, 14923,
     /*  56873 */     GIR_EraseRootFromParent_Done,
     /*  56874 */   // Label 939: @56874
     /*  56874 */   GIM_Try, /*On fail goto*//*Label 940*/ GIMT_Encode4(56929), // Rule ID 14926 //
     /*  56879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  56886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56890 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  56894 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  56898 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  56902 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56906 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  56910 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56914 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56916 */     // (and:{ *:[nxv2i64] } (xor:{ *:[nxv2i64] } (splat_vector:{ *:[nxv2i64] } -1:{ *:[i64] }), nxv2i64:{ *:[nxv2i64] }:$Op2), nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  56916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  56919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  56921 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  56923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  56927 */     GIR_RootConstrainSelectedInstOperands,
     /*  56928 */     // GIR_Coverage, 14926,
     /*  56928 */     GIR_EraseRootFromParent_Done,
     /*  56929 */   // Label 940: @56929
     /*  56929 */   GIM_Try, /*On fail goto*//*Label 941*/ GIMT_Encode4(56984), // Rule ID 14922 //
     /*  56934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  56941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56945 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  56949 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  56953 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  56957 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56961 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  56965 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56969 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56971 */     // (and:{ *:[nxv2i64] } (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op2, (splat_vector:{ *:[nxv2i64] } -1:{ *:[i32] })), nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  56971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  56974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  56976 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  56978 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  56982 */     GIR_RootConstrainSelectedInstOperands,
     /*  56983 */     // GIR_Coverage, 14922,
     /*  56983 */     GIR_EraseRootFromParent_Done,
     /*  56984 */   // Label 941: @56984
     /*  56984 */   GIM_Try, /*On fail goto*//*Label 942*/ GIMT_Encode4(57039), // Rule ID 14925 //
     /*  56989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  56996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57000 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  57004 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  57008 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  57012 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57016 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  57020 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57024 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57026 */     // (and:{ *:[nxv2i64] } (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op2, (splat_vector:{ *:[nxv2i64] } -1:{ *:[i64] })), nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  57026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  57029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  57031 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  57033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  57037 */     GIR_RootConstrainSelectedInstOperands,
     /*  57038 */     // GIR_Coverage, 14925,
     /*  57038 */     GIR_EraseRootFromParent_Done,
     /*  57039 */   // Label 942: @57039
     /*  57039 */   GIM_Try, /*On fail goto*//*Label 943*/ GIMT_Encode4(57094), // Rule ID 14921 //
     /*  57044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  57051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57055 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  57059 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  57063 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  57067 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57071 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  57075 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57079 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57081 */     // (and:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, (xor:{ *:[nxv2i64] } (splat_vector:{ *:[nxv2i64] } -1:{ *:[i32] }), nxv2i64:{ *:[nxv2i64] }:$Op2))  =>  (BIC_ZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  57081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  57084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  57086 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57088 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  57092 */     GIR_RootConstrainSelectedInstOperands,
     /*  57093 */     // GIR_Coverage, 14921,
     /*  57093 */     GIR_EraseRootFromParent_Done,
     /*  57094 */   // Label 943: @57094
     /*  57094 */   GIM_Try, /*On fail goto*//*Label 944*/ GIMT_Encode4(57149), // Rule ID 14924 //
     /*  57099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  57106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57110 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  57114 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  57118 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  57122 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57126 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  57130 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57134 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57136 */     // (and:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, (xor:{ *:[nxv2i64] } (splat_vector:{ *:[nxv2i64] } -1:{ *:[i64] }), nxv2i64:{ *:[nxv2i64] }:$Op2))  =>  (BIC_ZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  57136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  57139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  57141 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57143 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  57147 */     GIR_RootConstrainSelectedInstOperands,
     /*  57148 */     // GIR_Coverage, 14924,
     /*  57148 */     GIR_EraseRootFromParent_Done,
     /*  57149 */   // Label 944: @57149
     /*  57149 */   GIM_Try, /*On fail goto*//*Label 945*/ GIMT_Encode4(57204), // Rule ID 7423 //
     /*  57154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  57161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57165 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  57169 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  57173 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  57177 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57181 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  57185 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57189 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57191 */     // (and:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op2, (splat_vector:{ *:[nxv2i64] } -1:{ *:[i32] })))  =>  (BIC_ZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  57191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  57194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  57196 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57198 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  57202 */     GIR_RootConstrainSelectedInstOperands,
     /*  57203 */     // GIR_Coverage, 7423,
     /*  57203 */     GIR_EraseRootFromParent_Done,
     /*  57204 */   // Label 945: @57204
     /*  57204 */   GIM_Try, /*On fail goto*//*Label 946*/ GIMT_Encode4(57259), // Rule ID 7424 //
     /*  57209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  57216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57220 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  57224 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  57228 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  57232 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57236 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  57240 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57244 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57246 */     // (and:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op2, (splat_vector:{ *:[nxv2i64] } -1:{ *:[i64] })))  =>  (BIC_ZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  57246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  57249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  57251 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  57257 */     GIR_RootConstrainSelectedInstOperands,
     /*  57258 */     // GIR_Coverage, 7424,
     /*  57258 */     GIR_EraseRootFromParent_Done,
     /*  57259 */   // Label 946: @57259
     /*  57259 */   GIM_Try, /*On fail goto*//*Label 947*/ GIMT_Encode4(57274), // Rule ID 3146 //
     /*  57264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57267 */     // (and:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (AND_ZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  57267 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::AND_ZZZ),
     /*  57272 */     GIR_RootConstrainSelectedInstOperands,
     /*  57273 */     // GIR_Coverage, 3146,
     /*  57273 */     GIR_Done,
     /*  57274 */   // Label 947: @57274
     /*  57274 */   GIM_Reject,
     /*  57275 */ // Label 938: @57275
     /*  57275 */ GIM_Reject,
     /*  57276 */ // Label 849: @57276
     /*  57276 */ GIM_Try, /*On fail goto*//*Label 948*/ GIMT_Encode4(57816),
     /*  57281 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  57284 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  57287 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  57291 */   GIM_Try, /*On fail goto*//*Label 949*/ GIMT_Encode4(57348), // Rule ID 14974 //
     /*  57296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  57303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57307 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  57311 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  57315 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  57319 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57323 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  57327 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57331 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57333 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (splat_vector:{ *:[nxv4i1] } -1:{ *:[i32] }), nxv4i1:{ *:[nxv4i1] }:$Op2), nxv4i1:{ *:[nxv4i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /*  57333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  57336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  57338 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  57340 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  57342 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  57346 */     GIR_RootConstrainSelectedInstOperands,
     /*  57347 */     // GIR_Coverage, 14974,
     /*  57347 */     GIR_EraseRootFromParent_Done,
     /*  57348 */   // Label 949: @57348
     /*  57348 */   GIM_Try, /*On fail goto*//*Label 950*/ GIMT_Encode4(57405), // Rule ID 14977 //
     /*  57353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  57360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57364 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  57368 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  57372 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  57376 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57380 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  57384 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57388 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57390 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (splat_vector:{ *:[nxv4i1] } -1:{ *:[i64] }), nxv4i1:{ *:[nxv4i1] }:$Op2), nxv4i1:{ *:[nxv4i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /*  57390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  57393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  57395 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  57397 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  57399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  57403 */     GIR_RootConstrainSelectedInstOperands,
     /*  57404 */     // GIR_Coverage, 14977,
     /*  57404 */     GIR_EraseRootFromParent_Done,
     /*  57405 */   // Label 950: @57405
     /*  57405 */   GIM_Try, /*On fail goto*//*Label 951*/ GIMT_Encode4(57462), // Rule ID 14973 //
     /*  57410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  57417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57421 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  57425 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  57429 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  57433 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57437 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  57441 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57445 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57447 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op2, (splat_vector:{ *:[nxv4i1] } -1:{ *:[i32] })), nxv4i1:{ *:[nxv4i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /*  57447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  57450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  57452 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  57454 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  57456 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  57460 */     GIR_RootConstrainSelectedInstOperands,
     /*  57461 */     // GIR_Coverage, 14973,
     /*  57461 */     GIR_EraseRootFromParent_Done,
     /*  57462 */   // Label 951: @57462
     /*  57462 */   GIM_Try, /*On fail goto*//*Label 952*/ GIMT_Encode4(57519), // Rule ID 14976 //
     /*  57467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  57474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57478 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  57482 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  57486 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  57490 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57494 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  57498 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57502 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57504 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op2, (splat_vector:{ *:[nxv4i1] } -1:{ *:[i64] })), nxv4i1:{ *:[nxv4i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /*  57504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  57507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  57509 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  57511 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  57513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  57517 */     GIR_RootConstrainSelectedInstOperands,
     /*  57518 */     // GIR_Coverage, 14976,
     /*  57518 */     GIR_EraseRootFromParent_Done,
     /*  57519 */   // Label 952: @57519
     /*  57519 */   GIM_Try, /*On fail goto*//*Label 953*/ GIMT_Encode4(57576), // Rule ID 14972 //
     /*  57524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  57531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57535 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  57539 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  57543 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  57547 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57551 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  57555 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57559 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57561 */     // (and:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, (xor:{ *:[nxv4i1] } (splat_vector:{ *:[nxv4i1] } -1:{ *:[i32] }), nxv4i1:{ *:[nxv4i1] }:$Op2))  =>  (BIC_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /*  57561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  57564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  57566 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57568 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  57574 */     GIR_RootConstrainSelectedInstOperands,
     /*  57575 */     // GIR_Coverage, 14972,
     /*  57575 */     GIR_EraseRootFromParent_Done,
     /*  57576 */   // Label 953: @57576
     /*  57576 */   GIM_Try, /*On fail goto*//*Label 954*/ GIMT_Encode4(57633), // Rule ID 14975 //
     /*  57581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  57588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57592 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  57596 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  57600 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  57604 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57608 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  57612 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57616 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57618 */     // (and:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, (xor:{ *:[nxv4i1] } (splat_vector:{ *:[nxv4i1] } -1:{ *:[i64] }), nxv4i1:{ *:[nxv4i1] }:$Op2))  =>  (BIC_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /*  57618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  57621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  57623 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57625 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57627 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  57631 */     GIR_RootConstrainSelectedInstOperands,
     /*  57632 */     // GIR_Coverage, 14975,
     /*  57632 */     GIR_EraseRootFromParent_Done,
     /*  57633 */   // Label 954: @57633
     /*  57633 */   GIM_Try, /*On fail goto*//*Label 955*/ GIMT_Encode4(57690), // Rule ID 8366 //
     /*  57638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  57645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57649 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  57653 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  57657 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  57661 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57665 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  57669 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57673 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57675 */     // (and:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, (xor:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op2, (splat_vector:{ *:[nxv4i1] } -1:{ *:[i32] })))  =>  (BIC_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /*  57675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  57678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  57680 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57682 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57684 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  57688 */     GIR_RootConstrainSelectedInstOperands,
     /*  57689 */     // GIR_Coverage, 8366,
     /*  57689 */     GIR_EraseRootFromParent_Done,
     /*  57690 */   // Label 955: @57690
     /*  57690 */   GIM_Try, /*On fail goto*//*Label 956*/ GIMT_Encode4(57747), // Rule ID 8367 //
     /*  57695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  57702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57706 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  57710 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  57714 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  57718 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57722 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  57726 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57730 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57732 */     // (and:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, (xor:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op2, (splat_vector:{ *:[nxv4i1] } -1:{ *:[i64] })))  =>  (BIC_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /*  57732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  57735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  57737 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57739 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  57745 */     GIR_RootConstrainSelectedInstOperands,
     /*  57746 */     // GIR_Coverage, 8367,
     /*  57746 */     GIR_EraseRootFromParent_Done,
     /*  57747 */   // Label 956: @57747
     /*  57747 */   GIM_Try, /*On fail goto*//*Label 957*/ GIMT_Encode4(57794), // Rule ID 10624 //
     /*  57752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57755 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  57759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  57763 */     // (and:{ *:[nxv4i1] } PPR:{ *:[nxv4i1] }:$Ps1, PPR:{ *:[nxv4i1] }:$Ps2)  =>  (AND_PPzPP:{ *:[nxv4i1] } (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), PPR:{ *:[nxv4i1] }:$Ps1, PPR:{ *:[nxv4i1] }:$Ps2)
     /*  57763 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  57766 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /*  57770 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  57775 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*  57778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  57780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /*  57783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  57785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  57788 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ps1
     /*  57790 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ps2
     /*  57792 */     GIR_RootConstrainSelectedInstOperands,
     /*  57793 */     // GIR_Coverage, 10624,
     /*  57793 */     GIR_EraseRootFromParent_Done,
     /*  57794 */   // Label 957: @57794
     /*  57794 */   GIM_Try, /*On fail goto*//*Label 958*/ GIMT_Encode4(57815), // Rule ID 2751 //
     /*  57799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57802 */     // (and:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (AND_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /*  57802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /*  57805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  57807 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57809 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57811 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  57813 */     GIR_RootConstrainSelectedInstOperands,
     /*  57814 */     // GIR_Coverage, 2751,
     /*  57814 */     GIR_EraseRootFromParent_Done,
     /*  57815 */   // Label 958: @57815
     /*  57815 */   GIM_Reject,
     /*  57816 */ // Label 948: @57816
     /*  57816 */ GIM_Reject,
     /*  57817 */ // Label 850: @57817
     /*  57817 */ GIM_Try, /*On fail goto*//*Label 959*/ GIMT_Encode4(58288),
     /*  57822 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  57825 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  57828 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  57832 */   GIM_Try, /*On fail goto*//*Label 960*/ GIMT_Encode4(57887), // Rule ID 14914 //
     /*  57837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  57844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57848 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  57852 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  57856 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  57860 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57864 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  57868 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57872 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57874 */     // (and:{ *:[nxv4i32] } (xor:{ *:[nxv4i32] } (splat_vector:{ *:[nxv4i32] } -1:{ *:[i32] }), nxv4i32:{ *:[nxv4i32] }:$Op2), nxv4i32:{ *:[nxv4i32] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  57874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  57877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  57879 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  57881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  57885 */     GIR_RootConstrainSelectedInstOperands,
     /*  57886 */     // GIR_Coverage, 14914,
     /*  57886 */     GIR_EraseRootFromParent_Done,
     /*  57887 */   // Label 960: @57887
     /*  57887 */   GIM_Try, /*On fail goto*//*Label 961*/ GIMT_Encode4(57942), // Rule ID 14917 //
     /*  57892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  57899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57903 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  57907 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  57911 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  57915 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57919 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  57923 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57927 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57929 */     // (and:{ *:[nxv4i32] } (xor:{ *:[nxv4i32] } (splat_vector:{ *:[nxv4i32] } -1:{ *:[i64] }), nxv4i32:{ *:[nxv4i32] }:$Op2), nxv4i32:{ *:[nxv4i32] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  57929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  57932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  57934 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  57936 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  57940 */     GIR_RootConstrainSelectedInstOperands,
     /*  57941 */     // GIR_Coverage, 14917,
     /*  57941 */     GIR_EraseRootFromParent_Done,
     /*  57942 */   // Label 961: @57942
     /*  57942 */   GIM_Try, /*On fail goto*//*Label 962*/ GIMT_Encode4(57997), // Rule ID 14913 //
     /*  57947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  57954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57958 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  57962 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  57966 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  57970 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57974 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  57978 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57982 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57984 */     // (and:{ *:[nxv4i32] } (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op2, (splat_vector:{ *:[nxv4i32] } -1:{ *:[i32] })), nxv4i32:{ *:[nxv4i32] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  57984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  57987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  57989 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  57991 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  57995 */     GIR_RootConstrainSelectedInstOperands,
     /*  57996 */     // GIR_Coverage, 14913,
     /*  57996 */     GIR_EraseRootFromParent_Done,
     /*  57997 */   // Label 962: @57997
     /*  57997 */   GIM_Try, /*On fail goto*//*Label 963*/ GIMT_Encode4(58052), // Rule ID 14916 //
     /*  58002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  58009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58013 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  58017 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  58021 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  58025 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58029 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  58033 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58037 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58039 */     // (and:{ *:[nxv4i32] } (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op2, (splat_vector:{ *:[nxv4i32] } -1:{ *:[i64] })), nxv4i32:{ *:[nxv4i32] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  58039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  58042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  58044 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  58046 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  58050 */     GIR_RootConstrainSelectedInstOperands,
     /*  58051 */     // GIR_Coverage, 14916,
     /*  58051 */     GIR_EraseRootFromParent_Done,
     /*  58052 */   // Label 963: @58052
     /*  58052 */   GIM_Try, /*On fail goto*//*Label 964*/ GIMT_Encode4(58107), // Rule ID 14912 //
     /*  58057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  58064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58068 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  58072 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  58076 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  58080 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58084 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  58088 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58092 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58094 */     // (and:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, (xor:{ *:[nxv4i32] } (splat_vector:{ *:[nxv4i32] } -1:{ *:[i32] }), nxv4i32:{ *:[nxv4i32] }:$Op2))  =>  (BIC_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  58094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  58097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  58099 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  58101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  58105 */     GIR_RootConstrainSelectedInstOperands,
     /*  58106 */     // GIR_Coverage, 14912,
     /*  58106 */     GIR_EraseRootFromParent_Done,
     /*  58107 */   // Label 964: @58107
     /*  58107 */   GIM_Try, /*On fail goto*//*Label 965*/ GIMT_Encode4(58162), // Rule ID 14915 //
     /*  58112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  58119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58123 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  58127 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  58131 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  58135 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58139 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  58143 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58147 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58149 */     // (and:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, (xor:{ *:[nxv4i32] } (splat_vector:{ *:[nxv4i32] } -1:{ *:[i64] }), nxv4i32:{ *:[nxv4i32] }:$Op2))  =>  (BIC_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  58149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  58152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  58154 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  58156 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  58160 */     GIR_RootConstrainSelectedInstOperands,
     /*  58161 */     // GIR_Coverage, 14915,
     /*  58161 */     GIR_EraseRootFromParent_Done,
     /*  58162 */   // Label 965: @58162
     /*  58162 */   GIM_Try, /*On fail goto*//*Label 966*/ GIMT_Encode4(58217), // Rule ID 7419 //
     /*  58167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  58174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58178 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  58182 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  58186 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  58190 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58194 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  58198 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58202 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58204 */     // (and:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op2, (splat_vector:{ *:[nxv4i32] } -1:{ *:[i32] })))  =>  (BIC_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  58204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  58207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  58209 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  58211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  58215 */     GIR_RootConstrainSelectedInstOperands,
     /*  58216 */     // GIR_Coverage, 7419,
     /*  58216 */     GIR_EraseRootFromParent_Done,
     /*  58217 */   // Label 966: @58217
     /*  58217 */   GIM_Try, /*On fail goto*//*Label 967*/ GIMT_Encode4(58272), // Rule ID 7420 //
     /*  58222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  58229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58233 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  58237 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  58241 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  58245 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58249 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  58253 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58257 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58259 */     // (and:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op2, (splat_vector:{ *:[nxv4i32] } -1:{ *:[i64] })))  =>  (BIC_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  58259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  58262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  58264 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  58266 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  58270 */     GIR_RootConstrainSelectedInstOperands,
     /*  58271 */     // GIR_Coverage, 7420,
     /*  58271 */     GIR_EraseRootFromParent_Done,
     /*  58272 */   // Label 967: @58272
     /*  58272 */   GIM_Try, /*On fail goto*//*Label 968*/ GIMT_Encode4(58287), // Rule ID 3145 //
     /*  58277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58280 */     // (and:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (AND_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  58280 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::AND_ZZZ),
     /*  58285 */     GIR_RootConstrainSelectedInstOperands,
     /*  58286 */     // GIR_Coverage, 3145,
     /*  58286 */     GIR_Done,
     /*  58287 */   // Label 968: @58287
     /*  58287 */   GIM_Reject,
     /*  58288 */ // Label 959: @58288
     /*  58288 */ GIM_Reject,
     /*  58289 */ // Label 851: @58289
     /*  58289 */ GIM_Try, /*On fail goto*//*Label 969*/ GIMT_Encode4(58829),
     /*  58294 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  58297 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  58300 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  58304 */   GIM_Try, /*On fail goto*//*Label 970*/ GIMT_Encode4(58361), // Rule ID 14965 //
     /*  58309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  58316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58320 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  58324 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  58328 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  58332 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58336 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  58340 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58344 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58346 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (splat_vector:{ *:[nxv8i1] } -1:{ *:[i32] }), nxv8i1:{ *:[nxv8i1] }:$Op2), nxv8i1:{ *:[nxv8i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /*  58346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  58349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  58351 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  58353 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  58355 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  58359 */     GIR_RootConstrainSelectedInstOperands,
     /*  58360 */     // GIR_Coverage, 14965,
     /*  58360 */     GIR_EraseRootFromParent_Done,
     /*  58361 */   // Label 970: @58361
     /*  58361 */   GIM_Try, /*On fail goto*//*Label 971*/ GIMT_Encode4(58418), // Rule ID 14968 //
     /*  58366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  58373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58377 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  58381 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  58385 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  58389 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58393 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  58397 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58401 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58403 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (splat_vector:{ *:[nxv8i1] } -1:{ *:[i64] }), nxv8i1:{ *:[nxv8i1] }:$Op2), nxv8i1:{ *:[nxv8i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /*  58403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  58406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  58408 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  58410 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  58412 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  58416 */     GIR_RootConstrainSelectedInstOperands,
     /*  58417 */     // GIR_Coverage, 14968,
     /*  58417 */     GIR_EraseRootFromParent_Done,
     /*  58418 */   // Label 971: @58418
     /*  58418 */   GIM_Try, /*On fail goto*//*Label 972*/ GIMT_Encode4(58475), // Rule ID 14964 //
     /*  58423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  58430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58434 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  58438 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  58442 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  58446 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58450 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  58454 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58458 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58460 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op2, (splat_vector:{ *:[nxv8i1] } -1:{ *:[i32] })), nxv8i1:{ *:[nxv8i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /*  58460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  58463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  58465 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  58467 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  58469 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  58473 */     GIR_RootConstrainSelectedInstOperands,
     /*  58474 */     // GIR_Coverage, 14964,
     /*  58474 */     GIR_EraseRootFromParent_Done,
     /*  58475 */   // Label 972: @58475
     /*  58475 */   GIM_Try, /*On fail goto*//*Label 973*/ GIMT_Encode4(58532), // Rule ID 14967 //
     /*  58480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  58487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58491 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  58495 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  58499 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  58503 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58507 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  58511 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58515 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58517 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op2, (splat_vector:{ *:[nxv8i1] } -1:{ *:[i64] })), nxv8i1:{ *:[nxv8i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /*  58517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  58520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  58522 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  58524 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  58526 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  58530 */     GIR_RootConstrainSelectedInstOperands,
     /*  58531 */     // GIR_Coverage, 14967,
     /*  58531 */     GIR_EraseRootFromParent_Done,
     /*  58532 */   // Label 973: @58532
     /*  58532 */   GIM_Try, /*On fail goto*//*Label 974*/ GIMT_Encode4(58589), // Rule ID 14963 //
     /*  58537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  58544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58548 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  58552 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  58556 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  58560 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58564 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  58568 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58572 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58574 */     // (and:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, (xor:{ *:[nxv8i1] } (splat_vector:{ *:[nxv8i1] } -1:{ *:[i32] }), nxv8i1:{ *:[nxv8i1] }:$Op2))  =>  (BIC_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /*  58574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  58577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  58579 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  58581 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  58583 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  58587 */     GIR_RootConstrainSelectedInstOperands,
     /*  58588 */     // GIR_Coverage, 14963,
     /*  58588 */     GIR_EraseRootFromParent_Done,
     /*  58589 */   // Label 974: @58589
     /*  58589 */   GIM_Try, /*On fail goto*//*Label 975*/ GIMT_Encode4(58646), // Rule ID 14966 //
     /*  58594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  58601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58605 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  58609 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  58613 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  58617 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58621 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  58625 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58629 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58631 */     // (and:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, (xor:{ *:[nxv8i1] } (splat_vector:{ *:[nxv8i1] } -1:{ *:[i64] }), nxv8i1:{ *:[nxv8i1] }:$Op2))  =>  (BIC_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /*  58631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  58634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  58636 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  58638 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  58640 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  58644 */     GIR_RootConstrainSelectedInstOperands,
     /*  58645 */     // GIR_Coverage, 14966,
     /*  58645 */     GIR_EraseRootFromParent_Done,
     /*  58646 */   // Label 975: @58646
     /*  58646 */   GIM_Try, /*On fail goto*//*Label 976*/ GIMT_Encode4(58703), // Rule ID 8362 //
     /*  58651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  58658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58662 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  58666 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  58670 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  58674 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58678 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  58682 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58686 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58688 */     // (and:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, (xor:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op2, (splat_vector:{ *:[nxv8i1] } -1:{ *:[i32] })))  =>  (BIC_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /*  58688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  58691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  58693 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  58695 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  58697 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  58701 */     GIR_RootConstrainSelectedInstOperands,
     /*  58702 */     // GIR_Coverage, 8362,
     /*  58702 */     GIR_EraseRootFromParent_Done,
     /*  58703 */   // Label 976: @58703
     /*  58703 */   GIM_Try, /*On fail goto*//*Label 977*/ GIMT_Encode4(58760), // Rule ID 8363 //
     /*  58708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  58715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58719 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  58723 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  58727 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  58731 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58735 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  58739 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58743 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58745 */     // (and:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, (xor:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op2, (splat_vector:{ *:[nxv8i1] } -1:{ *:[i64] })))  =>  (BIC_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /*  58745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  58748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  58750 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  58752 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  58754 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  58758 */     GIR_RootConstrainSelectedInstOperands,
     /*  58759 */     // GIR_Coverage, 8363,
     /*  58759 */     GIR_EraseRootFromParent_Done,
     /*  58760 */   // Label 977: @58760
     /*  58760 */   GIM_Try, /*On fail goto*//*Label 978*/ GIMT_Encode4(58807), // Rule ID 10623 //
     /*  58765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  58772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  58776 */     // (and:{ *:[nxv8i1] } PPR:{ *:[nxv8i1] }:$Ps1, PPR:{ *:[nxv8i1] }:$Ps2)  =>  (AND_PPzPP:{ *:[nxv8i1] } (PTRUE_H:{ *:[nxv1i1] } 31:{ *:[i32] }), PPR:{ *:[nxv8i1] }:$Ps1, PPR:{ *:[nxv8i1] }:$Ps2)
     /*  58776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  58779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_H),
     /*  58783 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  58788 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*  58791 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  58793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /*  58796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  58798 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  58801 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ps1
     /*  58803 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ps2
     /*  58805 */     GIR_RootConstrainSelectedInstOperands,
     /*  58806 */     // GIR_Coverage, 10623,
     /*  58806 */     GIR_EraseRootFromParent_Done,
     /*  58807 */   // Label 978: @58807
     /*  58807 */   GIM_Try, /*On fail goto*//*Label 979*/ GIMT_Encode4(58828), // Rule ID 2750 //
     /*  58812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58815 */     // (and:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (AND_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /*  58815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /*  58818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  58820 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  58822 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  58824 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  58826 */     GIR_RootConstrainSelectedInstOperands,
     /*  58827 */     // GIR_Coverage, 2750,
     /*  58827 */     GIR_EraseRootFromParent_Done,
     /*  58828 */   // Label 979: @58828
     /*  58828 */   GIM_Reject,
     /*  58829 */ // Label 969: @58829
     /*  58829 */ GIM_Reject,
     /*  58830 */ // Label 852: @58830
     /*  58830 */ GIM_Try, /*On fail goto*//*Label 980*/ GIMT_Encode4(59301),
     /*  58835 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  58838 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  58841 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  58845 */   GIM_Try, /*On fail goto*//*Label 981*/ GIMT_Encode4(58900), // Rule ID 14905 //
     /*  58850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  58857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58861 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  58865 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  58869 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  58873 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58877 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  58881 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58885 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58887 */     // (and:{ *:[nxv8i16] } (xor:{ *:[nxv8i16] } (splat_vector:{ *:[nxv8i16] } -1:{ *:[i32] }), nxv8i16:{ *:[nxv8i16] }:$Op2), nxv8i16:{ *:[nxv8i16] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  58887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  58890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  58892 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  58894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  58898 */     GIR_RootConstrainSelectedInstOperands,
     /*  58899 */     // GIR_Coverage, 14905,
     /*  58899 */     GIR_EraseRootFromParent_Done,
     /*  58900 */   // Label 981: @58900
     /*  58900 */   GIM_Try, /*On fail goto*//*Label 982*/ GIMT_Encode4(58955), // Rule ID 14908 //
     /*  58905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  58912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  58920 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  58924 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  58928 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58932 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  58936 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58940 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58942 */     // (and:{ *:[nxv8i16] } (xor:{ *:[nxv8i16] } (splat_vector:{ *:[nxv8i16] } -1:{ *:[i64] }), nxv8i16:{ *:[nxv8i16] }:$Op2), nxv8i16:{ *:[nxv8i16] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  58942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  58945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  58947 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  58949 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  58953 */     GIR_RootConstrainSelectedInstOperands,
     /*  58954 */     // GIR_Coverage, 14908,
     /*  58954 */     GIR_EraseRootFromParent_Done,
     /*  58955 */   // Label 982: @58955
     /*  58955 */   GIM_Try, /*On fail goto*//*Label 983*/ GIMT_Encode4(59010), // Rule ID 14904 //
     /*  58960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  58967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  58975 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  58979 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  58983 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58987 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  58991 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58995 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58997 */     // (and:{ *:[nxv8i16] } (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op2, (splat_vector:{ *:[nxv8i16] } -1:{ *:[i32] })), nxv8i16:{ *:[nxv8i16] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  58997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  59000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  59002 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  59004 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  59008 */     GIR_RootConstrainSelectedInstOperands,
     /*  59009 */     // GIR_Coverage, 14904,
     /*  59009 */     GIR_EraseRootFromParent_Done,
     /*  59010 */   // Label 983: @59010
     /*  59010 */   GIM_Try, /*On fail goto*//*Label 984*/ GIMT_Encode4(59065), // Rule ID 14907 //
     /*  59015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  59022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59026 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  59030 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  59034 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  59038 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59042 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  59046 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59050 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59052 */     // (and:{ *:[nxv8i16] } (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op2, (splat_vector:{ *:[nxv8i16] } -1:{ *:[i64] })), nxv8i16:{ *:[nxv8i16] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  59052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  59055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  59057 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  59059 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  59063 */     GIR_RootConstrainSelectedInstOperands,
     /*  59064 */     // GIR_Coverage, 14907,
     /*  59064 */     GIR_EraseRootFromParent_Done,
     /*  59065 */   // Label 984: @59065
     /*  59065 */   GIM_Try, /*On fail goto*//*Label 985*/ GIMT_Encode4(59120), // Rule ID 14903 //
     /*  59070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  59077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59081 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  59085 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  59089 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  59093 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59097 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  59101 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59105 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59107 */     // (and:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, (xor:{ *:[nxv8i16] } (splat_vector:{ *:[nxv8i16] } -1:{ *:[i32] }), nxv8i16:{ *:[nxv8i16] }:$Op2))  =>  (BIC_ZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  59107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  59110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  59112 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  59114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  59118 */     GIR_RootConstrainSelectedInstOperands,
     /*  59119 */     // GIR_Coverage, 14903,
     /*  59119 */     GIR_EraseRootFromParent_Done,
     /*  59120 */   // Label 985: @59120
     /*  59120 */   GIM_Try, /*On fail goto*//*Label 986*/ GIMT_Encode4(59175), // Rule ID 14906 //
     /*  59125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  59132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59136 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  59140 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  59144 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  59148 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59152 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  59156 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59160 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59162 */     // (and:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, (xor:{ *:[nxv8i16] } (splat_vector:{ *:[nxv8i16] } -1:{ *:[i64] }), nxv8i16:{ *:[nxv8i16] }:$Op2))  =>  (BIC_ZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  59162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  59165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  59167 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  59169 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  59173 */     GIR_RootConstrainSelectedInstOperands,
     /*  59174 */     // GIR_Coverage, 14906,
     /*  59174 */     GIR_EraseRootFromParent_Done,
     /*  59175 */   // Label 986: @59175
     /*  59175 */   GIM_Try, /*On fail goto*//*Label 987*/ GIMT_Encode4(59230), // Rule ID 7415 //
     /*  59180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  59187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59191 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  59195 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  59199 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  59203 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59207 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  59211 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59215 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59217 */     // (and:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op2, (splat_vector:{ *:[nxv8i16] } -1:{ *:[i32] })))  =>  (BIC_ZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  59217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  59220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  59222 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  59224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  59228 */     GIR_RootConstrainSelectedInstOperands,
     /*  59229 */     // GIR_Coverage, 7415,
     /*  59229 */     GIR_EraseRootFromParent_Done,
     /*  59230 */   // Label 987: @59230
     /*  59230 */   GIM_Try, /*On fail goto*//*Label 988*/ GIMT_Encode4(59285), // Rule ID 7416 //
     /*  59235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  59242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59246 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  59250 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  59254 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  59258 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59262 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  59266 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59270 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59272 */     // (and:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op2, (splat_vector:{ *:[nxv8i16] } -1:{ *:[i64] })))  =>  (BIC_ZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  59272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  59275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  59277 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  59279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  59283 */     GIR_RootConstrainSelectedInstOperands,
     /*  59284 */     // GIR_Coverage, 7416,
     /*  59284 */     GIR_EraseRootFromParent_Done,
     /*  59285 */   // Label 988: @59285
     /*  59285 */   GIM_Try, /*On fail goto*//*Label 989*/ GIMT_Encode4(59300), // Rule ID 3144 //
     /*  59290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59293 */     // (and:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (AND_ZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  59293 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::AND_ZZZ),
     /*  59298 */     GIR_RootConstrainSelectedInstOperands,
     /*  59299 */     // GIR_Coverage, 3144,
     /*  59299 */     GIR_Done,
     /*  59300 */   // Label 989: @59300
     /*  59300 */   GIM_Reject,
     /*  59301 */ // Label 980: @59301
     /*  59301 */ GIM_Reject,
     /*  59302 */ // Label 853: @59302
     /*  59302 */ GIM_Try, /*On fail goto*//*Label 990*/ GIMT_Encode4(59842),
     /*  59307 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  59310 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  59313 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  59317 */   GIM_Try, /*On fail goto*//*Label 991*/ GIMT_Encode4(59374), // Rule ID 14956 //
     /*  59322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  59329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59333 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  59337 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  59341 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  59345 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59349 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  59353 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59357 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59359 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (splat_vector:{ *:[nxv16i1] } -1:{ *:[i32] }), nxv16i1:{ *:[nxv16i1] }:$Op2), nxv16i1:{ *:[nxv16i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /*  59359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  59362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  59364 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  59366 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  59368 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  59372 */     GIR_RootConstrainSelectedInstOperands,
     /*  59373 */     // GIR_Coverage, 14956,
     /*  59373 */     GIR_EraseRootFromParent_Done,
     /*  59374 */   // Label 991: @59374
     /*  59374 */   GIM_Try, /*On fail goto*//*Label 992*/ GIMT_Encode4(59431), // Rule ID 14959 //
     /*  59379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  59386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59390 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  59394 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  59398 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  59402 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59406 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  59410 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59414 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59416 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (splat_vector:{ *:[nxv16i1] } -1:{ *:[i64] }), nxv16i1:{ *:[nxv16i1] }:$Op2), nxv16i1:{ *:[nxv16i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /*  59416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  59419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  59421 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  59423 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  59425 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  59429 */     GIR_RootConstrainSelectedInstOperands,
     /*  59430 */     // GIR_Coverage, 14959,
     /*  59430 */     GIR_EraseRootFromParent_Done,
     /*  59431 */   // Label 992: @59431
     /*  59431 */   GIM_Try, /*On fail goto*//*Label 993*/ GIMT_Encode4(59488), // Rule ID 14955 //
     /*  59436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  59443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59447 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  59451 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  59455 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  59459 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59463 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  59467 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59471 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59473 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op2, (splat_vector:{ *:[nxv16i1] } -1:{ *:[i32] })), nxv16i1:{ *:[nxv16i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /*  59473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  59476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  59478 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  59480 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  59482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  59486 */     GIR_RootConstrainSelectedInstOperands,
     /*  59487 */     // GIR_Coverage, 14955,
     /*  59487 */     GIR_EraseRootFromParent_Done,
     /*  59488 */   // Label 993: @59488
     /*  59488 */   GIM_Try, /*On fail goto*//*Label 994*/ GIMT_Encode4(59545), // Rule ID 14958 //
     /*  59493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  59500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59504 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  59508 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  59512 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  59516 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59520 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  59524 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59528 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59530 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op2, (splat_vector:{ *:[nxv16i1] } -1:{ *:[i64] })), nxv16i1:{ *:[nxv16i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /*  59530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  59533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  59535 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  59537 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  59539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  59543 */     GIR_RootConstrainSelectedInstOperands,
     /*  59544 */     // GIR_Coverage, 14958,
     /*  59544 */     GIR_EraseRootFromParent_Done,
     /*  59545 */   // Label 994: @59545
     /*  59545 */   GIM_Try, /*On fail goto*//*Label 995*/ GIMT_Encode4(59602), // Rule ID 14954 //
     /*  59550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  59557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59561 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  59565 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  59569 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  59573 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59577 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  59581 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59585 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59587 */     // (and:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op1, (xor:{ *:[nxv16i1] } (splat_vector:{ *:[nxv16i1] } -1:{ *:[i32] }), nxv16i1:{ *:[nxv16i1] }:$Op2))  =>  (BIC_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /*  59587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  59590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  59592 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  59594 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  59596 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  59600 */     GIR_RootConstrainSelectedInstOperands,
     /*  59601 */     // GIR_Coverage, 14954,
     /*  59601 */     GIR_EraseRootFromParent_Done,
     /*  59602 */   // Label 995: @59602
     /*  59602 */   GIM_Try, /*On fail goto*//*Label 996*/ GIMT_Encode4(59659), // Rule ID 14957 //
     /*  59607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  59614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59618 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  59622 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  59626 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  59630 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59634 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  59638 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59642 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59644 */     // (and:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op1, (xor:{ *:[nxv16i1] } (splat_vector:{ *:[nxv16i1] } -1:{ *:[i64] }), nxv16i1:{ *:[nxv16i1] }:$Op2))  =>  (BIC_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /*  59644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  59647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  59649 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  59651 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  59653 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  59657 */     GIR_RootConstrainSelectedInstOperands,
     /*  59658 */     // GIR_Coverage, 14957,
     /*  59658 */     GIR_EraseRootFromParent_Done,
     /*  59659 */   // Label 996: @59659
     /*  59659 */   GIM_Try, /*On fail goto*//*Label 997*/ GIMT_Encode4(59716), // Rule ID 8358 //
     /*  59664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  59671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59675 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  59679 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  59683 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  59687 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59691 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  59695 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59699 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59701 */     // (and:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op1, (xor:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op2, (splat_vector:{ *:[nxv16i1] } -1:{ *:[i32] })))  =>  (BIC_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /*  59701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  59704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  59706 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  59708 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  59710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  59714 */     GIR_RootConstrainSelectedInstOperands,
     /*  59715 */     // GIR_Coverage, 8358,
     /*  59715 */     GIR_EraseRootFromParent_Done,
     /*  59716 */   // Label 997: @59716
     /*  59716 */   GIM_Try, /*On fail goto*//*Label 998*/ GIMT_Encode4(59773), // Rule ID 8359 //
     /*  59721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  59728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59732 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  59736 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  59740 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  59744 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59748 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  59752 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59756 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59758 */     // (and:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op1, (xor:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op2, (splat_vector:{ *:[nxv16i1] } -1:{ *:[i64] })))  =>  (BIC_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /*  59758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  59761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  59763 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  59765 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  59767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  59771 */     GIR_RootConstrainSelectedInstOperands,
     /*  59772 */     // GIR_Coverage, 8359,
     /*  59772 */     GIR_EraseRootFromParent_Done,
     /*  59773 */   // Label 998: @59773
     /*  59773 */   GIM_Try, /*On fail goto*//*Label 999*/ GIMT_Encode4(59820), // Rule ID 10622 //
     /*  59778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59781 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  59785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  59789 */     // (and:{ *:[nxv16i1] } PPR:{ *:[nxv16i1] }:$Ps1, PPR:{ *:[nxv16i1] }:$Ps2)  =>  (AND_PPzPP:{ *:[nxv16i1] } (PTRUE_B:{ *:[nxv1i1] } 31:{ *:[i32] }), PPR:{ *:[nxv16i1] }:$Ps1, PPR:{ *:[nxv16i1] }:$Ps2)
     /*  59789 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  59792 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_B),
     /*  59796 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  59801 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*  59804 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  59806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /*  59809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  59811 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  59814 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ps1
     /*  59816 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ps2
     /*  59818 */     GIR_RootConstrainSelectedInstOperands,
     /*  59819 */     // GIR_Coverage, 10622,
     /*  59819 */     GIR_EraseRootFromParent_Done,
     /*  59820 */   // Label 999: @59820
     /*  59820 */   GIM_Try, /*On fail goto*//*Label 1000*/ GIMT_Encode4(59841), // Rule ID 2749 //
     /*  59825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59828 */     // (and:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2)  =>  (AND_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /*  59828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /*  59831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  59833 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  59835 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  59837 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  59839 */     GIR_RootConstrainSelectedInstOperands,
     /*  59840 */     // GIR_Coverage, 2749,
     /*  59840 */     GIR_EraseRootFromParent_Done,
     /*  59841 */   // Label 1000: @59841
     /*  59841 */   GIM_Reject,
     /*  59842 */ // Label 990: @59842
     /*  59842 */ GIM_Reject,
     /*  59843 */ // Label 854: @59843
     /*  59843 */ GIM_Try, /*On fail goto*//*Label 1001*/ GIMT_Encode4(60314),
     /*  59848 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  59851 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  59854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  59858 */   GIM_Try, /*On fail goto*//*Label 1002*/ GIMT_Encode4(59913), // Rule ID 14896 //
     /*  59863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  59870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59874 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  59878 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  59882 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  59886 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59890 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  59894 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59898 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59900 */     // (and:{ *:[nxv16i8] } (xor:{ *:[nxv16i8] } (splat_vector:{ *:[nxv16i8] } -1:{ *:[i32] }), nxv16i8:{ *:[nxv16i8] }:$Op2), nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  59900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  59903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  59905 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  59907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  59911 */     GIR_RootConstrainSelectedInstOperands,
     /*  59912 */     // GIR_Coverage, 14896,
     /*  59912 */     GIR_EraseRootFromParent_Done,
     /*  59913 */   // Label 1002: @59913
     /*  59913 */   GIM_Try, /*On fail goto*//*Label 1003*/ GIMT_Encode4(59968), // Rule ID 14899 //
     /*  59918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  59925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59929 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  59933 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  59937 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  59941 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59945 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  59949 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59953 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59955 */     // (and:{ *:[nxv16i8] } (xor:{ *:[nxv16i8] } (splat_vector:{ *:[nxv16i8] } -1:{ *:[i64] }), nxv16i8:{ *:[nxv16i8] }:$Op2), nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  59955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  59958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  59960 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  59962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  59966 */     GIR_RootConstrainSelectedInstOperands,
     /*  59967 */     // GIR_Coverage, 14899,
     /*  59967 */     GIR_EraseRootFromParent_Done,
     /*  59968 */   // Label 1003: @59968
     /*  59968 */   GIM_Try, /*On fail goto*//*Label 1004*/ GIMT_Encode4(60023), // Rule ID 14895 //
     /*  59973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  59980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59984 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  59988 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  59992 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  59996 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  60000 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  60004 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  60008 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60010 */     // (and:{ *:[nxv16i8] } (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op2, (splat_vector:{ *:[nxv16i8] } -1:{ *:[i32] })), nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  60010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  60013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  60015 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  60017 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  60021 */     GIR_RootConstrainSelectedInstOperands,
     /*  60022 */     // GIR_Coverage, 14895,
     /*  60022 */     GIR_EraseRootFromParent_Done,
     /*  60023 */   // Label 1004: @60023
     /*  60023 */   GIM_Try, /*On fail goto*//*Label 1005*/ GIMT_Encode4(60078), // Rule ID 14898 //
     /*  60028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  60031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  60035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60039 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  60043 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  60047 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  60051 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  60055 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  60059 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  60063 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60065 */     // (and:{ *:[nxv16i8] } (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op2, (splat_vector:{ *:[nxv16i8] } -1:{ *:[i64] })), nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  60065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  60068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  60070 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  60072 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  60076 */     GIR_RootConstrainSelectedInstOperands,
     /*  60077 */     // GIR_Coverage, 14898,
     /*  60077 */     GIR_EraseRootFromParent_Done,
     /*  60078 */   // Label 1005: @60078
     /*  60078 */   GIM_Try, /*On fail goto*//*Label 1006*/ GIMT_Encode4(60133), // Rule ID 14894 //
     /*  60083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  60086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  60090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60094 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  60098 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  60102 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  60106 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  60110 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  60114 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  60118 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60120 */     // (and:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, (xor:{ *:[nxv16i8] } (splat_vector:{ *:[nxv16i8] } -1:{ *:[i32] }), nxv16i8:{ *:[nxv16i8] }:$Op2))  =>  (BIC_ZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  60120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  60123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  60125 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  60127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  60131 */     GIR_RootConstrainSelectedInstOperands,
     /*  60132 */     // GIR_Coverage, 14894,
     /*  60132 */     GIR_EraseRootFromParent_Done,
     /*  60133 */   // Label 1006: @60133
     /*  60133 */   GIM_Try, /*On fail goto*//*Label 1007*/ GIMT_Encode4(60188), // Rule ID 14897 //
     /*  60138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  60141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  60145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  60153 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  60157 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  60161 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  60165 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  60169 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  60173 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60175 */     // (and:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, (xor:{ *:[nxv16i8] } (splat_vector:{ *:[nxv16i8] } -1:{ *:[i64] }), nxv16i8:{ *:[nxv16i8] }:$Op2))  =>  (BIC_ZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  60175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  60178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  60180 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  60182 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  60186 */     GIR_RootConstrainSelectedInstOperands,
     /*  60187 */     // GIR_Coverage, 14897,
     /*  60187 */     GIR_EraseRootFromParent_Done,
     /*  60188 */   // Label 1007: @60188
     /*  60188 */   GIM_Try, /*On fail goto*//*Label 1008*/ GIMT_Encode4(60243), // Rule ID 7411 //
     /*  60193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  60196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  60200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60204 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  60208 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  60212 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  60216 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  60220 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  60224 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  60228 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60230 */     // (and:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op2, (splat_vector:{ *:[nxv16i8] } -1:{ *:[i32] })))  =>  (BIC_ZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  60230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  60233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  60235 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  60237 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  60241 */     GIR_RootConstrainSelectedInstOperands,
     /*  60242 */     // GIR_Coverage, 7411,
     /*  60242 */     GIR_EraseRootFromParent_Done,
     /*  60243 */   // Label 1008: @60243
     /*  60243 */   GIM_Try, /*On fail goto*//*Label 1009*/ GIMT_Encode4(60298), // Rule ID 7412 //
     /*  60248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  60251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  60255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60259 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  60263 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  60267 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  60271 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  60275 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  60279 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  60283 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60285 */     // (and:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op2, (splat_vector:{ *:[nxv16i8] } -1:{ *:[i64] })))  =>  (BIC_ZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  60285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  60288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  60290 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  60292 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  60296 */     GIR_RootConstrainSelectedInstOperands,
     /*  60297 */     // GIR_Coverage, 7412,
     /*  60297 */     GIR_EraseRootFromParent_Done,
     /*  60298 */   // Label 1009: @60298
     /*  60298 */   GIM_Try, /*On fail goto*//*Label 1010*/ GIMT_Encode4(60313), // Rule ID 3143 //
     /*  60303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  60306 */     // (and:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (AND_ZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  60306 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::AND_ZZZ),
     /*  60311 */     GIR_RootConstrainSelectedInstOperands,
     /*  60312 */     // GIR_Coverage, 3143,
     /*  60312 */     GIR_Done,
     /*  60313 */   // Label 1010: @60313
     /*  60313 */   GIM_Reject,
     /*  60314 */ // Label 1001: @60314
     /*  60314 */ GIM_Reject,
     /*  60315 */ // Label 855: @60315
     /*  60315 */ GIM_Reject,
     /*  60316 */ // Label 6: @60316
     /*  60316 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(24), /*)*//*default:*//*Label 1029*/ GIMT_Encode4(72094),
     /*  60327 */ /*GILLT_s32*//*Label 1011*/ GIMT_Encode4(60415),
     /*  60331 */ /*GILLT_s64*//*Label 1012*/ GIMT_Encode4(60775), GIMT_Encode4(0),
     /*  60339 */ /*GILLT_v2s32*//*Label 1013*/ GIMT_Encode4(62674),
     /*  60343 */ /*GILLT_v2s64*//*Label 1014*/ GIMT_Encode4(63982),
     /*  60347 */ /*GILLT_v4s16*//*Label 1015*/ GIMT_Encode4(65290),
     /*  60351 */ /*GILLT_v4s32*//*Label 1016*/ GIMT_Encode4(66598),
     /*  60355 */ /*GILLT_v8s8*//*Label 1017*/ GIMT_Encode4(67906),
     /*  60359 */ /*GILLT_v8s16*//*Label 1018*/ GIMT_Encode4(69214),
     /*  60363 */ /*GILLT_v16s8*//*Label 1019*/ GIMT_Encode4(70522),
     /*  60367 */ /*GILLT_nxv1s1*//*Label 1020*/ GIMT_Encode4(71830),
     /*  60371 */ /*GILLT_nxv2s1*//*Label 1021*/ GIMT_Encode4(71862), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  60383 */ /*GILLT_nxv2s64*//*Label 1022*/ GIMT_Encode4(71894),
     /*  60387 */ /*GILLT_nxv4s1*//*Label 1023*/ GIMT_Encode4(71920), GIMT_Encode4(0),
     /*  60395 */ /*GILLT_nxv4s32*//*Label 1024*/ GIMT_Encode4(71952),
     /*  60399 */ /*GILLT_nxv8s1*//*Label 1025*/ GIMT_Encode4(71978),
     /*  60403 */ /*GILLT_nxv8s16*//*Label 1026*/ GIMT_Encode4(72010),
     /*  60407 */ /*GILLT_nxv16s1*//*Label 1027*/ GIMT_Encode4(72036),
     /*  60411 */ /*GILLT_nxv16s8*//*Label 1028*/ GIMT_Encode4(72068),
     /*  60415 */ // Label 1011: @60415
     /*  60415 */ GIM_Try, /*On fail goto*//*Label 1030*/ GIMT_Encode4(60774),
     /*  60420 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  60423 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  60426 */   GIM_Try, /*On fail goto*//*Label 1031*/ GIMT_Encode4(60481), // Rule ID 13165 //
     /*  60431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  60435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  60439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60443 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  60447 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  60451 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  60455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  60459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  60461 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  60468 */     // (or:{ *:[i32] } (xor:{ *:[i32] } logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift, -1:{ *:[i32] }), GPR32:{ *:[i32] }:$Rn)  =>  (ORNWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  60468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNWrs),
     /*  60471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  60473 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  60475 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  60479 */     GIR_RootConstrainSelectedInstOperands,
     /*  60480 */     // GIR_Coverage, 13165,
     /*  60480 */     GIR_EraseRootFromParent_Done,
     /*  60481 */   // Label 1031: @60481
     /*  60481 */   GIM_Try, /*On fail goto*//*Label 1032*/ GIMT_Encode4(60536), // Rule ID 174 //
     /*  60486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  60490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  60494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  60498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60502 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  60506 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  60510 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  60514 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  60516 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  60523 */     // (or:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (xor:{ *:[i32] } logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift, -1:{ *:[i32] }))  =>  (ORNWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  60523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNWrs),
     /*  60526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  60528 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  60530 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  60534 */     GIR_RootConstrainSelectedInstOperands,
     /*  60535 */     // GIR_Coverage, 174,
     /*  60535 */     GIR_EraseRootFromParent_Done,
     /*  60536 */   // Label 1032: @60536
     /*  60536 */   GIM_Try, /*On fail goto*//*Label 1033*/ GIMT_Encode4(60577), // Rule ID 146 //
     /*  60541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*  60545 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  60549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  60553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  60557 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_logical_imm32),
     /*  60561 */     // MIs[1] Operand 1
     /*  60561 */     // No operand predicates
     /*  60561 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  60563 */     // (or:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_logical_imm32>><<X:logical_imm32_XFORM>>:$imm)  =>  (ORRWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (logical_imm32_XFORM:{ *:[i32] } (imm:{ *:[i32] }):$imm))
     /*  60563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORRWri),
     /*  60566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  60568 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  60570 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderLogicalImm32), // imm
     /*  60575 */     GIR_RootConstrainSelectedInstOperands,
     /*  60576 */     // GIR_Coverage, 146,
     /*  60576 */     GIR_EraseRootFromParent_Done,
     /*  60577 */   // Label 1033: @60577
     /*  60577 */   GIM_Try, /*On fail goto*//*Label 1034*/ GIMT_Encode4(60610), // Rule ID 13167 //
     /*  60582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  60586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  60590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  60597 */     // (or:{ *:[i32] } logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift, GPR32:{ *:[i32] }:$Rn)  =>  (ORRWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  60597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORRWrs),
     /*  60600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  60602 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  60604 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  60608 */     GIR_RootConstrainSelectedInstOperands,
     /*  60609 */     // GIR_Coverage, 13167,
     /*  60609 */     GIR_EraseRootFromParent_Done,
     /*  60610 */   // Label 1034: @60610
     /*  60610 */   GIM_Try, /*On fail goto*//*Label 1035*/ GIMT_Encode4(60643), // Rule ID 178 //
     /*  60615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  60619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  60623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  60630 */     // (or:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)  =>  (ORRWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  60630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORRWrs),
     /*  60633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  60635 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  60637 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  60641 */     GIR_RootConstrainSelectedInstOperands,
     /*  60642 */     // GIR_Coverage, 178,
     /*  60642 */     GIR_EraseRootFromParent_Done,
     /*  60643 */   // Label 1035: @60643
     /*  60643 */   GIM_Try, /*On fail goto*//*Label 1036*/ GIMT_Encode4(60696), // Rule ID 13163 //
     /*  60648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  60652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  60656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60660 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  60664 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  60668 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  60673 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  60677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  60681 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  60683 */     // (or:{ *:[i32] } (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, -1:{ *:[i32] }), GPR32:{ *:[i32] }:$Rn)  =>  (ORNWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  60683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /*  60686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  60688 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  60690 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  60694 */     GIR_RootConstrainSelectedInstOperands,
     /*  60695 */     // GIR_Coverage, 13163,
     /*  60695 */     GIR_EraseRootFromParent_Done,
     /*  60696 */   // Label 1036: @60696
     /*  60696 */   GIM_Try, /*On fail goto*//*Label 1037*/ GIMT_Encode4(60749), // Rule ID 172 //
     /*  60701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  60705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  60709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  60713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60717 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  60721 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  60725 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  60730 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  60734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  60736 */     // (or:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, -1:{ *:[i32] }))  =>  (ORNWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  60736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /*  60739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  60741 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  60743 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  60747 */     GIR_RootConstrainSelectedInstOperands,
     /*  60748 */     // GIR_Coverage, 172,
     /*  60748 */     GIR_EraseRootFromParent_Done,
     /*  60749 */   // Label 1037: @60749
     /*  60749 */   GIM_Try, /*On fail goto*//*Label 1038*/ GIMT_Encode4(60773), // Rule ID 176 //
     /*  60754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  60758 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  60762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  60766 */     // (or:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (ORRWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  60766 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORRWrr),
     /*  60771 */     GIR_RootConstrainSelectedInstOperands,
     /*  60772 */     // GIR_Coverage, 176,
     /*  60772 */     GIR_Done,
     /*  60773 */   // Label 1038: @60773
     /*  60773 */   GIM_Reject,
     /*  60774 */ // Label 1030: @60774
     /*  60774 */ GIM_Reject,
     /*  60775 */ // Label 1012: @60775
     /*  60775 */ GIM_Try, /*On fail goto*//*Label 1039*/ GIMT_Encode4(62673),
     /*  60780 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  60783 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  60786 */   GIM_Try, /*On fail goto*//*Label 1040*/ GIMT_Encode4(60908), // Rule ID 4007 //
     /*  60791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  60795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  60799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  60803 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  60807 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  60811 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  60815 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  60819 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  60823 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  60827 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  60832 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  60836 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(71777214294589695),
     /*  60847 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  60851 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  60855 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  60859 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  60863 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  60867 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  60871 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  60875 */     // MIs[4] Rn
     /*  60875 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  60880 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 8,
     /*  60884 */     GIM_CheckConstantInt, /*MI*/3, /*Op*/2, GIMT_Encode8(-71777214294589696),
     /*  60895 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  60897 */     // (or:{ *:[i64] } (and:{ *:[i64] } (srl:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, 8:{ *:[i64] }), 71777214294589695:{ *:[i64] }), (and:{ *:[i64] } (shl:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, 8:{ *:[i64] }), -71777214294589696:{ *:[i64] }))  =>  (REV16Xr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /*  60897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV16Xr),
     /*  60900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  60902 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  60906 */     GIR_RootConstrainSelectedInstOperands,
     /*  60907 */     // GIR_Coverage, 4007,
     /*  60907 */     GIR_EraseRootFromParent_Done,
     /*  60908 */   // Label 1040: @60908
     /*  60908 */   GIM_Try, /*On fail goto*//*Label 1041*/ GIMT_Encode4(61030), // Rule ID 13715 //
     /*  60913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  60917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  60921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  60925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  60929 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  60933 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  60937 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  60941 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  60945 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  60949 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  60954 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  60958 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(-71777214294589696),
     /*  60969 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  60973 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  60977 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  60981 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  60985 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  60989 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  60993 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  60997 */     // MIs[4] Rn
     /*  60997 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  61002 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 8,
     /*  61006 */     GIM_CheckConstantInt, /*MI*/3, /*Op*/2, GIMT_Encode8(71777214294589695),
     /*  61017 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  61019 */     // (or:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, 8:{ *:[i64] }), -71777214294589696:{ *:[i64] }), (and:{ *:[i64] } (srl:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, 8:{ *:[i64] }), 71777214294589695:{ *:[i64] }))  =>  (REV16Xr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /*  61019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV16Xr),
     /*  61022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  61024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  61028 */     GIR_RootConstrainSelectedInstOperands,
     /*  61029 */     // GIR_Coverage, 13715,
     /*  61029 */     GIR_EraseRootFromParent_Done,
     /*  61030 */   // Label 1041: @61030
     /*  61030 */   GIM_Try, /*On fail goto*//*Label 1042*/ GIMT_Encode4(61085), // Rule ID 13166 //
     /*  61035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  61039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  61043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  61047 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  61051 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  61055 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  61059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  61063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  61065 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  61072 */     // (or:{ *:[i64] } (xor:{ *:[i64] } logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift, -1:{ *:[i64] }), GPR64:{ *:[i64] }:$Rn)  =>  (ORNXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  61072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNXrs),
     /*  61075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  61077 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  61079 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  61083 */     GIR_RootConstrainSelectedInstOperands,
     /*  61084 */     // GIR_Coverage, 13166,
     /*  61084 */     GIR_EraseRootFromParent_Done,
     /*  61085 */   // Label 1042: @61085
     /*  61085 */   GIM_Try, /*On fail goto*//*Label 1043*/ GIMT_Encode4(61140), // Rule ID 175 //
     /*  61090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  61094 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  61098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  61102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  61106 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  61110 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  61114 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  61118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  61120 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  61127 */     // (or:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (xor:{ *:[i64] } logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift, -1:{ *:[i64] }))  =>  (ORNXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  61127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNXrs),
     /*  61130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  61132 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  61134 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  61138 */     GIR_RootConstrainSelectedInstOperands,
     /*  61139 */     // GIR_Coverage, 175,
     /*  61139 */     GIR_EraseRootFromParent_Done,
     /*  61140 */   // Label 1043: @61140
     /*  61140 */   GIM_Try, /*On fail goto*//*Label 1044*/ GIMT_Encode4(61249), // Rule ID 13515 //
     /*  61145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  61148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  61156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  61160 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  61164 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  61168 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  61172 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  61176 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  61180 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  61184 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61189 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  61193 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  61199 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  61201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61206 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  61210 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  61214 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  61218 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61223 */     // MIs[4] LHS
     /*  61223 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  61228 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  61230 */     // (or:{ *:[v1i64] } (and:{ *:[v1i64] } (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, immAllOnesV:{ *:[v1i64] }), V64:{ *:[v1i64] }:$RHS), (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$LHS))  =>  (BSPv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$RHS)
     /*  61230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  61233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  61235 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  61239 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  61243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  61247 */     GIR_RootConstrainSelectedInstOperands,
     /*  61248 */     // GIR_Coverage, 13515,
     /*  61248 */     GIR_EraseRootFromParent_Done,
     /*  61249 */   // Label 1044: @61249
     /*  61249 */   GIM_Try, /*On fail goto*//*Label 1045*/ GIMT_Encode4(61358), // Rule ID 13514 //
     /*  61254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  61257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  61265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  61269 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  61273 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  61277 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  61281 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  61285 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  61289 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  61293 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61298 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  61302 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  61308 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  61310 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61315 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  61319 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  61323 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  61327 */     // MIs[4] LHS
     /*  61327 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  61332 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61337 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  61339 */     // (or:{ *:[v1i64] } (and:{ *:[v1i64] } (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, immAllOnesV:{ *:[v1i64] }), V64:{ *:[v1i64] }:$RHS), (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS))  =>  (BSPv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$RHS)
     /*  61339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  61342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  61344 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  61348 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  61352 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  61356 */     GIR_RootConstrainSelectedInstOperands,
     /*  61357 */     // GIR_Coverage, 13514,
     /*  61357 */     GIR_EraseRootFromParent_Done,
     /*  61358 */   // Label 1045: @61358
     /*  61358 */   GIM_Try, /*On fail goto*//*Label 1046*/ GIMT_Encode4(61467), // Rule ID 13517 //
     /*  61363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  61366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  61374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  61378 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  61382 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  61386 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61391 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  61395 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  61399 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  61403 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  61407 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61412 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  61416 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  61422 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  61424 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  61428 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  61432 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  61436 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61441 */     // MIs[4] LHS
     /*  61441 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  61446 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  61448 */     // (or:{ *:[v1i64] } (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$RHS, (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, immAllOnesV:{ *:[v1i64] })), (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$LHS))  =>  (BSPv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$RHS)
     /*  61448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  61451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  61453 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  61457 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  61461 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  61465 */     GIR_RootConstrainSelectedInstOperands,
     /*  61466 */     // GIR_Coverage, 13517,
     /*  61466 */     GIR_EraseRootFromParent_Done,
     /*  61467 */   // Label 1046: @61467
     /*  61467 */   GIM_Try, /*On fail goto*//*Label 1047*/ GIMT_Encode4(61576), // Rule ID 13516 //
     /*  61472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  61475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  61483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  61487 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  61491 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  61495 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61500 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  61504 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  61508 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  61512 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  61516 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61521 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  61525 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  61531 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  61533 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  61537 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  61541 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  61545 */     // MIs[4] LHS
     /*  61545 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  61550 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61555 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  61557 */     // (or:{ *:[v1i64] } (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$RHS, (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, immAllOnesV:{ *:[v1i64] })), (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS))  =>  (BSPv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$RHS)
     /*  61557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  61560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  61562 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  61566 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  61570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  61574 */     GIR_RootConstrainSelectedInstOperands,
     /*  61575 */     // GIR_Coverage, 13516,
     /*  61575 */     GIR_EraseRootFromParent_Done,
     /*  61576 */   // Label 1047: @61576
     /*  61576 */   GIM_Try, /*On fail goto*//*Label 1048*/ GIMT_Encode4(61685), // Rule ID 2471 //
     /*  61581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  61584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  61592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  61596 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  61600 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  61604 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61609 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61614 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  61618 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  61622 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  61626 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  61630 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  61634 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  61638 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  61642 */     // MIs[3] LHS
     /*  61642 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  61647 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  61651 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  61657 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  61659 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61664 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  61666 */     // (or:{ *:[v1i64] } (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS), (and:{ *:[v1i64] } (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, immAllOnesV:{ *:[v1i64] }), V64:{ *:[v1i64] }:$RHS))  =>  (BSPv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$RHS)
     /*  61666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  61669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  61671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  61675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  61679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  61683 */     GIR_RootConstrainSelectedInstOperands,
     /*  61684 */     // GIR_Coverage, 2471,
     /*  61684 */     GIR_EraseRootFromParent_Done,
     /*  61685 */   // Label 1048: @61685
     /*  61685 */   GIM_Try, /*On fail goto*//*Label 1049*/ GIMT_Encode4(61794), // Rule ID 13512 //
     /*  61690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  61693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  61701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  61705 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  61709 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  61713 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61718 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61723 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  61727 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  61731 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  61735 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  61739 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  61743 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  61747 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  61751 */     // MIs[3] LHS
     /*  61751 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  61756 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  61760 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  61766 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  61768 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61773 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  61775 */     // (or:{ *:[v1i64] } (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$LHS), (and:{ *:[v1i64] } (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, immAllOnesV:{ *:[v1i64] }), V64:{ *:[v1i64] }:$RHS))  =>  (BSPv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$RHS)
     /*  61775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  61778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  61780 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  61784 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  61788 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  61792 */     GIR_RootConstrainSelectedInstOperands,
     /*  61793 */     // GIR_Coverage, 13512,
     /*  61793 */     GIR_EraseRootFromParent_Done,
     /*  61794 */   // Label 1049: @61794
     /*  61794 */   GIM_Try, /*On fail goto*//*Label 1050*/ GIMT_Encode4(61903), // Rule ID 13511 //
     /*  61799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  61802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  61810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  61814 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  61818 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  61822 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61827 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61832 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  61836 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  61840 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  61844 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  61848 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61853 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  61857 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  61861 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  61865 */     // MIs[3] LHS
     /*  61865 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  61870 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  61874 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  61880 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  61882 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  61884 */     // (or:{ *:[v1i64] } (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS), (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$RHS, (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, immAllOnesV:{ *:[v1i64] })))  =>  (BSPv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$RHS)
     /*  61884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  61887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  61889 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  61893 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  61897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  61901 */     GIR_RootConstrainSelectedInstOperands,
     /*  61902 */     // GIR_Coverage, 13511,
     /*  61902 */     GIR_EraseRootFromParent_Done,
     /*  61903 */   // Label 1050: @61903
     /*  61903 */   GIM_Try, /*On fail goto*//*Label 1051*/ GIMT_Encode4(62012), // Rule ID 13513 //
     /*  61908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  61911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  61919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  61923 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  61927 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  61931 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61936 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61941 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  61945 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  61949 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  61953 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  61957 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61962 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  61966 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  61970 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  61974 */     // MIs[3] LHS
     /*  61974 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  61979 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  61983 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  61989 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  61991 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  61993 */     // (or:{ *:[v1i64] } (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$LHS), (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$RHS, (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, immAllOnesV:{ *:[v1i64] })))  =>  (BSPv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$RHS)
     /*  61993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  61996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  61998 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  62002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  62006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  62010 */     GIR_RootConstrainSelectedInstOperands,
     /*  62011 */     // GIR_Coverage, 13513,
     /*  62011 */     GIR_EraseRootFromParent_Done,
     /*  62012 */   // Label 1051: @62012
     /*  62012 */   GIM_Try, /*On fail goto*//*Label 1052*/ GIMT_Encode4(62053), // Rule ID 147 //
     /*  62017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  62021 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  62025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  62029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  62033 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_logical_imm64),
     /*  62037 */     // MIs[1] Operand 1
     /*  62037 */     // No operand predicates
     /*  62037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  62039 */     // (or:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_logical_imm64>><<X:logical_imm64_XFORM>>:$imm)  =>  (ORRXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (logical_imm64_XFORM:{ *:[i64] } (imm:{ *:[i64] }):$imm))
     /*  62039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORRXri),
     /*  62042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  62044 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  62046 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderLogicalImm64), // imm
     /*  62051 */     GIR_RootConstrainSelectedInstOperands,
     /*  62052 */     // GIR_Coverage, 147,
     /*  62052 */     GIR_EraseRootFromParent_Done,
     /*  62053 */   // Label 1052: @62053
     /*  62053 */   GIM_Try, /*On fail goto*//*Label 1053*/ GIMT_Encode4(62086), // Rule ID 13168 //
     /*  62058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  62062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  62066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  62073 */     // (or:{ *:[i64] } logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift, GPR64:{ *:[i64] }:$Rn)  =>  (ORRXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  62073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORRXrs),
     /*  62076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  62078 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  62080 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  62084 */     GIR_RootConstrainSelectedInstOperands,
     /*  62085 */     // GIR_Coverage, 13168,
     /*  62085 */     GIR_EraseRootFromParent_Done,
     /*  62086 */   // Label 1053: @62086
     /*  62086 */   GIM_Try, /*On fail goto*//*Label 1054*/ GIMT_Encode4(62119), // Rule ID 179 //
     /*  62091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  62095 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  62099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  62106 */     // (or:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)  =>  (ORRXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  62106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORRXrs),
     /*  62109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  62111 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  62113 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  62117 */     GIR_RootConstrainSelectedInstOperands,
     /*  62118 */     // GIR_Coverage, 179,
     /*  62118 */     GIR_EraseRootFromParent_Done,
     /*  62119 */   // Label 1054: @62119
     /*  62119 */   GIM_Try, /*On fail goto*//*Label 1055*/ GIMT_Encode4(62186), // Rule ID 13451 //
     /*  62124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  62127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  62135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  62139 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  62143 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62148 */     // MIs[1] imm
     /*  62148 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  62152 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  62156 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  62160 */     // MIs[2] Operand 1
     /*  62160 */     // No operand predicates
     /*  62160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62164 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  62168 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  62170 */     // (or:{ *:[v1i64] } (AArch64vashr:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm), FPR64:{ *:[v1i64] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAd:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  62170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAd),
     /*  62173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  62175 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  62177 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  62181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  62184 */     GIR_RootConstrainSelectedInstOperands,
     /*  62185 */     // GIR_Coverage, 13451,
     /*  62185 */     GIR_EraseRootFromParent_Done,
     /*  62186 */   // Label 1055: @62186
     /*  62186 */   GIM_Try, /*On fail goto*//*Label 1056*/ GIMT_Encode4(62253), // Rule ID 13454 //
     /*  62191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  62194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  62202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  62206 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  62210 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62215 */     // MIs[1] imm
     /*  62215 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  62219 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  62223 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  62227 */     // MIs[2] Operand 1
     /*  62227 */     // No operand predicates
     /*  62227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62231 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  62235 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  62237 */     // (or:{ *:[v1i64] } (AArch64vlshr:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm), FPR64:{ *:[v1i64] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAd:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  62237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAd),
     /*  62240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  62242 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  62244 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  62248 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  62251 */     GIR_RootConstrainSelectedInstOperands,
     /*  62252 */     // GIR_Coverage, 13454,
     /*  62252 */     GIR_EraseRootFromParent_Done,
     /*  62253 */   // Label 1056: @62253
     /*  62253 */   GIM_Try, /*On fail goto*//*Label 1057*/ GIMT_Encode4(62306), // Rule ID 13164 //
     /*  62258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  62262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  62266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  62270 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  62274 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  62278 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  62283 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  62287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  62291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  62293 */     // (or:{ *:[i64] } (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, -1:{ *:[i64] }), GPR64:{ *:[i64] }:$Rn)  =>  (ORNXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  62293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNXrr),
     /*  62296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  62298 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  62300 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  62304 */     GIR_RootConstrainSelectedInstOperands,
     /*  62305 */     // GIR_Coverage, 13164,
     /*  62305 */     GIR_EraseRootFromParent_Done,
     /*  62306 */   // Label 1057: @62306
     /*  62306 */   GIM_Try, /*On fail goto*//*Label 1058*/ GIMT_Encode4(62373), // Rule ID 2122 //
     /*  62311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  62314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62318 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  62326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  62330 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  62334 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62339 */     // MIs[1] imm
     /*  62339 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  62343 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  62347 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  62351 */     // MIs[2] Operand 1
     /*  62351 */     // No operand predicates
     /*  62351 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  62355 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  62357 */     // (or:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, (AArch64vashr:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAd:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  62357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAd),
     /*  62360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  62362 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  62364 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  62368 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  62371 */     GIR_RootConstrainSelectedInstOperands,
     /*  62372 */     // GIR_Coverage, 2122,
     /*  62372 */     GIR_EraseRootFromParent_Done,
     /*  62373 */   // Label 1058: @62373
     /*  62373 */   GIM_Try, /*On fail goto*//*Label 1059*/ GIMT_Encode4(62440), // Rule ID 2131 //
     /*  62378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  62381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62385 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  62393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  62397 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  62401 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62406 */     // MIs[1] imm
     /*  62406 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  62410 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  62414 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  62418 */     // MIs[2] Operand 1
     /*  62418 */     // No operand predicates
     /*  62418 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  62422 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  62424 */     // (or:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, (AArch64vlshr:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAd:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  62424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAd),
     /*  62427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  62429 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  62431 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  62435 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  62438 */     GIR_RootConstrainSelectedInstOperands,
     /*  62439 */     // GIR_Coverage, 2131,
     /*  62439 */     GIR_EraseRootFromParent_Done,
     /*  62440 */   // Label 1059: @62440
     /*  62440 */   GIM_Try, /*On fail goto*//*Label 1060*/ GIMT_Encode4(62493), // Rule ID 173 //
     /*  62445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  62449 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  62453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  62457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  62461 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  62465 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  62469 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  62474 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  62478 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  62480 */     // (or:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, -1:{ *:[i64] }))  =>  (ORNXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  62480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNXrr),
     /*  62483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  62485 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  62487 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  62491 */     GIR_RootConstrainSelectedInstOperands,
     /*  62492 */     // GIR_Coverage, 173,
     /*  62492 */     GIR_EraseRootFromParent_Done,
     /*  62493 */   // Label 1060: @62493
     /*  62493 */   GIM_Try, /*On fail goto*//*Label 1061*/ GIMT_Encode4(62557), // Rule ID 13803 //
     /*  62498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  62501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  62509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  62513 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  62517 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  62521 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62526 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  62530 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  62536 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  62538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62542 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  62544 */     // (or:{ *:[v1i64] } (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$RHS, immAllOnesV:{ *:[v1i64] }), V64:{ *:[v1i64] }:$LHS)  =>  (ORNv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$RHS)
     /*  62544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv8i8),
     /*  62547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  62549 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  62551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  62555 */     GIR_RootConstrainSelectedInstOperands,
     /*  62556 */     // GIR_Coverage, 13803,
     /*  62556 */     GIR_EraseRootFromParent_Done,
     /*  62557 */   // Label 1061: @62557
     /*  62557 */   GIM_Try, /*On fail goto*//*Label 1062*/ GIMT_Encode4(62621), // Rule ID 5041 //
     /*  62562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  62565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  62577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  62581 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  62585 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  62589 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62594 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  62598 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  62604 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  62606 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  62608 */     // (or:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$RHS, immAllOnesV:{ *:[v1i64] }))  =>  (ORNv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$RHS)
     /*  62608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv8i8),
     /*  62611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  62613 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  62615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  62619 */     GIR_RootConstrainSelectedInstOperands,
     /*  62620 */     // GIR_Coverage, 5041,
     /*  62620 */     GIR_EraseRootFromParent_Done,
     /*  62621 */   // Label 1062: @62621
     /*  62621 */   GIM_Try, /*On fail goto*//*Label 1063*/ GIMT_Encode4(62645), // Rule ID 177 //
     /*  62626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  62630 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  62634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  62638 */     // (or:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (ORRXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  62638 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORRXrr),
     /*  62643 */     GIR_RootConstrainSelectedInstOperands,
     /*  62644 */     // GIR_Coverage, 177,
     /*  62644 */     GIR_Done,
     /*  62645 */   // Label 1063: @62645
     /*  62645 */   GIM_Try, /*On fail goto*//*Label 1064*/ GIMT_Encode4(62672), // Rule ID 5047 //
     /*  62650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  62653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62665 */     // (or:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$RHS)  =>  (ORRv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$RHS)
     /*  62665 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORRv8i8),
     /*  62670 */     GIR_RootConstrainSelectedInstOperands,
     /*  62671 */     // GIR_Coverage, 5047,
     /*  62671 */     GIR_Done,
     /*  62672 */   // Label 1064: @62672
     /*  62672 */   GIM_Reject,
     /*  62673 */ // Label 1039: @62673
     /*  62673 */ GIM_Reject,
     /*  62674 */ // Label 1013: @62674
     /*  62674 */ GIM_Try, /*On fail goto*//*Label 1065*/ GIMT_Encode4(63981),
     /*  62679 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  62682 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  62685 */   GIM_Try, /*On fail goto*//*Label 1066*/ GIMT_Encode4(62794), // Rule ID 13508 //
     /*  62690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  62693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  62701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62705 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  62709 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  62713 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  62717 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  62721 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  62725 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  62729 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62734 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  62738 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  62744 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  62746 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62751 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  62755 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62759 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  62763 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62768 */     // MIs[4] LHS
     /*  62768 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  62773 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  62775 */     // (or:{ *:[v2i32] } (and:{ *:[v2i32] } (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, immAllOnesV:{ *:[v2i32] }), V64:{ *:[v2i32] }:$RHS), (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$LHS))  =>  (BSPv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$RHS)
     /*  62775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  62778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  62780 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  62784 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  62788 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  62792 */     GIR_RootConstrainSelectedInstOperands,
     /*  62793 */     // GIR_Coverage, 13508,
     /*  62793 */     GIR_EraseRootFromParent_Done,
     /*  62794 */   // Label 1066: @62794
     /*  62794 */   GIM_Try, /*On fail goto*//*Label 1067*/ GIMT_Encode4(62903), // Rule ID 13507 //
     /*  62799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  62802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  62810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62814 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  62818 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  62822 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  62826 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  62830 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  62834 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  62838 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62843 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  62847 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  62853 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  62855 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62860 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  62864 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62868 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  62872 */     // MIs[4] LHS
     /*  62872 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  62877 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62882 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  62884 */     // (or:{ *:[v2i32] } (and:{ *:[v2i32] } (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, immAllOnesV:{ *:[v2i32] }), V64:{ *:[v2i32] }:$RHS), (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS))  =>  (BSPv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$RHS)
     /*  62884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  62887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  62889 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  62893 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  62897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  62901 */     GIR_RootConstrainSelectedInstOperands,
     /*  62902 */     // GIR_Coverage, 13507,
     /*  62902 */     GIR_EraseRootFromParent_Done,
     /*  62903 */   // Label 1067: @62903
     /*  62903 */   GIM_Try, /*On fail goto*//*Label 1068*/ GIMT_Encode4(63012), // Rule ID 13510 //
     /*  62908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  62911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  62919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62923 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  62927 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  62931 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62936 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  62940 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  62944 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  62948 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  62952 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62957 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  62961 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  62967 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  62969 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  62973 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62977 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  62981 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62986 */     // MIs[4] LHS
     /*  62986 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  62991 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  62993 */     // (or:{ *:[v2i32] } (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$RHS, (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, immAllOnesV:{ *:[v2i32] })), (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$LHS))  =>  (BSPv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$RHS)
     /*  62993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  62996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  62998 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  63002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  63006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  63010 */     GIR_RootConstrainSelectedInstOperands,
     /*  63011 */     // GIR_Coverage, 13510,
     /*  63011 */     GIR_EraseRootFromParent_Done,
     /*  63012 */   // Label 1068: @63012
     /*  63012 */   GIM_Try, /*On fail goto*//*Label 1069*/ GIMT_Encode4(63121), // Rule ID 13509 //
     /*  63017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  63020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  63028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63032 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  63036 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63040 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63045 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  63049 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  63053 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  63057 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63061 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63066 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  63070 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  63076 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  63078 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  63082 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63086 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63090 */     // MIs[4] LHS
     /*  63090 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  63095 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63100 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  63102 */     // (or:{ *:[v2i32] } (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$RHS, (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, immAllOnesV:{ *:[v2i32] })), (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS))  =>  (BSPv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$RHS)
     /*  63102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  63105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  63107 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  63111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  63115 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  63119 */     GIR_RootConstrainSelectedInstOperands,
     /*  63120 */     // GIR_Coverage, 13509,
     /*  63120 */     GIR_EraseRootFromParent_Done,
     /*  63121 */   // Label 1069: @63121
     /*  63121 */   GIM_Try, /*On fail goto*//*Label 1070*/ GIMT_Encode4(63230), // Rule ID 2470 //
     /*  63126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  63129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  63137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63141 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  63145 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63149 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63154 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63159 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  63163 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63167 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  63171 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63175 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  63179 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  63183 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63187 */     // MIs[3] LHS
     /*  63187 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  63192 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  63196 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  63202 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  63204 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63209 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  63211 */     // (or:{ *:[v2i32] } (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS), (and:{ *:[v2i32] } (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, immAllOnesV:{ *:[v2i32] }), V64:{ *:[v2i32] }:$RHS))  =>  (BSPv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$RHS)
     /*  63211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  63214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  63216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  63220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  63224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  63228 */     GIR_RootConstrainSelectedInstOperands,
     /*  63229 */     // GIR_Coverage, 2470,
     /*  63229 */     GIR_EraseRootFromParent_Done,
     /*  63230 */   // Label 1070: @63230
     /*  63230 */   GIM_Try, /*On fail goto*//*Label 1071*/ GIMT_Encode4(63339), // Rule ID 13505 //
     /*  63235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  63238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  63246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63250 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  63254 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63258 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63263 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63268 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  63272 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63276 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  63280 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63284 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  63288 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  63292 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63296 */     // MIs[3] LHS
     /*  63296 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  63301 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  63305 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  63311 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  63313 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63318 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  63320 */     // (or:{ *:[v2i32] } (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$LHS), (and:{ *:[v2i32] } (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, immAllOnesV:{ *:[v2i32] }), V64:{ *:[v2i32] }:$RHS))  =>  (BSPv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$RHS)
     /*  63320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  63323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  63325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  63329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  63333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  63337 */     GIR_RootConstrainSelectedInstOperands,
     /*  63338 */     // GIR_Coverage, 13505,
     /*  63338 */     GIR_EraseRootFromParent_Done,
     /*  63339 */   // Label 1071: @63339
     /*  63339 */   GIM_Try, /*On fail goto*//*Label 1072*/ GIMT_Encode4(63448), // Rule ID 13504 //
     /*  63344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  63347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  63355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63359 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  63363 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63367 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63372 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63377 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  63381 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63385 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  63389 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63393 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63398 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  63402 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  63406 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63410 */     // MIs[3] LHS
     /*  63410 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  63415 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  63419 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  63425 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  63427 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  63429 */     // (or:{ *:[v2i32] } (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS), (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$RHS, (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, immAllOnesV:{ *:[v2i32] })))  =>  (BSPv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$RHS)
     /*  63429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  63432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  63434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  63438 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  63442 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  63446 */     GIR_RootConstrainSelectedInstOperands,
     /*  63447 */     // GIR_Coverage, 13504,
     /*  63447 */     GIR_EraseRootFromParent_Done,
     /*  63448 */   // Label 1072: @63448
     /*  63448 */   GIM_Try, /*On fail goto*//*Label 1073*/ GIMT_Encode4(63557), // Rule ID 13506 //
     /*  63453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  63456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  63464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63468 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  63472 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63476 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63481 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63486 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  63490 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63494 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  63498 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63502 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63507 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  63511 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  63515 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63519 */     // MIs[3] LHS
     /*  63519 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  63524 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  63528 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  63534 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  63536 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  63538 */     // (or:{ *:[v2i32] } (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$LHS), (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$RHS, (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, immAllOnesV:{ *:[v2i32] })))  =>  (BSPv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$RHS)
     /*  63538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  63541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  63543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  63547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  63551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  63555 */     GIR_RootConstrainSelectedInstOperands,
     /*  63556 */     // GIR_Coverage, 13506,
     /*  63556 */     GIR_EraseRootFromParent_Done,
     /*  63557 */   // Label 1073: @63557
     /*  63557 */   GIM_Try, /*On fail goto*//*Label 1074*/ GIMT_Encode4(63624), // Rule ID 13471 //
     /*  63562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  63565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  63573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  63577 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  63581 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63586 */     // MIs[1] imm
     /*  63586 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  63590 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  63594 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  63598 */     // MIs[2] Operand 1
     /*  63598 */     // No operand predicates
     /*  63598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63602 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  63606 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  63608 */     // (or:{ *:[v2i32] } (AArch64vashr:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm), V64:{ *:[v2i32] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv2i32_shift:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  63608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv2i32_shift),
     /*  63611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  63613 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  63615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  63619 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  63622 */     GIR_RootConstrainSelectedInstOperands,
     /*  63623 */     // GIR_Coverage, 13471,
     /*  63623 */     GIR_EraseRootFromParent_Done,
     /*  63624 */   // Label 1074: @63624
     /*  63624 */   GIM_Try, /*On fail goto*//*Label 1075*/ GIMT_Encode4(63691), // Rule ID 13492 //
     /*  63629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  63632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  63640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  63644 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  63648 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63653 */     // MIs[1] imm
     /*  63653 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  63657 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  63661 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  63665 */     // MIs[2] Operand 1
     /*  63665 */     // No operand predicates
     /*  63665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63669 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  63673 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  63675 */     // (or:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm), V64:{ *:[v2i32] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv2i32_shift:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  63675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv2i32_shift),
     /*  63678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  63680 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  63682 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  63686 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  63689 */     GIR_RootConstrainSelectedInstOperands,
     /*  63690 */     // GIR_Coverage, 13492,
     /*  63690 */     GIR_EraseRootFromParent_Done,
     /*  63691 */   // Label 1075: @63691
     /*  63691 */   GIM_Try, /*On fail goto*//*Label 1076*/ GIMT_Encode4(63758), // Rule ID 2239 //
     /*  63696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  63699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63703 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  63711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  63715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  63719 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63724 */     // MIs[1] imm
     /*  63724 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  63728 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  63732 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  63736 */     // MIs[2] Operand 1
     /*  63736 */     // No operand predicates
     /*  63736 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  63740 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  63742 */     // (or:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, (AArch64vashr:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv2i32_shift:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  63742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv2i32_shift),
     /*  63745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  63747 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  63749 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  63753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  63756 */     GIR_RootConstrainSelectedInstOperands,
     /*  63757 */     // GIR_Coverage, 2239,
     /*  63757 */     GIR_EraseRootFromParent_Done,
     /*  63758 */   // Label 1076: @63758
     /*  63758 */   GIM_Try, /*On fail goto*//*Label 1077*/ GIMT_Encode4(63825), // Rule ID 2298 //
     /*  63763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  63766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63770 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  63778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  63782 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  63786 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63791 */     // MIs[1] imm
     /*  63791 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  63795 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  63799 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  63803 */     // MIs[2] Operand 1
     /*  63803 */     // No operand predicates
     /*  63803 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  63807 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  63809 */     // (or:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, (AArch64vlshr:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv2i32_shift:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  63809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv2i32_shift),
     /*  63812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  63814 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  63816 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  63820 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  63823 */     GIR_RootConstrainSelectedInstOperands,
     /*  63824 */     // GIR_Coverage, 2298,
     /*  63824 */     GIR_EraseRootFromParent_Done,
     /*  63825 */   // Label 1077: @63825
     /*  63825 */   GIM_Try, /*On fail goto*//*Label 1078*/ GIMT_Encode4(63889), // Rule ID 13802 //
     /*  63830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  63833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  63841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  63845 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  63849 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63853 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63858 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  63862 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  63868 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  63870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63874 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  63876 */     // (or:{ *:[v2i32] } (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$RHS, immAllOnesV:{ *:[v2i32] }), V64:{ *:[v2i32] }:$LHS)  =>  (ORNv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)
     /*  63876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv8i8),
     /*  63879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  63881 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  63883 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  63887 */     GIR_RootConstrainSelectedInstOperands,
     /*  63888 */     // GIR_Coverage, 13802,
     /*  63888 */     GIR_EraseRootFromParent_Done,
     /*  63889 */   // Label 1078: @63889
     /*  63889 */   GIM_Try, /*On fail goto*//*Label 1079*/ GIMT_Encode4(63953), // Rule ID 5040 //
     /*  63894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  63897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63901 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  63909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  63913 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  63917 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63921 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63926 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  63930 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  63936 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  63938 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  63940 */     // (or:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$RHS, immAllOnesV:{ *:[v2i32] }))  =>  (ORNv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)
     /*  63940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv8i8),
     /*  63943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  63945 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  63947 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  63951 */     GIR_RootConstrainSelectedInstOperands,
     /*  63952 */     // GIR_Coverage, 5040,
     /*  63952 */     GIR_EraseRootFromParent_Done,
     /*  63953 */   // Label 1079: @63953
     /*  63953 */   GIM_Try, /*On fail goto*//*Label 1080*/ GIMT_Encode4(63980), // Rule ID 5046 //
     /*  63958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  63961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63965 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63973 */     // (or:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)  =>  (ORRv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)
     /*  63973 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORRv8i8),
     /*  63978 */     GIR_RootConstrainSelectedInstOperands,
     /*  63979 */     // GIR_Coverage, 5046,
     /*  63979 */     GIR_Done,
     /*  63980 */   // Label 1080: @63980
     /*  63980 */   GIM_Reject,
     /*  63981 */ // Label 1065: @63981
     /*  63981 */ GIM_Reject,
     /*  63982 */ // Label 1014: @63982
     /*  63982 */ GIM_Try, /*On fail goto*//*Label 1081*/ GIMT_Encode4(65289),
     /*  63987 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  63990 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  63993 */   GIM_Try, /*On fail goto*//*Label 1082*/ GIMT_Encode4(64102), // Rule ID 13536 //
     /*  63998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  64009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64013 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  64017 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  64021 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  64025 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  64029 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  64033 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  64037 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64042 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  64046 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  64052 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  64054 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64059 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  64063 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64067 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  64071 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64076 */     // MIs[4] LHS
     /*  64076 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  64081 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  64083 */     // (or:{ *:[v2i64] } (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$RHS), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$LHS))  =>  (BSPv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$RHS)
     /*  64083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  64086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  64088 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  64092 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  64096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  64100 */     GIR_RootConstrainSelectedInstOperands,
     /*  64101 */     // GIR_Coverage, 13536,
     /*  64101 */     GIR_EraseRootFromParent_Done,
     /*  64102 */   // Label 1082: @64102
     /*  64102 */   GIM_Try, /*On fail goto*//*Label 1083*/ GIMT_Encode4(64211), // Rule ID 13535 //
     /*  64107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  64118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64122 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  64126 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  64130 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  64134 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  64138 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  64142 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  64146 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64151 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  64155 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  64161 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  64163 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64168 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  64172 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64176 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  64180 */     // MIs[4] LHS
     /*  64180 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  64185 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64190 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  64192 */     // (or:{ *:[v2i64] } (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$RHS), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS))  =>  (BSPv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$RHS)
     /*  64192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  64195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  64197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  64201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  64205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  64209 */     GIR_RootConstrainSelectedInstOperands,
     /*  64210 */     // GIR_Coverage, 13535,
     /*  64210 */     GIR_EraseRootFromParent_Done,
     /*  64211 */   // Label 1083: @64211
     /*  64211 */   GIM_Try, /*On fail goto*//*Label 1084*/ GIMT_Encode4(64320), // Rule ID 13538 //
     /*  64216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  64227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  64235 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  64239 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64244 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  64248 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  64252 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  64256 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  64260 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64265 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  64269 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  64275 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  64277 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  64281 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64285 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  64289 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64294 */     // MIs[4] LHS
     /*  64294 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  64299 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  64301 */     // (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$RHS, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, immAllOnesV:{ *:[v2i64] })), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$LHS))  =>  (BSPv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$RHS)
     /*  64301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  64304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  64306 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  64310 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  64314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  64318 */     GIR_RootConstrainSelectedInstOperands,
     /*  64319 */     // GIR_Coverage, 13538,
     /*  64319 */     GIR_EraseRootFromParent_Done,
     /*  64320 */   // Label 1084: @64320
     /*  64320 */   GIM_Try, /*On fail goto*//*Label 1085*/ GIMT_Encode4(64429), // Rule ID 13537 //
     /*  64325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  64336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64340 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  64344 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  64348 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64353 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  64357 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  64361 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  64365 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  64369 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64374 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  64378 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  64384 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  64386 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  64390 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64394 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  64398 */     // MIs[4] LHS
     /*  64398 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  64403 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64408 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  64410 */     // (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$RHS, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, immAllOnesV:{ *:[v2i64] })), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS))  =>  (BSPv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$RHS)
     /*  64410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  64413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  64415 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  64419 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  64423 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  64427 */     GIR_RootConstrainSelectedInstOperands,
     /*  64428 */     // GIR_Coverage, 13537,
     /*  64428 */     GIR_EraseRootFromParent_Done,
     /*  64429 */   // Label 1085: @64429
     /*  64429 */   GIM_Try, /*On fail goto*//*Label 1086*/ GIMT_Encode4(64538), // Rule ID 2474 //
     /*  64434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  64445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  64453 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  64457 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64462 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64467 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  64471 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64475 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  64479 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  64483 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  64487 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  64491 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  64495 */     // MIs[3] LHS
     /*  64495 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  64500 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  64504 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  64510 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  64512 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64517 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  64519 */     // (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS), (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$RHS))  =>  (BSPv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$RHS)
     /*  64519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  64522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  64524 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  64528 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  64532 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  64536 */     GIR_RootConstrainSelectedInstOperands,
     /*  64537 */     // GIR_Coverage, 2474,
     /*  64537 */     GIR_EraseRootFromParent_Done,
     /*  64538 */   // Label 1086: @64538
     /*  64538 */   GIM_Try, /*On fail goto*//*Label 1087*/ GIMT_Encode4(64647), // Rule ID 13533 //
     /*  64543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  64554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64558 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  64562 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  64566 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64571 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64576 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  64580 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64584 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  64588 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  64592 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  64596 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  64600 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  64604 */     // MIs[3] LHS
     /*  64604 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  64609 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  64613 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  64619 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  64621 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64626 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  64628 */     // (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$LHS), (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$RHS))  =>  (BSPv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$RHS)
     /*  64628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  64631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  64633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  64637 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  64641 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  64645 */     GIR_RootConstrainSelectedInstOperands,
     /*  64646 */     // GIR_Coverage, 13533,
     /*  64646 */     GIR_EraseRootFromParent_Done,
     /*  64647 */   // Label 1087: @64647
     /*  64647 */   GIM_Try, /*On fail goto*//*Label 1088*/ GIMT_Encode4(64756), // Rule ID 13532 //
     /*  64652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  64663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64667 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  64671 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  64675 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64680 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64685 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  64689 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64693 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  64697 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  64701 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64706 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  64710 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  64714 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  64718 */     // MIs[3] LHS
     /*  64718 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  64723 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  64727 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  64733 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  64735 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  64737 */     // (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$RHS, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, immAllOnesV:{ *:[v2i64] })))  =>  (BSPv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$RHS)
     /*  64737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  64740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  64742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  64746 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  64750 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  64754 */     GIR_RootConstrainSelectedInstOperands,
     /*  64755 */     // GIR_Coverage, 13532,
     /*  64755 */     GIR_EraseRootFromParent_Done,
     /*  64756 */   // Label 1088: @64756
     /*  64756 */   GIM_Try, /*On fail goto*//*Label 1089*/ GIMT_Encode4(64865), // Rule ID 13534 //
     /*  64761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  64772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64776 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  64780 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  64784 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64789 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64794 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  64798 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64802 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  64806 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  64810 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64815 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  64819 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  64823 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  64827 */     // MIs[3] LHS
     /*  64827 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  64832 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  64836 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  64842 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  64844 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  64846 */     // (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$LHS), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$RHS, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, immAllOnesV:{ *:[v2i64] })))  =>  (BSPv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$RHS)
     /*  64846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  64849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  64851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  64855 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  64859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  64863 */     GIR_RootConstrainSelectedInstOperands,
     /*  64864 */     // GIR_Coverage, 13534,
     /*  64864 */     GIR_EraseRootFromParent_Done,
     /*  64865 */   // Label 1089: @64865
     /*  64865 */   GIM_Try, /*On fail goto*//*Label 1090*/ GIMT_Encode4(64932), // Rule ID 13475 //
     /*  64870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  64881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  64885 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  64889 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64894 */     // MIs[1] imm
     /*  64894 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  64898 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  64902 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  64906 */     // MIs[2] Operand 1
     /*  64906 */     // No operand predicates
     /*  64906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64910 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  64914 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  64916 */     // (or:{ *:[v2i64] } (AArch64vashr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm), V128:{ *:[v2i64] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv2i64_shift:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  64916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv2i64_shift),
     /*  64919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  64921 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  64923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  64927 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  64930 */     GIR_RootConstrainSelectedInstOperands,
     /*  64931 */     // GIR_Coverage, 13475,
     /*  64931 */     GIR_EraseRootFromParent_Done,
     /*  64932 */   // Label 1090: @64932
     /*  64932 */   GIM_Try, /*On fail goto*//*Label 1091*/ GIMT_Encode4(64999), // Rule ID 13496 //
     /*  64937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  64948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  64952 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  64956 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64961 */     // MIs[1] imm
     /*  64961 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  64965 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  64969 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  64973 */     // MIs[2] Operand 1
     /*  64973 */     // No operand predicates
     /*  64973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64977 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  64981 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  64983 */     // (or:{ *:[v2i64] } (AArch64vlshr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm), V128:{ *:[v2i64] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv2i64_shift:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  64983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv2i64_shift),
     /*  64986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  64988 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  64990 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  64994 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  64997 */     GIR_RootConstrainSelectedInstOperands,
     /*  64998 */     // GIR_Coverage, 13496,
     /*  64998 */     GIR_EraseRootFromParent_Done,
     /*  64999 */   // Label 1091: @64999
     /*  64999 */   GIM_Try, /*On fail goto*//*Label 1092*/ GIMT_Encode4(65066), // Rule ID 2243 //
     /*  65004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  65019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  65023 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  65027 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65032 */     // MIs[1] imm
     /*  65032 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  65036 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  65040 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  65044 */     // MIs[2] Operand 1
     /*  65044 */     // No operand predicates
     /*  65044 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  65048 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  65050 */     // (or:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64vashr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv2i64_shift:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  65050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv2i64_shift),
     /*  65053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  65055 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  65057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  65061 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  65064 */     GIR_RootConstrainSelectedInstOperands,
     /*  65065 */     // GIR_Coverage, 2243,
     /*  65065 */     GIR_EraseRootFromParent_Done,
     /*  65066 */   // Label 1092: @65066
     /*  65066 */   GIM_Try, /*On fail goto*//*Label 1093*/ GIMT_Encode4(65133), // Rule ID 2302 //
     /*  65071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65078 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  65086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  65090 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  65094 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65099 */     // MIs[1] imm
     /*  65099 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  65103 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  65107 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  65111 */     // MIs[2] Operand 1
     /*  65111 */     // No operand predicates
     /*  65111 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  65115 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  65117 */     // (or:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64vlshr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv2i64_shift:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  65117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv2i64_shift),
     /*  65120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  65122 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  65124 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  65128 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  65131 */     GIR_RootConstrainSelectedInstOperands,
     /*  65132 */     // GIR_Coverage, 2302,
     /*  65132 */     GIR_EraseRootFromParent_Done,
     /*  65133 */   // Label 1093: @65133
     /*  65133 */   GIM_Try, /*On fail goto*//*Label 1094*/ GIMT_Encode4(65197), // Rule ID 13806 //
     /*  65138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  65149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  65153 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  65157 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  65161 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65166 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  65170 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  65176 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  65178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65182 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  65184 */     // (or:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$RHS, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$LHS)  =>  (ORNv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)
     /*  65184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv16i8),
     /*  65187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  65189 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  65191 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  65195 */     GIR_RootConstrainSelectedInstOperands,
     /*  65196 */     // GIR_Coverage, 13806,
     /*  65196 */     GIR_EraseRootFromParent_Done,
     /*  65197 */   // Label 1094: @65197
     /*  65197 */   GIM_Try, /*On fail goto*//*Label 1095*/ GIMT_Encode4(65261), // Rule ID 5044 //
     /*  65202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65209 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  65217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  65221 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  65225 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  65229 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65234 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  65238 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  65244 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  65246 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  65248 */     // (or:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$RHS, immAllOnesV:{ *:[v2i64] }))  =>  (ORNv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)
     /*  65248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv16i8),
     /*  65251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  65253 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  65255 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  65259 */     GIR_RootConstrainSelectedInstOperands,
     /*  65260 */     // GIR_Coverage, 5044,
     /*  65260 */     GIR_EraseRootFromParent_Done,
     /*  65261 */   // Label 1095: @65261
     /*  65261 */   GIM_Try, /*On fail goto*//*Label 1096*/ GIMT_Encode4(65288), // Rule ID 5050 //
     /*  65266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65273 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65281 */     // (or:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)  =>  (ORRv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)
     /*  65281 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORRv16i8),
     /*  65286 */     GIR_RootConstrainSelectedInstOperands,
     /*  65287 */     // GIR_Coverage, 5050,
     /*  65287 */     GIR_Done,
     /*  65288 */   // Label 1096: @65288
     /*  65288 */   GIM_Reject,
     /*  65289 */ // Label 1081: @65289
     /*  65289 */ GIM_Reject,
     /*  65290 */ // Label 1015: @65290
     /*  65290 */ GIM_Try, /*On fail goto*//*Label 1097*/ GIMT_Encode4(66597),
     /*  65295 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  65298 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  65301 */   GIM_Try, /*On fail goto*//*Label 1098*/ GIMT_Encode4(65410), // Rule ID 13501 //
     /*  65306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  65313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  65317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65321 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  65325 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  65329 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  65333 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  65337 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  65341 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  65345 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  65350 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  65354 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  65360 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  65362 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  65367 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  65371 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65375 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  65379 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  65384 */     // MIs[4] LHS
     /*  65384 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  65389 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  65391 */     // (or:{ *:[v4i16] } (and:{ *:[v4i16] } (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, immAllOnesV:{ *:[v4i16] }), V64:{ *:[v4i16] }:$RHS), (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$LHS))  =>  (BSPv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$RHS)
     /*  65391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  65394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  65396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  65400 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  65404 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  65408 */     GIR_RootConstrainSelectedInstOperands,
     /*  65409 */     // GIR_Coverage, 13501,
     /*  65409 */     GIR_EraseRootFromParent_Done,
     /*  65410 */   // Label 1098: @65410
     /*  65410 */   GIM_Try, /*On fail goto*//*Label 1099*/ GIMT_Encode4(65519), // Rule ID 13500 //
     /*  65415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  65422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  65426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65430 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  65434 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  65438 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  65442 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  65446 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  65450 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  65454 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  65459 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  65463 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  65469 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  65471 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  65476 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  65480 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65484 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  65488 */     // MIs[4] LHS
     /*  65488 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  65493 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  65498 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  65500 */     // (or:{ *:[v4i16] } (and:{ *:[v4i16] } (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, immAllOnesV:{ *:[v4i16] }), V64:{ *:[v4i16] }:$RHS), (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS))  =>  (BSPv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$RHS)
     /*  65500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  65503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  65505 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  65509 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  65513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  65517 */     GIR_RootConstrainSelectedInstOperands,
     /*  65518 */     // GIR_Coverage, 13500,
     /*  65518 */     GIR_EraseRootFromParent_Done,
     /*  65519 */   // Label 1099: @65519
     /*  65519 */   GIM_Try, /*On fail goto*//*Label 1100*/ GIMT_Encode4(65628), // Rule ID 13503 //
     /*  65524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  65531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  65535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65539 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  65543 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  65547 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  65552 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  65556 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  65560 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  65564 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  65568 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  65573 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  65577 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  65583 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  65585 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  65589 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65593 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  65597 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  65602 */     // MIs[4] LHS
     /*  65602 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  65607 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  65609 */     // (or:{ *:[v4i16] } (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$RHS, (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, immAllOnesV:{ *:[v4i16] })), (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$LHS))  =>  (BSPv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$RHS)
     /*  65609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  65612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  65614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  65618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  65622 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  65626 */     GIR_RootConstrainSelectedInstOperands,
     /*  65627 */     // GIR_Coverage, 13503,
     /*  65627 */     GIR_EraseRootFromParent_Done,
     /*  65628 */   // Label 1100: @65628
     /*  65628 */   GIM_Try, /*On fail goto*//*Label 1101*/ GIMT_Encode4(65737), // Rule ID 13502 //
     /*  65633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  65640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  65644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  65652 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  65656 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  65661 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  65665 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  65669 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  65673 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  65677 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  65682 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  65686 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  65692 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  65694 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  65698 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65702 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  65706 */     // MIs[4] LHS
     /*  65706 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  65711 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  65716 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  65718 */     // (or:{ *:[v4i16] } (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$RHS, (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, immAllOnesV:{ *:[v4i16] })), (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS))  =>  (BSPv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$RHS)
     /*  65718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  65721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  65723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  65727 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  65731 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  65735 */     GIR_RootConstrainSelectedInstOperands,
     /*  65736 */     // GIR_Coverage, 13502,
     /*  65736 */     GIR_EraseRootFromParent_Done,
     /*  65737 */   // Label 1101: @65737
     /*  65737 */   GIM_Try, /*On fail goto*//*Label 1102*/ GIMT_Encode4(65846), // Rule ID 2469 //
     /*  65742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  65749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  65753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65757 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  65761 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  65765 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  65770 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  65775 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  65779 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65783 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  65787 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  65791 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  65795 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  65799 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  65803 */     // MIs[3] LHS
     /*  65803 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  65808 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  65812 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  65818 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  65820 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  65825 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  65827 */     // (or:{ *:[v4i16] } (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS), (and:{ *:[v4i16] } (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, immAllOnesV:{ *:[v4i16] }), V64:{ *:[v4i16] }:$RHS))  =>  (BSPv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$RHS)
     /*  65827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  65830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  65832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  65836 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  65840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  65844 */     GIR_RootConstrainSelectedInstOperands,
     /*  65845 */     // GIR_Coverage, 2469,
     /*  65845 */     GIR_EraseRootFromParent_Done,
     /*  65846 */   // Label 1102: @65846
     /*  65846 */   GIM_Try, /*On fail goto*//*Label 1103*/ GIMT_Encode4(65955), // Rule ID 13498 //
     /*  65851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  65858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  65862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65866 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  65870 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  65874 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  65879 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  65884 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  65888 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65892 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  65896 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  65900 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  65904 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  65908 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  65912 */     // MIs[3] LHS
     /*  65912 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  65917 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  65921 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  65927 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  65929 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  65934 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  65936 */     // (or:{ *:[v4i16] } (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$LHS), (and:{ *:[v4i16] } (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, immAllOnesV:{ *:[v4i16] }), V64:{ *:[v4i16] }:$RHS))  =>  (BSPv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$RHS)
     /*  65936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  65939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  65941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  65945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  65949 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  65953 */     GIR_RootConstrainSelectedInstOperands,
     /*  65954 */     // GIR_Coverage, 13498,
     /*  65954 */     GIR_EraseRootFromParent_Done,
     /*  65955 */   // Label 1103: @65955
     /*  65955 */   GIM_Try, /*On fail goto*//*Label 1104*/ GIMT_Encode4(66064), // Rule ID 13497 //
     /*  65960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  65967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  65971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65975 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  65979 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  65983 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  65988 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  65993 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  65997 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66001 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66005 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66009 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66014 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  66018 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  66022 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66026 */     // MIs[3] LHS
     /*  66026 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  66031 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  66035 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  66041 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  66043 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  66045 */     // (or:{ *:[v4i16] } (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS), (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$RHS, (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, immAllOnesV:{ *:[v4i16] })))  =>  (BSPv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$RHS)
     /*  66045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  66048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  66050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  66054 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  66058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  66062 */     GIR_RootConstrainSelectedInstOperands,
     /*  66063 */     // GIR_Coverage, 13497,
     /*  66063 */     GIR_EraseRootFromParent_Done,
     /*  66064 */   // Label 1104: @66064
     /*  66064 */   GIM_Try, /*On fail goto*//*Label 1105*/ GIMT_Encode4(66173), // Rule ID 13499 //
     /*  66069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  66080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66084 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66088 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66092 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66097 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66102 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  66106 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66110 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66114 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66118 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66123 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  66127 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  66131 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66135 */     // MIs[3] LHS
     /*  66135 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  66140 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  66144 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  66150 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  66152 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  66154 */     // (or:{ *:[v4i16] } (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$LHS), (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$RHS, (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, immAllOnesV:{ *:[v4i16] })))  =>  (BSPv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$RHS)
     /*  66154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  66157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  66159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  66163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  66167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  66171 */     GIR_RootConstrainSelectedInstOperands,
     /*  66172 */     // GIR_Coverage, 13499,
     /*  66172 */     GIR_EraseRootFromParent_Done,
     /*  66173 */   // Label 1105: @66173
     /*  66173 */   GIM_Try, /*On fail goto*//*Label 1106*/ GIMT_Encode4(66240), // Rule ID 13467 //
     /*  66178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  66189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  66193 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66197 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66202 */     // MIs[1] imm
     /*  66202 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  66206 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  66210 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  66214 */     // MIs[2] Operand 1
     /*  66214 */     // No operand predicates
     /*  66214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66218 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  66222 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  66224 */     // (or:{ *:[v4i16] } (AArch64vashr:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm), V64:{ *:[v4i16] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv4i16_shift:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  66224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv4i16_shift),
     /*  66227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  66229 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  66231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  66235 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  66238 */     GIR_RootConstrainSelectedInstOperands,
     /*  66239 */     // GIR_Coverage, 13467,
     /*  66239 */     GIR_EraseRootFromParent_Done,
     /*  66240 */   // Label 1106: @66240
     /*  66240 */   GIM_Try, /*On fail goto*//*Label 1107*/ GIMT_Encode4(66307), // Rule ID 13488 //
     /*  66245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  66256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  66260 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66264 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66269 */     // MIs[1] imm
     /*  66269 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  66273 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  66277 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  66281 */     // MIs[2] Operand 1
     /*  66281 */     // No operand predicates
     /*  66281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66285 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  66289 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  66291 */     // (or:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm), V64:{ *:[v4i16] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv4i16_shift:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  66291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv4i16_shift),
     /*  66294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  66296 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  66298 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  66302 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  66305 */     GIR_RootConstrainSelectedInstOperands,
     /*  66306 */     // GIR_Coverage, 13488,
     /*  66306 */     GIR_EraseRootFromParent_Done,
     /*  66307 */   // Label 1107: @66307
     /*  66307 */   GIM_Try, /*On fail goto*//*Label 1108*/ GIMT_Encode4(66374), // Rule ID 2235 //
     /*  66312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66319 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  66327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  66331 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66335 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66340 */     // MIs[1] imm
     /*  66340 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  66344 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  66348 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  66352 */     // MIs[2] Operand 1
     /*  66352 */     // No operand predicates
     /*  66352 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  66356 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  66358 */     // (or:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, (AArch64vashr:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv4i16_shift:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  66358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv4i16_shift),
     /*  66361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  66363 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  66365 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  66369 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  66372 */     GIR_RootConstrainSelectedInstOperands,
     /*  66373 */     // GIR_Coverage, 2235,
     /*  66373 */     GIR_EraseRootFromParent_Done,
     /*  66374 */   // Label 1108: @66374
     /*  66374 */   GIM_Try, /*On fail goto*//*Label 1109*/ GIMT_Encode4(66441), // Rule ID 2294 //
     /*  66379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66386 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  66394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  66398 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66402 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66407 */     // MIs[1] imm
     /*  66407 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  66411 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  66415 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  66419 */     // MIs[2] Operand 1
     /*  66419 */     // No operand predicates
     /*  66419 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  66423 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  66425 */     // (or:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, (AArch64vlshr:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv4i16_shift:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  66425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv4i16_shift),
     /*  66428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  66430 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  66432 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  66436 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  66439 */     GIR_RootConstrainSelectedInstOperands,
     /*  66440 */     // GIR_Coverage, 2294,
     /*  66440 */     GIR_EraseRootFromParent_Done,
     /*  66441 */   // Label 1109: @66441
     /*  66441 */   GIM_Try, /*On fail goto*//*Label 1110*/ GIMT_Encode4(66505), // Rule ID 13801 //
     /*  66446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  66457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  66461 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66465 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66469 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66474 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  66478 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  66484 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  66486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66490 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  66492 */     // (or:{ *:[v4i16] } (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$RHS, immAllOnesV:{ *:[v4i16] }), V64:{ *:[v4i16] }:$LHS)  =>  (ORNv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)
     /*  66492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv8i8),
     /*  66495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  66497 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  66499 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  66503 */     GIR_RootConstrainSelectedInstOperands,
     /*  66504 */     // GIR_Coverage, 13801,
     /*  66504 */     GIR_EraseRootFromParent_Done,
     /*  66505 */   // Label 1110: @66505
     /*  66505 */   GIM_Try, /*On fail goto*//*Label 1111*/ GIMT_Encode4(66569), // Rule ID 5039 //
     /*  66510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66517 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  66525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  66529 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66533 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66537 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66542 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  66546 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  66552 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  66554 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  66556 */     // (or:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$RHS, immAllOnesV:{ *:[v4i16] }))  =>  (ORNv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)
     /*  66556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv8i8),
     /*  66559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  66561 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  66563 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  66567 */     GIR_RootConstrainSelectedInstOperands,
     /*  66568 */     // GIR_Coverage, 5039,
     /*  66568 */     GIR_EraseRootFromParent_Done,
     /*  66569 */   // Label 1111: @66569
     /*  66569 */   GIM_Try, /*On fail goto*//*Label 1112*/ GIMT_Encode4(66596), // Rule ID 5045 //
     /*  66574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66581 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66589 */     // (or:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)  =>  (ORRv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)
     /*  66589 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORRv8i8),
     /*  66594 */     GIR_RootConstrainSelectedInstOperands,
     /*  66595 */     // GIR_Coverage, 5045,
     /*  66595 */     GIR_Done,
     /*  66596 */   // Label 1112: @66596
     /*  66596 */   GIM_Reject,
     /*  66597 */ // Label 1097: @66597
     /*  66597 */ GIM_Reject,
     /*  66598 */ // Label 1016: @66598
     /*  66598 */ GIM_Try, /*On fail goto*//*Label 1113*/ GIMT_Encode4(67905),
     /*  66603 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  66606 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  66609 */   GIM_Try, /*On fail goto*//*Label 1114*/ GIMT_Encode4(66718), // Rule ID 13529 //
     /*  66614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  66621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  66625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66629 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  66633 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  66637 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  66641 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  66645 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  66649 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  66653 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  66658 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  66662 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  66668 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  66670 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  66675 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  66679 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66683 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  66687 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  66692 */     // MIs[4] LHS
     /*  66692 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  66697 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  66699 */     // (or:{ *:[v4i32] } (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$RHS), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$LHS))  =>  (BSPv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$RHS)
     /*  66699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  66702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  66704 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  66708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  66712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  66716 */     GIR_RootConstrainSelectedInstOperands,
     /*  66717 */     // GIR_Coverage, 13529,
     /*  66717 */     GIR_EraseRootFromParent_Done,
     /*  66718 */   // Label 1114: @66718
     /*  66718 */   GIM_Try, /*On fail goto*//*Label 1115*/ GIMT_Encode4(66827), // Rule ID 13528 //
     /*  66723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  66730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  66734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66738 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  66742 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  66746 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  66750 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  66754 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  66758 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  66762 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  66767 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  66771 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  66777 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  66779 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  66784 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  66788 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66792 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  66796 */     // MIs[4] LHS
     /*  66796 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  66801 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  66806 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  66808 */     // (or:{ *:[v4i32] } (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$RHS), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS))  =>  (BSPv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$RHS)
     /*  66808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  66811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  66813 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  66817 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  66821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  66825 */     GIR_RootConstrainSelectedInstOperands,
     /*  66826 */     // GIR_Coverage, 13528,
     /*  66826 */     GIR_EraseRootFromParent_Done,
     /*  66827 */   // Label 1115: @66827
     /*  66827 */   GIM_Try, /*On fail goto*//*Label 1116*/ GIMT_Encode4(66936), // Rule ID 13531 //
     /*  66832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  66839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  66843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66847 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  66851 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  66855 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  66860 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  66864 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  66868 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  66872 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  66876 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  66881 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  66885 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  66891 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  66893 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  66897 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66901 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  66905 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  66910 */     // MIs[4] LHS
     /*  66910 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  66915 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  66917 */     // (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$RHS, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, immAllOnesV:{ *:[v4i32] })), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$LHS))  =>  (BSPv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$RHS)
     /*  66917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  66920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  66922 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  66926 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  66930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  66934 */     GIR_RootConstrainSelectedInstOperands,
     /*  66935 */     // GIR_Coverage, 13531,
     /*  66935 */     GIR_EraseRootFromParent_Done,
     /*  66936 */   // Label 1116: @66936
     /*  66936 */   GIM_Try, /*On fail goto*//*Label 1117*/ GIMT_Encode4(67045), // Rule ID 13530 //
     /*  66941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  66948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  66952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66956 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  66960 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  66964 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  66969 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  66973 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  66977 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  66981 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  66985 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  66990 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  66994 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  67000 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  67002 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  67006 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67010 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67014 */     // MIs[4] LHS
     /*  67014 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  67019 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67024 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  67026 */     // (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$RHS, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, immAllOnesV:{ *:[v4i32] })), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS))  =>  (BSPv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$RHS)
     /*  67026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  67029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  67031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  67035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  67039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  67043 */     GIR_RootConstrainSelectedInstOperands,
     /*  67044 */     // GIR_Coverage, 13530,
     /*  67044 */     GIR_EraseRootFromParent_Done,
     /*  67045 */   // Label 1117: @67045
     /*  67045 */   GIM_Try, /*On fail goto*//*Label 1118*/ GIMT_Encode4(67154), // Rule ID 2473 //
     /*  67050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  67061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67065 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67069 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67073 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67078 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67083 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  67087 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67091 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67095 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67099 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  67103 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  67107 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67111 */     // MIs[3] LHS
     /*  67111 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  67116 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  67120 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  67126 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  67128 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67133 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  67135 */     // (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS), (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$RHS))  =>  (BSPv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$RHS)
     /*  67135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  67138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  67140 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  67144 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  67148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  67152 */     GIR_RootConstrainSelectedInstOperands,
     /*  67153 */     // GIR_Coverage, 2473,
     /*  67153 */     GIR_EraseRootFromParent_Done,
     /*  67154 */   // Label 1118: @67154
     /*  67154 */   GIM_Try, /*On fail goto*//*Label 1119*/ GIMT_Encode4(67263), // Rule ID 13526 //
     /*  67159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  67170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67174 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67178 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67182 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67187 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67192 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  67196 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67200 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67204 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67208 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  67212 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  67216 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67220 */     // MIs[3] LHS
     /*  67220 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  67225 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  67229 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  67235 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  67237 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67242 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  67244 */     // (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$LHS), (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$RHS))  =>  (BSPv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$RHS)
     /*  67244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  67247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  67249 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  67253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  67257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  67261 */     GIR_RootConstrainSelectedInstOperands,
     /*  67262 */     // GIR_Coverage, 13526,
     /*  67262 */     GIR_EraseRootFromParent_Done,
     /*  67263 */   // Label 1119: @67263
     /*  67263 */   GIM_Try, /*On fail goto*//*Label 1120*/ GIMT_Encode4(67372), // Rule ID 13525 //
     /*  67268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  67279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67283 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67287 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67291 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67296 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67301 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  67305 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67309 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67313 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67317 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67322 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  67326 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  67330 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67334 */     // MIs[3] LHS
     /*  67334 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  67339 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  67343 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  67349 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  67351 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  67353 */     // (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$RHS, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, immAllOnesV:{ *:[v4i32] })))  =>  (BSPv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$RHS)
     /*  67353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  67356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  67358 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  67362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  67366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  67370 */     GIR_RootConstrainSelectedInstOperands,
     /*  67371 */     // GIR_Coverage, 13525,
     /*  67371 */     GIR_EraseRootFromParent_Done,
     /*  67372 */   // Label 1120: @67372
     /*  67372 */   GIM_Try, /*On fail goto*//*Label 1121*/ GIMT_Encode4(67481), // Rule ID 13527 //
     /*  67377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  67388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67392 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67396 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67400 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67405 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67410 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  67414 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67418 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67422 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67426 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67431 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  67435 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  67439 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67443 */     // MIs[3] LHS
     /*  67443 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  67448 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  67452 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  67458 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  67460 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  67462 */     // (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$LHS), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$RHS, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, immAllOnesV:{ *:[v4i32] })))  =>  (BSPv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$RHS)
     /*  67462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  67465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  67467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  67471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  67475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  67479 */     GIR_RootConstrainSelectedInstOperands,
     /*  67480 */     // GIR_Coverage, 13527,
     /*  67480 */     GIR_EraseRootFromParent_Done,
     /*  67481 */   // Label 1121: @67481
     /*  67481 */   GIM_Try, /*On fail goto*//*Label 1122*/ GIMT_Encode4(67548), // Rule ID 13473 //
     /*  67486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  67497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  67501 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67505 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67510 */     // MIs[1] imm
     /*  67510 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  67514 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  67518 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  67522 */     // MIs[2] Operand 1
     /*  67522 */     // No operand predicates
     /*  67522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67526 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  67530 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  67532 */     // (or:{ *:[v4i32] } (AArch64vashr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm), V128:{ *:[v4i32] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv4i32_shift:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  67532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv4i32_shift),
     /*  67535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  67537 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  67539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  67543 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  67546 */     GIR_RootConstrainSelectedInstOperands,
     /*  67547 */     // GIR_Coverage, 13473,
     /*  67547 */     GIR_EraseRootFromParent_Done,
     /*  67548 */   // Label 1122: @67548
     /*  67548 */   GIM_Try, /*On fail goto*//*Label 1123*/ GIMT_Encode4(67615), // Rule ID 13494 //
     /*  67553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  67564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  67568 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67572 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67577 */     // MIs[1] imm
     /*  67577 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  67581 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  67585 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  67589 */     // MIs[2] Operand 1
     /*  67589 */     // No operand predicates
     /*  67589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67593 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  67597 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  67599 */     // (or:{ *:[v4i32] } (AArch64vlshr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm), V128:{ *:[v4i32] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv4i32_shift:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  67599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv4i32_shift),
     /*  67602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  67604 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  67606 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  67610 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  67613 */     GIR_RootConstrainSelectedInstOperands,
     /*  67614 */     // GIR_Coverage, 13494,
     /*  67614 */     GIR_EraseRootFromParent_Done,
     /*  67615 */   // Label 1123: @67615
     /*  67615 */   GIM_Try, /*On fail goto*//*Label 1124*/ GIMT_Encode4(67682), // Rule ID 2241 //
     /*  67620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  67635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  67639 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67643 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67648 */     // MIs[1] imm
     /*  67648 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  67652 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  67656 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  67660 */     // MIs[2] Operand 1
     /*  67660 */     // No operand predicates
     /*  67660 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  67664 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  67666 */     // (or:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64vashr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv4i32_shift:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  67666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv4i32_shift),
     /*  67669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  67671 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  67673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  67677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  67680 */     GIR_RootConstrainSelectedInstOperands,
     /*  67681 */     // GIR_Coverage, 2241,
     /*  67681 */     GIR_EraseRootFromParent_Done,
     /*  67682 */   // Label 1124: @67682
     /*  67682 */   GIM_Try, /*On fail goto*//*Label 1125*/ GIMT_Encode4(67749), // Rule ID 2300 //
     /*  67687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67694 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  67702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  67706 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67710 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67715 */     // MIs[1] imm
     /*  67715 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  67719 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  67723 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  67727 */     // MIs[2] Operand 1
     /*  67727 */     // No operand predicates
     /*  67727 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  67731 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  67733 */     // (or:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64vlshr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv4i32_shift:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  67733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv4i32_shift),
     /*  67736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  67738 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  67740 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  67744 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  67747 */     GIR_RootConstrainSelectedInstOperands,
     /*  67748 */     // GIR_Coverage, 2300,
     /*  67748 */     GIR_EraseRootFromParent_Done,
     /*  67749 */   // Label 1125: @67749
     /*  67749 */   GIM_Try, /*On fail goto*//*Label 1126*/ GIMT_Encode4(67813), // Rule ID 13805 //
     /*  67754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  67765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  67769 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67773 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67777 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67782 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  67786 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  67792 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  67794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67798 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  67800 */     // (or:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$RHS, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$LHS)  =>  (ORNv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)
     /*  67800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv16i8),
     /*  67803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  67805 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  67807 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  67811 */     GIR_RootConstrainSelectedInstOperands,
     /*  67812 */     // GIR_Coverage, 13805,
     /*  67812 */     GIR_EraseRootFromParent_Done,
     /*  67813 */   // Label 1126: @67813
     /*  67813 */   GIM_Try, /*On fail goto*//*Label 1127*/ GIMT_Encode4(67877), // Rule ID 5043 //
     /*  67818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67825 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  67833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  67837 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67841 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67845 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67850 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  67854 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  67860 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  67862 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  67864 */     // (or:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$RHS, immAllOnesV:{ *:[v4i32] }))  =>  (ORNv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)
     /*  67864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv16i8),
     /*  67867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  67869 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  67871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  67875 */     GIR_RootConstrainSelectedInstOperands,
     /*  67876 */     // GIR_Coverage, 5043,
     /*  67876 */     GIR_EraseRootFromParent_Done,
     /*  67877 */   // Label 1127: @67877
     /*  67877 */   GIM_Try, /*On fail goto*//*Label 1128*/ GIMT_Encode4(67904), // Rule ID 5049 //
     /*  67882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67889 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67897 */     // (or:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)  =>  (ORRv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)
     /*  67897 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORRv16i8),
     /*  67902 */     GIR_RootConstrainSelectedInstOperands,
     /*  67903 */     // GIR_Coverage, 5049,
     /*  67903 */     GIR_Done,
     /*  67904 */   // Label 1128: @67904
     /*  67904 */   GIM_Reject,
     /*  67905 */ // Label 1113: @67905
     /*  67905 */ GIM_Reject,
     /*  67906 */ // Label 1017: @67906
     /*  67906 */ GIM_Try, /*On fail goto*//*Label 1129*/ GIMT_Encode4(69213),
     /*  67911 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  67914 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  67917 */   GIM_Try, /*On fail goto*//*Label 1130*/ GIMT_Encode4(68026), // Rule ID 13289 //
     /*  67922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  67929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  67933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67937 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  67941 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  67945 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  67949 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  67953 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  67957 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  67961 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  67966 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  67970 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  67976 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  67978 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  67983 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  67987 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67991 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  67995 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68000 */     // MIs[4] Rd
     /*  68000 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  68005 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  68007 */     // (or:{ *:[v8i8] } (and:{ *:[v8i8] } (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, immAllOnesV:{ *:[v8i8] }), V64:{ *:[v8i8] }:$Rm), (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rd))  =>  (BSPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  68007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  68010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  68012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rd
     /*  68016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Rn
     /*  68020 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  68024 */     GIR_RootConstrainSelectedInstOperands,
     /*  68025 */     // GIR_Coverage, 13289,
     /*  68025 */     GIR_EraseRootFromParent_Done,
     /*  68026 */   // Label 1130: @68026
     /*  68026 */   GIM_Try, /*On fail goto*//*Label 1131*/ GIMT_Encode4(68135), // Rule ID 13288 //
     /*  68031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  68042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68046 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  68050 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  68054 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  68058 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  68062 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  68066 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  68070 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68075 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  68079 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  68085 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  68087 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68092 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  68096 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68100 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  68104 */     // MIs[4] Rd
     /*  68104 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  68109 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68114 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  68116 */     // (or:{ *:[v8i8] } (and:{ *:[v8i8] } (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, immAllOnesV:{ *:[v8i8] }), V64:{ *:[v8i8] }:$Rm), (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn))  =>  (BSPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  68116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  68119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  68121 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rd
     /*  68125 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // Rn
     /*  68129 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  68133 */     GIR_RootConstrainSelectedInstOperands,
     /*  68134 */     // GIR_Coverage, 13288,
     /*  68134 */     GIR_EraseRootFromParent_Done,
     /*  68135 */   // Label 1131: @68135
     /*  68135 */   GIM_Try, /*On fail goto*//*Label 1132*/ GIMT_Encode4(68244), // Rule ID 13291 //
     /*  68140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  68151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68155 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  68159 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  68163 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68168 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  68172 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  68176 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  68180 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  68184 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68189 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  68193 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  68199 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  68201 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  68205 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68209 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  68213 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68218 */     // MIs[4] Rd
     /*  68218 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  68223 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  68225 */     // (or:{ *:[v8i8] } (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, immAllOnesV:{ *:[v8i8] })), (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rd))  =>  (BSPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  68225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  68228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  68230 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rd
     /*  68234 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Rn
     /*  68238 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  68242 */     GIR_RootConstrainSelectedInstOperands,
     /*  68243 */     // GIR_Coverage, 13291,
     /*  68243 */     GIR_EraseRootFromParent_Done,
     /*  68244 */   // Label 1132: @68244
     /*  68244 */   GIM_Try, /*On fail goto*//*Label 1133*/ GIMT_Encode4(68353), // Rule ID 13290 //
     /*  68249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  68260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68264 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  68268 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  68272 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68277 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  68281 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  68285 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  68289 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  68293 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68298 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  68302 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  68308 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  68310 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  68314 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68318 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  68322 */     // MIs[4] Rd
     /*  68322 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  68327 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68332 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  68334 */     // (or:{ *:[v8i8] } (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, immAllOnesV:{ *:[v8i8] })), (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn))  =>  (BSPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  68334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  68337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  68339 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rd
     /*  68343 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // Rn
     /*  68347 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  68351 */     GIR_RootConstrainSelectedInstOperands,
     /*  68352 */     // GIR_Coverage, 13290,
     /*  68352 */     GIR_EraseRootFromParent_Done,
     /*  68353 */   // Label 1133: @68353
     /*  68353 */   GIM_Try, /*On fail goto*//*Label 1134*/ GIMT_Encode4(68462), // Rule ID 1605 //
     /*  68358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  68369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68373 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  68377 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  68381 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68386 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68391 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  68395 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68399 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  68403 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  68407 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  68411 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  68415 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  68419 */     // MIs[3] Rd
     /*  68419 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  68424 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  68428 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  68434 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  68436 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68441 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  68443 */     // (or:{ *:[v8i8] } (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn), (and:{ *:[v8i8] } (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, immAllOnesV:{ *:[v8i8] }), V64:{ *:[v8i8] }:$Rm))  =>  (BSPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  68443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  68446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  68448 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rd
     /*  68452 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  68456 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  68460 */     GIR_RootConstrainSelectedInstOperands,
     /*  68461 */     // GIR_Coverage, 1605,
     /*  68461 */     GIR_EraseRootFromParent_Done,
     /*  68462 */   // Label 1134: @68462
     /*  68462 */   GIM_Try, /*On fail goto*//*Label 1135*/ GIMT_Encode4(68571), // Rule ID 13286 //
     /*  68467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  68478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68482 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  68486 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  68490 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68495 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68500 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  68504 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68508 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  68512 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  68516 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  68520 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  68524 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  68528 */     // MIs[3] Rd
     /*  68528 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  68533 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  68537 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  68543 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  68545 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68550 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  68552 */     // (or:{ *:[v8i8] } (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rd), (and:{ *:[v8i8] } (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, immAllOnesV:{ *:[v8i8] }), V64:{ *:[v8i8] }:$Rm))  =>  (BSPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  68552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  68555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  68557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rd
     /*  68561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  68565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  68569 */     GIR_RootConstrainSelectedInstOperands,
     /*  68570 */     // GIR_Coverage, 13286,
     /*  68570 */     GIR_EraseRootFromParent_Done,
     /*  68571 */   // Label 1135: @68571
     /*  68571 */   GIM_Try, /*On fail goto*//*Label 1136*/ GIMT_Encode4(68680), // Rule ID 13285 //
     /*  68576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  68587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68591 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  68595 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  68599 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68604 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68609 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  68613 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68617 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  68621 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  68625 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68630 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  68634 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  68638 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  68642 */     // MIs[3] Rd
     /*  68642 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  68647 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  68651 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  68657 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  68659 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  68661 */     // (or:{ *:[v8i8] } (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn), (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, immAllOnesV:{ *:[v8i8] })))  =>  (BSPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  68661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  68664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  68666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rd
     /*  68670 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  68674 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  68678 */     GIR_RootConstrainSelectedInstOperands,
     /*  68679 */     // GIR_Coverage, 13285,
     /*  68679 */     GIR_EraseRootFromParent_Done,
     /*  68680 */   // Label 1136: @68680
     /*  68680 */   GIM_Try, /*On fail goto*//*Label 1137*/ GIMT_Encode4(68789), // Rule ID 13287 //
     /*  68685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68692 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  68696 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68700 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  68704 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  68708 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68713 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68718 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  68722 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68726 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  68730 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  68734 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68739 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  68743 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  68747 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  68751 */     // MIs[3] Rd
     /*  68751 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  68756 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  68760 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  68766 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  68768 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  68770 */     // (or:{ *:[v8i8] } (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rd), (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, immAllOnesV:{ *:[v8i8] })))  =>  (BSPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  68770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  68773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  68775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rd
     /*  68779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  68783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  68787 */     GIR_RootConstrainSelectedInstOperands,
     /*  68788 */     // GIR_Coverage, 13287,
     /*  68788 */     GIR_EraseRootFromParent_Done,
     /*  68789 */   // Label 1137: @68789
     /*  68789 */   GIM_Try, /*On fail goto*//*Label 1138*/ GIMT_Encode4(68856), // Rule ID 13463 //
     /*  68794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  68805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  68809 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  68813 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68818 */     // MIs[1] imm
     /*  68818 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  68822 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  68826 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  68830 */     // MIs[2] Operand 1
     /*  68830 */     // No operand predicates
     /*  68830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68834 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  68838 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  68840 */     // (or:{ *:[v8i8] } (AArch64vashr:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm), V64:{ *:[v8i8] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv8i8_shift:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  68840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv8i8_shift),
     /*  68843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  68845 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  68847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  68851 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  68854 */     GIR_RootConstrainSelectedInstOperands,
     /*  68855 */     // GIR_Coverage, 13463,
     /*  68855 */     GIR_EraseRootFromParent_Done,
     /*  68856 */   // Label 1138: @68856
     /*  68856 */   GIM_Try, /*On fail goto*//*Label 1139*/ GIMT_Encode4(68923), // Rule ID 13484 //
     /*  68861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  68872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  68876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  68880 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68885 */     // MIs[1] imm
     /*  68885 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  68889 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  68893 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  68897 */     // MIs[2] Operand 1
     /*  68897 */     // No operand predicates
     /*  68897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68901 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  68905 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  68907 */     // (or:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm), V64:{ *:[v8i8] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv8i8_shift:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  68907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv8i8_shift),
     /*  68910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  68912 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  68914 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  68918 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  68921 */     GIR_RootConstrainSelectedInstOperands,
     /*  68922 */     // GIR_Coverage, 13484,
     /*  68922 */     GIR_EraseRootFromParent_Done,
     /*  68923 */   // Label 1139: @68923
     /*  68923 */   GIM_Try, /*On fail goto*//*Label 1140*/ GIMT_Encode4(68990), // Rule ID 2231 //
     /*  68928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68935 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  68943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  68947 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  68951 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68956 */     // MIs[1] imm
     /*  68956 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  68960 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  68964 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  68968 */     // MIs[2] Operand 1
     /*  68968 */     // No operand predicates
     /*  68968 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  68972 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  68974 */     // (or:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, (AArch64vashr:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv8i8_shift:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  68974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv8i8_shift),
     /*  68977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  68979 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  68981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  68985 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  68988 */     GIR_RootConstrainSelectedInstOperands,
     /*  68989 */     // GIR_Coverage, 2231,
     /*  68989 */     GIR_EraseRootFromParent_Done,
     /*  68990 */   // Label 1140: @68990
     /*  68990 */   GIM_Try, /*On fail goto*//*Label 1141*/ GIMT_Encode4(69057), // Rule ID 2290 //
     /*  68995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69002 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  69010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  69014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  69018 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69023 */     // MIs[1] imm
     /*  69023 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  69027 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  69031 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  69035 */     // MIs[2] Operand 1
     /*  69035 */     // No operand predicates
     /*  69035 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  69039 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  69041 */     // (or:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, (AArch64vlshr:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv8i8_shift:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  69041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv8i8_shift),
     /*  69044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  69046 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  69048 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  69052 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  69055 */     GIR_RootConstrainSelectedInstOperands,
     /*  69056 */     // GIR_Coverage, 2290,
     /*  69056 */     GIR_EraseRootFromParent_Done,
     /*  69057 */   // Label 1141: @69057
     /*  69057 */   GIM_Try, /*On fail goto*//*Label 1142*/ GIMT_Encode4(69121), // Rule ID 13283 //
     /*  69062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  69065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  69073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  69077 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  69081 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  69085 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69090 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  69094 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  69100 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  69102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69106 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  69108 */     // (or:{ *:[v8i8] } (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, immAllOnesV:{ *:[v8i8] }), V64:{ *:[v8i8] }:$Rn)  =>  (ORNv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  69108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv8i8),
     /*  69111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  69113 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  69115 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  69119 */     GIR_RootConstrainSelectedInstOperands,
     /*  69120 */     // GIR_Coverage, 13283,
     /*  69120 */     GIR_EraseRootFromParent_Done,
     /*  69121 */   // Label 1142: @69121
     /*  69121 */   GIM_Try, /*On fail goto*//*Label 1143*/ GIMT_Encode4(69185), // Rule ID 1601 //
     /*  69126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  69129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  69141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  69145 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  69149 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  69153 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69158 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  69162 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  69168 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  69170 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  69172 */     // (or:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, immAllOnesV:{ *:[v8i8] }))  =>  (ORNv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  69172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv8i8),
     /*  69175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  69177 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  69179 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  69183 */     GIR_RootConstrainSelectedInstOperands,
     /*  69184 */     // GIR_Coverage, 1601,
     /*  69184 */     GIR_EraseRootFromParent_Done,
     /*  69185 */   // Label 1143: @69185
     /*  69185 */   GIM_Try, /*On fail goto*//*Label 1144*/ GIMT_Encode4(69212), // Rule ID 1603 //
     /*  69190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  69193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69197 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69205 */     // (or:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (ORRv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  69205 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORRv8i8),
     /*  69210 */     GIR_RootConstrainSelectedInstOperands,
     /*  69211 */     // GIR_Coverage, 1603,
     /*  69211 */     GIR_Done,
     /*  69212 */   // Label 1144: @69212
     /*  69212 */   GIM_Reject,
     /*  69213 */ // Label 1129: @69213
     /*  69213 */ GIM_Reject,
     /*  69214 */ // Label 1018: @69214
     /*  69214 */ GIM_Try, /*On fail goto*//*Label 1145*/ GIMT_Encode4(70521),
     /*  69219 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  69222 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  69225 */   GIM_Try, /*On fail goto*//*Label 1146*/ GIMT_Encode4(69334), // Rule ID 13522 //
     /*  69230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  69233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  69241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  69245 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  69249 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  69253 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  69257 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  69261 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  69265 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  69269 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69274 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  69278 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  69284 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  69286 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69291 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  69295 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  69299 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  69303 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69308 */     // MIs[4] LHS
     /*  69308 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  69313 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  69315 */     // (or:{ *:[v8i16] } (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$RHS), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$LHS))  =>  (BSPv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$RHS)
     /*  69315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  69318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  69320 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  69324 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  69328 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  69332 */     GIR_RootConstrainSelectedInstOperands,
     /*  69333 */     // GIR_Coverage, 13522,
     /*  69333 */     GIR_EraseRootFromParent_Done,
     /*  69334 */   // Label 1146: @69334
     /*  69334 */   GIM_Try, /*On fail goto*//*Label 1147*/ GIMT_Encode4(69443), // Rule ID 13521 //
     /*  69339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  69342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  69350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  69354 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  69358 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  69362 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  69366 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  69370 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  69374 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  69378 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69383 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  69387 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  69393 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  69395 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69400 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  69404 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  69408 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  69412 */     // MIs[4] LHS
     /*  69412 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  69417 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69422 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  69424 */     // (or:{ *:[v8i16] } (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$RHS), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS))  =>  (BSPv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$RHS)
     /*  69424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  69427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  69429 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  69433 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  69437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  69441 */     GIR_RootConstrainSelectedInstOperands,
     /*  69442 */     // GIR_Coverage, 13521,
     /*  69442 */     GIR_EraseRootFromParent_Done,
     /*  69443 */   // Label 1147: @69443
     /*  69443 */   GIM_Try, /*On fail goto*//*Label 1148*/ GIMT_Encode4(69552), // Rule ID 13524 //
     /*  69448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  69451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  69459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  69463 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  69467 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  69471 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69476 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  69480 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  69484 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  69488 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  69492 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69497 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  69501 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  69507 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  69509 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  69513 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  69517 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  69521 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69526 */     // MIs[4] LHS
     /*  69526 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  69531 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  69533 */     // (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$RHS, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, immAllOnesV:{ *:[v8i16] })), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$LHS))  =>  (BSPv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$RHS)
     /*  69533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  69536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  69538 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  69542 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  69546 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  69550 */     GIR_RootConstrainSelectedInstOperands,
     /*  69551 */     // GIR_Coverage, 13524,
     /*  69551 */     GIR_EraseRootFromParent_Done,
     /*  69552 */   // Label 1148: @69552
     /*  69552 */   GIM_Try, /*On fail goto*//*Label 1149*/ GIMT_Encode4(69661), // Rule ID 13523 //
     /*  69557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  69560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  69568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  69572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  69576 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  69580 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69585 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  69589 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  69593 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  69597 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  69601 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69606 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  69610 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  69616 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  69618 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  69622 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  69626 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  69630 */     // MIs[4] LHS
     /*  69630 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  69635 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69640 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  69642 */     // (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$RHS, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, immAllOnesV:{ *:[v8i16] })), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS))  =>  (BSPv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$RHS)
     /*  69642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  69645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  69647 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  69651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  69655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  69659 */     GIR_RootConstrainSelectedInstOperands,
     /*  69660 */     // GIR_Coverage, 13523,
     /*  69660 */     GIR_EraseRootFromParent_Done,
     /*  69661 */   // Label 1149: @69661
     /*  69661 */   GIM_Try, /*On fail goto*//*Label 1150*/ GIMT_Encode4(69770), // Rule ID 2472 //
     /*  69666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  69669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  69677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  69681 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  69685 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  69689 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69694 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69699 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  69703 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  69707 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  69711 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  69715 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  69719 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  69723 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  69727 */     // MIs[3] LHS
     /*  69727 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  69732 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  69736 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  69742 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  69744 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69749 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  69751 */     // (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS), (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$RHS))  =>  (BSPv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$RHS)
     /*  69751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  69754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  69756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  69760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  69764 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  69768 */     GIR_RootConstrainSelectedInstOperands,
     /*  69769 */     // GIR_Coverage, 2472,
     /*  69769 */     GIR_EraseRootFromParent_Done,
     /*  69770 */   // Label 1150: @69770
     /*  69770 */   GIM_Try, /*On fail goto*//*Label 1151*/ GIMT_Encode4(69879), // Rule ID 13519 //
     /*  69775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  69778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  69786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  69790 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  69794 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  69798 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69803 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69808 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  69812 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  69816 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  69820 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  69824 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  69828 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  69832 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  69836 */     // MIs[3] LHS
     /*  69836 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  69841 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  69845 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  69851 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  69853 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69858 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  69860 */     // (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$LHS), (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$RHS))  =>  (BSPv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$RHS)
     /*  69860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  69863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  69865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  69869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  69873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  69877 */     GIR_RootConstrainSelectedInstOperands,
     /*  69878 */     // GIR_Coverage, 13519,
     /*  69878 */     GIR_EraseRootFromParent_Done,
     /*  69879 */   // Label 1151: @69879
     /*  69879 */   GIM_Try, /*On fail goto*//*Label 1152*/ GIMT_Encode4(69988), // Rule ID 13518 //
     /*  69884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  69887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  69895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  69899 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  69903 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  69907 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69912 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69917 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  69921 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  69925 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  69929 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  69933 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69938 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  69942 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  69946 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  69950 */     // MIs[3] LHS
     /*  69950 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  69955 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  69959 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  69965 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  69967 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  69969 */     // (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$RHS, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, immAllOnesV:{ *:[v8i16] })))  =>  (BSPv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$RHS)
     /*  69969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  69972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  69974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  69978 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  69982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  69986 */     GIR_RootConstrainSelectedInstOperands,
     /*  69987 */     // GIR_Coverage, 13518,
     /*  69987 */     GIR_EraseRootFromParent_Done,
     /*  69988 */   // Label 1152: @69988
     /*  69988 */   GIM_Try, /*On fail goto*//*Label 1153*/ GIMT_Encode4(70097), // Rule ID 13520 //
     /*  69993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  69996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  70004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  70008 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70012 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70021 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70026 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  70030 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  70034 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70038 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70042 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70047 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  70051 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  70055 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70059 */     // MIs[3] LHS
     /*  70059 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  70064 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  70068 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  70074 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  70076 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  70078 */     // (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$LHS), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$RHS, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, immAllOnesV:{ *:[v8i16] })))  =>  (BSPv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$RHS)
     /*  70078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  70081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  70083 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  70087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  70091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  70095 */     GIR_RootConstrainSelectedInstOperands,
     /*  70096 */     // GIR_Coverage, 13520,
     /*  70096 */     GIR_EraseRootFromParent_Done,
     /*  70097 */   // Label 1153: @70097
     /*  70097 */   GIM_Try, /*On fail goto*//*Label 1154*/ GIMT_Encode4(70164), // Rule ID 13469 //
     /*  70102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  70105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  70113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  70117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70121 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70126 */     // MIs[1] imm
     /*  70126 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  70130 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  70134 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  70138 */     // MIs[2] Operand 1
     /*  70138 */     // No operand predicates
     /*  70138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70142 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  70146 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  70148 */     // (or:{ *:[v8i16] } (AArch64vashr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm), V128:{ *:[v8i16] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv8i16_shift:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  70148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv8i16_shift),
     /*  70151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  70153 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  70155 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  70159 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  70162 */     GIR_RootConstrainSelectedInstOperands,
     /*  70163 */     // GIR_Coverage, 13469,
     /*  70163 */     GIR_EraseRootFromParent_Done,
     /*  70164 */   // Label 1154: @70164
     /*  70164 */   GIM_Try, /*On fail goto*//*Label 1155*/ GIMT_Encode4(70231), // Rule ID 13490 //
     /*  70169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  70172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  70180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  70184 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70193 */     // MIs[1] imm
     /*  70193 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  70197 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  70201 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  70205 */     // MIs[2] Operand 1
     /*  70205 */     // No operand predicates
     /*  70205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70209 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  70213 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  70215 */     // (or:{ *:[v8i16] } (AArch64vlshr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm), V128:{ *:[v8i16] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv8i16_shift:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  70215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv8i16_shift),
     /*  70218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  70220 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  70222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  70226 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  70229 */     GIR_RootConstrainSelectedInstOperands,
     /*  70230 */     // GIR_Coverage, 13490,
     /*  70230 */     GIR_EraseRootFromParent_Done,
     /*  70231 */   // Label 1155: @70231
     /*  70231 */   GIM_Try, /*On fail goto*//*Label 1156*/ GIMT_Encode4(70298), // Rule ID 2237 //
     /*  70236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  70239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70243 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  70251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  70255 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70259 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70264 */     // MIs[1] imm
     /*  70264 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  70268 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  70272 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  70276 */     // MIs[2] Operand 1
     /*  70276 */     // No operand predicates
     /*  70276 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  70280 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  70282 */     // (or:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64vashr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv8i16_shift:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  70282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv8i16_shift),
     /*  70285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  70287 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  70289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  70293 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  70296 */     GIR_RootConstrainSelectedInstOperands,
     /*  70297 */     // GIR_Coverage, 2237,
     /*  70297 */     GIR_EraseRootFromParent_Done,
     /*  70298 */   // Label 1156: @70298
     /*  70298 */   GIM_Try, /*On fail goto*//*Label 1157*/ GIMT_Encode4(70365), // Rule ID 2296 //
     /*  70303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  70306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  70318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  70322 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70326 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70331 */     // MIs[1] imm
     /*  70331 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  70335 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  70339 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  70343 */     // MIs[2] Operand 1
     /*  70343 */     // No operand predicates
     /*  70343 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  70347 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  70349 */     // (or:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64vlshr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv8i16_shift:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  70349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv8i16_shift),
     /*  70352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  70354 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  70356 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  70360 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  70363 */     GIR_RootConstrainSelectedInstOperands,
     /*  70364 */     // GIR_Coverage, 2296,
     /*  70364 */     GIR_EraseRootFromParent_Done,
     /*  70365 */   // Label 1157: @70365
     /*  70365 */   GIM_Try, /*On fail goto*//*Label 1158*/ GIMT_Encode4(70429), // Rule ID 13804 //
     /*  70370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  70373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  70381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  70385 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70389 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70393 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70398 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  70402 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  70408 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  70410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70414 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  70416 */     // (or:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$RHS, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$LHS)  =>  (ORNv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)
     /*  70416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv16i8),
     /*  70419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  70421 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  70423 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  70427 */     GIR_RootConstrainSelectedInstOperands,
     /*  70428 */     // GIR_Coverage, 13804,
     /*  70428 */     GIR_EraseRootFromParent_Done,
     /*  70429 */   // Label 1158: @70429
     /*  70429 */   GIM_Try, /*On fail goto*//*Label 1159*/ GIMT_Encode4(70493), // Rule ID 5042 //
     /*  70434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  70437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70441 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  70449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  70453 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70457 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70461 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70466 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  70470 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  70476 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  70478 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  70480 */     // (or:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$RHS, immAllOnesV:{ *:[v8i16] }))  =>  (ORNv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)
     /*  70480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv16i8),
     /*  70483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  70485 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  70487 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  70491 */     GIR_RootConstrainSelectedInstOperands,
     /*  70492 */     // GIR_Coverage, 5042,
     /*  70492 */     GIR_EraseRootFromParent_Done,
     /*  70493 */   // Label 1159: @70493
     /*  70493 */   GIM_Try, /*On fail goto*//*Label 1160*/ GIMT_Encode4(70520), // Rule ID 5048 //
     /*  70498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  70501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70505 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70513 */     // (or:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)  =>  (ORRv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)
     /*  70513 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORRv16i8),
     /*  70518 */     GIR_RootConstrainSelectedInstOperands,
     /*  70519 */     // GIR_Coverage, 5048,
     /*  70519 */     GIR_Done,
     /*  70520 */   // Label 1160: @70520
     /*  70520 */   GIM_Reject,
     /*  70521 */ // Label 1145: @70521
     /*  70521 */ GIM_Reject,
     /*  70522 */ // Label 1019: @70522
     /*  70522 */ GIM_Try, /*On fail goto*//*Label 1161*/ GIMT_Encode4(71829),
     /*  70527 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  70530 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  70533 */   GIM_Try, /*On fail goto*//*Label 1162*/ GIMT_Encode4(70642), // Rule ID 13296 //
     /*  70538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  70541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  70549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  70553 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  70557 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  70561 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  70565 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  70569 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  70573 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  70577 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70582 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  70586 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  70592 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  70594 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70599 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  70603 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  70607 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  70611 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70616 */     // MIs[4] Rd
     /*  70616 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  70621 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  70623 */     // (or:{ *:[v16i8] } (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$Rm), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rd))  =>  (BSPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  70623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  70626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  70628 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rd
     /*  70632 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Rn
     /*  70636 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  70640 */     GIR_RootConstrainSelectedInstOperands,
     /*  70641 */     // GIR_Coverage, 13296,
     /*  70641 */     GIR_EraseRootFromParent_Done,
     /*  70642 */   // Label 1162: @70642
     /*  70642 */   GIM_Try, /*On fail goto*//*Label 1163*/ GIMT_Encode4(70751), // Rule ID 13295 //
     /*  70647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  70650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  70658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  70662 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  70666 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  70670 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  70674 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  70678 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  70682 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  70686 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70691 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  70695 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  70701 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  70703 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70708 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  70712 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  70716 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  70720 */     // MIs[4] Rd
     /*  70720 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  70725 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70730 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  70732 */     // (or:{ *:[v16i8] } (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$Rm), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn))  =>  (BSPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  70732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  70735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  70737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rd
     /*  70741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // Rn
     /*  70745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  70749 */     GIR_RootConstrainSelectedInstOperands,
     /*  70750 */     // GIR_Coverage, 13295,
     /*  70750 */     GIR_EraseRootFromParent_Done,
     /*  70751 */   // Label 1163: @70751
     /*  70751 */   GIM_Try, /*On fail goto*//*Label 1164*/ GIMT_Encode4(70860), // Rule ID 13298 //
     /*  70756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  70759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  70767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  70771 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  70775 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  70779 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70784 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  70788 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  70792 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  70796 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  70800 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70805 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  70809 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  70815 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  70817 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  70821 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  70825 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  70829 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70834 */     // MIs[4] Rd
     /*  70834 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  70839 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  70841 */     // (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, immAllOnesV:{ *:[v16i8] })), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rd))  =>  (BSPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  70841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  70844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  70846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rd
     /*  70850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Rn
     /*  70854 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  70858 */     GIR_RootConstrainSelectedInstOperands,
     /*  70859 */     // GIR_Coverage, 13298,
     /*  70859 */     GIR_EraseRootFromParent_Done,
     /*  70860 */   // Label 1164: @70860
     /*  70860 */   GIM_Try, /*On fail goto*//*Label 1165*/ GIMT_Encode4(70969), // Rule ID 13297 //
     /*  70865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  70868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  70876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  70880 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  70884 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  70888 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70893 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  70897 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  70901 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  70905 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  70909 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70914 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  70918 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  70924 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  70926 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  70930 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  70934 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  70938 */     // MIs[4] Rd
     /*  70938 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  70943 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70948 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  70950 */     // (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, immAllOnesV:{ *:[v16i8] })), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn))  =>  (BSPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  70950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  70953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  70955 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rd
     /*  70959 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // Rn
     /*  70963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  70967 */     GIR_RootConstrainSelectedInstOperands,
     /*  70968 */     // GIR_Coverage, 13297,
     /*  70968 */     GIR_EraseRootFromParent_Done,
     /*  70969 */   // Label 1165: @70969
     /*  70969 */   GIM_Try, /*On fail goto*//*Label 1166*/ GIMT_Encode4(71078), // Rule ID 1606 //
     /*  70974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  70977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  70985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  70989 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  70993 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  70997 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71002 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71007 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  71011 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  71015 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71019 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71023 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  71027 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  71031 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71035 */     // MIs[3] Rd
     /*  71035 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  71040 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  71044 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  71050 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  71052 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71057 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  71059 */     // (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn), (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$Rm))  =>  (BSPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  71059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  71062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  71064 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rd
     /*  71068 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  71072 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  71076 */     GIR_RootConstrainSelectedInstOperands,
     /*  71077 */     // GIR_Coverage, 1606,
     /*  71077 */     GIR_EraseRootFromParent_Done,
     /*  71078 */   // Label 1166: @71078
     /*  71078 */   GIM_Try, /*On fail goto*//*Label 1167*/ GIMT_Encode4(71187), // Rule ID 13293 //
     /*  71083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  71086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  71094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  71098 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71102 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71106 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71111 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71116 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  71120 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  71124 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71128 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71132 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  71136 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  71140 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71144 */     // MIs[3] Rd
     /*  71144 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  71149 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  71153 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  71159 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  71161 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71166 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  71168 */     // (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rd), (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$Rm))  =>  (BSPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  71168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  71171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  71173 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rd
     /*  71177 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  71181 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  71185 */     GIR_RootConstrainSelectedInstOperands,
     /*  71186 */     // GIR_Coverage, 13293,
     /*  71186 */     GIR_EraseRootFromParent_Done,
     /*  71187 */   // Label 1167: @71187
     /*  71187 */   GIM_Try, /*On fail goto*//*Label 1168*/ GIMT_Encode4(71296), // Rule ID 13292 //
     /*  71192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  71195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  71203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  71207 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71211 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71215 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71220 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71225 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  71229 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  71233 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71237 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71241 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71246 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  71250 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  71254 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71258 */     // MIs[3] Rd
     /*  71258 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  71263 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  71267 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  71273 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  71275 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  71277 */     // (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, immAllOnesV:{ *:[v16i8] })))  =>  (BSPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  71277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  71280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  71282 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rd
     /*  71286 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  71290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  71294 */     GIR_RootConstrainSelectedInstOperands,
     /*  71295 */     // GIR_Coverage, 13292,
     /*  71295 */     GIR_EraseRootFromParent_Done,
     /*  71296 */   // Label 1168: @71296
     /*  71296 */   GIM_Try, /*On fail goto*//*Label 1169*/ GIMT_Encode4(71405), // Rule ID 13294 //
     /*  71301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  71304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  71312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  71316 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71320 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71324 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71329 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71334 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  71338 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  71342 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71346 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71350 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71355 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  71359 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  71363 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71367 */     // MIs[3] Rd
     /*  71367 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  71372 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  71376 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  71382 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  71384 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  71386 */     // (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rd), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, immAllOnesV:{ *:[v16i8] })))  =>  (BSPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  71386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  71389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  71391 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rd
     /*  71395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  71399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  71403 */     GIR_RootConstrainSelectedInstOperands,
     /*  71404 */     // GIR_Coverage, 13294,
     /*  71404 */     GIR_EraseRootFromParent_Done,
     /*  71405 */   // Label 1169: @71405
     /*  71405 */   GIM_Try, /*On fail goto*//*Label 1170*/ GIMT_Encode4(71472), // Rule ID 13465 //
     /*  71410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  71413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  71421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  71425 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71429 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71434 */     // MIs[1] imm
     /*  71434 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  71438 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  71442 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  71446 */     // MIs[2] Operand 1
     /*  71446 */     // No operand predicates
     /*  71446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71450 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  71454 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  71456 */     // (or:{ *:[v16i8] } (AArch64vashr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm), V128:{ *:[v16i8] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv16i8_shift:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  71456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv16i8_shift),
     /*  71459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  71461 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  71463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  71467 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  71470 */     GIR_RootConstrainSelectedInstOperands,
     /*  71471 */     // GIR_Coverage, 13465,
     /*  71471 */     GIR_EraseRootFromParent_Done,
     /*  71472 */   // Label 1170: @71472
     /*  71472 */   GIM_Try, /*On fail goto*//*Label 1171*/ GIMT_Encode4(71539), // Rule ID 13486 //
     /*  71477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  71480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  71488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  71492 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71496 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71501 */     // MIs[1] imm
     /*  71501 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  71505 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  71509 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  71513 */     // MIs[2] Operand 1
     /*  71513 */     // No operand predicates
     /*  71513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71517 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  71521 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  71523 */     // (or:{ *:[v16i8] } (AArch64vlshr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm), V128:{ *:[v16i8] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv16i8_shift:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  71523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv16i8_shift),
     /*  71526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  71528 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  71530 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  71534 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  71537 */     GIR_RootConstrainSelectedInstOperands,
     /*  71538 */     // GIR_Coverage, 13486,
     /*  71538 */     GIR_EraseRootFromParent_Done,
     /*  71539 */   // Label 1171: @71539
     /*  71539 */   GIM_Try, /*On fail goto*//*Label 1172*/ GIMT_Encode4(71606), // Rule ID 2233 //
     /*  71544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  71547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71551 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  71559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  71563 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71567 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71572 */     // MIs[1] imm
     /*  71572 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  71576 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  71580 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  71584 */     // MIs[2] Operand 1
     /*  71584 */     // No operand predicates
     /*  71584 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  71588 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  71590 */     // (or:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, (AArch64vashr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv16i8_shift:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  71590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv16i8_shift),
     /*  71593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  71595 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  71597 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  71601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  71604 */     GIR_RootConstrainSelectedInstOperands,
     /*  71605 */     // GIR_Coverage, 2233,
     /*  71605 */     GIR_EraseRootFromParent_Done,
     /*  71606 */   // Label 1172: @71606
     /*  71606 */   GIM_Try, /*On fail goto*//*Label 1173*/ GIMT_Encode4(71673), // Rule ID 2292 //
     /*  71611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  71614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  71626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  71630 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71634 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71639 */     // MIs[1] imm
     /*  71639 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  71643 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  71647 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  71651 */     // MIs[2] Operand 1
     /*  71651 */     // No operand predicates
     /*  71651 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  71655 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  71657 */     // (or:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, (AArch64vlshr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv16i8_shift:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  71657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv16i8_shift),
     /*  71660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  71662 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  71664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  71668 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  71671 */     GIR_RootConstrainSelectedInstOperands,
     /*  71672 */     // GIR_Coverage, 2292,
     /*  71672 */     GIR_EraseRootFromParent_Done,
     /*  71673 */   // Label 1173: @71673
     /*  71673 */   GIM_Try, /*On fail goto*//*Label 1174*/ GIMT_Encode4(71737), // Rule ID 13284 //
     /*  71678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  71681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  71689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  71693 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71697 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71701 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71706 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  71710 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  71716 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  71718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71722 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  71724 */     // (or:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$Rn)  =>  (ORNv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  71724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv16i8),
     /*  71727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  71729 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  71731 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  71735 */     GIR_RootConstrainSelectedInstOperands,
     /*  71736 */     // GIR_Coverage, 13284,
     /*  71736 */     GIR_EraseRootFromParent_Done,
     /*  71737 */   // Label 1174: @71737
     /*  71737 */   GIM_Try, /*On fail goto*//*Label 1175*/ GIMT_Encode4(71801), // Rule ID 1602 //
     /*  71742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  71745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  71757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  71761 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71765 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71769 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71774 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  71778 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  71784 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  71786 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  71788 */     // (or:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, immAllOnesV:{ *:[v16i8] }))  =>  (ORNv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  71788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv16i8),
     /*  71791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  71793 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  71795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  71799 */     GIR_RootConstrainSelectedInstOperands,
     /*  71800 */     // GIR_Coverage, 1602,
     /*  71800 */     GIR_EraseRootFromParent_Done,
     /*  71801 */   // Label 1175: @71801
     /*  71801 */   GIM_Try, /*On fail goto*//*Label 1176*/ GIMT_Encode4(71828), // Rule ID 1604 //
     /*  71806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  71809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71813 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71821 */     // (or:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (ORRv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  71821 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORRv16i8),
     /*  71826 */     GIR_RootConstrainSelectedInstOperands,
     /*  71827 */     // GIR_Coverage, 1604,
     /*  71827 */     GIR_Done,
     /*  71828 */   // Label 1176: @71828
     /*  71828 */   GIM_Reject,
     /*  71829 */ // Label 1161: @71829
     /*  71829 */ GIM_Reject,
     /*  71830 */ // Label 1020: @71830
     /*  71830 */ GIM_Try, /*On fail goto*//*Label 1177*/ GIMT_Encode4(71861), // Rule ID 8397 //
     /*  71835 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  71838 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  71841 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  71844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  71848 */   // (or:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op1, nxv1i1:{ *:[nxv1i1] }:$Op2)  =>  (SEL_PPPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2)
     /*  71848 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SEL_PPPP),
     /*  71851 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  71853 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  71855 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  71857 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  71859 */   GIR_RootConstrainSelectedInstOperands,
     /*  71860 */   // GIR_Coverage, 8397,
     /*  71860 */   GIR_EraseRootFromParent_Done,
     /*  71861 */ // Label 1177: @71861
     /*  71861 */ GIM_Reject,
     /*  71862 */ // Label 1021: @71862
     /*  71862 */ GIM_Try, /*On fail goto*//*Label 1178*/ GIMT_Encode4(71893), // Rule ID 8396 //
     /*  71867 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  71870 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  71873 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  71876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  71880 */   // (or:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (SEL_PPPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /*  71880 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SEL_PPPP),
     /*  71883 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  71885 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  71887 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  71889 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  71891 */   GIR_RootConstrainSelectedInstOperands,
     /*  71892 */   // GIR_Coverage, 8396,
     /*  71892 */   GIR_EraseRootFromParent_Done,
     /*  71893 */ // Label 1178: @71893
     /*  71893 */ GIM_Reject,
     /*  71894 */ // Label 1022: @71894
     /*  71894 */ GIM_Try, /*On fail goto*//*Label 1179*/ GIMT_Encode4(71919), // Rule ID 7406 //
     /*  71899 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  71902 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  71905 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  71908 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  71912 */   // (or:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ORR_ZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  71912 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORR_ZZZ),
     /*  71917 */   GIR_RootConstrainSelectedInstOperands,
     /*  71918 */   // GIR_Coverage, 7406,
     /*  71918 */   GIR_Done,
     /*  71919 */ // Label 1179: @71919
     /*  71919 */ GIM_Reject,
     /*  71920 */ // Label 1023: @71920
     /*  71920 */ GIM_Try, /*On fail goto*//*Label 1180*/ GIMT_Encode4(71951), // Rule ID 8395 //
     /*  71925 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  71928 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  71931 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  71934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  71938 */   // (or:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (SEL_PPPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /*  71938 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SEL_PPPP),
     /*  71941 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  71943 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  71945 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  71947 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  71949 */   GIR_RootConstrainSelectedInstOperands,
     /*  71950 */   // GIR_Coverage, 8395,
     /*  71950 */   GIR_EraseRootFromParent_Done,
     /*  71951 */ // Label 1180: @71951
     /*  71951 */ GIM_Reject,
     /*  71952 */ // Label 1024: @71952
     /*  71952 */ GIM_Try, /*On fail goto*//*Label 1181*/ GIMT_Encode4(71977), // Rule ID 7405 //
     /*  71957 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  71960 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  71963 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  71966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  71970 */   // (or:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ORR_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  71970 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORR_ZZZ),
     /*  71975 */   GIR_RootConstrainSelectedInstOperands,
     /*  71976 */   // GIR_Coverage, 7405,
     /*  71976 */   GIR_Done,
     /*  71977 */ // Label 1181: @71977
     /*  71977 */ GIM_Reject,
     /*  71978 */ // Label 1025: @71978
     /*  71978 */ GIM_Try, /*On fail goto*//*Label 1182*/ GIMT_Encode4(72009), // Rule ID 8394 //
     /*  71983 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  71986 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  71989 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  71992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  71996 */   // (or:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (SEL_PPPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /*  71996 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SEL_PPPP),
     /*  71999 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  72001 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  72003 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  72005 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  72007 */   GIR_RootConstrainSelectedInstOperands,
     /*  72008 */   // GIR_Coverage, 8394,
     /*  72008 */   GIR_EraseRootFromParent_Done,
     /*  72009 */ // Label 1182: @72009
     /*  72009 */ GIM_Reject,
     /*  72010 */ // Label 1026: @72010
     /*  72010 */ GIM_Try, /*On fail goto*//*Label 1183*/ GIMT_Encode4(72035), // Rule ID 7404 //
     /*  72015 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  72018 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  72021 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  72024 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  72028 */   // (or:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ORR_ZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  72028 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORR_ZZZ),
     /*  72033 */   GIR_RootConstrainSelectedInstOperands,
     /*  72034 */   // GIR_Coverage, 7404,
     /*  72034 */   GIR_Done,
     /*  72035 */ // Label 1183: @72035
     /*  72035 */ GIM_Reject,
     /*  72036 */ // Label 1027: @72036
     /*  72036 */ GIM_Try, /*On fail goto*//*Label 1184*/ GIMT_Encode4(72067), // Rule ID 8393 //
     /*  72041 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  72044 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  72047 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  72050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  72054 */   // (or:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2)  =>  (SEL_PPPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /*  72054 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SEL_PPPP),
     /*  72057 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  72059 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  72061 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  72063 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  72065 */   GIR_RootConstrainSelectedInstOperands,
     /*  72066 */   // GIR_Coverage, 8393,
     /*  72066 */   GIR_EraseRootFromParent_Done,
     /*  72067 */ // Label 1184: @72067
     /*  72067 */ GIM_Reject,
     /*  72068 */ // Label 1028: @72068
     /*  72068 */ GIM_Try, /*On fail goto*//*Label 1185*/ GIMT_Encode4(72093), // Rule ID 7403 //
     /*  72073 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  72076 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  72079 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  72082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  72086 */   // (or:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (ORR_ZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  72086 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORR_ZZZ),
     /*  72091 */   GIR_RootConstrainSelectedInstOperands,
     /*  72092 */   // GIR_Coverage, 7403,
     /*  72092 */   GIR_Done,
     /*  72093 */ // Label 1185: @72093
     /*  72093 */ GIM_Reject,
     /*  72094 */ // Label 1029: @72094
     /*  72094 */ GIM_Reject,
     /*  72095 */ // Label 7: @72095
     /*  72095 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(24), /*)*//*default:*//*Label 1204*/ GIMT_Encode4(79286),
     /*  72106 */ /*GILLT_s32*//*Label 1186*/ GIMT_Encode4(72194),
     /*  72110 */ /*GILLT_s64*//*Label 1187*/ GIMT_Encode4(72874), GIMT_Encode4(0),
     /*  72118 */ /*GILLT_v2s32*//*Label 1188*/ GIMT_Encode4(73717),
     /*  72122 */ /*GILLT_v2s64*//*Label 1189*/ GIMT_Encode4(73952),
     /*  72126 */ /*GILLT_v4s16*//*Label 1190*/ GIMT_Encode4(74641),
     /*  72130 */ /*GILLT_v4s32*//*Label 1191*/ GIMT_Encode4(74876),
     /*  72134 */ /*GILLT_v8s8*//*Label 1192*/ GIMT_Encode4(75565),
     /*  72138 */ /*GILLT_v8s16*//*Label 1193*/ GIMT_Encode4(75803),
     /*  72142 */ /*GILLT_v16s8*//*Label 1194*/ GIMT_Encode4(76492),
     /*  72146 */ /*GILLT_nxv1s1*//*Label 1195*/ GIMT_Encode4(77184),
     /*  72150 */ /*GILLT_nxv2s1*//*Label 1196*/ GIMT_Encode4(77234), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  72162 */ /*GILLT_nxv2s64*//*Label 1197*/ GIMT_Encode4(77284),
     /*  72166 */ /*GILLT_nxv4s1*//*Label 1198*/ GIMT_Encode4(77747), GIMT_Encode4(0),
     /*  72174 */ /*GILLT_nxv4s32*//*Label 1199*/ GIMT_Encode4(77797),
     /*  72178 */ /*GILLT_nxv8s1*//*Label 1200*/ GIMT_Encode4(78260),
     /*  72182 */ /*GILLT_nxv8s16*//*Label 1201*/ GIMT_Encode4(78310),
     /*  72186 */ /*GILLT_nxv16s1*//*Label 1202*/ GIMT_Encode4(78773),
     /*  72190 */ /*GILLT_nxv16s8*//*Label 1203*/ GIMT_Encode4(78823),
     /*  72194 */ // Label 1186: @72194
     /*  72194 */ GIM_Try, /*On fail goto*//*Label 1205*/ GIMT_Encode4(72873),
     /*  72199 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  72202 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  72205 */   GIM_Try, /*On fail goto*//*Label 1206*/ GIMT_Encode4(72263), // Rule ID 13154 //
     /*  72210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  72214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  72218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  72222 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  72226 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  72230 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  72235 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  72239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  72241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  72248 */     // (xor:{ *:[i32] } logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift, (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, -1:{ *:[i32] }))  =>  (EONWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  72248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONWrs),
     /*  72251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  72253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  72257 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  72261 */     GIR_RootConstrainSelectedInstOperands,
     /*  72262 */     // GIR_Coverage, 13154,
     /*  72262 */     GIR_EraseRootFromParent_Done,
     /*  72263 */   // Label 1206: @72263
     /*  72263 */   GIM_Try, /*On fail goto*//*Label 1207*/ GIMT_Encode4(72318), // Rule ID 13153 //
     /*  72268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  72272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  72276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  72280 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  72284 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  72288 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  72292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  72296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  72298 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  72305 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift, -1:{ *:[i32] }), GPR32:{ *:[i32] }:$Rn)  =>  (EONWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  72305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONWrs),
     /*  72308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  72310 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  72312 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  72316 */     GIR_RootConstrainSelectedInstOperands,
     /*  72317 */     // GIR_Coverage, 13153,
     /*  72317 */     GIR_EraseRootFromParent_Done,
     /*  72318 */   // Label 1207: @72318
     /*  72318 */   GIM_Try, /*On fail goto*//*Label 1208*/ GIMT_Encode4(72376), // Rule ID 13151 //
     /*  72323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  72327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  72331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  72335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  72339 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  72343 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  72348 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  72352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  72354 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  72361 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift, GPR32:{ *:[i32] }:$Rn), -1:{ *:[i32] })  =>  (EONWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  72361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONWrs),
     /*  72364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  72366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  72370 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  72374 */     GIR_RootConstrainSelectedInstOperands,
     /*  72375 */     // GIR_Coverage, 13151,
     /*  72375 */     GIR_EraseRootFromParent_Done,
     /*  72376 */   // Label 1208: @72376
     /*  72376 */   GIM_Try, /*On fail goto*//*Label 1209*/ GIMT_Encode4(72434), // Rule ID 166 //
     /*  72381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  72385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  72389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  72393 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  72397 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  72401 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  72406 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  72410 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  72412 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  72419 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift), -1:{ *:[i32] })  =>  (EONWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  72419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONWrs),
     /*  72422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  72424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  72428 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  72432 */     GIR_RootConstrainSelectedInstOperands,
     /*  72433 */     // GIR_Coverage, 166,
     /*  72433 */     GIR_EraseRootFromParent_Done,
     /*  72434 */   // Label 1209: @72434
     /*  72434 */   GIM_Try, /*On fail goto*//*Label 1210*/ GIMT_Encode4(72492), // Rule ID 13152 //
     /*  72439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  72443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  72447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  72451 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  72455 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  72459 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  72464 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  72468 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  72470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  72477 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, -1:{ *:[i32] }), logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)  =>  (EONWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  72477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONWrs),
     /*  72480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  72482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  72486 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  72490 */     GIR_RootConstrainSelectedInstOperands,
     /*  72491 */     // GIR_Coverage, 13152,
     /*  72491 */     GIR_EraseRootFromParent_Done,
     /*  72492 */   // Label 1210: @72492
     /*  72492 */   GIM_Try, /*On fail goto*//*Label 1211*/ GIMT_Encode4(72547), // Rule ID 13155 //
     /*  72497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  72501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  72505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  72509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  72513 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  72517 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  72521 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  72525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  72527 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  72534 */     // (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (xor:{ *:[i32] } logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift, -1:{ *:[i32] }))  =>  (EONWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  72534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONWrs),
     /*  72537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  72539 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  72541 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  72545 */     GIR_RootConstrainSelectedInstOperands,
     /*  72546 */     // GIR_Coverage, 13155,
     /*  72546 */     GIR_EraseRootFromParent_Done,
     /*  72547 */   // Label 1211: @72547
     /*  72547 */   GIM_Try, /*On fail goto*//*Label 1212*/ GIMT_Encode4(72588), // Rule ID 144 //
     /*  72552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*  72556 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  72560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  72564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  72568 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_logical_imm32),
     /*  72572 */     // MIs[1] Operand 1
     /*  72572 */     // No operand predicates
     /*  72572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  72574 */     // (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_logical_imm32>><<X:logical_imm32_XFORM>>:$imm)  =>  (EORWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (logical_imm32_XFORM:{ *:[i32] } (imm:{ *:[i32] }):$imm))
     /*  72574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORWri),
     /*  72577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  72579 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  72581 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderLogicalImm32), // imm
     /*  72586 */     GIR_RootConstrainSelectedInstOperands,
     /*  72587 */     // GIR_Coverage, 144,
     /*  72587 */     GIR_EraseRootFromParent_Done,
     /*  72588 */   // Label 1212: @72588
     /*  72588 */   GIM_Try, /*On fail goto*//*Label 1213*/ GIMT_Encode4(72621), // Rule ID 13161 //
     /*  72593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  72597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  72601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  72608 */     // (xor:{ *:[i32] } logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift, GPR32:{ *:[i32] }:$Rn)  =>  (EORWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  72608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORWrs),
     /*  72611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  72613 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  72615 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  72619 */     GIR_RootConstrainSelectedInstOperands,
     /*  72620 */     // GIR_Coverage, 13161,
     /*  72620 */     GIR_EraseRootFromParent_Done,
     /*  72621 */   // Label 1213: @72621
     /*  72621 */   GIM_Try, /*On fail goto*//*Label 1214*/ GIMT_Encode4(72654), // Rule ID 170 //
     /*  72626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  72630 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  72634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  72641 */     // (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)  =>  (EORWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  72641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORWrs),
     /*  72644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  72646 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  72648 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  72652 */     GIR_RootConstrainSelectedInstOperands,
     /*  72653 */     // GIR_Coverage, 170,
     /*  72653 */     GIR_EraseRootFromParent_Done,
     /*  72654 */   // Label 1214: @72654
     /*  72654 */   GIM_Try, /*On fail goto*//*Label 1215*/ GIMT_Encode4(72707), // Rule ID 13147 //
     /*  72659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  72663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  72667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  72671 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  72675 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  72679 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  72684 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  72688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  72692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  72694 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, -1:{ *:[i32] }), GPR32:{ *:[i32] }:$Rm)  =>  (EONWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  72694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONWrr),
     /*  72697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  72699 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  72703 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  72705 */     GIR_RootConstrainSelectedInstOperands,
     /*  72706 */     // GIR_Coverage, 13147,
     /*  72706 */     GIR_EraseRootFromParent_Done,
     /*  72707 */   // Label 1215: @72707
     /*  72707 */   GIM_Try, /*On fail goto*//*Label 1216*/ GIMT_Encode4(72763), // Rule ID 164 //
     /*  72712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  72716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  72720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  72724 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  72728 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  72732 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  72737 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  72742 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  72746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  72748 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm), -1:{ *:[i32] })  =>  (EONWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  72748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONWrr),
     /*  72751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  72753 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  72757 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  72761 */     GIR_RootConstrainSelectedInstOperands,
     /*  72762 */     // GIR_Coverage, 164,
     /*  72762 */     GIR_EraseRootFromParent_Done,
     /*  72763 */   // Label 1216: @72763
     /*  72763 */   GIM_Try, /*On fail goto*//*Label 1217*/ GIMT_Encode4(72816), // Rule ID 13148 //
     /*  72768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  72772 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  72776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  72780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  72784 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  72788 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  72792 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  72797 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  72801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  72803 */     // (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, -1:{ *:[i32] }))  =>  (EONWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  72803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONWrr),
     /*  72806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  72808 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  72812 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /*  72814 */     GIR_RootConstrainSelectedInstOperands,
     /*  72815 */     // GIR_Coverage, 13148,
     /*  72815 */     GIR_EraseRootFromParent_Done,
     /*  72816 */   // Label 1217: @72816
     /*  72816 */   GIM_Try, /*On fail goto*//*Label 1218*/ GIMT_Encode4(72848), // Rule ID 3992 //
     /*  72821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  72825 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  72829 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  72833 */     // (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Wm, -1:{ *:[i32] })  =>  (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Wm)
     /*  72833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /*  72836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  72838 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  72844 */     GIR_RootToRootCopy, /*OpIdx*/1, // Wm
     /*  72846 */     GIR_RootConstrainSelectedInstOperands,
     /*  72847 */     // GIR_Coverage, 3992,
     /*  72847 */     GIR_EraseRootFromParent_Done,
     /*  72848 */   // Label 1218: @72848
     /*  72848 */   GIM_Try, /*On fail goto*//*Label 1219*/ GIMT_Encode4(72872), // Rule ID 168 //
     /*  72853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  72857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  72861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  72865 */     // (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (EORWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  72865 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EORWrr),
     /*  72870 */     GIR_RootConstrainSelectedInstOperands,
     /*  72871 */     // GIR_Coverage, 168,
     /*  72871 */     GIR_Done,
     /*  72872 */   // Label 1219: @72872
     /*  72872 */   GIM_Reject,
     /*  72873 */ // Label 1205: @72873
     /*  72873 */ GIM_Reject,
     /*  72874 */ // Label 1187: @72874
     /*  72874 */ GIM_Try, /*On fail goto*//*Label 1220*/ GIMT_Encode4(73716),
     /*  72879 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  72882 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  72885 */   GIM_Try, /*On fail goto*//*Label 1221*/ GIMT_Encode4(72943), // Rule ID 13159 //
     /*  72890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  72894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  72898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  72902 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  72906 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  72910 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  72915 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  72919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  72921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  72928 */     // (xor:{ *:[i64] } logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift, (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, -1:{ *:[i64] }))  =>  (EONXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  72928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONXrs),
     /*  72931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  72933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  72937 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  72941 */     GIR_RootConstrainSelectedInstOperands,
     /*  72942 */     // GIR_Coverage, 13159,
     /*  72942 */     GIR_EraseRootFromParent_Done,
     /*  72943 */   // Label 1221: @72943
     /*  72943 */   GIM_Try, /*On fail goto*//*Label 1222*/ GIMT_Encode4(72998), // Rule ID 13158 //
     /*  72948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  72952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  72956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  72960 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  72964 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  72968 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  72972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  72976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  72978 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  72985 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift, -1:{ *:[i64] }), GPR64:{ *:[i64] }:$Rn)  =>  (EONXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  72985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONXrs),
     /*  72988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  72990 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  72992 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  72996 */     GIR_RootConstrainSelectedInstOperands,
     /*  72997 */     // GIR_Coverage, 13158,
     /*  72997 */     GIR_EraseRootFromParent_Done,
     /*  72998 */   // Label 1222: @72998
     /*  72998 */   GIM_Try, /*On fail goto*//*Label 1223*/ GIMT_Encode4(73056), // Rule ID 13156 //
     /*  73003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  73011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73015 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  73019 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  73023 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73028 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  73032 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  73034 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  73041 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift, GPR64:{ *:[i64] }:$Rn), -1:{ *:[i64] })  =>  (EONXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  73041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONXrs),
     /*  73044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73046 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  73050 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  73054 */     GIR_RootConstrainSelectedInstOperands,
     /*  73055 */     // GIR_Coverage, 13156,
     /*  73055 */     GIR_EraseRootFromParent_Done,
     /*  73056 */   // Label 1223: @73056
     /*  73056 */   GIM_Try, /*On fail goto*//*Label 1224*/ GIMT_Encode4(73114), // Rule ID 167 //
     /*  73061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  73069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73073 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  73077 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  73081 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73086 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  73090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  73092 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  73099 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift), -1:{ *:[i64] })  =>  (EONXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  73099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONXrs),
     /*  73102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  73108 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  73112 */     GIR_RootConstrainSelectedInstOperands,
     /*  73113 */     // GIR_Coverage, 167,
     /*  73113 */     GIR_EraseRootFromParent_Done,
     /*  73114 */   // Label 1224: @73114
     /*  73114 */   GIM_Try, /*On fail goto*//*Label 1225*/ GIMT_Encode4(73172), // Rule ID 13157 //
     /*  73119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  73127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73131 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  73135 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  73139 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73144 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  73148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  73150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  73157 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, -1:{ *:[i64] }), logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)  =>  (EONXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  73157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONXrs),
     /*  73160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73162 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  73166 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  73170 */     GIR_RootConstrainSelectedInstOperands,
     /*  73171 */     // GIR_Coverage, 13157,
     /*  73171 */     GIR_EraseRootFromParent_Done,
     /*  73172 */   // Label 1225: @73172
     /*  73172 */   GIM_Try, /*On fail goto*//*Label 1226*/ GIMT_Encode4(73227), // Rule ID 13160 //
     /*  73177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73181 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  73189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73193 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  73197 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  73201 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  73205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  73207 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  73214 */     // (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (xor:{ *:[i64] } logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift, -1:{ *:[i64] }))  =>  (EONXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  73214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONXrs),
     /*  73217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73219 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  73221 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  73225 */     GIR_RootConstrainSelectedInstOperands,
     /*  73226 */     // GIR_Coverage, 13160,
     /*  73226 */     GIR_EraseRootFromParent_Done,
     /*  73227 */   // Label 1226: @73227
     /*  73227 */   GIM_Try, /*On fail goto*//*Label 1227*/ GIMT_Encode4(73327), // Rule ID 1613 //
     /*  73232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  73235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  73239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  73243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  73247 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  73251 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /*  73255 */     // MIs[1] Operand 1
     /*  73255 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  73260 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  73264 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  73268 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  73272 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  73276 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  73281 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  73286 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  73290 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  73296 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/3,
     /*  73298 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  73302 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  73308 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  73310 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  73312 */     // (xor:{ *:[v1i64] } (setcc:{ *:[v1i64] } (and:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm), immAllZerosV:{ *:[v1i64] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v1i64] })  =>  (CMTSTv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /*  73312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv1i64),
     /*  73315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73317 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  73321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  73325 */     GIR_RootConstrainSelectedInstOperands,
     /*  73326 */     // GIR_Coverage, 1613,
     /*  73326 */     GIR_EraseRootFromParent_Done,
     /*  73327 */   // Label 1227: @73327
     /*  73327 */   GIM_Try, /*On fail goto*//*Label 1228*/ GIMT_Encode4(73368), // Rule ID 145 //
     /*  73332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  73336 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  73344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  73348 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_logical_imm64),
     /*  73352 */     // MIs[1] Operand 1
     /*  73352 */     // No operand predicates
     /*  73352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  73354 */     // (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_logical_imm64>><<X:logical_imm64_XFORM>>:$imm)  =>  (EORXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (logical_imm64_XFORM:{ *:[i64] } (imm:{ *:[i64] }):$imm))
     /*  73354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORXri),
     /*  73357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73359 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  73361 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderLogicalImm64), // imm
     /*  73366 */     GIR_RootConstrainSelectedInstOperands,
     /*  73367 */     // GIR_Coverage, 145,
     /*  73367 */     GIR_EraseRootFromParent_Done,
     /*  73368 */   // Label 1228: @73368
     /*  73368 */   GIM_Try, /*On fail goto*//*Label 1229*/ GIMT_Encode4(73401), // Rule ID 13162 //
     /*  73373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  73388 */     // (xor:{ *:[i64] } logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift, GPR64:{ *:[i64] }:$Rn)  =>  (EORXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  73388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORXrs),
     /*  73391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73393 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  73395 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  73399 */     GIR_RootConstrainSelectedInstOperands,
     /*  73400 */     // GIR_Coverage, 13162,
     /*  73400 */     GIR_EraseRootFromParent_Done,
     /*  73401 */   // Label 1229: @73401
     /*  73401 */   GIM_Try, /*On fail goto*//*Label 1230*/ GIMT_Encode4(73434), // Rule ID 171 //
     /*  73406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73410 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  73421 */     // (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)  =>  (EORXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  73421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORXrs),
     /*  73424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73426 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  73428 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  73432 */     GIR_RootConstrainSelectedInstOperands,
     /*  73433 */     // GIR_Coverage, 171,
     /*  73433 */     GIR_EraseRootFromParent_Done,
     /*  73434 */   // Label 1230: @73434
     /*  73434 */   GIM_Try, /*On fail goto*//*Label 1231*/ GIMT_Encode4(73487), // Rule ID 13149 //
     /*  73439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  73447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73451 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  73455 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  73459 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73464 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  73468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73472 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  73474 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, -1:{ *:[i64] }), GPR64:{ *:[i64] }:$Rm)  =>  (EONXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  73474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONXrr),
     /*  73477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73479 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  73483 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  73485 */     GIR_RootConstrainSelectedInstOperands,
     /*  73486 */     // GIR_Coverage, 13149,
     /*  73486 */     GIR_EraseRootFromParent_Done,
     /*  73487 */   // Label 1231: @73487
     /*  73487 */   GIM_Try, /*On fail goto*//*Label 1232*/ GIMT_Encode4(73543), // Rule ID 165 //
     /*  73492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  73500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73504 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  73508 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  73512 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73517 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73522 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  73526 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  73528 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm), -1:{ *:[i64] })  =>  (EONXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  73528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONXrr),
     /*  73531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73533 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  73537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  73541 */     GIR_RootConstrainSelectedInstOperands,
     /*  73542 */     // GIR_Coverage, 165,
     /*  73542 */     GIR_EraseRootFromParent_Done,
     /*  73543 */   // Label 1232: @73543
     /*  73543 */   GIM_Try, /*On fail goto*//*Label 1233*/ GIMT_Encode4(73596), // Rule ID 13150 //
     /*  73548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73552 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  73560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73564 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  73568 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  73572 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73577 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  73581 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  73583 */     // (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, -1:{ *:[i64] }))  =>  (EONXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  73583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONXrr),
     /*  73586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73588 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  73592 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /*  73594 */     GIR_RootConstrainSelectedInstOperands,
     /*  73595 */     // GIR_Coverage, 13150,
     /*  73595 */     GIR_EraseRootFromParent_Done,
     /*  73596 */   // Label 1233: @73596
     /*  73596 */   GIM_Try, /*On fail goto*//*Label 1234*/ GIMT_Encode4(73628), // Rule ID 3993 //
     /*  73601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73605 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73609 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  73613 */     // (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Xm, -1:{ *:[i64] })  =>  (ORNXrr:{ *:[i64] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$Xm)
     /*  73613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNXrr),
     /*  73616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73618 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  73624 */     GIR_RootToRootCopy, /*OpIdx*/1, // Xm
     /*  73626 */     GIR_RootConstrainSelectedInstOperands,
     /*  73627 */     // GIR_Coverage, 3993,
     /*  73627 */     GIR_EraseRootFromParent_Done,
     /*  73628 */   // Label 1234: @73628
     /*  73628 */   GIM_Try, /*On fail goto*//*Label 1235*/ GIMT_Encode4(73664), // Rule ID 4939 //
     /*  73633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  73637 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  73641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  73645 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  73651 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  73653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  73655 */     // (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn, immAllOnesV:{ *:[v1i64] })  =>  (NOTv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn)
     /*  73655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOTv8i8),
     /*  73658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73660 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  73662 */     GIR_RootConstrainSelectedInstOperands,
     /*  73663 */     // GIR_Coverage, 4939,
     /*  73663 */     GIR_EraseRootFromParent_Done,
     /*  73664 */   // Label 1235: @73664
     /*  73664 */   GIM_Try, /*On fail goto*//*Label 1236*/ GIMT_Encode4(73688), // Rule ID 169 //
     /*  73669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73681 */     // (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (EORXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  73681 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EORXrr),
     /*  73686 */     GIR_RootConstrainSelectedInstOperands,
     /*  73687 */     // GIR_Coverage, 169,
     /*  73687 */     GIR_Done,
     /*  73688 */   // Label 1236: @73688
     /*  73688 */   GIM_Try, /*On fail goto*//*Label 1237*/ GIMT_Encode4(73715), // Rule ID 5035 //
     /*  73693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  73696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  73700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  73704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  73708 */     // (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$RHS)  =>  (EORv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$RHS)
     /*  73708 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EORv8i8),
     /*  73713 */     GIR_RootConstrainSelectedInstOperands,
     /*  73714 */     // GIR_Coverage, 5035,
     /*  73714 */     GIR_Done,
     /*  73715 */   // Label 1237: @73715
     /*  73715 */   GIM_Reject,
     /*  73716 */ // Label 1220: @73716
     /*  73716 */ GIM_Reject,
     /*  73717 */ // Label 1188: @73717
     /*  73717 */ GIM_Try, /*On fail goto*//*Label 1238*/ GIMT_Encode4(73951),
     /*  73722 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  73725 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  73728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  73732 */   GIM_Try, /*On fail goto*//*Label 1239*/ GIMT_Encode4(73828), // Rule ID 1160 //
     /*  73737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  73740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  73744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  73748 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  73752 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  73756 */     // MIs[1] Operand 1
     /*  73756 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  73761 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  73765 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  73769 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  73773 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  73777 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  73782 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  73787 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  73791 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  73797 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/3,
     /*  73799 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  73803 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  73809 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  73811 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  73813 */     // (xor:{ *:[v2i32] } (setcc:{ *:[v2i32] } (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), immAllZerosV:{ *:[v2i32] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v2i32] })  =>  (CMTSTv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  73813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv2i32),
     /*  73816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73818 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  73822 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  73826 */     GIR_RootConstrainSelectedInstOperands,
     /*  73827 */     // GIR_Coverage, 1160,
     /*  73827 */     GIR_EraseRootFromParent_Done,
     /*  73828 */   // Label 1239: @73828
     /*  73828 */   GIM_Try, /*On fail goto*//*Label 1240*/ GIMT_Encode4(73895), // Rule ID 4983 //
     /*  73833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  73837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  73841 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  73845 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  73849 */     // MIs[1] Operand 1
     /*  73849 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  73854 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /*  73858 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  73864 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/2,
     /*  73866 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  73870 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  73876 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  73878 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  73880 */     // (xor:{ *:[v2i32] } (setcc:{ *:[v2i32] } v2i32:{ *:[v2i32] }:$Rn, immAllZerosV:{ *:[v2i32] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v2i32] })  =>  (CMTSTv2i32:{ *:[v2i32] } v2i32:{ *:[v2i32] }:$Rn, v2i32:{ *:[v2i32] }:$Rn)
     /*  73880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv2i32),
     /*  73883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  73889 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  73893 */     GIR_RootConstrainSelectedInstOperands,
     /*  73894 */     // GIR_Coverage, 4983,
     /*  73894 */     GIR_EraseRootFromParent_Done,
     /*  73895 */   // Label 1240: @73895
     /*  73895 */   GIM_Try, /*On fail goto*//*Label 1241*/ GIMT_Encode4(73927), // Rule ID 4937 //
     /*  73900 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  73904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  73908 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  73914 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  73916 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  73918 */     // (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, immAllOnesV:{ *:[v2i32] })  =>  (NOTv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /*  73918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOTv8i8),
     /*  73921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73923 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  73925 */     GIR_RootConstrainSelectedInstOperands,
     /*  73926 */     // GIR_Coverage, 4937,
     /*  73926 */     GIR_EraseRootFromParent_Done,
     /*  73927 */   // Label 1241: @73927
     /*  73927 */   GIM_Try, /*On fail goto*//*Label 1242*/ GIMT_Encode4(73950), // Rule ID 5034 //
     /*  73932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  73935 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  73939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  73943 */     // (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)  =>  (EORv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)
     /*  73943 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EORv8i8),
     /*  73948 */     GIR_RootConstrainSelectedInstOperands,
     /*  73949 */     // GIR_Coverage, 5034,
     /*  73949 */     GIR_Done,
     /*  73950 */   // Label 1242: @73950
     /*  73950 */   GIM_Reject,
     /*  73951 */ // Label 1238: @73951
     /*  73951 */ GIM_Reject,
     /*  73952 */ // Label 1189: @73952
     /*  73952 */ GIM_Try, /*On fail goto*//*Label 1243*/ GIMT_Encode4(74640),
     /*  73957 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  73960 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  73963 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  73967 */   GIM_Try, /*On fail goto*//*Label 1244*/ GIMT_Encode4(74063), // Rule ID 1162 //
     /*  73972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  73975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  73979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  73983 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  73987 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  73991 */     // MIs[1] Operand 1
     /*  73991 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  73996 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  74000 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  74004 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  74008 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  74012 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  74017 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  74022 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  74026 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74032 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/3,
     /*  74034 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  74038 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74044 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  74046 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  74048 */     // (xor:{ *:[v2i64] } (setcc:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm), immAllZerosV:{ *:[v2i64] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v2i64] })  =>  (CMTSTv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /*  74048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv2i64),
     /*  74051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  74053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  74057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  74061 */     GIR_RootConstrainSelectedInstOperands,
     /*  74062 */     // GIR_Coverage, 1162,
     /*  74062 */     GIR_EraseRootFromParent_Done,
     /*  74063 */   // Label 1244: @74063
     /*  74063 */   GIM_Try, /*On fail goto*//*Label 1245*/ GIMT_Encode4(74130), // Rule ID 4985 //
     /*  74068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  74072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  74076 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  74080 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  74084 */     // MIs[1] Operand 1
     /*  74084 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  74089 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /*  74093 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74099 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/2,
     /*  74101 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  74105 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74111 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  74113 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  74115 */     // (xor:{ *:[v2i64] } (setcc:{ *:[v2i64] } v2i64:{ *:[v2i64] }:$Rn, immAllZerosV:{ *:[v2i64] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v2i64] })  =>  (CMTSTv2i64:{ *:[v2i64] } v2i64:{ *:[v2i64] }:$Rn, v2i64:{ *:[v2i64] }:$Rn)
     /*  74115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv2i64),
     /*  74118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  74120 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  74124 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  74128 */     GIR_RootConstrainSelectedInstOperands,
     /*  74129 */     // GIR_Coverage, 4985,
     /*  74129 */     GIR_EraseRootFromParent_Done,
     /*  74130 */   // Label 1245: @74130
     /*  74130 */   GIM_Try, /*On fail goto*//*Label 1246*/ GIMT_Encode4(74215), // Rule ID 13684 //
     /*  74135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  74138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  74142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  74146 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  74150 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  74154 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  74158 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  74162 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  74166 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  74170 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  74175 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  74179 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74185 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  74187 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  74192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  74196 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  74198 */     // (xor:{ *:[v2i64] } (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Va, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$Vm), V128:{ *:[v2i64] }:$Vn)  =>  (BCAX:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm, V128:{ *:[v2i64] }:$Va)
     /*  74198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  74201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  74203 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  74205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  74209 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  74213 */     GIR_RootConstrainSelectedInstOperands,
     /*  74214 */     // GIR_Coverage, 13684,
     /*  74214 */     GIR_EraseRootFromParent_Done,
     /*  74215 */   // Label 1246: @74215
     /*  74215 */   GIM_Try, /*On fail goto*//*Label 1247*/ GIMT_Encode4(74300), // Rule ID 13683 //
     /*  74220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  74223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  74227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  74231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  74235 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  74239 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  74244 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  74248 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  74252 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  74256 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  74260 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  74265 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  74269 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74275 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  74277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  74281 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  74283 */     // (xor:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vm, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Va, immAllOnesV:{ *:[v2i64] })), V128:{ *:[v2i64] }:$Vn)  =>  (BCAX:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm, V128:{ *:[v2i64] }:$Va)
     /*  74283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  74286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  74288 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  74290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*  74294 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  74298 */     GIR_RootConstrainSelectedInstOperands,
     /*  74299 */     // GIR_Coverage, 13683,
     /*  74299 */     GIR_EraseRootFromParent_Done,
     /*  74300 */   // Label 1247: @74300
     /*  74300 */   GIM_Try, /*On fail goto*//*Label 1248*/ GIMT_Encode4(74385), // Rule ID 13682 //
     /*  74305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  74308 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  74312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  74316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  74320 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  74324 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  74328 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  74332 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  74336 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  74340 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  74344 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  74349 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  74353 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74359 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  74361 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  74366 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  74368 */     // (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Va, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$Vm))  =>  (BCAX:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm, V128:{ *:[v2i64] }:$Va)
     /*  74368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  74371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  74373 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  74375 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  74379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  74383 */     GIR_RootConstrainSelectedInstOperands,
     /*  74384 */     // GIR_Coverage, 13682,
     /*  74384 */     GIR_EraseRootFromParent_Done,
     /*  74385 */   // Label 1248: @74385
     /*  74385 */   GIM_Try, /*On fail goto*//*Label 1249*/ GIMT_Encode4(74470), // Rule ID 3820 //
     /*  74390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  74393 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  74397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  74401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  74405 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  74409 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  74413 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  74418 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  74422 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  74426 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  74430 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  74434 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  74439 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  74443 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74449 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  74451 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  74453 */     // (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vm, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Va, immAllOnesV:{ *:[v2i64] })))  =>  (BCAX:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm, V128:{ *:[v2i64] }:$Va)
     /*  74453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  74456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  74458 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  74460 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*  74464 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  74468 */     GIR_RootConstrainSelectedInstOperands,
     /*  74469 */     // GIR_Coverage, 3820,
     /*  74469 */     GIR_EraseRootFromParent_Done,
     /*  74470 */   // Label 1249: @74470
     /*  74470 */   GIM_Try, /*On fail goto*//*Label 1250*/ GIMT_Encode4(74502), // Rule ID 4940 //
     /*  74475 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  74479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  74483 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74489 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  74491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  74493 */     // (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, immAllOnesV:{ *:[v2i64] })  =>  (NOTv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /*  74493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOTv16i8),
     /*  74496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  74498 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  74500 */     GIR_RootConstrainSelectedInstOperands,
     /*  74501 */     // GIR_Coverage, 4940,
     /*  74501 */     GIR_EraseRootFromParent_Done,
     /*  74502 */   // Label 1250: @74502
     /*  74502 */   GIM_Try, /*On fail goto*//*Label 1251*/ GIMT_Encode4(74559), // Rule ID 3816 //
     /*  74507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  74510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  74514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  74518 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  74522 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  74526 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  74531 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  74536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  74540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  74542 */     // (xor:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm), V128:{ *:[v2i64] }:$Va)  =>  (EOR3:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm, V128:{ *:[v2i64] }:$Va)
     /*  74542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /*  74545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  74547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  74551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  74555 */     GIR_RootToRootCopy, /*OpIdx*/2, // Va
     /*  74557 */     GIR_RootConstrainSelectedInstOperands,
     /*  74558 */     // GIR_Coverage, 3816,
     /*  74558 */     GIR_EraseRootFromParent_Done,
     /*  74559 */   // Label 1251: @74559
     /*  74559 */   GIM_Try, /*On fail goto*//*Label 1252*/ GIMT_Encode4(74616), // Rule ID 13672 //
     /*  74564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  74567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  74571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  74575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  74579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  74583 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  74587 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  74592 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  74597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  74599 */     // (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Va, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm))  =>  (EOR3:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm, V128:{ *:[v2i64] }:$Va)
     /*  74599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /*  74602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  74604 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  74608 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  74612 */     GIR_RootToRootCopy, /*OpIdx*/1, // Va
     /*  74614 */     GIR_RootConstrainSelectedInstOperands,
     /*  74615 */     // GIR_Coverage, 13672,
     /*  74615 */     GIR_EraseRootFromParent_Done,
     /*  74616 */   // Label 1252: @74616
     /*  74616 */   GIM_Try, /*On fail goto*//*Label 1253*/ GIMT_Encode4(74639), // Rule ID 5038 //
     /*  74621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  74624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  74628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  74632 */     // (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)  =>  (EORv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)
     /*  74632 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EORv16i8),
     /*  74637 */     GIR_RootConstrainSelectedInstOperands,
     /*  74638 */     // GIR_Coverage, 5038,
     /*  74638 */     GIR_Done,
     /*  74639 */   // Label 1253: @74639
     /*  74639 */   GIM_Reject,
     /*  74640 */ // Label 1243: @74640
     /*  74640 */ GIM_Reject,
     /*  74641 */ // Label 1190: @74641
     /*  74641 */ GIM_Try, /*On fail goto*//*Label 1254*/ GIMT_Encode4(74875),
     /*  74646 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  74649 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  74652 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  74656 */   GIM_Try, /*On fail goto*//*Label 1255*/ GIMT_Encode4(74752), // Rule ID 1158 //
     /*  74661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  74664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  74668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  74672 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  74676 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  74680 */     // MIs[1] Operand 1
     /*  74680 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  74685 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  74689 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  74693 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  74697 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  74701 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  74706 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  74711 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  74715 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74721 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/3,
     /*  74723 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  74727 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74733 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  74735 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  74737 */     // (xor:{ *:[v4i16] } (setcc:{ *:[v4i16] } (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), immAllZerosV:{ *:[v4i16] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v4i16] })  =>  (CMTSTv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  74737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv4i16),
     /*  74740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  74742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  74746 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  74750 */     GIR_RootConstrainSelectedInstOperands,
     /*  74751 */     // GIR_Coverage, 1158,
     /*  74751 */     GIR_EraseRootFromParent_Done,
     /*  74752 */   // Label 1255: @74752
     /*  74752 */   GIM_Try, /*On fail goto*//*Label 1256*/ GIMT_Encode4(74819), // Rule ID 4981 //
     /*  74757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  74761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  74765 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  74769 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  74773 */     // MIs[1] Operand 1
     /*  74773 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  74778 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /*  74782 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74788 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/2,
     /*  74790 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  74794 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74800 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  74802 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  74804 */     // (xor:{ *:[v4i16] } (setcc:{ *:[v4i16] } v4i16:{ *:[v4i16] }:$Rn, immAllZerosV:{ *:[v4i16] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v4i16] })  =>  (CMTSTv4i16:{ *:[v4i16] } v4i16:{ *:[v4i16] }:$Rn, v4i16:{ *:[v4i16] }:$Rn)
     /*  74804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv4i16),
     /*  74807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  74809 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  74813 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  74817 */     GIR_RootConstrainSelectedInstOperands,
     /*  74818 */     // GIR_Coverage, 4981,
     /*  74818 */     GIR_EraseRootFromParent_Done,
     /*  74819 */   // Label 1256: @74819
     /*  74819 */   GIM_Try, /*On fail goto*//*Label 1257*/ GIMT_Encode4(74851), // Rule ID 4935 //
     /*  74824 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  74828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  74832 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74838 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  74840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  74842 */     // (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, immAllOnesV:{ *:[v4i16] })  =>  (NOTv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /*  74842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOTv8i8),
     /*  74845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  74847 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  74849 */     GIR_RootConstrainSelectedInstOperands,
     /*  74850 */     // GIR_Coverage, 4935,
     /*  74850 */     GIR_EraseRootFromParent_Done,
     /*  74851 */   // Label 1257: @74851
     /*  74851 */   GIM_Try, /*On fail goto*//*Label 1258*/ GIMT_Encode4(74874), // Rule ID 5033 //
     /*  74856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  74859 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  74863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  74867 */     // (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)  =>  (EORv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)
     /*  74867 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EORv8i8),
     /*  74872 */     GIR_RootConstrainSelectedInstOperands,
     /*  74873 */     // GIR_Coverage, 5033,
     /*  74873 */     GIR_Done,
     /*  74874 */   // Label 1258: @74874
     /*  74874 */   GIM_Reject,
     /*  74875 */ // Label 1254: @74875
     /*  74875 */ GIM_Reject,
     /*  74876 */ // Label 1191: @74876
     /*  74876 */ GIM_Try, /*On fail goto*//*Label 1259*/ GIMT_Encode4(75564),
     /*  74881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  74884 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  74887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  74891 */   GIM_Try, /*On fail goto*//*Label 1260*/ GIMT_Encode4(74987), // Rule ID 1161 //
     /*  74896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  74899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  74903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  74907 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  74911 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  74915 */     // MIs[1] Operand 1
     /*  74915 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  74920 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  74924 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  74928 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  74932 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  74936 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  74941 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  74946 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  74950 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74956 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/3,
     /*  74958 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  74962 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74968 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  74970 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  74972 */     // (xor:{ *:[v4i32] } (setcc:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm), immAllZerosV:{ *:[v4i32] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v4i32] })  =>  (CMTSTv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  74972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv4i32),
     /*  74975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  74977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  74981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  74985 */     GIR_RootConstrainSelectedInstOperands,
     /*  74986 */     // GIR_Coverage, 1161,
     /*  74986 */     GIR_EraseRootFromParent_Done,
     /*  74987 */   // Label 1260: @74987
     /*  74987 */   GIM_Try, /*On fail goto*//*Label 1261*/ GIMT_Encode4(75054), // Rule ID 4984 //
     /*  74992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  74996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  75000 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  75004 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  75008 */     // MIs[1] Operand 1
     /*  75008 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  75013 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /*  75017 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75023 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/2,
     /*  75025 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  75029 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75035 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  75037 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  75039 */     // (xor:{ *:[v4i32] } (setcc:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$Rn, immAllZerosV:{ *:[v4i32] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v4i32] })  =>  (CMTSTv4i32:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$Rn, v4i32:{ *:[v4i32] }:$Rn)
     /*  75039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv4i32),
     /*  75042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  75044 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  75048 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  75052 */     GIR_RootConstrainSelectedInstOperands,
     /*  75053 */     // GIR_Coverage, 4984,
     /*  75053 */     GIR_EraseRootFromParent_Done,
     /*  75054 */   // Label 1261: @75054
     /*  75054 */   GIM_Try, /*On fail goto*//*Label 1262*/ GIMT_Encode4(75139), // Rule ID 13681 //
     /*  75059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  75062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  75066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  75070 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  75074 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  75078 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  75082 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  75086 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  75090 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  75094 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75099 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  75103 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75109 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  75111 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75120 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  75122 */     // (xor:{ *:[v4i32] } (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Va, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$Vm), V128:{ *:[v4i32] }:$Vn)  =>  (BCAX:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, V128:{ *:[v4i32] }:$Va)
     /*  75122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  75125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  75127 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  75129 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  75133 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  75137 */     GIR_RootConstrainSelectedInstOperands,
     /*  75138 */     // GIR_Coverage, 13681,
     /*  75138 */     GIR_EraseRootFromParent_Done,
     /*  75139 */   // Label 1262: @75139
     /*  75139 */   GIM_Try, /*On fail goto*//*Label 1263*/ GIMT_Encode4(75224), // Rule ID 13680 //
     /*  75144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  75147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  75151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  75155 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  75159 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  75163 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75168 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  75172 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  75176 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  75180 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  75184 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75189 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  75193 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75199 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  75201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75205 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  75207 */     // (xor:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vm, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Va, immAllOnesV:{ *:[v4i32] })), V128:{ *:[v4i32] }:$Vn)  =>  (BCAX:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, V128:{ *:[v4i32] }:$Va)
     /*  75207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  75210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  75212 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  75214 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*  75218 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  75222 */     GIR_RootConstrainSelectedInstOperands,
     /*  75223 */     // GIR_Coverage, 13680,
     /*  75223 */     GIR_EraseRootFromParent_Done,
     /*  75224 */   // Label 1263: @75224
     /*  75224 */   GIM_Try, /*On fail goto*//*Label 1264*/ GIMT_Encode4(75309), // Rule ID 13679 //
     /*  75229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  75232 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  75240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  75244 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  75248 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  75252 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  75256 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  75260 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  75264 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  75268 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75273 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  75277 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75283 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  75285 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75290 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  75292 */     // (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Va, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$Vm))  =>  (BCAX:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, V128:{ *:[v4i32] }:$Va)
     /*  75292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  75295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  75297 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  75299 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  75303 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  75307 */     GIR_RootConstrainSelectedInstOperands,
     /*  75308 */     // GIR_Coverage, 13679,
     /*  75308 */     GIR_EraseRootFromParent_Done,
     /*  75309 */   // Label 1264: @75309
     /*  75309 */   GIM_Try, /*On fail goto*//*Label 1265*/ GIMT_Encode4(75394), // Rule ID 3819 //
     /*  75314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  75317 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  75325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  75329 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  75333 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  75337 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75342 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  75346 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  75350 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  75354 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  75358 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75363 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  75367 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75373 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  75375 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  75377 */     // (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vm, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Va, immAllOnesV:{ *:[v4i32] })))  =>  (BCAX:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, V128:{ *:[v4i32] }:$Va)
     /*  75377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  75380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  75382 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  75384 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*  75388 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  75392 */     GIR_RootConstrainSelectedInstOperands,
     /*  75393 */     // GIR_Coverage, 3819,
     /*  75393 */     GIR_EraseRootFromParent_Done,
     /*  75394 */   // Label 1265: @75394
     /*  75394 */   GIM_Try, /*On fail goto*//*Label 1266*/ GIMT_Encode4(75426), // Rule ID 4938 //
     /*  75399 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  75407 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75413 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  75415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  75417 */     // (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, immAllOnesV:{ *:[v4i32] })  =>  (NOTv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /*  75417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOTv16i8),
     /*  75420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  75422 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  75424 */     GIR_RootConstrainSelectedInstOperands,
     /*  75425 */     // GIR_Coverage, 4938,
     /*  75425 */     GIR_EraseRootFromParent_Done,
     /*  75426 */   // Label 1266: @75426
     /*  75426 */   GIM_Try, /*On fail goto*//*Label 1267*/ GIMT_Encode4(75483), // Rule ID 3815 //
     /*  75431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  75434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  75438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  75442 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  75446 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  75450 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75455 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  75466 */     // (xor:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm), V128:{ *:[v4i32] }:$Va)  =>  (EOR3:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, V128:{ *:[v4i32] }:$Va)
     /*  75466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /*  75469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  75471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  75475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  75479 */     GIR_RootToRootCopy, /*OpIdx*/2, // Va
     /*  75481 */     GIR_RootConstrainSelectedInstOperands,
     /*  75482 */     // GIR_Coverage, 3815,
     /*  75482 */     GIR_EraseRootFromParent_Done,
     /*  75483 */   // Label 1267: @75483
     /*  75483 */   GIM_Try, /*On fail goto*//*Label 1268*/ GIMT_Encode4(75540), // Rule ID 13671 //
     /*  75488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  75491 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  75499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  75503 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  75507 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  75511 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75516 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  75523 */     // (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Va, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm))  =>  (EOR3:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, V128:{ *:[v4i32] }:$Va)
     /*  75523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /*  75526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  75528 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  75532 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  75536 */     GIR_RootToRootCopy, /*OpIdx*/1, // Va
     /*  75538 */     GIR_RootConstrainSelectedInstOperands,
     /*  75539 */     // GIR_Coverage, 13671,
     /*  75539 */     GIR_EraseRootFromParent_Done,
     /*  75540 */   // Label 1268: @75540
     /*  75540 */   GIM_Try, /*On fail goto*//*Label 1269*/ GIMT_Encode4(75563), // Rule ID 5037 //
     /*  75545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  75548 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75556 */     // (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)  =>  (EORv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)
     /*  75556 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EORv16i8),
     /*  75561 */     GIR_RootConstrainSelectedInstOperands,
     /*  75562 */     // GIR_Coverage, 5037,
     /*  75562 */     GIR_Done,
     /*  75563 */   // Label 1269: @75563
     /*  75563 */   GIM_Reject,
     /*  75564 */ // Label 1259: @75564
     /*  75564 */ GIM_Reject,
     /*  75565 */ // Label 1192: @75565
     /*  75565 */ GIM_Try, /*On fail goto*//*Label 1270*/ GIMT_Encode4(75802),
     /*  75570 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  75573 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  75576 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  75580 */   GIM_Try, /*On fail goto*//*Label 1271*/ GIMT_Encode4(75676), // Rule ID 1156 //
     /*  75585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  75588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  75592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  75596 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  75600 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  75604 */     // MIs[1] Operand 1
     /*  75604 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  75609 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  75613 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  75617 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  75621 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  75625 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  75630 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  75635 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  75639 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75645 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/3,
     /*  75647 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  75651 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75657 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  75659 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  75661 */     // (xor:{ *:[v8i8] } (setcc:{ *:[v8i8] } (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), immAllZerosV:{ *:[v8i8] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v8i8] })  =>  (CMTSTv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  75661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv8i8),
     /*  75664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  75666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  75670 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  75674 */     GIR_RootConstrainSelectedInstOperands,
     /*  75675 */     // GIR_Coverage, 1156,
     /*  75675 */     GIR_EraseRootFromParent_Done,
     /*  75676 */   // Label 1271: @75676
     /*  75676 */   GIM_Try, /*On fail goto*//*Label 1272*/ GIMT_Encode4(75743), // Rule ID 4979 //
     /*  75681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  75685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  75689 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  75693 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  75697 */     // MIs[1] Operand 1
     /*  75697 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  75702 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /*  75706 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75712 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/2,
     /*  75714 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  75718 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75724 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  75726 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  75728 */     // (xor:{ *:[v8i8] } (setcc:{ *:[v8i8] } v8i8:{ *:[v8i8] }:$Rn, immAllZerosV:{ *:[v8i8] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v8i8] })  =>  (CMTSTv8i8:{ *:[v8i8] } v8i8:{ *:[v8i8] }:$Rn, v8i8:{ *:[v8i8] }:$Rn)
     /*  75728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv8i8),
     /*  75731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  75733 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  75737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  75741 */     GIR_RootConstrainSelectedInstOperands,
     /*  75742 */     // GIR_Coverage, 4979,
     /*  75742 */     GIR_EraseRootFromParent_Done,
     /*  75743 */   // Label 1272: @75743
     /*  75743 */   GIM_Try, /*On fail goto*//*Label 1273*/ GIMT_Encode4(75778), // Rule ID 972 //
     /*  75748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  75751 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  75755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  75759 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75765 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  75767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  75769 */     // (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, immAllOnesV:{ *:[v8i8] })  =>  (NOTv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /*  75769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOTv8i8),
     /*  75772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  75774 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  75776 */     GIR_RootConstrainSelectedInstOperands,
     /*  75777 */     // GIR_Coverage, 972,
     /*  75777 */     GIR_EraseRootFromParent_Done,
     /*  75778 */   // Label 1273: @75778
     /*  75778 */   GIM_Try, /*On fail goto*//*Label 1274*/ GIMT_Encode4(75801), // Rule ID 1599 //
     /*  75783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  75786 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  75790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  75794 */     // (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (EORv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  75794 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EORv8i8),
     /*  75799 */     GIR_RootConstrainSelectedInstOperands,
     /*  75800 */     // GIR_Coverage, 1599,
     /*  75800 */     GIR_Done,
     /*  75801 */   // Label 1274: @75801
     /*  75801 */   GIM_Reject,
     /*  75802 */ // Label 1270: @75802
     /*  75802 */ GIM_Reject,
     /*  75803 */ // Label 1193: @75803
     /*  75803 */ GIM_Try, /*On fail goto*//*Label 1275*/ GIMT_Encode4(76491),
     /*  75808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  75811 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  75814 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75818 */   GIM_Try, /*On fail goto*//*Label 1276*/ GIMT_Encode4(75914), // Rule ID 1159 //
     /*  75823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  75826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  75830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  75834 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  75838 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  75842 */     // MIs[1] Operand 1
     /*  75842 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  75847 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  75851 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  75855 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  75859 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  75863 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75868 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75873 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  75877 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75883 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/3,
     /*  75885 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  75889 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75895 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  75897 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  75899 */     // (xor:{ *:[v8i16] } (setcc:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm), immAllZerosV:{ *:[v8i16] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v8i16] })  =>  (CMTSTv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  75899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv8i16),
     /*  75902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  75904 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  75908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  75912 */     GIR_RootConstrainSelectedInstOperands,
     /*  75913 */     // GIR_Coverage, 1159,
     /*  75913 */     GIR_EraseRootFromParent_Done,
     /*  75914 */   // Label 1276: @75914
     /*  75914 */   GIM_Try, /*On fail goto*//*Label 1277*/ GIMT_Encode4(75981), // Rule ID 4982 //
     /*  75919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  75923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  75927 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  75931 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  75935 */     // MIs[1] Operand 1
     /*  75935 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  75940 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /*  75944 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75950 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/2,
     /*  75952 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  75956 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75962 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  75964 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  75966 */     // (xor:{ *:[v8i16] } (setcc:{ *:[v8i16] } v8i16:{ *:[v8i16] }:$Rn, immAllZerosV:{ *:[v8i16] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v8i16] })  =>  (CMTSTv8i16:{ *:[v8i16] } v8i16:{ *:[v8i16] }:$Rn, v8i16:{ *:[v8i16] }:$Rn)
     /*  75966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv8i16),
     /*  75969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  75971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  75975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  75979 */     GIR_RootConstrainSelectedInstOperands,
     /*  75980 */     // GIR_Coverage, 4982,
     /*  75980 */     GIR_EraseRootFromParent_Done,
     /*  75981 */   // Label 1277: @75981
     /*  75981 */   GIM_Try, /*On fail goto*//*Label 1278*/ GIMT_Encode4(76066), // Rule ID 13678 //
     /*  75986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  75989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  75993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  75997 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  76001 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  76005 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  76009 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  76013 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  76017 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  76021 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76026 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  76030 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  76036 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  76038 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76047 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  76049 */     // (xor:{ *:[v8i16] } (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Va, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$Vm), V128:{ *:[v8i16] }:$Vn)  =>  (BCAX:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm, V128:{ *:[v8i16] }:$Va)
     /*  76049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  76052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  76054 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  76056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  76060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  76064 */     GIR_RootConstrainSelectedInstOperands,
     /*  76065 */     // GIR_Coverage, 13678,
     /*  76065 */     GIR_EraseRootFromParent_Done,
     /*  76066 */   // Label 1278: @76066
     /*  76066 */   GIM_Try, /*On fail goto*//*Label 1279*/ GIMT_Encode4(76151), // Rule ID 13677 //
     /*  76071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  76074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  76078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  76082 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  76086 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  76090 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76095 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  76099 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  76103 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  76107 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  76111 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76116 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  76120 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  76126 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  76128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76132 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  76134 */     // (xor:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vm, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Va, immAllOnesV:{ *:[v8i16] })), V128:{ *:[v8i16] }:$Vn)  =>  (BCAX:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm, V128:{ *:[v8i16] }:$Va)
     /*  76134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  76137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  76139 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  76141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*  76145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  76149 */     GIR_RootConstrainSelectedInstOperands,
     /*  76150 */     // GIR_Coverage, 13677,
     /*  76150 */     GIR_EraseRootFromParent_Done,
     /*  76151 */   // Label 1279: @76151
     /*  76151 */   GIM_Try, /*On fail goto*//*Label 1280*/ GIMT_Encode4(76236), // Rule ID 13676 //
     /*  76156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  76159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  76167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  76171 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  76175 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  76179 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  76183 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  76187 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  76191 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  76195 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76200 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  76204 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  76210 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  76212 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76217 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  76219 */     // (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vn, (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Va, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$Vm))  =>  (BCAX:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm, V128:{ *:[v8i16] }:$Va)
     /*  76219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  76222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  76224 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  76226 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  76230 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  76234 */     GIR_RootConstrainSelectedInstOperands,
     /*  76235 */     // GIR_Coverage, 13676,
     /*  76235 */     GIR_EraseRootFromParent_Done,
     /*  76236 */   // Label 1280: @76236
     /*  76236 */   GIM_Try, /*On fail goto*//*Label 1281*/ GIMT_Encode4(76321), // Rule ID 3818 //
     /*  76241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  76244 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  76252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  76256 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  76260 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  76264 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76269 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  76273 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  76277 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  76281 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  76285 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76290 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  76294 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  76300 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  76302 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  76304 */     // (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vn, (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vm, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Va, immAllOnesV:{ *:[v8i16] })))  =>  (BCAX:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm, V128:{ *:[v8i16] }:$Va)
     /*  76304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  76307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  76309 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  76311 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*  76315 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  76319 */     GIR_RootConstrainSelectedInstOperands,
     /*  76320 */     // GIR_Coverage, 3818,
     /*  76320 */     GIR_EraseRootFromParent_Done,
     /*  76321 */   // Label 1281: @76321
     /*  76321 */   GIM_Try, /*On fail goto*//*Label 1282*/ GIMT_Encode4(76353), // Rule ID 4936 //
     /*  76326 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  76334 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  76340 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  76342 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  76344 */     // (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, immAllOnesV:{ *:[v8i16] })  =>  (NOTv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /*  76344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOTv16i8),
     /*  76347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  76349 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  76351 */     GIR_RootConstrainSelectedInstOperands,
     /*  76352 */     // GIR_Coverage, 4936,
     /*  76352 */     GIR_EraseRootFromParent_Done,
     /*  76353 */   // Label 1282: @76353
     /*  76353 */   GIM_Try, /*On fail goto*//*Label 1283*/ GIMT_Encode4(76410), // Rule ID 3814 //
     /*  76358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  76361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  76365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  76369 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  76373 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  76377 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76382 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  76393 */     // (xor:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm), V128:{ *:[v8i16] }:$Va)  =>  (EOR3:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm, V128:{ *:[v8i16] }:$Va)
     /*  76393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /*  76396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  76398 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  76402 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  76406 */     GIR_RootToRootCopy, /*OpIdx*/2, // Va
     /*  76408 */     GIR_RootConstrainSelectedInstOperands,
     /*  76409 */     // GIR_Coverage, 3814,
     /*  76409 */     GIR_EraseRootFromParent_Done,
     /*  76410 */   // Label 1283: @76410
     /*  76410 */   GIM_Try, /*On fail goto*//*Label 1284*/ GIMT_Encode4(76467), // Rule ID 13670 //
     /*  76415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  76418 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  76426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  76430 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  76434 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  76438 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76443 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  76450 */     // (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Va, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm))  =>  (EOR3:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm, V128:{ *:[v8i16] }:$Va)
     /*  76450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /*  76453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  76455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  76459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  76463 */     GIR_RootToRootCopy, /*OpIdx*/1, // Va
     /*  76465 */     GIR_RootConstrainSelectedInstOperands,
     /*  76466 */     // GIR_Coverage, 13670,
     /*  76466 */     GIR_EraseRootFromParent_Done,
     /*  76467 */   // Label 1284: @76467
     /*  76467 */   GIM_Try, /*On fail goto*//*Label 1285*/ GIMT_Encode4(76490), // Rule ID 5036 //
     /*  76472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  76475 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76483 */     // (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)  =>  (EORv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)
     /*  76483 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EORv16i8),
     /*  76488 */     GIR_RootConstrainSelectedInstOperands,
     /*  76489 */     // GIR_Coverage, 5036,
     /*  76489 */     GIR_Done,
     /*  76490 */   // Label 1285: @76490
     /*  76490 */   GIM_Reject,
     /*  76491 */ // Label 1275: @76491
     /*  76491 */ GIM_Reject,
     /*  76492 */ // Label 1194: @76492
     /*  76492 */ GIM_Try, /*On fail goto*//*Label 1286*/ GIMT_Encode4(77183),
     /*  76497 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  76500 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  76503 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76507 */   GIM_Try, /*On fail goto*//*Label 1287*/ GIMT_Encode4(76603), // Rule ID 1157 //
     /*  76512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  76515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  76519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  76523 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  76527 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  76531 */     // MIs[1] Operand 1
     /*  76531 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  76536 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  76540 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  76544 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  76548 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  76552 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76557 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76562 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  76566 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  76572 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/3,
     /*  76574 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  76578 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  76584 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  76586 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  76588 */     // (xor:{ *:[v16i8] } (setcc:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm), immAllZerosV:{ *:[v16i8] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v16i8] })  =>  (CMTSTv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  76588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv16i8),
     /*  76591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  76593 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  76597 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  76601 */     GIR_RootConstrainSelectedInstOperands,
     /*  76602 */     // GIR_Coverage, 1157,
     /*  76602 */     GIR_EraseRootFromParent_Done,
     /*  76603 */   // Label 1287: @76603
     /*  76603 */   GIM_Try, /*On fail goto*//*Label 1288*/ GIMT_Encode4(76670), // Rule ID 4980 //
     /*  76608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  76612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  76616 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  76620 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  76624 */     // MIs[1] Operand 1
     /*  76624 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  76629 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /*  76633 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  76639 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/2,
     /*  76641 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  76645 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  76651 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  76653 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  76655 */     // (xor:{ *:[v16i8] } (setcc:{ *:[v16i8] } v16i8:{ *:[v16i8] }:$Rn, immAllZerosV:{ *:[v16i8] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v16i8] })  =>  (CMTSTv16i8:{ *:[v16i8] } v16i8:{ *:[v16i8] }:$Rn, v16i8:{ *:[v16i8] }:$Rn)
     /*  76655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv16i8),
     /*  76658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  76660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  76664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  76668 */     GIR_RootConstrainSelectedInstOperands,
     /*  76669 */     // GIR_Coverage, 4980,
     /*  76669 */     GIR_EraseRootFromParent_Done,
     /*  76670 */   // Label 1288: @76670
     /*  76670 */   GIM_Try, /*On fail goto*//*Label 1289*/ GIMT_Encode4(76755), // Rule ID 13675 //
     /*  76675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  76678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  76682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  76686 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  76690 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  76694 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  76698 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  76702 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  76706 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  76710 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76715 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  76719 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  76725 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  76727 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76736 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  76738 */     // (xor:{ *:[v16i8] } (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Va, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$Vm), V128:{ *:[v16i8] }:$Vn)  =>  (BCAX:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm, V128:{ *:[v16i8] }:$Va)
     /*  76738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  76741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  76743 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  76745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  76749 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  76753 */     GIR_RootConstrainSelectedInstOperands,
     /*  76754 */     // GIR_Coverage, 13675,
     /*  76754 */     GIR_EraseRootFromParent_Done,
     /*  76755 */   // Label 1289: @76755
     /*  76755 */   GIM_Try, /*On fail goto*//*Label 1290*/ GIMT_Encode4(76840), // Rule ID 13674 //
     /*  76760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  76763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  76767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  76771 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  76775 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  76779 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76784 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  76788 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  76792 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  76796 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  76800 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76805 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  76809 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  76815 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  76817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76821 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  76823 */     // (xor:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vm, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Va, immAllOnesV:{ *:[v16i8] })), V128:{ *:[v16i8] }:$Vn)  =>  (BCAX:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm, V128:{ *:[v16i8] }:$Va)
     /*  76823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  76826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  76828 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  76830 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*  76834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  76838 */     GIR_RootConstrainSelectedInstOperands,
     /*  76839 */     // GIR_Coverage, 13674,
     /*  76839 */     GIR_EraseRootFromParent_Done,
     /*  76840 */   // Label 1290: @76840
     /*  76840 */   GIM_Try, /*On fail goto*//*Label 1291*/ GIMT_Encode4(76925), // Rule ID 13673 //
     /*  76845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  76848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  76856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  76860 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  76864 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  76868 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  76872 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  76876 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  76880 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  76884 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76889 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  76893 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  76899 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  76901 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76906 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  76908 */     // (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vn, (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Va, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$Vm))  =>  (BCAX:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm, V128:{ *:[v16i8] }:$Va)
     /*  76908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  76911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  76913 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  76915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  76919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  76923 */     GIR_RootConstrainSelectedInstOperands,
     /*  76924 */     // GIR_Coverage, 13673,
     /*  76924 */     GIR_EraseRootFromParent_Done,
     /*  76925 */   // Label 1291: @76925
     /*  76925 */   GIM_Try, /*On fail goto*//*Label 1292*/ GIMT_Encode4(77010), // Rule ID 3817 //
     /*  76930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  76933 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  76941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  76945 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  76949 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  76953 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76958 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  76962 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  76966 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  76970 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  76974 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76979 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  76983 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  76989 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  76991 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  76993 */     // (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vn, (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vm, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Va, immAllOnesV:{ *:[v16i8] })))  =>  (BCAX:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm, V128:{ *:[v16i8] }:$Va)
     /*  76993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  76996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  76998 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  77000 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*  77004 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  77008 */     GIR_RootConstrainSelectedInstOperands,
     /*  77009 */     // GIR_Coverage, 3817,
     /*  77009 */     GIR_EraseRootFromParent_Done,
     /*  77010 */   // Label 1292: @77010
     /*  77010 */   GIM_Try, /*On fail goto*//*Label 1293*/ GIMT_Encode4(77045), // Rule ID 973 //
     /*  77015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  77018 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  77026 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  77032 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  77034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  77036 */     // (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, immAllOnesV:{ *:[v16i8] })  =>  (NOTv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /*  77036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOTv16i8),
     /*  77039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  77041 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  77043 */     GIR_RootConstrainSelectedInstOperands,
     /*  77044 */     // GIR_Coverage, 973,
     /*  77044 */     GIR_EraseRootFromParent_Done,
     /*  77045 */   // Label 1293: @77045
     /*  77045 */   GIM_Try, /*On fail goto*//*Label 1294*/ GIMT_Encode4(77102), // Rule ID 3813 //
     /*  77050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  77053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  77057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  77061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  77065 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  77069 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77074 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  77085 */     // (xor:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm), V128:{ *:[v16i8] }:$Va)  =>  (EOR3:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm, V128:{ *:[v16i8] }:$Va)
     /*  77085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /*  77088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  77090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  77094 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  77098 */     GIR_RootToRootCopy, /*OpIdx*/2, // Va
     /*  77100 */     GIR_RootConstrainSelectedInstOperands,
     /*  77101 */     // GIR_Coverage, 3813,
     /*  77101 */     GIR_EraseRootFromParent_Done,
     /*  77102 */   // Label 1294: @77102
     /*  77102 */   GIM_Try, /*On fail goto*//*Label 1295*/ GIMT_Encode4(77159), // Rule ID 13669 //
     /*  77107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  77110 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  77118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  77122 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  77126 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  77130 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77135 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  77142 */     // (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Va, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm))  =>  (EOR3:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm, V128:{ *:[v16i8] }:$Va)
     /*  77142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /*  77145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  77147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  77151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  77155 */     GIR_RootToRootCopy, /*OpIdx*/1, // Va
     /*  77157 */     GIR_RootConstrainSelectedInstOperands,
     /*  77158 */     // GIR_Coverage, 13669,
     /*  77158 */     GIR_EraseRootFromParent_Done,
     /*  77159 */   // Label 1295: @77159
     /*  77159 */   GIM_Try, /*On fail goto*//*Label 1296*/ GIMT_Encode4(77182), // Rule ID 1600 //
     /*  77164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  77167 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77175 */     // (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (EORv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  77175 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EORv16i8),
     /*  77180 */     GIR_RootConstrainSelectedInstOperands,
     /*  77181 */     // GIR_Coverage, 1600,
     /*  77181 */     GIR_Done,
     /*  77182 */   // Label 1296: @77182
     /*  77182 */   GIM_Reject,
     /*  77183 */ // Label 1286: @77183
     /*  77183 */ GIM_Reject,
     /*  77184 */ // Label 1195: @77184
     /*  77184 */ GIM_Try, /*On fail goto*//*Label 1297*/ GIMT_Encode4(77233), // Rule ID 8387 //
     /*  77189 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  77192 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  77195 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  77198 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  77202 */   // (xor:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op1, nxv1i1:{ *:[nxv1i1] }:$Op2)  =>  (EOR_PPzPP:{ *:[nxv1i1] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2)
     /*  77202 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  77205 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /*  77209 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  77214 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*  77217 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  77219 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR_PPzPP),
     /*  77222 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  77224 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  77227 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  77229 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  77231 */   GIR_RootConstrainSelectedInstOperands,
     /*  77232 */   // GIR_Coverage, 8387,
     /*  77232 */   GIR_EraseRootFromParent_Done,
     /*  77233 */ // Label 1297: @77233
     /*  77233 */ GIM_Reject,
     /*  77234 */ // Label 1196: @77234
     /*  77234 */ GIM_Try, /*On fail goto*//*Label 1298*/ GIMT_Encode4(77283), // Rule ID 8386 //
     /*  77239 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  77242 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  77245 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  77248 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  77252 */   // (xor:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (EOR_PPzPP:{ *:[nxv2i1] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /*  77252 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  77255 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /*  77259 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  77264 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*  77267 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  77269 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR_PPzPP),
     /*  77272 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  77274 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  77277 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  77279 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  77281 */   GIR_RootConstrainSelectedInstOperands,
     /*  77282 */   // GIR_Coverage, 8386,
     /*  77282 */   GIR_EraseRootFromParent_Done,
     /*  77283 */ // Label 1298: @77283
     /*  77283 */ GIM_Reject,
     /*  77284 */ // Label 1197: @77284
     /*  77284 */ GIM_Try, /*On fail goto*//*Label 1299*/ GIMT_Encode4(77746),
     /*  77289 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  77292 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  77295 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  77299 */   GIM_Try, /*On fail goto*//*Label 1300*/ GIMT_Encode4(77370), // Rule ID 15521 //
     /*  77304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  77307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  77311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  77315 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  77319 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  77323 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  77327 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  77331 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  77335 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  77339 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  77343 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  77349 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  77351 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  77353 */     // (xor:{ *:[nxv2i64] } (and:{ *:[nxv2i64] } (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op3, immAllOnesV:{ *:[nxv2i64] }), nxv2i64:{ *:[nxv2i64] }:$Op2), nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (BCAX_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /*  77353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  77356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  77358 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  77360 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  77364 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  77368 */     GIR_RootConstrainSelectedInstOperands,
     /*  77369 */     // GIR_Coverage, 15521,
     /*  77369 */     GIR_EraseRootFromParent_Done,
     /*  77370 */   // Label 1300: @77370
     /*  77370 */   GIM_Try, /*On fail goto*//*Label 1301*/ GIMT_Encode4(77441), // Rule ID 15520 //
     /*  77375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  77378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  77382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  77386 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  77390 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  77394 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  77398 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  77402 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  77406 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  77410 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  77414 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  77420 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  77422 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  77424 */     // (xor:{ *:[nxv2i64] } (and:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op2, (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op3, immAllOnesV:{ *:[nxv2i64] })), nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (BCAX_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /*  77424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  77427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  77429 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  77431 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  77435 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  77439 */     GIR_RootConstrainSelectedInstOperands,
     /*  77440 */     // GIR_Coverage, 15520,
     /*  77440 */     GIR_EraseRootFromParent_Done,
     /*  77441 */   // Label 1301: @77441
     /*  77441 */   GIM_Try, /*On fail goto*//*Label 1302*/ GIMT_Encode4(77512), // Rule ID 15519 //
     /*  77446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  77449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  77453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  77457 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  77461 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  77465 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  77469 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  77473 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  77477 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  77481 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  77485 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  77491 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  77493 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  77495 */     // (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, (and:{ *:[nxv2i64] } (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op3, immAllOnesV:{ *:[nxv2i64] }), nxv2i64:{ *:[nxv2i64] }:$Op2))  =>  (BCAX_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /*  77495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  77498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  77500 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  77502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  77506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  77510 */     GIR_RootConstrainSelectedInstOperands,
     /*  77511 */     // GIR_Coverage, 15519,
     /*  77511 */     GIR_EraseRootFromParent_Done,
     /*  77512 */   // Label 1302: @77512
     /*  77512 */   GIM_Try, /*On fail goto*//*Label 1303*/ GIMT_Encode4(77583), // Rule ID 11797 //
     /*  77517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  77520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  77524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  77528 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  77532 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  77536 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  77540 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  77544 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  77548 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  77552 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  77556 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  77562 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  77564 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  77566 */     // (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, (and:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op2, (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op3, immAllOnesV:{ *:[nxv2i64] })))  =>  (BCAX_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /*  77566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  77569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  77571 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  77573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  77577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  77581 */     GIR_RootConstrainSelectedInstOperands,
     /*  77582 */     // GIR_Coverage, 11797,
     /*  77582 */     GIR_EraseRootFromParent_Done,
     /*  77583 */   // Label 1303: @77583
     /*  77583 */   GIM_Try, /*On fail goto*//*Label 1304*/ GIMT_Encode4(77644), // Rule ID 11821 //
     /*  77588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  77591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  77595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_BSP),
     /*  77599 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  77603 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  77607 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  77611 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  77615 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  77621 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  77623 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  77625 */     // (xor:{ *:[nxv2i64] } (AArch64bsp:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2), immAllOnesV:{ *:[nxv2i64] })  =>  (NBSL_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /*  77625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NBSL_ZZZZ),
     /*  77628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  77630 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op1
     /*  77634 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Op2
     /*  77638 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op3
     /*  77642 */     GIR_RootConstrainSelectedInstOperands,
     /*  77643 */     // GIR_Coverage, 11821,
     /*  77643 */     GIR_EraseRootFromParent_Done,
     /*  77644 */   // Label 1304: @77644
     /*  77644 */   GIM_Try, /*On fail goto*//*Label 1305*/ GIMT_Encode4(77687), // Rule ID 13636 //
     /*  77649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  77652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  77656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  77660 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  77664 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  77668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  77670 */     // (xor:{ *:[nxv2i64] } (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2), nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (EOR3_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /*  77670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /*  77673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  77675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op1
     /*  77679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  77683 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /*  77685 */     GIR_RootConstrainSelectedInstOperands,
     /*  77686 */     // GIR_Coverage, 13636,
     /*  77686 */     GIR_EraseRootFromParent_Done,
     /*  77687 */   // Label 1305: @77687
     /*  77687 */   GIM_Try, /*On fail goto*//*Label 1306*/ GIMT_Encode4(77730), // Rule ID 3154 //
     /*  77692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  77695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  77699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  77703 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  77707 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  77711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  77713 */     // (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3))  =>  (EOR3_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /*  77713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /*  77716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  77718 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  77720 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  77724 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op3
     /*  77728 */     GIR_RootConstrainSelectedInstOperands,
     /*  77729 */     // GIR_Coverage, 3154,
     /*  77729 */     GIR_EraseRootFromParent_Done,
     /*  77730 */   // Label 1306: @77730
     /*  77730 */   GIM_Try, /*On fail goto*//*Label 1307*/ GIMT_Encode4(77745), // Rule ID 7410 //
     /*  77735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  77738 */     // (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (EOR_ZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  77738 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EOR_ZZZ),
     /*  77743 */     GIR_RootConstrainSelectedInstOperands,
     /*  77744 */     // GIR_Coverage, 7410,
     /*  77744 */     GIR_Done,
     /*  77745 */   // Label 1307: @77745
     /*  77745 */   GIM_Reject,
     /*  77746 */ // Label 1299: @77746
     /*  77746 */ GIM_Reject,
     /*  77747 */ // Label 1198: @77747
     /*  77747 */ GIM_Try, /*On fail goto*//*Label 1308*/ GIMT_Encode4(77796), // Rule ID 8385 //
     /*  77752 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  77755 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  77758 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  77761 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  77765 */   // (xor:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (EOR_PPzPP:{ *:[nxv4i1] } (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /*  77765 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  77768 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /*  77772 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  77777 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*  77780 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  77782 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR_PPzPP),
     /*  77785 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  77787 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  77790 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  77792 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  77794 */   GIR_RootConstrainSelectedInstOperands,
     /*  77795 */   // GIR_Coverage, 8385,
     /*  77795 */   GIR_EraseRootFromParent_Done,
     /*  77796 */ // Label 1308: @77796
     /*  77796 */ GIM_Reject,
     /*  77797 */ // Label 1199: @77797
     /*  77797 */ GIM_Try, /*On fail goto*//*Label 1309*/ GIMT_Encode4(78259),
     /*  77802 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  77805 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  77808 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  77812 */   GIM_Try, /*On fail goto*//*Label 1310*/ GIMT_Encode4(77883), // Rule ID 15518 //
     /*  77817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  77820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  77824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  77828 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  77832 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  77836 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  77840 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  77844 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  77848 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  77852 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  77856 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  77862 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  77864 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  77866 */     // (xor:{ *:[nxv4i32] } (and:{ *:[nxv4i32] } (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op3, immAllOnesV:{ *:[nxv4i32] }), nxv4i32:{ *:[nxv4i32] }:$Op2), nxv4i32:{ *:[nxv4i32] }:$Op1)  =>  (BCAX_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /*  77866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  77869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  77871 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  77873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  77877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  77881 */     GIR_RootConstrainSelectedInstOperands,
     /*  77882 */     // GIR_Coverage, 15518,
     /*  77882 */     GIR_EraseRootFromParent_Done,
     /*  77883 */   // Label 1310: @77883
     /*  77883 */   GIM_Try, /*On fail goto*//*Label 1311*/ GIMT_Encode4(77954), // Rule ID 15517 //
     /*  77888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  77891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  77895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  77899 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  77903 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  77907 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  77911 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  77915 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  77919 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  77923 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  77927 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  77933 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  77935 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  77937 */     // (xor:{ *:[nxv4i32] } (and:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op2, (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op3, immAllOnesV:{ *:[nxv4i32] })), nxv4i32:{ *:[nxv4i32] }:$Op1)  =>  (BCAX_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /*  77937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  77940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  77942 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  77944 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  77948 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  77952 */     GIR_RootConstrainSelectedInstOperands,
     /*  77953 */     // GIR_Coverage, 15517,
     /*  77953 */     GIR_EraseRootFromParent_Done,
     /*  77954 */   // Label 1311: @77954
     /*  77954 */   GIM_Try, /*On fail goto*//*Label 1312*/ GIMT_Encode4(78025), // Rule ID 15516 //
     /*  77959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  77962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  77966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  77970 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  77974 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  77978 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  77982 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  77986 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  77990 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  77994 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  77998 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  78004 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  78006 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  78008 */     // (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, (and:{ *:[nxv4i32] } (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op3, immAllOnesV:{ *:[nxv4i32] }), nxv4i32:{ *:[nxv4i32] }:$Op2))  =>  (BCAX_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /*  78008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  78011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  78013 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  78015 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  78019 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  78023 */     GIR_RootConstrainSelectedInstOperands,
     /*  78024 */     // GIR_Coverage, 15516,
     /*  78024 */     GIR_EraseRootFromParent_Done,
     /*  78025 */   // Label 1312: @78025
     /*  78025 */   GIM_Try, /*On fail goto*//*Label 1313*/ GIMT_Encode4(78096), // Rule ID 11795 //
     /*  78030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  78033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  78037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  78041 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  78045 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  78049 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  78053 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  78057 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  78061 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  78065 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  78069 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  78075 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  78077 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  78079 */     // (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, (and:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op2, (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op3, immAllOnesV:{ *:[nxv4i32] })))  =>  (BCAX_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /*  78079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  78082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  78084 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  78086 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  78090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  78094 */     GIR_RootConstrainSelectedInstOperands,
     /*  78095 */     // GIR_Coverage, 11795,
     /*  78095 */     GIR_EraseRootFromParent_Done,
     /*  78096 */   // Label 1313: @78096
     /*  78096 */   GIM_Try, /*On fail goto*//*Label 1314*/ GIMT_Encode4(78157), // Rule ID 11819 //
     /*  78101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  78104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  78108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_BSP),
     /*  78112 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  78116 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  78120 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  78124 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  78128 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  78134 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  78136 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  78138 */     // (xor:{ *:[nxv4i32] } (AArch64bsp:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2), immAllOnesV:{ *:[nxv4i32] })  =>  (NBSL_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /*  78138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NBSL_ZZZZ),
     /*  78141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  78143 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op1
     /*  78147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Op2
     /*  78151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op3
     /*  78155 */     GIR_RootConstrainSelectedInstOperands,
     /*  78156 */     // GIR_Coverage, 11819,
     /*  78156 */     GIR_EraseRootFromParent_Done,
     /*  78157 */   // Label 1314: @78157
     /*  78157 */   GIM_Try, /*On fail goto*//*Label 1315*/ GIMT_Encode4(78200), // Rule ID 13635 //
     /*  78162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  78165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  78169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  78173 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  78177 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  78181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  78183 */     // (xor:{ *:[nxv4i32] } (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2), nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (EOR3_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /*  78183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /*  78186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  78188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op1
     /*  78192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  78196 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /*  78198 */     GIR_RootConstrainSelectedInstOperands,
     /*  78199 */     // GIR_Coverage, 13635,
     /*  78199 */     GIR_EraseRootFromParent_Done,
     /*  78200 */   // Label 1315: @78200
     /*  78200 */   GIM_Try, /*On fail goto*//*Label 1316*/ GIMT_Encode4(78243), // Rule ID 3152 //
     /*  78205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  78208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  78212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  78216 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  78220 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  78224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  78226 */     // (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3))  =>  (EOR3_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /*  78226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /*  78229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  78231 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  78233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  78237 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op3
     /*  78241 */     GIR_RootConstrainSelectedInstOperands,
     /*  78242 */     // GIR_Coverage, 3152,
     /*  78242 */     GIR_EraseRootFromParent_Done,
     /*  78243 */   // Label 1316: @78243
     /*  78243 */   GIM_Try, /*On fail goto*//*Label 1317*/ GIMT_Encode4(78258), // Rule ID 7409 //
     /*  78248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  78251 */     // (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (EOR_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  78251 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EOR_ZZZ),
     /*  78256 */     GIR_RootConstrainSelectedInstOperands,
     /*  78257 */     // GIR_Coverage, 7409,
     /*  78257 */     GIR_Done,
     /*  78258 */   // Label 1317: @78258
     /*  78258 */   GIM_Reject,
     /*  78259 */ // Label 1309: @78259
     /*  78259 */ GIM_Reject,
     /*  78260 */ // Label 1200: @78260
     /*  78260 */ GIM_Try, /*On fail goto*//*Label 1318*/ GIMT_Encode4(78309), // Rule ID 8384 //
     /*  78265 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  78268 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  78271 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  78274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  78278 */   // (xor:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (EOR_PPzPP:{ *:[nxv8i1] } (PTRUE_H:{ *:[nxv1i1] } 31:{ *:[i32] }), ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /*  78278 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  78281 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_H),
     /*  78285 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  78290 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*  78293 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  78295 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR_PPzPP),
     /*  78298 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  78300 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  78303 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  78305 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  78307 */   GIR_RootConstrainSelectedInstOperands,
     /*  78308 */   // GIR_Coverage, 8384,
     /*  78308 */   GIR_EraseRootFromParent_Done,
     /*  78309 */ // Label 1318: @78309
     /*  78309 */ GIM_Reject,
     /*  78310 */ // Label 1201: @78310
     /*  78310 */ GIM_Try, /*On fail goto*//*Label 1319*/ GIMT_Encode4(78772),
     /*  78315 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  78318 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  78321 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  78325 */   GIM_Try, /*On fail goto*//*Label 1320*/ GIMT_Encode4(78396), // Rule ID 15515 //
     /*  78330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  78333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  78337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  78341 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  78345 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  78349 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  78353 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  78357 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  78361 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  78365 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  78369 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  78375 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  78377 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  78379 */     // (xor:{ *:[nxv8i16] } (and:{ *:[nxv8i16] } (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op3, immAllOnesV:{ *:[nxv8i16] }), nxv8i16:{ *:[nxv8i16] }:$Op2), nxv8i16:{ *:[nxv8i16] }:$Op1)  =>  (BCAX_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /*  78379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  78382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  78384 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  78386 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  78390 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  78394 */     GIR_RootConstrainSelectedInstOperands,
     /*  78395 */     // GIR_Coverage, 15515,
     /*  78395 */     GIR_EraseRootFromParent_Done,
     /*  78396 */   // Label 1320: @78396
     /*  78396 */   GIM_Try, /*On fail goto*//*Label 1321*/ GIMT_Encode4(78467), // Rule ID 15514 //
     /*  78401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  78404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  78408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  78412 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  78416 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  78420 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  78424 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  78428 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  78432 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  78436 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  78440 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  78446 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  78448 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  78450 */     // (xor:{ *:[nxv8i16] } (and:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op2, (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op3, immAllOnesV:{ *:[nxv8i16] })), nxv8i16:{ *:[nxv8i16] }:$Op1)  =>  (BCAX_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /*  78450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  78453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  78455 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  78457 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  78461 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  78465 */     GIR_RootConstrainSelectedInstOperands,
     /*  78466 */     // GIR_Coverage, 15514,
     /*  78466 */     GIR_EraseRootFromParent_Done,
     /*  78467 */   // Label 1321: @78467
     /*  78467 */   GIM_Try, /*On fail goto*//*Label 1322*/ GIMT_Encode4(78538), // Rule ID 15513 //
     /*  78472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  78475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  78479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  78483 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  78487 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  78491 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  78495 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  78499 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  78503 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  78507 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  78511 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  78517 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  78519 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  78521 */     // (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, (and:{ *:[nxv8i16] } (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op3, immAllOnesV:{ *:[nxv8i16] }), nxv8i16:{ *:[nxv8i16] }:$Op2))  =>  (BCAX_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /*  78521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  78524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  78526 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  78528 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  78532 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  78536 */     GIR_RootConstrainSelectedInstOperands,
     /*  78537 */     // GIR_Coverage, 15513,
     /*  78537 */     GIR_EraseRootFromParent_Done,
     /*  78538 */   // Label 1322: @78538
     /*  78538 */   GIM_Try, /*On fail goto*//*Label 1323*/ GIMT_Encode4(78609), // Rule ID 11793 //
     /*  78543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  78546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  78550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  78554 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  78558 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  78562 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  78566 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  78570 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  78574 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  78578 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  78582 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  78588 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  78590 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  78592 */     // (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, (and:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op2, (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op3, immAllOnesV:{ *:[nxv8i16] })))  =>  (BCAX_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /*  78592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  78595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  78597 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  78599 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  78603 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  78607 */     GIR_RootConstrainSelectedInstOperands,
     /*  78608 */     // GIR_Coverage, 11793,
     /*  78608 */     GIR_EraseRootFromParent_Done,
     /*  78609 */   // Label 1323: @78609
     /*  78609 */   GIM_Try, /*On fail goto*//*Label 1324*/ GIMT_Encode4(78670), // Rule ID 11817 //
     /*  78614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  78617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  78621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_BSP),
     /*  78625 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  78629 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  78633 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  78637 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  78641 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  78647 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  78649 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  78651 */     // (xor:{ *:[nxv8i16] } (AArch64bsp:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2), immAllOnesV:{ *:[nxv8i16] })  =>  (NBSL_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /*  78651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NBSL_ZZZZ),
     /*  78654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  78656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op1
     /*  78660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Op2
     /*  78664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op3
     /*  78668 */     GIR_RootConstrainSelectedInstOperands,
     /*  78669 */     // GIR_Coverage, 11817,
     /*  78669 */     GIR_EraseRootFromParent_Done,
     /*  78670 */   // Label 1324: @78670
     /*  78670 */   GIM_Try, /*On fail goto*//*Label 1325*/ GIMT_Encode4(78713), // Rule ID 13634 //
     /*  78675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  78678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  78682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  78686 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  78690 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  78694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  78696 */     // (xor:{ *:[nxv8i16] } (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2), nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (EOR3_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /*  78696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /*  78699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  78701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op1
     /*  78705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  78709 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /*  78711 */     GIR_RootConstrainSelectedInstOperands,
     /*  78712 */     // GIR_Coverage, 13634,
     /*  78712 */     GIR_EraseRootFromParent_Done,
     /*  78713 */   // Label 1325: @78713
     /*  78713 */   GIM_Try, /*On fail goto*//*Label 1326*/ GIMT_Encode4(78756), // Rule ID 3150 //
     /*  78718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  78721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  78725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  78729 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  78733 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  78737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  78739 */     // (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3))  =>  (EOR3_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /*  78739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /*  78742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  78744 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  78746 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  78750 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op3
     /*  78754 */     GIR_RootConstrainSelectedInstOperands,
     /*  78755 */     // GIR_Coverage, 3150,
     /*  78755 */     GIR_EraseRootFromParent_Done,
     /*  78756 */   // Label 1326: @78756
     /*  78756 */   GIM_Try, /*On fail goto*//*Label 1327*/ GIMT_Encode4(78771), // Rule ID 7408 //
     /*  78761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  78764 */     // (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (EOR_ZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  78764 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EOR_ZZZ),
     /*  78769 */     GIR_RootConstrainSelectedInstOperands,
     /*  78770 */     // GIR_Coverage, 7408,
     /*  78770 */     GIR_Done,
     /*  78771 */   // Label 1327: @78771
     /*  78771 */   GIM_Reject,
     /*  78772 */ // Label 1319: @78772
     /*  78772 */ GIM_Reject,
     /*  78773 */ // Label 1202: @78773
     /*  78773 */ GIM_Try, /*On fail goto*//*Label 1328*/ GIMT_Encode4(78822), // Rule ID 8383 //
     /*  78778 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  78781 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  78784 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  78787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  78791 */   // (xor:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2)  =>  (EOR_PPzPP:{ *:[nxv16i1] } (PTRUE_B:{ *:[nxv1i1] } 31:{ *:[i32] }), ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /*  78791 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  78794 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_B),
     /*  78798 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  78803 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*  78806 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  78808 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR_PPzPP),
     /*  78811 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  78813 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  78816 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  78818 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  78820 */   GIR_RootConstrainSelectedInstOperands,
     /*  78821 */   // GIR_Coverage, 8383,
     /*  78821 */   GIR_EraseRootFromParent_Done,
     /*  78822 */ // Label 1328: @78822
     /*  78822 */ GIM_Reject,
     /*  78823 */ // Label 1203: @78823
     /*  78823 */ GIM_Try, /*On fail goto*//*Label 1329*/ GIMT_Encode4(79285),
     /*  78828 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  78831 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  78834 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  78838 */   GIM_Try, /*On fail goto*//*Label 1330*/ GIMT_Encode4(78909), // Rule ID 15512 //
     /*  78843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  78846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  78850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  78854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  78858 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  78862 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  78866 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  78870 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  78874 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  78878 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  78882 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  78888 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  78890 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  78892 */     // (xor:{ *:[nxv16i8] } (and:{ *:[nxv16i8] } (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op3, immAllOnesV:{ *:[nxv16i8] }), nxv16i8:{ *:[nxv16i8] }:$Op2), nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (BCAX_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /*  78892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  78895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  78897 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  78899 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  78903 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  78907 */     GIR_RootConstrainSelectedInstOperands,
     /*  78908 */     // GIR_Coverage, 15512,
     /*  78908 */     GIR_EraseRootFromParent_Done,
     /*  78909 */   // Label 1330: @78909
     /*  78909 */   GIM_Try, /*On fail goto*//*Label 1331*/ GIMT_Encode4(78980), // Rule ID 15511 //
     /*  78914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  78917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  78921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  78925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  78929 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  78933 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  78937 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  78941 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  78945 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  78949 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  78953 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  78959 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  78961 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  78963 */     // (xor:{ *:[nxv16i8] } (and:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op2, (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op3, immAllOnesV:{ *:[nxv16i8] })), nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (BCAX_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /*  78963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  78966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  78968 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  78970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  78974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  78978 */     GIR_RootConstrainSelectedInstOperands,
     /*  78979 */     // GIR_Coverage, 15511,
     /*  78979 */     GIR_EraseRootFromParent_Done,
     /*  78980 */   // Label 1331: @78980
     /*  78980 */   GIM_Try, /*On fail goto*//*Label 1332*/ GIMT_Encode4(79051), // Rule ID 15510 //
     /*  78985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  78988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  78992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  78996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  79000 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  79004 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  79008 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  79012 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  79016 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  79020 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  79024 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  79030 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  79032 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  79034 */     // (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, (and:{ *:[nxv16i8] } (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op3, immAllOnesV:{ *:[nxv16i8] }), nxv16i8:{ *:[nxv16i8] }:$Op2))  =>  (BCAX_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /*  79034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  79037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  79039 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  79041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  79045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  79049 */     GIR_RootConstrainSelectedInstOperands,
     /*  79050 */     // GIR_Coverage, 15510,
     /*  79050 */     GIR_EraseRootFromParent_Done,
     /*  79051 */   // Label 1332: @79051
     /*  79051 */   GIM_Try, /*On fail goto*//*Label 1333*/ GIMT_Encode4(79122), // Rule ID 11791 //
     /*  79056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  79059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  79063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  79067 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  79071 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  79075 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  79079 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  79083 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  79087 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  79091 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  79095 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  79101 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  79103 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  79105 */     // (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, (and:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op2, (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op3, immAllOnesV:{ *:[nxv16i8] })))  =>  (BCAX_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /*  79105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  79108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  79110 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  79112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  79116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  79120 */     GIR_RootConstrainSelectedInstOperands,
     /*  79121 */     // GIR_Coverage, 11791,
     /*  79121 */     GIR_EraseRootFromParent_Done,
     /*  79122 */   // Label 1333: @79122
     /*  79122 */   GIM_Try, /*On fail goto*//*Label 1334*/ GIMT_Encode4(79183), // Rule ID 11815 //
     /*  79127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  79130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  79134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_BSP),
     /*  79138 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  79142 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  79146 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  79150 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  79154 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  79160 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  79162 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  79164 */     // (xor:{ *:[nxv16i8] } (AArch64bsp:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2), immAllOnesV:{ *:[nxv16i8] })  =>  (NBSL_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /*  79164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NBSL_ZZZZ),
     /*  79167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  79169 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op1
     /*  79173 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Op2
     /*  79177 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op3
     /*  79181 */     GIR_RootConstrainSelectedInstOperands,
     /*  79182 */     // GIR_Coverage, 11815,
     /*  79182 */     GIR_EraseRootFromParent_Done,
     /*  79183 */   // Label 1334: @79183
     /*  79183 */   GIM_Try, /*On fail goto*//*Label 1335*/ GIMT_Encode4(79226), // Rule ID 13633 //
     /*  79188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  79191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  79195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  79199 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  79203 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  79207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  79209 */     // (xor:{ *:[nxv16i8] } (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2), nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (EOR3_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /*  79209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /*  79212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  79214 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op1
     /*  79218 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  79222 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /*  79224 */     GIR_RootConstrainSelectedInstOperands,
     /*  79225 */     // GIR_Coverage, 13633,
     /*  79225 */     GIR_EraseRootFromParent_Done,
     /*  79226 */   // Label 1335: @79226
     /*  79226 */   GIM_Try, /*On fail goto*//*Label 1336*/ GIMT_Encode4(79269), // Rule ID 3148 //
     /*  79231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  79234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  79238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  79242 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  79246 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  79250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  79252 */     // (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3))  =>  (EOR3_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /*  79252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /*  79255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  79257 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  79259 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  79263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op3
     /*  79267 */     GIR_RootConstrainSelectedInstOperands,
     /*  79268 */     // GIR_Coverage, 3148,
     /*  79268 */     GIR_EraseRootFromParent_Done,
     /*  79269 */   // Label 1336: @79269
     /*  79269 */   GIM_Try, /*On fail goto*//*Label 1337*/ GIMT_Encode4(79284), // Rule ID 7407 //
     /*  79274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  79277 */     // (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (EOR_ZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  79277 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EOR_ZZZ),
     /*  79282 */     GIR_RootConstrainSelectedInstOperands,
     /*  79283 */     // GIR_Coverage, 7407,
     /*  79283 */     GIR_Done,
     /*  79284 */   // Label 1337: @79284
     /*  79284 */   GIM_Reject,
     /*  79285 */ // Label 1329: @79285
     /*  79285 */ GIM_Reject,
     /*  79286 */ // Label 1204: @79286
     /*  79286 */ GIM_Reject,
     /*  79287 */ // Label 8: @79287
     /*  79287 */ GIM_Try, /*On fail goto*//*Label 1338*/ GIMT_Encode4(86810),
     /*  79292 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  79295 */   GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(23), /*)*//*default:*//*Label 1350*/ GIMT_Encode4(86809),
     /*  79306 */   /*GILLT_v2s64*//*Label 1339*/ GIMT_Encode4(79374), GIMT_Encode4(0),
     /*  79314 */   /*GILLT_v4s32*//*Label 1340*/ GIMT_Encode4(79895), GIMT_Encode4(0),
     /*  79322 */   /*GILLT_v8s16*//*Label 1341*/ GIMT_Encode4(82307),
     /*  79326 */   /*GILLT_v16s8*//*Label 1342*/ GIMT_Encode4(84716), GIMT_Encode4(0),
     /*  79334 */   /*GILLT_nxv2s1*//*Label 1343*/ GIMT_Encode4(86627), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  79350 */   /*GILLT_nxv4s1*//*Label 1344*/ GIMT_Encode4(86653),
     /*  79354 */   /*GILLT_nxv4s16*//*Label 1345*/ GIMT_Encode4(86679),
     /*  79358 */   /*GILLT_nxv4s32*//*Label 1346*/ GIMT_Encode4(86705),
     /*  79362 */   /*GILLT_nxv8s1*//*Label 1347*/ GIMT_Encode4(86731),
     /*  79366 */   /*GILLT_nxv8s16*//*Label 1348*/ GIMT_Encode4(86757),
     /*  79370 */   /*GILLT_nxv16s1*//*Label 1349*/ GIMT_Encode4(86783),
     /*  79374 */   // Label 1339: @79374
     /*  79374 */   GIM_Try, /*On fail goto*//*Label 1351*/ GIMT_Encode4(79894),
     /*  79379 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  79382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  79385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79389 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  79393 */     GIM_Try, /*On fail goto*//*Label 1352*/ GIMT_Encode4(79455), // Rule ID 5753 //
     /*  79398 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  79402 */       GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  79408 */       GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  79410 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  79412 */       // (concat_vectors:{ *:[v2i64] } V64:{ *:[v1i64] }:$Rn, immAllZerosV:{ *:[v1i64] })  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (FMOVDr:{ *:[i64] } V64:{ *:[v1i64] }:$Rn), dsub:{ *:[i32] })
     /*  79412 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  79415 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FMOVDr),
     /*  79419 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  79424 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  79428 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  79430 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  79433 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  79435 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  79438 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  79441 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  79444 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79449 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  79454 */       // GIR_Coverage, 5753,
     /*  79454 */       GIR_EraseRootFromParent_Done,
     /*  79455 */     // Label 1352: @79455
     /*  79455 */     GIM_Try, /*On fail goto*//*Label 1353*/ GIMT_Encode4(79517), // Rule ID 5757 //
     /*  79460 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  79464 */       GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  79470 */       GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  79472 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  79474 */       // (concat_vectors:{ *:[v2f64] } V64:{ *:[v1f64] }:$Rn, immAllZerosV:{ *:[v1f64] })  =>  (SUBREG_TO_REG:{ *:[v2f64] } 0:{ *:[i64] }, (FMOVDr:{ *:[i64] } V64:{ *:[v1f64] }:$Rn), dsub:{ *:[i32] })
     /*  79474 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  79477 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FMOVDr),
     /*  79481 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  79486 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  79490 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  79492 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  79495 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  79497 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  79500 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  79503 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  79506 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79511 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  79516 */       // GIR_Coverage, 5757,
     /*  79516 */       GIR_EraseRootFromParent_Done,
     /*  79517 */     // Label 1353: @79517
     /*  79517 */     GIM_Try, /*On fail goto*//*Label 1354*/ GIMT_Encode4(79575), // Rule ID 5754 //
     /*  79522 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  79526 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  79530 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  79532 */       // (concat_vectors:{ *:[v2i64] } V64:{ *:[v1i64] }:$Rn, (undef:{ *:[v1i64] }))  =>  (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] })
     /*  79532 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  79535 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  79539 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  79544 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  79546 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  79549 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  79551 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  79554 */       GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  79556 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  79559 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79564 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79569 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  79574 */       // GIR_Coverage, 5754,
     /*  79574 */       GIR_EraseRootFromParent_Done,
     /*  79575 */     // Label 1354: @79575
     /*  79575 */     GIM_Try, /*On fail goto*//*Label 1355*/ GIMT_Encode4(79633), // Rule ID 5758 //
     /*  79580 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  79584 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  79588 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  79590 */       // (concat_vectors:{ *:[v2f64] } V64:{ *:[v1f64] }:$Rn, (undef:{ *:[v1f64] }))  =>  (INSERT_SUBREG:{ *:[v2f64] } (IMPLICIT_DEF:{ *:[v2f64] }), V64:{ *:[v1f64] }:$Rn, dsub:{ *:[i32] })
     /*  79590 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  79593 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  79597 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  79602 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  79604 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  79607 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  79609 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  79612 */       GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  79614 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  79617 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79622 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79627 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  79632 */       // GIR_Coverage, 5758,
     /*  79632 */       GIR_EraseRootFromParent_Done,
     /*  79633 */     // Label 1355: @79633
     /*  79633 */     GIM_Try, /*On fail goto*//*Label 1356*/ GIMT_Encode4(79763), // Rule ID 5752 //
     /*  79638 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  79642 */       // (concat_vectors:{ *:[v2i64] } V64:{ *:[v1i64] }:$Rd, V64:{ *:[v1i64] }:$Rn)  =>  (INSvi64lane:{ *:[v2i64] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v1i64] }:$Rd, dsub:{ *:[i32] }), 1:{ *:[i64] }, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /*  79642 */       GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /*  79645 */       GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  79649 */       GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  79654 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  79656 */       GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /*  79659 */       GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  79663 */       GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  79668 */       GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  79671 */       GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  79675 */       GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /*  79678 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79683 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79688 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  79693 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  79696 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  79700 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  79705 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  79707 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  79710 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  79714 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  79719 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  79722 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  79726 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  79729 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79734 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79739 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  79744 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  79747 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  79749 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  79752 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  79755 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  79758 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  79761 */       GIR_RootConstrainSelectedInstOperands,
     /*  79762 */       // GIR_Coverage, 5752,
     /*  79762 */       GIR_EraseRootFromParent_Done,
     /*  79763 */     // Label 1356: @79763
     /*  79763 */     GIM_Try, /*On fail goto*//*Label 1357*/ GIMT_Encode4(79893), // Rule ID 5756 //
     /*  79768 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  79772 */       // (concat_vectors:{ *:[v2f64] } V64:{ *:[v1f64] }:$Rd, V64:{ *:[v1f64] }:$Rn)  =>  (INSvi64lane:{ *:[v2f64] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v1f64] }:$Rd, dsub:{ *:[i32] }), 1:{ *:[i64] }, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v1f64] }:$Rn, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /*  79772 */       GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /*  79775 */       GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  79779 */       GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  79784 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  79786 */       GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /*  79789 */       GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  79793 */       GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  79798 */       GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  79801 */       GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  79805 */       GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /*  79808 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79813 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79818 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  79823 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  79826 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  79830 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  79835 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  79837 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  79840 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  79844 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  79849 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  79852 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  79856 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  79859 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79864 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79869 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  79874 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  79877 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  79879 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  79882 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  79885 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  79888 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  79891 */       GIR_RootConstrainSelectedInstOperands,
     /*  79892 */       // GIR_Coverage, 5756,
     /*  79892 */       GIR_EraseRootFromParent_Done,
     /*  79893 */     // Label 1357: @79893
     /*  79893 */     GIM_Reject,
     /*  79894 */   // Label 1351: @79894
     /*  79894 */   GIM_Reject,
     /*  79895 */   // Label 1340: @79895
     /*  79895 */   GIM_Try, /*On fail goto*//*Label 1358*/ GIMT_Encode4(82306),
     /*  79900 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  79903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  79906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79910 */     GIM_Try, /*On fail goto*//*Label 1359*/ GIMT_Encode4(80039), // Rule ID 5416 //
     /*  79915 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  79919 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  79923 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  79927 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  79931 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  79935 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  79939 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  79943 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  79947 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  79951 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  79955 */       GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  79959 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  79964 */       GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  79968 */       GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  79974 */       GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  79976 */       // MIs[2] Operand 2
     /*  79976 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(32),
     /*  79987 */       GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  79989 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, (trunc:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, immAllOnesV:{ *:[v2i64] }:$Rm), 32:{ *:[i32] })))  =>  (SUBHNv2i64_v4i32:{ *:[v4i32] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Rm, V128:{ *:[v2i64] }:$Rn)
     /*  79989 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  79992 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  79996 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80001 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  80004 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  80008 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  80011 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80016 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80021 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv2i64_v4i32),
     /*  80024 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  80026 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  80029 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/2, // Rm
     /*  80033 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /*  80037 */       GIR_RootConstrainSelectedInstOperands,
     /*  80038 */       // GIR_Coverage, 5416,
     /*  80038 */       GIR_EraseRootFromParent_Done,
     /*  80039 */     // Label 1359: @80039
     /*  80039 */     GIM_Try, /*On fail goto*//*Label 1360*/ GIMT_Encode4(80161), // Rule ID 5412 //
     /*  80044 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80048 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  80052 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  80056 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  80060 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  80064 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  80068 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  80072 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  80076 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  80080 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  80084 */       GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  80088 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80093 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80098 */       // MIs[2] Operand 2
     /*  80098 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(32),
     /*  80109 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  80111 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, (trunc:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i64] } (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm), 32:{ *:[i32] })))  =>  (ADDHNv2i64_v4i32:{ *:[v4i32] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /*  80111 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  80114 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  80118 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80123 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  80126 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  80130 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  80133 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80138 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80143 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv2i64_v4i32),
     /*  80146 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  80148 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  80151 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /*  80155 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/2, // Rm
     /*  80159 */       GIR_RootConstrainSelectedInstOperands,
     /*  80160 */       // GIR_Coverage, 5412,
     /*  80160 */       GIR_EraseRootFromParent_Done,
     /*  80161 */     // Label 1360: @80161
     /*  80161 */     GIM_Try, /*On fail goto*//*Label 1361*/ GIMT_Encode4(80283), // Rule ID 5414 //
     /*  80166 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80170 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  80174 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  80178 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  80182 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  80186 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  80190 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  80194 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  80198 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  80202 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  80206 */       GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  80210 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80215 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80220 */       // MIs[2] Operand 2
     /*  80220 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(32),
     /*  80231 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  80233 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, (trunc:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i64] } (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm), 32:{ *:[i32] })))  =>  (SUBHNv2i64_v4i32:{ *:[v4i32] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /*  80233 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  80236 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  80240 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80245 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  80248 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  80252 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  80255 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80260 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80265 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv2i64_v4i32),
     /*  80268 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  80270 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  80273 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /*  80277 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/2, // Rm
     /*  80281 */       GIR_RootConstrainSelectedInstOperands,
     /*  80282 */       // GIR_Coverage, 5414,
     /*  80282 */       GIR_EraseRootFromParent_Done,
     /*  80283 */     // Label 1361: @80283
     /*  80283 */     GIM_Try, /*On fail goto*//*Label 1362*/ GIMT_Encode4(80385), // Rule ID 5562 //
     /*  80288 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  80292 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  80296 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  80300 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  80304 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  80308 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  80312 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80317 */       // MIs[2] Operand 2
     /*  80317 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(32),
     /*  80328 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  80332 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  80336 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  80340 */       GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  80344 */       GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(AArch64::G_VLSHR),
     /*  80348 */       GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  80352 */       GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80357 */       // MIs[4] Operand 2
     /*  80357 */       GIM_CheckLiteralInt, /*MI*/4, /*Op*/2, GIMT_Encode8(32),
     /*  80368 */       GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  80370 */       // (concat_vectors:{ *:[v4i32] } (trunc:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, 32:{ *:[i32] })), (trunc:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vm, 32:{ *:[i32] })))  =>  (UZP2v4i32:{ *:[v4i32] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)
     /*  80370 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2v4i32),
     /*  80373 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  80375 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vn
     /*  80379 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Vm
     /*  80383 */       GIR_RootConstrainSelectedInstOperands,
     /*  80384 */       // GIR_Coverage, 5562,
     /*  80384 */       GIR_EraseRootFromParent_Done,
     /*  80385 */     // Label 1362: @80385
     /*  80385 */     GIM_Try, /*On fail goto*//*Label 1363*/ GIMT_Encode4(80514), // Rule ID 6308 //
     /*  80390 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80394 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  80398 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  80402 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  80405 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /*  80410 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  80414 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  80418 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80423 */       GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 32,
     /*  80427 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  80429 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Vd, (intrinsic_wo_chain:{ *:[v2i32] } 657:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vn, 32:{ *:[i32] }))  =>  (RADDHNv2i64_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2i32] }:$Vd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Vn, (MOVIv2d_ns:{ *:[v2i64] } 0:{ *:[i32] }))
     /*  80429 */       GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*  80432 */       GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /*  80436 */       GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80441 */       GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /*  80444 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  80446 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  80449 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  80453 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80458 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  80460 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  80463 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  80467 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80472 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  80475 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Vd
     /*  80479 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  80482 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80487 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80492 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80497 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv2i64_v4i32),
     /*  80500 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  80502 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  80505 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vn
     /*  80509 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  80512 */       GIR_RootConstrainSelectedInstOperands,
     /*  80513 */       // GIR_Coverage, 6308,
     /*  80513 */       GIR_EraseRootFromParent_Done,
     /*  80514 */     // Label 1363: @80514
     /*  80514 */     GIM_Try, /*On fail goto*//*Label 1364*/ GIMT_Encode4(80556), // Rule ID 5763 //
     /*  80519 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  80526 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  80533 */       // (concat_vectors:{ *:[v4i32] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm))  =>  (INSvi64lane:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, 0:{ *:[i64] }, V128:{ *:[v4i32] }:$Rn, 1:{ *:[i64] })
     /*  80533 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  80536 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  80538 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  80543 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80546 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  80551 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  80554 */       GIR_RootConstrainSelectedInstOperands,
     /*  80555 */       // GIR_Coverage, 5763,
     /*  80555 */       GIR_EraseRootFromParent_Done,
     /*  80556 */     // Label 1364: @80556
     /*  80556 */     GIM_Try, /*On fail goto*//*Label 1365*/ GIMT_Encode4(80598), // Rule ID 5767 //
     /*  80561 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4f32),
     /*  80568 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4f32),
     /*  80575 */       // (concat_vectors:{ *:[v4f32] } (extract_high_v4f32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rn), (extract_high_v4f32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm))  =>  (INSvi64lane:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }, V128:{ *:[v4f32] }:$Rn, 1:{ *:[i64] })
     /*  80575 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  80578 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  80580 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  80585 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80588 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  80593 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  80596 */       GIR_RootConstrainSelectedInstOperands,
     /*  80597 */       // GIR_Coverage, 5767,
     /*  80597 */       GIR_EraseRootFromParent_Done,
     /*  80598 */     // Label 1365: @80598
     /*  80598 */     GIM_Try, /*On fail goto*//*Label 1366*/ GIMT_Encode4(80721), // Rule ID 2578 //
     /*  80603 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  80606 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80610 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  80614 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  80618 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  80621 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /*  80626 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  80630 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  80634 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80639 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /*  80643 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  80647 */       GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64Narrow),
     /*  80651 */       // MIs[2] Operand 1
     /*  80651 */       // No operand predicates
     /*  80651 */       GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  80653 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, (intrinsic_wo_chain:{ *:[v2i32] } 657:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64Narrow>>:$imm))  =>  (RSHRNv4i32_shift:{ *:[v4i32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64Narrow>>:$imm)
     /*  80653 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  80656 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  80660 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80665 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  80667 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  80670 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  80674 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80679 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  80682 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  80686 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  80689 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80694 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80699 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80704 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNv4i32_shift),
     /*  80707 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  80709 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  80712 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  80716 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  80719 */       GIR_RootConstrainSelectedInstOperands,
     /*  80720 */       // GIR_Coverage, 2578,
     /*  80720 */       GIR_EraseRootFromParent_Done,
     /*  80721 */     // Label 1366: @80721
     /*  80721 */     GIM_Try, /*On fail goto*//*Label 1367*/ GIMT_Encode4(80844), // Rule ID 6278 //
     /*  80726 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  80729 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80733 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  80737 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  80741 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  80745 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  80749 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VASHR),
     /*  80753 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  80757 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80762 */       // MIs[2] imm
     /*  80762 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  80766 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  80770 */       GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64Narrow),
     /*  80774 */       // MIs[3] Operand 1
     /*  80774 */       // No operand predicates
     /*  80774 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  80776 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, (trunc:{ *:[v2i32] } (AArch64vashr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64Narrow>>:$imm)))  =>  (SHRNv4i32_shift:{ *:[v4i32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64Narrow>>:$imm)
     /*  80776 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  80779 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  80783 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80788 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  80790 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  80793 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  80797 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80802 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  80805 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  80809 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  80812 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80817 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80822 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80827 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv4i32_shift),
     /*  80830 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  80832 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  80835 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  80839 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // imm
     /*  80842 */       GIR_RootConstrainSelectedInstOperands,
     /*  80843 */       // GIR_Coverage, 6278,
     /*  80843 */       GIR_EraseRootFromParent_Done,
     /*  80844 */     // Label 1367: @80844
     /*  80844 */     GIM_Try, /*On fail goto*//*Label 1368*/ GIMT_Encode4(80964), // Rule ID 6314 //
     /*  80849 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80853 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  80857 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  80861 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  80865 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  80869 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  80873 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  80877 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80882 */       // MIs[2] imm
     /*  80882 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  80886 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  80890 */       GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64Narrow),
     /*  80894 */       // MIs[3] Operand 1
     /*  80894 */       // No operand predicates
     /*  80894 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  80896 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, (trunc:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64Narrow>>:$imm)))  =>  (SHRNv4i32_shift:{ *:[v4i32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32Narrow>>:$imm)
     /*  80896 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  80899 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  80903 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80908 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  80910 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  80913 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  80917 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80922 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  80925 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  80929 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  80932 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80937 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80942 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80947 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv4i32_shift),
     /*  80950 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  80952 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  80955 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  80959 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // imm
     /*  80962 */       GIR_RootConstrainSelectedInstOperands,
     /*  80963 */       // GIR_Coverage, 6314,
     /*  80963 */       GIR_EraseRootFromParent_Done,
     /*  80964 */     // Label 1368: @80964
     /*  80964 */     GIM_Try, /*On fail goto*//*Label 1369*/ GIMT_Encode4(81081), // Rule ID 2501 //
     /*  80969 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  80972 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80976 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  80980 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  80984 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  80987 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addhn),
     /*  80992 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  80996 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  81000 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81005 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81010 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  81012 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, (intrinsic_wo_chain:{ *:[v2i32] } 569:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm))  =>  (ADDHNv2i64_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /*  81012 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  81015 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  81019 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81024 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  81026 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  81029 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  81033 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81038 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  81041 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  81045 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  81048 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81053 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81058 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81063 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv2i64_v4i32),
     /*  81066 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  81068 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  81071 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  81075 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  81079 */       GIR_RootConstrainSelectedInstOperands,
     /*  81080 */       // GIR_Coverage, 2501,
     /*  81080 */       GIR_EraseRootFromParent_Done,
     /*  81081 */     // Label 1369: @81081
     /*  81081 */     GIM_Try, /*On fail goto*//*Label 1370*/ GIMT_Encode4(81198), // Rule ID 5332 //
     /*  81086 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  81089 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81093 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  81097 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  81101 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  81104 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_subhn),
     /*  81109 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  81113 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  81117 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81122 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81127 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  81129 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, (intrinsic_wo_chain:{ *:[v2i32] } 714:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm))  =>  (SUBHNv2i64_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /*  81129 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  81132 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  81136 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81141 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  81143 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  81146 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  81150 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81155 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  81158 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  81162 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  81165 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81170 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81175 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81180 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv2i64_v4i32),
     /*  81183 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  81185 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  81188 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  81192 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  81196 */       GIR_RootConstrainSelectedInstOperands,
     /*  81197 */       // GIR_Coverage, 5332,
     /*  81197 */       GIR_EraseRootFromParent_Done,
     /*  81198 */     // Label 1370: @81198
     /*  81198 */     GIM_Try, /*On fail goto*//*Label 1371*/ GIMT_Encode4(81315), // Rule ID 5335 //
     /*  81203 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  81206 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81210 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  81214 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  81218 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  81221 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_raddhn),
     /*  81226 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  81230 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  81234 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81239 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81244 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  81246 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, (intrinsic_wo_chain:{ *:[v2i32] } 656:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm))  =>  (RADDHNv2i64_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /*  81246 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  81249 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  81253 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81258 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  81260 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  81263 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  81267 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81272 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  81275 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  81279 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  81282 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81287 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81292 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81297 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv2i64_v4i32),
     /*  81300 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  81302 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  81305 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  81309 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  81313 */       GIR_RootConstrainSelectedInstOperands,
     /*  81314 */       // GIR_Coverage, 5335,
     /*  81314 */       GIR_EraseRootFromParent_Done,
     /*  81315 */     // Label 1371: @81315
     /*  81315 */     GIM_Try, /*On fail goto*//*Label 1372*/ GIMT_Encode4(81432), // Rule ID 5338 //
     /*  81320 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  81323 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81327 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  81331 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  81335 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  81338 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rsubhn),
     /*  81343 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  81347 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  81351 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81356 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81361 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  81363 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, (intrinsic_wo_chain:{ *:[v2i32] } 658:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm))  =>  (RSUBHNv2i64_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /*  81363 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  81366 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  81370 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81375 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  81377 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  81380 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  81384 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81389 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  81392 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  81396 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  81399 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81404 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81409 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81414 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNv2i64_v4i32),
     /*  81417 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  81419 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  81422 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  81426 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  81430 */       GIR_RootConstrainSelectedInstOperands,
     /*  81431 */       // GIR_Coverage, 5338,
     /*  81431 */       GIR_EraseRootFromParent_Done,
     /*  81432 */     // Label 1372: @81432
     /*  81432 */     GIM_Try, /*On fail goto*//*Label 1373*/ GIMT_Encode4(81536), // Rule ID 2497 //
     /*  81437 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  81440 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81444 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  81448 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  81452 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  81455 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtxn),
     /*  81460 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  81464 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81469 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  81471 */       // (concat_vectors:{ *:[v4f32] } V64:{ *:[v2f32] }:$Rd, (intrinsic_wo_chain:{ *:[v2f32] } 591:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn))  =>  (FCVTXNv4f32:{ *:[v4f32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2f32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rn)
     /*  81471 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  81474 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  81478 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81483 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  81485 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  81488 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  81492 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81497 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  81500 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  81504 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  81507 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81512 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81517 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81522 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTXNv4f32),
     /*  81525 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  81527 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  81530 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  81534 */       GIR_RootConstrainSelectedInstOperands,
     /*  81535 */       // GIR_Coverage, 2497,
     /*  81535 */       GIR_EraseRootFromParent_Done,
     /*  81536 */     // Label 1373: @81536
     /*  81536 */     GIM_Try, /*On fail goto*//*Label 1374*/ GIMT_Encode4(81592), // Rule ID 5495 //
     /*  81541 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  81545 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  81549 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  81553 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81558 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  81562 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  81566 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  81570 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81575 */       GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  81577 */       // (concat_vectors:{ *:[v4i32] } (trunc:{ *:[v2i32] } V128:{ *:[v2i64] }:$Vn), (trunc:{ *:[v2i32] } V128:{ *:[v2i64] }:$Vm))  =>  (UZP1v4i32:{ *:[v4i32] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)
     /*  81577 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1v4i32),
     /*  81580 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  81582 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  81586 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vm
     /*  81590 */       GIR_RootConstrainSelectedInstOperands,
     /*  81591 */       // GIR_Coverage, 5495,
     /*  81591 */       GIR_EraseRootFromParent_Done,
     /*  81592 */     // Label 1374: @81592
     /*  81592 */     GIM_Try, /*On fail goto*//*Label 1375*/ GIMT_Encode4(81658), // Rule ID 5761 //
     /*  81597 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81601 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  81605 */       GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  81611 */       GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  81613 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  81615 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rn, immAllZerosV:{ *:[v2i32] })  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (FMOVDr:{ *:[i64] } V64:{ *:[v2i32] }:$Rn), dsub:{ *:[i32] })
     /*  81615 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  81618 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FMOVDr),
     /*  81622 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81627 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  81631 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  81633 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  81636 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  81638 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  81641 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  81644 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  81647 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81652 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81657 */       // GIR_Coverage, 5761,
     /*  81657 */       GIR_EraseRootFromParent_Done,
     /*  81658 */     // Label 1375: @81658
     /*  81658 */     GIM_Try, /*On fail goto*//*Label 1376*/ GIMT_Encode4(81724), // Rule ID 5765 //
     /*  81663 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81667 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  81671 */       GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  81677 */       GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  81679 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  81681 */       // (concat_vectors:{ *:[v4f32] } V64:{ *:[v2f32] }:$Rn, immAllZerosV:{ *:[v2f32] })  =>  (SUBREG_TO_REG:{ *:[v4f32] } 0:{ *:[i64] }, (FMOVDr:{ *:[i64] } V64:{ *:[v2f32] }:$Rn), dsub:{ *:[i32] })
     /*  81681 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  81684 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FMOVDr),
     /*  81688 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81693 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  81697 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  81699 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  81702 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  81704 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  81707 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  81710 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  81713 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81718 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81723 */       // GIR_Coverage, 5765,
     /*  81723 */       GIR_EraseRootFromParent_Done,
     /*  81724 */     // Label 1376: @81724
     /*  81724 */     GIM_Try, /*On fail goto*//*Label 1377*/ GIMT_Encode4(81817), // Rule ID 4902 //
     /*  81729 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81733 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  81737 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPTRUNC),
     /*  81741 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  81745 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81750 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  81752 */       // (concat_vectors:{ *:[v4f32] } V64:{ *:[v2f32] }:$Rd, (fpround:{ *:[v2f32] } V128:{ *:[v2f64] }:$Rn))  =>  (FCVTNv4i32:{ *:[v4f32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2f32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rn)
     /*  81752 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  81755 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  81759 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81764 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  81766 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  81769 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  81773 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81778 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  81781 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  81785 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  81788 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81793 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81798 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81803 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i32),
     /*  81806 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  81808 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  81811 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  81815 */       GIR_RootConstrainSelectedInstOperands,
     /*  81816 */       // GIR_Coverage, 4902,
     /*  81816 */       GIR_EraseRootFromParent_Done,
     /*  81817 */     // Label 1377: @81817
     /*  81817 */     GIM_Try, /*On fail goto*//*Label 1378*/ GIMT_Encode4(81913), // Rule ID 4949 //
     /*  81822 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  81825 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81829 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  81833 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  81837 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  81841 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81846 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  81848 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, (trunc:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn))  =>  (XTNv4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Rn)
     /*  81848 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  81851 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  81855 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81860 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  81862 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  81865 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  81869 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81874 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  81877 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  81881 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  81884 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81889 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81894 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81899 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XTNv4i32),
     /*  81902 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  81904 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  81907 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  81911 */       GIR_RootConstrainSelectedInstOperands,
     /*  81912 */       // GIR_Coverage, 4949,
     /*  81912 */       GIR_EraseRootFromParent_Done,
     /*  81913 */     // Label 1378: @81913
     /*  81913 */     GIM_Try, /*On fail goto*//*Label 1379*/ GIMT_Encode4(81975), // Rule ID 5762 //
     /*  81918 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81922 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  81926 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  81930 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  81932 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rn, (undef:{ *:[v2i32] }))  =>  (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] })
     /*  81932 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  81935 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  81939 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81944 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  81946 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  81949 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  81951 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  81954 */       GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  81956 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  81959 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81964 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81969 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81974 */       // GIR_Coverage, 5762,
     /*  81974 */       GIR_EraseRootFromParent_Done,
     /*  81975 */     // Label 1379: @81975
     /*  81975 */     GIM_Try, /*On fail goto*//*Label 1380*/ GIMT_Encode4(82037), // Rule ID 5766 //
     /*  81980 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81984 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  81988 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  81992 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  81994 */       // (concat_vectors:{ *:[v4f32] } V64:{ *:[v2f32] }:$Rn, (undef:{ *:[v2f32] }))  =>  (INSERT_SUBREG:{ *:[v4f32] } (IMPLICIT_DEF:{ *:[v4f32] }), V64:{ *:[v2f32] }:$Rn, dsub:{ *:[i32] })
     /*  81994 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  81997 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  82001 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82006 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  82008 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  82011 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  82013 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  82016 */       GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  82018 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  82021 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82026 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82031 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82036 */       // GIR_Coverage, 5766,
     /*  82036 */       GIR_EraseRootFromParent_Done,
     /*  82037 */     // Label 1380: @82037
     /*  82037 */     GIM_Try, /*On fail goto*//*Label 1381*/ GIMT_Encode4(82171), // Rule ID 5760 //
     /*  82042 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82046 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82050 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn)  =>  (INSvi64lane:{ *:[v4i32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), 1:{ *:[i64] }, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /*  82050 */       GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /*  82053 */       GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  82057 */       GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82062 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  82064 */       GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /*  82067 */       GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  82071 */       GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82076 */       GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  82079 */       GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  82083 */       GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /*  82086 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82091 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82096 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82101 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  82104 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  82108 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82113 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  82115 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  82118 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  82122 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82127 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  82130 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  82134 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  82137 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82142 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82147 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82152 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  82155 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  82157 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  82160 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  82163 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  82166 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82169 */       GIR_RootConstrainSelectedInstOperands,
     /*  82170 */       // GIR_Coverage, 5760,
     /*  82170 */       GIR_EraseRootFromParent_Done,
     /*  82171 */     // Label 1381: @82171
     /*  82171 */     GIM_Try, /*On fail goto*//*Label 1382*/ GIMT_Encode4(82305), // Rule ID 5764 //
     /*  82176 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82180 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82184 */       // (concat_vectors:{ *:[v4f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn)  =>  (INSvi64lane:{ *:[v4f32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2f32] }:$Rd, dsub:{ *:[i32] }), 1:{ *:[i64] }, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2f32] }:$Rn, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /*  82184 */       GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /*  82187 */       GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  82191 */       GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82196 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  82198 */       GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /*  82201 */       GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  82205 */       GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82210 */       GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  82213 */       GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  82217 */       GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /*  82220 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82225 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82230 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82235 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  82238 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  82242 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82247 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  82249 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  82252 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  82256 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82261 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  82264 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  82268 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  82271 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82276 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82281 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82286 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  82289 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  82291 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  82294 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  82297 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  82300 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82303 */       GIR_RootConstrainSelectedInstOperands,
     /*  82304 */       // GIR_Coverage, 5764,
     /*  82304 */       GIR_EraseRootFromParent_Done,
     /*  82305 */     // Label 1382: @82305
     /*  82305 */     GIM_Reject,
     /*  82306 */   // Label 1358: @82306
     /*  82306 */   GIM_Reject,
     /*  82307 */   // Label 1341: @82307
     /*  82307 */   GIM_Try, /*On fail goto*//*Label 1383*/ GIMT_Encode4(84715),
     /*  82312 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  82315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  82318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82322 */     GIM_Try, /*On fail goto*//*Label 1384*/ GIMT_Encode4(82451), // Rule ID 5410 //
     /*  82327 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82331 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  82335 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  82339 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  82343 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  82347 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  82351 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  82355 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  82359 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  82363 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  82367 */       GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  82371 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82376 */       GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  82380 */       GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  82386 */       GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  82388 */       // MIs[2] Operand 2
     /*  82388 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(16),
     /*  82399 */       GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  82401 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (trunc:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, immAllOnesV:{ *:[v4i32] }:$Rm), 16:{ *:[i32] })))  =>  (SUBHNv4i32_v8i16:{ *:[v8i16] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Rm, V128:{ *:[v4i32] }:$Rn)
     /*  82401 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  82404 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  82408 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82413 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  82416 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  82420 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  82423 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82428 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82433 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv4i32_v8i16),
     /*  82436 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  82438 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  82441 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/2, // Rm
     /*  82445 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /*  82449 */       GIR_RootConstrainSelectedInstOperands,
     /*  82450 */       // GIR_Coverage, 5410,
     /*  82450 */       GIR_EraseRootFromParent_Done,
     /*  82451 */     // Label 1384: @82451
     /*  82451 */     GIM_Try, /*On fail goto*//*Label 1385*/ GIMT_Encode4(82573), // Rule ID 5406 //
     /*  82456 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82460 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  82464 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  82468 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  82472 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  82476 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  82480 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  82484 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  82488 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  82492 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  82496 */       GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  82500 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82505 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82510 */       // MIs[2] Operand 2
     /*  82510 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(16),
     /*  82521 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  82523 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (trunc:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i32] } (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm), 16:{ *:[i32] })))  =>  (ADDHNv4i32_v8i16:{ *:[v8i16] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  82523 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  82526 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  82530 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82535 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  82538 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  82542 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  82545 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82550 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82555 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv4i32_v8i16),
     /*  82558 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  82560 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  82563 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /*  82567 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/2, // Rm
     /*  82571 */       GIR_RootConstrainSelectedInstOperands,
     /*  82572 */       // GIR_Coverage, 5406,
     /*  82572 */       GIR_EraseRootFromParent_Done,
     /*  82573 */     // Label 1385: @82573
     /*  82573 */     GIM_Try, /*On fail goto*//*Label 1386*/ GIMT_Encode4(82695), // Rule ID 5408 //
     /*  82578 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82582 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  82586 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  82590 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  82594 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  82598 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  82602 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  82606 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  82610 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  82614 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  82618 */       GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  82622 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82627 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82632 */       // MIs[2] Operand 2
     /*  82632 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(16),
     /*  82643 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  82645 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (trunc:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i32] } (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm), 16:{ *:[i32] })))  =>  (SUBHNv4i32_v8i16:{ *:[v8i16] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  82645 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  82648 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  82652 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82657 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  82660 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  82664 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  82667 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82672 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82677 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv4i32_v8i16),
     /*  82680 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  82682 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  82685 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /*  82689 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/2, // Rm
     /*  82693 */       GIR_RootConstrainSelectedInstOperands,
     /*  82694 */       // GIR_Coverage, 5408,
     /*  82694 */       GIR_EraseRootFromParent_Done,
     /*  82695 */     // Label 1386: @82695
     /*  82695 */     GIM_Try, /*On fail goto*//*Label 1387*/ GIMT_Encode4(82797), // Rule ID 5561 //
     /*  82700 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  82704 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  82708 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  82712 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  82716 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  82720 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  82724 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82729 */       // MIs[2] Operand 2
     /*  82729 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(16),
     /*  82740 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  82744 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  82748 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  82752 */       GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  82756 */       GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(AArch64::G_VLSHR),
     /*  82760 */       GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  82764 */       GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82769 */       // MIs[4] Operand 2
     /*  82769 */       GIM_CheckLiteralInt, /*MI*/4, /*Op*/2, GIMT_Encode8(16),
     /*  82780 */       GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  82782 */       // (concat_vectors:{ *:[v8i16] } (trunc:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, 16:{ *:[i32] })), (trunc:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vm, 16:{ *:[i32] })))  =>  (UZP2v8i16:{ *:[v8i16] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)
     /*  82782 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2v8i16),
     /*  82785 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  82787 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vn
     /*  82791 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Vm
     /*  82795 */       GIR_RootConstrainSelectedInstOperands,
     /*  82796 */       // GIR_Coverage, 5561,
     /*  82796 */       GIR_EraseRootFromParent_Done,
     /*  82797 */     // Label 1387: @82797
     /*  82797 */     GIM_Try, /*On fail goto*//*Label 1388*/ GIMT_Encode4(82926), // Rule ID 6307 //
     /*  82802 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82806 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  82810 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  82814 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  82817 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /*  82822 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  82826 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  82830 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82835 */       GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 16,
     /*  82839 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  82841 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Vd, (intrinsic_wo_chain:{ *:[v4i16] } 657:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vn, 16:{ *:[i32] }))  =>  (RADDHNv4i32_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Vd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Vn, (MOVIv2d_ns:{ *:[v4i32] } 0:{ *:[i32] }))
     /*  82841 */       GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  82844 */       GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /*  82848 */       GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82853 */       GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /*  82856 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  82858 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  82861 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  82865 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82870 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  82872 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  82875 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  82879 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82884 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  82887 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Vd
     /*  82891 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  82894 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82899 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82904 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82909 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv4i32_v8i16),
     /*  82912 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  82914 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  82917 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vn
     /*  82921 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  82924 */       GIR_RootConstrainSelectedInstOperands,
     /*  82925 */       // GIR_Coverage, 6307,
     /*  82925 */       GIR_EraseRootFromParent_Done,
     /*  82926 */     // Label 1388: @82926
     /*  82926 */     GIM_Try, /*On fail goto*//*Label 1389*/ GIMT_Encode4(82968), // Rule ID 5771 //
     /*  82931 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  82938 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  82945 */       // (concat_vectors:{ *:[v8i16] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm))  =>  (INSvi64lane:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rm, 0:{ *:[i64] }, V128:{ *:[v8i16] }:$Rn, 1:{ *:[i64] })
     /*  82945 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  82948 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  82950 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  82955 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82958 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  82963 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  82966 */       GIR_RootConstrainSelectedInstOperands,
     /*  82967 */       // GIR_Coverage, 5771,
     /*  82967 */       GIR_EraseRootFromParent_Done,
     /*  82968 */     // Label 1389: @82968
     /*  82968 */     GIM_Try, /*On fail goto*//*Label 1390*/ GIMT_Encode4(83010), // Rule ID 5775 //
     /*  82973 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8f16),
     /*  82980 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8f16),
     /*  82987 */       // (concat_vectors:{ *:[v8f16] } (extract_high_v8f16:{ *:[v4f16] } V128:{ *:[v8f16] }:$Rn), (extract_high_v8f16:{ *:[v4f16] } V128:{ *:[v8f16] }:$Rm))  =>  (INSvi64lane:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }, V128:{ *:[v8f16] }:$Rn, 1:{ *:[i64] })
     /*  82987 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  82990 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  82992 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  82997 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  83000 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  83005 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  83008 */       GIR_RootConstrainSelectedInstOperands,
     /*  83009 */       // GIR_Coverage, 5775,
     /*  83009 */       GIR_EraseRootFromParent_Done,
     /*  83010 */     // Label 1390: @83010
     /*  83010 */     GIM_Try, /*On fail goto*//*Label 1391*/ GIMT_Encode4(83133), // Rule ID 2576 //
     /*  83015 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  83018 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83022 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  83026 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  83030 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  83033 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /*  83038 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  83042 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  83046 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83051 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /*  83055 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  83059 */       GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32Narrow),
     /*  83063 */       // MIs[2] Operand 1
     /*  83063 */       // No operand predicates
     /*  83063 */       GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  83065 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (intrinsic_wo_chain:{ *:[v4i16] } 657:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32Narrow>>:$imm))  =>  (RSHRNv8i16_shift:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32Narrow>>:$imm)
     /*  83065 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  83068 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  83072 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  83077 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  83079 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  83082 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  83086 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  83091 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  83094 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  83098 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  83101 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83106 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83111 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83116 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNv8i16_shift),
     /*  83119 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  83121 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  83124 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  83128 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  83131 */       GIR_RootConstrainSelectedInstOperands,
     /*  83132 */       // GIR_Coverage, 2576,
     /*  83132 */       GIR_EraseRootFromParent_Done,
     /*  83133 */     // Label 1391: @83133
     /*  83133 */     GIM_Try, /*On fail goto*//*Label 1392*/ GIMT_Encode4(83256), // Rule ID 6277 //
     /*  83138 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  83141 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83145 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  83149 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  83153 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  83157 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  83161 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VASHR),
     /*  83165 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  83169 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83174 */       // MIs[2] imm
     /*  83174 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  83178 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  83182 */       GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32Narrow),
     /*  83186 */       // MIs[3] Operand 1
     /*  83186 */       // No operand predicates
     /*  83186 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  83188 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (trunc:{ *:[v4i16] } (AArch64vashr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32Narrow>>:$imm)))  =>  (SHRNv8i16_shift:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32Narrow>>:$imm)
     /*  83188 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  83191 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  83195 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  83200 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  83202 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  83205 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  83209 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  83214 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  83217 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  83221 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  83224 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83229 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83234 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83239 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv8i16_shift),
     /*  83242 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  83244 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  83247 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  83251 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // imm
     /*  83254 */       GIR_RootConstrainSelectedInstOperands,
     /*  83255 */       // GIR_Coverage, 6277,
     /*  83255 */       GIR_EraseRootFromParent_Done,
     /*  83256 */     // Label 1392: @83256
     /*  83256 */     GIM_Try, /*On fail goto*//*Label 1393*/ GIMT_Encode4(83376), // Rule ID 6313 //
     /*  83261 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83265 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  83269 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  83273 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  83277 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  83281 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  83285 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  83289 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83294 */       // MIs[2] imm
     /*  83294 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  83298 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  83302 */       GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32Narrow),
     /*  83306 */       // MIs[3] Operand 1
     /*  83306 */       // No operand predicates
     /*  83306 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  83308 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (trunc:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32Narrow>>:$imm)))  =>  (SHRNv8i16_shift:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32Narrow>>:$imm)
     /*  83308 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  83311 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  83315 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  83320 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  83322 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  83325 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  83329 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  83334 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  83337 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  83341 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  83344 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83349 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83354 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83359 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv8i16_shift),
     /*  83362 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  83364 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  83367 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  83371 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // imm
     /*  83374 */       GIR_RootConstrainSelectedInstOperands,
     /*  83375 */       // GIR_Coverage, 6313,
     /*  83375 */       GIR_EraseRootFromParent_Done,
     /*  83376 */     // Label 1393: @83376
     /*  83376 */     GIM_Try, /*On fail goto*//*Label 1394*/ GIMT_Encode4(83493), // Rule ID 2500 //
     /*  83381 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  83384 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83388 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  83392 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  83396 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  83399 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addhn),
     /*  83404 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  83408 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  83412 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83417 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83422 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  83424 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (intrinsic_wo_chain:{ *:[v4i16] } 569:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm))  =>  (ADDHNv4i32_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  83424 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  83427 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  83431 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  83436 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  83438 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  83441 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  83445 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  83450 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  83453 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  83457 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  83460 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83465 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83470 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83475 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv4i32_v8i16),
     /*  83478 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  83480 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  83483 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  83487 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  83491 */       GIR_RootConstrainSelectedInstOperands,
     /*  83492 */       // GIR_Coverage, 2500,
     /*  83492 */       GIR_EraseRootFromParent_Done,
     /*  83493 */     // Label 1394: @83493
     /*  83493 */     GIM_Try, /*On fail goto*//*Label 1395*/ GIMT_Encode4(83610), // Rule ID 5331 //
     /*  83498 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  83501 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83505 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  83509 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  83513 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  83516 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_subhn),
     /*  83521 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  83525 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  83529 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83534 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83539 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  83541 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (intrinsic_wo_chain:{ *:[v4i16] } 714:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm))  =>  (SUBHNv4i32_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  83541 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  83544 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  83548 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  83553 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  83555 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  83558 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  83562 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  83567 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  83570 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  83574 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  83577 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83582 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83587 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83592 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv4i32_v8i16),
     /*  83595 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  83597 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  83600 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  83604 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  83608 */       GIR_RootConstrainSelectedInstOperands,
     /*  83609 */       // GIR_Coverage, 5331,
     /*  83609 */       GIR_EraseRootFromParent_Done,
     /*  83610 */     // Label 1395: @83610
     /*  83610 */     GIM_Try, /*On fail goto*//*Label 1396*/ GIMT_Encode4(83727), // Rule ID 5334 //
     /*  83615 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  83618 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83622 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  83626 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  83630 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  83633 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_raddhn),
     /*  83638 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  83642 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  83646 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83651 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83656 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  83658 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (intrinsic_wo_chain:{ *:[v4i16] } 656:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm))  =>  (RADDHNv4i32_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  83658 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  83661 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  83665 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  83670 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  83672 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  83675 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  83679 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  83684 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  83687 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  83691 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  83694 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83699 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83704 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83709 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv4i32_v8i16),
     /*  83712 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  83714 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  83717 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  83721 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  83725 */       GIR_RootConstrainSelectedInstOperands,
     /*  83726 */       // GIR_Coverage, 5334,
     /*  83726 */       GIR_EraseRootFromParent_Done,
     /*  83727 */     // Label 1396: @83727
     /*  83727 */     GIM_Try, /*On fail goto*//*Label 1397*/ GIMT_Encode4(83844), // Rule ID 5337 //
     /*  83732 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  83735 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83739 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  83743 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  83747 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  83750 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rsubhn),
     /*  83755 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  83759 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  83763 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83768 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83773 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  83775 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (intrinsic_wo_chain:{ *:[v4i16] } 658:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm))  =>  (RSUBHNv4i32_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  83775 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  83778 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  83782 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  83787 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  83789 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  83792 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  83796 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  83801 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  83804 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  83808 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  83811 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83816 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83821 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83826 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNv4i32_v8i16),
     /*  83829 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  83831 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  83834 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  83838 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  83842 */       GIR_RootConstrainSelectedInstOperands,
     /*  83843 */       // GIR_Coverage, 5337,
     /*  83843 */       GIR_EraseRootFromParent_Done,
     /*  83844 */     // Label 1397: @83844
     /*  83844 */     GIM_Try, /*On fail goto*//*Label 1398*/ GIMT_Encode4(83945), // Rule ID 4896 //
     /*  83849 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83853 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  83857 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  83861 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  83864 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2hf),
     /*  83869 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  83873 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83878 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  83880 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (intrinsic_wo_chain:{ *:[v4i16] } 764:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn))  =>  (FCVTNv8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rn)
     /*  83880 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  83883 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  83887 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  83892 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  83894 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  83897 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  83901 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  83906 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  83909 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  83913 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  83916 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83921 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83926 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83931 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /*  83934 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  83936 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  83939 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  83943 */       GIR_RootConstrainSelectedInstOperands,
     /*  83944 */       // GIR_Coverage, 4896,
     /*  83944 */       GIR_EraseRootFromParent_Done,
     /*  83945 */     // Label 1398: @83945
     /*  83945 */     GIM_Try, /*On fail goto*//*Label 1399*/ GIMT_Encode4(84001), // Rule ID 5486 //
     /*  83950 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  83954 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  83958 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  83962 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83967 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  83971 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  83975 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  83979 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83984 */       GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  83986 */       // (concat_vectors:{ *:[v8i16] } (trunc:{ *:[v4i16] } V128:{ *:[v4i32] }:$Vn), (trunc:{ *:[v4i16] } V128:{ *:[v4i32] }:$Vm))  =>  (UZP1v8i16:{ *:[v8i16] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)
     /*  83986 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1v8i16),
     /*  83989 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  83991 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  83995 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vm
     /*  83999 */       GIR_RootConstrainSelectedInstOperands,
     /*  84000 */       // GIR_Coverage, 5486,
     /*  84000 */       GIR_EraseRootFromParent_Done,
     /*  84001 */     // Label 1399: @84001
     /*  84001 */     GIM_Try, /*On fail goto*//*Label 1400*/ GIMT_Encode4(84067), // Rule ID 5769 //
     /*  84006 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84010 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  84014 */       GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  84020 */       GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  84022 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  84024 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rn, immAllZerosV:{ *:[v4i16] })  =>  (SUBREG_TO_REG:{ *:[v8i16] } 0:{ *:[i64] }, (FMOVDr:{ *:[i64] } V64:{ *:[v4i16] }:$Rn), dsub:{ *:[i32] })
     /*  84024 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  84027 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FMOVDr),
     /*  84031 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84036 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  84040 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  84042 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  84045 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  84047 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84050 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  84053 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  84056 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84061 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84066 */       // GIR_Coverage, 5769,
     /*  84066 */       GIR_EraseRootFromParent_Done,
     /*  84067 */     // Label 1400: @84067
     /*  84067 */     GIM_Try, /*On fail goto*//*Label 1401*/ GIMT_Encode4(84133), // Rule ID 5773 //
     /*  84072 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84076 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  84080 */       GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  84086 */       GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  84088 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  84090 */       // (concat_vectors:{ *:[v8f16] } V64:{ *:[v4f16] }:$Rn, immAllZerosV:{ *:[v4f16] })  =>  (SUBREG_TO_REG:{ *:[v8f16] } 0:{ *:[i64] }, (FMOVDr:{ *:[i64] } V64:{ *:[v4f16] }:$Rn), dsub:{ *:[i32] })
     /*  84090 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  84093 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FMOVDr),
     /*  84097 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84102 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  84106 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  84108 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  84111 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  84113 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84116 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  84119 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  84122 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84127 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84132 */       // GIR_Coverage, 5773,
     /*  84132 */       GIR_EraseRootFromParent_Done,
     /*  84133 */     // Label 1401: @84133
     /*  84133 */     GIM_Try, /*On fail goto*//*Label 1402*/ GIMT_Encode4(84226), // Rule ID 4904 //
     /*  84138 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84142 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  84146 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPTRUNC),
     /*  84150 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  84154 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84159 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  84161 */       // (concat_vectors:{ *:[v8f16] } V64:{ *:[v4f16] }:$Rd, (fpround:{ *:[v4f16] } V128:{ *:[v4f32] }:$Rn))  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4f16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rn)
     /*  84161 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  84164 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  84168 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84173 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  84175 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  84178 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  84182 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84187 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  84190 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  84194 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  84197 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84202 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84207 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84212 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /*  84215 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  84217 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  84220 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  84224 */       GIR_RootConstrainSelectedInstOperands,
     /*  84225 */       // GIR_Coverage, 4904,
     /*  84225 */       GIR_EraseRootFromParent_Done,
     /*  84226 */     // Label 1402: @84226
     /*  84226 */     GIM_Try, /*On fail goto*//*Label 1403*/ GIMT_Encode4(84322), // Rule ID 4948 //
     /*  84231 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  84234 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84238 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  84242 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  84246 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  84250 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84255 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  84257 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (trunc:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn))  =>  (XTNv8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Rn)
     /*  84257 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  84260 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  84264 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84269 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  84271 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  84274 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  84278 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84283 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  84286 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  84290 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  84293 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84298 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84303 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84308 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XTNv8i16),
     /*  84311 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  84313 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  84316 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  84320 */       GIR_RootConstrainSelectedInstOperands,
     /*  84321 */       // GIR_Coverage, 4948,
     /*  84321 */       GIR_EraseRootFromParent_Done,
     /*  84322 */     // Label 1403: @84322
     /*  84322 */     GIM_Try, /*On fail goto*//*Label 1404*/ GIMT_Encode4(84384), // Rule ID 5770 //
     /*  84327 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84331 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  84335 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  84339 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  84341 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rn, (undef:{ *:[v4i16] }))  =>  (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] })
     /*  84341 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  84344 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  84348 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84353 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  84355 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  84358 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  84360 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  84363 */       GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  84365 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  84368 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84373 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84378 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84383 */       // GIR_Coverage, 5770,
     /*  84383 */       GIR_EraseRootFromParent_Done,
     /*  84384 */     // Label 1404: @84384
     /*  84384 */     GIM_Try, /*On fail goto*//*Label 1405*/ GIMT_Encode4(84446), // Rule ID 5774 //
     /*  84389 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84393 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  84397 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  84401 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  84403 */       // (concat_vectors:{ *:[v8f16] } V64:{ *:[v4f16] }:$Rn, (undef:{ *:[v4f16] }))  =>  (INSERT_SUBREG:{ *:[v8f16] } (IMPLICIT_DEF:{ *:[v8f16] }), V64:{ *:[v4f16] }:$Rn, dsub:{ *:[i32] })
     /*  84403 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  84406 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  84410 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84415 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  84417 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  84420 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  84422 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  84425 */       GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  84427 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  84430 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84435 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84440 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84445 */       // GIR_Coverage, 5774,
     /*  84445 */       GIR_EraseRootFromParent_Done,
     /*  84446 */     // Label 1405: @84446
     /*  84446 */     GIM_Try, /*On fail goto*//*Label 1406*/ GIMT_Encode4(84580), // Rule ID 5768 //
     /*  84451 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84455 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84459 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn)  =>  (INSvi64lane:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), 1:{ *:[i64] }, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /*  84459 */       GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /*  84462 */       GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  84466 */       GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84471 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  84473 */       GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /*  84476 */       GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  84480 */       GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84485 */       GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  84488 */       GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  84492 */       GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /*  84495 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84500 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84505 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84510 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  84513 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  84517 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84522 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  84524 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  84527 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  84531 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84536 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  84539 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  84543 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  84546 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84551 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84556 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84561 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  84564 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  84566 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  84569 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  84572 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  84575 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84578 */       GIR_RootConstrainSelectedInstOperands,
     /*  84579 */       // GIR_Coverage, 5768,
     /*  84579 */       GIR_EraseRootFromParent_Done,
     /*  84580 */     // Label 1406: @84580
     /*  84580 */     GIM_Try, /*On fail goto*//*Label 1407*/ GIMT_Encode4(84714), // Rule ID 5772 //
     /*  84585 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84589 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84593 */       // (concat_vectors:{ *:[v8f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn)  =>  (INSvi64lane:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4f16] }:$Rd, dsub:{ *:[i32] }), 1:{ *:[i64] }, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4f16] }:$Rn, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /*  84593 */       GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /*  84596 */       GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  84600 */       GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84605 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  84607 */       GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /*  84610 */       GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  84614 */       GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84619 */       GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  84622 */       GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  84626 */       GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /*  84629 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84634 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84639 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84644 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  84647 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  84651 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84656 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  84658 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  84661 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  84665 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84670 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  84673 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  84677 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  84680 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84685 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84690 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84695 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  84698 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  84700 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  84703 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  84706 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  84709 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84712 */       GIR_RootConstrainSelectedInstOperands,
     /*  84713 */       // GIR_Coverage, 5772,
     /*  84713 */       GIR_EraseRootFromParent_Done,
     /*  84714 */     // Label 1407: @84714
     /*  84714 */     GIM_Reject,
     /*  84715 */   // Label 1383: @84715
     /*  84715 */   GIM_Reject,
     /*  84716 */   // Label 1342: @84716
     /*  84716 */   GIM_Try, /*On fail goto*//*Label 1408*/ GIMT_Encode4(86626),
     /*  84721 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  84724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  84727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84731 */     GIM_Try, /*On fail goto*//*Label 1409*/ GIMT_Encode4(84860), // Rule ID 5404 //
     /*  84736 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84740 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  84744 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  84748 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  84752 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  84756 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  84760 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  84764 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  84768 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  84772 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  84776 */       GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  84780 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84785 */       GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  84789 */       GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  84795 */       GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  84797 */       // MIs[2] Operand 2
     /*  84797 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(8),
     /*  84808 */       GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  84810 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, (trunc:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, immAllOnesV:{ *:[v8i16] }:$Rm), 8:{ *:[i32] })))  =>  (SUBHNv8i16_v16i8:{ *:[v16i8] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Rm, V128:{ *:[v8i16] }:$Rn)
     /*  84810 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  84813 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  84817 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84822 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  84825 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  84829 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  84832 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84837 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84842 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv8i16_v16i8),
     /*  84845 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  84847 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  84850 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/2, // Rm
     /*  84854 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /*  84858 */       GIR_RootConstrainSelectedInstOperands,
     /*  84859 */       // GIR_Coverage, 5404,
     /*  84859 */       GIR_EraseRootFromParent_Done,
     /*  84860 */     // Label 1409: @84860
     /*  84860 */     GIM_Try, /*On fail goto*//*Label 1410*/ GIMT_Encode4(84982), // Rule ID 5400 //
     /*  84865 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84869 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  84873 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  84877 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  84881 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  84885 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  84889 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  84893 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  84897 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  84901 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  84905 */       GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  84909 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84914 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84919 */       // MIs[2] Operand 2
     /*  84919 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(8),
     /*  84930 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  84932 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, (trunc:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i16] } (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm), 8:{ *:[i32] })))  =>  (ADDHNv8i16_v16i8:{ *:[v16i8] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  84932 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  84935 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  84939 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84944 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  84947 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  84951 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  84954 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84959 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84964 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv8i16_v16i8),
     /*  84967 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  84969 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  84972 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /*  84976 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/2, // Rm
     /*  84980 */       GIR_RootConstrainSelectedInstOperands,
     /*  84981 */       // GIR_Coverage, 5400,
     /*  84981 */       GIR_EraseRootFromParent_Done,
     /*  84982 */     // Label 1410: @84982
     /*  84982 */     GIM_Try, /*On fail goto*//*Label 1411*/ GIMT_Encode4(85104), // Rule ID 5402 //
     /*  84987 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84991 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  84995 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  84999 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  85003 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  85007 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  85011 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  85015 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  85019 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  85023 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  85027 */       GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  85031 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85036 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85041 */       // MIs[2] Operand 2
     /*  85041 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(8),
     /*  85052 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  85054 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, (trunc:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i16] } (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm), 8:{ *:[i32] })))  =>  (SUBHNv8i16_v16i8:{ *:[v16i8] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  85054 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  85057 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  85061 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85066 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  85069 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  85073 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  85076 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85081 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85086 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv8i16_v16i8),
     /*  85089 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  85091 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  85094 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /*  85098 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/2, // Rm
     /*  85102 */       GIR_RootConstrainSelectedInstOperands,
     /*  85103 */       // GIR_Coverage, 5402,
     /*  85103 */       GIR_EraseRootFromParent_Done,
     /*  85104 */     // Label 1411: @85104
     /*  85104 */     GIM_Try, /*On fail goto*//*Label 1412*/ GIMT_Encode4(85206), // Rule ID 5560 //
     /*  85109 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  85113 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  85117 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  85121 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  85125 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  85129 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  85133 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85138 */       // MIs[2] Operand 2
     /*  85138 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(8),
     /*  85149 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  85153 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  85157 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  85161 */       GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  85165 */       GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(AArch64::G_VLSHR),
     /*  85169 */       GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  85173 */       GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85178 */       // MIs[4] Operand 2
     /*  85178 */       GIM_CheckLiteralInt, /*MI*/4, /*Op*/2, GIMT_Encode8(8),
     /*  85189 */       GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  85191 */       // (concat_vectors:{ *:[v16i8] } (trunc:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vn, 8:{ *:[i32] })), (trunc:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vm, 8:{ *:[i32] })))  =>  (UZP2v16i8:{ *:[v16i8] } V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm)
     /*  85191 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2v16i8),
     /*  85194 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  85196 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vn
     /*  85200 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Vm
     /*  85204 */       GIR_RootConstrainSelectedInstOperands,
     /*  85205 */       // GIR_Coverage, 5560,
     /*  85205 */       GIR_EraseRootFromParent_Done,
     /*  85206 */     // Label 1412: @85206
     /*  85206 */     GIM_Try, /*On fail goto*//*Label 1413*/ GIMT_Encode4(85335), // Rule ID 6306 //
     /*  85211 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85215 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  85219 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  85223 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  85226 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /*  85231 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  85235 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  85239 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85244 */       GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 8,
     /*  85248 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  85250 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Vd, (intrinsic_wo_chain:{ *:[v8i8] } 657:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Vn, 8:{ *:[i32] }))  =>  (RADDHNv8i16_v16i8:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Vd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Vn, (MOVIv2d_ns:{ *:[v8i16] } 0:{ *:[i32] }))
     /*  85250 */       GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  85253 */       GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /*  85257 */       GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85262 */       GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /*  85265 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  85267 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  85270 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  85274 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85279 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  85281 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  85284 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  85288 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85293 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  85296 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Vd
     /*  85300 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  85303 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85308 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85313 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85318 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv8i16_v16i8),
     /*  85321 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  85323 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  85326 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vn
     /*  85330 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  85333 */       GIR_RootConstrainSelectedInstOperands,
     /*  85334 */       // GIR_Coverage, 6306,
     /*  85334 */       GIR_EraseRootFromParent_Done,
     /*  85335 */     // Label 1413: @85335
     /*  85335 */     GIM_Try, /*On fail goto*//*Label 1414*/ GIMT_Encode4(85377), // Rule ID 5779 //
     /*  85340 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  85347 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  85354 */       // (concat_vectors:{ *:[v16i8] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm))  =>  (INSvi64lane:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, 0:{ *:[i64] }, V128:{ *:[v16i8] }:$Rn, 1:{ *:[i64] })
     /*  85354 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  85357 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  85359 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  85364 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  85367 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  85372 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  85375 */       GIR_RootConstrainSelectedInstOperands,
     /*  85376 */       // GIR_Coverage, 5779,
     /*  85376 */       GIR_EraseRootFromParent_Done,
     /*  85377 */     // Label 1414: @85377
     /*  85377 */     GIM_Try, /*On fail goto*//*Label 1415*/ GIMT_Encode4(85500), // Rule ID 2574 //
     /*  85382 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  85385 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85389 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  85393 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  85397 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  85400 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /*  85405 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  85409 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  85413 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85418 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /*  85422 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  85426 */       GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16Narrow),
     /*  85430 */       // MIs[2] Operand 1
     /*  85430 */       // No operand predicates
     /*  85430 */       GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  85432 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, (intrinsic_wo_chain:{ *:[v8i8] } 657:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16Narrow>>:$imm))  =>  (RSHRNv16i8_shift:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16Narrow>>:$imm)
     /*  85432 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  85435 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  85439 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85444 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  85446 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  85449 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  85453 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85458 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  85461 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  85465 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  85468 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85473 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85478 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85483 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNv16i8_shift),
     /*  85486 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  85488 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  85491 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  85495 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  85498 */       GIR_RootConstrainSelectedInstOperands,
     /*  85499 */       // GIR_Coverage, 2574,
     /*  85499 */       GIR_EraseRootFromParent_Done,
     /*  85500 */     // Label 1415: @85500
     /*  85500 */     GIM_Try, /*On fail goto*//*Label 1416*/ GIMT_Encode4(85623), // Rule ID 6276 //
     /*  85505 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  85508 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85512 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  85516 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  85520 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  85524 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  85528 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VASHR),
     /*  85532 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  85536 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85541 */       // MIs[2] imm
     /*  85541 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  85545 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  85549 */       GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16Narrow),
     /*  85553 */       // MIs[3] Operand 1
     /*  85553 */       // No operand predicates
     /*  85553 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  85555 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, (trunc:{ *:[v8i8] } (AArch64vashr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16Narrow>>:$imm)))  =>  (SHRNv16i8_shift:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16Narrow>>:$imm)
     /*  85555 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  85558 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  85562 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85567 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  85569 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  85572 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  85576 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85581 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  85584 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  85588 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  85591 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85596 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85601 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85606 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv16i8_shift),
     /*  85609 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  85611 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  85614 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  85618 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // imm
     /*  85621 */       GIR_RootConstrainSelectedInstOperands,
     /*  85622 */       // GIR_Coverage, 6276,
     /*  85622 */       GIR_EraseRootFromParent_Done,
     /*  85623 */     // Label 1416: @85623
     /*  85623 */     GIM_Try, /*On fail goto*//*Label 1417*/ GIMT_Encode4(85743), // Rule ID 6312 //
     /*  85628 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85632 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  85636 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  85640 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  85644 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  85648 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  85652 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  85656 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85661 */       // MIs[2] imm
     /*  85661 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  85665 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  85669 */       GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16Narrow),
     /*  85673 */       // MIs[3] Operand 1
     /*  85673 */       // No operand predicates
     /*  85673 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  85675 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, (trunc:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16Narrow>>:$imm)))  =>  (SHRNv16i8_shift:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16Narrow>>:$imm)
     /*  85675 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  85678 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  85682 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85687 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  85689 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  85692 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  85696 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85701 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  85704 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  85708 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  85711 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85716 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85721 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85726 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv16i8_shift),
     /*  85729 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  85731 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  85734 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  85738 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // imm
     /*  85741 */       GIR_RootConstrainSelectedInstOperands,
     /*  85742 */       // GIR_Coverage, 6312,
     /*  85742 */       GIR_EraseRootFromParent_Done,
     /*  85743 */     // Label 1417: @85743
     /*  85743 */     GIM_Try, /*On fail goto*//*Label 1418*/ GIMT_Encode4(85860), // Rule ID 2499 //
     /*  85748 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  85751 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85755 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  85759 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  85763 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  85766 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addhn),
     /*  85771 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  85775 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  85779 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85784 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85789 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  85791 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, (intrinsic_wo_chain:{ *:[v8i8] } 569:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm))  =>  (ADDHNv8i16_v16i8:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  85791 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  85794 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  85798 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85803 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  85805 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  85808 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  85812 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85817 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  85820 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  85824 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  85827 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85832 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85837 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85842 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv8i16_v16i8),
     /*  85845 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  85847 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  85850 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  85854 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  85858 */       GIR_RootConstrainSelectedInstOperands,
     /*  85859 */       // GIR_Coverage, 2499,
     /*  85859 */       GIR_EraseRootFromParent_Done,
     /*  85860 */     // Label 1418: @85860
     /*  85860 */     GIM_Try, /*On fail goto*//*Label 1419*/ GIMT_Encode4(85977), // Rule ID 5330 //
     /*  85865 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  85868 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85872 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  85876 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  85880 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  85883 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_subhn),
     /*  85888 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  85892 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  85896 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85901 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85906 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  85908 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, (intrinsic_wo_chain:{ *:[v8i8] } 714:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm))  =>  (SUBHNv8i16_v16i8:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  85908 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  85911 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  85915 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85920 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  85922 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  85925 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  85929 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85934 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  85937 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  85941 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  85944 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85949 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85954 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85959 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv8i16_v16i8),
     /*  85962 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  85964 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  85967 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  85971 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  85975 */       GIR_RootConstrainSelectedInstOperands,
     /*  85976 */       // GIR_Coverage, 5330,
     /*  85976 */       GIR_EraseRootFromParent_Done,
     /*  85977 */     // Label 1419: @85977
     /*  85977 */     GIM_Try, /*On fail goto*//*Label 1420*/ GIMT_Encode4(86094), // Rule ID 5333 //
     /*  85982 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  85985 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85989 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  85993 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  85997 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  86000 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_raddhn),
     /*  86005 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  86009 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  86013 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86018 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86023 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  86025 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, (intrinsic_wo_chain:{ *:[v8i8] } 656:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm))  =>  (RADDHNv8i16_v16i8:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  86025 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  86028 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  86032 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86037 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  86039 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  86042 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  86046 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86051 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  86054 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  86058 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  86061 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86066 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86071 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86076 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv8i16_v16i8),
     /*  86079 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86081 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  86084 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  86088 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  86092 */       GIR_RootConstrainSelectedInstOperands,
     /*  86093 */       // GIR_Coverage, 5333,
     /*  86093 */       GIR_EraseRootFromParent_Done,
     /*  86094 */     // Label 1420: @86094
     /*  86094 */     GIM_Try, /*On fail goto*//*Label 1421*/ GIMT_Encode4(86211), // Rule ID 5336 //
     /*  86099 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  86102 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86106 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  86110 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  86114 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  86117 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rsubhn),
     /*  86122 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  86126 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  86130 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86135 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86140 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  86142 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, (intrinsic_wo_chain:{ *:[v8i8] } 658:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm))  =>  (RSUBHNv8i16_v16i8:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  86142 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  86145 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  86149 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86154 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  86156 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  86159 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  86163 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86168 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  86171 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  86175 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  86178 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86183 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86188 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86193 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNv8i16_v16i8),
     /*  86196 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86198 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  86201 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  86205 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  86209 */       GIR_RootConstrainSelectedInstOperands,
     /*  86210 */       // GIR_Coverage, 5336,
     /*  86210 */       GIR_EraseRootFromParent_Done,
     /*  86211 */     // Label 1421: @86211
     /*  86211 */     GIM_Try, /*On fail goto*//*Label 1422*/ GIMT_Encode4(86267), // Rule ID 5477 //
     /*  86216 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  86220 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  86224 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  86228 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86233 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  86237 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  86241 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  86245 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86250 */       GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  86252 */       // (concat_vectors:{ *:[v16i8] } (trunc:{ *:[v8i8] } V128:{ *:[v8i16] }:$Vn), (trunc:{ *:[v8i8] } V128:{ *:[v8i16] }:$Vm))  =>  (UZP1v16i8:{ *:[v16i8] } V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm)
     /*  86252 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1v16i8),
     /*  86255 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  86257 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  86261 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vm
     /*  86265 */       GIR_RootConstrainSelectedInstOperands,
     /*  86266 */       // GIR_Coverage, 5477,
     /*  86266 */       GIR_EraseRootFromParent_Done,
     /*  86267 */     // Label 1422: @86267
     /*  86267 */     GIM_Try, /*On fail goto*//*Label 1423*/ GIMT_Encode4(86333), // Rule ID 5777 //
     /*  86272 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86276 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  86280 */       GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  86286 */       GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  86288 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  86290 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rn, immAllZerosV:{ *:[v8i8] })  =>  (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i64] }, (FMOVDr:{ *:[i64] } V64:{ *:[v8i8] }:$Rn), dsub:{ *:[i32] })
     /*  86290 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  86293 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FMOVDr),
     /*  86297 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86302 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  86306 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  86308 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  86311 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86313 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  86316 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  86319 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  86322 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86327 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86332 */       // GIR_Coverage, 5777,
     /*  86332 */       GIR_EraseRootFromParent_Done,
     /*  86333 */     // Label 1423: @86333
     /*  86333 */     GIM_Try, /*On fail goto*//*Label 1424*/ GIMT_Encode4(86429), // Rule ID 4947 //
     /*  86338 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  86341 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86345 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  86349 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  86353 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  86357 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86362 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  86364 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, (trunc:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn))  =>  (XTNv16i8:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Rn)
     /*  86364 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  86367 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  86371 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86376 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  86378 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  86381 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  86385 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86390 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  86393 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  86397 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  86400 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86405 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86410 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86415 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XTNv16i8),
     /*  86418 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86420 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  86423 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  86427 */       GIR_RootConstrainSelectedInstOperands,
     /*  86428 */       // GIR_Coverage, 4947,
     /*  86428 */       GIR_EraseRootFromParent_Done,
     /*  86429 */     // Label 1424: @86429
     /*  86429 */     GIM_Try, /*On fail goto*//*Label 1425*/ GIMT_Encode4(86491), // Rule ID 5778 //
     /*  86434 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86438 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  86442 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  86446 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  86448 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rn, (undef:{ *:[v8i8] }))  =>  (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), V64:{ *:[v8i8] }:$Rn, dsub:{ *:[i32] })
     /*  86448 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /*  86451 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  86455 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86460 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  86462 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  86465 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86467 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  86470 */       GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  86472 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  86475 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86480 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86485 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86490 */       // GIR_Coverage, 5778,
     /*  86490 */       GIR_EraseRootFromParent_Done,
     /*  86491 */     // Label 1425: @86491
     /*  86491 */     GIM_Try, /*On fail goto*//*Label 1426*/ GIMT_Encode4(86625), // Rule ID 5776 //
     /*  86496 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86500 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86504 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn)  =>  (INSvi64lane:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), 1:{ *:[i64] }, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rn, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /*  86504 */       GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /*  86507 */       GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  86511 */       GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86516 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  86518 */       GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /*  86521 */       GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  86525 */       GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86530 */       GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  86533 */       GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  86537 */       GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /*  86540 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86545 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86550 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86555 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  86558 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  86562 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86567 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  86569 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  86572 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  86576 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86581 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  86584 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  86588 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  86591 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86596 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86601 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86606 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  86609 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86611 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  86614 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  86617 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  86620 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  86623 */       GIR_RootConstrainSelectedInstOperands,
     /*  86624 */       // GIR_Coverage, 5776,
     /*  86624 */       GIR_EraseRootFromParent_Done,
     /*  86625 */     // Label 1426: @86625
     /*  86625 */     GIM_Reject,
     /*  86626 */   // Label 1408: @86626
     /*  86626 */   GIM_Reject,
     /*  86627 */   // Label 1343: @86627
     /*  86627 */   GIM_Try, /*On fail goto*//*Label 1427*/ GIMT_Encode4(86652), // Rule ID 9014 //
     /*  86632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  86635 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  86638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  86641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  86645 */     // (concat_vectors:{ *:[nxv2i1] } nxv1i1:{ *:[nxv1i1] }:$p1, nxv1i1:{ *:[nxv1i1] }:$p2)  =>  (UZP1_PPP_D:{ *:[nxv2i1] } ?:{ *:[nxv1i1] }:$p1, ?:{ *:[nxv1i1] }:$p2)
     /*  86645 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_PPP_D),
     /*  86650 */     GIR_RootConstrainSelectedInstOperands,
     /*  86651 */     // GIR_Coverage, 9014,
     /*  86651 */     GIR_Done,
     /*  86652 */   // Label 1427: @86652
     /*  86652 */   GIM_Reject,
     /*  86653 */   // Label 1344: @86653
     /*  86653 */   GIM_Try, /*On fail goto*//*Label 1428*/ GIMT_Encode4(86678), // Rule ID 9015 //
     /*  86658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  86661 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  86664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  86667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  86671 */     // (concat_vectors:{ *:[nxv4i1] } nxv2i1:{ *:[nxv2i1] }:$p1, nxv2i1:{ *:[nxv2i1] }:$p2)  =>  (UZP1_PPP_S:{ *:[nxv4i1] } ?:{ *:[nxv2i1] }:$p1, ?:{ *:[nxv2i1] }:$p2)
     /*  86671 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_PPP_S),
     /*  86676 */     GIR_RootConstrainSelectedInstOperands,
     /*  86677 */     // GIR_Coverage, 9015,
     /*  86677 */     GIR_Done,
     /*  86678 */   // Label 1428: @86678
     /*  86678 */   GIM_Reject,
     /*  86679 */   // Label 1345: @86679
     /*  86679 */   GIM_Try, /*On fail goto*//*Label 1429*/ GIMT_Encode4(86704), // Rule ID 9018 //
     /*  86684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  86687 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  86690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  86693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  86697 */     // (concat_vectors:{ *:[nxv4f16] } nxv2f16:{ *:[nxv2f16] }:$v1, nxv2f16:{ *:[nxv2f16] }:$v2)  =>  (UZP1_ZZZ_S:{ *:[nxv4f16] } ?:{ *:[nxv2f16] }:$v1, ?:{ *:[nxv2f16] }:$v2)
     /*  86697 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_S),
     /*  86702 */     GIR_RootConstrainSelectedInstOperands,
     /*  86703 */     // GIR_Coverage, 9018,
     /*  86703 */     GIR_Done,
     /*  86704 */   // Label 1429: @86704
     /*  86704 */   GIM_Reject,
     /*  86705 */   // Label 1346: @86705
     /*  86705 */   GIM_Try, /*On fail goto*//*Label 1430*/ GIMT_Encode4(86730), // Rule ID 9020 //
     /*  86710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  86713 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  86716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  86719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  86723 */     // (concat_vectors:{ *:[nxv4f32] } nxv2f32:{ *:[nxv2f32] }:$v1, nxv2f32:{ *:[nxv2f32] }:$v2)  =>  (UZP1_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv2f32] }:$v1, ?:{ *:[nxv2f32] }:$v2)
     /*  86723 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_S),
     /*  86728 */     GIR_RootConstrainSelectedInstOperands,
     /*  86729 */     // GIR_Coverage, 9020,
     /*  86729 */     GIR_Done,
     /*  86730 */   // Label 1430: @86730
     /*  86730 */   GIM_Reject,
     /*  86731 */   // Label 1347: @86731
     /*  86731 */   GIM_Try, /*On fail goto*//*Label 1431*/ GIMT_Encode4(86756), // Rule ID 9016 //
     /*  86736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  86739 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  86742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  86745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  86749 */     // (concat_vectors:{ *:[nxv8i1] } nxv4i1:{ *:[nxv4i1] }:$p1, nxv4i1:{ *:[nxv4i1] }:$p2)  =>  (UZP1_PPP_H:{ *:[nxv8i1] } ?:{ *:[nxv4i1] }:$p1, ?:{ *:[nxv4i1] }:$p2)
     /*  86749 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_PPP_H),
     /*  86754 */     GIR_RootConstrainSelectedInstOperands,
     /*  86755 */     // GIR_Coverage, 9016,
     /*  86755 */     GIR_Done,
     /*  86756 */   // Label 1431: @86756
     /*  86756 */   GIM_Reject,
     /*  86757 */   // Label 1348: @86757
     /*  86757 */   GIM_Try, /*On fail goto*//*Label 1432*/ GIMT_Encode4(86782), // Rule ID 9019 //
     /*  86762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  86765 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  86768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  86771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  86775 */     // (concat_vectors:{ *:[nxv8f16] } nxv4f16:{ *:[nxv4f16] }:$v1, nxv4f16:{ *:[nxv4f16] }:$v2)  =>  (UZP1_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv4f16] }:$v1, ?:{ *:[nxv4f16] }:$v2)
     /*  86775 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_H),
     /*  86780 */     GIR_RootConstrainSelectedInstOperands,
     /*  86781 */     // GIR_Coverage, 9019,
     /*  86781 */     GIR_Done,
     /*  86782 */   // Label 1432: @86782
     /*  86782 */   GIM_Reject,
     /*  86783 */   // Label 1349: @86783
     /*  86783 */   GIM_Try, /*On fail goto*//*Label 1433*/ GIMT_Encode4(86808), // Rule ID 9017 //
     /*  86788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  86791 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  86794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  86797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  86801 */     // (concat_vectors:{ *:[nxv16i1] } nxv8i1:{ *:[nxv8i1] }:$p1, nxv8i1:{ *:[nxv8i1] }:$p2)  =>  (UZP1_PPP_B:{ *:[nxv16i1] } ?:{ *:[nxv8i1] }:$p1, ?:{ *:[nxv8i1] }:$p2)
     /*  86801 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_PPP_B),
     /*  86806 */     GIR_RootConstrainSelectedInstOperands,
     /*  86807 */     // GIR_Coverage, 9017,
     /*  86807 */     GIR_Done,
     /*  86808 */   // Label 1433: @86808
     /*  86808 */   GIM_Reject,
     /*  86809 */   // Label 1350: @86809
     /*  86809 */   GIM_Reject,
     /*  86810 */ // Label 1338: @86810
     /*  86810 */ GIM_Reject,
     /*  86811 */ // Label 9: @86811
     /*  86811 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(24), /*)*//*default:*//*Label 1448*/ GIMT_Encode4(96754),
     /*  86822 */ /*GILLT_s32*//*Label 1434*/ GIMT_Encode4(86910),
     /*  86826 */ /*GILLT_s64*//*Label 1435*/ GIMT_Encode4(87291),
     /*  86830 */ /*GILLT_s128*//*Label 1436*/ GIMT_Encode4(89266),
     /*  86834 */ /*GILLT_v2s32*//*Label 1437*/ GIMT_Encode4(89912),
     /*  86838 */ /*GILLT_v2s64*//*Label 1438*/ GIMT_Encode4(90827),
     /*  86842 */ /*GILLT_v4s16*//*Label 1439*/ GIMT_Encode4(91596),
     /*  86846 */ /*GILLT_v4s32*//*Label 1440*/ GIMT_Encode4(92511),
     /*  86850 */ /*GILLT_v8s8*//*Label 1441*/ GIMT_Encode4(93356),
     /*  86854 */ /*GILLT_v8s16*//*Label 1442*/ GIMT_Encode4(93917),
     /*  86858 */ /*GILLT_v16s8*//*Label 1443*/ GIMT_Encode4(94762), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  86878 */ /*GILLT_nxv2s64*//*Label 1444*/ GIMT_Encode4(95214), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  86890 */ /*GILLT_nxv4s32*//*Label 1445*/ GIMT_Encode4(95663), GIMT_Encode4(0),
     /*  86898 */ /*GILLT_nxv8s16*//*Label 1446*/ GIMT_Encode4(96112), GIMT_Encode4(0),
     /*  86906 */ /*GILLT_nxv16s8*//*Label 1447*/ GIMT_Encode4(96561),
     /*  86910 */ // Label 1434: @86910
     /*  86910 */ GIM_Try, /*On fail goto*//*Label 1449*/ GIMT_Encode4(87290),
     /*  86915 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  86918 */   GIM_Try, /*On fail goto*//*Label 1450*/ GIMT_Encode4(86988), // Rule ID 7025 //
     /*  86923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  86927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  86931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  86935 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  86938 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  86945 */     GIM_CheckAtomicOrderingWeakerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  86948 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  86952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  86954 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /*  86961 */     // (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_15821>>)  =>  (LDRSroW:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /*  86961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /*  86964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  86966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  86971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  86976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  86981 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  86986 */     GIR_RootConstrainSelectedInstOperands,
     /*  86987 */     // GIR_Coverage, 7025,
     /*  86987 */     GIR_EraseRootFromParent_Done,
     /*  86988 */   // Label 1450: @86988
     /*  86988 */   GIM_Try, /*On fail goto*//*Label 1451*/ GIMT_Encode4(87058), // Rule ID 7026 //
     /*  86993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  86997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  87001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  87005 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  87008 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  87015 */     GIM_CheckAtomicOrderingWeakerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  87018 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  87022 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87024 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /*  87031 */     // (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_15821>>)  =>  (LDRSroX:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /*  87031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /*  87034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  87036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  87041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  87046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  87051 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  87056 */     GIR_RootConstrainSelectedInstOperands,
     /*  87057 */     // GIR_Coverage, 7026,
     /*  87057 */     GIR_EraseRootFromParent_Done,
     /*  87058 */   // Label 1451: @87058
     /*  87058 */   GIM_Try, /*On fail goto*//*Label 1452*/ GIMT_Encode4(87123), // Rule ID 7027 //
     /*  87063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  87067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  87071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  87075 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  87078 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  87085 */     GIM_CheckAtomicOrderingWeakerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  87088 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  87092 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87094 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /*  87101 */     // (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_15821>>)  =>  (LDRSui:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /*  87101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /*  87104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  87106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  87111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  87116 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  87121 */     GIR_RootConstrainSelectedInstOperands,
     /*  87122 */     // GIR_Coverage, 7027,
     /*  87122 */     GIR_EraseRootFromParent_Done,
     /*  87123 */   // Label 1452: @87123
     /*  87123 */   GIM_Try, /*On fail goto*//*Label 1453*/ GIMT_Encode4(87188), // Rule ID 7028 //
     /*  87128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  87132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  87136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  87140 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  87143 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  87150 */     GIM_CheckAtomicOrderingWeakerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  87153 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  87157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87159 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /*  87166 */     // (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_15821>>)  =>  (LDURSi:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /*  87166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /*  87169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  87171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  87176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  87181 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  87186 */     GIR_RootConstrainSelectedInstOperands,
     /*  87187 */     // GIR_Coverage, 7028,
     /*  87187 */     GIR_EraseRootFromParent_Done,
     /*  87188 */   // Label 1453: @87188
     /*  87188 */   GIM_Try, /*On fail goto*//*Label 1454*/ GIMT_Encode4(87241), // Rule ID 5743 //
     /*  87193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  87197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  87201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /*  87205 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  87209 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  87213 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /*  87217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87219 */     // (bitconvert:{ *:[f32] } (vector_extract:{ *:[i32] } v4i32:{ *:[v4i32] }:$src, 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4i32] }:$src, ssub:{ *:[i32] })
     /*  87219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  87222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87224 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // src
     /*  87230 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  87235 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87240 */     // GIR_Coverage, 5743,
     /*  87240 */     GIR_EraseRootFromParent_Done,
     /*  87241 */   // Label 1454: @87241
     /*  87241 */   GIM_Try, /*On fail goto*//*Label 1455*/ GIMT_Encode4(87265), // Rule ID 6638 //
     /*  87246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  87250 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  87254 */     // (bitconvert:{ *:[f32] } GPR32:{ *:[i32] }:$Xn)  =>  (COPY_TO_REGCLASS:{ *:[f32] } GPR32:{ *:[i32] }:$Xn, FPR32:{ *:[i32] })
     /*  87254 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  87259 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  87264 */     // GIR_Coverage, 6638,
     /*  87264 */     GIR_Done,
     /*  87265 */   // Label 1455: @87265
     /*  87265 */   GIM_Try, /*On fail goto*//*Label 1456*/ GIMT_Encode4(87289), // Rule ID 6639 //
     /*  87270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  87274 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  87278 */     // (bitconvert:{ *:[i32] } FPR32:{ *:[f32] }:$Xn)  =>  (COPY_TO_REGCLASS:{ *:[i32] } FPR32:{ *:[f32] }:$Xn, GPR32:{ *:[i32] })
     /*  87278 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  87283 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  87288 */     // GIR_Coverage, 6639,
     /*  87288 */     GIR_Done,
     /*  87289 */   // Label 1456: @87289
     /*  87289 */   GIM_Reject,
     /*  87290 */ // Label 1449: @87290
     /*  87290 */ GIM_Reject,
     /*  87291 */ // Label 1435: @87291
     /*  87291 */ GIM_Try, /*On fail goto*//*Label 1457*/ GIMT_Encode4(87364), // Rule ID 7029 //
     /*  87296 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  87299 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87303 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  87307 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  87311 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  87314 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  87321 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  87324 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  87328 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87330 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /*  87337 */   // (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_15829>>)  =>  (LDRDroW:{ *:[f64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /*  87337 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /*  87340 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  87342 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  87347 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  87352 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  87357 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  87362 */   GIR_RootConstrainSelectedInstOperands,
     /*  87363 */   // GIR_Coverage, 7029,
     /*  87363 */   GIR_EraseRootFromParent_Done,
     /*  87364 */ // Label 1457: @87364
     /*  87364 */ GIM_Try, /*On fail goto*//*Label 1458*/ GIMT_Encode4(87437), // Rule ID 7030 //
     /*  87369 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  87372 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87376 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  87380 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  87384 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  87387 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  87394 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  87397 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  87401 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87403 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /*  87410 */   // (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_15829>>)  =>  (LDRDroX:{ *:[f64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /*  87410 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /*  87413 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  87415 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  87420 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  87425 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  87430 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  87435 */   GIR_RootConstrainSelectedInstOperands,
     /*  87436 */   // GIR_Coverage, 7030,
     /*  87436 */   GIR_EraseRootFromParent_Done,
     /*  87437 */ // Label 1458: @87437
     /*  87437 */ GIM_Try, /*On fail goto*//*Label 1459*/ GIMT_Encode4(87505), // Rule ID 7031 //
     /*  87442 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  87445 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87449 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  87453 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  87457 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  87460 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  87467 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  87470 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  87474 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87476 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /*  87483 */   // (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_15829>>)  =>  (LDRDui:{ *:[f64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /*  87483 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /*  87486 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  87488 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  87493 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  87498 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  87503 */   GIR_RootConstrainSelectedInstOperands,
     /*  87504 */   // GIR_Coverage, 7031,
     /*  87504 */   GIR_EraseRootFromParent_Done,
     /*  87505 */ // Label 1459: @87505
     /*  87505 */ GIM_Try, /*On fail goto*//*Label 1460*/ GIMT_Encode4(87573), // Rule ID 7032 //
     /*  87510 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  87513 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87517 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  87521 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  87525 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  87528 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  87535 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  87538 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  87542 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87544 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /*  87551 */   // (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_15829>>)  =>  (LDURDi:{ *:[f64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /*  87551 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /*  87554 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  87556 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  87561 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  87566 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  87571 */   GIR_RootConstrainSelectedInstOperands,
     /*  87572 */   // GIR_Coverage, 7032,
     /*  87572 */   GIR_EraseRootFromParent_Done,
     /*  87573 */ // Label 1460: @87573
     /*  87573 */ GIM_Try, /*On fail goto*//*Label 1461*/ GIMT_Encode4(87629), // Rule ID 5745 //
     /*  87578 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  87581 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87585 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  87589 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /*  87593 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  87597 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  87601 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /*  87605 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87607 */   // (bitconvert:{ *:[f64] } (vector_extract:{ *:[i64] } v2i64:{ *:[v2i64] }:$src, 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2i64] }:$src, dsub:{ *:[i32] })
     /*  87607 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  87610 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87612 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // src
     /*  87618 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87623 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87628 */   // GIR_Coverage, 5745,
     /*  87628 */   GIR_EraseRootFromParent_Done,
     /*  87629 */ // Label 1461: @87629
     /*  87629 */ GIM_Try, /*On fail goto*//*Label 1462*/ GIMT_Encode4(87659), // Rule ID 6613 //
     /*  87634 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  87637 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  87640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  87644 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87648 */   // (bitconvert:{ *:[i64] } V64:{ *:[v8i8] }:$Vn)  =>  (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v8i8] }:$Vn, GPR64:{ *:[i32] })
     /*  87648 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  87653 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  87658 */   // GIR_Coverage, 6613,
     /*  87658 */   GIR_Done,
     /*  87659 */ // Label 1462: @87659
     /*  87659 */ GIM_Try, /*On fail goto*//*Label 1463*/ GIMT_Encode4(87689), // Rule ID 6614 //
     /*  87664 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  87667 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  87670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  87674 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87678 */   // (bitconvert:{ *:[i64] } V64:{ *:[v4i16] }:$Vn)  =>  (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v4i16] }:$Vn, GPR64:{ *:[i32] })
     /*  87678 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  87683 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  87688 */   // GIR_Coverage, 6614,
     /*  87688 */   GIR_Done,
     /*  87689 */ // Label 1463: @87689
     /*  87689 */ GIM_Try, /*On fail goto*//*Label 1464*/ GIMT_Encode4(87719), // Rule ID 6615 //
     /*  87694 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  87697 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  87700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  87704 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87708 */   // (bitconvert:{ *:[i64] } V64:{ *:[v2i32] }:$Vn)  =>  (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v2i32] }:$Vn, GPR64:{ *:[i32] })
     /*  87708 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  87713 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  87718 */   // GIR_Coverage, 6615,
     /*  87718 */   GIR_Done,
     /*  87719 */ // Label 1464: @87719
     /*  87719 */ GIM_Try, /*On fail goto*//*Label 1465*/ GIMT_Encode4(87749), // Rule ID 6616 //
     /*  87724 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  87727 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  87730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  87734 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87738 */   // (bitconvert:{ *:[i64] } V64:{ *:[v4f16] }:$Vn)  =>  (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v4f16] }:$Vn, GPR64:{ *:[i32] })
     /*  87738 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  87743 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  87748 */   // GIR_Coverage, 6616,
     /*  87748 */   GIR_Done,
     /*  87749 */ // Label 1465: @87749
     /*  87749 */ GIM_Try, /*On fail goto*//*Label 1466*/ GIMT_Encode4(87779), // Rule ID 6617 //
     /*  87754 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  87757 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  87760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  87764 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87768 */   // (bitconvert:{ *:[i64] } V64:{ *:[v2f32] }:$Vn)  =>  (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v2f32] }:$Vn, GPR64:{ *:[i32] })
     /*  87768 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  87773 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  87778 */   // GIR_Coverage, 6617,
     /*  87778 */   GIR_Done,
     /*  87779 */ // Label 1466: @87779
     /*  87779 */ GIM_Try, /*On fail goto*//*Label 1467*/ GIMT_Encode4(87809), // Rule ID 6618 //
     /*  87784 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  87787 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  87790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  87794 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87798 */   // (bitconvert:{ *:[i64] } V64:{ *:[v1f64] }:$Vn)  =>  (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v1f64] }:$Vn, GPR64:{ *:[i32] })
     /*  87798 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  87803 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  87808 */   // GIR_Coverage, 6618,
     /*  87808 */   GIR_Done,
     /*  87809 */ // Label 1467: @87809
     /*  87809 */ GIM_Try, /*On fail goto*//*Label 1468*/ GIMT_Encode4(87859), // Rule ID 6624 //
     /*  87814 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  87817 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  87820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87824 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87828 */   // (bitconvert:{ *:[i64] } V64:{ *:[v8i8] }:$Vn)  =>  (REV64v8i8:{ *:[i64] } (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v8i8] }:$Vn, GPR64:{ *:[i32] }))
     /*  87828 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  87831 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  87835 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  87840 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Vn
     /*  87844 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  87849 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i8),
     /*  87852 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  87854 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  87857 */   GIR_RootConstrainSelectedInstOperands,
     /*  87858 */   // GIR_Coverage, 6624,
     /*  87858 */   GIR_EraseRootFromParent_Done,
     /*  87859 */ // Label 1468: @87859
     /*  87859 */ GIM_Try, /*On fail goto*//*Label 1469*/ GIMT_Encode4(87909), // Rule ID 6625 //
     /*  87864 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  87867 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  87870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87874 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87878 */   // (bitconvert:{ *:[i64] } V64:{ *:[v4i16] }:$Vn)  =>  (REV64v4i16:{ *:[i64] } (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v4i16] }:$Vn, GPR64:{ *:[i32] }))
     /*  87878 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  87881 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  87885 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  87890 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Vn
     /*  87894 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  87899 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  87902 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  87904 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  87907 */   GIR_RootConstrainSelectedInstOperands,
     /*  87908 */   // GIR_Coverage, 6625,
     /*  87908 */   GIR_EraseRootFromParent_Done,
     /*  87909 */ // Label 1469: @87909
     /*  87909 */ GIM_Try, /*On fail goto*//*Label 1470*/ GIMT_Encode4(87959), // Rule ID 6626 //
     /*  87914 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  87917 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  87920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87924 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87928 */   // (bitconvert:{ *:[i64] } V64:{ *:[v2i32] }:$Vn)  =>  (REV64v2i32:{ *:[i64] } (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v2i32] }:$Vn, GPR64:{ *:[i32] }))
     /*  87928 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  87931 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  87935 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  87940 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Vn
     /*  87944 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  87949 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  87952 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  87954 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  87957 */   GIR_RootConstrainSelectedInstOperands,
     /*  87958 */   // GIR_Coverage, 6626,
     /*  87958 */   GIR_EraseRootFromParent_Done,
     /*  87959 */ // Label 1470: @87959
     /*  87959 */ GIM_Try, /*On fail goto*//*Label 1471*/ GIMT_Encode4(88009), // Rule ID 6627 //
     /*  87964 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  87967 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  87970 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87974 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87978 */   // (bitconvert:{ *:[i64] } V64:{ *:[v4f16] }:$Vn)  =>  (REV64v4i16:{ *:[i64] } (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v4f16] }:$Vn, GPR64:{ *:[i32] }))
     /*  87978 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  87981 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  87985 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  87990 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Vn
     /*  87994 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  87999 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  88002 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  88004 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  88007 */   GIR_RootConstrainSelectedInstOperands,
     /*  88008 */   // GIR_Coverage, 6627,
     /*  88008 */   GIR_EraseRootFromParent_Done,
     /*  88009 */ // Label 1471: @88009
     /*  88009 */ GIM_Try, /*On fail goto*//*Label 1472*/ GIMT_Encode4(88059), // Rule ID 6628 //
     /*  88014 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  88017 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  88020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88024 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88028 */   // (bitconvert:{ *:[i64] } V64:{ *:[v2f32] }:$Vn)  =>  (REV64v2i32:{ *:[i64] } (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v2f32] }:$Vn, GPR64:{ *:[i32] }))
     /*  88028 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  88031 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88035 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  88040 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Vn
     /*  88044 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88049 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  88052 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  88054 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  88057 */   GIR_RootConstrainSelectedInstOperands,
     /*  88058 */   // GIR_Coverage, 6628,
     /*  88058 */   GIR_EraseRootFromParent_Done,
     /*  88059 */ // Label 1472: @88059
     /*  88059 */ GIM_Try, /*On fail goto*//*Label 1473*/ GIMT_Encode4(88086), // Rule ID 6629 //
     /*  88064 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  88067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88071 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88075 */   // (bitconvert:{ *:[v1i64] } GPR64:{ *:[i64] }:$Xn)  =>  (COPY_TO_REGCLASS:{ *:[v1i64] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] })
     /*  88075 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88080 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88085 */   // GIR_Coverage, 6629,
     /*  88085 */   GIR_Done,
     /*  88086 */ // Label 1473: @88086
     /*  88086 */ GIM_Try, /*On fail goto*//*Label 1474*/ GIMT_Encode4(88113), // Rule ID 6630 //
     /*  88091 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  88094 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88098 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88102 */   // (bitconvert:{ *:[v1f64] } GPR64:{ *:[i64] }:$Xn)  =>  (COPY_TO_REGCLASS:{ *:[v1f64] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] })
     /*  88102 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88107 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88112 */   // GIR_Coverage, 6630,
     /*  88112 */   GIR_Done,
     /*  88113 */ // Label 1474: @88113
     /*  88113 */ GIM_Try, /*On fail goto*//*Label 1475*/ GIMT_Encode4(88140), // Rule ID 6631 //
     /*  88118 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  88121 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88125 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88129 */   // (bitconvert:{ *:[i64] } V64:{ *:[v1i64] }:$Vn)  =>  (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v1i64] }:$Vn, GPR64:{ *:[i32] })
     /*  88129 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88134 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88139 */   // GIR_Coverage, 6631,
     /*  88139 */   GIR_Done,
     /*  88140 */ // Label 1475: @88140
     /*  88140 */ GIM_Try, /*On fail goto*//*Label 1476*/ GIMT_Encode4(88167), // Rule ID 6640 //
     /*  88145 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  88148 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88152 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88156 */   // (bitconvert:{ *:[f64] } GPR64:{ *:[i64] }:$Xn)  =>  (COPY_TO_REGCLASS:{ *:[f64] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] })
     /*  88156 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88161 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88166 */   // GIR_Coverage, 6640,
     /*  88166 */   GIR_Done,
     /*  88167 */ // Label 1476: @88167
     /*  88167 */ GIM_Try, /*On fail goto*//*Label 1477*/ GIMT_Encode4(88194), // Rule ID 6641 //
     /*  88172 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  88175 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88179 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88183 */   // (bitconvert:{ *:[i64] } FPR64:{ *:[f64] }:$Xn)  =>  (COPY_TO_REGCLASS:{ *:[i64] } FPR64:{ *:[f64] }:$Xn, GPR64:{ *:[i32] })
     /*  88183 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88188 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88193 */   // GIR_Coverage, 6641,
     /*  88193 */   GIR_Done,
     /*  88194 */ // Label 1477: @88194
     /*  88194 */ GIM_Try, /*On fail goto*//*Label 1478*/ GIMT_Encode4(88221), // Rule ID 6642 //
     /*  88199 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  88202 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88206 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88210 */   // (bitconvert:{ *:[i64] } V64:{ *:[v1f64] }:$Vn)  =>  (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v1f64] }:$Vn, GPR64:{ *:[i32] })
     /*  88210 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88215 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88220 */   // GIR_Coverage, 6642,
     /*  88220 */   GIR_Done,
     /*  88221 */ // Label 1478: @88221
     /*  88221 */ GIM_Try, /*On fail goto*//*Label 1479*/ GIMT_Encode4(88253), // Rule ID 6643 //
     /*  88226 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  88229 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  88232 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88236 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88240 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[v2i32] }:$src)  =>  FPR64:{ *:[v1i64] }:$src
     /*  88240 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88243 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  88245 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  88247 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88252 */   // GIR_Coverage, 6643,
     /*  88252 */   GIR_EraseRootFromParent_Done,
     /*  88253 */ // Label 1479: @88253
     /*  88253 */ GIM_Try, /*On fail goto*//*Label 1480*/ GIMT_Encode4(88285), // Rule ID 6644 //
     /*  88258 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  88261 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  88264 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88268 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88272 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[v4i16] }:$src)  =>  FPR64:{ *:[v1i64] }:$src
     /*  88272 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88275 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  88277 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  88279 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88284 */   // GIR_Coverage, 6644,
     /*  88284 */   GIR_EraseRootFromParent_Done,
     /*  88285 */ // Label 1480: @88285
     /*  88285 */ GIM_Try, /*On fail goto*//*Label 1481*/ GIMT_Encode4(88317), // Rule ID 6645 //
     /*  88290 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  88293 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  88296 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88300 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88304 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[v8i8] }:$src)  =>  FPR64:{ *:[v1i64] }:$src
     /*  88304 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88307 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  88309 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  88311 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88316 */   // GIR_Coverage, 6645,
     /*  88316 */   GIR_EraseRootFromParent_Done,
     /*  88317 */ // Label 1481: @88317
     /*  88317 */ GIM_Try, /*On fail goto*//*Label 1482*/ GIMT_Encode4(88349), // Rule ID 6646 //
     /*  88322 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  88325 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  88328 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88332 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88336 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[v4f16] }:$src)  =>  FPR64:{ *:[v1i64] }:$src
     /*  88336 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88339 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  88341 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  88343 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88348 */   // GIR_Coverage, 6646,
     /*  88348 */   GIR_EraseRootFromParent_Done,
     /*  88349 */ // Label 1482: @88349
     /*  88349 */ GIM_Try, /*On fail goto*//*Label 1483*/ GIMT_Encode4(88381), // Rule ID 6647 //
     /*  88354 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  88357 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  88360 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88364 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88368 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[v2f32] }:$src)  =>  FPR64:{ *:[v1i64] }:$src
     /*  88368 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88371 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  88373 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  88375 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88380 */   // GIR_Coverage, 6647,
     /*  88380 */   GIR_EraseRootFromParent_Done,
     /*  88381 */ // Label 1483: @88381
     /*  88381 */ GIM_Try, /*On fail goto*//*Label 1484*/ GIMT_Encode4(88407), // Rule ID 6648 //
     /*  88386 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  88389 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  88392 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88396 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88400 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[v2i32] }:$src)  =>  (REV64v2i32:{ *:[v1i64] } FPR64:{ *:[v2i32] }:$src)
     /*  88400 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  88405 */   GIR_RootConstrainSelectedInstOperands,
     /*  88406 */   // GIR_Coverage, 6648,
     /*  88406 */   GIR_Done,
     /*  88407 */ // Label 1484: @88407
     /*  88407 */ GIM_Try, /*On fail goto*//*Label 1485*/ GIMT_Encode4(88433), // Rule ID 6649 //
     /*  88412 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  88415 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  88418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88422 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88426 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[v4i16] }:$src)  =>  (REV64v4i16:{ *:[v1i64] } FPR64:{ *:[v4i16] }:$src)
     /*  88426 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  88431 */   GIR_RootConstrainSelectedInstOperands,
     /*  88432 */   // GIR_Coverage, 6649,
     /*  88432 */   GIR_Done,
     /*  88433 */ // Label 1485: @88433
     /*  88433 */ GIM_Try, /*On fail goto*//*Label 1486*/ GIMT_Encode4(88459), // Rule ID 6650 //
     /*  88438 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  88441 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  88444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88448 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88452 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[v8i8] }:$src)  =>  (REV64v8i8:{ *:[v1i64] } FPR64:{ *:[v8i8] }:$src)
     /*  88452 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i8),
     /*  88457 */   GIR_RootConstrainSelectedInstOperands,
     /*  88458 */   // GIR_Coverage, 6650,
     /*  88458 */   GIR_Done,
     /*  88459 */ // Label 1486: @88459
     /*  88459 */ GIM_Try, /*On fail goto*//*Label 1487*/ GIMT_Encode4(88485), // Rule ID 6651 //
     /*  88464 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  88467 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  88470 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88474 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88478 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[v4f16] }:$src)  =>  (REV64v4i16:{ *:[v1i64] } FPR64:{ *:[v4f16] }:$src)
     /*  88478 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  88483 */   GIR_RootConstrainSelectedInstOperands,
     /*  88484 */   // GIR_Coverage, 6651,
     /*  88484 */   GIR_Done,
     /*  88485 */ // Label 1487: @88485
     /*  88485 */ GIM_Try, /*On fail goto*//*Label 1488*/ GIMT_Encode4(88511), // Rule ID 6652 //
     /*  88490 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  88493 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  88496 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88500 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88504 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[v2f32] }:$src)  =>  (REV64v2i32:{ *:[v1i64] } FPR64:{ *:[v2f32] }:$src)
     /*  88504 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  88509 */   GIR_RootConstrainSelectedInstOperands,
     /*  88510 */   // GIR_Coverage, 6652,
     /*  88510 */   GIR_Done,
     /*  88511 */ // Label 1488: @88511
     /*  88511 */ GIM_Try, /*On fail goto*//*Label 1489*/ GIMT_Encode4(88540), // Rule ID 6653 //
     /*  88516 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  88519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88523 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88527 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$src)  =>  FPR64:{ *:[v1i64] }:$src
     /*  88527 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88530 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  88532 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  88534 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88539 */   // GIR_Coverage, 6653,
     /*  88539 */   GIR_EraseRootFromParent_Done,
     /*  88540 */ // Label 1489: @88540
     /*  88540 */ GIM_Try, /*On fail goto*//*Label 1490*/ GIMT_Encode4(88569), // Rule ID 6654 //
     /*  88545 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  88548 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88552 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88556 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[f64] }:$src)  =>  FPR64:{ *:[v1i64] }:$src
     /*  88556 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88559 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  88561 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  88563 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88568 */   // GIR_Coverage, 6654,
     /*  88568 */   GIR_EraseRootFromParent_Done,
     /*  88569 */ // Label 1490: @88569
     /*  88569 */ GIM_Try, /*On fail goto*//*Label 1491*/ GIMT_Encode4(88601), // Rule ID 6708 //
     /*  88574 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  88577 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  88580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88584 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88588 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v2i32] }:$src)  =>  FPR64:{ *:[f64] }:$src
     /*  88588 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88591 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  88593 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  88595 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88600 */   // GIR_Coverage, 6708,
     /*  88600 */   GIR_EraseRootFromParent_Done,
     /*  88601 */ // Label 1491: @88601
     /*  88601 */ GIM_Try, /*On fail goto*//*Label 1492*/ GIMT_Encode4(88633), // Rule ID 6709 //
     /*  88606 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  88609 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  88612 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88616 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88620 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v4i16] }:$src)  =>  FPR64:{ *:[f64] }:$src
     /*  88620 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88623 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  88625 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  88627 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88632 */   // GIR_Coverage, 6709,
     /*  88632 */   GIR_EraseRootFromParent_Done,
     /*  88633 */ // Label 1492: @88633
     /*  88633 */ GIM_Try, /*On fail goto*//*Label 1493*/ GIMT_Encode4(88665), // Rule ID 6710 //
     /*  88638 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  88641 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  88644 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88648 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88652 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v2f32] }:$src)  =>  FPR64:{ *:[f64] }:$src
     /*  88652 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88655 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  88657 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  88659 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88664 */   // GIR_Coverage, 6710,
     /*  88664 */   GIR_EraseRootFromParent_Done,
     /*  88665 */ // Label 1493: @88665
     /*  88665 */ GIM_Try, /*On fail goto*//*Label 1494*/ GIMT_Encode4(88697), // Rule ID 6711 //
     /*  88670 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  88673 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  88676 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88680 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88684 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v8i8] }:$src)  =>  FPR64:{ *:[f64] }:$src
     /*  88684 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88687 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  88689 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  88691 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88696 */   // GIR_Coverage, 6711,
     /*  88696 */   GIR_EraseRootFromParent_Done,
     /*  88697 */ // Label 1494: @88697
     /*  88697 */ GIM_Try, /*On fail goto*//*Label 1495*/ GIMT_Encode4(88729), // Rule ID 6712 //
     /*  88702 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  88705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  88708 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88712 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88716 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v4f16] }:$src)  =>  FPR64:{ *:[f64] }:$src
     /*  88716 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88719 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  88721 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  88723 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88728 */   // GIR_Coverage, 6712,
     /*  88728 */   GIR_EraseRootFromParent_Done,
     /*  88729 */ // Label 1495: @88729
     /*  88729 */ GIM_Try, /*On fail goto*//*Label 1496*/ GIMT_Encode4(88755), // Rule ID 6713 //
     /*  88734 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  88737 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  88740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88744 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88748 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v2i32] }:$src)  =>  (REV64v2i32:{ *:[f64] } FPR64:{ *:[v2i32] }:$src)
     /*  88748 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  88753 */   GIR_RootConstrainSelectedInstOperands,
     /*  88754 */   // GIR_Coverage, 6713,
     /*  88754 */   GIR_Done,
     /*  88755 */ // Label 1496: @88755
     /*  88755 */ GIM_Try, /*On fail goto*//*Label 1497*/ GIMT_Encode4(88781), // Rule ID 6714 //
     /*  88760 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  88763 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  88766 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88770 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88774 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v4i16] }:$src)  =>  (REV64v4i16:{ *:[f64] } FPR64:{ *:[v4i16] }:$src)
     /*  88774 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  88779 */   GIR_RootConstrainSelectedInstOperands,
     /*  88780 */   // GIR_Coverage, 6714,
     /*  88780 */   GIR_Done,
     /*  88781 */ // Label 1497: @88781
     /*  88781 */ GIM_Try, /*On fail goto*//*Label 1498*/ GIMT_Encode4(88807), // Rule ID 6715 //
     /*  88786 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  88789 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  88792 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88796 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88800 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v2f32] }:$src)  =>  (REV64v2i32:{ *:[f64] } FPR64:{ *:[v2f32] }:$src)
     /*  88800 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  88805 */   GIR_RootConstrainSelectedInstOperands,
     /*  88806 */   // GIR_Coverage, 6715,
     /*  88806 */   GIR_Done,
     /*  88807 */ // Label 1498: @88807
     /*  88807 */ GIM_Try, /*On fail goto*//*Label 1499*/ GIMT_Encode4(88833), // Rule ID 6716 //
     /*  88812 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  88815 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  88818 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88822 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88826 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v8i8] }:$src)  =>  (REV64v8i8:{ *:[f64] } FPR64:{ *:[v8i8] }:$src)
     /*  88826 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i8),
     /*  88831 */   GIR_RootConstrainSelectedInstOperands,
     /*  88832 */   // GIR_Coverage, 6716,
     /*  88832 */   GIR_Done,
     /*  88833 */ // Label 1499: @88833
     /*  88833 */ GIM_Try, /*On fail goto*//*Label 1500*/ GIMT_Encode4(88859), // Rule ID 6717 //
     /*  88838 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  88841 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  88844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88848 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88852 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v4f16] }:$src)  =>  (REV64v4i16:{ *:[f64] } FPR64:{ *:[v4f16] }:$src)
     /*  88852 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  88857 */   GIR_RootConstrainSelectedInstOperands,
     /*  88858 */   // GIR_Coverage, 6717,
     /*  88858 */   GIR_Done,
     /*  88859 */ // Label 1500: @88859
     /*  88859 */ GIM_Try, /*On fail goto*//*Label 1501*/ GIMT_Encode4(88888), // Rule ID 6718 //
     /*  88864 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  88867 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88871 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88875 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v1i64] }:$src)  =>  FPR64:{ *:[f64] }:$src
     /*  88875 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88878 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  88880 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  88882 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88887 */   // GIR_Coverage, 6718,
     /*  88887 */   GIR_EraseRootFromParent_Done,
     /*  88888 */ // Label 1501: @88888
     /*  88888 */ GIM_Try, /*On fail goto*//*Label 1502*/ GIMT_Encode4(88917), // Rule ID 6719 //
     /*  88893 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  88896 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88900 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88904 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v1f64] }:$src)  =>  FPR64:{ *:[f64] }:$src
     /*  88904 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88907 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  88909 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  88911 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88916 */   // GIR_Coverage, 6719,
     /*  88916 */   GIR_EraseRootFromParent_Done,
     /*  88917 */ // Label 1502: @88917
     /*  88917 */ GIM_Try, /*On fail goto*//*Label 1503*/ GIMT_Encode4(88949), // Rule ID 6720 //
     /*  88922 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  88925 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  88928 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88932 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88936 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[v2i32] }:$src)  =>  FPR64:{ *:[v1f64] }:$src
     /*  88936 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88939 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  88941 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  88943 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88948 */   // GIR_Coverage, 6720,
     /*  88948 */   GIR_EraseRootFromParent_Done,
     /*  88949 */ // Label 1503: @88949
     /*  88949 */ GIM_Try, /*On fail goto*//*Label 1504*/ GIMT_Encode4(88981), // Rule ID 6721 //
     /*  88954 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  88957 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  88960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88964 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88968 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[v4i16] }:$src)  =>  FPR64:{ *:[v1f64] }:$src
     /*  88968 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88971 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  88973 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  88975 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88980 */   // GIR_Coverage, 6721,
     /*  88980 */   GIR_EraseRootFromParent_Done,
     /*  88981 */ // Label 1504: @88981
     /*  88981 */ GIM_Try, /*On fail goto*//*Label 1505*/ GIMT_Encode4(89013), // Rule ID 6722 //
     /*  88986 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  88989 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  88992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88996 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89000 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[v8i8] }:$src)  =>  FPR64:{ *:[v1f64] }:$src
     /*  89000 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89003 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89005 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89007 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89012 */   // GIR_Coverage, 6722,
     /*  89012 */   GIR_EraseRootFromParent_Done,
     /*  89013 */ // Label 1505: @89013
     /*  89013 */ GIM_Try, /*On fail goto*//*Label 1506*/ GIMT_Encode4(89045), // Rule ID 6723 //
     /*  89018 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89021 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  89024 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89028 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89032 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[v2f32] }:$src)  =>  FPR64:{ *:[v1f64] }:$src
     /*  89032 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89035 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89037 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89039 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89044 */   // GIR_Coverage, 6723,
     /*  89044 */   GIR_EraseRootFromParent_Done,
     /*  89045 */ // Label 1506: @89045
     /*  89045 */ GIM_Try, /*On fail goto*//*Label 1507*/ GIMT_Encode4(89077), // Rule ID 6724 //
     /*  89050 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89053 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  89056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89060 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89064 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[v4f16] }:$src)  =>  FPR64:{ *:[v1f64] }:$src
     /*  89064 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89067 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89069 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89071 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89076 */   // GIR_Coverage, 6724,
     /*  89076 */   GIR_EraseRootFromParent_Done,
     /*  89077 */ // Label 1507: @89077
     /*  89077 */ GIM_Try, /*On fail goto*//*Label 1508*/ GIMT_Encode4(89103), // Rule ID 6725 //
     /*  89082 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89085 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  89088 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89092 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89096 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[v2i32] }:$src)  =>  (REV64v2i32:{ *:[v1f64] } FPR64:{ *:[v2i32] }:$src)
     /*  89096 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  89101 */   GIR_RootConstrainSelectedInstOperands,
     /*  89102 */   // GIR_Coverage, 6725,
     /*  89102 */   GIR_Done,
     /*  89103 */ // Label 1508: @89103
     /*  89103 */ GIM_Try, /*On fail goto*//*Label 1509*/ GIMT_Encode4(89129), // Rule ID 6726 //
     /*  89108 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89111 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  89114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89118 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89122 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[v4i16] }:$src)  =>  (REV64v4i16:{ *:[v1f64] } FPR64:{ *:[v4i16] }:$src)
     /*  89122 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  89127 */   GIR_RootConstrainSelectedInstOperands,
     /*  89128 */   // GIR_Coverage, 6726,
     /*  89128 */   GIR_Done,
     /*  89129 */ // Label 1509: @89129
     /*  89129 */ GIM_Try, /*On fail goto*//*Label 1510*/ GIMT_Encode4(89155), // Rule ID 6727 //
     /*  89134 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89137 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  89140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89144 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89148 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[v8i8] }:$src)  =>  (REV64v8i8:{ *:[v1f64] } FPR64:{ *:[v8i8] }:$src)
     /*  89148 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i8),
     /*  89153 */   GIR_RootConstrainSelectedInstOperands,
     /*  89154 */   // GIR_Coverage, 6727,
     /*  89154 */   GIR_Done,
     /*  89155 */ // Label 1510: @89155
     /*  89155 */ GIM_Try, /*On fail goto*//*Label 1511*/ GIMT_Encode4(89181), // Rule ID 6728 //
     /*  89160 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89163 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  89166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89170 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89174 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[v2f32] }:$src)  =>  (REV64v2i32:{ *:[v1f64] } FPR64:{ *:[v2f32] }:$src)
     /*  89174 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  89179 */   GIR_RootConstrainSelectedInstOperands,
     /*  89180 */   // GIR_Coverage, 6728,
     /*  89180 */   GIR_Done,
     /*  89181 */ // Label 1511: @89181
     /*  89181 */ GIM_Try, /*On fail goto*//*Label 1512*/ GIMT_Encode4(89207), // Rule ID 6729 //
     /*  89186 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89189 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  89192 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89196 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89200 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[v4f16] }:$src)  =>  (REV64v4i16:{ *:[v1f64] } FPR64:{ *:[v4f16] }:$src)
     /*  89200 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  89205 */   GIR_RootConstrainSelectedInstOperands,
     /*  89206 */   // GIR_Coverage, 6729,
     /*  89206 */   GIR_Done,
     /*  89207 */ // Label 1512: @89207
     /*  89207 */ GIM_Try, /*On fail goto*//*Label 1513*/ GIMT_Encode4(89236), // Rule ID 6730 //
     /*  89212 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  89215 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89219 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89223 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[v1i64] }:$src)  =>  FPR64:{ *:[v1f64] }:$src
     /*  89223 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89226 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89228 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89230 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89235 */   // GIR_Coverage, 6730,
     /*  89235 */   GIR_EraseRootFromParent_Done,
     /*  89236 */ // Label 1513: @89236
     /*  89236 */ GIM_Try, /*On fail goto*//*Label 1514*/ GIMT_Encode4(89265), // Rule ID 6731 //
     /*  89241 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  89244 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89248 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89252 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[f64] }:$src)  =>  FPR64:{ *:[v1f64] }:$src
     /*  89252 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89255 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89257 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89259 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89264 */   // GIR_Coverage, 6731,
     /*  89264 */   GIR_EraseRootFromParent_Done,
     /*  89265 */ // Label 1514: @89265
     /*  89265 */ GIM_Reject,
     /*  89266 */ // Label 1436: @89266
     /*  89266 */ GIM_Try, /*On fail goto*//*Label 1515*/ GIMT_Encode4(89298), // Rule ID 6745 //
     /*  89271 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89274 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  89277 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89281 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89285 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v2i64] }:$src)  =>  FPR128:{ *:[f128] }:$src
     /*  89285 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89288 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89290 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89292 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89297 */   // GIR_Coverage, 6745,
     /*  89297 */   GIR_EraseRootFromParent_Done,
     /*  89298 */ // Label 1515: @89298
     /*  89298 */ GIM_Try, /*On fail goto*//*Label 1516*/ GIMT_Encode4(89330), // Rule ID 6746 //
     /*  89303 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89306 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  89309 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89313 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89317 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v4i32] }:$src)  =>  FPR128:{ *:[f128] }:$src
     /*  89317 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89320 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89322 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89324 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89329 */   // GIR_Coverage, 6746,
     /*  89329 */   GIR_EraseRootFromParent_Done,
     /*  89330 */ // Label 1516: @89330
     /*  89330 */ GIM_Try, /*On fail goto*//*Label 1517*/ GIMT_Encode4(89362), // Rule ID 6747 //
     /*  89335 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89338 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  89341 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89345 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89349 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v8i16] }:$src)  =>  FPR128:{ *:[f128] }:$src
     /*  89349 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89352 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89354 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89356 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89361 */   // GIR_Coverage, 6747,
     /*  89361 */   GIR_EraseRootFromParent_Done,
     /*  89362 */ // Label 1517: @89362
     /*  89362 */ GIM_Try, /*On fail goto*//*Label 1518*/ GIMT_Encode4(89394), // Rule ID 6748 //
     /*  89367 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89370 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  89373 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89377 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89381 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v2f64] }:$src)  =>  FPR128:{ *:[f128] }:$src
     /*  89381 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89384 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89386 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89388 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89393 */   // GIR_Coverage, 6748,
     /*  89393 */   GIR_EraseRootFromParent_Done,
     /*  89394 */ // Label 1518: @89394
     /*  89394 */ GIM_Try, /*On fail goto*//*Label 1519*/ GIMT_Encode4(89426), // Rule ID 6749 //
     /*  89399 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89402 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  89405 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89409 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89413 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v4f32] }:$src)  =>  FPR128:{ *:[f128] }:$src
     /*  89413 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89416 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89418 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89420 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89425 */   // GIR_Coverage, 6749,
     /*  89425 */   GIR_EraseRootFromParent_Done,
     /*  89426 */ // Label 1519: @89426
     /*  89426 */ GIM_Try, /*On fail goto*//*Label 1520*/ GIMT_Encode4(89458), // Rule ID 6750 //
     /*  89431 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89434 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  89437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89441 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89445 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v8f16] }:$src)  =>  FPR128:{ *:[f128] }:$src
     /*  89445 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89448 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89450 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89452 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89457 */   // GIR_Coverage, 6750,
     /*  89457 */   GIR_EraseRootFromParent_Done,
     /*  89458 */ // Label 1520: @89458
     /*  89458 */ GIM_Try, /*On fail goto*//*Label 1521*/ GIMT_Encode4(89490), // Rule ID 6751 //
     /*  89463 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89466 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  89469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89473 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89477 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v16i8] }:$src)  =>  FPR128:{ *:[f128] }:$src
     /*  89477 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89480 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89482 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89484 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89489 */   // GIR_Coverage, 6751,
     /*  89489 */   GIR_EraseRootFromParent_Done,
     /*  89490 */ // Label 1521: @89490
     /*  89490 */ GIM_Try, /*On fail goto*//*Label 1522*/ GIMT_Encode4(89523), // Rule ID 6752 //
     /*  89495 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89498 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  89501 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89505 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89509 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v2i64] }:$src)  =>  (EXTv16i8:{ *:[f128] } FPR128:{ *:[v2i64] }:$src, FPR128:{ *:[v2i64] }:$src, 8:{ *:[i32] })
     /*  89509 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  89512 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  89514 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89516 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89518 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  89521 */   GIR_RootConstrainSelectedInstOperands,
     /*  89522 */   // GIR_Coverage, 6752,
     /*  89522 */   GIR_EraseRootFromParent_Done,
     /*  89523 */ // Label 1522: @89523
     /*  89523 */ GIM_Try, /*On fail goto*//*Label 1523*/ GIMT_Encode4(89594), // Rule ID 6753 //
     /*  89528 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89531 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  89534 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89538 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89542 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v4i32] }:$src)  =>  (EXTv16i8:{ *:[f128] } (REV64v4i32:{ *:[f128] } FPR128:{ *:[v4i32] }:$src), (REV64v4i32:{ *:[f128] } FPR128:{ *:[v4i32] }:$src), 8:{ *:[i32] })
     /*  89542 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  89545 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  89549 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  89554 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  89558 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  89560 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  89563 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  89567 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  89572 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  89576 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  89578 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  89581 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  89583 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  89586 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  89589 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  89592 */   GIR_RootConstrainSelectedInstOperands,
     /*  89593 */   // GIR_Coverage, 6753,
     /*  89593 */   GIR_EraseRootFromParent_Done,
     /*  89594 */ // Label 1523: @89594
     /*  89594 */ GIM_Try, /*On fail goto*//*Label 1524*/ GIMT_Encode4(89665), // Rule ID 6754 //
     /*  89599 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89602 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  89605 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89609 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89613 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v8i16] }:$src)  =>  (EXTv16i8:{ *:[f128] } (REV64v8i16:{ *:[f128] } FPR128:{ *:[v8i16] }:$src), (REV64v8i16:{ *:[f128] } FPR128:{ *:[v8i16] }:$src), 8:{ *:[i32] })
     /*  89613 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  89616 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  89620 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  89625 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  89629 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  89631 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  89634 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  89638 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  89643 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  89647 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  89649 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  89652 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  89654 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  89657 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  89660 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  89663 */   GIR_RootConstrainSelectedInstOperands,
     /*  89664 */   // GIR_Coverage, 6754,
     /*  89664 */   GIR_EraseRootFromParent_Done,
     /*  89665 */ // Label 1524: @89665
     /*  89665 */ GIM_Try, /*On fail goto*//*Label 1525*/ GIMT_Encode4(89736), // Rule ID 6755 //
     /*  89670 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89673 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  89676 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89680 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89684 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v8f16] }:$src)  =>  (EXTv16i8:{ *:[f128] } (REV64v8i16:{ *:[f128] } FPR128:{ *:[v8f16] }:$src), (REV64v8i16:{ *:[f128] } FPR128:{ *:[v8f16] }:$src), 8:{ *:[i32] })
     /*  89684 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  89687 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  89691 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  89696 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  89700 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  89702 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  89705 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  89709 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  89714 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  89718 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  89720 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  89723 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  89725 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  89728 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  89731 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  89734 */   GIR_RootConstrainSelectedInstOperands,
     /*  89735 */   // GIR_Coverage, 6755,
     /*  89735 */   GIR_EraseRootFromParent_Done,
     /*  89736 */ // Label 1525: @89736
     /*  89736 */ GIM_Try, /*On fail goto*//*Label 1526*/ GIMT_Encode4(89769), // Rule ID 6756 //
     /*  89741 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89744 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  89747 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89751 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89755 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v2f64] }:$src)  =>  (EXTv16i8:{ *:[f128] } FPR128:{ *:[v2f64] }:$src, FPR128:{ *:[v2f64] }:$src, 8:{ *:[i32] })
     /*  89755 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  89758 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  89760 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89762 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89764 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  89767 */   GIR_RootConstrainSelectedInstOperands,
     /*  89768 */   // GIR_Coverage, 6756,
     /*  89768 */   GIR_EraseRootFromParent_Done,
     /*  89769 */ // Label 1526: @89769
     /*  89769 */ GIM_Try, /*On fail goto*//*Label 1527*/ GIMT_Encode4(89840), // Rule ID 6757 //
     /*  89774 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89777 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  89780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89784 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89788 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v4f32] }:$src)  =>  (EXTv16i8:{ *:[f128] } (REV64v4i32:{ *:[f128] } FPR128:{ *:[v4f32] }:$src), (REV64v4i32:{ *:[f128] } FPR128:{ *:[v4f32] }:$src), 8:{ *:[i32] })
     /*  89788 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  89791 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  89795 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  89800 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  89804 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  89806 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  89809 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  89813 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  89818 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  89822 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  89824 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  89827 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  89829 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  89832 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  89835 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  89838 */   GIR_RootConstrainSelectedInstOperands,
     /*  89839 */   // GIR_Coverage, 6757,
     /*  89839 */   GIR_EraseRootFromParent_Done,
     /*  89840 */ // Label 1527: @89840
     /*  89840 */ GIM_Try, /*On fail goto*//*Label 1528*/ GIMT_Encode4(89911), // Rule ID 6758 //
     /*  89845 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89848 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  89851 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89855 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  89859 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v16i8] }:$src)  =>  (EXTv16i8:{ *:[f128] } (REV64v16i8:{ *:[f128] } FPR128:{ *:[v16i8] }:$src), (REV64v16i8:{ *:[f128] } FPR128:{ *:[v16i8] }:$src), 8:{ *:[i32] })
     /*  89859 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  89862 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::REV64v16i8),
     /*  89866 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  89871 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  89875 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  89877 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  89880 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::REV64v16i8),
     /*  89884 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  89889 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  89893 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  89895 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  89898 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  89900 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  89903 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  89906 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  89909 */   GIR_RootConstrainSelectedInstOperands,
     /*  89910 */   // GIR_Coverage, 6758,
     /*  89910 */   GIR_EraseRootFromParent_Done,
     /*  89911 */ // Label 1528: @89911
     /*  89911 */ GIM_Reject,
     /*  89912 */ // Label 1437: @89912
     /*  89912 */ GIM_Try, /*On fail goto*//*Label 1529*/ GIMT_Encode4(89942), // Rule ID 6610 //
     /*  89917 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89920 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  89923 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89927 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  89931 */   // (bitconvert:{ *:[v2i32] } GPR64:{ *:[i64] }:$Xn)  =>  (COPY_TO_REGCLASS:{ *:[v2i32] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] })
     /*  89931 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89936 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89941 */   // GIR_Coverage, 6610,
     /*  89941 */   GIR_Done,
     /*  89942 */ // Label 1529: @89942
     /*  89942 */ GIM_Try, /*On fail goto*//*Label 1530*/ GIMT_Encode4(89972), // Rule ID 6612 //
     /*  89947 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89950 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  89953 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89957 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  89961 */   // (bitconvert:{ *:[v2f32] } GPR64:{ *:[i64] }:$Xn)  =>  (COPY_TO_REGCLASS:{ *:[v2f32] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] })
     /*  89961 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89966 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89971 */   // GIR_Coverage, 6612,
     /*  89971 */   GIR_Done,
     /*  89972 */ // Label 1530: @89972
     /*  89972 */ GIM_Try, /*On fail goto*//*Label 1531*/ GIMT_Encode4(90022), // Rule ID 6621 //
     /*  89977 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89980 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  89983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89987 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  89991 */   // (bitconvert:{ *:[v2i32] } GPR64:{ *:[i64] }:$Xn)  =>  (REV64v2i32:{ *:[v2i32] } (COPY_TO_REGCLASS:{ *:[i64] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] }))
     /*  89991 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  89994 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89998 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  90003 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Xn
     /*  90007 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90012 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  90015 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  90017 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  90020 */   GIR_RootConstrainSelectedInstOperands,
     /*  90021 */   // GIR_Coverage, 6621,
     /*  90021 */   GIR_EraseRootFromParent_Done,
     /*  90022 */ // Label 1531: @90022
     /*  90022 */ GIM_Try, /*On fail goto*//*Label 1532*/ GIMT_Encode4(90072), // Rule ID 6623 //
     /*  90027 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  90030 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  90033 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90037 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  90041 */   // (bitconvert:{ *:[v2f32] } GPR64:{ *:[i64] }:$Xn)  =>  (REV64v2i32:{ *:[v2f32] } (COPY_TO_REGCLASS:{ *:[i64] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] }))
     /*  90041 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  90044 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90048 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  90053 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Xn
     /*  90057 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90062 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  90065 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  90067 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  90070 */   GIR_RootConstrainSelectedInstOperands,
     /*  90071 */   // GIR_Coverage, 6623,
     /*  90071 */   GIR_EraseRootFromParent_Done,
     /*  90072 */ // Label 1532: @90072
     /*  90072 */ GIM_Try, /*On fail goto*//*Label 1533*/ GIMT_Encode4(90104), // Rule ID 6655 //
     /*  90077 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90080 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  90083 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90087 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90091 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[v1i64] }:$src)  =>  FPR64:{ *:[v2i32] }:$src
     /*  90091 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90094 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90096 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90098 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90103 */   // GIR_Coverage, 6655,
     /*  90103 */   GIR_EraseRootFromParent_Done,
     /*  90104 */ // Label 1533: @90104
     /*  90104 */ GIM_Try, /*On fail goto*//*Label 1534*/ GIMT_Encode4(90136), // Rule ID 6656 //
     /*  90109 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90112 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  90115 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90119 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90123 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[v4i16] }:$src)  =>  FPR64:{ *:[v2i32] }:$src
     /*  90123 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90126 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90128 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90130 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90135 */   // GIR_Coverage, 6656,
     /*  90135 */   GIR_EraseRootFromParent_Done,
     /*  90136 */ // Label 1534: @90136
     /*  90136 */ GIM_Try, /*On fail goto*//*Label 1535*/ GIMT_Encode4(90168), // Rule ID 6657 //
     /*  90141 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90144 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  90147 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90151 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90155 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[v8i8] }:$src)  =>  FPR64:{ *:[v2i32] }:$src
     /*  90155 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90158 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90160 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90162 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90167 */   // GIR_Coverage, 6657,
     /*  90167 */   GIR_EraseRootFromParent_Done,
     /*  90168 */ // Label 1535: @90168
     /*  90168 */ GIM_Try, /*On fail goto*//*Label 1536*/ GIMT_Encode4(90200), // Rule ID 6658 //
     /*  90173 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90176 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  90179 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90183 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90187 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[f64] }:$src)  =>  FPR64:{ *:[v2i32] }:$src
     /*  90187 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90190 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90192 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90194 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90199 */   // GIR_Coverage, 6658,
     /*  90199 */   GIR_EraseRootFromParent_Done,
     /*  90200 */ // Label 1536: @90200
     /*  90200 */ GIM_Try, /*On fail goto*//*Label 1537*/ GIMT_Encode4(90232), // Rule ID 6659 //
     /*  90205 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90208 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  90211 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90215 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90219 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[v1f64] }:$src)  =>  FPR64:{ *:[v2i32] }:$src
     /*  90219 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90222 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90224 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90226 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90231 */   // GIR_Coverage, 6659,
     /*  90231 */   GIR_EraseRootFromParent_Done,
     /*  90232 */ // Label 1537: @90232
     /*  90232 */ GIM_Try, /*On fail goto*//*Label 1538*/ GIMT_Encode4(90264), // Rule ID 6660 //
     /*  90237 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90240 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  90243 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90247 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90251 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[v4f16] }:$src)  =>  FPR64:{ *:[v2i32] }:$src
     /*  90251 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90254 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90256 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90258 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90263 */   // GIR_Coverage, 6660,
     /*  90263 */   GIR_EraseRootFromParent_Done,
     /*  90264 */ // Label 1538: @90264
     /*  90264 */ GIM_Try, /*On fail goto*//*Label 1539*/ GIMT_Encode4(90290), // Rule ID 6661 //
     /*  90269 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  90272 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  90275 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90279 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90283 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[v1i64] }:$src)  =>  (REV64v2i32:{ *:[v2i32] } FPR64:{ *:[v1i64] }:$src)
     /*  90283 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  90288 */   GIR_RootConstrainSelectedInstOperands,
     /*  90289 */   // GIR_Coverage, 6661,
     /*  90289 */   GIR_Done,
     /*  90290 */ // Label 1539: @90290
     /*  90290 */ GIM_Try, /*On fail goto*//*Label 1540*/ GIMT_Encode4(90316), // Rule ID 6662 //
     /*  90295 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  90298 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  90301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90305 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90309 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[v4i16] }:$src)  =>  (REV32v4i16:{ *:[v2i32] } FPR64:{ *:[v4i16] }:$src)
     /*  90309 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v4i16),
     /*  90314 */   GIR_RootConstrainSelectedInstOperands,
     /*  90315 */   // GIR_Coverage, 6662,
     /*  90315 */   GIR_Done,
     /*  90316 */ // Label 1540: @90316
     /*  90316 */ GIM_Try, /*On fail goto*//*Label 1541*/ GIMT_Encode4(90342), // Rule ID 6663 //
     /*  90321 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  90324 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  90327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90331 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90335 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[v8i8] }:$src)  =>  (REV32v8i8:{ *:[v2i32] } FPR64:{ *:[v8i8] }:$src)
     /*  90335 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i8),
     /*  90340 */   GIR_RootConstrainSelectedInstOperands,
     /*  90341 */   // GIR_Coverage, 6663,
     /*  90341 */   GIR_Done,
     /*  90342 */ // Label 1541: @90342
     /*  90342 */ GIM_Try, /*On fail goto*//*Label 1542*/ GIMT_Encode4(90368), // Rule ID 6664 //
     /*  90347 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  90350 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  90353 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90357 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90361 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[f64] }:$src)  =>  (REV64v2i32:{ *:[v2i32] } FPR64:{ *:[f64] }:$src)
     /*  90361 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  90366 */   GIR_RootConstrainSelectedInstOperands,
     /*  90367 */   // GIR_Coverage, 6664,
     /*  90367 */   GIR_Done,
     /*  90368 */ // Label 1542: @90368
     /*  90368 */ GIM_Try, /*On fail goto*//*Label 1543*/ GIMT_Encode4(90394), // Rule ID 6665 //
     /*  90373 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  90376 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  90379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90383 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90387 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[v1f64] }:$src)  =>  (REV64v2i32:{ *:[v2i32] } FPR64:{ *:[v1f64] }:$src)
     /*  90387 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  90392 */   GIR_RootConstrainSelectedInstOperands,
     /*  90393 */   // GIR_Coverage, 6665,
     /*  90393 */   GIR_Done,
     /*  90394 */ // Label 1543: @90394
     /*  90394 */ GIM_Try, /*On fail goto*//*Label 1544*/ GIMT_Encode4(90420), // Rule ID 6666 //
     /*  90399 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  90402 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  90405 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90409 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90413 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[v4f16] }:$src)  =>  (REV32v4i16:{ *:[v2i32] } FPR64:{ *:[v4f16] }:$src)
     /*  90413 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v4i16),
     /*  90418 */   GIR_RootConstrainSelectedInstOperands,
     /*  90419 */   // GIR_Coverage, 6666,
     /*  90419 */   GIR_Done,
     /*  90420 */ // Label 1544: @90420
     /*  90420 */ GIM_Try, /*On fail goto*//*Label 1545*/ GIMT_Encode4(90449), // Rule ID 6667 //
     /*  90425 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  90428 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90432 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90436 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[v2f32] }:$src)  =>  FPR64:{ *:[v2i32] }:$src
     /*  90436 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90439 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90441 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90443 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90448 */   // GIR_Coverage, 6667,
     /*  90448 */   GIR_EraseRootFromParent_Done,
     /*  90449 */ // Label 1545: @90449
     /*  90449 */ GIM_Try, /*On fail goto*//*Label 1546*/ GIMT_Encode4(90481), // Rule ID 6732 //
     /*  90454 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90457 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  90460 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90464 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90468 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[v1i64] }:$src)  =>  FPR64:{ *:[v2f32] }:$src
     /*  90468 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90471 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90473 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90475 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90480 */   // GIR_Coverage, 6732,
     /*  90480 */   GIR_EraseRootFromParent_Done,
     /*  90481 */ // Label 1546: @90481
     /*  90481 */ GIM_Try, /*On fail goto*//*Label 1547*/ GIMT_Encode4(90513), // Rule ID 6733 //
     /*  90486 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90489 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  90492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90496 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90500 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[v4i16] }:$src)  =>  FPR64:{ *:[v2f32] }:$src
     /*  90500 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90503 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90505 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90507 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90512 */   // GIR_Coverage, 6733,
     /*  90512 */   GIR_EraseRootFromParent_Done,
     /*  90513 */ // Label 1547: @90513
     /*  90513 */ GIM_Try, /*On fail goto*//*Label 1548*/ GIMT_Encode4(90545), // Rule ID 6734 //
     /*  90518 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90521 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  90524 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90528 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90532 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[v8i8] }:$src)  =>  FPR64:{ *:[v2f32] }:$src
     /*  90532 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90535 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90537 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90539 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90544 */   // GIR_Coverage, 6734,
     /*  90544 */   GIR_EraseRootFromParent_Done,
     /*  90545 */ // Label 1548: @90545
     /*  90545 */ GIM_Try, /*On fail goto*//*Label 1549*/ GIMT_Encode4(90577), // Rule ID 6735 //
     /*  90550 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90553 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  90556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90560 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90564 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[v1f64] }:$src)  =>  FPR64:{ *:[v2f32] }:$src
     /*  90564 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90567 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90569 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90571 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90576 */   // GIR_Coverage, 6735,
     /*  90576 */   GIR_EraseRootFromParent_Done,
     /*  90577 */ // Label 1549: @90577
     /*  90577 */ GIM_Try, /*On fail goto*//*Label 1550*/ GIMT_Encode4(90609), // Rule ID 6736 //
     /*  90582 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90585 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  90588 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90592 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90596 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[f64] }:$src)  =>  FPR64:{ *:[v2f32] }:$src
     /*  90596 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90599 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90601 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90603 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90608 */   // GIR_Coverage, 6736,
     /*  90608 */   GIR_EraseRootFromParent_Done,
     /*  90609 */ // Label 1550: @90609
     /*  90609 */ GIM_Try, /*On fail goto*//*Label 1551*/ GIMT_Encode4(90641), // Rule ID 6737 //
     /*  90614 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90617 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  90620 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90624 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90628 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[v4f16] }:$src)  =>  FPR64:{ *:[v2f32] }:$src
     /*  90628 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90631 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90633 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90635 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90640 */   // GIR_Coverage, 6737,
     /*  90640 */   GIR_EraseRootFromParent_Done,
     /*  90641 */ // Label 1551: @90641
     /*  90641 */ GIM_Try, /*On fail goto*//*Label 1552*/ GIMT_Encode4(90667), // Rule ID 6738 //
     /*  90646 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  90649 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  90652 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90656 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90660 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[v1i64] }:$src)  =>  (REV64v2i32:{ *:[v2f32] } FPR64:{ *:[v1i64] }:$src)
     /*  90660 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  90665 */   GIR_RootConstrainSelectedInstOperands,
     /*  90666 */   // GIR_Coverage, 6738,
     /*  90666 */   GIR_Done,
     /*  90667 */ // Label 1552: @90667
     /*  90667 */ GIM_Try, /*On fail goto*//*Label 1553*/ GIMT_Encode4(90693), // Rule ID 6739 //
     /*  90672 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  90675 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  90678 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90682 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90686 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[v4i16] }:$src)  =>  (REV32v4i16:{ *:[v2f32] } FPR64:{ *:[v4i16] }:$src)
     /*  90686 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v4i16),
     /*  90691 */   GIR_RootConstrainSelectedInstOperands,
     /*  90692 */   // GIR_Coverage, 6739,
     /*  90692 */   GIR_Done,
     /*  90693 */ // Label 1553: @90693
     /*  90693 */ GIM_Try, /*On fail goto*//*Label 1554*/ GIMT_Encode4(90719), // Rule ID 6740 //
     /*  90698 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  90701 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  90704 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90708 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90712 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[v8i8] }:$src)  =>  (REV32v8i8:{ *:[v2f32] } FPR64:{ *:[v8i8] }:$src)
     /*  90712 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i8),
     /*  90717 */   GIR_RootConstrainSelectedInstOperands,
     /*  90718 */   // GIR_Coverage, 6740,
     /*  90718 */   GIR_Done,
     /*  90719 */ // Label 1554: @90719
     /*  90719 */ GIM_Try, /*On fail goto*//*Label 1555*/ GIMT_Encode4(90745), // Rule ID 6741 //
     /*  90724 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  90727 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  90730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90734 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90738 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[v1f64] }:$src)  =>  (REV64v2i32:{ *:[v2f32] } FPR64:{ *:[v1f64] }:$src)
     /*  90738 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  90743 */   GIR_RootConstrainSelectedInstOperands,
     /*  90744 */   // GIR_Coverage, 6741,
     /*  90744 */   GIR_Done,
     /*  90745 */ // Label 1555: @90745
     /*  90745 */ GIM_Try, /*On fail goto*//*Label 1556*/ GIMT_Encode4(90771), // Rule ID 6742 //
     /*  90750 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  90753 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  90756 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90760 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90764 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[f64] }:$src)  =>  (REV64v2i32:{ *:[v2f32] } FPR64:{ *:[f64] }:$src)
     /*  90764 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  90769 */   GIR_RootConstrainSelectedInstOperands,
     /*  90770 */   // GIR_Coverage, 6742,
     /*  90770 */   GIR_Done,
     /*  90771 */ // Label 1556: @90771
     /*  90771 */ GIM_Try, /*On fail goto*//*Label 1557*/ GIMT_Encode4(90797), // Rule ID 6743 //
     /*  90776 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  90779 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  90782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90786 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90790 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[v4f16] }:$src)  =>  (REV32v4i16:{ *:[v2f32] } FPR64:{ *:[v4f16] }:$src)
     /*  90790 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v4i16),
     /*  90795 */   GIR_RootConstrainSelectedInstOperands,
     /*  90796 */   // GIR_Coverage, 6743,
     /*  90796 */   GIR_Done,
     /*  90797 */ // Label 1557: @90797
     /*  90797 */ GIM_Try, /*On fail goto*//*Label 1558*/ GIMT_Encode4(90826), // Rule ID 6744 //
     /*  90802 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  90805 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90809 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90813 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[v2i32] }:$src)  =>  FPR64:{ *:[v2f32] }:$src
     /*  90813 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90816 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90818 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90820 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90825 */   // GIR_Coverage, 6744,
     /*  90825 */   GIR_EraseRootFromParent_Done,
     /*  90826 */ // Label 1558: @90826
     /*  90826 */ GIM_Reject,
     /*  90827 */ // Label 1438: @90827
     /*  90827 */ GIM_Try, /*On fail goto*//*Label 1559*/ GIMT_Encode4(90859), // Rule ID 6759 //
     /*  90832 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90835 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  90838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90842 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90846 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[f128] }:$src)  =>  FPR128:{ *:[v2f64] }:$src
     /*  90846 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90849 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90851 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90853 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90858 */   // GIR_Coverage, 6759,
     /*  90858 */   GIR_EraseRootFromParent_Done,
     /*  90859 */ // Label 1559: @90859
     /*  90859 */ GIM_Try, /*On fail goto*//*Label 1560*/ GIMT_Encode4(90891), // Rule ID 6760 //
     /*  90864 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90867 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  90870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90874 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90878 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[v4i32] }:$src)  =>  FPR128:{ *:[v2f64] }:$src
     /*  90878 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90881 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90883 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90885 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90890 */   // GIR_Coverage, 6760,
     /*  90890 */   GIR_EraseRootFromParent_Done,
     /*  90891 */ // Label 1560: @90891
     /*  90891 */ GIM_Try, /*On fail goto*//*Label 1561*/ GIMT_Encode4(90923), // Rule ID 6761 //
     /*  90896 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90899 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  90902 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90906 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90910 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[v8i16] }:$src)  =>  FPR128:{ *:[v2f64] }:$src
     /*  90910 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90913 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90915 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90917 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90922 */   // GIR_Coverage, 6761,
     /*  90922 */   GIR_EraseRootFromParent_Done,
     /*  90923 */ // Label 1561: @90923
     /*  90923 */ GIM_Try, /*On fail goto*//*Label 1562*/ GIMT_Encode4(90955), // Rule ID 6762 //
     /*  90928 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90931 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  90934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90938 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90942 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[v8f16] }:$src)  =>  FPR128:{ *:[v2f64] }:$src
     /*  90942 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90945 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90947 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90949 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90954 */   // GIR_Coverage, 6762,
     /*  90954 */   GIR_EraseRootFromParent_Done,
     /*  90955 */ // Label 1562: @90955
     /*  90955 */ GIM_Try, /*On fail goto*//*Label 1563*/ GIMT_Encode4(90987), // Rule ID 6763 //
     /*  90960 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90963 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  90966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90970 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90974 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[v16i8] }:$src)  =>  FPR128:{ *:[v2f64] }:$src
     /*  90974 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90977 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90979 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90981 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90986 */   // GIR_Coverage, 6763,
     /*  90986 */   GIR_EraseRootFromParent_Done,
     /*  90987 */ // Label 1563: @90987
     /*  90987 */ GIM_Try, /*On fail goto*//*Label 1564*/ GIMT_Encode4(91019), // Rule ID 6764 //
     /*  90992 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90995 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  90998 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91002 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91006 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[v4f32] }:$src)  =>  FPR128:{ *:[v2f64] }:$src
     /*  91006 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91009 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91011 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91013 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91018 */   // GIR_Coverage, 6764,
     /*  91018 */   GIR_EraseRootFromParent_Done,
     /*  91019 */ // Label 1564: @91019
     /*  91019 */ GIM_Try, /*On fail goto*//*Label 1565*/ GIMT_Encode4(91052), // Rule ID 6765 //
     /*  91024 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91027 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  91030 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91034 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91038 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[f128] }:$src)  =>  (EXTv16i8:{ *:[v2f64] } FPR128:{ *:[f128] }:$src, FPR128:{ *:[f128] }:$src, 8:{ *:[i32] })
     /*  91038 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  91041 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  91043 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91045 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91047 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  91050 */   GIR_RootConstrainSelectedInstOperands,
     /*  91051 */   // GIR_Coverage, 6765,
     /*  91051 */   GIR_EraseRootFromParent_Done,
     /*  91052 */ // Label 1565: @91052
     /*  91052 */ GIM_Try, /*On fail goto*//*Label 1566*/ GIMT_Encode4(91078), // Rule ID 6766 //
     /*  91057 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91060 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  91063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91067 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91071 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[v4i32] }:$src)  =>  (REV64v4i32:{ *:[v2f64] } FPR128:{ *:[v4i32] }:$src)
     /*  91071 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  91076 */   GIR_RootConstrainSelectedInstOperands,
     /*  91077 */   // GIR_Coverage, 6766,
     /*  91077 */   GIR_Done,
     /*  91078 */ // Label 1566: @91078
     /*  91078 */ GIM_Try, /*On fail goto*//*Label 1567*/ GIMT_Encode4(91104), // Rule ID 6767 //
     /*  91083 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91086 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  91089 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91093 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91097 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[v8i16] }:$src)  =>  (REV64v8i16:{ *:[v2f64] } FPR128:{ *:[v8i16] }:$src)
     /*  91097 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  91102 */   GIR_RootConstrainSelectedInstOperands,
     /*  91103 */   // GIR_Coverage, 6767,
     /*  91103 */   GIR_Done,
     /*  91104 */ // Label 1567: @91104
     /*  91104 */ GIM_Try, /*On fail goto*//*Label 1568*/ GIMT_Encode4(91130), // Rule ID 6768 //
     /*  91109 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91112 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  91115 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91119 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91123 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[v8f16] }:$src)  =>  (REV64v8i16:{ *:[v2f64] } FPR128:{ *:[v8f16] }:$src)
     /*  91123 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  91128 */   GIR_RootConstrainSelectedInstOperands,
     /*  91129 */   // GIR_Coverage, 6768,
     /*  91129 */   GIR_Done,
     /*  91130 */ // Label 1568: @91130
     /*  91130 */ GIM_Try, /*On fail goto*//*Label 1569*/ GIMT_Encode4(91156), // Rule ID 6769 //
     /*  91135 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91138 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  91141 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91145 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91149 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[v16i8] }:$src)  =>  (REV64v16i8:{ *:[v2f64] } FPR128:{ *:[v16i8] }:$src)
     /*  91149 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v16i8),
     /*  91154 */   GIR_RootConstrainSelectedInstOperands,
     /*  91155 */   // GIR_Coverage, 6769,
     /*  91155 */   GIR_Done,
     /*  91156 */ // Label 1569: @91156
     /*  91156 */ GIM_Try, /*On fail goto*//*Label 1570*/ GIMT_Encode4(91182), // Rule ID 6770 //
     /*  91161 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91164 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  91167 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91171 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91175 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[v4f32] }:$src)  =>  (REV64v4i32:{ *:[v2f64] } FPR128:{ *:[v4f32] }:$src)
     /*  91175 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  91180 */   GIR_RootConstrainSelectedInstOperands,
     /*  91181 */   // GIR_Coverage, 6770,
     /*  91181 */   GIR_Done,
     /*  91182 */ // Label 1570: @91182
     /*  91182 */ GIM_Try, /*On fail goto*//*Label 1571*/ GIMT_Encode4(91211), // Rule ID 6771 //
     /*  91187 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  91190 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91194 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91198 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[v2i64] }:$src)  =>  FPR128:{ *:[v2f64] }:$src
     /*  91198 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91201 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91203 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91205 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91210 */   // GIR_Coverage, 6771,
     /*  91210 */   GIR_EraseRootFromParent_Done,
     /*  91211 */ // Label 1571: @91211
     /*  91211 */ GIM_Try, /*On fail goto*//*Label 1572*/ GIMT_Encode4(91243), // Rule ID 6785 //
     /*  91216 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91219 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  91222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91226 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91230 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[f128] }:$src)  =>  FPR128:{ *:[v2i64] }:$src
     /*  91230 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91233 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91235 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91237 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91242 */   // GIR_Coverage, 6785,
     /*  91242 */   GIR_EraseRootFromParent_Done,
     /*  91243 */ // Label 1572: @91243
     /*  91243 */ GIM_Try, /*On fail goto*//*Label 1573*/ GIMT_Encode4(91275), // Rule ID 6786 //
     /*  91248 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91251 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  91254 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91258 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91262 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[v4i32] }:$src)  =>  FPR128:{ *:[v2i64] }:$src
     /*  91262 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91265 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91267 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91269 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91274 */   // GIR_Coverage, 6786,
     /*  91274 */   GIR_EraseRootFromParent_Done,
     /*  91275 */ // Label 1573: @91275
     /*  91275 */ GIM_Try, /*On fail goto*//*Label 1574*/ GIMT_Encode4(91307), // Rule ID 6787 //
     /*  91280 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91283 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  91286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91290 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91294 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[v8i16] }:$src)  =>  FPR128:{ *:[v2i64] }:$src
     /*  91294 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91297 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91299 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91301 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91306 */   // GIR_Coverage, 6787,
     /*  91306 */   GIR_EraseRootFromParent_Done,
     /*  91307 */ // Label 1574: @91307
     /*  91307 */ GIM_Try, /*On fail goto*//*Label 1575*/ GIMT_Encode4(91339), // Rule ID 6788 //
     /*  91312 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91315 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  91318 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91322 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91326 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[v16i8] }:$src)  =>  FPR128:{ *:[v2i64] }:$src
     /*  91326 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91329 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91331 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91333 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91338 */   // GIR_Coverage, 6788,
     /*  91338 */   GIR_EraseRootFromParent_Done,
     /*  91339 */ // Label 1575: @91339
     /*  91339 */ GIM_Try, /*On fail goto*//*Label 1576*/ GIMT_Encode4(91371), // Rule ID 6789 //
     /*  91344 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91347 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  91350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91354 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91358 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[v4f32] }:$src)  =>  FPR128:{ *:[v2i64] }:$src
     /*  91358 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91361 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91363 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91365 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91370 */   // GIR_Coverage, 6789,
     /*  91370 */   GIR_EraseRootFromParent_Done,
     /*  91371 */ // Label 1576: @91371
     /*  91371 */ GIM_Try, /*On fail goto*//*Label 1577*/ GIMT_Encode4(91403), // Rule ID 6790 //
     /*  91376 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91379 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  91382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91386 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91390 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[v8f16] }:$src)  =>  FPR128:{ *:[v2i64] }:$src
     /*  91390 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91393 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91395 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91397 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91402 */   // GIR_Coverage, 6790,
     /*  91402 */   GIR_EraseRootFromParent_Done,
     /*  91403 */ // Label 1577: @91403
     /*  91403 */ GIM_Try, /*On fail goto*//*Label 1578*/ GIMT_Encode4(91436), // Rule ID 6791 //
     /*  91408 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91411 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  91414 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91418 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91422 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[f128] }:$src)  =>  (EXTv16i8:{ *:[v2i64] } FPR128:{ *:[f128] }:$src, FPR128:{ *:[f128] }:$src, 8:{ *:[i32] })
     /*  91422 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  91425 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  91427 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91429 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91431 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  91434 */   GIR_RootConstrainSelectedInstOperands,
     /*  91435 */   // GIR_Coverage, 6791,
     /*  91435 */   GIR_EraseRootFromParent_Done,
     /*  91436 */ // Label 1578: @91436
     /*  91436 */ GIM_Try, /*On fail goto*//*Label 1579*/ GIMT_Encode4(91462), // Rule ID 6792 //
     /*  91441 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91444 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  91447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91451 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91455 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[v4i32] }:$src)  =>  (REV64v4i32:{ *:[v2i64] } FPR128:{ *:[v4i32] }:$src)
     /*  91455 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  91460 */   GIR_RootConstrainSelectedInstOperands,
     /*  91461 */   // GIR_Coverage, 6792,
     /*  91461 */   GIR_Done,
     /*  91462 */ // Label 1579: @91462
     /*  91462 */ GIM_Try, /*On fail goto*//*Label 1580*/ GIMT_Encode4(91488), // Rule ID 6793 //
     /*  91467 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91470 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  91473 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91477 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91481 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[v8i16] }:$src)  =>  (REV64v8i16:{ *:[v2i64] } FPR128:{ *:[v8i16] }:$src)
     /*  91481 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  91486 */   GIR_RootConstrainSelectedInstOperands,
     /*  91487 */   // GIR_Coverage, 6793,
     /*  91487 */   GIR_Done,
     /*  91488 */ // Label 1580: @91488
     /*  91488 */ GIM_Try, /*On fail goto*//*Label 1581*/ GIMT_Encode4(91514), // Rule ID 6794 //
     /*  91493 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91496 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  91499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91503 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91507 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[v16i8] }:$src)  =>  (REV64v16i8:{ *:[v2i64] } FPR128:{ *:[v16i8] }:$src)
     /*  91507 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v16i8),
     /*  91512 */   GIR_RootConstrainSelectedInstOperands,
     /*  91513 */   // GIR_Coverage, 6794,
     /*  91513 */   GIR_Done,
     /*  91514 */ // Label 1581: @91514
     /*  91514 */ GIM_Try, /*On fail goto*//*Label 1582*/ GIMT_Encode4(91540), // Rule ID 6795 //
     /*  91519 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91522 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  91525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91529 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91533 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[v4f32] }:$src)  =>  (REV64v4i32:{ *:[v2i64] } FPR128:{ *:[v4f32] }:$src)
     /*  91533 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  91538 */   GIR_RootConstrainSelectedInstOperands,
     /*  91539 */   // GIR_Coverage, 6795,
     /*  91539 */   GIR_Done,
     /*  91540 */ // Label 1582: @91540
     /*  91540 */ GIM_Try, /*On fail goto*//*Label 1583*/ GIMT_Encode4(91566), // Rule ID 6796 //
     /*  91545 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91548 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  91551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91555 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91559 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[v8f16] }:$src)  =>  (REV64v8i16:{ *:[v2i64] } FPR128:{ *:[v8f16] }:$src)
     /*  91559 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  91564 */   GIR_RootConstrainSelectedInstOperands,
     /*  91565 */   // GIR_Coverage, 6796,
     /*  91565 */   GIR_Done,
     /*  91566 */ // Label 1583: @91566
     /*  91566 */ GIM_Try, /*On fail goto*//*Label 1584*/ GIMT_Encode4(91595), // Rule ID 6797 //
     /*  91571 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  91574 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91578 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91582 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[v2f64] }:$src)  =>  FPR128:{ *:[v2i64] }:$src
     /*  91582 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91585 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91587 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91589 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91594 */   // GIR_Coverage, 6797,
     /*  91594 */   GIR_EraseRootFromParent_Done,
     /*  91595 */ // Label 1584: @91595
     /*  91595 */ GIM_Reject,
     /*  91596 */ // Label 1439: @91596
     /*  91596 */ GIM_Try, /*On fail goto*//*Label 1585*/ GIMT_Encode4(91626), // Rule ID 6609 //
     /*  91601 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91604 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  91607 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91611 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  91615 */   // (bitconvert:{ *:[v4i16] } GPR64:{ *:[i64] }:$Xn)  =>  (COPY_TO_REGCLASS:{ *:[v4i16] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] })
     /*  91615 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91620 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91625 */   // GIR_Coverage, 6609,
     /*  91625 */   GIR_Done,
     /*  91626 */ // Label 1585: @91626
     /*  91626 */ GIM_Try, /*On fail goto*//*Label 1586*/ GIMT_Encode4(91656), // Rule ID 6611 //
     /*  91631 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91634 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  91637 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91641 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  91645 */   // (bitconvert:{ *:[v4f16] } GPR64:{ *:[i64] }:$Xn)  =>  (COPY_TO_REGCLASS:{ *:[v4f16] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] })
     /*  91645 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91650 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91655 */   // GIR_Coverage, 6611,
     /*  91655 */   GIR_Done,
     /*  91656 */ // Label 1586: @91656
     /*  91656 */ GIM_Try, /*On fail goto*//*Label 1587*/ GIMT_Encode4(91706), // Rule ID 6620 //
     /*  91661 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91664 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  91667 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91671 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  91675 */   // (bitconvert:{ *:[v4i16] } GPR64:{ *:[i64] }:$Xn)  =>  (REV64v4i16:{ *:[v4i16] } (COPY_TO_REGCLASS:{ *:[i64] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] }))
     /*  91675 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  91678 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91682 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  91687 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Xn
     /*  91691 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91696 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  91699 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  91701 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  91704 */   GIR_RootConstrainSelectedInstOperands,
     /*  91705 */   // GIR_Coverage, 6620,
     /*  91705 */   GIR_EraseRootFromParent_Done,
     /*  91706 */ // Label 1587: @91706
     /*  91706 */ GIM_Try, /*On fail goto*//*Label 1588*/ GIMT_Encode4(91756), // Rule ID 6622 //
     /*  91711 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91714 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  91717 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91721 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  91725 */   // (bitconvert:{ *:[v4f16] } GPR64:{ *:[i64] }:$Xn)  =>  (REV64v4i16:{ *:[v4f16] } (COPY_TO_REGCLASS:{ *:[i64] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] }))
     /*  91725 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  91728 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91732 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  91737 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Xn
     /*  91741 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91746 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  91749 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  91751 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  91754 */   GIR_RootConstrainSelectedInstOperands,
     /*  91755 */   // GIR_Coverage, 6622,
     /*  91755 */   GIR_EraseRootFromParent_Done,
     /*  91756 */ // Label 1588: @91756
     /*  91756 */ GIM_Try, /*On fail goto*//*Label 1589*/ GIMT_Encode4(91788), // Rule ID 6668 //
     /*  91761 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91764 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  91767 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91771 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91775 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[v1i64] }:$src)  =>  FPR64:{ *:[v4i16] }:$src
     /*  91775 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91778 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91780 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91782 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91787 */   // GIR_Coverage, 6668,
     /*  91787 */   GIR_EraseRootFromParent_Done,
     /*  91788 */ // Label 1589: @91788
     /*  91788 */ GIM_Try, /*On fail goto*//*Label 1590*/ GIMT_Encode4(91820), // Rule ID 6669 //
     /*  91793 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91796 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  91799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91803 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91807 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[v2i32] }:$src)  =>  FPR64:{ *:[v4i16] }:$src
     /*  91807 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91810 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91812 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91814 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91819 */   // GIR_Coverage, 6669,
     /*  91819 */   GIR_EraseRootFromParent_Done,
     /*  91820 */ // Label 1590: @91820
     /*  91820 */ GIM_Try, /*On fail goto*//*Label 1591*/ GIMT_Encode4(91852), // Rule ID 6670 //
     /*  91825 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91828 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  91831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91835 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91839 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[v8i8] }:$src)  =>  FPR64:{ *:[v4i16] }:$src
     /*  91839 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91842 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91844 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91846 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91851 */   // GIR_Coverage, 6670,
     /*  91851 */   GIR_EraseRootFromParent_Done,
     /*  91852 */ // Label 1591: @91852
     /*  91852 */ GIM_Try, /*On fail goto*//*Label 1592*/ GIMT_Encode4(91884), // Rule ID 6671 //
     /*  91857 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91860 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  91863 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91867 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91871 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[f64] }:$src)  =>  FPR64:{ *:[v4i16] }:$src
     /*  91871 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91874 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91876 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91878 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91883 */   // GIR_Coverage, 6671,
     /*  91883 */   GIR_EraseRootFromParent_Done,
     /*  91884 */ // Label 1592: @91884
     /*  91884 */ GIM_Try, /*On fail goto*//*Label 1593*/ GIMT_Encode4(91916), // Rule ID 6672 //
     /*  91889 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91892 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  91895 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91899 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91903 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[v2f32] }:$src)  =>  FPR64:{ *:[v4i16] }:$src
     /*  91903 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91906 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91908 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91910 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91915 */   // GIR_Coverage, 6672,
     /*  91915 */   GIR_EraseRootFromParent_Done,
     /*  91916 */ // Label 1593: @91916
     /*  91916 */ GIM_Try, /*On fail goto*//*Label 1594*/ GIMT_Encode4(91948), // Rule ID 6673 //
     /*  91921 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91924 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  91927 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91931 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91935 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[v1f64] }:$src)  =>  FPR64:{ *:[v4i16] }:$src
     /*  91935 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91938 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91940 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91942 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91947 */   // GIR_Coverage, 6673,
     /*  91947 */   GIR_EraseRootFromParent_Done,
     /*  91948 */ // Label 1594: @91948
     /*  91948 */ GIM_Try, /*On fail goto*//*Label 1595*/ GIMT_Encode4(91974), // Rule ID 6674 //
     /*  91953 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91956 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  91959 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91963 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91967 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[v1i64] }:$src)  =>  (REV64v4i16:{ *:[v4i16] } FPR64:{ *:[v1i64] }:$src)
     /*  91967 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  91972 */   GIR_RootConstrainSelectedInstOperands,
     /*  91973 */   // GIR_Coverage, 6674,
     /*  91973 */   GIR_Done,
     /*  91974 */ // Label 1595: @91974
     /*  91974 */ GIM_Try, /*On fail goto*//*Label 1596*/ GIMT_Encode4(92000), // Rule ID 6675 //
     /*  91979 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91982 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  91985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91989 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91993 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[v2i32] }:$src)  =>  (REV32v4i16:{ *:[v4i16] } FPR64:{ *:[v2i32] }:$src)
     /*  91993 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v4i16),
     /*  91998 */   GIR_RootConstrainSelectedInstOperands,
     /*  91999 */   // GIR_Coverage, 6675,
     /*  91999 */   GIR_Done,
     /*  92000 */ // Label 1596: @92000
     /*  92000 */ GIM_Try, /*On fail goto*//*Label 1597*/ GIMT_Encode4(92026), // Rule ID 6676 //
     /*  92005 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  92008 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  92011 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92015 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92019 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[v8i8] }:$src)  =>  (REV16v8i8:{ *:[v4i16] } FPR64:{ *:[v8i8] }:$src)
     /*  92019 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v8i8),
     /*  92024 */   GIR_RootConstrainSelectedInstOperands,
     /*  92025 */   // GIR_Coverage, 6676,
     /*  92025 */   GIR_Done,
     /*  92026 */ // Label 1597: @92026
     /*  92026 */ GIM_Try, /*On fail goto*//*Label 1598*/ GIMT_Encode4(92052), // Rule ID 6677 //
     /*  92031 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  92034 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  92037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92041 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92045 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[f64] }:$src)  =>  (REV64v4i16:{ *:[v4i16] } FPR64:{ *:[f64] }:$src)
     /*  92045 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  92050 */   GIR_RootConstrainSelectedInstOperands,
     /*  92051 */   // GIR_Coverage, 6677,
     /*  92051 */   GIR_Done,
     /*  92052 */ // Label 1598: @92052
     /*  92052 */ GIM_Try, /*On fail goto*//*Label 1599*/ GIMT_Encode4(92078), // Rule ID 6678 //
     /*  92057 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  92060 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  92063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92067 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92071 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[v2f32] }:$src)  =>  (REV32v4i16:{ *:[v4i16] } FPR64:{ *:[v2f32] }:$src)
     /*  92071 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v4i16),
     /*  92076 */   GIR_RootConstrainSelectedInstOperands,
     /*  92077 */   // GIR_Coverage, 6678,
     /*  92077 */   GIR_Done,
     /*  92078 */ // Label 1599: @92078
     /*  92078 */ GIM_Try, /*On fail goto*//*Label 1600*/ GIMT_Encode4(92104), // Rule ID 6679 //
     /*  92083 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  92086 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  92089 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92093 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92097 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[v1f64] }:$src)  =>  (REV64v4i16:{ *:[v4i16] } FPR64:{ *:[v1f64] }:$src)
     /*  92097 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  92102 */   GIR_RootConstrainSelectedInstOperands,
     /*  92103 */   // GIR_Coverage, 6679,
     /*  92103 */   GIR_Done,
     /*  92104 */ // Label 1600: @92104
     /*  92104 */ GIM_Try, /*On fail goto*//*Label 1601*/ GIMT_Encode4(92133), // Rule ID 6680 //
     /*  92109 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  92112 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92116 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92120 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[v4f16] }:$src)  =>  FPR64:{ *:[v4i16] }:$src
     /*  92120 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92123 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92125 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92127 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92132 */   // GIR_Coverage, 6680,
     /*  92132 */   GIR_EraseRootFromParent_Done,
     /*  92133 */ // Label 1601: @92133
     /*  92133 */ GIM_Try, /*On fail goto*//*Label 1602*/ GIMT_Encode4(92165), // Rule ID 6681 //
     /*  92138 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92141 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  92144 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92148 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92152 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[v1i64] }:$src)  =>  FPR64:{ *:[v4f16] }:$src
     /*  92152 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92155 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92157 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92159 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92164 */   // GIR_Coverage, 6681,
     /*  92164 */   GIR_EraseRootFromParent_Done,
     /*  92165 */ // Label 1602: @92165
     /*  92165 */ GIM_Try, /*On fail goto*//*Label 1603*/ GIMT_Encode4(92197), // Rule ID 6682 //
     /*  92170 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92173 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  92176 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92180 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92184 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[v2i32] }:$src)  =>  FPR64:{ *:[v4f16] }:$src
     /*  92184 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92187 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92189 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92191 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92196 */   // GIR_Coverage, 6682,
     /*  92196 */   GIR_EraseRootFromParent_Done,
     /*  92197 */ // Label 1603: @92197
     /*  92197 */ GIM_Try, /*On fail goto*//*Label 1604*/ GIMT_Encode4(92229), // Rule ID 6683 //
     /*  92202 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92205 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  92208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92212 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92216 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[v8i8] }:$src)  =>  FPR64:{ *:[v4f16] }:$src
     /*  92216 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92219 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92221 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92223 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92228 */   // GIR_Coverage, 6683,
     /*  92228 */   GIR_EraseRootFromParent_Done,
     /*  92229 */ // Label 1604: @92229
     /*  92229 */ GIM_Try, /*On fail goto*//*Label 1605*/ GIMT_Encode4(92261), // Rule ID 6684 //
     /*  92234 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92237 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  92240 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92244 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92248 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[f64] }:$src)  =>  FPR64:{ *:[v4f16] }:$src
     /*  92248 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92251 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92253 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92255 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92260 */   // GIR_Coverage, 6684,
     /*  92260 */   GIR_EraseRootFromParent_Done,
     /*  92261 */ // Label 1605: @92261
     /*  92261 */ GIM_Try, /*On fail goto*//*Label 1606*/ GIMT_Encode4(92293), // Rule ID 6685 //
     /*  92266 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92269 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  92272 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92276 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92280 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[v2f32] }:$src)  =>  FPR64:{ *:[v4f16] }:$src
     /*  92280 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92283 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92285 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92287 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92292 */   // GIR_Coverage, 6685,
     /*  92292 */   GIR_EraseRootFromParent_Done,
     /*  92293 */ // Label 1606: @92293
     /*  92293 */ GIM_Try, /*On fail goto*//*Label 1607*/ GIMT_Encode4(92325), // Rule ID 6686 //
     /*  92298 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92301 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  92304 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92308 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92312 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[v1f64] }:$src)  =>  FPR64:{ *:[v4f16] }:$src
     /*  92312 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92315 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92317 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92319 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92324 */   // GIR_Coverage, 6686,
     /*  92324 */   GIR_EraseRootFromParent_Done,
     /*  92325 */ // Label 1607: @92325
     /*  92325 */ GIM_Try, /*On fail goto*//*Label 1608*/ GIMT_Encode4(92351), // Rule ID 6687 //
     /*  92330 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  92333 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  92336 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92340 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92344 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[v1i64] }:$src)  =>  (REV64v4i16:{ *:[v4f16] } FPR64:{ *:[v1i64] }:$src)
     /*  92344 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  92349 */   GIR_RootConstrainSelectedInstOperands,
     /*  92350 */   // GIR_Coverage, 6687,
     /*  92350 */   GIR_Done,
     /*  92351 */ // Label 1608: @92351
     /*  92351 */ GIM_Try, /*On fail goto*//*Label 1609*/ GIMT_Encode4(92377), // Rule ID 6688 //
     /*  92356 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  92359 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  92362 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92366 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92370 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[v2i32] }:$src)  =>  (REV32v4i16:{ *:[v4f16] } FPR64:{ *:[v2i32] }:$src)
     /*  92370 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v4i16),
     /*  92375 */   GIR_RootConstrainSelectedInstOperands,
     /*  92376 */   // GIR_Coverage, 6688,
     /*  92376 */   GIR_Done,
     /*  92377 */ // Label 1609: @92377
     /*  92377 */ GIM_Try, /*On fail goto*//*Label 1610*/ GIMT_Encode4(92403), // Rule ID 6689 //
     /*  92382 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  92385 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  92388 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92392 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92396 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[v8i8] }:$src)  =>  (REV16v8i8:{ *:[v4f16] } FPR64:{ *:[v8i8] }:$src)
     /*  92396 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v8i8),
     /*  92401 */   GIR_RootConstrainSelectedInstOperands,
     /*  92402 */   // GIR_Coverage, 6689,
     /*  92402 */   GIR_Done,
     /*  92403 */ // Label 1610: @92403
     /*  92403 */ GIM_Try, /*On fail goto*//*Label 1611*/ GIMT_Encode4(92429), // Rule ID 6690 //
     /*  92408 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  92411 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  92414 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92418 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92422 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[f64] }:$src)  =>  (REV64v4i16:{ *:[v4f16] } FPR64:{ *:[f64] }:$src)
     /*  92422 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  92427 */   GIR_RootConstrainSelectedInstOperands,
     /*  92428 */   // GIR_Coverage, 6690,
     /*  92428 */   GIR_Done,
     /*  92429 */ // Label 1611: @92429
     /*  92429 */ GIM_Try, /*On fail goto*//*Label 1612*/ GIMT_Encode4(92455), // Rule ID 6691 //
     /*  92434 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  92437 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  92440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92444 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92448 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[v2f32] }:$src)  =>  (REV32v4i16:{ *:[v4f16] } FPR64:{ *:[v2f32] }:$src)
     /*  92448 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v4i16),
     /*  92453 */   GIR_RootConstrainSelectedInstOperands,
     /*  92454 */   // GIR_Coverage, 6691,
     /*  92454 */   GIR_Done,
     /*  92455 */ // Label 1612: @92455
     /*  92455 */ GIM_Try, /*On fail goto*//*Label 1613*/ GIMT_Encode4(92481), // Rule ID 6692 //
     /*  92460 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  92463 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  92466 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92470 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92474 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[v1f64] }:$src)  =>  (REV64v4i16:{ *:[v4f16] } FPR64:{ *:[v1f64] }:$src)
     /*  92474 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  92479 */   GIR_RootConstrainSelectedInstOperands,
     /*  92480 */   // GIR_Coverage, 6692,
     /*  92480 */   GIR_Done,
     /*  92481 */ // Label 1613: @92481
     /*  92481 */ GIM_Try, /*On fail goto*//*Label 1614*/ GIMT_Encode4(92510), // Rule ID 6693 //
     /*  92486 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  92489 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92493 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92497 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[v4i16] }:$src)  =>  FPR64:{ *:[v4f16] }:$src
     /*  92497 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92500 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92502 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92504 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92509 */   // GIR_Coverage, 6693,
     /*  92509 */   GIR_EraseRootFromParent_Done,
     /*  92510 */ // Label 1614: @92510
     /*  92510 */ GIM_Reject,
     /*  92511 */ // Label 1440: @92511
     /*  92511 */ GIM_Try, /*On fail goto*//*Label 1615*/ GIMT_Encode4(92543), // Rule ID 6772 //
     /*  92516 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92519 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  92522 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92526 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92530 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[f128] }:$src)  =>  FPR128:{ *:[v4f32] }:$src
     /*  92530 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92533 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92535 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92537 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92542 */   // GIR_Coverage, 6772,
     /*  92542 */   GIR_EraseRootFromParent_Done,
     /*  92543 */ // Label 1615: @92543
     /*  92543 */ GIM_Try, /*On fail goto*//*Label 1616*/ GIMT_Encode4(92575), // Rule ID 6773 //
     /*  92548 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92551 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  92554 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92558 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92562 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[v8i16] }:$src)  =>  FPR128:{ *:[v4f32] }:$src
     /*  92562 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92565 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92567 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92569 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92574 */   // GIR_Coverage, 6773,
     /*  92574 */   GIR_EraseRootFromParent_Done,
     /*  92575 */ // Label 1616: @92575
     /*  92575 */ GIM_Try, /*On fail goto*//*Label 1617*/ GIMT_Encode4(92607), // Rule ID 6774 //
     /*  92580 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92583 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  92586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92590 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92594 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[v8f16] }:$src)  =>  FPR128:{ *:[v4f32] }:$src
     /*  92594 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92597 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92599 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92601 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92606 */   // GIR_Coverage, 6774,
     /*  92606 */   GIR_EraseRootFromParent_Done,
     /*  92607 */ // Label 1617: @92607
     /*  92607 */ GIM_Try, /*On fail goto*//*Label 1618*/ GIMT_Encode4(92639), // Rule ID 6775 //
     /*  92612 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92615 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  92618 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92622 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92626 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[v16i8] }:$src)  =>  FPR128:{ *:[v4f32] }:$src
     /*  92626 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92629 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92631 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92633 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92638 */   // GIR_Coverage, 6775,
     /*  92638 */   GIR_EraseRootFromParent_Done,
     /*  92639 */ // Label 1618: @92639
     /*  92639 */ GIM_Try, /*On fail goto*//*Label 1619*/ GIMT_Encode4(92671), // Rule ID 6776 //
     /*  92644 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92647 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  92650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92654 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92658 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[v2i64] }:$src)  =>  FPR128:{ *:[v4f32] }:$src
     /*  92658 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92661 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92663 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92665 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92670 */   // GIR_Coverage, 6776,
     /*  92670 */   GIR_EraseRootFromParent_Done,
     /*  92671 */ // Label 1619: @92671
     /*  92671 */ GIM_Try, /*On fail goto*//*Label 1620*/ GIMT_Encode4(92703), // Rule ID 6777 //
     /*  92676 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92679 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  92682 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92686 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92690 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[v2f64] }:$src)  =>  FPR128:{ *:[v4f32] }:$src
     /*  92690 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92693 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92695 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92697 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92702 */   // GIR_Coverage, 6777,
     /*  92702 */   GIR_EraseRootFromParent_Done,
     /*  92703 */ // Label 1620: @92703
     /*  92703 */ GIM_Try, /*On fail goto*//*Label 1621*/ GIMT_Encode4(92774), // Rule ID 6778 //
     /*  92708 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  92711 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  92714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92718 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92722 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[f128] }:$src)  =>  (EXTv16i8:{ *:[v4f32] } (REV64v4i32:{ *:[f128] } FPR128:{ *:[f128] }:$src), (REV64v4i32:{ *:[f128] } FPR128:{ *:[f128] }:$src), 8:{ *:[i32] })
     /*  92722 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  92725 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  92729 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  92734 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  92738 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  92740 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  92743 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  92747 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  92752 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  92756 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  92758 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  92761 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  92763 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  92766 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  92769 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  92772 */   GIR_RootConstrainSelectedInstOperands,
     /*  92773 */   // GIR_Coverage, 6778,
     /*  92773 */   GIR_EraseRootFromParent_Done,
     /*  92774 */ // Label 1621: @92774
     /*  92774 */ GIM_Try, /*On fail goto*//*Label 1622*/ GIMT_Encode4(92800), // Rule ID 6779 //
     /*  92779 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  92782 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  92785 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92789 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92793 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[v8i16] }:$src)  =>  (REV32v8i16:{ *:[v4f32] } FPR128:{ *:[v8i16] }:$src)
     /*  92793 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i16),
     /*  92798 */   GIR_RootConstrainSelectedInstOperands,
     /*  92799 */   // GIR_Coverage, 6779,
     /*  92799 */   GIR_Done,
     /*  92800 */ // Label 1622: @92800
     /*  92800 */ GIM_Try, /*On fail goto*//*Label 1623*/ GIMT_Encode4(92826), // Rule ID 6780 //
     /*  92805 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  92808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  92811 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92815 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92819 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[v8f16] }:$src)  =>  (REV32v8i16:{ *:[v4f32] } FPR128:{ *:[v8f16] }:$src)
     /*  92819 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i16),
     /*  92824 */   GIR_RootConstrainSelectedInstOperands,
     /*  92825 */   // GIR_Coverage, 6780,
     /*  92825 */   GIR_Done,
     /*  92826 */ // Label 1623: @92826
     /*  92826 */ GIM_Try, /*On fail goto*//*Label 1624*/ GIMT_Encode4(92852), // Rule ID 6781 //
     /*  92831 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  92834 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  92837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92841 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92845 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[v16i8] }:$src)  =>  (REV32v16i8:{ *:[v4f32] } FPR128:{ *:[v16i8] }:$src)
     /*  92845 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v16i8),
     /*  92850 */   GIR_RootConstrainSelectedInstOperands,
     /*  92851 */   // GIR_Coverage, 6781,
     /*  92851 */   GIR_Done,
     /*  92852 */ // Label 1624: @92852
     /*  92852 */ GIM_Try, /*On fail goto*//*Label 1625*/ GIMT_Encode4(92878), // Rule ID 6782 //
     /*  92857 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  92860 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  92863 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92867 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92871 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[v2i64] }:$src)  =>  (REV64v4i32:{ *:[v4f32] } FPR128:{ *:[v2i64] }:$src)
     /*  92871 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  92876 */   GIR_RootConstrainSelectedInstOperands,
     /*  92877 */   // GIR_Coverage, 6782,
     /*  92877 */   GIR_Done,
     /*  92878 */ // Label 1625: @92878
     /*  92878 */ GIM_Try, /*On fail goto*//*Label 1626*/ GIMT_Encode4(92904), // Rule ID 6783 //
     /*  92883 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  92886 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  92889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92893 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92897 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[v2f64] }:$src)  =>  (REV64v4i32:{ *:[v4f32] } FPR128:{ *:[v2f64] }:$src)
     /*  92897 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  92902 */   GIR_RootConstrainSelectedInstOperands,
     /*  92903 */   // GIR_Coverage, 6783,
     /*  92903 */   GIR_Done,
     /*  92904 */ // Label 1626: @92904
     /*  92904 */ GIM_Try, /*On fail goto*//*Label 1627*/ GIMT_Encode4(92933), // Rule ID 6784 //
     /*  92909 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  92912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92916 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92920 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[v4i32] }:$src)  =>  FPR128:{ *:[v4f32] }:$src
     /*  92920 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92923 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92925 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92927 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92932 */   // GIR_Coverage, 6784,
     /*  92932 */   GIR_EraseRootFromParent_Done,
     /*  92933 */ // Label 1627: @92933
     /*  92933 */ GIM_Try, /*On fail goto*//*Label 1628*/ GIMT_Encode4(92965), // Rule ID 6798 //
     /*  92938 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92941 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  92944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92948 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92952 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[f128] }:$src)  =>  FPR128:{ *:[v4i32] }:$src
     /*  92952 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92955 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92957 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92959 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92964 */   // GIR_Coverage, 6798,
     /*  92964 */   GIR_EraseRootFromParent_Done,
     /*  92965 */ // Label 1628: @92965
     /*  92965 */ GIM_Try, /*On fail goto*//*Label 1629*/ GIMT_Encode4(92997), // Rule ID 6799 //
     /*  92970 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92973 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  92976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92980 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92984 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[v2i64] }:$src)  =>  FPR128:{ *:[v4i32] }:$src
     /*  92984 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92987 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92989 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92991 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92996 */   // GIR_Coverage, 6799,
     /*  92996 */   GIR_EraseRootFromParent_Done,
     /*  92997 */ // Label 1629: @92997
     /*  92997 */ GIM_Try, /*On fail goto*//*Label 1630*/ GIMT_Encode4(93029), // Rule ID 6800 //
     /*  93002 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  93005 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  93008 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93012 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93016 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[v8i16] }:$src)  =>  FPR128:{ *:[v4i32] }:$src
     /*  93016 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93019 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93021 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93023 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93028 */   // GIR_Coverage, 6800,
     /*  93028 */   GIR_EraseRootFromParent_Done,
     /*  93029 */ // Label 1630: @93029
     /*  93029 */ GIM_Try, /*On fail goto*//*Label 1631*/ GIMT_Encode4(93061), // Rule ID 6801 //
     /*  93034 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  93037 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  93040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93044 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93048 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[v16i8] }:$src)  =>  FPR128:{ *:[v4i32] }:$src
     /*  93048 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93051 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93053 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93055 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93060 */   // GIR_Coverage, 6801,
     /*  93060 */   GIR_EraseRootFromParent_Done,
     /*  93061 */ // Label 1631: @93061
     /*  93061 */ GIM_Try, /*On fail goto*//*Label 1632*/ GIMT_Encode4(93093), // Rule ID 6802 //
     /*  93066 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  93069 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  93072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93076 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93080 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[v2f64] }:$src)  =>  FPR128:{ *:[v4i32] }:$src
     /*  93080 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93083 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93085 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93087 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93092 */   // GIR_Coverage, 6802,
     /*  93092 */   GIR_EraseRootFromParent_Done,
     /*  93093 */ // Label 1632: @93093
     /*  93093 */ GIM_Try, /*On fail goto*//*Label 1633*/ GIMT_Encode4(93125), // Rule ID 6803 //
     /*  93098 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  93101 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  93104 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93108 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93112 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[v8f16] }:$src)  =>  FPR128:{ *:[v4i32] }:$src
     /*  93112 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93115 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93117 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93119 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93124 */   // GIR_Coverage, 6803,
     /*  93124 */   GIR_EraseRootFromParent_Done,
     /*  93125 */ // Label 1633: @93125
     /*  93125 */ GIM_Try, /*On fail goto*//*Label 1634*/ GIMT_Encode4(93196), // Rule ID 6804 //
     /*  93130 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93133 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  93136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93140 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93144 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[f128] }:$src)  =>  (EXTv16i8:{ *:[v4i32] } (REV64v4i32:{ *:[f128] } FPR128:{ *:[f128] }:$src), (REV64v4i32:{ *:[f128] } FPR128:{ *:[f128] }:$src), 8:{ *:[i32] })
     /*  93144 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  93147 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  93151 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  93156 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  93160 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  93162 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  93165 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  93169 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  93174 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  93178 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  93180 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  93183 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  93185 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  93188 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  93191 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  93194 */   GIR_RootConstrainSelectedInstOperands,
     /*  93195 */   // GIR_Coverage, 6804,
     /*  93195 */   GIR_EraseRootFromParent_Done,
     /*  93196 */ // Label 1634: @93196
     /*  93196 */ GIM_Try, /*On fail goto*//*Label 1635*/ GIMT_Encode4(93222), // Rule ID 6805 //
     /*  93201 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93204 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  93207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93211 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93215 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[v2i64] }:$src)  =>  (REV64v4i32:{ *:[v4i32] } FPR128:{ *:[v2i64] }:$src)
     /*  93215 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  93220 */   GIR_RootConstrainSelectedInstOperands,
     /*  93221 */   // GIR_Coverage, 6805,
     /*  93221 */   GIR_Done,
     /*  93222 */ // Label 1635: @93222
     /*  93222 */ GIM_Try, /*On fail goto*//*Label 1636*/ GIMT_Encode4(93248), // Rule ID 6806 //
     /*  93227 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93230 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  93233 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93237 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93241 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[v8i16] }:$src)  =>  (REV32v8i16:{ *:[v4i32] } FPR128:{ *:[v8i16] }:$src)
     /*  93241 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i16),
     /*  93246 */   GIR_RootConstrainSelectedInstOperands,
     /*  93247 */   // GIR_Coverage, 6806,
     /*  93247 */   GIR_Done,
     /*  93248 */ // Label 1636: @93248
     /*  93248 */ GIM_Try, /*On fail goto*//*Label 1637*/ GIMT_Encode4(93274), // Rule ID 6807 //
     /*  93253 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93256 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  93259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93263 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93267 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[v16i8] }:$src)  =>  (REV32v16i8:{ *:[v4i32] } FPR128:{ *:[v16i8] }:$src)
     /*  93267 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v16i8),
     /*  93272 */   GIR_RootConstrainSelectedInstOperands,
     /*  93273 */   // GIR_Coverage, 6807,
     /*  93273 */   GIR_Done,
     /*  93274 */ // Label 1637: @93274
     /*  93274 */ GIM_Try, /*On fail goto*//*Label 1638*/ GIMT_Encode4(93300), // Rule ID 6808 //
     /*  93279 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93282 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  93285 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93289 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93293 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[v2f64] }:$src)  =>  (REV64v4i32:{ *:[v4i32] } FPR128:{ *:[v2f64] }:$src)
     /*  93293 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  93298 */   GIR_RootConstrainSelectedInstOperands,
     /*  93299 */   // GIR_Coverage, 6808,
     /*  93299 */   GIR_Done,
     /*  93300 */ // Label 1638: @93300
     /*  93300 */ GIM_Try, /*On fail goto*//*Label 1639*/ GIMT_Encode4(93326), // Rule ID 6809 //
     /*  93305 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93308 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  93311 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93315 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93319 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[v8f16] }:$src)  =>  (REV32v8i16:{ *:[v4i32] } FPR128:{ *:[v8f16] }:$src)
     /*  93319 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i16),
     /*  93324 */   GIR_RootConstrainSelectedInstOperands,
     /*  93325 */   // GIR_Coverage, 6809,
     /*  93325 */   GIR_Done,
     /*  93326 */ // Label 1639: @93326
     /*  93326 */ GIM_Try, /*On fail goto*//*Label 1640*/ GIMT_Encode4(93355), // Rule ID 6810 //
     /*  93331 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  93334 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93338 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93342 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[v4f32] }:$src)  =>  FPR128:{ *:[v4i32] }:$src
     /*  93342 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93345 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93347 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93349 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93354 */   // GIR_Coverage, 6810,
     /*  93354 */   GIR_EraseRootFromParent_Done,
     /*  93355 */ // Label 1640: @93355
     /*  93355 */ GIM_Reject,
     /*  93356 */ // Label 1441: @93356
     /*  93356 */ GIM_Try, /*On fail goto*//*Label 1641*/ GIMT_Encode4(93430), // Rule ID 5653 //
     /*  93361 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  93364 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93368 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  93372 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  93376 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  93380 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  93385 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  93387 */   // (bitconvert:{ *:[v8i8] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn))  =>  (SUBREG_TO_REG:{ *:[v8i8] } 0:{ *:[i32] }, (FMOVWSr:{ *:[f32] } GPR32:{ *:[i32] }:$Rn), ssub:{ *:[i32] })
     /*  93387 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  93390 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FMOVWSr),
     /*  93394 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  93399 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  93403 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  93405 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  93408 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  93410 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  93413 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  93416 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /*  93419 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93424 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  93429 */   // GIR_Coverage, 5653,
     /*  93429 */   GIR_EraseRootFromParent_Done,
     /*  93430 */ // Label 1641: @93430
     /*  93430 */ GIM_Try, /*On fail goto*//*Label 1642*/ GIMT_Encode4(93460), // Rule ID 6608 //
     /*  93435 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  93438 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  93441 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93445 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  93449 */   // (bitconvert:{ *:[v8i8] } GPR64:{ *:[i64] }:$Xn)  =>  (COPY_TO_REGCLASS:{ *:[v8i8] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] })
     /*  93449 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93454 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93459 */   // GIR_Coverage, 6608,
     /*  93459 */   GIR_Done,
     /*  93460 */ // Label 1642: @93460
     /*  93460 */ GIM_Try, /*On fail goto*//*Label 1643*/ GIMT_Encode4(93510), // Rule ID 6619 //
     /*  93465 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93468 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  93471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93475 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  93479 */   // (bitconvert:{ *:[v8i8] } GPR64:{ *:[i64] }:$Xn)  =>  (REV64v8i8:{ *:[v8i8] } (COPY_TO_REGCLASS:{ *:[i64] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] }))
     /*  93479 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  93482 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93486 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  93491 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Xn
     /*  93495 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93500 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i8),
     /*  93503 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  93505 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  93508 */   GIR_RootConstrainSelectedInstOperands,
     /*  93509 */   // GIR_Coverage, 6619,
     /*  93509 */   GIR_EraseRootFromParent_Done,
     /*  93510 */ // Label 1643: @93510
     /*  93510 */ GIM_Try, /*On fail goto*//*Label 1644*/ GIMT_Encode4(93542), // Rule ID 6694 //
     /*  93515 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  93518 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  93521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93525 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93529 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v1i64] }:$src)  =>  FPR64:{ *:[v8i8] }:$src
     /*  93529 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93532 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93534 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93536 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93541 */   // GIR_Coverage, 6694,
     /*  93541 */   GIR_EraseRootFromParent_Done,
     /*  93542 */ // Label 1644: @93542
     /*  93542 */ GIM_Try, /*On fail goto*//*Label 1645*/ GIMT_Encode4(93574), // Rule ID 6695 //
     /*  93547 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  93550 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  93553 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93557 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93561 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v2i32] }:$src)  =>  FPR64:{ *:[v8i8] }:$src
     /*  93561 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93564 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93566 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93568 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93573 */   // GIR_Coverage, 6695,
     /*  93573 */   GIR_EraseRootFromParent_Done,
     /*  93574 */ // Label 1645: @93574
     /*  93574 */ GIM_Try, /*On fail goto*//*Label 1646*/ GIMT_Encode4(93606), // Rule ID 6696 //
     /*  93579 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  93582 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  93585 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93589 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93593 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v4i16] }:$src)  =>  FPR64:{ *:[v8i8] }:$src
     /*  93593 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93596 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93598 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93600 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93605 */   // GIR_Coverage, 6696,
     /*  93605 */   GIR_EraseRootFromParent_Done,
     /*  93606 */ // Label 1646: @93606
     /*  93606 */ GIM_Try, /*On fail goto*//*Label 1647*/ GIMT_Encode4(93638), // Rule ID 6697 //
     /*  93611 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  93614 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  93617 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93621 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93625 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[f64] }:$src)  =>  FPR64:{ *:[v8i8] }:$src
     /*  93625 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93628 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93630 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93632 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93637 */   // GIR_Coverage, 6697,
     /*  93637 */   GIR_EraseRootFromParent_Done,
     /*  93638 */ // Label 1647: @93638
     /*  93638 */ GIM_Try, /*On fail goto*//*Label 1648*/ GIMT_Encode4(93670), // Rule ID 6698 //
     /*  93643 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  93646 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  93649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93653 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93657 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v2f32] }:$src)  =>  FPR64:{ *:[v8i8] }:$src
     /*  93657 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93660 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93662 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93664 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93669 */   // GIR_Coverage, 6698,
     /*  93669 */   GIR_EraseRootFromParent_Done,
     /*  93670 */ // Label 1648: @93670
     /*  93670 */ GIM_Try, /*On fail goto*//*Label 1649*/ GIMT_Encode4(93702), // Rule ID 6699 //
     /*  93675 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  93678 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  93681 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93685 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93689 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v1f64] }:$src)  =>  FPR64:{ *:[v8i8] }:$src
     /*  93689 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93692 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93694 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93696 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93701 */   // GIR_Coverage, 6699,
     /*  93701 */   GIR_EraseRootFromParent_Done,
     /*  93702 */ // Label 1649: @93702
     /*  93702 */ GIM_Try, /*On fail goto*//*Label 1650*/ GIMT_Encode4(93734), // Rule ID 6700 //
     /*  93707 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  93710 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  93713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93717 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93721 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v4f16] }:$src)  =>  FPR64:{ *:[v8i8] }:$src
     /*  93721 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93724 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93726 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93728 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93733 */   // GIR_Coverage, 6700,
     /*  93733 */   GIR_EraseRootFromParent_Done,
     /*  93734 */ // Label 1650: @93734
     /*  93734 */ GIM_Try, /*On fail goto*//*Label 1651*/ GIMT_Encode4(93760), // Rule ID 6701 //
     /*  93739 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93742 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  93745 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93749 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93753 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v1i64] }:$src)  =>  (REV64v8i8:{ *:[v8i8] } FPR64:{ *:[v1i64] }:$src)
     /*  93753 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i8),
     /*  93758 */   GIR_RootConstrainSelectedInstOperands,
     /*  93759 */   // GIR_Coverage, 6701,
     /*  93759 */   GIR_Done,
     /*  93760 */ // Label 1651: @93760
     /*  93760 */ GIM_Try, /*On fail goto*//*Label 1652*/ GIMT_Encode4(93786), // Rule ID 6702 //
     /*  93765 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93768 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  93771 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93775 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93779 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v2i32] }:$src)  =>  (REV32v8i8:{ *:[v8i8] } FPR64:{ *:[v2i32] }:$src)
     /*  93779 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i8),
     /*  93784 */   GIR_RootConstrainSelectedInstOperands,
     /*  93785 */   // GIR_Coverage, 6702,
     /*  93785 */   GIR_Done,
     /*  93786 */ // Label 1652: @93786
     /*  93786 */ GIM_Try, /*On fail goto*//*Label 1653*/ GIMT_Encode4(93812), // Rule ID 6703 //
     /*  93791 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93794 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  93797 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93801 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93805 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v4i16] }:$src)  =>  (REV16v8i8:{ *:[v8i8] } FPR64:{ *:[v4i16] }:$src)
     /*  93805 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v8i8),
     /*  93810 */   GIR_RootConstrainSelectedInstOperands,
     /*  93811 */   // GIR_Coverage, 6703,
     /*  93811 */   GIR_Done,
     /*  93812 */ // Label 1653: @93812
     /*  93812 */ GIM_Try, /*On fail goto*//*Label 1654*/ GIMT_Encode4(93838), // Rule ID 6704 //
     /*  93817 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93820 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  93823 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93827 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93831 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[f64] }:$src)  =>  (REV64v8i8:{ *:[v8i8] } FPR64:{ *:[f64] }:$src)
     /*  93831 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i8),
     /*  93836 */   GIR_RootConstrainSelectedInstOperands,
     /*  93837 */   // GIR_Coverage, 6704,
     /*  93837 */   GIR_Done,
     /*  93838 */ // Label 1654: @93838
     /*  93838 */ GIM_Try, /*On fail goto*//*Label 1655*/ GIMT_Encode4(93864), // Rule ID 6705 //
     /*  93843 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93846 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  93849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93853 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93857 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v2f32] }:$src)  =>  (REV32v8i8:{ *:[v8i8] } FPR64:{ *:[v2f32] }:$src)
     /*  93857 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i8),
     /*  93862 */   GIR_RootConstrainSelectedInstOperands,
     /*  93863 */   // GIR_Coverage, 6705,
     /*  93863 */   GIR_Done,
     /*  93864 */ // Label 1655: @93864
     /*  93864 */ GIM_Try, /*On fail goto*//*Label 1656*/ GIMT_Encode4(93890), // Rule ID 6706 //
     /*  93869 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93872 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  93875 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93879 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93883 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v1f64] }:$src)  =>  (REV64v8i8:{ *:[v8i8] } FPR64:{ *:[v1f64] }:$src)
     /*  93883 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i8),
     /*  93888 */   GIR_RootConstrainSelectedInstOperands,
     /*  93889 */   // GIR_Coverage, 6706,
     /*  93889 */   GIR_Done,
     /*  93890 */ // Label 1656: @93890
     /*  93890 */ GIM_Try, /*On fail goto*//*Label 1657*/ GIMT_Encode4(93916), // Rule ID 6707 //
     /*  93895 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93898 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  93901 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93905 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93909 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v4f16] }:$src)  =>  (REV16v8i8:{ *:[v8i8] } FPR64:{ *:[v4f16] }:$src)
     /*  93909 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v8i8),
     /*  93914 */   GIR_RootConstrainSelectedInstOperands,
     /*  93915 */   // GIR_Coverage, 6707,
     /*  93915 */   GIR_Done,
     /*  93916 */ // Label 1657: @93916
     /*  93916 */ GIM_Reject,
     /*  93917 */ // Label 1442: @93917
     /*  93917 */ GIM_Try, /*On fail goto*//*Label 1658*/ GIMT_Encode4(93949), // Rule ID 6811 //
     /*  93922 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  93925 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  93928 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93932 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93936 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[f128] }:$src)  =>  FPR128:{ *:[v8i16] }:$src
     /*  93936 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93939 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93941 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93943 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93948 */   // GIR_Coverage, 6811,
     /*  93948 */   GIR_EraseRootFromParent_Done,
     /*  93949 */ // Label 1658: @93949
     /*  93949 */ GIM_Try, /*On fail goto*//*Label 1659*/ GIMT_Encode4(93981), // Rule ID 6812 //
     /*  93954 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  93957 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  93960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93964 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93968 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[v2i64] }:$src)  =>  FPR128:{ *:[v8i16] }:$src
     /*  93968 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93971 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93973 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93975 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93980 */   // GIR_Coverage, 6812,
     /*  93980 */   GIR_EraseRootFromParent_Done,
     /*  93981 */ // Label 1659: @93981
     /*  93981 */ GIM_Try, /*On fail goto*//*Label 1660*/ GIMT_Encode4(94013), // Rule ID 6813 //
     /*  93986 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  93989 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  93992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93996 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94000 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[v4i32] }:$src)  =>  FPR128:{ *:[v8i16] }:$src
     /*  94000 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94003 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94005 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94007 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94012 */   // GIR_Coverage, 6813,
     /*  94012 */   GIR_EraseRootFromParent_Done,
     /*  94013 */ // Label 1660: @94013
     /*  94013 */ GIM_Try, /*On fail goto*//*Label 1661*/ GIMT_Encode4(94045), // Rule ID 6814 //
     /*  94018 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  94021 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  94024 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94028 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94032 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[v16i8] }:$src)  =>  FPR128:{ *:[v8i16] }:$src
     /*  94032 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94035 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94037 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94039 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94044 */   // GIR_Coverage, 6814,
     /*  94044 */   GIR_EraseRootFromParent_Done,
     /*  94045 */ // Label 1661: @94045
     /*  94045 */ GIM_Try, /*On fail goto*//*Label 1662*/ GIMT_Encode4(94077), // Rule ID 6815 //
     /*  94050 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  94053 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  94056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94060 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94064 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[v2f64] }:$src)  =>  FPR128:{ *:[v8i16] }:$src
     /*  94064 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94067 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94069 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94071 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94076 */   // GIR_Coverage, 6815,
     /*  94076 */   GIR_EraseRootFromParent_Done,
     /*  94077 */ // Label 1662: @94077
     /*  94077 */ GIM_Try, /*On fail goto*//*Label 1663*/ GIMT_Encode4(94109), // Rule ID 6816 //
     /*  94082 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  94085 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  94088 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94092 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94096 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[v4f32] }:$src)  =>  FPR128:{ *:[v8i16] }:$src
     /*  94096 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94099 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94101 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94103 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94108 */   // GIR_Coverage, 6816,
     /*  94108 */   GIR_EraseRootFromParent_Done,
     /*  94109 */ // Label 1663: @94109
     /*  94109 */ GIM_Try, /*On fail goto*//*Label 1664*/ GIMT_Encode4(94180), // Rule ID 6817 //
     /*  94114 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  94117 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  94120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94124 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94128 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[f128] }:$src)  =>  (EXTv16i8:{ *:[v8i16] } (REV64v8i16:{ *:[f128] } FPR128:{ *:[f128] }:$src), (REV64v8i16:{ *:[f128] } FPR128:{ *:[f128] }:$src), 8:{ *:[i32] })
     /*  94128 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  94131 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  94135 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  94140 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  94144 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  94146 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  94149 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  94153 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  94158 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  94162 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  94164 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  94167 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  94169 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  94172 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  94175 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  94178 */   GIR_RootConstrainSelectedInstOperands,
     /*  94179 */   // GIR_Coverage, 6817,
     /*  94179 */   GIR_EraseRootFromParent_Done,
     /*  94180 */ // Label 1664: @94180
     /*  94180 */ GIM_Try, /*On fail goto*//*Label 1665*/ GIMT_Encode4(94206), // Rule ID 6818 //
     /*  94185 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  94188 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  94191 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94195 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94199 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[v2i64] }:$src)  =>  (REV64v8i16:{ *:[v8i16] } FPR128:{ *:[v2i64] }:$src)
     /*  94199 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  94204 */   GIR_RootConstrainSelectedInstOperands,
     /*  94205 */   // GIR_Coverage, 6818,
     /*  94205 */   GIR_Done,
     /*  94206 */ // Label 1665: @94206
     /*  94206 */ GIM_Try, /*On fail goto*//*Label 1666*/ GIMT_Encode4(94232), // Rule ID 6819 //
     /*  94211 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  94214 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  94217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94221 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94225 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[v4i32] }:$src)  =>  (REV32v8i16:{ *:[v8i16] } FPR128:{ *:[v4i32] }:$src)
     /*  94225 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i16),
     /*  94230 */   GIR_RootConstrainSelectedInstOperands,
     /*  94231 */   // GIR_Coverage, 6819,
     /*  94231 */   GIR_Done,
     /*  94232 */ // Label 1666: @94232
     /*  94232 */ GIM_Try, /*On fail goto*//*Label 1667*/ GIMT_Encode4(94258), // Rule ID 6820 //
     /*  94237 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  94240 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  94243 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94247 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94251 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[v16i8] }:$src)  =>  (REV16v16i8:{ *:[v8i16] } FPR128:{ *:[v16i8] }:$src)
     /*  94251 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v16i8),
     /*  94256 */   GIR_RootConstrainSelectedInstOperands,
     /*  94257 */   // GIR_Coverage, 6820,
     /*  94257 */   GIR_Done,
     /*  94258 */ // Label 1667: @94258
     /*  94258 */ GIM_Try, /*On fail goto*//*Label 1668*/ GIMT_Encode4(94284), // Rule ID 6821 //
     /*  94263 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  94266 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  94269 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94273 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94277 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[v2f64] }:$src)  =>  (REV64v8i16:{ *:[v8i16] } FPR128:{ *:[v2f64] }:$src)
     /*  94277 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  94282 */   GIR_RootConstrainSelectedInstOperands,
     /*  94283 */   // GIR_Coverage, 6821,
     /*  94283 */   GIR_Done,
     /*  94284 */ // Label 1668: @94284
     /*  94284 */ GIM_Try, /*On fail goto*//*Label 1669*/ GIMT_Encode4(94310), // Rule ID 6822 //
     /*  94289 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  94292 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  94295 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94299 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94303 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[v4f32] }:$src)  =>  (REV32v8i16:{ *:[v8i16] } FPR128:{ *:[v4f32] }:$src)
     /*  94303 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i16),
     /*  94308 */   GIR_RootConstrainSelectedInstOperands,
     /*  94309 */   // GIR_Coverage, 6822,
     /*  94309 */   GIR_Done,
     /*  94310 */ // Label 1669: @94310
     /*  94310 */ GIM_Try, /*On fail goto*//*Label 1670*/ GIMT_Encode4(94339), // Rule ID 6823 //
     /*  94315 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  94318 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94322 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94326 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[v8f16] }:$src)  =>  FPR128:{ *:[v8i16] }:$src
     /*  94326 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94329 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94331 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94333 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94338 */   // GIR_Coverage, 6823,
     /*  94338 */   GIR_EraseRootFromParent_Done,
     /*  94339 */ // Label 1670: @94339
     /*  94339 */ GIM_Try, /*On fail goto*//*Label 1671*/ GIMT_Encode4(94371), // Rule ID 6824 //
     /*  94344 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  94347 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  94350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94354 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94358 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[f128] }:$src)  =>  FPR128:{ *:[v8f16] }:$src
     /*  94358 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94361 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94363 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94365 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94370 */   // GIR_Coverage, 6824,
     /*  94370 */   GIR_EraseRootFromParent_Done,
     /*  94371 */ // Label 1671: @94371
     /*  94371 */ GIM_Try, /*On fail goto*//*Label 1672*/ GIMT_Encode4(94403), // Rule ID 6825 //
     /*  94376 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  94379 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  94382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94386 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94390 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[v2i64] }:$src)  =>  FPR128:{ *:[v8f16] }:$src
     /*  94390 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94393 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94395 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94397 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94402 */   // GIR_Coverage, 6825,
     /*  94402 */   GIR_EraseRootFromParent_Done,
     /*  94403 */ // Label 1672: @94403
     /*  94403 */ GIM_Try, /*On fail goto*//*Label 1673*/ GIMT_Encode4(94435), // Rule ID 6826 //
     /*  94408 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  94411 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  94414 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94418 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94422 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[v4i32] }:$src)  =>  FPR128:{ *:[v8f16] }:$src
     /*  94422 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94425 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94427 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94429 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94434 */   // GIR_Coverage, 6826,
     /*  94434 */   GIR_EraseRootFromParent_Done,
     /*  94435 */ // Label 1673: @94435
     /*  94435 */ GIM_Try, /*On fail goto*//*Label 1674*/ GIMT_Encode4(94467), // Rule ID 6827 //
     /*  94440 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  94443 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  94446 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94450 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94454 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[v16i8] }:$src)  =>  FPR128:{ *:[v8f16] }:$src
     /*  94454 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94457 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94459 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94461 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94466 */   // GIR_Coverage, 6827,
     /*  94466 */   GIR_EraseRootFromParent_Done,
     /*  94467 */ // Label 1674: @94467
     /*  94467 */ GIM_Try, /*On fail goto*//*Label 1675*/ GIMT_Encode4(94499), // Rule ID 6828 //
     /*  94472 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  94475 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  94478 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94482 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94486 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[v2f64] }:$src)  =>  FPR128:{ *:[v8f16] }:$src
     /*  94486 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94489 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94491 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94493 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94498 */   // GIR_Coverage, 6828,
     /*  94498 */   GIR_EraseRootFromParent_Done,
     /*  94499 */ // Label 1675: @94499
     /*  94499 */ GIM_Try, /*On fail goto*//*Label 1676*/ GIMT_Encode4(94531), // Rule ID 6829 //
     /*  94504 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  94507 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  94510 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94514 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94518 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[v4f32] }:$src)  =>  FPR128:{ *:[v8f16] }:$src
     /*  94518 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94521 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94523 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94525 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94530 */   // GIR_Coverage, 6829,
     /*  94530 */   GIR_EraseRootFromParent_Done,
     /*  94531 */ // Label 1676: @94531
     /*  94531 */ GIM_Try, /*On fail goto*//*Label 1677*/ GIMT_Encode4(94602), // Rule ID 6830 //
     /*  94536 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  94539 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  94542 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94546 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94550 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[f128] }:$src)  =>  (EXTv16i8:{ *:[v8f16] } (REV64v8i16:{ *:[f128] } FPR128:{ *:[f128] }:$src), (REV64v8i16:{ *:[f128] } FPR128:{ *:[f128] }:$src), 8:{ *:[i32] })
     /*  94550 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  94553 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  94557 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  94562 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  94566 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  94568 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  94571 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  94575 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  94580 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  94584 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  94586 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  94589 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  94591 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  94594 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  94597 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  94600 */   GIR_RootConstrainSelectedInstOperands,
     /*  94601 */   // GIR_Coverage, 6830,
     /*  94601 */   GIR_EraseRootFromParent_Done,
     /*  94602 */ // Label 1677: @94602
     /*  94602 */ GIM_Try, /*On fail goto*//*Label 1678*/ GIMT_Encode4(94628), // Rule ID 6831 //
     /*  94607 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  94610 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  94613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94617 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94621 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[v2i64] }:$src)  =>  (REV64v8i16:{ *:[v8f16] } FPR128:{ *:[v2i64] }:$src)
     /*  94621 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  94626 */   GIR_RootConstrainSelectedInstOperands,
     /*  94627 */   // GIR_Coverage, 6831,
     /*  94627 */   GIR_Done,
     /*  94628 */ // Label 1678: @94628
     /*  94628 */ GIM_Try, /*On fail goto*//*Label 1679*/ GIMT_Encode4(94654), // Rule ID 6832 //
     /*  94633 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  94636 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  94639 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94643 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94647 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[v4i32] }:$src)  =>  (REV32v8i16:{ *:[v8f16] } FPR128:{ *:[v4i32] }:$src)
     /*  94647 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i16),
     /*  94652 */   GIR_RootConstrainSelectedInstOperands,
     /*  94653 */   // GIR_Coverage, 6832,
     /*  94653 */   GIR_Done,
     /*  94654 */ // Label 1679: @94654
     /*  94654 */ GIM_Try, /*On fail goto*//*Label 1680*/ GIMT_Encode4(94680), // Rule ID 6833 //
     /*  94659 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  94662 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  94665 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94669 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94673 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[v16i8] }:$src)  =>  (REV16v16i8:{ *:[v8f16] } FPR128:{ *:[v16i8] }:$src)
     /*  94673 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v16i8),
     /*  94678 */   GIR_RootConstrainSelectedInstOperands,
     /*  94679 */   // GIR_Coverage, 6833,
     /*  94679 */   GIR_Done,
     /*  94680 */ // Label 1680: @94680
     /*  94680 */ GIM_Try, /*On fail goto*//*Label 1681*/ GIMT_Encode4(94706), // Rule ID 6834 //
     /*  94685 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  94688 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  94691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94695 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94699 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[v2f64] }:$src)  =>  (REV64v8i16:{ *:[v8f16] } FPR128:{ *:[v2f64] }:$src)
     /*  94699 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  94704 */   GIR_RootConstrainSelectedInstOperands,
     /*  94705 */   // GIR_Coverage, 6834,
     /*  94705 */   GIR_Done,
     /*  94706 */ // Label 1681: @94706
     /*  94706 */ GIM_Try, /*On fail goto*//*Label 1682*/ GIMT_Encode4(94732), // Rule ID 6835 //
     /*  94711 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  94714 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  94717 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94721 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94725 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[v4f32] }:$src)  =>  (REV32v8i16:{ *:[v8f16] } FPR128:{ *:[v4f32] }:$src)
     /*  94725 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i16),
     /*  94730 */   GIR_RootConstrainSelectedInstOperands,
     /*  94731 */   // GIR_Coverage, 6835,
     /*  94731 */   GIR_Done,
     /*  94732 */ // Label 1682: @94732
     /*  94732 */ GIM_Try, /*On fail goto*//*Label 1683*/ GIMT_Encode4(94761), // Rule ID 6836 //
     /*  94737 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  94740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94744 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94748 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[v8i16] }:$src)  =>  FPR128:{ *:[v8f16] }:$src
     /*  94748 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94751 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94753 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94755 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94760 */   // GIR_Coverage, 6836,
     /*  94760 */   GIR_EraseRootFromParent_Done,
     /*  94761 */ // Label 1683: @94761
     /*  94761 */ GIM_Reject,
     /*  94762 */ // Label 1443: @94762
     /*  94762 */ GIM_Try, /*On fail goto*//*Label 1684*/ GIMT_Encode4(94794), // Rule ID 6837 //
     /*  94767 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  94770 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  94773 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94777 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94781 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[f128] }:$src)  =>  FPR128:{ *:[v16i8] }:$src
     /*  94781 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94784 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94786 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94788 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94793 */   // GIR_Coverage, 6837,
     /*  94793 */   GIR_EraseRootFromParent_Done,
     /*  94794 */ // Label 1684: @94794
     /*  94794 */ GIM_Try, /*On fail goto*//*Label 1685*/ GIMT_Encode4(94826), // Rule ID 6838 //
     /*  94799 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  94802 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  94805 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94809 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94813 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v2i64] }:$src)  =>  FPR128:{ *:[v16i8] }:$src
     /*  94813 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94816 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94818 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94820 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94825 */   // GIR_Coverage, 6838,
     /*  94825 */   GIR_EraseRootFromParent_Done,
     /*  94826 */ // Label 1685: @94826
     /*  94826 */ GIM_Try, /*On fail goto*//*Label 1686*/ GIMT_Encode4(94858), // Rule ID 6839 //
     /*  94831 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  94834 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  94837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94841 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94845 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v4i32] }:$src)  =>  FPR128:{ *:[v16i8] }:$src
     /*  94845 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94848 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94850 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94852 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94857 */   // GIR_Coverage, 6839,
     /*  94857 */   GIR_EraseRootFromParent_Done,
     /*  94858 */ // Label 1686: @94858
     /*  94858 */ GIM_Try, /*On fail goto*//*Label 1687*/ GIMT_Encode4(94890), // Rule ID 6840 //
     /*  94863 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  94866 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  94869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94873 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94877 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v8i16] }:$src)  =>  FPR128:{ *:[v16i8] }:$src
     /*  94877 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94880 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94882 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94884 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94889 */   // GIR_Coverage, 6840,
     /*  94889 */   GIR_EraseRootFromParent_Done,
     /*  94890 */ // Label 1687: @94890
     /*  94890 */ GIM_Try, /*On fail goto*//*Label 1688*/ GIMT_Encode4(94922), // Rule ID 6841 //
     /*  94895 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  94898 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  94901 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94905 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94909 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v2f64] }:$src)  =>  FPR128:{ *:[v16i8] }:$src
     /*  94909 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94912 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94914 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94916 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94921 */   // GIR_Coverage, 6841,
     /*  94921 */   GIR_EraseRootFromParent_Done,
     /*  94922 */ // Label 1688: @94922
     /*  94922 */ GIM_Try, /*On fail goto*//*Label 1689*/ GIMT_Encode4(94954), // Rule ID 6842 //
     /*  94927 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  94930 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  94933 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94937 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94941 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v4f32] }:$src)  =>  FPR128:{ *:[v16i8] }:$src
     /*  94941 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94944 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94946 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94948 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94953 */   // GIR_Coverage, 6842,
     /*  94953 */   GIR_EraseRootFromParent_Done,
     /*  94954 */ // Label 1689: @94954
     /*  94954 */ GIM_Try, /*On fail goto*//*Label 1690*/ GIMT_Encode4(94986), // Rule ID 6843 //
     /*  94959 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  94962 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  94965 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94969 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94973 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v8f16] }:$src)  =>  FPR128:{ *:[v16i8] }:$src
     /*  94973 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94976 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94978 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94980 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94985 */   // GIR_Coverage, 6843,
     /*  94985 */   GIR_EraseRootFromParent_Done,
     /*  94986 */ // Label 1690: @94986
     /*  94986 */ GIM_Try, /*On fail goto*//*Label 1691*/ GIMT_Encode4(95057), // Rule ID 6844 //
     /*  94991 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  94994 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  94997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95001 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95005 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[f128] }:$src)  =>  (EXTv16i8:{ *:[v16i8] } (REV64v16i8:{ *:[f128] } FPR128:{ *:[f128] }:$src), (REV64v16i8:{ *:[f128] } FPR128:{ *:[f128] }:$src), 8:{ *:[i32] })
     /*  95005 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  95008 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::REV64v16i8),
     /*  95012 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  95017 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  95021 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  95023 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  95026 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::REV64v16i8),
     /*  95030 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  95035 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  95039 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  95041 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  95044 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  95046 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  95049 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  95052 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  95055 */   GIR_RootConstrainSelectedInstOperands,
     /*  95056 */   // GIR_Coverage, 6844,
     /*  95056 */   GIR_EraseRootFromParent_Done,
     /*  95057 */ // Label 1691: @95057
     /*  95057 */ GIM_Try, /*On fail goto*//*Label 1692*/ GIMT_Encode4(95083), // Rule ID 6845 //
     /*  95062 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  95065 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  95068 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95072 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95076 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v2i64] }:$src)  =>  (REV64v16i8:{ *:[v16i8] } FPR128:{ *:[v2i64] }:$src)
     /*  95076 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v16i8),
     /*  95081 */   GIR_RootConstrainSelectedInstOperands,
     /*  95082 */   // GIR_Coverage, 6845,
     /*  95082 */   GIR_Done,
     /*  95083 */ // Label 1692: @95083
     /*  95083 */ GIM_Try, /*On fail goto*//*Label 1693*/ GIMT_Encode4(95109), // Rule ID 6846 //
     /*  95088 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  95091 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  95094 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95098 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95102 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v4i32] }:$src)  =>  (REV32v16i8:{ *:[v16i8] } FPR128:{ *:[v4i32] }:$src)
     /*  95102 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v16i8),
     /*  95107 */   GIR_RootConstrainSelectedInstOperands,
     /*  95108 */   // GIR_Coverage, 6846,
     /*  95108 */   GIR_Done,
     /*  95109 */ // Label 1693: @95109
     /*  95109 */ GIM_Try, /*On fail goto*//*Label 1694*/ GIMT_Encode4(95135), // Rule ID 6847 //
     /*  95114 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  95117 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  95120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95124 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95128 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v8i16] }:$src)  =>  (REV16v16i8:{ *:[v16i8] } FPR128:{ *:[v8i16] }:$src)
     /*  95128 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v16i8),
     /*  95133 */   GIR_RootConstrainSelectedInstOperands,
     /*  95134 */   // GIR_Coverage, 6847,
     /*  95134 */   GIR_Done,
     /*  95135 */ // Label 1694: @95135
     /*  95135 */ GIM_Try, /*On fail goto*//*Label 1695*/ GIMT_Encode4(95161), // Rule ID 6848 //
     /*  95140 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  95143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  95146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95150 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95154 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v2f64] }:$src)  =>  (REV64v16i8:{ *:[v16i8] } FPR128:{ *:[v2f64] }:$src)
     /*  95154 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v16i8),
     /*  95159 */   GIR_RootConstrainSelectedInstOperands,
     /*  95160 */   // GIR_Coverage, 6848,
     /*  95160 */   GIR_Done,
     /*  95161 */ // Label 1695: @95161
     /*  95161 */ GIM_Try, /*On fail goto*//*Label 1696*/ GIMT_Encode4(95187), // Rule ID 6849 //
     /*  95166 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  95169 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  95172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95176 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95180 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v4f32] }:$src)  =>  (REV32v16i8:{ *:[v16i8] } FPR128:{ *:[v4f32] }:$src)
     /*  95180 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v16i8),
     /*  95185 */   GIR_RootConstrainSelectedInstOperands,
     /*  95186 */   // GIR_Coverage, 6849,
     /*  95186 */   GIR_Done,
     /*  95187 */ // Label 1696: @95187
     /*  95187 */ GIM_Try, /*On fail goto*//*Label 1697*/ GIMT_Encode4(95213), // Rule ID 6850 //
     /*  95192 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  95195 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  95198 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95202 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95206 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v8f16] }:$src)  =>  (REV16v16i8:{ *:[v16i8] } FPR128:{ *:[v8f16] }:$src)
     /*  95206 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v16i8),
     /*  95211 */   GIR_RootConstrainSelectedInstOperands,
     /*  95212 */   // GIR_Coverage, 6850,
     /*  95212 */   GIR_Done,
     /*  95213 */ // Label 1697: @95213
     /*  95213 */ GIM_Reject,
     /*  95214 */ // Label 1444: @95214
     /*  95214 */ GIM_Try, /*On fail goto*//*Label 1698*/ GIMT_Encode4(95246), // Rule ID 10503 //
     /*  95219 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95222 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  95225 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95229 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95233 */   // (bitconvert:{ *:[nxv2i64] } ZPR:{ *:[nxv16i8] }:$src)  =>  ZPR:{ *:[nxv2i64] }:$src
     /*  95233 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95236 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95238 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95240 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95245 */   // GIR_Coverage, 10503,
     /*  95245 */   GIR_EraseRootFromParent_Done,
     /*  95246 */ // Label 1698: @95246
     /*  95246 */ GIM_Try, /*On fail goto*//*Label 1699*/ GIMT_Encode4(95278), // Rule ID 10504 //
     /*  95251 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95254 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  95257 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95261 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95265 */   // (bitconvert:{ *:[nxv2i64] } ZPR:{ *:[nxv8i16] }:$src)  =>  ZPR:{ *:[nxv2i64] }:$src
     /*  95265 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95268 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95270 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95272 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95277 */   // GIR_Coverage, 10504,
     /*  95277 */   GIR_EraseRootFromParent_Done,
     /*  95278 */ // Label 1699: @95278
     /*  95278 */ GIM_Try, /*On fail goto*//*Label 1700*/ GIMT_Encode4(95310), // Rule ID 10505 //
     /*  95283 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95286 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  95289 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95293 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95297 */   // (bitconvert:{ *:[nxv2i64] } ZPR:{ *:[nxv4i32] }:$src)  =>  ZPR:{ *:[nxv2i64] }:$src
     /*  95297 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95300 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95302 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95304 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95309 */   // GIR_Coverage, 10505,
     /*  95309 */   GIR_EraseRootFromParent_Done,
     /*  95310 */ // Label 1700: @95310
     /*  95310 */ GIM_Try, /*On fail goto*//*Label 1701*/ GIMT_Encode4(95342), // Rule ID 10506 //
     /*  95315 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95318 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  95321 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95325 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95329 */   // (bitconvert:{ *:[nxv2i64] } ZPR:{ *:[nxv8f16] }:$src)  =>  ZPR:{ *:[nxv2i64] }:$src
     /*  95329 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95332 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95334 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95336 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95341 */   // GIR_Coverage, 10506,
     /*  95341 */   GIR_EraseRootFromParent_Done,
     /*  95342 */ // Label 1701: @95342
     /*  95342 */ GIM_Try, /*On fail goto*//*Label 1702*/ GIMT_Encode4(95374), // Rule ID 10507 //
     /*  95347 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95350 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  95353 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95357 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95361 */   // (bitconvert:{ *:[nxv2i64] } ZPR:{ *:[nxv4f32] }:$src)  =>  ZPR:{ *:[nxv2i64] }:$src
     /*  95361 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95364 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95366 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95368 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95373 */   // GIR_Coverage, 10507,
     /*  95373 */   GIR_EraseRootFromParent_Done,
     /*  95374 */ // Label 1702: @95374
     /*  95374 */ GIM_Try, /*On fail goto*//*Label 1703*/ GIMT_Encode4(95406), // Rule ID 10508 //
     /*  95379 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95382 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  95385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95389 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95393 */   // (bitconvert:{ *:[nxv2i64] } ZPR:{ *:[nxv2f64] }:$src)  =>  ZPR:{ *:[nxv2i64] }:$src
     /*  95393 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95396 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95398 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95400 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95405 */   // GIR_Coverage, 10508,
     /*  95405 */   GIR_EraseRootFromParent_Done,
     /*  95406 */ // Label 1703: @95406
     /*  95406 */ GIM_Try, /*On fail goto*//*Label 1704*/ GIMT_Encode4(95438), // Rule ID 10521 //
     /*  95411 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95414 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  95417 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95421 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95425 */   // (bitconvert:{ *:[nxv2f64] } ZPR:{ *:[nxv16i8] }:$src)  =>  ZPR:{ *:[nxv2f64] }:$src
     /*  95425 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95428 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95430 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95432 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95437 */   // GIR_Coverage, 10521,
     /*  95437 */   GIR_EraseRootFromParent_Done,
     /*  95438 */ // Label 1704: @95438
     /*  95438 */ GIM_Try, /*On fail goto*//*Label 1705*/ GIMT_Encode4(95470), // Rule ID 10522 //
     /*  95443 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95446 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  95449 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95453 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95457 */   // (bitconvert:{ *:[nxv2f64] } ZPR:{ *:[nxv8i16] }:$src)  =>  ZPR:{ *:[nxv2f64] }:$src
     /*  95457 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95460 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95462 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95464 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95469 */   // GIR_Coverage, 10522,
     /*  95469 */   GIR_EraseRootFromParent_Done,
     /*  95470 */ // Label 1705: @95470
     /*  95470 */ GIM_Try, /*On fail goto*//*Label 1706*/ GIMT_Encode4(95502), // Rule ID 10523 //
     /*  95475 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95478 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  95481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95485 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95489 */   // (bitconvert:{ *:[nxv2f64] } ZPR:{ *:[nxv4i32] }:$src)  =>  ZPR:{ *:[nxv2f64] }:$src
     /*  95489 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95492 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95494 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95496 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95501 */   // GIR_Coverage, 10523,
     /*  95501 */   GIR_EraseRootFromParent_Done,
     /*  95502 */ // Label 1706: @95502
     /*  95502 */ GIM_Try, /*On fail goto*//*Label 1707*/ GIMT_Encode4(95534), // Rule ID 10524 //
     /*  95507 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95510 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  95513 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95517 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95521 */   // (bitconvert:{ *:[nxv2f64] } ZPR:{ *:[nxv2i64] }:$src)  =>  ZPR:{ *:[nxv2f64] }:$src
     /*  95521 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95524 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95526 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95528 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95533 */   // GIR_Coverage, 10524,
     /*  95533 */   GIR_EraseRootFromParent_Done,
     /*  95534 */ // Label 1707: @95534
     /*  95534 */ GIM_Try, /*On fail goto*//*Label 1708*/ GIMT_Encode4(95566), // Rule ID 10525 //
     /*  95539 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95542 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  95545 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95549 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95553 */   // (bitconvert:{ *:[nxv2f64] } ZPR:{ *:[nxv8f16] }:$src)  =>  ZPR:{ *:[nxv2f64] }:$src
     /*  95553 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95556 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95558 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95560 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95565 */   // GIR_Coverage, 10525,
     /*  95565 */   GIR_EraseRootFromParent_Done,
     /*  95566 */ // Label 1708: @95566
     /*  95566 */ GIM_Try, /*On fail goto*//*Label 1709*/ GIMT_Encode4(95598), // Rule ID 10526 //
     /*  95571 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95574 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  95577 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95581 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95585 */   // (bitconvert:{ *:[nxv2f64] } ZPR:{ *:[nxv4f32] }:$src)  =>  ZPR:{ *:[nxv2f64] }:$src
     /*  95585 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95588 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95590 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95592 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95597 */   // GIR_Coverage, 10526,
     /*  95597 */   GIR_EraseRootFromParent_Done,
     /*  95598 */ // Label 1709: @95598
     /*  95598 */ GIM_Try, /*On fail goto*//*Label 1710*/ GIMT_Encode4(95630), // Rule ID 10531 //
     /*  95603 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  95606 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  95609 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95613 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95617 */   // (bitconvert:{ *:[nxv2i64] } ZPR:{ *:[nxv2f64] }:$src)  =>  ZPR:{ *:[nxv2i64] }:$src
     /*  95617 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95620 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95622 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95624 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95629 */   // GIR_Coverage, 10531,
     /*  95629 */   GIR_EraseRootFromParent_Done,
     /*  95630 */ // Label 1710: @95630
     /*  95630 */ GIM_Try, /*On fail goto*//*Label 1711*/ GIMT_Encode4(95662), // Rule ID 10532 //
     /*  95635 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  95638 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  95641 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95645 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95649 */   // (bitconvert:{ *:[nxv2f64] } ZPR:{ *:[nxv2i64] }:$src)  =>  ZPR:{ *:[nxv2f64] }:$src
     /*  95649 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95652 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95654 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95656 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95661 */   // GIR_Coverage, 10532,
     /*  95661 */   GIR_EraseRootFromParent_Done,
     /*  95662 */ // Label 1711: @95662
     /*  95662 */ GIM_Reject,
     /*  95663 */ // Label 1445: @95663
     /*  95663 */ GIM_Try, /*On fail goto*//*Label 1712*/ GIMT_Encode4(95695), // Rule ID 10497 //
     /*  95668 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95671 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  95674 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95678 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95682 */   // (bitconvert:{ *:[nxv4i32] } ZPR:{ *:[nxv16i8] }:$src)  =>  ZPR:{ *:[nxv4i32] }:$src
     /*  95682 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95685 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95687 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95689 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95694 */   // GIR_Coverage, 10497,
     /*  95694 */   GIR_EraseRootFromParent_Done,
     /*  95695 */ // Label 1712: @95695
     /*  95695 */ GIM_Try, /*On fail goto*//*Label 1713*/ GIMT_Encode4(95727), // Rule ID 10498 //
     /*  95700 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95703 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  95706 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95710 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95714 */   // (bitconvert:{ *:[nxv4i32] } ZPR:{ *:[nxv8i16] }:$src)  =>  ZPR:{ *:[nxv4i32] }:$src
     /*  95714 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95717 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95719 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95721 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95726 */   // GIR_Coverage, 10498,
     /*  95726 */   GIR_EraseRootFromParent_Done,
     /*  95727 */ // Label 1713: @95727
     /*  95727 */ GIM_Try, /*On fail goto*//*Label 1714*/ GIMT_Encode4(95759), // Rule ID 10499 //
     /*  95732 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95735 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  95738 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95742 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95746 */   // (bitconvert:{ *:[nxv4i32] } ZPR:{ *:[nxv2i64] }:$src)  =>  ZPR:{ *:[nxv4i32] }:$src
     /*  95746 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95749 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95751 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95753 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95758 */   // GIR_Coverage, 10499,
     /*  95758 */   GIR_EraseRootFromParent_Done,
     /*  95759 */ // Label 1714: @95759
     /*  95759 */ GIM_Try, /*On fail goto*//*Label 1715*/ GIMT_Encode4(95791), // Rule ID 10500 //
     /*  95764 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95767 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  95770 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95774 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95778 */   // (bitconvert:{ *:[nxv4i32] } ZPR:{ *:[nxv8f16] }:$src)  =>  ZPR:{ *:[nxv4i32] }:$src
     /*  95778 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95781 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95783 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95785 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95790 */   // GIR_Coverage, 10500,
     /*  95790 */   GIR_EraseRootFromParent_Done,
     /*  95791 */ // Label 1715: @95791
     /*  95791 */ GIM_Try, /*On fail goto*//*Label 1716*/ GIMT_Encode4(95823), // Rule ID 10501 //
     /*  95796 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95799 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  95802 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95806 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95810 */   // (bitconvert:{ *:[nxv4i32] } ZPR:{ *:[nxv4f32] }:$src)  =>  ZPR:{ *:[nxv4i32] }:$src
     /*  95810 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95813 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95815 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95817 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95822 */   // GIR_Coverage, 10501,
     /*  95822 */   GIR_EraseRootFromParent_Done,
     /*  95823 */ // Label 1716: @95823
     /*  95823 */ GIM_Try, /*On fail goto*//*Label 1717*/ GIMT_Encode4(95855), // Rule ID 10502 //
     /*  95828 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95831 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  95834 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95838 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95842 */   // (bitconvert:{ *:[nxv4i32] } ZPR:{ *:[nxv2f64] }:$src)  =>  ZPR:{ *:[nxv4i32] }:$src
     /*  95842 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95845 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95847 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95849 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95854 */   // GIR_Coverage, 10502,
     /*  95854 */   GIR_EraseRootFromParent_Done,
     /*  95855 */ // Label 1717: @95855
     /*  95855 */ GIM_Try, /*On fail goto*//*Label 1718*/ GIMT_Encode4(95887), // Rule ID 10515 //
     /*  95860 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95863 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  95866 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95870 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95874 */   // (bitconvert:{ *:[nxv4f32] } ZPR:{ *:[nxv16i8] }:$src)  =>  ZPR:{ *:[nxv4f32] }:$src
     /*  95874 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95877 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95879 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95881 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95886 */   // GIR_Coverage, 10515,
     /*  95886 */   GIR_EraseRootFromParent_Done,
     /*  95887 */ // Label 1718: @95887
     /*  95887 */ GIM_Try, /*On fail goto*//*Label 1719*/ GIMT_Encode4(95919), // Rule ID 10516 //
     /*  95892 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95895 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  95898 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95902 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95906 */   // (bitconvert:{ *:[nxv4f32] } ZPR:{ *:[nxv8i16] }:$src)  =>  ZPR:{ *:[nxv4f32] }:$src
     /*  95906 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95909 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95911 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95913 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95918 */   // GIR_Coverage, 10516,
     /*  95918 */   GIR_EraseRootFromParent_Done,
     /*  95919 */ // Label 1719: @95919
     /*  95919 */ GIM_Try, /*On fail goto*//*Label 1720*/ GIMT_Encode4(95951), // Rule ID 10517 //
     /*  95924 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95927 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  95930 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95934 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95938 */   // (bitconvert:{ *:[nxv4f32] } ZPR:{ *:[nxv4i32] }:$src)  =>  ZPR:{ *:[nxv4f32] }:$src
     /*  95938 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95941 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95943 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95945 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95950 */   // GIR_Coverage, 10517,
     /*  95950 */   GIR_EraseRootFromParent_Done,
     /*  95951 */ // Label 1720: @95951
     /*  95951 */ GIM_Try, /*On fail goto*//*Label 1721*/ GIMT_Encode4(95983), // Rule ID 10518 //
     /*  95956 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95959 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  95962 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95966 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95970 */   // (bitconvert:{ *:[nxv4f32] } ZPR:{ *:[nxv2i64] }:$src)  =>  ZPR:{ *:[nxv4f32] }:$src
     /*  95970 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95973 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95975 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95977 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95982 */   // GIR_Coverage, 10518,
     /*  95982 */   GIR_EraseRootFromParent_Done,
     /*  95983 */ // Label 1721: @95983
     /*  95983 */ GIM_Try, /*On fail goto*//*Label 1722*/ GIMT_Encode4(96015), // Rule ID 10519 //
     /*  95988 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95991 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  95994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95998 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96002 */   // (bitconvert:{ *:[nxv4f32] } ZPR:{ *:[nxv8f16] }:$src)  =>  ZPR:{ *:[nxv4f32] }:$src
     /*  96002 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96005 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96007 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96009 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96014 */   // GIR_Coverage, 10519,
     /*  96014 */   GIR_EraseRootFromParent_Done,
     /*  96015 */ // Label 1722: @96015
     /*  96015 */ GIM_Try, /*On fail goto*//*Label 1723*/ GIMT_Encode4(96047), // Rule ID 10520 //
     /*  96020 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  96023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  96026 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96030 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96034 */   // (bitconvert:{ *:[nxv4f32] } ZPR:{ *:[nxv2f64] }:$src)  =>  ZPR:{ *:[nxv4f32] }:$src
     /*  96034 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96037 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96039 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96041 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96046 */   // GIR_Coverage, 10520,
     /*  96046 */   GIR_EraseRootFromParent_Done,
     /*  96047 */ // Label 1723: @96047
     /*  96047 */ GIM_Try, /*On fail goto*//*Label 1724*/ GIMT_Encode4(96079), // Rule ID 10529 //
     /*  96052 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  96055 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  96058 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96062 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96066 */   // (bitconvert:{ *:[nxv4i32] } ZPR:{ *:[nxv4f32] }:$src)  =>  ZPR:{ *:[nxv4i32] }:$src
     /*  96066 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96069 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96071 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96073 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96078 */   // GIR_Coverage, 10529,
     /*  96078 */   GIR_EraseRootFromParent_Done,
     /*  96079 */ // Label 1724: @96079
     /*  96079 */ GIM_Try, /*On fail goto*//*Label 1725*/ GIMT_Encode4(96111), // Rule ID 10530 //
     /*  96084 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  96087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  96090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96094 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96098 */   // (bitconvert:{ *:[nxv4f32] } ZPR:{ *:[nxv4i32] }:$src)  =>  ZPR:{ *:[nxv4f32] }:$src
     /*  96098 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96101 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96103 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96105 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96110 */   // GIR_Coverage, 10530,
     /*  96110 */   GIR_EraseRootFromParent_Done,
     /*  96111 */ // Label 1725: @96111
     /*  96111 */ GIM_Reject,
     /*  96112 */ // Label 1446: @96112
     /*  96112 */ GIM_Try, /*On fail goto*//*Label 1726*/ GIMT_Encode4(96144), // Rule ID 10491 //
     /*  96117 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  96120 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  96123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96127 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96131 */   // (bitconvert:{ *:[nxv8i16] } ZPR:{ *:[nxv16i8] }:$src)  =>  ZPR:{ *:[nxv8i16] }:$src
     /*  96131 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96134 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96136 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96138 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96143 */   // GIR_Coverage, 10491,
     /*  96143 */   GIR_EraseRootFromParent_Done,
     /*  96144 */ // Label 1726: @96144
     /*  96144 */ GIM_Try, /*On fail goto*//*Label 1727*/ GIMT_Encode4(96176), // Rule ID 10492 //
     /*  96149 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  96152 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  96155 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96159 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96163 */   // (bitconvert:{ *:[nxv8i16] } ZPR:{ *:[nxv4i32] }:$src)  =>  ZPR:{ *:[nxv8i16] }:$src
     /*  96163 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96166 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96168 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96170 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96175 */   // GIR_Coverage, 10492,
     /*  96175 */   GIR_EraseRootFromParent_Done,
     /*  96176 */ // Label 1727: @96176
     /*  96176 */ GIM_Try, /*On fail goto*//*Label 1728*/ GIMT_Encode4(96208), // Rule ID 10493 //
     /*  96181 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  96184 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  96187 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96191 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96195 */   // (bitconvert:{ *:[nxv8i16] } ZPR:{ *:[nxv2i64] }:$src)  =>  ZPR:{ *:[nxv8i16] }:$src
     /*  96195 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96198 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96200 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96202 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96207 */   // GIR_Coverage, 10493,
     /*  96207 */   GIR_EraseRootFromParent_Done,
     /*  96208 */ // Label 1728: @96208
     /*  96208 */ GIM_Try, /*On fail goto*//*Label 1729*/ GIMT_Encode4(96240), // Rule ID 10494 //
     /*  96213 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  96216 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  96219 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96223 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96227 */   // (bitconvert:{ *:[nxv8i16] } ZPR:{ *:[nxv8f16] }:$src)  =>  ZPR:{ *:[nxv8i16] }:$src
     /*  96227 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96230 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96232 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96234 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96239 */   // GIR_Coverage, 10494,
     /*  96239 */   GIR_EraseRootFromParent_Done,
     /*  96240 */ // Label 1729: @96240
     /*  96240 */ GIM_Try, /*On fail goto*//*Label 1730*/ GIMT_Encode4(96272), // Rule ID 10495 //
     /*  96245 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  96248 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  96251 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96255 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96259 */   // (bitconvert:{ *:[nxv8i16] } ZPR:{ *:[nxv4f32] }:$src)  =>  ZPR:{ *:[nxv8i16] }:$src
     /*  96259 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96262 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96264 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96266 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96271 */   // GIR_Coverage, 10495,
     /*  96271 */   GIR_EraseRootFromParent_Done,
     /*  96272 */ // Label 1730: @96272
     /*  96272 */ GIM_Try, /*On fail goto*//*Label 1731*/ GIMT_Encode4(96304), // Rule ID 10496 //
     /*  96277 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  96280 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  96283 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96287 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96291 */   // (bitconvert:{ *:[nxv8i16] } ZPR:{ *:[nxv2f64] }:$src)  =>  ZPR:{ *:[nxv8i16] }:$src
     /*  96291 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96294 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96296 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96298 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96303 */   // GIR_Coverage, 10496,
     /*  96303 */   GIR_EraseRootFromParent_Done,
     /*  96304 */ // Label 1731: @96304
     /*  96304 */ GIM_Try, /*On fail goto*//*Label 1732*/ GIMT_Encode4(96336), // Rule ID 10509 //
     /*  96309 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  96312 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  96315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96319 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96323 */   // (bitconvert:{ *:[nxv8f16] } ZPR:{ *:[nxv16i8] }:$src)  =>  ZPR:{ *:[nxv8f16] }:$src
     /*  96323 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96326 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96328 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96330 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96335 */   // GIR_Coverage, 10509,
     /*  96335 */   GIR_EraseRootFromParent_Done,
     /*  96336 */ // Label 1732: @96336
     /*  96336 */ GIM_Try, /*On fail goto*//*Label 1733*/ GIMT_Encode4(96368), // Rule ID 10510 //
     /*  96341 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  96344 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  96347 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96351 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96355 */   // (bitconvert:{ *:[nxv8f16] } ZPR:{ *:[nxv8i16] }:$src)  =>  ZPR:{ *:[nxv8f16] }:$src
     /*  96355 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96358 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96360 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96362 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96367 */   // GIR_Coverage, 10510,
     /*  96367 */   GIR_EraseRootFromParent_Done,
     /*  96368 */ // Label 1733: @96368
     /*  96368 */ GIM_Try, /*On fail goto*//*Label 1734*/ GIMT_Encode4(96400), // Rule ID 10511 //
     /*  96373 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  96376 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  96379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96383 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96387 */   // (bitconvert:{ *:[nxv8f16] } ZPR:{ *:[nxv4i32] }:$src)  =>  ZPR:{ *:[nxv8f16] }:$src
     /*  96387 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96390 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96392 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96394 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96399 */   // GIR_Coverage, 10511,
     /*  96399 */   GIR_EraseRootFromParent_Done,
     /*  96400 */ // Label 1734: @96400
     /*  96400 */ GIM_Try, /*On fail goto*//*Label 1735*/ GIMT_Encode4(96432), // Rule ID 10512 //
     /*  96405 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  96408 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  96411 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96415 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96419 */   // (bitconvert:{ *:[nxv8f16] } ZPR:{ *:[nxv2i64] }:$src)  =>  ZPR:{ *:[nxv8f16] }:$src
     /*  96419 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96422 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96424 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96426 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96431 */   // GIR_Coverage, 10512,
     /*  96431 */   GIR_EraseRootFromParent_Done,
     /*  96432 */ // Label 1735: @96432
     /*  96432 */ GIM_Try, /*On fail goto*//*Label 1736*/ GIMT_Encode4(96464), // Rule ID 10513 //
     /*  96437 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  96440 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  96443 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96447 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96451 */   // (bitconvert:{ *:[nxv8f16] } ZPR:{ *:[nxv4f32] }:$src)  =>  ZPR:{ *:[nxv8f16] }:$src
     /*  96451 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96454 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96456 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96458 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96463 */   // GIR_Coverage, 10513,
     /*  96463 */   GIR_EraseRootFromParent_Done,
     /*  96464 */ // Label 1736: @96464
     /*  96464 */ GIM_Try, /*On fail goto*//*Label 1737*/ GIMT_Encode4(96496), // Rule ID 10514 //
     /*  96469 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  96472 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  96475 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96479 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96483 */   // (bitconvert:{ *:[nxv8f16] } ZPR:{ *:[nxv2f64] }:$src)  =>  ZPR:{ *:[nxv8f16] }:$src
     /*  96483 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96486 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96488 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96490 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96495 */   // GIR_Coverage, 10514,
     /*  96495 */   GIR_EraseRootFromParent_Done,
     /*  96496 */ // Label 1737: @96496
     /*  96496 */ GIM_Try, /*On fail goto*//*Label 1738*/ GIMT_Encode4(96528), // Rule ID 10527 //
     /*  96501 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  96504 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  96507 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96511 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96515 */   // (bitconvert:{ *:[nxv8i16] } ZPR:{ *:[nxv8f16] }:$src)  =>  ZPR:{ *:[nxv8i16] }:$src
     /*  96515 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96518 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96520 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96522 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96527 */   // GIR_Coverage, 10527,
     /*  96527 */   GIR_EraseRootFromParent_Done,
     /*  96528 */ // Label 1738: @96528
     /*  96528 */ GIM_Try, /*On fail goto*//*Label 1739*/ GIMT_Encode4(96560), // Rule ID 10528 //
     /*  96533 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  96536 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  96539 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96543 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96547 */   // (bitconvert:{ *:[nxv8f16] } ZPR:{ *:[nxv8i16] }:$src)  =>  ZPR:{ *:[nxv8f16] }:$src
     /*  96547 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96550 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96552 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96554 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96559 */   // GIR_Coverage, 10528,
     /*  96559 */   GIR_EraseRootFromParent_Done,
     /*  96560 */ // Label 1739: @96560
     /*  96560 */ GIM_Reject,
     /*  96561 */ // Label 1447: @96561
     /*  96561 */ GIM_Try, /*On fail goto*//*Label 1740*/ GIMT_Encode4(96593), // Rule ID 10485 //
     /*  96566 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  96569 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  96572 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96576 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96580 */   // (bitconvert:{ *:[nxv16i8] } ZPR:{ *:[nxv8i16] }:$src)  =>  ZPR:{ *:[nxv16i8] }:$src
     /*  96580 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96583 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96585 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96587 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96592 */   // GIR_Coverage, 10485,
     /*  96592 */   GIR_EraseRootFromParent_Done,
     /*  96593 */ // Label 1740: @96593
     /*  96593 */ GIM_Try, /*On fail goto*//*Label 1741*/ GIMT_Encode4(96625), // Rule ID 10486 //
     /*  96598 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  96601 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  96604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96608 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96612 */   // (bitconvert:{ *:[nxv16i8] } ZPR:{ *:[nxv4i32] }:$src)  =>  ZPR:{ *:[nxv16i8] }:$src
     /*  96612 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96615 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96617 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96619 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96624 */   // GIR_Coverage, 10486,
     /*  96624 */   GIR_EraseRootFromParent_Done,
     /*  96625 */ // Label 1741: @96625
     /*  96625 */ GIM_Try, /*On fail goto*//*Label 1742*/ GIMT_Encode4(96657), // Rule ID 10487 //
     /*  96630 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  96633 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  96636 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96640 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96644 */   // (bitconvert:{ *:[nxv16i8] } ZPR:{ *:[nxv2i64] }:$src)  =>  ZPR:{ *:[nxv16i8] }:$src
     /*  96644 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96647 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96649 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96651 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96656 */   // GIR_Coverage, 10487,
     /*  96656 */   GIR_EraseRootFromParent_Done,
     /*  96657 */ // Label 1742: @96657
     /*  96657 */ GIM_Try, /*On fail goto*//*Label 1743*/ GIMT_Encode4(96689), // Rule ID 10488 //
     /*  96662 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  96665 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  96668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96672 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96676 */   // (bitconvert:{ *:[nxv16i8] } ZPR:{ *:[nxv8f16] }:$src)  =>  ZPR:{ *:[nxv16i8] }:$src
     /*  96676 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96679 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96681 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96683 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96688 */   // GIR_Coverage, 10488,
     /*  96688 */   GIR_EraseRootFromParent_Done,
     /*  96689 */ // Label 1743: @96689
     /*  96689 */ GIM_Try, /*On fail goto*//*Label 1744*/ GIMT_Encode4(96721), // Rule ID 10489 //
     /*  96694 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  96697 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  96700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96704 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96708 */   // (bitconvert:{ *:[nxv16i8] } ZPR:{ *:[nxv4f32] }:$src)  =>  ZPR:{ *:[nxv16i8] }:$src
     /*  96708 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96711 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96713 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96715 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96720 */   // GIR_Coverage, 10489,
     /*  96720 */   GIR_EraseRootFromParent_Done,
     /*  96721 */ // Label 1744: @96721
     /*  96721 */ GIM_Try, /*On fail goto*//*Label 1745*/ GIMT_Encode4(96753), // Rule ID 10490 //
     /*  96726 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  96729 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  96732 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96736 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96740 */   // (bitconvert:{ *:[nxv16i8] } ZPR:{ *:[nxv2f64] }:$src)  =>  ZPR:{ *:[nxv16i8] }:$src
     /*  96740 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96743 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96745 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96747 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96752 */   // GIR_Coverage, 10490,
     /*  96752 */   GIR_EraseRootFromParent_Done,
     /*  96753 */ // Label 1745: @96753
     /*  96753 */ GIM_Reject,
     /*  96754 */ // Label 1448: @96754
     /*  96754 */ GIM_Reject,
     /*  96755 */ // Label 10: @96755
     /*  96755 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 1754*/ GIMT_Encode4(97245),
     /*  96766 */ /*GILLT_s16*//*Label 1746*/ GIMT_Encode4(96806),
     /*  96770 */ /*GILLT_s32*//*Label 1747*/ GIMT_Encode4(96837),
     /*  96774 */ /*GILLT_s64*//*Label 1748*/ GIMT_Encode4(96868), GIMT_Encode4(0),
     /*  96782 */ /*GILLT_v2s32*//*Label 1749*/ GIMT_Encode4(96899),
     /*  96786 */ /*GILLT_v2s64*//*Label 1750*/ GIMT_Encode4(96930),
     /*  96790 */ /*GILLT_v4s16*//*Label 1751*/ GIMT_Encode4(96961),
     /*  96794 */ /*GILLT_v4s32*//*Label 1752*/ GIMT_Encode4(96992), GIMT_Encode4(0),
     /*  96802 */ /*GILLT_v8s16*//*Label 1753*/ GIMT_Encode4(97023),
     /*  96806 */ // Label 1746: @96806
     /*  96806 */ GIM_Try, /*On fail goto*//*Label 1755*/ GIMT_Encode4(96836), // Rule ID 564 //
     /*  96811 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /*  96814 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  96817 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /*  96821 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /*  96825 */   // (ftrunc:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (FRINTZHr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /*  96825 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTZHr),
     /*  96830 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  96834 */   GIR_RootConstrainSelectedInstOperands,
     /*  96835 */   // GIR_Coverage, 564,
     /*  96835 */   GIR_Done,
     /*  96836 */ // Label 1755: @96836
     /*  96836 */ GIM_Reject,
     /*  96837 */ // Label 1747: @96837
     /*  96837 */ GIM_Try, /*On fail goto*//*Label 1756*/ GIMT_Encode4(96867), // Rule ID 566 //
     /*  96842 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  96845 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  96848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  96852 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  96856 */   // (ftrunc:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (FRINTZSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /*  96856 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTZSr),
     /*  96861 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  96865 */   GIR_RootConstrainSelectedInstOperands,
     /*  96866 */   // GIR_Coverage, 566,
     /*  96866 */   GIR_Done,
     /*  96867 */ // Label 1756: @96867
     /*  96867 */ GIM_Reject,
     /*  96868 */ // Label 1748: @96868
     /*  96868 */ GIM_Try, /*On fail goto*//*Label 1757*/ GIMT_Encode4(96898), // Rule ID 568 //
     /*  96873 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  96876 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  96879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  96883 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  96887 */   // (ftrunc:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (FRINTZDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /*  96887 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTZDr),
     /*  96892 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  96896 */   GIR_RootConstrainSelectedInstOperands,
     /*  96897 */   // GIR_Coverage, 568,
     /*  96897 */   GIR_Done,
     /*  96898 */ // Label 1757: @96898
     /*  96898 */ GIM_Reject,
     /*  96899 */ // Label 1749: @96899
     /*  96899 */ GIM_Try, /*On fail goto*//*Label 1758*/ GIMT_Encode4(96929), // Rule ID 933 //
     /*  96904 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  96907 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  96910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  96914 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  96918 */   // (ftrunc:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FRINTZv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /*  96918 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTZv2f32),
     /*  96923 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  96927 */   GIR_RootConstrainSelectedInstOperands,
     /*  96928 */   // GIR_Coverage, 933,
     /*  96928 */   GIR_Done,
     /*  96929 */ // Label 1758: @96929
     /*  96929 */ GIM_Reject,
     /*  96930 */ // Label 1750: @96930
     /*  96930 */ GIM_Try, /*On fail goto*//*Label 1759*/ GIMT_Encode4(96960), // Rule ID 937 //
     /*  96935 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  96938 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  96941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  96945 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  96949 */   // (ftrunc:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FRINTZv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /*  96949 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTZv2f64),
     /*  96954 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  96958 */   GIR_RootConstrainSelectedInstOperands,
     /*  96959 */   // GIR_Coverage, 937,
     /*  96959 */   GIR_Done,
     /*  96960 */ // Label 1759: @96960
     /*  96960 */ GIM_Reject,
     /*  96961 */ // Label 1751: @96961
     /*  96961 */ GIM_Try, /*On fail goto*//*Label 1760*/ GIMT_Encode4(96991), // Rule ID 929 //
     /*  96966 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  96969 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  96972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  96976 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  96980 */   // (ftrunc:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FRINTZv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /*  96980 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTZv4f16),
     /*  96985 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  96989 */   GIR_RootConstrainSelectedInstOperands,
     /*  96990 */   // GIR_Coverage, 929,
     /*  96990 */   GIR_Done,
     /*  96991 */ // Label 1760: @96991
     /*  96991 */ GIM_Reject,
     /*  96992 */ // Label 1752: @96992
     /*  96992 */ GIM_Try, /*On fail goto*//*Label 1761*/ GIMT_Encode4(97022), // Rule ID 935 //
     /*  96997 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  97000 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  97003 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  97007 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  97011 */   // (ftrunc:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FRINTZv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /*  97011 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTZv4f32),
     /*  97016 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  97020 */   GIR_RootConstrainSelectedInstOperands,
     /*  97021 */   // GIR_Coverage, 935,
     /*  97021 */   GIR_Done,
     /*  97022 */ // Label 1761: @97022
     /*  97022 */ GIM_Reject,
     /*  97023 */ // Label 1753: @97023
     /*  97023 */ GIM_Try, /*On fail goto*//*Label 1762*/ GIMT_Encode4(97244),
     /*  97028 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  97031 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  97035 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  97039 */   GIM_Try, /*On fail goto*//*Label 1763*/ GIMT_Encode4(97058), // Rule ID 931 //
     /*  97044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  97047 */     // (ftrunc:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FRINTZv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /*  97047 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTZv8f16),
     /*  97052 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  97056 */     GIR_RootConstrainSelectedInstOperands,
     /*  97057 */     // GIR_Coverage, 931,
     /*  97057 */     GIR_Done,
     /*  97058 */   // Label 1763: @97058
     /*  97058 */   GIM_Try, /*On fail goto*//*Label 1764*/ GIMT_Encode4(97243), // Rule ID 6969 //
     /*  97063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /*  97066 */     // (ftrunc:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FRINTZv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FRINTZv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn)))
     /*  97066 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s32,
     /*  97069 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /*  97073 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  97078 */     GIR_Copy, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  97082 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /*  97084 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /*  97087 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FRINTZv4f32),
     /*  97091 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  97096 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /*  97099 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /*  97101 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /*  97104 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  97108 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  97113 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /*  97119 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  97124 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  97129 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /*  97132 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /*  97136 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  97141 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /*  97144 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  97146 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /*  97149 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FRINTZv4f32),
     /*  97153 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  97158 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /*  97161 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  97163 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /*  97166 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /*  97170 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  97175 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  97178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  97180 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  97183 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  97187 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  97192 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  97194 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  97197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  97201 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  97206 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  97209 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  97212 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  97215 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  97220 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  97225 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  97230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /*  97233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  97235 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  97238 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/6,
     /*  97241 */     GIR_RootConstrainSelectedInstOperands,
     /*  97242 */     // GIR_Coverage, 6969,
     /*  97242 */     GIR_EraseRootFromParent_Done,
     /*  97243 */   // Label 1764: @97243
     /*  97243 */   GIM_Reject,
     /*  97244 */ // Label 1762: @97244
     /*  97244 */ GIM_Reject,
     /*  97245 */ // Label 1754: @97245
     /*  97245 */ GIM_Reject,
     /*  97246 */ // Label 11: @97246
     /*  97246 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 1773*/ GIMT_Encode4(97736),
     /*  97257 */ /*GILLT_s16*//*Label 1765*/ GIMT_Encode4(97297),
     /*  97261 */ /*GILLT_s32*//*Label 1766*/ GIMT_Encode4(97328),
     /*  97265 */ /*GILLT_s64*//*Label 1767*/ GIMT_Encode4(97359), GIMT_Encode4(0),
     /*  97273 */ /*GILLT_v2s32*//*Label 1768*/ GIMT_Encode4(97390),
     /*  97277 */ /*GILLT_v2s64*//*Label 1769*/ GIMT_Encode4(97421),
     /*  97281 */ /*GILLT_v4s16*//*Label 1770*/ GIMT_Encode4(97452),
     /*  97285 */ /*GILLT_v4s32*//*Label 1771*/ GIMT_Encode4(97483), GIMT_Encode4(0),
     /*  97293 */ /*GILLT_v8s16*//*Label 1772*/ GIMT_Encode4(97514),
     /*  97297 */ // Label 1765: @97297
     /*  97297 */ GIM_Try, /*On fail goto*//*Label 1774*/ GIMT_Encode4(97327), // Rule ID 528 //
     /*  97302 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /*  97305 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  97308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /*  97312 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /*  97316 */   // (fround:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (FRINTAHr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /*  97316 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTAHr),
     /*  97321 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  97325 */   GIR_RootConstrainSelectedInstOperands,
     /*  97326 */   // GIR_Coverage, 528,
     /*  97326 */   GIR_Done,
     /*  97327 */ // Label 1774: @97327
     /*  97327 */ GIM_Reject,
     /*  97328 */ // Label 1766: @97328
     /*  97328 */ GIM_Try, /*On fail goto*//*Label 1775*/ GIMT_Encode4(97358), // Rule ID 530 //
     /*  97333 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  97336 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  97339 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  97343 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  97347 */   // (fround:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (FRINTASr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /*  97347 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTASr),
     /*  97352 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  97356 */   GIR_RootConstrainSelectedInstOperands,
     /*  97357 */   // GIR_Coverage, 530,
     /*  97357 */   GIR_Done,
     /*  97358 */ // Label 1775: @97358
     /*  97358 */ GIM_Reject,
     /*  97359 */ // Label 1767: @97359
     /*  97359 */ GIM_Try, /*On fail goto*//*Label 1776*/ GIMT_Encode4(97389), // Rule ID 532 //
     /*  97364 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  97367 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  97370 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  97374 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  97378 */   // (fround:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (FRINTADr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /*  97378 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTADr),
     /*  97383 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  97387 */   GIR_RootConstrainSelectedInstOperands,
     /*  97388 */   // GIR_Coverage, 532,
     /*  97388 */   GIR_Done,
     /*  97389 */ // Label 1776: @97389
     /*  97389 */ GIM_Reject,
     /*  97390 */ // Label 1768: @97390
     /*  97390 */ GIM_Try, /*On fail goto*//*Label 1777*/ GIMT_Encode4(97420), // Rule ID 873 //
     /*  97395 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  97398 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  97401 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  97405 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  97409 */   // (fround:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FRINTAv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /*  97409 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTAv2f32),
     /*  97414 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  97418 */   GIR_RootConstrainSelectedInstOperands,
     /*  97419 */   // GIR_Coverage, 873,
     /*  97419 */   GIR_Done,
     /*  97420 */ // Label 1777: @97420
     /*  97420 */ GIM_Reject,
     /*  97421 */ // Label 1769: @97421
     /*  97421 */ GIM_Try, /*On fail goto*//*Label 1778*/ GIMT_Encode4(97451), // Rule ID 877 //
     /*  97426 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  97429 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  97432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  97436 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  97440 */   // (fround:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FRINTAv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /*  97440 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTAv2f64),
     /*  97445 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  97449 */   GIR_RootConstrainSelectedInstOperands,
     /*  97450 */   // GIR_Coverage, 877,
     /*  97450 */   GIR_Done,
     /*  97451 */ // Label 1778: @97451
     /*  97451 */ GIM_Reject,
     /*  97452 */ // Label 1770: @97452
     /*  97452 */ GIM_Try, /*On fail goto*//*Label 1779*/ GIMT_Encode4(97482), // Rule ID 869 //
     /*  97457 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  97460 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  97463 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  97467 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  97471 */   // (fround:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FRINTAv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /*  97471 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTAv4f16),
     /*  97476 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  97480 */   GIR_RootConstrainSelectedInstOperands,
     /*  97481 */   // GIR_Coverage, 869,
     /*  97481 */   GIR_Done,
     /*  97482 */ // Label 1779: @97482
     /*  97482 */ GIM_Reject,
     /*  97483 */ // Label 1771: @97483
     /*  97483 */ GIM_Try, /*On fail goto*//*Label 1780*/ GIMT_Encode4(97513), // Rule ID 875 //
     /*  97488 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  97491 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  97494 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  97498 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  97502 */   // (fround:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FRINTAv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /*  97502 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTAv4f32),
     /*  97507 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  97511 */   GIR_RootConstrainSelectedInstOperands,
     /*  97512 */   // GIR_Coverage, 875,
     /*  97512 */   GIR_Done,
     /*  97513 */ // Label 1780: @97513
     /*  97513 */ GIM_Reject,
     /*  97514 */ // Label 1772: @97514
     /*  97514 */ GIM_Try, /*On fail goto*//*Label 1781*/ GIMT_Encode4(97735),
     /*  97519 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  97522 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  97526 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  97530 */   GIM_Try, /*On fail goto*//*Label 1782*/ GIMT_Encode4(97549), // Rule ID 871 //
     /*  97535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  97538 */     // (fround:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FRINTAv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /*  97538 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTAv8f16),
     /*  97543 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  97547 */     GIR_RootConstrainSelectedInstOperands,
     /*  97548 */     // GIR_Coverage, 871,
     /*  97548 */     GIR_Done,
     /*  97549 */   // Label 1782: @97549
     /*  97549 */   GIM_Try, /*On fail goto*//*Label 1783*/ GIMT_Encode4(97734), // Rule ID 6963 //
     /*  97554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /*  97557 */     // (fround:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FRINTAv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FRINTAv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn)))
     /*  97557 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s32,
     /*  97560 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /*  97564 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  97569 */     GIR_Copy, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  97573 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /*  97575 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /*  97578 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FRINTAv4f32),
     /*  97582 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  97587 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /*  97590 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /*  97592 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /*  97595 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  97599 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  97604 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /*  97610 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  97615 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  97620 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /*  97623 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /*  97627 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  97632 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /*  97635 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  97637 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /*  97640 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FRINTAv4f32),
     /*  97644 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  97649 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /*  97652 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  97654 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /*  97657 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /*  97661 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  97666 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  97669 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  97671 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  97674 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  97678 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  97683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  97685 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  97688 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  97692 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  97697 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  97700 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  97703 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  97706 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  97711 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  97716 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  97721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /*  97724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  97726 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  97729 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/6,
     /*  97732 */     GIR_RootConstrainSelectedInstOperands,
     /*  97733 */     // GIR_Coverage, 6963,
     /*  97733 */     GIR_EraseRootFromParent_Done,
     /*  97734 */   // Label 1783: @97734
     /*  97734 */   GIM_Reject,
     /*  97735 */ // Label 1781: @97735
     /*  97735 */ GIM_Reject,
     /*  97736 */ // Label 1773: @97736
     /*  97736 */ GIM_Reject,
     /*  97737 */ // Label 12: @97737
     /*  97737 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 1786*/ GIMT_Encode4(98004),
     /*  97748 */ /*GILLT_s32*//*Label 1784*/ GIMT_Encode4(97756),
     /*  97752 */ /*GILLT_s64*//*Label 1785*/ GIMT_Encode4(97880),
     /*  97756 */ // Label 1784: @97756
     /*  97756 */ GIM_Try, /*On fail goto*//*Label 1787*/ GIMT_Encode4(97799), // Rule ID 4773 //
     /*  97761 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /*  97764 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  97767 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  97771 */   // (lrint:{ *:[i32] } f16:{ *:[f16] }:$Rn)  =>  (FCVTZSUWHr:{ *:[i32] } (FRINTXHr:{ *:[i16] } f16:{ *:[f16] }:$Rn))
     /*  97771 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  97774 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FRINTXHr),
     /*  97778 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  97783 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  97787 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  97789 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWHr),
     /*  97792 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  97794 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  97797 */   GIR_RootConstrainSelectedInstOperands,
     /*  97798 */   // GIR_Coverage, 4773,
     /*  97798 */   GIR_EraseRootFromParent_Done,
     /*  97799 */ // Label 1787: @97799
     /*  97799 */ GIM_Try, /*On fail goto*//*Label 1788*/ GIMT_Encode4(97839), // Rule ID 4779 //
     /*  97804 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  97807 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  97811 */   // (lrint:{ *:[i32] } f32:{ *:[f32] }:$Rn)  =>  (FCVTZSUWSr:{ *:[i32] } (FRINTXSr:{ *:[i32] } f32:{ *:[f32] }:$Rn))
     /*  97811 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  97814 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FRINTXSr),
     /*  97818 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  97823 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  97827 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  97829 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWSr),
     /*  97832 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  97834 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  97837 */   GIR_RootConstrainSelectedInstOperands,
     /*  97838 */   // GIR_Coverage, 4779,
     /*  97838 */   GIR_EraseRootFromParent_Done,
     /*  97839 */ // Label 1788: @97839
     /*  97839 */ GIM_Try, /*On fail goto*//*Label 1789*/ GIMT_Encode4(97879), // Rule ID 4781 //
     /*  97844 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  97847 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  97851 */   // (lrint:{ *:[i32] } f64:{ *:[f64] }:$Rn)  =>  (FCVTZSUWDr:{ *:[i32] } (FRINTXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn))
     /*  97851 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  97854 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FRINTXDr),
     /*  97858 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  97863 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  97867 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  97869 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWDr),
     /*  97872 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  97874 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  97877 */   GIR_RootConstrainSelectedInstOperands,
     /*  97878 */   // GIR_Coverage, 4781,
     /*  97878 */   GIR_EraseRootFromParent_Done,
     /*  97879 */ // Label 1789: @97879
     /*  97879 */ GIM_Reject,
     /*  97880 */ // Label 1785: @97880
     /*  97880 */ GIM_Try, /*On fail goto*//*Label 1790*/ GIMT_Encode4(97923), // Rule ID 4775 //
     /*  97885 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /*  97888 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  97891 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  97895 */   // (lrint:{ *:[i64] } f16:{ *:[f16] }:$Rn)  =>  (FCVTZSUXHr:{ *:[i64] } (FRINTXHr:{ *:[i16] } f16:{ *:[f16] }:$Rn))
     /*  97895 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  97898 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FRINTXHr),
     /*  97902 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  97907 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  97911 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  97913 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXHr),
     /*  97916 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  97918 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  97921 */   GIR_RootConstrainSelectedInstOperands,
     /*  97922 */   // GIR_Coverage, 4775,
     /*  97922 */   GIR_EraseRootFromParent_Done,
     /*  97923 */ // Label 1790: @97923
     /*  97923 */ GIM_Try, /*On fail goto*//*Label 1791*/ GIMT_Encode4(97963), // Rule ID 4783 //
     /*  97928 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  97931 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  97935 */   // (lrint:{ *:[i64] } f32:{ *:[f32] }:$Rn)  =>  (FCVTZSUXSr:{ *:[i64] } (FRINTXSr:{ *:[i32] } f32:{ *:[f32] }:$Rn))
     /*  97935 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  97938 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FRINTXSr),
     /*  97942 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  97947 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  97951 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  97953 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXSr),
     /*  97956 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  97958 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  97961 */   GIR_RootConstrainSelectedInstOperands,
     /*  97962 */   // GIR_Coverage, 4783,
     /*  97962 */   GIR_EraseRootFromParent_Done,
     /*  97963 */ // Label 1791: @97963
     /*  97963 */ GIM_Try, /*On fail goto*//*Label 1792*/ GIMT_Encode4(98003), // Rule ID 4785 //
     /*  97968 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  97971 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  97975 */   // (lrint:{ *:[i64] } f64:{ *:[f64] }:$Rn)  =>  (FCVTZSUXDr:{ *:[i64] } (FRINTXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn))
     /*  97975 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  97978 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FRINTXDr),
     /*  97982 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  97987 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  97991 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  97993 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXDr),
     /*  97996 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  97998 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  98001 */   GIR_RootConstrainSelectedInstOperands,
     /*  98002 */   // GIR_Coverage, 4785,
     /*  98002 */   GIR_EraseRootFromParent_Done,
     /*  98003 */ // Label 1792: @98003
     /*  98003 */ GIM_Reject,
     /*  98004 */ // Label 1786: @98004
     /*  98004 */ GIM_Reject,
     /*  98005 */ // Label 13: @98005
     /*  98005 */ GIM_Try, /*On fail goto*//*Label 1793*/ GIMT_Encode4(98154),
     /*  98010 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  98013 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 1797*/ GIMT_Encode4(98153),
     /*  98024 */   /*GILLT_s16*//*Label 1794*/ GIMT_Encode4(98036),
     /*  98028 */   /*GILLT_s32*//*Label 1795*/ GIMT_Encode4(98077),
     /*  98032 */   /*GILLT_s64*//*Label 1796*/ GIMT_Encode4(98115),
     /*  98036 */   // Label 1794: @98036
     /*  98036 */   GIM_Try, /*On fail goto*//*Label 1798*/ GIMT_Encode4(98076), // Rule ID 4777 //
     /*  98041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /*  98044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  98048 */     // (llrint:{ *:[i64] } f16:{ *:[f16] }:$Rn)  =>  (FCVTZSUXHr:{ *:[i64] } (FRINTXHr:{ *:[i16] } f16:{ *:[f16] }:$Rn))
     /*  98048 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  98051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FRINTXHr),
     /*  98055 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98060 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  98064 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  98066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXHr),
     /*  98069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  98071 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  98074 */     GIR_RootConstrainSelectedInstOperands,
     /*  98075 */     // GIR_Coverage, 4777,
     /*  98075 */     GIR_EraseRootFromParent_Done,
     /*  98076 */   // Label 1798: @98076
     /*  98076 */   GIM_Reject,
     /*  98077 */   // Label 1795: @98077
     /*  98077 */   GIM_Try, /*On fail goto*//*Label 1799*/ GIMT_Encode4(98114), // Rule ID 4787 //
     /*  98082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  98086 */     // (llrint:{ *:[i64] } f32:{ *:[f32] }:$Rn)  =>  (FCVTZSUXSr:{ *:[i64] } (FRINTXSr:{ *:[i32] } f32:{ *:[f32] }:$Rn))
     /*  98086 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  98089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FRINTXSr),
     /*  98093 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98098 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  98102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  98104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXSr),
     /*  98107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  98109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  98112 */     GIR_RootConstrainSelectedInstOperands,
     /*  98113 */     // GIR_Coverage, 4787,
     /*  98113 */     GIR_EraseRootFromParent_Done,
     /*  98114 */   // Label 1799: @98114
     /*  98114 */   GIM_Reject,
     /*  98115 */   // Label 1796: @98115
     /*  98115 */   GIM_Try, /*On fail goto*//*Label 1800*/ GIMT_Encode4(98152), // Rule ID 4789 //
     /*  98120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  98124 */     // (llrint:{ *:[i64] } f64:{ *:[f64] }:$Rn)  =>  (FCVTZSUXDr:{ *:[i64] } (FRINTXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn))
     /*  98124 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  98127 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FRINTXDr),
     /*  98131 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98136 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  98140 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  98142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXDr),
     /*  98145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  98147 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  98150 */     GIR_RootConstrainSelectedInstOperands,
     /*  98151 */     // GIR_Coverage, 4789,
     /*  98151 */     GIR_EraseRootFromParent_Done,
     /*  98152 */   // Label 1800: @98152
     /*  98152 */   GIM_Reject,
     /*  98153 */   // Label 1797: @98153
     /*  98153 */   GIM_Reject,
     /*  98154 */ // Label 1793: @98154
     /*  98154 */ GIM_Reject,
     /*  98155 */ // Label 14: @98155
     /*  98155 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 1809*/ GIMT_Encode4(98645),
     /*  98166 */ /*GILLT_s16*//*Label 1801*/ GIMT_Encode4(98206),
     /*  98170 */ /*GILLT_s32*//*Label 1802*/ GIMT_Encode4(98237),
     /*  98174 */ /*GILLT_s64*//*Label 1803*/ GIMT_Encode4(98268), GIMT_Encode4(0),
     /*  98182 */ /*GILLT_v2s32*//*Label 1804*/ GIMT_Encode4(98299),
     /*  98186 */ /*GILLT_v2s64*//*Label 1805*/ GIMT_Encode4(98330),
     /*  98190 */ /*GILLT_v4s16*//*Label 1806*/ GIMT_Encode4(98361),
     /*  98194 */ /*GILLT_v4s32*//*Label 1807*/ GIMT_Encode4(98392), GIMT_Encode4(0),
     /*  98202 */ /*GILLT_v8s16*//*Label 1808*/ GIMT_Encode4(98423),
     /*  98206 */ // Label 1801: @98206
     /*  98206 */ GIM_Try, /*On fail goto*//*Label 1810*/ GIMT_Encode4(98236), // Rule ID 546 //
     /*  98211 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /*  98214 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  98217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /*  98221 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /*  98225 */   // (froundeven:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (FRINTNHr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /*  98225 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTNHr),
     /*  98230 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  98234 */   GIR_RootConstrainSelectedInstOperands,
     /*  98235 */   // GIR_Coverage, 546,
     /*  98235 */   GIR_Done,
     /*  98236 */ // Label 1810: @98236
     /*  98236 */ GIM_Reject,
     /*  98237 */ // Label 1802: @98237
     /*  98237 */ GIM_Try, /*On fail goto*//*Label 1811*/ GIMT_Encode4(98267), // Rule ID 548 //
     /*  98242 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  98245 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  98248 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  98252 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  98256 */   // (froundeven:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (FRINTNSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /*  98256 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTNSr),
     /*  98261 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  98265 */   GIR_RootConstrainSelectedInstOperands,
     /*  98266 */   // GIR_Coverage, 548,
     /*  98266 */   GIR_Done,
     /*  98267 */ // Label 1811: @98267
     /*  98267 */ GIM_Reject,
     /*  98268 */ // Label 1803: @98268
     /*  98268 */ GIM_Try, /*On fail goto*//*Label 1812*/ GIMT_Encode4(98298), // Rule ID 550 //
     /*  98273 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  98276 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  98279 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  98283 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  98287 */   // (froundeven:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (FRINTNDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /*  98287 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTNDr),
     /*  98292 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  98296 */   GIR_RootConstrainSelectedInstOperands,
     /*  98297 */   // GIR_Coverage, 550,
     /*  98297 */   GIR_Done,
     /*  98298 */ // Label 1812: @98298
     /*  98298 */ GIM_Reject,
     /*  98299 */ // Label 1804: @98299
     /*  98299 */ GIM_Try, /*On fail goto*//*Label 1813*/ GIMT_Encode4(98329), // Rule ID 903 //
     /*  98304 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  98307 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  98310 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  98314 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  98318 */   // (froundeven:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FRINTNv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /*  98318 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTNv2f32),
     /*  98323 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  98327 */   GIR_RootConstrainSelectedInstOperands,
     /*  98328 */   // GIR_Coverage, 903,
     /*  98328 */   GIR_Done,
     /*  98329 */ // Label 1813: @98329
     /*  98329 */ GIM_Reject,
     /*  98330 */ // Label 1805: @98330
     /*  98330 */ GIM_Try, /*On fail goto*//*Label 1814*/ GIMT_Encode4(98360), // Rule ID 907 //
     /*  98335 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  98338 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  98341 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  98345 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  98349 */   // (froundeven:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FRINTNv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /*  98349 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTNv2f64),
     /*  98354 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  98358 */   GIR_RootConstrainSelectedInstOperands,
     /*  98359 */   // GIR_Coverage, 907,
     /*  98359 */   GIR_Done,
     /*  98360 */ // Label 1814: @98360
     /*  98360 */ GIM_Reject,
     /*  98361 */ // Label 1806: @98361
     /*  98361 */ GIM_Try, /*On fail goto*//*Label 1815*/ GIMT_Encode4(98391), // Rule ID 899 //
     /*  98366 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  98369 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  98372 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  98376 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  98380 */   // (froundeven:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FRINTNv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /*  98380 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTNv4f16),
     /*  98385 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  98389 */   GIR_RootConstrainSelectedInstOperands,
     /*  98390 */   // GIR_Coverage, 899,
     /*  98390 */   GIR_Done,
     /*  98391 */ // Label 1815: @98391
     /*  98391 */ GIM_Reject,
     /*  98392 */ // Label 1807: @98392
     /*  98392 */ GIM_Try, /*On fail goto*//*Label 1816*/ GIMT_Encode4(98422), // Rule ID 905 //
     /*  98397 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  98400 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  98403 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  98407 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  98411 */   // (froundeven:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FRINTNv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /*  98411 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTNv4f32),
     /*  98416 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  98420 */   GIR_RootConstrainSelectedInstOperands,
     /*  98421 */   // GIR_Coverage, 905,
     /*  98421 */   GIR_Done,
     /*  98422 */ // Label 1816: @98422
     /*  98422 */ GIM_Reject,
     /*  98423 */ // Label 1808: @98423
     /*  98423 */ GIM_Try, /*On fail goto*//*Label 1817*/ GIMT_Encode4(98644),
     /*  98428 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  98431 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  98435 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  98439 */   GIM_Try, /*On fail goto*//*Label 1818*/ GIMT_Encode4(98458), // Rule ID 901 //
     /*  98444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  98447 */     // (froundeven:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FRINTNv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /*  98447 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTNv8f16),
     /*  98452 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  98456 */     GIR_RootConstrainSelectedInstOperands,
     /*  98457 */     // GIR_Coverage, 901,
     /*  98457 */     GIR_Done,
     /*  98458 */   // Label 1818: @98458
     /*  98458 */   GIM_Try, /*On fail goto*//*Label 1819*/ GIMT_Encode4(98643), // Rule ID 6965 //
     /*  98463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /*  98466 */     // (froundeven:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FRINTNv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FRINTNv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn)))
     /*  98466 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s32,
     /*  98469 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /*  98473 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98478 */     GIR_Copy, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  98482 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /*  98484 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /*  98487 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FRINTNv4f32),
     /*  98491 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98496 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /*  98499 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /*  98501 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /*  98504 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  98508 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98513 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /*  98519 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  98524 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  98529 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /*  98532 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /*  98536 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98541 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /*  98544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  98546 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /*  98549 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FRINTNv4f32),
     /*  98553 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98558 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /*  98561 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  98563 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /*  98566 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /*  98570 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98575 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  98578 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  98580 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  98583 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  98587 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98592 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  98594 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  98597 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  98601 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98606 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  98609 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  98612 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  98615 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  98620 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  98625 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  98630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /*  98633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  98635 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  98638 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/6,
     /*  98641 */     GIR_RootConstrainSelectedInstOperands,
     /*  98642 */     // GIR_Coverage, 6965,
     /*  98642 */     GIR_EraseRootFromParent_Done,
     /*  98643 */   // Label 1819: @98643
     /*  98643 */   GIM_Reject,
     /*  98644 */ // Label 1817: @98644
     /*  98644 */ GIM_Reject,
     /*  98645 */ // Label 1809: @98645
     /*  98645 */ GIM_Reject,
     /*  98646 */ // Label 15: @98646
     /*  98646 */ GIM_Try, /*On fail goto*//*Label 1820*/ GIMT_Encode4(98678), // Rule ID 3894 //
     /*  98651 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  98654 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  98658 */   // (readcyclecounter:{ *:[i64] })  =>  (MRS:{ *:[i64] }:{ *:[i32] } 57090:{ *:[i32] })
     /*  98658 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MRS),
     /*  98661 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  98663 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(57090),
     /*  98673 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /*  98676 */   GIR_RootConstrainSelectedInstOperands,
     /*  98677 */   // GIR_Coverage, 3894,
     /*  98677 */   GIR_EraseRootFromParent_Done,
     /*  98678 */ // Label 1820: @98678
     /*  98678 */ GIM_Reject,
     /*  98679 */ // Label 16: @98679
     /*  98679 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(24), /*)*//*default:*//*Label 1841*/ GIMT_Encode4(107488),
     /*  98690 */ /*GILLT_s8*//*Label 1821*/ GIMT_Encode4(98786),
     /*  98694 */ /*GILLT_s16*//*Label 1822*/ GIMT_Encode4(98962),
     /*  98698 */ /*GILLT_s32*//*Label 1823*/ GIMT_Encode4(99138),
     /*  98702 */ /*GILLT_s64*//*Label 1824*/ GIMT_Encode4(101436),
     /*  98706 */ /*GILLT_s128*//*Label 1825*/ GIMT_Encode4(104117),
     /*  98710 */ /*GILLT_v2s32*//*Label 1826*/ GIMT_Encode4(104326),
     /*  98714 */ /*GILLT_v2s64*//*Label 1827*/ GIMT_Encode4(104704),
     /*  98718 */ /*GILLT_v4s16*//*Label 1828*/ GIMT_Encode4(105082),
     /*  98722 */ /*GILLT_v4s32*//*Label 1829*/ GIMT_Encode4(105460),
     /*  98726 */ /*GILLT_v8s8*//*Label 1830*/ GIMT_Encode4(105838),
     /*  98730 */ /*GILLT_v8s16*//*Label 1831*/ GIMT_Encode4(106046),
     /*  98734 */ /*GILLT_v16s8*//*Label 1832*/ GIMT_Encode4(106424), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  98746 */ /*GILLT_nxv2s16*//*Label 1833*/ GIMT_Encode4(106632),
     /*  98750 */ /*GILLT_nxv2s32*//*Label 1834*/ GIMT_Encode4(106696),
     /*  98754 */ /*GILLT_nxv2s64*//*Label 1835*/ GIMT_Encode4(106760), GIMT_Encode4(0),
     /*  98762 */ /*GILLT_nxv4s16*//*Label 1836*/ GIMT_Encode4(106934),
     /*  98766 */ /*GILLT_nxv4s32*//*Label 1837*/ GIMT_Encode4(106998), GIMT_Encode4(0),
     /*  98774 */ /*GILLT_nxv8s16*//*Label 1838*/ GIMT_Encode4(107172),
     /*  98778 */ /*GILLT_nxv16s1*//*Label 1839*/ GIMT_Encode4(107346),
     /*  98782 */ /*GILLT_nxv16s8*//*Label 1840*/ GIMT_Encode4(107390),
     /*  98786 */ // Label 1821: @98786
     /*  98786 */ GIM_Try, /*On fail goto*//*Label 1842*/ GIMT_Encode4(98961),
     /*  98791 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  98794 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  98798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /*  98802 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  98806 */   GIM_Try, /*On fail goto*//*Label 1843*/ GIMT_Encode4(98847), // Rule ID 237 //
     /*  98811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  98814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /*  98821 */     // (ld:{ *:[i8] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRBroW:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend)
     /*  98821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBroW),
     /*  98824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  98826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  98831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  98836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  98841 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  98845 */     GIR_RootConstrainSelectedInstOperands,
     /*  98846 */     // GIR_Coverage, 237,
     /*  98846 */     GIR_EraseRootFromParent_Done,
     /*  98847 */   // Label 1843: @98847
     /*  98847 */   GIM_Try, /*On fail goto*//*Label 1844*/ GIMT_Encode4(98888), // Rule ID 238 //
     /*  98852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  98855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /*  98862 */     // (ld:{ *:[i8] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRBroX:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend)
     /*  98862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBroX),
     /*  98865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  98867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  98872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  98877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  98882 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  98886 */     GIR_RootConstrainSelectedInstOperands,
     /*  98887 */     // GIR_Coverage, 238,
     /*  98887 */     GIR_EraseRootFromParent_Done,
     /*  98888 */   // Label 1844: @98888
     /*  98888 */   GIM_Try, /*On fail goto*//*Label 1845*/ GIMT_Encode4(98924), // Rule ID 261 //
     /*  98893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  98896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /*  98903 */     // (ld:{ *:[i8] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRBui:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /*  98903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBui),
     /*  98906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  98908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  98913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  98918 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  98922 */     GIR_RootConstrainSelectedInstOperands,
     /*  98923 */     // GIR_Coverage, 261,
     /*  98923 */     GIR_EraseRootFromParent_Done,
     /*  98924 */   // Label 1845: @98924
     /*  98924 */   GIM_Try, /*On fail goto*//*Label 1846*/ GIMT_Encode4(98960), // Rule ID 282 //
     /*  98929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  98932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /*  98939 */     // (ld:{ *:[i8] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURBi:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /*  98939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURBi),
     /*  98942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  98944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  98949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  98954 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  98958 */     GIR_RootConstrainSelectedInstOperands,
     /*  98959 */     // GIR_Coverage, 282,
     /*  98959 */     GIR_EraseRootFromParent_Done,
     /*  98960 */   // Label 1846: @98960
     /*  98960 */   GIM_Reject,
     /*  98961 */ // Label 1842: @98961
     /*  98961 */ GIM_Reject,
     /*  98962 */ // Label 1822: @98962
     /*  98962 */ GIM_Try, /*On fail goto*//*Label 1847*/ GIMT_Encode4(99137),
     /*  98967 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  98970 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  98974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /*  98978 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  98982 */   GIM_Try, /*On fail goto*//*Label 1848*/ GIMT_Encode4(99023), // Rule ID 239 //
     /*  98987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  98990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /*  98997 */     // (ld:{ *:[f16] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRHroW:{ *:[f16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /*  98997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /*  99000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  99012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  99017 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99021 */     GIR_RootConstrainSelectedInstOperands,
     /*  99022 */     // GIR_Coverage, 239,
     /*  99022 */     GIR_EraseRootFromParent_Done,
     /*  99023 */   // Label 1848: @99023
     /*  99023 */   GIM_Try, /*On fail goto*//*Label 1849*/ GIMT_Encode4(99064), // Rule ID 240 //
     /*  99028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  99031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /*  99038 */     // (ld:{ *:[f16] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRHroX:{ *:[f16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /*  99038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /*  99041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  99053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  99058 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99062 */     GIR_RootConstrainSelectedInstOperands,
     /*  99063 */     // GIR_Coverage, 240,
     /*  99063 */     GIR_EraseRootFromParent_Done,
     /*  99064 */   // Label 1849: @99064
     /*  99064 */   GIM_Try, /*On fail goto*//*Label 1850*/ GIMT_Encode4(99100), // Rule ID 262 //
     /*  99069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  99072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /*  99079 */     // (ld:{ *:[f16] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRHui:{ *:[f16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /*  99079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /*  99082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  99094 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99098 */     GIR_RootConstrainSelectedInstOperands,
     /*  99099 */     // GIR_Coverage, 262,
     /*  99099 */     GIR_EraseRootFromParent_Done,
     /*  99100 */   // Label 1850: @99100
     /*  99100 */   GIM_Try, /*On fail goto*//*Label 1851*/ GIMT_Encode4(99136), // Rule ID 283 //
     /*  99105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  99108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /*  99115 */     // (ld:{ *:[f16] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURHi:{ *:[f16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /*  99115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /*  99118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  99130 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99134 */     GIR_RootConstrainSelectedInstOperands,
     /*  99135 */     // GIR_Coverage, 283,
     /*  99135 */     GIR_EraseRootFromParent_Done,
     /*  99136 */   // Label 1851: @99136
     /*  99136 */   GIM_Reject,
     /*  99137 */ // Label 1847: @99137
     /*  99137 */ GIM_Reject,
     /*  99138 */ // Label 1823: @99138
     /*  99138 */ GIM_Try, /*On fail goto*//*Label 1852*/ GIMT_Encode4(99191), // Rule ID 233 //
     /*  99143 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99146 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  99150 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  99154 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99158 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /*  99165 */   // (ld:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRWroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /*  99165 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRWroW),
     /*  99168 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99170 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99175 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  99180 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  99185 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99189 */   GIR_RootConstrainSelectedInstOperands,
     /*  99190 */   // GIR_Coverage, 233,
     /*  99190 */   GIR_EraseRootFromParent_Done,
     /*  99191 */ // Label 1852: @99191
     /*  99191 */ GIM_Try, /*On fail goto*//*Label 1853*/ GIMT_Encode4(99244), // Rule ID 234 //
     /*  99196 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99199 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  99203 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  99207 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99211 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /*  99218 */   // (ld:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRWroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /*  99218 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRWroX),
     /*  99221 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99223 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99228 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  99233 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  99238 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99242 */   GIR_RootConstrainSelectedInstOperands,
     /*  99243 */   // GIR_Coverage, 234,
     /*  99243 */   GIR_EraseRootFromParent_Done,
     /*  99244 */ // Label 1853: @99244
     /*  99244 */ GIM_Try, /*On fail goto*//*Label 1854*/ GIMT_Encode4(99300), // Rule ID 241 //
     /*  99249 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  99252 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99255 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  99259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  99263 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99267 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /*  99274 */   // (ld:{ *:[f32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRSroW:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /*  99274 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /*  99277 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99279 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99284 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  99289 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  99294 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99298 */   GIR_RootConstrainSelectedInstOperands,
     /*  99299 */   // GIR_Coverage, 241,
     /*  99299 */   GIR_EraseRootFromParent_Done,
     /*  99300 */ // Label 1854: @99300
     /*  99300 */ GIM_Try, /*On fail goto*//*Label 1855*/ GIMT_Encode4(99356), // Rule ID 242 //
     /*  99305 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  99308 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99311 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  99315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  99319 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99323 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /*  99330 */   // (ld:{ *:[f32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRSroX:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /*  99330 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /*  99333 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99335 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99340 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  99345 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  99350 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99354 */   GIR_RootConstrainSelectedInstOperands,
     /*  99355 */   // GIR_Coverage, 242,
     /*  99355 */   GIR_EraseRootFromParent_Done,
     /*  99356 */ // Label 1855: @99356
     /*  99356 */ GIM_Try, /*On fail goto*//*Label 1856*/ GIMT_Encode4(99416), // Rule ID 4110 //
     /*  99361 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99364 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  99368 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  99375 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  99379 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99383 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /*  99390 */   // (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LDRBBroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend)
     /*  99390 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroW),
     /*  99393 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99395 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99400 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  99405 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  99410 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99414 */   GIR_RootConstrainSelectedInstOperands,
     /*  99415 */   // GIR_Coverage, 4110,
     /*  99415 */   GIR_EraseRootFromParent_Done,
     /*  99416 */ // Label 1856: @99416
     /*  99416 */ GIM_Try, /*On fail goto*//*Label 1857*/ GIMT_Encode4(99476), // Rule ID 4111 //
     /*  99421 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99424 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  99428 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  99435 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  99439 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99443 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /*  99450 */   // (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LDRBBroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend)
     /*  99450 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroX),
     /*  99453 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99455 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99460 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  99465 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  99470 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99474 */   GIR_RootConstrainSelectedInstOperands,
     /*  99475 */   // GIR_Coverage, 4111,
     /*  99475 */   GIR_EraseRootFromParent_Done,
     /*  99476 */ // Label 1857: @99476
     /*  99476 */ GIM_Try, /*On fail goto*//*Label 1858*/ GIMT_Encode4(99536), // Rule ID 4112 //
     /*  99481 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99484 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  99488 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  99495 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  99499 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99503 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /*  99510 */   // (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LDRHHroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /*  99510 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroW),
     /*  99513 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99515 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99520 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  99525 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  99530 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99534 */   GIR_RootConstrainSelectedInstOperands,
     /*  99535 */   // GIR_Coverage, 4112,
     /*  99535 */   GIR_EraseRootFromParent_Done,
     /*  99536 */ // Label 1858: @99536
     /*  99536 */ GIM_Try, /*On fail goto*//*Label 1859*/ GIMT_Encode4(99596), // Rule ID 4113 //
     /*  99541 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99544 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  99548 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  99555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  99559 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99563 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /*  99570 */   // (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LDRHHroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /*  99570 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroX),
     /*  99573 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99575 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99580 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  99585 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  99590 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99594 */   GIR_RootConstrainSelectedInstOperands,
     /*  99595 */   // GIR_Coverage, 4113,
     /*  99595 */   GIR_EraseRootFromParent_Done,
     /*  99596 */ // Label 1859: @99596
     /*  99596 */ GIM_Try, /*On fail goto*//*Label 1860*/ GIMT_Encode4(99656), // Rule ID 4114 //
     /*  99601 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99604 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  99608 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  99615 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  99619 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99623 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /*  99630 */   // (ld:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>>  =>  (LDRWroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /*  99630 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRWroW),
     /*  99633 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99635 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99640 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  99645 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  99650 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99654 */   GIR_RootConstrainSelectedInstOperands,
     /*  99655 */   // GIR_Coverage, 4114,
     /*  99655 */   GIR_EraseRootFromParent_Done,
     /*  99656 */ // Label 1860: @99656
     /*  99656 */ GIM_Try, /*On fail goto*//*Label 1861*/ GIMT_Encode4(99716), // Rule ID 4115 //
     /*  99661 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99664 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  99668 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  99675 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  99679 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99683 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /*  99690 */   // (ld:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>>  =>  (LDRWroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /*  99690 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRWroX),
     /*  99693 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99695 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99700 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  99705 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  99710 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99714 */   GIR_RootConstrainSelectedInstOperands,
     /*  99715 */   // GIR_Coverage, 4115,
     /*  99715 */   GIR_EraseRootFromParent_Done,
     /*  99716 */ // Label 1861: @99716
     /*  99716 */ GIM_Try, /*On fail goto*//*Label 1862*/ GIMT_Encode4(99764), // Rule ID 260 //
     /*  99721 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99724 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  99728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  99732 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99736 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /*  99743 */   // (ld:{ *:[i32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRWui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /*  99743 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRWui),
     /*  99746 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99748 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99753 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  99758 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99762 */   GIR_RootConstrainSelectedInstOperands,
     /*  99763 */   // GIR_Coverage, 260,
     /*  99763 */   GIR_EraseRootFromParent_Done,
     /*  99764 */ // Label 1862: @99764
     /*  99764 */ GIM_Try, /*On fail goto*//*Label 1863*/ GIMT_Encode4(99815), // Rule ID 263 //
     /*  99769 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  99772 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99775 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  99779 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  99783 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99787 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /*  99794 */   // (ld:{ *:[f32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRSui:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /*  99794 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /*  99797 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99799 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99804 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  99809 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99813 */   GIR_RootConstrainSelectedInstOperands,
     /*  99814 */   // GIR_Coverage, 263,
     /*  99814 */   GIR_EraseRootFromParent_Done,
     /*  99815 */ // Label 1863: @99815
     /*  99815 */ GIM_Try, /*On fail goto*//*Label 1864*/ GIMT_Encode4(99874), // Rule ID 6993 //
     /*  99820 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  99823 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  99830 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  99833 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  99837 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99841 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /*  99848 */   // (atomic_load:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_8>><<P:Predicate_anonymous_15804>>  =>  (LDRBBroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$offset)
     /*  99848 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroW),
     /*  99851 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99853 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99858 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  99863 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  99868 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99872 */   GIR_RootConstrainSelectedInstOperands,
     /*  99873 */   // GIR_Coverage, 6993,
     /*  99873 */   GIR_EraseRootFromParent_Done,
     /*  99874 */ // Label 1864: @99874
     /*  99874 */ GIM_Try, /*On fail goto*//*Label 1865*/ GIMT_Encode4(99933), // Rule ID 6995 //
     /*  99879 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  99882 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  99889 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  99892 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  99896 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99900 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /*  99907 */   // (atomic_load:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_8>><<P:Predicate_anonymous_15804>>  =>  (LDRBBroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$offset)
     /*  99907 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroX),
     /*  99910 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99912 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99917 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  99922 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /*  99927 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99931 */   GIR_RootConstrainSelectedInstOperands,
     /*  99932 */   // GIR_Coverage, 6995,
     /*  99932 */   GIR_EraseRootFromParent_Done,
     /*  99933 */ // Label 1865: @99933
     /*  99933 */ GIM_Try, /*On fail goto*//*Label 1866*/ GIMT_Encode4(99992), // Rule ID 7005 //
     /*  99938 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  99941 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  99948 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  99951 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  99955 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99959 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /*  99966 */   // (atomic_load:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_16>><<P:Predicate_anonymous_15813>>  =>  (LDRHHroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /*  99966 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroW),
     /*  99969 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99971 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99976 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  99981 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  99986 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99990 */   GIR_RootConstrainSelectedInstOperands,
     /*  99991 */   // GIR_Coverage, 7005,
     /*  99991 */   GIR_EraseRootFromParent_Done,
     /*  99992 */ // Label 1866: @99992
     /*  99992 */ GIM_Try, /*On fail goto*//*Label 1867*/ GIMT_Encode4(100051), // Rule ID 7007 //
     /*  99997 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 100000 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 100007 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 100010 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100014 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100018 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 100025 */   // (atomic_load:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_16>><<P:Predicate_anonymous_15813>>  =>  (LDRHHroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 100025 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroX),
     /* 100028 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100030 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100035 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 100040 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 100045 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100049 */   GIR_RootConstrainSelectedInstOperands,
     /* 100050 */   // GIR_Coverage, 7007,
     /* 100050 */   GIR_EraseRootFromParent_Done,
     /* 100051 */ // Label 1867: @100051
     /* 100051 */ GIM_Try, /*On fail goto*//*Label 1868*/ GIMT_Encode4(100110), // Rule ID 7015 //
     /* 100056 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 100059 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 100066 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 100069 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100073 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100077 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 100084 */   // (atomic_load:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_15821>>  =>  (LDRWroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /* 100084 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRWroW),
     /* 100087 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100089 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100094 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 100099 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 100104 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100108 */   GIR_RootConstrainSelectedInstOperands,
     /* 100109 */   // GIR_Coverage, 7015,
     /* 100109 */   GIR_EraseRootFromParent_Done,
     /* 100110 */ // Label 1868: @100110
     /* 100110 */ GIM_Try, /*On fail goto*//*Label 1869*/ GIMT_Encode4(100169), // Rule ID 7016 //
     /* 100115 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 100118 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 100125 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 100128 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100132 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100136 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 100143 */   // (atomic_load:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_15821>>  =>  (LDRWroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /* 100143 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRWroX),
     /* 100146 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100148 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100153 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 100158 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 100163 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100167 */   GIR_RootConstrainSelectedInstOperands,
     /* 100168 */   // GIR_Coverage, 7016,
     /* 100168 */   GIR_EraseRootFromParent_Done,
     /* 100169 */ // Label 1869: @100169
     /* 100169 */ GIM_Try, /*On fail goto*//*Label 1870*/ GIMT_Encode4(100217), // Rule ID 281 //
     /* 100174 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100177 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100181 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100185 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100189 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 100196 */   // (ld:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURWi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 100196 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURWi),
     /* 100199 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100201 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100206 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 100211 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100215 */   GIR_RootConstrainSelectedInstOperands,
     /* 100216 */   // GIR_Coverage, 281,
     /* 100216 */   GIR_EraseRootFromParent_Done,
     /* 100217 */ // Label 1870: @100217
     /* 100217 */ GIM_Try, /*On fail goto*//*Label 1871*/ GIMT_Encode4(100268), // Rule ID 284 //
     /* 100222 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 100225 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100228 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100232 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 100236 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100240 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 100247 */   // (ld:{ *:[f32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURSi:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 100247 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 100250 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100252 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100257 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 100262 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100266 */   GIR_RootConstrainSelectedInstOperands,
     /* 100267 */   // GIR_Coverage, 284,
     /* 100267 */   GIR_EraseRootFromParent_Done,
     /* 100268 */ // Label 1871: @100268
     /* 100268 */ GIM_Try, /*On fail goto*//*Label 1872*/ GIMT_Encode4(100322), // Rule ID 6997 //
     /* 100273 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 100276 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 100283 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 100286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100290 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100294 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 100301 */   // (atomic_load:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_atomic_load_8>><<P:Predicate_anonymous_15804>>  =>  (LDRBBui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 100301 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBui),
     /* 100304 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100306 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100311 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 100316 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100320 */   GIR_RootConstrainSelectedInstOperands,
     /* 100321 */   // GIR_Coverage, 6997,
     /* 100321 */   GIR_EraseRootFromParent_Done,
     /* 100322 */ // Label 1872: @100322
     /* 100322 */ GIM_Try, /*On fail goto*//*Label 1873*/ GIMT_Encode4(100376), // Rule ID 6999 //
     /* 100327 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 100330 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 100337 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 100340 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100344 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100348 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 100355 */   // (atomic_load:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_8>><<P:Predicate_anonymous_15804>>  =>  (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 100355 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /* 100358 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100360 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100365 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 100370 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100374 */   GIR_RootConstrainSelectedInstOperands,
     /* 100375 */   // GIR_Coverage, 6999,
     /* 100375 */   GIR_EraseRootFromParent_Done,
     /* 100376 */ // Label 1873: @100376
     /* 100376 */ GIM_Try, /*On fail goto*//*Label 1874*/ GIMT_Encode4(100430), // Rule ID 7009 //
     /* 100381 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 100384 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 100391 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 100394 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100398 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100402 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 100409 */   // (atomic_load:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_atomic_load_16>><<P:Predicate_anonymous_15813>>  =>  (LDRHHui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 100409 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHui),
     /* 100412 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100414 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100419 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 100424 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100428 */   GIR_RootConstrainSelectedInstOperands,
     /* 100429 */   // GIR_Coverage, 7009,
     /* 100429 */   GIR_EraseRootFromParent_Done,
     /* 100430 */ // Label 1874: @100430
     /* 100430 */ GIM_Try, /*On fail goto*//*Label 1875*/ GIMT_Encode4(100484), // Rule ID 7011 //
     /* 100435 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 100438 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 100445 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 100448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100452 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100456 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 100463 */   // (atomic_load:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_16>><<P:Predicate_anonymous_15813>>  =>  (LDURHHi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 100463 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURHHi),
     /* 100466 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100468 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100473 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 100478 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100482 */   GIR_RootConstrainSelectedInstOperands,
     /* 100483 */   // GIR_Coverage, 7011,
     /* 100483 */   GIR_EraseRootFromParent_Done,
     /* 100484 */ // Label 1875: @100484
     /* 100484 */ GIM_Try, /*On fail goto*//*Label 1876*/ GIMT_Encode4(100538), // Rule ID 7017 //
     /* 100489 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 100492 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 100499 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 100502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100506 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100510 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 100517 */   // (atomic_load:{ *:[i32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_15821>>  =>  (LDRWui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 100517 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRWui),
     /* 100520 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100522 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100527 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 100532 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100536 */   GIR_RootConstrainSelectedInstOperands,
     /* 100537 */   // GIR_Coverage, 7017,
     /* 100537 */   GIR_EraseRootFromParent_Done,
     /* 100538 */ // Label 1876: @100538
     /* 100538 */ GIM_Try, /*On fail goto*//*Label 1877*/ GIMT_Encode4(100592), // Rule ID 7018 //
     /* 100543 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 100546 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 100553 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 100556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100560 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100564 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 100571 */   // (atomic_load:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_15821>>  =>  (LDURWi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 100571 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURWi),
     /* 100574 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100576 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100581 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 100586 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100590 */   GIR_RootConstrainSelectedInstOperands,
     /* 100591 */   // GIR_Coverage, 7018,
     /* 100591 */   GIR_EraseRootFromParent_Done,
     /* 100592 */ // Label 1877: @100592
     /* 100592 */ GIM_Try, /*On fail goto*//*Label 1878*/ GIMT_Encode4(100649), // Rule ID 7373 //
     /* 100597 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC_IMMO_UseLDAPUR),
     /* 100600 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 100603 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 100610 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 100613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100617 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100621 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 100628 */   // (atomic_load:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_8>><<P:Predicate_anonymous_15802>>  =>  (LDAPURBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 100628 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDAPURBi),
     /* 100631 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100633 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100638 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 100643 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100647 */   GIR_RootConstrainSelectedInstOperands,
     /* 100648 */   // GIR_Coverage, 7373,
     /* 100648 */   GIR_EraseRootFromParent_Done,
     /* 100649 */ // Label 1878: @100649
     /* 100649 */ GIM_Try, /*On fail goto*//*Label 1879*/ GIMT_Encode4(100706), // Rule ID 7375 //
     /* 100654 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC_IMMO_UseLDAPUR),
     /* 100657 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 100660 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 100667 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 100670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100674 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100678 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 100685 */   // (atomic_load:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_16>><<P:Predicate_anonymous_15811>>  =>  (LDAPURHi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 100685 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDAPURHi),
     /* 100688 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100690 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100695 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 100700 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100704 */   GIR_RootConstrainSelectedInstOperands,
     /* 100705 */   // GIR_Coverage, 7375,
     /* 100705 */   GIR_EraseRootFromParent_Done,
     /* 100706 */ // Label 1879: @100706
     /* 100706 */ GIM_Try, /*On fail goto*//*Label 1880*/ GIMT_Encode4(100763), // Rule ID 7377 //
     /* 100711 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC_IMMO_UseLDAPUR),
     /* 100714 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 100717 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 100724 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 100727 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100731 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100735 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 100742 */   // (atomic_load:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_15796>>  =>  (LDAPURi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 100742 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDAPURi),
     /* 100745 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100747 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100752 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 100757 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100761 */   GIR_RootConstrainSelectedInstOperands,
     /* 100762 */   // GIR_Coverage, 7377,
     /* 100762 */   GIR_EraseRootFromParent_Done,
     /* 100763 */ // Label 1880: @100763
     /* 100763 */ GIM_Try, /*On fail goto*//*Label 1881*/ GIMT_Encode4(100818), // Rule ID 4137 //
     /* 100768 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100771 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100775 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 100782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100786 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100790 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 100797 */   // (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LDRHHui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 100797 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHui),
     /* 100800 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100802 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100807 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 100812 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100816 */   GIR_RootConstrainSelectedInstOperands,
     /* 100817 */   // GIR_Coverage, 4137,
     /* 100817 */   GIR_EraseRootFromParent_Done,
     /* 100818 */ // Label 1881: @100818
     /* 100818 */ GIM_Try, /*On fail goto*//*Label 1882*/ GIMT_Encode4(100873), // Rule ID 4138 //
     /* 100823 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100826 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100830 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 100837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100841 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100845 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 100852 */   // (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LDRBBui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 100852 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBui),
     /* 100855 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100857 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100862 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 100867 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100871 */   GIR_RootConstrainSelectedInstOperands,
     /* 100872 */   // GIR_Coverage, 4138,
     /* 100872 */   GIR_EraseRootFromParent_Done,
     /* 100873 */ // Label 1882: @100873
     /* 100873 */ GIM_Try, /*On fail goto*//*Label 1883*/ GIMT_Encode4(100928), // Rule ID 4139 //
     /* 100878 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100881 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100885 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 100892 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100896 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100900 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 100907 */   // (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi1>>  =>  (LDRBBui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 100907 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBui),
     /* 100910 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100912 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100917 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 100922 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100926 */   GIR_RootConstrainSelectedInstOperands,
     /* 100927 */   // GIR_Coverage, 4139,
     /* 100927 */   GIR_EraseRootFromParent_Done,
     /* 100928 */ // Label 1883: @100928
     /* 100928 */ GIM_Try, /*On fail goto*//*Label 1884*/ GIMT_Encode4(100983), // Rule ID 4160 //
     /* 100933 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100936 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100940 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 100947 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100951 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100955 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 100962 */   // (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LDURHHi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 100962 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURHHi),
     /* 100965 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100967 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100972 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 100977 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100981 */   GIR_RootConstrainSelectedInstOperands,
     /* 100982 */   // GIR_Coverage, 4160,
     /* 100982 */   GIR_EraseRootFromParent_Done,
     /* 100983 */ // Label 1884: @100983
     /* 100983 */ GIM_Try, /*On fail goto*//*Label 1885*/ GIMT_Encode4(101038), // Rule ID 4161 //
     /* 100988 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100991 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100995 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 101002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101006 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101010 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 101017 */   // (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 101017 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /* 101020 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101022 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101027 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101032 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101036 */   GIR_RootConstrainSelectedInstOperands,
     /* 101037 */   // GIR_Coverage, 4161,
     /* 101037 */   GIR_EraseRootFromParent_Done,
     /* 101038 */ // Label 1885: @101038
     /* 101038 */ GIM_Try, /*On fail goto*//*Label 1886*/ GIMT_Encode4(101093), // Rule ID 4162 //
     /* 101043 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 101046 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101050 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 101057 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101061 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101065 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 101072 */   // (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi1>>  =>  (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 101072 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /* 101075 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101077 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101082 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101087 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101091 */   GIR_RootConstrainSelectedInstOperands,
     /* 101092 */   // GIR_Coverage, 4162,
     /* 101092 */   GIR_EraseRootFromParent_Done,
     /* 101093 */ // Label 1886: @101093
     /* 101093 */ GIM_Try, /*On fail goto*//*Label 1887*/ GIMT_Encode4(101133), // Rule ID 6985 //
     /* 101098 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC),
     /* 101101 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 101104 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 101111 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 101114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101118 */   // MIs[0] ptr
     /* 101118 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 101122 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 101126 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_8>><<P:Predicate_anonymous_15792>>  =>  (LDAPRB:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 101126 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDAPRB),
     /* 101131 */   GIR_RootConstrainSelectedInstOperands,
     /* 101132 */   // GIR_Coverage, 6985,
     /* 101132 */   GIR_Done,
     /* 101133 */ // Label 1887: @101133
     /* 101133 */ GIM_Try, /*On fail goto*//*Label 1888*/ GIMT_Encode4(101173), // Rule ID 6986 //
     /* 101138 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC),
     /* 101141 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 101144 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 101151 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 101154 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101158 */   // MIs[0] ptr
     /* 101158 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 101162 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 101166 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_16>><<P:Predicate_anonymous_15794>>  =>  (LDAPRH:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 101166 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDAPRH),
     /* 101171 */   GIR_RootConstrainSelectedInstOperands,
     /* 101172 */   // GIR_Coverage, 6986,
     /* 101172 */   GIR_Done,
     /* 101173 */ // Label 1888: @101173
     /* 101173 */ GIM_Try, /*On fail goto*//*Label 1889*/ GIMT_Encode4(101213), // Rule ID 6987 //
     /* 101178 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC),
     /* 101181 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 101184 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 101191 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 101194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101198 */   // MIs[0] ptr
     /* 101198 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 101202 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 101206 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_15796>>  =>  (LDAPRW:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 101206 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDAPRW),
     /* 101211 */   GIR_RootConstrainSelectedInstOperands,
     /* 101212 */   // GIR_Coverage, 6987,
     /* 101212 */   GIR_Done,
     /* 101213 */ // Label 1889: @101213
     /* 101213 */ GIM_Try, /*On fail goto*//*Label 1890*/ GIMT_Encode4(101250), // Rule ID 6989 //
     /* 101218 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 101221 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 101228 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 101231 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101235 */   // MIs[0] ptr
     /* 101235 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 101239 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 101243 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_8>><<P:Predicate_anonymous_15800>>  =>  (LDARB:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 101243 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARB),
     /* 101248 */   GIR_RootConstrainSelectedInstOperands,
     /* 101249 */   // GIR_Coverage, 6989,
     /* 101249 */   GIR_Done,
     /* 101250 */ // Label 1890: @101250
     /* 101250 */ GIM_Try, /*On fail goto*//*Label 1891*/ GIMT_Encode4(101287), // Rule ID 6991 //
     /* 101255 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 101258 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 101265 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 101268 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101272 */   // MIs[0] ptr
     /* 101272 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 101276 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 101280 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_8>><<P:Predicate_anonymous_15802>>  =>  (LDARB:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 101280 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARB),
     /* 101285 */   GIR_RootConstrainSelectedInstOperands,
     /* 101286 */   // GIR_Coverage, 6991,
     /* 101286 */   GIR_Done,
     /* 101287 */ // Label 1891: @101287
     /* 101287 */ GIM_Try, /*On fail goto*//*Label 1892*/ GIMT_Encode4(101324), // Rule ID 7001 //
     /* 101292 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 101295 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 101302 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 101305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101309 */   // MIs[0] ptr
     /* 101309 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 101313 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 101317 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_16>><<P:Predicate_anonymous_15809>>  =>  (LDARH:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 101317 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARH),
     /* 101322 */   GIR_RootConstrainSelectedInstOperands,
     /* 101323 */   // GIR_Coverage, 7001,
     /* 101323 */   GIR_Done,
     /* 101324 */ // Label 1892: @101324
     /* 101324 */ GIM_Try, /*On fail goto*//*Label 1893*/ GIMT_Encode4(101361), // Rule ID 7003 //
     /* 101329 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 101332 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 101339 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 101342 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101346 */   // MIs[0] ptr
     /* 101346 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 101350 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 101354 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_16>><<P:Predicate_anonymous_15811>>  =>  (LDARH:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 101354 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARH),
     /* 101359 */   GIR_RootConstrainSelectedInstOperands,
     /* 101360 */   // GIR_Coverage, 7003,
     /* 101360 */   GIR_Done,
     /* 101361 */ // Label 1893: @101361
     /* 101361 */ GIM_Try, /*On fail goto*//*Label 1894*/ GIMT_Encode4(101398), // Rule ID 7013 //
     /* 101366 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 101369 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 101376 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 101379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101383 */   // MIs[0] ptr
     /* 101383 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 101387 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 101391 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_15818>>  =>  (LDARW:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 101391 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARW),
     /* 101396 */   GIR_RootConstrainSelectedInstOperands,
     /* 101397 */   // GIR_Coverage, 7013,
     /* 101397 */   GIR_Done,
     /* 101398 */ // Label 1894: @101398
     /* 101398 */ GIM_Try, /*On fail goto*//*Label 1895*/ GIMT_Encode4(101435), // Rule ID 7014 //
     /* 101403 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 101406 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 101413 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 101416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101420 */   // MIs[0] ptr
     /* 101420 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 101424 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 101428 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_15796>>  =>  (LDARW:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 101428 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARW),
     /* 101433 */   GIR_RootConstrainSelectedInstOperands,
     /* 101434 */   // GIR_Coverage, 7014,
     /* 101434 */   GIR_Done,
     /* 101435 */ // Label 1895: @101435
     /* 101435 */ GIM_Reject,
     /* 101436 */ // Label 1824: @101436
     /* 101436 */ GIM_Try, /*On fail goto*//*Label 1896*/ GIMT_Encode4(101489), // Rule ID 235 //
     /* 101441 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 101444 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 101452 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101456 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 101463 */   // (ld:{ *:[i64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRXroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 101463 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRXroW),
     /* 101466 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101468 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101473 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 101478 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 101483 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101487 */   GIR_RootConstrainSelectedInstOperands,
     /* 101488 */   // GIR_Coverage, 235,
     /* 101488 */   GIR_EraseRootFromParent_Done,
     /* 101489 */ // Label 1896: @101489
     /* 101489 */ GIM_Try, /*On fail goto*//*Label 1897*/ GIMT_Encode4(101542), // Rule ID 236 //
     /* 101494 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 101497 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101501 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 101505 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101509 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 101516 */   // (ld:{ *:[i64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRXroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 101516 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRXroX),
     /* 101519 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101521 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101526 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 101531 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 101536 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101540 */   GIR_RootConstrainSelectedInstOperands,
     /* 101541 */   // GIR_Coverage, 236,
     /* 101541 */   GIR_EraseRootFromParent_Done,
     /* 101542 */ // Label 1897: @101542
     /* 101542 */ GIM_Try, /*On fail goto*//*Label 1898*/ GIMT_Encode4(101598), // Rule ID 243 //
     /* 101547 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 101550 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 101553 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 101561 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101565 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 101572 */   // (ld:{ *:[f64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroW:{ *:[f64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 101572 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 101575 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101577 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101582 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 101587 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 101592 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101596 */   GIR_RootConstrainSelectedInstOperands,
     /* 101597 */   // GIR_Coverage, 243,
     /* 101597 */   GIR_EraseRootFromParent_Done,
     /* 101598 */ // Label 1898: @101598
     /* 101598 */ GIM_Try, /*On fail goto*//*Label 1899*/ GIMT_Encode4(101654), // Rule ID 244 //
     /* 101603 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 101606 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 101609 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 101617 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101621 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 101628 */   // (ld:{ *:[f64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroX:{ *:[f64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 101628 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 101631 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101633 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101638 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 101643 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 101648 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101652 */   GIR_RootConstrainSelectedInstOperands,
     /* 101653 */   // GIR_Coverage, 244,
     /* 101653 */   GIR_EraseRootFromParent_Done,
     /* 101654 */ // Label 1899: @101654
     /* 101654 */ GIM_Try, /*On fail goto*//*Label 1900*/ GIMT_Encode4(101707), // Rule ID 4076 //
     /* 101659 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 101662 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101666 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 101670 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101674 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 101681 */   // (ld:{ *:[v1i64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroW:{ *:[v1i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 101681 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 101684 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101686 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101691 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 101696 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 101701 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101705 */   GIR_RootConstrainSelectedInstOperands,
     /* 101706 */   // GIR_Coverage, 4076,
     /* 101706 */   GIR_EraseRootFromParent_Done,
     /* 101707 */ // Label 1900: @101707
     /* 101707 */ GIM_Try, /*On fail goto*//*Label 1901*/ GIMT_Encode4(101760), // Rule ID 4077 //
     /* 101712 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 101715 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101719 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 101723 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101727 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 101734 */   // (ld:{ *:[v1i64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroX:{ *:[v1i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 101734 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 101737 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101739 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101744 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 101749 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 101754 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101758 */   GIR_RootConstrainSelectedInstOperands,
     /* 101759 */   // GIR_Coverage, 4077,
     /* 101759 */   GIR_EraseRootFromParent_Done,
     /* 101760 */ // Label 1901: @101760
     /* 101760 */ GIM_Try, /*On fail goto*//*Label 1902*/ GIMT_Encode4(101813), // Rule ID 4078 //
     /* 101765 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 101768 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 101776 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101780 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 101787 */   // (ld:{ *:[v1f64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroW:{ *:[v1f64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 101787 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 101790 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101792 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101797 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 101802 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 101807 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101811 */   GIR_RootConstrainSelectedInstOperands,
     /* 101812 */   // GIR_Coverage, 4078,
     /* 101812 */   GIR_EraseRootFromParent_Done,
     /* 101813 */ // Label 1902: @101813
     /* 101813 */ GIM_Try, /*On fail goto*//*Label 1903*/ GIMT_Encode4(101866), // Rule ID 4079 //
     /* 101818 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 101821 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101825 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 101829 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101833 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 101840 */   // (ld:{ *:[v1f64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroX:{ *:[v1f64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 101840 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 101843 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101845 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101850 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 101855 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 101860 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101864 */   GIR_RootConstrainSelectedInstOperands,
     /* 101865 */   // GIR_Coverage, 4079,
     /* 101865 */   GIR_EraseRootFromParent_Done,
     /* 101866 */ // Label 1903: @101866
     /* 101866 */ GIM_Try, /*On fail goto*//*Label 1904*/ GIMT_Encode4(101958), // Rule ID 4102 //
     /* 101871 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 101874 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101878 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 101885 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 101889 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101893 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 101900 */   // (ld:{ *:[i64] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 101900 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 101903 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroW),
     /* 101907 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 101912 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101917 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 101922 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 101927 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101931 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 101933 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 101936 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 101938 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 101941 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 101944 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 101947 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 101952 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101957 */   // GIR_Coverage, 4102,
     /* 101957 */   GIR_EraseRootFromParent_Done,
     /* 101958 */ // Label 1904: @101958
     /* 101958 */ GIM_Try, /*On fail goto*//*Label 1905*/ GIMT_Encode4(102050), // Rule ID 4103 //
     /* 101963 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 101966 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101970 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 101977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 101981 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101985 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 101992 */   // (ld:{ *:[i64] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 101992 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 101995 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroX),
     /* 101999 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 102004 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102009 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 102014 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 102019 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102023 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 102025 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 102028 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 102030 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 102033 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 102036 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 102039 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 102044 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 102049 */   // GIR_Coverage, 4103,
     /* 102049 */   GIR_EraseRootFromParent_Done,
     /* 102050 */ // Label 1905: @102050
     /* 102050 */ GIM_Try, /*On fail goto*//*Label 1906*/ GIMT_Encode4(102142), // Rule ID 4104 //
     /* 102055 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102058 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102062 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 102069 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 102073 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102077 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 102084 */   // (ld:{ *:[i64] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRHHroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 102084 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 102087 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroW),
     /* 102091 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 102096 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102101 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 102106 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 102111 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102115 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 102117 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 102120 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 102122 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 102125 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 102128 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 102131 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 102136 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 102141 */   // GIR_Coverage, 4104,
     /* 102141 */   GIR_EraseRootFromParent_Done,
     /* 102142 */ // Label 1906: @102142
     /* 102142 */ GIM_Try, /*On fail goto*//*Label 1907*/ GIMT_Encode4(102234), // Rule ID 4105 //
     /* 102147 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102150 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102154 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 102161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 102165 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102169 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 102176 */   // (ld:{ *:[i64] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRHHroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 102176 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 102179 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroX),
     /* 102183 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 102188 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102193 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 102198 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 102203 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102207 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 102209 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 102212 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 102214 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 102217 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 102220 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 102223 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 102228 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 102233 */   // GIR_Coverage, 4105,
     /* 102233 */   GIR_EraseRootFromParent_Done,
     /* 102234 */ // Label 1907: @102234
     /* 102234 */ GIM_Try, /*On fail goto*//*Label 1908*/ GIMT_Encode4(102326), // Rule ID 4106 //
     /* 102239 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102242 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102246 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 102253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 102257 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102261 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 102268 */   // (ld:{ *:[i64] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRWroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 102268 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 102271 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRWroW),
     /* 102275 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 102280 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102285 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 102290 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 102295 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102299 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 102301 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 102304 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 102306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 102309 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 102312 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 102315 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 102320 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 102325 */   // GIR_Coverage, 4106,
     /* 102325 */   GIR_EraseRootFromParent_Done,
     /* 102326 */ // Label 1908: @102326
     /* 102326 */ GIM_Try, /*On fail goto*//*Label 1909*/ GIMT_Encode4(102418), // Rule ID 4107 //
     /* 102331 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102334 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102338 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 102345 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 102349 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102353 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 102360 */   // (ld:{ *:[i64] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRWroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 102360 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 102363 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRWroX),
     /* 102367 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 102372 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102377 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 102382 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 102387 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102391 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 102393 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 102396 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 102398 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 102401 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 102404 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 102407 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 102412 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 102417 */   // GIR_Coverage, 4107,
     /* 102417 */   GIR_EraseRootFromParent_Done,
     /* 102418 */ // Label 1909: @102418
     /* 102418 */ GIM_Try, /*On fail goto*//*Label 1910*/ GIMT_Encode4(102510), // Rule ID 4108 //
     /* 102423 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102426 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102430 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 102437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 102441 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102445 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 102452 */   // (ld:{ *:[i64] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi1>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 102452 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 102455 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroW),
     /* 102459 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 102464 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102469 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 102474 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 102479 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102483 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 102485 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 102488 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 102490 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 102493 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 102496 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 102499 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 102504 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 102509 */   // GIR_Coverage, 4108,
     /* 102509 */   GIR_EraseRootFromParent_Done,
     /* 102510 */ // Label 1910: @102510
     /* 102510 */ GIM_Try, /*On fail goto*//*Label 1911*/ GIMT_Encode4(102602), // Rule ID 4109 //
     /* 102515 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102518 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102522 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 102529 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 102533 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102537 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 102544 */   // (ld:{ *:[i64] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi1>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 102544 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 102547 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroX),
     /* 102551 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 102556 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102561 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 102566 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 102571 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102575 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 102577 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 102580 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 102582 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 102585 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 102588 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 102591 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 102596 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 102601 */   // GIR_Coverage, 4109,
     /* 102601 */   GIR_EraseRootFromParent_Done,
     /* 102602 */ // Label 1911: @102602
     /* 102602 */ GIM_Try, /*On fail goto*//*Label 1912*/ GIMT_Encode4(102650), // Rule ID 259 //
     /* 102607 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102610 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102614 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 102618 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102622 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 102629 */   // (ld:{ *:[i64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRXui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 102629 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRXui),
     /* 102632 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 102634 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102639 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 102644 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102648 */   GIR_RootConstrainSelectedInstOperands,
     /* 102649 */   // GIR_Coverage, 259,
     /* 102649 */   GIR_EraseRootFromParent_Done,
     /* 102650 */ // Label 1912: @102650
     /* 102650 */ GIM_Try, /*On fail goto*//*Label 1913*/ GIMT_Encode4(102701), // Rule ID 264 //
     /* 102655 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 102658 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102661 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102665 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 102669 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102673 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 102680 */   // (ld:{ *:[f64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDui:{ *:[f64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 102680 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 102683 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 102685 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102690 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 102695 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102699 */   GIR_RootConstrainSelectedInstOperands,
     /* 102700 */   // GIR_Coverage, 264,
     /* 102700 */   GIR_EraseRootFromParent_Done,
     /* 102701 */ // Label 1913: @102701
     /* 102701 */ GIM_Try, /*On fail goto*//*Label 1914*/ GIMT_Encode4(102760), // Rule ID 7021 //
     /* 102706 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 102709 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 102716 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 102719 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 102723 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102727 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 102734 */   // (atomic_load:{ *:[i64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_15829>>  =>  (LDRXroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 102734 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRXroW),
     /* 102737 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 102739 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102744 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 102749 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 102754 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102758 */   GIR_RootConstrainSelectedInstOperands,
     /* 102759 */   // GIR_Coverage, 7021,
     /* 102759 */   GIR_EraseRootFromParent_Done,
     /* 102760 */ // Label 1914: @102760
     /* 102760 */ GIM_Try, /*On fail goto*//*Label 1915*/ GIMT_Encode4(102819), // Rule ID 7022 //
     /* 102765 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 102768 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 102775 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 102778 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 102782 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102786 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 102793 */   // (atomic_load:{ *:[i64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_15829>>  =>  (LDRXroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 102793 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRXroX),
     /* 102796 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 102798 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102803 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 102808 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 102813 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102817 */   GIR_RootConstrainSelectedInstOperands,
     /* 102818 */   // GIR_Coverage, 7022,
     /* 102818 */   GIR_EraseRootFromParent_Done,
     /* 102819 */ // Label 1915: @102819
     /* 102819 */ GIM_Try, /*On fail goto*//*Label 1916*/ GIMT_Encode4(102867), // Rule ID 280 //
     /* 102824 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102827 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 102835 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102839 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 102846 */   // (ld:{ *:[i64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURXi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 102846 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURXi),
     /* 102849 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 102851 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102856 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 102861 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102865 */   GIR_RootConstrainSelectedInstOperands,
     /* 102866 */   // GIR_Coverage, 280,
     /* 102866 */   GIR_EraseRootFromParent_Done,
     /* 102867 */ // Label 1916: @102867
     /* 102867 */ GIM_Try, /*On fail goto*//*Label 1917*/ GIMT_Encode4(102918), // Rule ID 285 //
     /* 102872 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 102875 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102878 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102882 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 102886 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102890 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 102897 */   // (ld:{ *:[f64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURDi:{ *:[f64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 102897 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 102900 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 102902 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102907 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 102912 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102916 */   GIR_RootConstrainSelectedInstOperands,
     /* 102917 */   // GIR_Coverage, 285,
     /* 102917 */   GIR_EraseRootFromParent_Done,
     /* 102918 */ // Label 1917: @102918
     /* 102918 */ GIM_Try, /*On fail goto*//*Label 1918*/ GIMT_Encode4(102972), // Rule ID 7023 //
     /* 102923 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 102926 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 102933 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 102936 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 102940 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102944 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 102951 */   // (atomic_load:{ *:[i64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_15829>>  =>  (LDRXui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 102951 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRXui),
     /* 102954 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 102956 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102961 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 102966 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102970 */   GIR_RootConstrainSelectedInstOperands,
     /* 102971 */   // GIR_Coverage, 7023,
     /* 102971 */   GIR_EraseRootFromParent_Done,
     /* 102972 */ // Label 1918: @102972
     /* 102972 */ GIM_Try, /*On fail goto*//*Label 1919*/ GIMT_Encode4(103026), // Rule ID 7024 //
     /* 102977 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 102980 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 102987 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 102990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 102994 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102998 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 103005 */   // (atomic_load:{ *:[i64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_15829>>  =>  (LDURXi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 103005 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURXi),
     /* 103008 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 103010 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103015 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 103020 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103024 */   GIR_RootConstrainSelectedInstOperands,
     /* 103025 */   // GIR_Coverage, 7024,
     /* 103025 */   GIR_EraseRootFromParent_Done,
     /* 103026 */ // Label 1919: @103026
     /* 103026 */ GIM_Try, /*On fail goto*//*Label 1920*/ GIMT_Encode4(103083), // Rule ID 7378 //
     /* 103031 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC_IMMO_UseLDAPUR),
     /* 103034 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 103037 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 103044 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 103047 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 103051 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103055 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 103062 */   // (atomic_load:{ *:[i64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_15798>>  =>  (LDAPURXi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 103062 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDAPURXi),
     /* 103065 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 103067 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103072 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 103077 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103081 */   GIR_RootConstrainSelectedInstOperands,
     /* 103082 */   // GIR_Coverage, 7378,
     /* 103082 */   GIR_EraseRootFromParent_Done,
     /* 103083 */ // Label 1920: @103083
     /* 103083 */ GIM_Try, /*On fail goto*//*Label 1921*/ GIMT_Encode4(103131), // Rule ID 4123 //
     /* 103088 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103091 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103095 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 103099 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103103 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 103110 */   // (ld:{ *:[v1f64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDui:{ *:[v1f64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 103110 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 103113 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 103115 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103120 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 103125 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103129 */   GIR_RootConstrainSelectedInstOperands,
     /* 103130 */   // GIR_Coverage, 4123,
     /* 103130 */   GIR_EraseRootFromParent_Done,
     /* 103131 */ // Label 1921: @103131
     /* 103131 */ GIM_Try, /*On fail goto*//*Label 1922*/ GIMT_Encode4(103179), // Rule ID 4124 //
     /* 103136 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103139 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103143 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 103147 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103151 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 103158 */   // (ld:{ *:[v1i64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDui:{ *:[v1i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 103158 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 103161 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 103163 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103168 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 103173 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103177 */   GIR_RootConstrainSelectedInstOperands,
     /* 103178 */   // GIR_Coverage, 4124,
     /* 103178 */   GIR_EraseRootFromParent_Done,
     /* 103179 */ // Label 1922: @103179
     /* 103179 */ GIM_Try, /*On fail goto*//*Label 1923*/ GIMT_Encode4(103266), // Rule ID 4140 //
     /* 103184 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103187 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103191 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 103198 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 103202 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103206 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 103213 */   // (ld:{ *:[i64] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRWui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), sub_32:{ *:[i32] })
     /* 103213 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 103216 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRWui),
     /* 103220 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 103225 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103230 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 103235 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103239 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 103241 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 103244 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103246 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103249 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 103252 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 103255 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 103260 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 103265 */   // GIR_Coverage, 4140,
     /* 103265 */   GIR_EraseRootFromParent_Done,
     /* 103266 */ // Label 1923: @103266
     /* 103266 */ GIM_Try, /*On fail goto*//*Label 1924*/ GIMT_Encode4(103353), // Rule ID 4141 //
     /* 103271 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103274 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103278 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 103285 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 103289 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103293 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 103300 */   // (ld:{ *:[i64] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRHHui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), sub_32:{ *:[i32] })
     /* 103300 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 103303 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHHui),
     /* 103307 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 103312 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103317 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 103322 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103326 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 103328 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 103331 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103333 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103336 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 103339 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 103342 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 103347 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 103352 */   // GIR_Coverage, 4141,
     /* 103352 */   GIR_EraseRootFromParent_Done,
     /* 103353 */ // Label 1924: @103353
     /* 103353 */ GIM_Try, /*On fail goto*//*Label 1925*/ GIMT_Encode4(103440), // Rule ID 4142 //
     /* 103358 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103361 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103365 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 103372 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 103376 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103380 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 103387 */   // (ld:{ *:[i64] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), sub_32:{ *:[i32] })
     /* 103387 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 103390 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBui),
     /* 103394 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 103399 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103404 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 103409 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103413 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 103415 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 103418 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103423 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 103426 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 103429 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 103434 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 103439 */   // GIR_Coverage, 4142,
     /* 103439 */   GIR_EraseRootFromParent_Done,
     /* 103440 */ // Label 1925: @103440
     /* 103440 */ GIM_Try, /*On fail goto*//*Label 1926*/ GIMT_Encode4(103527), // Rule ID 4143 //
     /* 103445 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103448 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103452 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 103459 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 103463 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103467 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 103474 */   // (ld:{ *:[i64] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi1>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), sub_32:{ *:[i32] })
     /* 103474 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 103477 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBui),
     /* 103481 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 103486 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103491 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 103496 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103500 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 103502 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 103505 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103507 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103510 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 103513 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 103516 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 103521 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 103526 */   // GIR_Coverage, 4143,
     /* 103526 */   GIR_EraseRootFromParent_Done,
     /* 103527 */ // Label 1926: @103527
     /* 103527 */ GIM_Try, /*On fail goto*//*Label 1927*/ GIMT_Encode4(103575), // Rule ID 4151 //
     /* 103532 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103535 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103539 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 103543 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103547 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 103554 */   // (ld:{ *:[v1f64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURDi:{ *:[v1f64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 103554 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 103557 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 103559 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103564 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 103569 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103573 */   GIR_RootConstrainSelectedInstOperands,
     /* 103574 */   // GIR_Coverage, 4151,
     /* 103574 */   GIR_EraseRootFromParent_Done,
     /* 103575 */ // Label 1927: @103575
     /* 103575 */ GIM_Try, /*On fail goto*//*Label 1928*/ GIMT_Encode4(103623), // Rule ID 4152 //
     /* 103580 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103583 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103587 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 103591 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103595 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 103602 */   // (ld:{ *:[v1i64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURDi:{ *:[v1i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 103602 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 103605 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 103607 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103612 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 103617 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103621 */   GIR_RootConstrainSelectedInstOperands,
     /* 103622 */   // GIR_Coverage, 4152,
     /* 103622 */   GIR_EraseRootFromParent_Done,
     /* 103623 */ // Label 1928: @103623
     /* 103623 */ GIM_Try, /*On fail goto*//*Label 1929*/ GIMT_Encode4(103710), // Rule ID 4163 //
     /* 103628 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103631 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103635 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 103642 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 103646 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103650 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 103657 */   // (ld:{ *:[i64] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDURWi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), sub_32:{ *:[i32] })
     /* 103657 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 103660 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURWi),
     /* 103664 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 103669 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103674 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 103679 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103683 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 103685 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 103688 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103690 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103693 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 103696 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 103699 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 103704 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 103709 */   // GIR_Coverage, 4163,
     /* 103709 */   GIR_EraseRootFromParent_Done,
     /* 103710 */ // Label 1929: @103710
     /* 103710 */ GIM_Try, /*On fail goto*//*Label 1930*/ GIMT_Encode4(103797), // Rule ID 4164 //
     /* 103715 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103718 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103722 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 103729 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 103733 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103737 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 103744 */   // (ld:{ *:[i64] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDURHHi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), sub_32:{ *:[i32] })
     /* 103744 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 103747 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHHi),
     /* 103751 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 103756 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103761 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 103766 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103770 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 103772 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 103775 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103777 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103780 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 103783 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 103786 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 103791 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 103796 */   // GIR_Coverage, 4164,
     /* 103796 */   GIR_EraseRootFromParent_Done,
     /* 103797 */ // Label 1930: @103797
     /* 103797 */ GIM_Try, /*On fail goto*//*Label 1931*/ GIMT_Encode4(103884), // Rule ID 4165 //
     /* 103802 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103805 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103809 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 103816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 103820 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103824 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 103831 */   // (ld:{ *:[i64] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), sub_32:{ *:[i32] })
     /* 103831 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 103834 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /* 103838 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 103843 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103848 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 103853 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103857 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 103859 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 103862 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103864 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103867 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 103870 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 103873 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 103878 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 103883 */   // GIR_Coverage, 4165,
     /* 103883 */   GIR_EraseRootFromParent_Done,
     /* 103884 */ // Label 1931: @103884
     /* 103884 */ GIM_Try, /*On fail goto*//*Label 1932*/ GIMT_Encode4(103971), // Rule ID 4166 //
     /* 103889 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103892 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103896 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 103903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 103907 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103911 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 103918 */   // (ld:{ *:[i64] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi1>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), sub_32:{ *:[i32] })
     /* 103918 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 103921 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /* 103925 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 103930 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103935 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 103940 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103944 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 103946 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 103949 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103951 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103954 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 103957 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 103960 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 103965 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 103970 */   // GIR_Coverage, 4166,
     /* 103970 */   GIR_EraseRootFromParent_Done,
     /* 103971 */ // Label 1932: @103971
     /* 103971 */ GIM_Try, /*On fail goto*//*Label 1933*/ GIMT_Encode4(104011), // Rule ID 6988 //
     /* 103976 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC),
     /* 103979 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 103982 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 103989 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 103992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 103996 */   // MIs[0] ptr
     /* 103996 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 104000 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 104004 */   // (atomic_load:{ *:[i64] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_15798>>  =>  (LDAPRX:{ *:[i64] } GPR64sp:{ *:[i64] }:$ptr)
     /* 104004 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDAPRX),
     /* 104009 */   GIR_RootConstrainSelectedInstOperands,
     /* 104010 */   // GIR_Coverage, 6988,
     /* 104010 */   GIR_Done,
     /* 104011 */ // Label 1933: @104011
     /* 104011 */ GIM_Try, /*On fail goto*//*Label 1934*/ GIMT_Encode4(104048), // Rule ID 7019 //
     /* 104016 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 104019 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 104026 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 104029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 104033 */   // MIs[0] ptr
     /* 104033 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 104037 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 104041 */   // (atomic_load:{ *:[i64] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_15826>>  =>  (LDARX:{ *:[i64] } GPR64sp:{ *:[i64] }:$ptr)
     /* 104041 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARX),
     /* 104046 */   GIR_RootConstrainSelectedInstOperands,
     /* 104047 */   // GIR_Coverage, 7019,
     /* 104047 */   GIR_Done,
     /* 104048 */ // Label 1934: @104048
     /* 104048 */ GIM_Try, /*On fail goto*//*Label 1935*/ GIMT_Encode4(104085), // Rule ID 7020 //
     /* 104053 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 104056 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 104063 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 104066 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 104070 */   // MIs[0] ptr
     /* 104070 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 104074 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 104078 */   // (atomic_load:{ *:[i64] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_15798>>  =>  (LDARX:{ *:[i64] } GPR64sp:{ *:[i64] }:$ptr)
     /* 104078 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARX),
     /* 104083 */   GIR_RootConstrainSelectedInstOperands,
     /* 104084 */   // GIR_Coverage, 7020,
     /* 104084 */   GIR_Done,
     /* 104085 */ // Label 1935: @104085
     /* 104085 */ GIM_Try, /*On fail goto*//*Label 1936*/ GIMT_Encode4(104116), // Rule ID 6368 //
     /* 104090 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104093 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104097 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 104101 */   // MIs[0] Rn
     /* 104101 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 104105 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 104109 */   // (ld:{ *:[v1i64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1Onev1d:{ *:[v1i64] } GPR64sp:{ *:[i64] }:$Rn)
     /* 104109 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LD1Onev1d),
     /* 104114 */   GIR_RootConstrainSelectedInstOperands,
     /* 104115 */   // GIR_Coverage, 6368,
     /* 104115 */   GIR_Done,
     /* 104116 */ // Label 1936: @104116
     /* 104116 */ GIM_Reject,
     /* 104117 */ // Label 1825: @104117
     /* 104117 */ GIM_Try, /*On fail goto*//*Label 1937*/ GIMT_Encode4(104325),
     /* 104122 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104125 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104129 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 104133 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104137 */   GIM_Try, /*On fail goto*//*Label 1938*/ GIMT_Encode4(104178), // Rule ID 245 //
     /* 104142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 104145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 104152 */     // (ld:{ *:[f128] } (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroW:{ *:[f128] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 104152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroW),
     /* 104155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 104167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 104172 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104176 */     GIR_RootConstrainSelectedInstOperands,
     /* 104177 */     // GIR_Coverage, 245,
     /* 104177 */     GIR_EraseRootFromParent_Done,
     /* 104178 */   // Label 1938: @104178
     /* 104178 */   GIM_Try, /*On fail goto*//*Label 1939*/ GIMT_Encode4(104219), // Rule ID 246 //
     /* 104183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 104186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 104193 */     // (ld:{ *:[f128] } (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroX:{ *:[f128] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 104193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroX),
     /* 104196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 104208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 104213 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104217 */     GIR_RootConstrainSelectedInstOperands,
     /* 104218 */     // GIR_Coverage, 246,
     /* 104218 */     GIR_EraseRootFromParent_Done,
     /* 104219 */   // Label 1939: @104219
     /* 104219 */   GIM_Try, /*On fail goto*//*Label 1940*/ GIMT_Encode4(104255), // Rule ID 265 //
     /* 104224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 104227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 104234 */     // (ld:{ *:[f128] } (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQui:{ *:[f128] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 104234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQui),
     /* 104237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104249 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104253 */     GIR_RootConstrainSelectedInstOperands,
     /* 104254 */     // GIR_Coverage, 265,
     /* 104254 */     GIR_EraseRootFromParent_Done,
     /* 104255 */   // Label 1940: @104255
     /* 104255 */   GIM_Try, /*On fail goto*//*Label 1941*/ GIMT_Encode4(104291), // Rule ID 286 //
     /* 104260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 104263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 104270 */     // (ld:{ *:[f128] } (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURQi:{ *:[f128] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 104270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURQi),
     /* 104273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104285 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104289 */     GIR_RootConstrainSelectedInstOperands,
     /* 104290 */     // GIR_Coverage, 286,
     /* 104290 */     GIR_EraseRootFromParent_Done,
     /* 104291 */   // Label 1941: @104291
     /* 104291 */   GIM_Try, /*On fail goto*//*Label 1942*/ GIMT_Encode4(104324), // Rule ID 4132 //
     /* 104296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 104303 */     // (ld:{ *:[f128] } (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQui:{ *:[f128] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 104303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQui),
     /* 104306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104318 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104322 */     GIR_RootConstrainSelectedInstOperands,
     /* 104323 */     // GIR_Coverage, 4132,
     /* 104323 */     GIR_EraseRootFromParent_Done,
     /* 104324 */   // Label 1942: @104324
     /* 104324 */   GIM_Reject,
     /* 104325 */ // Label 1937: @104325
     /* 104325 */ GIM_Reject,
     /* 104326 */ // Label 1826: @104326
     /* 104326 */ GIM_Try, /*On fail goto*//*Label 1943*/ GIMT_Encode4(104703),
     /* 104331 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104334 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104338 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 104342 */   GIM_Try, /*On fail goto*//*Label 1944*/ GIMT_Encode4(104387), // Rule ID 4066 //
     /* 104347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 104350 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 104361 */     // (ld:{ *:[v2i32] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroW:{ *:[v2i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 104361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 104364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 104376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 104381 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104385 */     GIR_RootConstrainSelectedInstOperands,
     /* 104386 */     // GIR_Coverage, 4066,
     /* 104386 */     GIR_EraseRootFromParent_Done,
     /* 104387 */   // Label 1944: @104387
     /* 104387 */   GIM_Try, /*On fail goto*//*Label 1945*/ GIMT_Encode4(104432), // Rule ID 4067 //
     /* 104392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 104395 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 104406 */     // (ld:{ *:[v2i32] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroX:{ *:[v2i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 104406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 104409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 104421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 104426 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104430 */     GIR_RootConstrainSelectedInstOperands,
     /* 104431 */     // GIR_Coverage, 4067,
     /* 104431 */     GIR_EraseRootFromParent_Done,
     /* 104432 */   // Label 1945: @104432
     /* 104432 */   GIM_Try, /*On fail goto*//*Label 1946*/ GIMT_Encode4(104477), // Rule ID 4068 //
     /* 104437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 104440 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 104451 */     // (ld:{ *:[v2f32] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroW:{ *:[v2f32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 104451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 104454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 104466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 104471 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104475 */     GIR_RootConstrainSelectedInstOperands,
     /* 104476 */     // GIR_Coverage, 4068,
     /* 104476 */     GIR_EraseRootFromParent_Done,
     /* 104477 */   // Label 1946: @104477
     /* 104477 */   GIM_Try, /*On fail goto*//*Label 1947*/ GIMT_Encode4(104522), // Rule ID 4069 //
     /* 104482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 104485 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 104496 */     // (ld:{ *:[v2f32] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroX:{ *:[v2f32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 104496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 104499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 104511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 104516 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104520 */     GIR_RootConstrainSelectedInstOperands,
     /* 104521 */     // GIR_Coverage, 4069,
     /* 104521 */     GIR_EraseRootFromParent_Done,
     /* 104522 */   // Label 1947: @104522
     /* 104522 */   GIM_Try, /*On fail goto*//*Label 1948*/ GIMT_Encode4(104562), // Rule ID 4118 //
     /* 104527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 104530 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 104541 */     // (ld:{ *:[v2f32] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDui:{ *:[v2f32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 104541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 104544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104556 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104560 */     GIR_RootConstrainSelectedInstOperands,
     /* 104561 */     // GIR_Coverage, 4118,
     /* 104561 */     GIR_EraseRootFromParent_Done,
     /* 104562 */   // Label 1948: @104562
     /* 104562 */   GIM_Try, /*On fail goto*//*Label 1949*/ GIMT_Encode4(104602), // Rule ID 4121 //
     /* 104567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 104570 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 104581 */     // (ld:{ *:[v2i32] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDui:{ *:[v2i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 104581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 104584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104596 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104600 */     GIR_RootConstrainSelectedInstOperands,
     /* 104601 */     // GIR_Coverage, 4121,
     /* 104601 */     GIR_EraseRootFromParent_Done,
     /* 104602 */   // Label 1949: @104602
     /* 104602 */   GIM_Try, /*On fail goto*//*Label 1950*/ GIMT_Encode4(104642), // Rule ID 4146 //
     /* 104607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 104610 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 104621 */     // (ld:{ *:[v2f32] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURDi:{ *:[v2f32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 104621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 104624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104636 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104640 */     GIR_RootConstrainSelectedInstOperands,
     /* 104641 */     // GIR_Coverage, 4146,
     /* 104641 */     GIR_EraseRootFromParent_Done,
     /* 104642 */   // Label 1950: @104642
     /* 104642 */   GIM_Try, /*On fail goto*//*Label 1951*/ GIMT_Encode4(104682), // Rule ID 4147 //
     /* 104647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 104650 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 104661 */     // (ld:{ *:[v2i32] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURDi:{ *:[v2i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 104661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 104664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104676 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104680 */     GIR_RootConstrainSelectedInstOperands,
     /* 104681 */     // GIR_Coverage, 4147,
     /* 104681 */     GIR_EraseRootFromParent_Done,
     /* 104682 */   // Label 1951: @104682
     /* 104682 */   GIM_Try, /*On fail goto*//*Label 1952*/ GIMT_Encode4(104702), // Rule ID 6367 //
     /* 104687 */     // MIs[0] Rn
     /* 104687 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 104691 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 104695 */     // (ld:{ *:[v2i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1Onev2s:{ *:[v2i32] } GPR64sp:{ *:[i64] }:$Rn)
     /* 104695 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LD1Onev2s),
     /* 104700 */     GIR_RootConstrainSelectedInstOperands,
     /* 104701 */     // GIR_Coverage, 6367,
     /* 104701 */     GIR_Done,
     /* 104702 */   // Label 1952: @104702
     /* 104702 */   GIM_Reject,
     /* 104703 */ // Label 1943: @104703
     /* 104703 */ GIM_Reject,
     /* 104704 */ // Label 1827: @104704
     /* 104704 */ GIM_Try, /*On fail goto*//*Label 1953*/ GIMT_Encode4(105081),
     /* 104709 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104712 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104716 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 104720 */   GIM_Try, /*On fail goto*//*Label 1954*/ GIMT_Encode4(104765), // Rule ID 4080 //
     /* 104725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 104728 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 104739 */     // (ld:{ *:[v2i64] } (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroW:{ *:[v2i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 104739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroW),
     /* 104742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 104754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 104759 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104763 */     GIR_RootConstrainSelectedInstOperands,
     /* 104764 */     // GIR_Coverage, 4080,
     /* 104764 */     GIR_EraseRootFromParent_Done,
     /* 104765 */   // Label 1954: @104765
     /* 104765 */   GIM_Try, /*On fail goto*//*Label 1955*/ GIMT_Encode4(104810), // Rule ID 4081 //
     /* 104770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 104773 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 104784 */     // (ld:{ *:[v2i64] } (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroX:{ *:[v2i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 104784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroX),
     /* 104787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 104799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 104804 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104808 */     GIR_RootConstrainSelectedInstOperands,
     /* 104809 */     // GIR_Coverage, 4081,
     /* 104809 */     GIR_EraseRootFromParent_Done,
     /* 104810 */   // Label 1955: @104810
     /* 104810 */   GIM_Try, /*On fail goto*//*Label 1956*/ GIMT_Encode4(104855), // Rule ID 4082 //
     /* 104815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 104818 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 104829 */     // (ld:{ *:[v2f64] } (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroW:{ *:[v2f64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 104829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroW),
     /* 104832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 104844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 104849 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104853 */     GIR_RootConstrainSelectedInstOperands,
     /* 104854 */     // GIR_Coverage, 4082,
     /* 104854 */     GIR_EraseRootFromParent_Done,
     /* 104855 */   // Label 1956: @104855
     /* 104855 */   GIM_Try, /*On fail goto*//*Label 1957*/ GIMT_Encode4(104900), // Rule ID 4083 //
     /* 104860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 104863 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 104874 */     // (ld:{ *:[v2f64] } (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroX:{ *:[v2f64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 104874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroX),
     /* 104877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 104889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 104894 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104898 */     GIR_RootConstrainSelectedInstOperands,
     /* 104899 */     // GIR_Coverage, 4083,
     /* 104899 */     GIR_EraseRootFromParent_Done,
     /* 104900 */   // Label 1957: @104900
     /* 104900 */   GIM_Try, /*On fail goto*//*Label 1958*/ GIMT_Encode4(104940), // Rule ID 4126 //
     /* 104905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 104908 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 104919 */     // (ld:{ *:[v2f64] } (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQui:{ *:[v2f64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 104919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQui),
     /* 104922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104934 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104938 */     GIR_RootConstrainSelectedInstOperands,
     /* 104939 */     // GIR_Coverage, 4126,
     /* 104939 */     GIR_EraseRootFromParent_Done,
     /* 104940 */   // Label 1958: @104940
     /* 104940 */   GIM_Try, /*On fail goto*//*Label 1959*/ GIMT_Encode4(104980), // Rule ID 4130 //
     /* 104945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 104948 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 104959 */     // (ld:{ *:[v2i64] } (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQui:{ *:[v2i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 104959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQui),
     /* 104962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104974 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104978 */     GIR_RootConstrainSelectedInstOperands,
     /* 104979 */     // GIR_Coverage, 4130,
     /* 104979 */     GIR_EraseRootFromParent_Done,
     /* 104980 */   // Label 1959: @104980
     /* 104980 */   GIM_Try, /*On fail goto*//*Label 1960*/ GIMT_Encode4(105020), // Rule ID 4153 //
     /* 104985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 104988 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 104999 */     // (ld:{ *:[v2f64] } (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURQi:{ *:[v2f64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 104999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURQi),
     /* 105002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105014 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105018 */     GIR_RootConstrainSelectedInstOperands,
     /* 105019 */     // GIR_Coverage, 4153,
     /* 105019 */     GIR_EraseRootFromParent_Done,
     /* 105020 */   // Label 1960: @105020
     /* 105020 */   GIM_Try, /*On fail goto*//*Label 1961*/ GIMT_Encode4(105060), // Rule ID 4154 //
     /* 105025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105028 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 105039 */     // (ld:{ *:[v2i64] } (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURQi:{ *:[v2i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 105039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURQi),
     /* 105042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105054 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105058 */     GIR_RootConstrainSelectedInstOperands,
     /* 105059 */     // GIR_Coverage, 4154,
     /* 105059 */     GIR_EraseRootFromParent_Done,
     /* 105060 */   // Label 1961: @105060
     /* 105060 */   GIM_Try, /*On fail goto*//*Label 1962*/ GIMT_Encode4(105080), // Rule ID 6364 //
     /* 105065 */     // MIs[0] Rn
     /* 105065 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 105069 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 105073 */     // (ld:{ *:[v2i64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1Onev2d:{ *:[v2i64] } GPR64sp:{ *:[i64] }:$Rn)
     /* 105073 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LD1Onev2d),
     /* 105078 */     GIR_RootConstrainSelectedInstOperands,
     /* 105079 */     // GIR_Coverage, 6364,
     /* 105079 */     GIR_Done,
     /* 105080 */   // Label 1962: @105080
     /* 105080 */   GIM_Reject,
     /* 105081 */ // Label 1953: @105081
     /* 105081 */ GIM_Reject,
     /* 105082 */ // Label 1828: @105082
     /* 105082 */ GIM_Try, /*On fail goto*//*Label 1963*/ GIMT_Encode4(105459),
     /* 105087 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 105090 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 105094 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 105098 */   GIM_Try, /*On fail goto*//*Label 1964*/ GIMT_Encode4(105143), // Rule ID 4072 //
     /* 105103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105106 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 105117 */     // (ld:{ *:[v4i16] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroW:{ *:[v4i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 105117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 105120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 105132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 105137 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105141 */     GIR_RootConstrainSelectedInstOperands,
     /* 105142 */     // GIR_Coverage, 4072,
     /* 105142 */     GIR_EraseRootFromParent_Done,
     /* 105143 */   // Label 1964: @105143
     /* 105143 */   GIM_Try, /*On fail goto*//*Label 1965*/ GIMT_Encode4(105188), // Rule ID 4073 //
     /* 105148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105151 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 105162 */     // (ld:{ *:[v4i16] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroX:{ *:[v4i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 105162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 105165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 105177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 105182 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105186 */     GIR_RootConstrainSelectedInstOperands,
     /* 105187 */     // GIR_Coverage, 4073,
     /* 105187 */     GIR_EraseRootFromParent_Done,
     /* 105188 */   // Label 1965: @105188
     /* 105188 */   GIM_Try, /*On fail goto*//*Label 1966*/ GIMT_Encode4(105233), // Rule ID 4074 //
     /* 105193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105196 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 105207 */     // (ld:{ *:[v4f16] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroW:{ *:[v4f16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 105207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 105210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 105222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 105227 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105231 */     GIR_RootConstrainSelectedInstOperands,
     /* 105232 */     // GIR_Coverage, 4074,
     /* 105232 */     GIR_EraseRootFromParent_Done,
     /* 105233 */   // Label 1966: @105233
     /* 105233 */   GIM_Try, /*On fail goto*//*Label 1967*/ GIMT_Encode4(105278), // Rule ID 4075 //
     /* 105238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105241 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 105252 */     // (ld:{ *:[v4f16] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroX:{ *:[v4f16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 105252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 105255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 105267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 105272 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105276 */     GIR_RootConstrainSelectedInstOperands,
     /* 105277 */     // GIR_Coverage, 4075,
     /* 105277 */     GIR_EraseRootFromParent_Done,
     /* 105278 */   // Label 1967: @105278
     /* 105278 */   GIM_Try, /*On fail goto*//*Label 1968*/ GIMT_Encode4(105318), // Rule ID 4120 //
     /* 105283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105286 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 105297 */     // (ld:{ *:[v4i16] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDui:{ *:[v4i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 105297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 105300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105312 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105316 */     GIR_RootConstrainSelectedInstOperands,
     /* 105317 */     // GIR_Coverage, 4120,
     /* 105317 */     GIR_EraseRootFromParent_Done,
     /* 105318 */   // Label 1968: @105318
     /* 105318 */   GIM_Try, /*On fail goto*//*Label 1969*/ GIMT_Encode4(105358), // Rule ID 4122 //
     /* 105323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105326 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 105337 */     // (ld:{ *:[v4f16] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDui:{ *:[v4f16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 105337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 105340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105352 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105356 */     GIR_RootConstrainSelectedInstOperands,
     /* 105357 */     // GIR_Coverage, 4122,
     /* 105357 */     GIR_EraseRootFromParent_Done,
     /* 105358 */   // Label 1969: @105358
     /* 105358 */   GIM_Try, /*On fail goto*//*Label 1970*/ GIMT_Encode4(105398), // Rule ID 4148 //
     /* 105363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105366 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 105377 */     // (ld:{ *:[v4i16] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURDi:{ *:[v4i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 105377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 105380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105392 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105396 */     GIR_RootConstrainSelectedInstOperands,
     /* 105397 */     // GIR_Coverage, 4148,
     /* 105397 */     GIR_EraseRootFromParent_Done,
     /* 105398 */   // Label 1970: @105398
     /* 105398 */   GIM_Try, /*On fail goto*//*Label 1971*/ GIMT_Encode4(105438), // Rule ID 4150 //
     /* 105403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105406 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 105417 */     // (ld:{ *:[v4f16] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURDi:{ *:[v4f16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 105417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 105420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105432 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105436 */     GIR_RootConstrainSelectedInstOperands,
     /* 105437 */     // GIR_Coverage, 4150,
     /* 105437 */     GIR_EraseRootFromParent_Done,
     /* 105438 */   // Label 1971: @105438
     /* 105438 */   GIM_Try, /*On fail goto*//*Label 1972*/ GIMT_Encode4(105458), // Rule ID 6366 //
     /* 105443 */     // MIs[0] Rn
     /* 105443 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 105447 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 105451 */     // (ld:{ *:[v4i16] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1Onev4h:{ *:[v4i16] } GPR64sp:{ *:[i64] }:$Rn)
     /* 105451 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LD1Onev4h),
     /* 105456 */     GIR_RootConstrainSelectedInstOperands,
     /* 105457 */     // GIR_Coverage, 6366,
     /* 105457 */     GIR_Done,
     /* 105458 */   // Label 1972: @105458
     /* 105458 */   GIM_Reject,
     /* 105459 */ // Label 1963: @105459
     /* 105459 */ GIM_Reject,
     /* 105460 */ // Label 1829: @105460
     /* 105460 */ GIM_Try, /*On fail goto*//*Label 1973*/ GIMT_Encode4(105837),
     /* 105465 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 105468 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 105472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 105476 */   GIM_Try, /*On fail goto*//*Label 1974*/ GIMT_Encode4(105521), // Rule ID 4084 //
     /* 105481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105484 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 105495 */     // (ld:{ *:[v4i32] } (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroW:{ *:[v4i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 105495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroW),
     /* 105498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 105510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 105515 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105519 */     GIR_RootConstrainSelectedInstOperands,
     /* 105520 */     // GIR_Coverage, 4084,
     /* 105520 */     GIR_EraseRootFromParent_Done,
     /* 105521 */   // Label 1974: @105521
     /* 105521 */   GIM_Try, /*On fail goto*//*Label 1975*/ GIMT_Encode4(105566), // Rule ID 4085 //
     /* 105526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105529 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 105540 */     // (ld:{ *:[v4i32] } (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroX:{ *:[v4i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 105540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroX),
     /* 105543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 105555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 105560 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105564 */     GIR_RootConstrainSelectedInstOperands,
     /* 105565 */     // GIR_Coverage, 4085,
     /* 105565 */     GIR_EraseRootFromParent_Done,
     /* 105566 */   // Label 1975: @105566
     /* 105566 */   GIM_Try, /*On fail goto*//*Label 1976*/ GIMT_Encode4(105611), // Rule ID 4086 //
     /* 105571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105574 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 105585 */     // (ld:{ *:[v4f32] } (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroW:{ *:[v4f32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 105585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroW),
     /* 105588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 105600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 105605 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105609 */     GIR_RootConstrainSelectedInstOperands,
     /* 105610 */     // GIR_Coverage, 4086,
     /* 105610 */     GIR_EraseRootFromParent_Done,
     /* 105611 */   // Label 1976: @105611
     /* 105611 */   GIM_Try, /*On fail goto*//*Label 1977*/ GIMT_Encode4(105656), // Rule ID 4087 //
     /* 105616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105619 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 105630 */     // (ld:{ *:[v4f32] } (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroX:{ *:[v4f32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 105630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroX),
     /* 105633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 105645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 105650 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105654 */     GIR_RootConstrainSelectedInstOperands,
     /* 105655 */     // GIR_Coverage, 4087,
     /* 105655 */     GIR_EraseRootFromParent_Done,
     /* 105656 */   // Label 1977: @105656
     /* 105656 */   GIM_Try, /*On fail goto*//*Label 1978*/ GIMT_Encode4(105696), // Rule ID 4125 //
     /* 105661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105664 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 105675 */     // (ld:{ *:[v4f32] } (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQui:{ *:[v4f32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 105675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQui),
     /* 105678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105690 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105694 */     GIR_RootConstrainSelectedInstOperands,
     /* 105695 */     // GIR_Coverage, 4125,
     /* 105695 */     GIR_EraseRootFromParent_Done,
     /* 105696 */   // Label 1978: @105696
     /* 105696 */   GIM_Try, /*On fail goto*//*Label 1979*/ GIMT_Encode4(105736), // Rule ID 4129 //
     /* 105701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105704 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 105715 */     // (ld:{ *:[v4i32] } (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQui:{ *:[v4i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 105715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQui),
     /* 105718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105730 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105734 */     GIR_RootConstrainSelectedInstOperands,
     /* 105735 */     // GIR_Coverage, 4129,
     /* 105735 */     GIR_EraseRootFromParent_Done,
     /* 105736 */   // Label 1979: @105736
     /* 105736 */   GIM_Try, /*On fail goto*//*Label 1980*/ GIMT_Encode4(105776), // Rule ID 4155 //
     /* 105741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105744 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 105755 */     // (ld:{ *:[v4f32] } (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURQi:{ *:[v4f32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 105755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURQi),
     /* 105758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105770 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105774 */     GIR_RootConstrainSelectedInstOperands,
     /* 105775 */     // GIR_Coverage, 4155,
     /* 105775 */     GIR_EraseRootFromParent_Done,
     /* 105776 */   // Label 1980: @105776
     /* 105776 */   GIM_Try, /*On fail goto*//*Label 1981*/ GIMT_Encode4(105816), // Rule ID 4156 //
     /* 105781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105784 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 105795 */     // (ld:{ *:[v4i32] } (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURQi:{ *:[v4i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 105795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURQi),
     /* 105798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105810 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105814 */     GIR_RootConstrainSelectedInstOperands,
     /* 105815 */     // GIR_Coverage, 4156,
     /* 105815 */     GIR_EraseRootFromParent_Done,
     /* 105816 */   // Label 1981: @105816
     /* 105816 */   GIM_Try, /*On fail goto*//*Label 1982*/ GIMT_Encode4(105836), // Rule ID 6363 //
     /* 105821 */     // MIs[0] Rn
     /* 105821 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 105825 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 105829 */     // (ld:{ *:[v4i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1Onev4s:{ *:[v4i32] } GPR64sp:{ *:[i64] }:$Rn)
     /* 105829 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LD1Onev4s),
     /* 105834 */     GIR_RootConstrainSelectedInstOperands,
     /* 105835 */     // GIR_Coverage, 6363,
     /* 105835 */     GIR_Done,
     /* 105836 */   // Label 1982: @105836
     /* 105836 */   GIM_Reject,
     /* 105837 */ // Label 1973: @105837
     /* 105837 */ GIM_Reject,
     /* 105838 */ // Label 1830: @105838
     /* 105838 */ GIM_Try, /*On fail goto*//*Label 1983*/ GIMT_Encode4(106045),
     /* 105843 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 105846 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 105850 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 105854 */   GIM_Try, /*On fail goto*//*Label 1984*/ GIMT_Encode4(105899), // Rule ID 4070 //
     /* 105859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105862 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 105873 */     // (ld:{ *:[v8i8] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroW:{ *:[v8i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 105873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 105876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 105888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 105893 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105897 */     GIR_RootConstrainSelectedInstOperands,
     /* 105898 */     // GIR_Coverage, 4070,
     /* 105898 */     GIR_EraseRootFromParent_Done,
     /* 105899 */   // Label 1984: @105899
     /* 105899 */   GIM_Try, /*On fail goto*//*Label 1985*/ GIMT_Encode4(105944), // Rule ID 4071 //
     /* 105904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105907 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 105918 */     // (ld:{ *:[v8i8] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroX:{ *:[v8i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 105918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 105921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 105933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 105938 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105942 */     GIR_RootConstrainSelectedInstOperands,
     /* 105943 */     // GIR_Coverage, 4071,
     /* 105943 */     GIR_EraseRootFromParent_Done,
     /* 105944 */   // Label 1985: @105944
     /* 105944 */   GIM_Try, /*On fail goto*//*Label 1986*/ GIMT_Encode4(105984), // Rule ID 4119 //
     /* 105949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105952 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 105963 */     // (ld:{ *:[v8i8] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDui:{ *:[v8i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 105963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 105966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105978 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105982 */     GIR_RootConstrainSelectedInstOperands,
     /* 105983 */     // GIR_Coverage, 4119,
     /* 105983 */     GIR_EraseRootFromParent_Done,
     /* 105984 */   // Label 1986: @105984
     /* 105984 */   GIM_Try, /*On fail goto*//*Label 1987*/ GIMT_Encode4(106024), // Rule ID 4149 //
     /* 105989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105992 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 106003 */     // (ld:{ *:[v8i8] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURDi:{ *:[v8i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 106003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 106006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 106018 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106022 */     GIR_RootConstrainSelectedInstOperands,
     /* 106023 */     // GIR_Coverage, 4149,
     /* 106023 */     GIR_EraseRootFromParent_Done,
     /* 106024 */   // Label 1987: @106024
     /* 106024 */   GIM_Try, /*On fail goto*//*Label 1988*/ GIMT_Encode4(106044), // Rule ID 6365 //
     /* 106029 */     // MIs[0] Rn
     /* 106029 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 106033 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 106037 */     // (ld:{ *:[v8i8] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1Onev8b:{ *:[v8i8] } GPR64sp:{ *:[i64] }:$Rn)
     /* 106037 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LD1Onev8b),
     /* 106042 */     GIR_RootConstrainSelectedInstOperands,
     /* 106043 */     // GIR_Coverage, 6365,
     /* 106043 */     GIR_Done,
     /* 106044 */   // Label 1988: @106044
     /* 106044 */   GIM_Reject,
     /* 106045 */ // Label 1983: @106045
     /* 106045 */ GIM_Reject,
     /* 106046 */ // Label 1831: @106046
     /* 106046 */ GIM_Try, /*On fail goto*//*Label 1989*/ GIMT_Encode4(106423),
     /* 106051 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 106054 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 106058 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 106062 */   GIM_Try, /*On fail goto*//*Label 1990*/ GIMT_Encode4(106107), // Rule ID 4088 //
     /* 106067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106070 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 106081 */     // (ld:{ *:[v8i16] } (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroW:{ *:[v8i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 106081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroW),
     /* 106084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 106096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 106101 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106105 */     GIR_RootConstrainSelectedInstOperands,
     /* 106106 */     // GIR_Coverage, 4088,
     /* 106106 */     GIR_EraseRootFromParent_Done,
     /* 106107 */   // Label 1990: @106107
     /* 106107 */   GIM_Try, /*On fail goto*//*Label 1991*/ GIMT_Encode4(106152), // Rule ID 4089 //
     /* 106112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106115 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 106126 */     // (ld:{ *:[v8i16] } (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroX:{ *:[v8i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 106126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroX),
     /* 106129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 106141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 106146 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106150 */     GIR_RootConstrainSelectedInstOperands,
     /* 106151 */     // GIR_Coverage, 4089,
     /* 106151 */     GIR_EraseRootFromParent_Done,
     /* 106152 */   // Label 1991: @106152
     /* 106152 */   GIM_Try, /*On fail goto*//*Label 1992*/ GIMT_Encode4(106197), // Rule ID 4090 //
     /* 106157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106160 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 106171 */     // (ld:{ *:[v8f16] } (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroW:{ *:[v8f16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 106171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroW),
     /* 106174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 106186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 106191 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106195 */     GIR_RootConstrainSelectedInstOperands,
     /* 106196 */     // GIR_Coverage, 4090,
     /* 106196 */     GIR_EraseRootFromParent_Done,
     /* 106197 */   // Label 1992: @106197
     /* 106197 */   GIM_Try, /*On fail goto*//*Label 1993*/ GIMT_Encode4(106242), // Rule ID 4091 //
     /* 106202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106205 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 106216 */     // (ld:{ *:[v8f16] } (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroX:{ *:[v8f16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 106216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroX),
     /* 106219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 106231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 106236 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106240 */     GIR_RootConstrainSelectedInstOperands,
     /* 106241 */     // GIR_Coverage, 4091,
     /* 106241 */     GIR_EraseRootFromParent_Done,
     /* 106242 */   // Label 1993: @106242
     /* 106242 */   GIM_Try, /*On fail goto*//*Label 1994*/ GIMT_Encode4(106282), // Rule ID 4128 //
     /* 106247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106250 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 106261 */     // (ld:{ *:[v8i16] } (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQui:{ *:[v8i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 106261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQui),
     /* 106264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 106276 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106280 */     GIR_RootConstrainSelectedInstOperands,
     /* 106281 */     // GIR_Coverage, 4128,
     /* 106281 */     GIR_EraseRootFromParent_Done,
     /* 106282 */   // Label 1994: @106282
     /* 106282 */   GIM_Try, /*On fail goto*//*Label 1995*/ GIMT_Encode4(106322), // Rule ID 4131 //
     /* 106287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106290 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 106301 */     // (ld:{ *:[v8f16] } (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQui:{ *:[v8f16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 106301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQui),
     /* 106304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 106316 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106320 */     GIR_RootConstrainSelectedInstOperands,
     /* 106321 */     // GIR_Coverage, 4131,
     /* 106321 */     GIR_EraseRootFromParent_Done,
     /* 106322 */   // Label 1995: @106322
     /* 106322 */   GIM_Try, /*On fail goto*//*Label 1996*/ GIMT_Encode4(106362), // Rule ID 4157 //
     /* 106327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106330 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 106341 */     // (ld:{ *:[v8i16] } (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURQi:{ *:[v8i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 106341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURQi),
     /* 106344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 106356 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106360 */     GIR_RootConstrainSelectedInstOperands,
     /* 106361 */     // GIR_Coverage, 4157,
     /* 106361 */     GIR_EraseRootFromParent_Done,
     /* 106362 */   // Label 1996: @106362
     /* 106362 */   GIM_Try, /*On fail goto*//*Label 1997*/ GIMT_Encode4(106402), // Rule ID 4159 //
     /* 106367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106370 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 106381 */     // (ld:{ *:[v8f16] } (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURQi:{ *:[v8f16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 106381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURQi),
     /* 106384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 106396 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106400 */     GIR_RootConstrainSelectedInstOperands,
     /* 106401 */     // GIR_Coverage, 4159,
     /* 106401 */     GIR_EraseRootFromParent_Done,
     /* 106402 */   // Label 1997: @106402
     /* 106402 */   GIM_Try, /*On fail goto*//*Label 1998*/ GIMT_Encode4(106422), // Rule ID 6362 //
     /* 106407 */     // MIs[0] Rn
     /* 106407 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 106411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 106415 */     // (ld:{ *:[v8i16] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1Onev8h:{ *:[v8i16] } GPR64sp:{ *:[i64] }:$Rn)
     /* 106415 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LD1Onev8h),
     /* 106420 */     GIR_RootConstrainSelectedInstOperands,
     /* 106421 */     // GIR_Coverage, 6362,
     /* 106421 */     GIR_Done,
     /* 106422 */   // Label 1998: @106422
     /* 106422 */   GIM_Reject,
     /* 106423 */ // Label 1989: @106423
     /* 106423 */ GIM_Reject,
     /* 106424 */ // Label 1832: @106424
     /* 106424 */ GIM_Try, /*On fail goto*//*Label 1999*/ GIMT_Encode4(106631),
     /* 106429 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 106432 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 106436 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 106440 */   GIM_Try, /*On fail goto*//*Label 2000*/ GIMT_Encode4(106485), // Rule ID 4092 //
     /* 106445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106448 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 106459 */     // (ld:{ *:[v16i8] } (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroW:{ *:[v16i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 106459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroW),
     /* 106462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 106474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 106479 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106483 */     GIR_RootConstrainSelectedInstOperands,
     /* 106484 */     // GIR_Coverage, 4092,
     /* 106484 */     GIR_EraseRootFromParent_Done,
     /* 106485 */   // Label 2000: @106485
     /* 106485 */   GIM_Try, /*On fail goto*//*Label 2001*/ GIMT_Encode4(106530), // Rule ID 4093 //
     /* 106490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106493 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 106504 */     // (ld:{ *:[v16i8] } (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroX:{ *:[v16i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 106504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroX),
     /* 106507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 106519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 106524 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106528 */     GIR_RootConstrainSelectedInstOperands,
     /* 106529 */     // GIR_Coverage, 4093,
     /* 106529 */     GIR_EraseRootFromParent_Done,
     /* 106530 */   // Label 2001: @106530
     /* 106530 */   GIM_Try, /*On fail goto*//*Label 2002*/ GIMT_Encode4(106570), // Rule ID 4127 //
     /* 106535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106538 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 106549 */     // (ld:{ *:[v16i8] } (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQui:{ *:[v16i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 106549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQui),
     /* 106552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 106564 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106568 */     GIR_RootConstrainSelectedInstOperands,
     /* 106569 */     // GIR_Coverage, 4127,
     /* 106569 */     GIR_EraseRootFromParent_Done,
     /* 106570 */   // Label 2002: @106570
     /* 106570 */   GIM_Try, /*On fail goto*//*Label 2003*/ GIMT_Encode4(106610), // Rule ID 4158 //
     /* 106575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106578 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 106589 */     // (ld:{ *:[v16i8] } (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURQi:{ *:[v16i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 106589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURQi),
     /* 106592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 106604 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106608 */     GIR_RootConstrainSelectedInstOperands,
     /* 106609 */     // GIR_Coverage, 4158,
     /* 106609 */     GIR_EraseRootFromParent_Done,
     /* 106610 */   // Label 2003: @106610
     /* 106610 */   GIM_Try, /*On fail goto*//*Label 2004*/ GIMT_Encode4(106630), // Rule ID 6361 //
     /* 106615 */     // MIs[0] Rn
     /* 106615 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 106619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 106623 */     // (ld:{ *:[v16i8] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1Onev16b:{ *:[v16i8] } GPR64sp:{ *:[i64] }:$Rn)
     /* 106623 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LD1Onev16b),
     /* 106628 */     GIR_RootConstrainSelectedInstOperands,
     /* 106629 */     // GIR_Coverage, 6361,
     /* 106629 */     GIR_Done,
     /* 106630 */   // Label 2004: @106630
     /* 106630 */   GIM_Reject,
     /* 106631 */ // Label 1999: @106631
     /* 106631 */ GIM_Reject,
     /* 106632 */ // Label 1833: @106632
     /* 106632 */ GIM_Try, /*On fail goto*//*Label 2005*/ GIMT_Encode4(106695), // Rule ID 10887 //
     /* 106637 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 106640 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 106643 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 106647 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 106651 */   // MIs[0] base
     /* 106651 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 106655 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 106659 */   // (ld:{ *:[nxv2f16] } GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1H_D_IMM:{ *:[nxv2f16] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 106659 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 106662 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 106666 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106671 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 106674 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 106676 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1H_D_IMM),
     /* 106679 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 106681 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 106684 */   GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 106686 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106689 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106693 */   GIR_RootConstrainSelectedInstOperands,
     /* 106694 */   // GIR_Coverage, 10887,
     /* 106694 */   GIR_EraseRootFromParent_Done,
     /* 106695 */ // Label 2005: @106695
     /* 106695 */ GIM_Reject,
     /* 106696 */ // Label 1834: @106696
     /* 106696 */ GIM_Try, /*On fail goto*//*Label 2006*/ GIMT_Encode4(106759), // Rule ID 10893 //
     /* 106701 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 106704 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 106707 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 106711 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 106715 */   // MIs[0] base
     /* 106715 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 106719 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 106723 */   // (ld:{ *:[nxv2f32] } GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1W_D_IMM:{ *:[nxv2f32] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 106723 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 106726 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 106730 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106735 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 106738 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 106740 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1W_D_IMM),
     /* 106743 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 106745 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 106748 */   GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 106750 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106753 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106757 */   GIR_RootConstrainSelectedInstOperands,
     /* 106758 */   // GIR_Coverage, 10893,
     /* 106758 */   GIR_EraseRootFromParent_Done,
     /* 106759 */ // Label 2006: @106759
     /* 106759 */ GIM_Reject,
     /* 106760 */ // Label 1835: @106760
     /* 106760 */ GIM_Try, /*On fail goto*//*Label 2007*/ GIMT_Encode4(106933),
     /* 106765 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 106768 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 106772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 106776 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 106780 */   GIM_Try, /*On fail goto*//*Label 2008*/ GIMT_Encode4(106828), // Rule ID 10878 //
     /* 106785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 106788 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 106792 */     // (ld:{ *:[nxv2i64] } GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1D_IMM:{ *:[nxv2i64] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 106792 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 106795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 106799 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106804 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 106807 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 106809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1D_IMM),
     /* 106812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 106814 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 106817 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 106819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106822 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106826 */     GIR_RootConstrainSelectedInstOperands,
     /* 106827 */     // GIR_Coverage, 10878,
     /* 106827 */     GIR_EraseRootFromParent_Done,
     /* 106828 */   // Label 2008: @106828
     /* 106828 */   GIM_Try, /*On fail goto*//*Label 2009*/ GIMT_Encode4(106876), // Rule ID 10896 //
     /* 106833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 106836 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 106840 */     // (ld:{ *:[nxv2f64] } GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1D_IMM:{ *:[nxv2f64] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 106840 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 106843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 106847 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106852 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 106855 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 106857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1D_IMM),
     /* 106860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 106862 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 106865 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 106867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106870 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106874 */     GIR_RootConstrainSelectedInstOperands,
     /* 106875 */     // GIR_Coverage, 10896,
     /* 106875 */     GIR_EraseRootFromParent_Done,
     /* 106876 */   // Label 2009: @106876
     /* 106876 */   GIM_Try, /*On fail goto*//*Label 2010*/ GIMT_Encode4(106904), // Rule ID 10923 //
     /* 106881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE),
     /* 106884 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 106888 */     // (ld:{ *:[nxv2i64] } GPR64sp:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDR_ZXI:{ *:[nxv2i64] } GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 106888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDR_ZXI),
     /* 106891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 106893 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 106895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106898 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106902 */     GIR_RootConstrainSelectedInstOperands,
     /* 106903 */     // GIR_Coverage, 10923,
     /* 106903 */     GIR_EraseRootFromParent_Done,
     /* 106904 */   // Label 2010: @106904
     /* 106904 */   GIM_Try, /*On fail goto*//*Label 2011*/ GIMT_Encode4(106932), // Rule ID 10935 //
     /* 106909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE),
     /* 106912 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 106916 */     // (ld:{ *:[nxv2f64] } GPR64sp:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDR_ZXI:{ *:[nxv2f64] } GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 106916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDR_ZXI),
     /* 106919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 106921 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 106923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106926 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106930 */     GIR_RootConstrainSelectedInstOperands,
     /* 106931 */     // GIR_Coverage, 10935,
     /* 106931 */     GIR_EraseRootFromParent_Done,
     /* 106932 */   // Label 2011: @106932
     /* 106932 */   GIM_Reject,
     /* 106933 */ // Label 2007: @106933
     /* 106933 */ GIM_Reject,
     /* 106934 */ // Label 1836: @106934
     /* 106934 */ GIM_Try, /*On fail goto*//*Label 2012*/ GIMT_Encode4(106997), // Rule ID 10884 //
     /* 106939 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 106942 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 106945 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 106949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 106953 */   // MIs[0] base
     /* 106953 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 106957 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 106961 */   // (ld:{ *:[nxv4f16] } GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1H_S_IMM:{ *:[nxv4f16] } (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 106961 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 106964 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /* 106968 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 106973 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 106976 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 106978 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1H_S_IMM),
     /* 106981 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 106983 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 106986 */   GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 106988 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 106991 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106995 */   GIR_RootConstrainSelectedInstOperands,
     /* 106996 */   // GIR_Coverage, 10884,
     /* 106996 */   GIR_EraseRootFromParent_Done,
     /* 106997 */ // Label 2012: @106997
     /* 106997 */ GIM_Reject,
     /* 106998 */ // Label 1837: @106998
     /* 106998 */ GIM_Try, /*On fail goto*//*Label 2013*/ GIMT_Encode4(107171),
     /* 107003 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 107006 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 107010 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 107014 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 107018 */   GIM_Try, /*On fail goto*//*Label 2014*/ GIMT_Encode4(107066), // Rule ID 10866 //
     /* 107023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 107026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 107030 */     // (ld:{ *:[nxv4i32] } GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1W_IMM:{ *:[nxv4i32] } (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 107030 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 107033 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /* 107037 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107042 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 107045 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 107047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1W_IMM),
     /* 107050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 107052 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 107055 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 107057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107060 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107064 */     GIR_RootConstrainSelectedInstOperands,
     /* 107065 */     // GIR_Coverage, 10866,
     /* 107065 */     GIR_EraseRootFromParent_Done,
     /* 107066 */   // Label 2014: @107066
     /* 107066 */   GIM_Try, /*On fail goto*//*Label 2015*/ GIMT_Encode4(107114), // Rule ID 10890 //
     /* 107071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 107074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 107078 */     // (ld:{ *:[nxv4f32] } GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1W_IMM:{ *:[nxv4f32] } (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 107078 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 107081 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /* 107085 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107090 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 107093 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 107095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1W_IMM),
     /* 107098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 107100 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 107103 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 107105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107108 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107112 */     GIR_RootConstrainSelectedInstOperands,
     /* 107113 */     // GIR_Coverage, 10890,
     /* 107113 */     GIR_EraseRootFromParent_Done,
     /* 107114 */   // Label 2015: @107114
     /* 107114 */   GIM_Try, /*On fail goto*//*Label 2016*/ GIMT_Encode4(107142), // Rule ID 10919 //
     /* 107119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE),
     /* 107122 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 107126 */     // (ld:{ *:[nxv4i32] } GPR64sp:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDR_ZXI:{ *:[nxv4i32] } GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 107126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDR_ZXI),
     /* 107129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 107131 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 107133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107136 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107140 */     GIR_RootConstrainSelectedInstOperands,
     /* 107141 */     // GIR_Coverage, 10919,
     /* 107141 */     GIR_EraseRootFromParent_Done,
     /* 107142 */   // Label 2016: @107142
     /* 107142 */   GIM_Try, /*On fail goto*//*Label 2017*/ GIMT_Encode4(107170), // Rule ID 10931 //
     /* 107147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE),
     /* 107150 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 107154 */     // (ld:{ *:[nxv4f32] } GPR64sp:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDR_ZXI:{ *:[nxv4f32] } GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 107154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDR_ZXI),
     /* 107157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 107159 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 107161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107164 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107168 */     GIR_RootConstrainSelectedInstOperands,
     /* 107169 */     // GIR_Coverage, 10931,
     /* 107169 */     GIR_EraseRootFromParent_Done,
     /* 107170 */   // Label 2017: @107170
     /* 107170 */   GIM_Reject,
     /* 107171 */ // Label 2013: @107171
     /* 107171 */ GIM_Reject,
     /* 107172 */ // Label 1838: @107172
     /* 107172 */ GIM_Try, /*On fail goto*//*Label 2018*/ GIMT_Encode4(107345),
     /* 107177 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 107180 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 107184 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 107188 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 107192 */   GIM_Try, /*On fail goto*//*Label 2019*/ GIMT_Encode4(107240), // Rule ID 10845 //
     /* 107197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 107200 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 107204 */     // (ld:{ *:[nxv8i16] } GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1H_IMM:{ *:[nxv8i16] } (PTRUE_H:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 107204 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 107207 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_H),
     /* 107211 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107216 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 107219 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 107221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1H_IMM),
     /* 107224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 107226 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 107229 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 107231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107234 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107238 */     GIR_RootConstrainSelectedInstOperands,
     /* 107239 */     // GIR_Coverage, 10845,
     /* 107239 */     GIR_EraseRootFromParent_Done,
     /* 107240 */   // Label 2019: @107240
     /* 107240 */   GIM_Try, /*On fail goto*//*Label 2020*/ GIMT_Encode4(107288), // Rule ID 10881 //
     /* 107245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 107248 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 107252 */     // (ld:{ *:[nxv8f16] } GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1H_IMM:{ *:[nxv8f16] } (PTRUE_H:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 107252 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 107255 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_H),
     /* 107259 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107264 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 107267 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 107269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1H_IMM),
     /* 107272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 107274 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 107277 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 107279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107282 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107286 */     GIR_RootConstrainSelectedInstOperands,
     /* 107287 */     // GIR_Coverage, 10881,
     /* 107287 */     GIR_EraseRootFromParent_Done,
     /* 107288 */   // Label 2020: @107288
     /* 107288 */   GIM_Try, /*On fail goto*//*Label 2021*/ GIMT_Encode4(107316), // Rule ID 10915 //
     /* 107293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE),
     /* 107296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 107300 */     // (ld:{ *:[nxv8i16] } GPR64sp:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDR_ZXI:{ *:[nxv8i16] } GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 107300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDR_ZXI),
     /* 107303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 107305 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 107307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107310 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107314 */     GIR_RootConstrainSelectedInstOperands,
     /* 107315 */     // GIR_Coverage, 10915,
     /* 107315 */     GIR_EraseRootFromParent_Done,
     /* 107316 */   // Label 2021: @107316
     /* 107316 */   GIM_Try, /*On fail goto*//*Label 2022*/ GIMT_Encode4(107344), // Rule ID 10927 //
     /* 107321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE),
     /* 107324 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 107328 */     // (ld:{ *:[nxv8f16] } GPR64sp:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDR_ZXI:{ *:[nxv8f16] } GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 107328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDR_ZXI),
     /* 107331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 107333 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 107335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107338 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107342 */     GIR_RootConstrainSelectedInstOperands,
     /* 107343 */     // GIR_Coverage, 10927,
     /* 107343 */     GIR_EraseRootFromParent_Done,
     /* 107344 */   // Label 2022: @107344
     /* 107344 */   GIM_Reject,
     /* 107345 */ // Label 2018: @107345
     /* 107345 */ GIM_Reject,
     /* 107346 */ // Label 1839: @107346
     /* 107346 */ GIM_Try, /*On fail goto*//*Label 2023*/ GIMT_Encode4(107389), // Rule ID 2428 //
     /* 107351 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 107354 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 107357 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 107361 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 107365 */   // MIs[0] base
     /* 107365 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 107369 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 107373 */   // (ld:{ *:[nxv16i1] } GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDR_PXI:{ *:[nxv16i1] } GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 107373 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDR_PXI),
     /* 107376 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pt]
     /* 107378 */   GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 107380 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107383 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107387 */   GIR_RootConstrainSelectedInstOperands,
     /* 107388 */   // GIR_Coverage, 2428,
     /* 107388 */   GIR_EraseRootFromParent_Done,
     /* 107389 */ // Label 2023: @107389
     /* 107389 */ GIM_Reject,
     /* 107390 */ // Label 1840: @107390
     /* 107390 */ GIM_Try, /*On fail goto*//*Label 2024*/ GIMT_Encode4(107487),
     /* 107395 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 107398 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 107402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 107406 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 107410 */   GIM_Try, /*On fail goto*//*Label 2025*/ GIMT_Encode4(107458), // Rule ID 10813 //
     /* 107415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 107418 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 107422 */     // (ld:{ *:[nxv16i8] } GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1B_IMM:{ *:[nxv16i8] } (PTRUE_B:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 107422 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 107425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_B),
     /* 107429 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107434 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 107437 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 107439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1B_IMM),
     /* 107442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 107444 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 107447 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 107449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107452 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107456 */     GIR_RootConstrainSelectedInstOperands,
     /* 107457 */     // GIR_Coverage, 10813,
     /* 107457 */     GIR_EraseRootFromParent_Done,
     /* 107458 */   // Label 2025: @107458
     /* 107458 */   GIM_Try, /*On fail goto*//*Label 2026*/ GIMT_Encode4(107486), // Rule ID 10911 //
     /* 107463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE),
     /* 107466 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 107470 */     // (ld:{ *:[nxv16i8] } GPR64sp:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDR_ZXI:{ *:[nxv16i8] } GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 107470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDR_ZXI),
     /* 107473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 107475 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 107477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107480 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107484 */     GIR_RootConstrainSelectedInstOperands,
     /* 107485 */     // GIR_Coverage, 10911,
     /* 107485 */     GIR_EraseRootFromParent_Done,
     /* 107486 */   // Label 2026: @107486
     /* 107486 */   GIM_Reject,
     /* 107487 */ // Label 2024: @107487
     /* 107487 */ GIM_Reject,
     /* 107488 */ // Label 1841: @107488
     /* 107488 */ GIM_Reject,
     /* 107489 */ // Label 17: @107489
     /* 107489 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2029*/ GIMT_Encode4(108538),
     /* 107500 */ /*GILLT_s32*//*Label 2027*/ GIMT_Encode4(107508),
     /* 107504 */ /*GILLT_s64*//*Label 2028*/ GIMT_Encode4(107922),
     /* 107508 */ // Label 2027: @107508
     /* 107508 */ GIM_Try, /*On fail goto*//*Label 2030*/ GIMT_Encode4(107921),
     /* 107513 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 107516 */   GIM_Try, /*On fail goto*//*Label 2031*/ GIMT_Encode4(107569), // Rule ID 247 //
     /* 107521 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 107528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 107532 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 107543 */     // (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LDRSHWroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 107543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSHWroW),
     /* 107546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 107548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 107553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 107558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 107563 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107567 */     GIR_RootConstrainSelectedInstOperands,
     /* 107568 */     // GIR_Coverage, 247,
     /* 107568 */     GIR_EraseRootFromParent_Done,
     /* 107569 */   // Label 2031: @107569
     /* 107569 */   GIM_Try, /*On fail goto*//*Label 2032*/ GIMT_Encode4(107622), // Rule ID 248 //
     /* 107574 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 107581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 107585 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 107596 */     // (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LDRSHWroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 107596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSHWroX),
     /* 107599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 107601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 107606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 107611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 107616 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107620 */     GIR_RootConstrainSelectedInstOperands,
     /* 107621 */     // GIR_Coverage, 248,
     /* 107621 */     GIR_EraseRootFromParent_Done,
     /* 107622 */   // Label 2032: @107622
     /* 107622 */   GIM_Try, /*On fail goto*//*Label 2033*/ GIMT_Encode4(107675), // Rule ID 251 //
     /* 107627 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 107634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 107638 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 107649 */     // (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LDRSBWroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend)
     /* 107649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSBWroW),
     /* 107652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 107654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 107659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 107664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 107669 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107673 */     GIR_RootConstrainSelectedInstOperands,
     /* 107674 */     // GIR_Coverage, 251,
     /* 107674 */     GIR_EraseRootFromParent_Done,
     /* 107675 */   // Label 2033: @107675
     /* 107675 */   GIM_Try, /*On fail goto*//*Label 2034*/ GIMT_Encode4(107728), // Rule ID 252 //
     /* 107680 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 107687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 107691 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 107702 */     // (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LDRSBWroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend)
     /* 107702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSBWroX),
     /* 107705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 107707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 107712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 107717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 107722 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107726 */     GIR_RootConstrainSelectedInstOperands,
     /* 107727 */     // GIR_Coverage, 252,
     /* 107727 */     GIR_EraseRootFromParent_Done,
     /* 107728 */   // Label 2034: @107728
     /* 107728 */   GIM_Try, /*On fail goto*//*Label 2035*/ GIMT_Encode4(107776), // Rule ID 268 //
     /* 107733 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 107740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 107744 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 107755 */     // (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LDRSHWui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 107755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSHWui),
     /* 107758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 107760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 107765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 107770 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107774 */     GIR_RootConstrainSelectedInstOperands,
     /* 107775 */     // GIR_Coverage, 268,
     /* 107775 */     GIR_EraseRootFromParent_Done,
     /* 107776 */   // Label 2035: @107776
     /* 107776 */   GIM_Try, /*On fail goto*//*Label 2036*/ GIMT_Encode4(107824), // Rule ID 270 //
     /* 107781 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 107788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 107792 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 107803 */     // (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LDRSBWui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 107803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSBWui),
     /* 107806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 107808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 107813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 107818 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107822 */     GIR_RootConstrainSelectedInstOperands,
     /* 107823 */     // GIR_Coverage, 270,
     /* 107823 */     GIR_EraseRootFromParent_Done,
     /* 107824 */   // Label 2036: @107824
     /* 107824 */   GIM_Try, /*On fail goto*//*Label 2037*/ GIMT_Encode4(107872), // Rule ID 289 //
     /* 107829 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 107836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 107840 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 107851 */     // (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LDURSHWi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 107851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURSHWi),
     /* 107854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 107856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 107861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 107866 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107870 */     GIR_RootConstrainSelectedInstOperands,
     /* 107871 */     // GIR_Coverage, 289,
     /* 107871 */     GIR_EraseRootFromParent_Done,
     /* 107872 */   // Label 2037: @107872
     /* 107872 */   GIM_Try, /*On fail goto*//*Label 2038*/ GIMT_Encode4(107920), // Rule ID 291 //
     /* 107877 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 107884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 107888 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 107899 */     // (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LDURSBWi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 107899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURSBWi),
     /* 107902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 107904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 107909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 107914 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107918 */     GIR_RootConstrainSelectedInstOperands,
     /* 107919 */     // GIR_Coverage, 291,
     /* 107919 */     GIR_EraseRootFromParent_Done,
     /* 107920 */   // Label 2038: @107920
     /* 107920 */   GIM_Reject,
     /* 107921 */ // Label 2030: @107921
     /* 107921 */ GIM_Reject,
     /* 107922 */ // Label 2028: @107922
     /* 107922 */ GIM_Try, /*On fail goto*//*Label 2039*/ GIMT_Encode4(108537),
     /* 107927 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 107930 */   GIM_Try, /*On fail goto*//*Label 2040*/ GIMT_Encode4(107983), // Rule ID 249 //
     /* 107935 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 107942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 107946 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 107957 */     // (ld:{ *:[i64] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LDRSHXroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 107957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSHXroW),
     /* 107960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 107962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 107967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 107972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 107977 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107981 */     GIR_RootConstrainSelectedInstOperands,
     /* 107982 */     // GIR_Coverage, 249,
     /* 107982 */     GIR_EraseRootFromParent_Done,
     /* 107983 */   // Label 2040: @107983
     /* 107983 */   GIM_Try, /*On fail goto*//*Label 2041*/ GIMT_Encode4(108036), // Rule ID 250 //
     /* 107988 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 107995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 107999 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 108010 */     // (ld:{ *:[i64] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LDRSHXroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 108010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSHXroX),
     /* 108013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 108015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 108025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 108030 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108034 */     GIR_RootConstrainSelectedInstOperands,
     /* 108035 */     // GIR_Coverage, 250,
     /* 108035 */     GIR_EraseRootFromParent_Done,
     /* 108036 */   // Label 2041: @108036
     /* 108036 */   GIM_Try, /*On fail goto*//*Label 2042*/ GIMT_Encode4(108089), // Rule ID 253 //
     /* 108041 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 108048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 108052 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 108063 */     // (ld:{ *:[i64] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LDRSBXroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend)
     /* 108063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSBXroW),
     /* 108066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 108068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 108078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 108083 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108087 */     GIR_RootConstrainSelectedInstOperands,
     /* 108088 */     // GIR_Coverage, 253,
     /* 108088 */     GIR_EraseRootFromParent_Done,
     /* 108089 */   // Label 2042: @108089
     /* 108089 */   GIM_Try, /*On fail goto*//*Label 2043*/ GIMT_Encode4(108142), // Rule ID 254 //
     /* 108094 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 108101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 108105 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 108116 */     // (ld:{ *:[i64] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LDRSBXroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend)
     /* 108116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSBXroX),
     /* 108119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 108121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 108131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 108136 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108140 */     GIR_RootConstrainSelectedInstOperands,
     /* 108141 */     // GIR_Coverage, 254,
     /* 108141 */     GIR_EraseRootFromParent_Done,
     /* 108142 */   // Label 2043: @108142
     /* 108142 */   GIM_Try, /*On fail goto*//*Label 2044*/ GIMT_Encode4(108195), // Rule ID 255 //
     /* 108147 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 108154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 108158 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 108169 */     // (ld:{ *:[i64] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>>  =>  (LDRSWroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /* 108169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSWroW),
     /* 108172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 108174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 108184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 108189 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108193 */     GIR_RootConstrainSelectedInstOperands,
     /* 108194 */     // GIR_Coverage, 255,
     /* 108194 */     GIR_EraseRootFromParent_Done,
     /* 108195 */   // Label 2044: @108195
     /* 108195 */   GIM_Try, /*On fail goto*//*Label 2045*/ GIMT_Encode4(108248), // Rule ID 256 //
     /* 108200 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 108207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 108211 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 108222 */     // (ld:{ *:[i64] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>>  =>  (LDRSWroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /* 108222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSWroX),
     /* 108225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 108227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 108237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 108242 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108246 */     GIR_RootConstrainSelectedInstOperands,
     /* 108247 */     // GIR_Coverage, 256,
     /* 108247 */     GIR_EraseRootFromParent_Done,
     /* 108248 */   // Label 2045: @108248
     /* 108248 */   GIM_Try, /*On fail goto*//*Label 2046*/ GIMT_Encode4(108296), // Rule ID 269 //
     /* 108253 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 108260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 108264 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 108275 */     // (ld:{ *:[i64] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LDRSHXui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 108275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSHXui),
     /* 108278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 108280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 108290 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108294 */     GIR_RootConstrainSelectedInstOperands,
     /* 108295 */     // GIR_Coverage, 269,
     /* 108295 */     GIR_EraseRootFromParent_Done,
     /* 108296 */   // Label 2046: @108296
     /* 108296 */   GIM_Try, /*On fail goto*//*Label 2047*/ GIMT_Encode4(108344), // Rule ID 271 //
     /* 108301 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 108308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 108312 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 108323 */     // (ld:{ *:[i64] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LDRSBXui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 108323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSBXui),
     /* 108326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 108328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 108338 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108342 */     GIR_RootConstrainSelectedInstOperands,
     /* 108343 */     // GIR_Coverage, 271,
     /* 108343 */     GIR_EraseRootFromParent_Done,
     /* 108344 */   // Label 2047: @108344
     /* 108344 */   GIM_Try, /*On fail goto*//*Label 2048*/ GIMT_Encode4(108392), // Rule ID 272 //
     /* 108349 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 108356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 108360 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 108371 */     // (ld:{ *:[i64] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>>  =>  (LDRSWui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 108371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSWui),
     /* 108374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 108376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 108386 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108390 */     GIR_RootConstrainSelectedInstOperands,
     /* 108391 */     // GIR_Coverage, 272,
     /* 108391 */     GIR_EraseRootFromParent_Done,
     /* 108392 */   // Label 2048: @108392
     /* 108392 */   GIM_Try, /*On fail goto*//*Label 2049*/ GIMT_Encode4(108440), // Rule ID 290 //
     /* 108397 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 108404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 108408 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 108419 */     // (ld:{ *:[i64] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LDURSHXi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 108419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURSHXi),
     /* 108422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 108424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 108434 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108438 */     GIR_RootConstrainSelectedInstOperands,
     /* 108439 */     // GIR_Coverage, 290,
     /* 108439 */     GIR_EraseRootFromParent_Done,
     /* 108440 */   // Label 2049: @108440
     /* 108440 */   GIM_Try, /*On fail goto*//*Label 2050*/ GIMT_Encode4(108488), // Rule ID 292 //
     /* 108445 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 108452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 108456 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 108467 */     // (ld:{ *:[i64] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LDURSBXi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 108467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURSBXi),
     /* 108470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 108472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 108482 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108486 */     GIR_RootConstrainSelectedInstOperands,
     /* 108487 */     // GIR_Coverage, 292,
     /* 108487 */     GIR_EraseRootFromParent_Done,
     /* 108488 */   // Label 2050: @108488
     /* 108488 */   GIM_Try, /*On fail goto*//*Label 2051*/ GIMT_Encode4(108536), // Rule ID 293 //
     /* 108493 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 108500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 108504 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 108515 */     // (ld:{ *:[i64] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>>  =>  (LDURSWi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 108515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURSWi),
     /* 108518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 108520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 108530 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108534 */     GIR_RootConstrainSelectedInstOperands,
     /* 108535 */     // GIR_Coverage, 293,
     /* 108535 */     GIR_EraseRootFromParent_Done,
     /* 108536 */   // Label 2051: @108536
     /* 108536 */   GIM_Reject,
     /* 108537 */ // Label 2039: @108537
     /* 108537 */ GIM_Reject,
     /* 108538 */ // Label 2029: @108538
     /* 108538 */ GIM_Reject,
     /* 108539 */ // Label 18: @108539
     /* 108539 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2054*/ GIMT_Encode4(111507),
     /* 108550 */ /*GILLT_s32*//*Label 2052*/ GIMT_Encode4(108558),
     /* 108554 */ /*GILLT_s64*//*Label 2053*/ GIMT_Encode4(110017),
     /* 108558 */ // Label 2052: @108558
     /* 108558 */ GIM_Try, /*On fail goto*//*Label 2055*/ GIMT_Encode4(108614), // Rule ID 229 //
     /* 108563 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 108566 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 108573 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 108577 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108581 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 108588 */   // (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LDRBBroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend)
     /* 108588 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroW),
     /* 108591 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 108593 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108598 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 108603 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 108608 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108612 */   GIR_RootConstrainSelectedInstOperands,
     /* 108613 */   // GIR_Coverage, 229,
     /* 108613 */   GIR_EraseRootFromParent_Done,
     /* 108614 */ // Label 2055: @108614
     /* 108614 */ GIM_Try, /*On fail goto*//*Label 2056*/ GIMT_Encode4(108670), // Rule ID 230 //
     /* 108619 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 108622 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 108629 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 108633 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108637 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 108644 */   // (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LDRBBroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend)
     /* 108644 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroX),
     /* 108647 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 108649 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108654 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 108659 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 108664 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108668 */   GIR_RootConstrainSelectedInstOperands,
     /* 108669 */   // GIR_Coverage, 230,
     /* 108669 */   GIR_EraseRootFromParent_Done,
     /* 108670 */ // Label 2056: @108670
     /* 108670 */ GIM_Try, /*On fail goto*//*Label 2057*/ GIMT_Encode4(108726), // Rule ID 231 //
     /* 108675 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 108678 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 108685 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 108689 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108693 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 108700 */   // (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (LDRHHroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 108700 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroW),
     /* 108703 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 108705 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108710 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 108715 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 108720 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108724 */   GIR_RootConstrainSelectedInstOperands,
     /* 108725 */   // GIR_Coverage, 231,
     /* 108725 */   GIR_EraseRootFromParent_Done,
     /* 108726 */ // Label 2057: @108726
     /* 108726 */ GIM_Try, /*On fail goto*//*Label 2058*/ GIMT_Encode4(108782), // Rule ID 232 //
     /* 108731 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 108734 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 108741 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 108745 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108749 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 108756 */   // (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (LDRHHroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 108756 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroX),
     /* 108759 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 108761 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108766 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 108771 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 108776 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108780 */   GIR_RootConstrainSelectedInstOperands,
     /* 108781 */   // GIR_Coverage, 232,
     /* 108781 */   GIR_EraseRootFromParent_Done,
     /* 108782 */ // Label 2058: @108782
     /* 108782 */ GIM_Try, /*On fail goto*//*Label 2059*/ GIMT_Encode4(108838), // Rule ID 4116 //
     /* 108787 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 108790 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 108797 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 108801 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108805 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 108812 */   // (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi1>>  =>  (LDRBBroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend)
     /* 108812 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroW),
     /* 108815 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 108817 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108822 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 108827 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 108832 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108836 */   GIR_RootConstrainSelectedInstOperands,
     /* 108837 */   // GIR_Coverage, 4116,
     /* 108837 */   GIR_EraseRootFromParent_Done,
     /* 108838 */ // Label 2059: @108838
     /* 108838 */ GIM_Try, /*On fail goto*//*Label 2060*/ GIMT_Encode4(108894), // Rule ID 4117 //
     /* 108843 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 108846 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 108853 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 108857 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108861 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 108868 */   // (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi1>>  =>  (LDRBBroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend)
     /* 108868 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroX),
     /* 108871 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 108873 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108878 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 108883 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 108888 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108892 */   GIR_RootConstrainSelectedInstOperands,
     /* 108893 */   // GIR_Coverage, 4117,
     /* 108893 */   GIR_EraseRootFromParent_Done,
     /* 108894 */ // Label 2060: @108894
     /* 108894 */ GIM_Try, /*On fail goto*//*Label 2061*/ GIMT_Encode4(108945), // Rule ID 266 //
     /* 108899 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 108902 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 108909 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 108913 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108917 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 108924 */   // (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (LDRHHui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 108924 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHui),
     /* 108927 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 108929 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108934 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 108939 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108943 */   GIR_RootConstrainSelectedInstOperands,
     /* 108944 */   // GIR_Coverage, 266,
     /* 108944 */   GIR_EraseRootFromParent_Done,
     /* 108945 */ // Label 2061: @108945
     /* 108945 */ GIM_Try, /*On fail goto*//*Label 2062*/ GIMT_Encode4(108996), // Rule ID 267 //
     /* 108950 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 108953 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 108960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 108964 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108968 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 108975 */   // (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LDRBBui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 108975 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBui),
     /* 108978 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 108980 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108985 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 108990 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108994 */   GIR_RootConstrainSelectedInstOperands,
     /* 108995 */   // GIR_Coverage, 267,
     /* 108995 */   GIR_EraseRootFromParent_Done,
     /* 108996 */ // Label 2062: @108996
     /* 108996 */ GIM_Try, /*On fail goto*//*Label 2063*/ GIMT_Encode4(109055), // Rule ID 6994 //
     /* 109001 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 109004 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 109011 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 109014 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 109018 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109022 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 109029 */   // (atomic_load:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_anonymous_15804>>  =>  (LDRBBroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$offset)
     /* 109029 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroW),
     /* 109032 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109034 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109039 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 109044 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 109049 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109053 */   GIR_RootConstrainSelectedInstOperands,
     /* 109054 */   // GIR_Coverage, 6994,
     /* 109054 */   GIR_EraseRootFromParent_Done,
     /* 109055 */ // Label 2063: @109055
     /* 109055 */ GIM_Try, /*On fail goto*//*Label 2064*/ GIMT_Encode4(109114), // Rule ID 6996 //
     /* 109060 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 109063 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 109070 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 109073 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 109077 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109081 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 109088 */   // (atomic_load:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_anonymous_15804>>  =>  (LDRBBroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$offset)
     /* 109088 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroX),
     /* 109091 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109093 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109098 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 109103 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 109108 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109112 */   GIR_RootConstrainSelectedInstOperands,
     /* 109113 */   // GIR_Coverage, 6996,
     /* 109113 */   GIR_EraseRootFromParent_Done,
     /* 109114 */ // Label 2064: @109114
     /* 109114 */ GIM_Try, /*On fail goto*//*Label 2065*/ GIMT_Encode4(109173), // Rule ID 7006 //
     /* 109119 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 109122 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 109129 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 109132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 109136 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109140 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 109147 */   // (atomic_load:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_anonymous_15813>>  =>  (LDRHHroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 109147 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroW),
     /* 109150 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109152 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109157 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 109162 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 109167 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109171 */   GIR_RootConstrainSelectedInstOperands,
     /* 109172 */   // GIR_Coverage, 7006,
     /* 109172 */   GIR_EraseRootFromParent_Done,
     /* 109173 */ // Label 2065: @109173
     /* 109173 */ GIM_Try, /*On fail goto*//*Label 2066*/ GIMT_Encode4(109232), // Rule ID 7008 //
     /* 109178 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 109181 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 109188 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 109191 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 109195 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109199 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 109206 */   // (atomic_load:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_anonymous_15813>>  =>  (LDRHHroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 109206 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroX),
     /* 109209 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109211 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109216 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 109221 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 109226 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109230 */   GIR_RootConstrainSelectedInstOperands,
     /* 109231 */   // GIR_Coverage, 7008,
     /* 109231 */   GIR_EraseRootFromParent_Done,
     /* 109232 */ // Label 2066: @109232
     /* 109232 */ GIM_Try, /*On fail goto*//*Label 2067*/ GIMT_Encode4(109283), // Rule ID 287 //
     /* 109237 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 109240 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 109247 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 109251 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109255 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 109262 */   // (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (LDURHHi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 109262 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURHHi),
     /* 109265 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109267 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109272 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 109277 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109281 */   GIR_RootConstrainSelectedInstOperands,
     /* 109282 */   // GIR_Coverage, 287,
     /* 109282 */   GIR_EraseRootFromParent_Done,
     /* 109283 */ // Label 2067: @109283
     /* 109283 */ GIM_Try, /*On fail goto*//*Label 2068*/ GIMT_Encode4(109334), // Rule ID 288 //
     /* 109288 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 109291 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 109298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 109302 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109306 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 109313 */   // (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 109313 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /* 109316 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109318 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109323 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 109328 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109332 */   GIR_RootConstrainSelectedInstOperands,
     /* 109333 */   // GIR_Coverage, 288,
     /* 109333 */   GIR_EraseRootFromParent_Done,
     /* 109334 */ // Label 2068: @109334
     /* 109334 */ GIM_Try, /*On fail goto*//*Label 2069*/ GIMT_Encode4(109385), // Rule ID 4135 //
     /* 109339 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 109342 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 109349 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 109353 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109357 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 109364 */   // (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi1>>  =>  (LDRBBui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 109364 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBui),
     /* 109367 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109369 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109374 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 109379 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109383 */   GIR_RootConstrainSelectedInstOperands,
     /* 109384 */   // GIR_Coverage, 4135,
     /* 109384 */   GIR_EraseRootFromParent_Done,
     /* 109385 */ // Label 2069: @109385
     /* 109385 */ GIM_Try, /*On fail goto*//*Label 2070*/ GIMT_Encode4(109436), // Rule ID 4167 //
     /* 109390 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 109393 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 109400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 109404 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109408 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 109415 */   // (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (LDURHHi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 109415 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURHHi),
     /* 109418 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109420 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109425 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 109430 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109434 */   GIR_RootConstrainSelectedInstOperands,
     /* 109435 */   // GIR_Coverage, 4167,
     /* 109435 */   GIR_EraseRootFromParent_Done,
     /* 109436 */ // Label 2070: @109436
     /* 109436 */ GIM_Try, /*On fail goto*//*Label 2071*/ GIMT_Encode4(109487), // Rule ID 4168 //
     /* 109441 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 109444 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 109451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 109455 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109459 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 109466 */   // (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 109466 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /* 109469 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109471 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109476 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 109481 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109485 */   GIR_RootConstrainSelectedInstOperands,
     /* 109486 */   // GIR_Coverage, 4168,
     /* 109486 */   GIR_EraseRootFromParent_Done,
     /* 109487 */ // Label 2071: @109487
     /* 109487 */ GIM_Try, /*On fail goto*//*Label 2072*/ GIMT_Encode4(109538), // Rule ID 4169 //
     /* 109492 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 109495 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 109502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 109506 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109510 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 109517 */   // (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi1>>  =>  (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 109517 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /* 109520 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109522 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109527 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 109532 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109536 */   GIR_RootConstrainSelectedInstOperands,
     /* 109537 */   // GIR_Coverage, 4169,
     /* 109537 */   GIR_EraseRootFromParent_Done,
     /* 109538 */ // Label 2072: @109538
     /* 109538 */ GIM_Try, /*On fail goto*//*Label 2073*/ GIMT_Encode4(109592), // Rule ID 6998 //
     /* 109543 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 109546 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 109553 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 109556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 109560 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109564 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 109571 */   // (atomic_load:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_anonymous_15804>>  =>  (LDRBBui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 109571 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBui),
     /* 109574 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109576 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109581 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 109586 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109590 */   GIR_RootConstrainSelectedInstOperands,
     /* 109591 */   // GIR_Coverage, 6998,
     /* 109591 */   GIR_EraseRootFromParent_Done,
     /* 109592 */ // Label 2073: @109592
     /* 109592 */ GIM_Try, /*On fail goto*//*Label 2074*/ GIMT_Encode4(109646), // Rule ID 7000 //
     /* 109597 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 109600 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 109607 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 109610 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 109614 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109618 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 109625 */   // (atomic_load:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_anonymous_15804>>  =>  (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 109625 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /* 109628 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109630 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109635 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 109640 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109644 */   GIR_RootConstrainSelectedInstOperands,
     /* 109645 */   // GIR_Coverage, 7000,
     /* 109645 */   GIR_EraseRootFromParent_Done,
     /* 109646 */ // Label 2074: @109646
     /* 109646 */ GIM_Try, /*On fail goto*//*Label 2075*/ GIMT_Encode4(109700), // Rule ID 7010 //
     /* 109651 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 109654 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 109661 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 109664 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 109668 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109672 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 109679 */   // (atomic_load:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_anonymous_15813>>  =>  (LDRHHui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 109679 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHui),
     /* 109682 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109684 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109689 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 109694 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109698 */   GIR_RootConstrainSelectedInstOperands,
     /* 109699 */   // GIR_Coverage, 7010,
     /* 109699 */   GIR_EraseRootFromParent_Done,
     /* 109700 */ // Label 2075: @109700
     /* 109700 */ GIM_Try, /*On fail goto*//*Label 2076*/ GIMT_Encode4(109754), // Rule ID 7012 //
     /* 109705 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 109708 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 109715 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 109718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 109722 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109726 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 109733 */   // (atomic_load:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_anonymous_15813>>  =>  (LDURHHi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 109733 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURHHi),
     /* 109736 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109738 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109743 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 109748 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109752 */   GIR_RootConstrainSelectedInstOperands,
     /* 109753 */   // GIR_Coverage, 7012,
     /* 109753 */   GIR_EraseRootFromParent_Done,
     /* 109754 */ // Label 2076: @109754
     /* 109754 */ GIM_Try, /*On fail goto*//*Label 2077*/ GIMT_Encode4(109811), // Rule ID 7374 //
     /* 109759 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC_IMMO_UseLDAPUR),
     /* 109762 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 109765 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 109772 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 109775 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 109779 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109783 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 109790 */   // (atomic_load:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_anonymous_15802>>  =>  (LDAPURBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 109790 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDAPURBi),
     /* 109793 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109795 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109800 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 109805 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109809 */   GIR_RootConstrainSelectedInstOperands,
     /* 109810 */   // GIR_Coverage, 7374,
     /* 109810 */   GIR_EraseRootFromParent_Done,
     /* 109811 */ // Label 2077: @109811
     /* 109811 */ GIM_Try, /*On fail goto*//*Label 2078*/ GIMT_Encode4(109868), // Rule ID 7376 //
     /* 109816 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC_IMMO_UseLDAPUR),
     /* 109819 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 109822 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 109829 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 109832 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 109836 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109840 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 109847 */   // (atomic_load:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_anonymous_15811>>  =>  (LDAPURHi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 109847 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDAPURHi),
     /* 109850 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109852 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109857 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 109862 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109866 */   GIR_RootConstrainSelectedInstOperands,
     /* 109867 */   // GIR_Coverage, 7376,
     /* 109867 */   GIR_EraseRootFromParent_Done,
     /* 109868 */ // Label 2078: @109868
     /* 109868 */ GIM_Try, /*On fail goto*//*Label 2079*/ GIMT_Encode4(109905), // Rule ID 6990 //
     /* 109873 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 109876 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 109883 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 109886 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 109890 */   // MIs[0] ptr
     /* 109890 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 109894 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 109898 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_anonymous_15800>>  =>  (LDARB:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 109898 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARB),
     /* 109903 */   GIR_RootConstrainSelectedInstOperands,
     /* 109904 */   // GIR_Coverage, 6990,
     /* 109904 */   GIR_Done,
     /* 109905 */ // Label 2079: @109905
     /* 109905 */ GIM_Try, /*On fail goto*//*Label 2080*/ GIMT_Encode4(109942), // Rule ID 6992 //
     /* 109910 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 109913 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 109920 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 109923 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 109927 */   // MIs[0] ptr
     /* 109927 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 109931 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 109935 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_anonymous_15802>>  =>  (LDARB:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 109935 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARB),
     /* 109940 */   GIR_RootConstrainSelectedInstOperands,
     /* 109941 */   // GIR_Coverage, 6992,
     /* 109941 */   GIR_Done,
     /* 109942 */ // Label 2080: @109942
     /* 109942 */ GIM_Try, /*On fail goto*//*Label 2081*/ GIMT_Encode4(109979), // Rule ID 7002 //
     /* 109947 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 109950 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 109957 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 109960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 109964 */   // MIs[0] ptr
     /* 109964 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 109968 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 109972 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_anonymous_15809>>  =>  (LDARH:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 109972 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARH),
     /* 109977 */   GIR_RootConstrainSelectedInstOperands,
     /* 109978 */   // GIR_Coverage, 7002,
     /* 109978 */   GIR_Done,
     /* 109979 */ // Label 2081: @109979
     /* 109979 */ GIM_Try, /*On fail goto*//*Label 2082*/ GIMT_Encode4(110016), // Rule ID 7004 //
     /* 109984 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 109987 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 109994 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 109997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110001 */   // MIs[0] ptr
     /* 110001 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 110005 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 110009 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_anonymous_15811>>  =>  (LDARH:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 110009 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARH),
     /* 110014 */   GIR_RootConstrainSelectedInstOperands,
     /* 110015 */   // GIR_Coverage, 7004,
     /* 110015 */   GIR_Done,
     /* 110016 */ // Label 2082: @110016
     /* 110016 */ GIM_Reject,
     /* 110017 */ // Label 2053: @110017
     /* 110017 */ GIM_Try, /*On fail goto*//*Label 2083*/ GIMT_Encode4(111506),
     /* 110022 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 110025 */   GIM_Try, /*On fail goto*//*Label 2084*/ GIMT_Encode4(110110), // Rule ID 4094 //
     /* 110030 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 110037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 110041 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 110052 */     // (ld:{ *:[i64] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 110052 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 110055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroW),
     /* 110059 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 110074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 110079 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110083 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 110085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 110088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 110090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 110093 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 110096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 110099 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 110104 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110109 */     // GIR_Coverage, 4094,
     /* 110109 */     GIR_EraseRootFromParent_Done,
     /* 110110 */   // Label 2084: @110110
     /* 110110 */   GIM_Try, /*On fail goto*//*Label 2085*/ GIMT_Encode4(110195), // Rule ID 4095 //
     /* 110115 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 110122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 110126 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 110137 */     // (ld:{ *:[i64] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 110137 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 110140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroX),
     /* 110144 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 110159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 110164 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110168 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 110170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 110173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 110175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 110178 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 110181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 110184 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 110189 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110194 */     // GIR_Coverage, 4095,
     /* 110194 */     GIR_EraseRootFromParent_Done,
     /* 110195 */   // Label 2085: @110195
     /* 110195 */   GIM_Try, /*On fail goto*//*Label 2086*/ GIMT_Encode4(110280), // Rule ID 4096 //
     /* 110200 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 110207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 110211 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 110222 */     // (ld:{ *:[i64] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRHHroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 110222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 110225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroW),
     /* 110229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 110244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 110249 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110253 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 110255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 110258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 110260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 110263 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 110266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 110269 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 110274 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110279 */     // GIR_Coverage, 4096,
     /* 110279 */     GIR_EraseRootFromParent_Done,
     /* 110280 */   // Label 2086: @110280
     /* 110280 */   GIM_Try, /*On fail goto*//*Label 2087*/ GIMT_Encode4(110365), // Rule ID 4097 //
     /* 110285 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 110292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 110296 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 110307 */     // (ld:{ *:[i64] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRHHroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 110307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 110310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroX),
     /* 110314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 110329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 110334 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110338 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 110340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 110343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 110345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 110348 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 110351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 110354 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 110359 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110364 */     // GIR_Coverage, 4097,
     /* 110364 */     GIR_EraseRootFromParent_Done,
     /* 110365 */   // Label 2087: @110365
     /* 110365 */   GIM_Try, /*On fail goto*//*Label 2088*/ GIMT_Encode4(110450), // Rule ID 4098 //
     /* 110370 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 110377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 110381 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 110392 */     // (ld:{ *:[i64] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRWroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 110392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 110395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRWroW),
     /* 110399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 110414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 110419 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110423 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 110425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 110428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 110430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 110433 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 110436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 110439 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 110444 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110449 */     // GIR_Coverage, 4098,
     /* 110449 */     GIR_EraseRootFromParent_Done,
     /* 110450 */   // Label 2088: @110450
     /* 110450 */   GIM_Try, /*On fail goto*//*Label 2089*/ GIMT_Encode4(110535), // Rule ID 4099 //
     /* 110455 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 110462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 110466 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 110477 */     // (ld:{ *:[i64] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRWroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 110477 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 110480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRWroX),
     /* 110484 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 110499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 110504 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110508 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 110510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 110513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 110515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 110518 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 110521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 110524 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 110529 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110534 */     // GIR_Coverage, 4099,
     /* 110534 */     GIR_EraseRootFromParent_Done,
     /* 110535 */   // Label 2089: @110535
     /* 110535 */   GIM_Try, /*On fail goto*//*Label 2090*/ GIMT_Encode4(110620), // Rule ID 4100 //
     /* 110540 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 110547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 110551 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 110562 */     // (ld:{ *:[i64] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi1>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 110562 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 110565 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroW),
     /* 110569 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 110584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 110589 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110593 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 110595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 110598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 110600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 110603 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 110606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 110609 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 110614 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110619 */     // GIR_Coverage, 4100,
     /* 110619 */     GIR_EraseRootFromParent_Done,
     /* 110620 */   // Label 2090: @110620
     /* 110620 */   GIM_Try, /*On fail goto*//*Label 2091*/ GIMT_Encode4(110705), // Rule ID 4101 //
     /* 110625 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 110632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 110636 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 110647 */     // (ld:{ *:[i64] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi1>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 110647 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 110650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroX),
     /* 110654 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 110669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 110674 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110678 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 110680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 110683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 110685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 110688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 110691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 110694 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 110699 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110704 */     // GIR_Coverage, 4101,
     /* 110704 */     GIR_EraseRootFromParent_Done,
     /* 110705 */   // Label 2091: @110705
     /* 110705 */   GIM_Try, /*On fail goto*//*Label 2092*/ GIMT_Encode4(110785), // Rule ID 4133 //
     /* 110710 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 110717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 110721 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 110732 */     // (ld:{ *:[i64] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), sub_32:{ *:[i32] })
     /* 110732 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 110735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBui),
     /* 110739 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 110754 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110758 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 110760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 110763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 110765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 110768 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 110771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 110774 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 110779 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110784 */     // GIR_Coverage, 4133,
     /* 110784 */     GIR_EraseRootFromParent_Done,
     /* 110785 */   // Label 2092: @110785
     /* 110785 */   GIM_Try, /*On fail goto*//*Label 2093*/ GIMT_Encode4(110865), // Rule ID 4134 //
     /* 110790 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 110797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 110801 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 110812 */     // (ld:{ *:[i64] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRHHui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), sub_32:{ *:[i32] })
     /* 110812 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 110815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHHui),
     /* 110819 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 110834 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110838 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 110840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 110843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 110845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 110848 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 110851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 110854 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 110859 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110864 */     // GIR_Coverage, 4134,
     /* 110864 */     GIR_EraseRootFromParent_Done,
     /* 110865 */   // Label 2093: @110865
     /* 110865 */   GIM_Try, /*On fail goto*//*Label 2094*/ GIMT_Encode4(110945), // Rule ID 4136 //
     /* 110870 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 110877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 110881 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 110892 */     // (ld:{ *:[i64] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi1>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), sub_32:{ *:[i32] })
     /* 110892 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 110895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBui),
     /* 110899 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 110914 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110918 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 110920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 110923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 110925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 110928 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 110931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 110934 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 110939 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110944 */     // GIR_Coverage, 4136,
     /* 110944 */     GIR_EraseRootFromParent_Done,
     /* 110945 */   // Label 2094: @110945
     /* 110945 */   GIM_Try, /*On fail goto*//*Label 2095*/ GIMT_Encode4(111025), // Rule ID 4144 //
     /* 110950 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 110957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 110961 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 110972 */     // (ld:{ *:[i64] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRWui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), sub_32:{ *:[i32] })
     /* 110972 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 110975 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRWui),
     /* 110979 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 110994 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110998 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 111003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111008 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 111014 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111019 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 111024 */     // GIR_Coverage, 4144,
     /* 111024 */     GIR_EraseRootFromParent_Done,
     /* 111025 */   // Label 2095: @111025
     /* 111025 */   GIM_Try, /*On fail goto*//*Label 2096*/ GIMT_Encode4(111105), // Rule ID 4170 //
     /* 111030 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 111037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111041 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 111052 */     // (ld:{ *:[i64] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDURWi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), sub_32:{ *:[i32] })
     /* 111052 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 111055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURWi),
     /* 111059 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 111069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 111074 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111078 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 111083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111088 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 111094 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111099 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 111104 */     // GIR_Coverage, 4170,
     /* 111104 */     GIR_EraseRootFromParent_Done,
     /* 111105 */   // Label 2096: @111105
     /* 111105 */   GIM_Try, /*On fail goto*//*Label 2097*/ GIMT_Encode4(111185), // Rule ID 4171 //
     /* 111110 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 111117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111121 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 111132 */     // (ld:{ *:[i64] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDURHHi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), sub_32:{ *:[i32] })
     /* 111132 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 111135 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHHi),
     /* 111139 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 111149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 111154 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111158 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 111163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111168 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 111174 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111179 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 111184 */     // GIR_Coverage, 4171,
     /* 111184 */     GIR_EraseRootFromParent_Done,
     /* 111185 */   // Label 2097: @111185
     /* 111185 */   GIM_Try, /*On fail goto*//*Label 2098*/ GIMT_Encode4(111265), // Rule ID 4172 //
     /* 111190 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 111197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111201 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 111212 */     // (ld:{ *:[i64] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), sub_32:{ *:[i32] })
     /* 111212 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 111215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /* 111219 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 111229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 111234 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 111243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111248 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 111254 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111259 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 111264 */     // GIR_Coverage, 4172,
     /* 111264 */     GIR_EraseRootFromParent_Done,
     /* 111265 */   // Label 2098: @111265
     /* 111265 */   GIM_Try, /*On fail goto*//*Label 2099*/ GIMT_Encode4(111345), // Rule ID 4173 //
     /* 111270 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 111277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111281 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 111292 */     // (ld:{ *:[i64] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi1>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), sub_32:{ *:[i32] })
     /* 111292 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 111295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /* 111299 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 111309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 111314 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 111323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111328 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 111334 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111339 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 111344 */     // GIR_Coverage, 4173,
     /* 111344 */     GIR_EraseRootFromParent_Done,
     /* 111345 */   // Label 2099: @111345
     /* 111345 */   GIM_Try, /*On fail goto*//*Label 2100*/ GIMT_Encode4(111425), // Rule ID 4174 //
     /* 111350 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 111357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111361 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 111372 */     // (ld:{ *:[i64] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), sub_32:{ *:[i32] })
     /* 111372 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 111375 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /* 111379 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 111389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 111394 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111398 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 111403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111408 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 111414 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111419 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 111424 */     // GIR_Coverage, 4174,
     /* 111424 */     GIR_EraseRootFromParent_Done,
     /* 111425 */   // Label 2100: @111425
     /* 111425 */   GIM_Try, /*On fail goto*//*Label 2101*/ GIMT_Encode4(111505), // Rule ID 4175 //
     /* 111430 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 111437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111441 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 111452 */     // (ld:{ *:[i64] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDURHHi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), sub_32:{ *:[i32] })
     /* 111452 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 111455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHHi),
     /* 111459 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 111469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 111474 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 111483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111488 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 111494 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111499 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 111504 */     // GIR_Coverage, 4175,
     /* 111504 */     GIR_EraseRootFromParent_Done,
     /* 111505 */   // Label 2101: @111505
     /* 111505 */   GIM_Reject,
     /* 111506 */ // Label 2083: @111506
     /* 111506 */ GIM_Reject,
     /* 111507 */ // Label 2054: @111507
     /* 111507 */ GIM_Reject,
     /* 111508 */ // Label 19: @111508
     /* 111508 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(24), /*)*//*default:*//*Label 2122*/ GIMT_Encode4(125033),
     /* 111519 */ /*GILLT_s8*//*Label 2102*/ GIMT_Encode4(111615),
     /* 111523 */ /*GILLT_s16*//*Label 2103*/ GIMT_Encode4(111982),
     /* 111527 */ /*GILLT_s32*//*Label 2104*/ GIMT_Encode4(113121),
     /* 111531 */ /*GILLT_s64*//*Label 2105*/ GIMT_Encode4(117716),
     /* 111535 */ /*GILLT_s128*//*Label 2106*/ GIMT_Encode4(121485),
     /* 111539 */ /*GILLT_v2s32*//*Label 2107*/ GIMT_Encode4(121691),
     /* 111543 */ /*GILLT_v2s64*//*Label 2108*/ GIMT_Encode4(122097),
     /* 111547 */ /*GILLT_v4s16*//*Label 2109*/ GIMT_Encode4(122547),
     /* 111551 */ /*GILLT_v4s32*//*Label 2110*/ GIMT_Encode4(122953),
     /* 111555 */ /*GILLT_v8s8*//*Label 2111*/ GIMT_Encode4(123359),
     /* 111559 */ /*GILLT_v8s16*//*Label 2112*/ GIMT_Encode4(123579),
     /* 111563 */ /*GILLT_v16s8*//*Label 2113*/ GIMT_Encode4(123985), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 111575 */ /*GILLT_nxv2s16*//*Label 2114*/ GIMT_Encode4(124205),
     /* 111579 */ /*GILLT_nxv2s32*//*Label 2115*/ GIMT_Encode4(124265),
     /* 111583 */ /*GILLT_nxv2s64*//*Label 2116*/ GIMT_Encode4(124325), GIMT_Encode4(0),
     /* 111591 */ /*GILLT_nxv4s16*//*Label 2117*/ GIMT_Encode4(124495),
     /* 111595 */ /*GILLT_nxv4s32*//*Label 2118*/ GIMT_Encode4(124555), GIMT_Encode4(0),
     /* 111603 */ /*GILLT_nxv8s16*//*Label 2119*/ GIMT_Encode4(124725),
     /* 111607 */ /*GILLT_nxv16s1*//*Label 2120*/ GIMT_Encode4(124895),
     /* 111611 */ /*GILLT_nxv16s8*//*Label 2121*/ GIMT_Encode4(124939),
     /* 111615 */ // Label 2102: @111615
     /* 111615 */ GIM_Try, /*On fail goto*//*Label 2123*/ GIMT_Encode4(111981),
     /* 111620 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 111623 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 111627 */   GIM_Try, /*On fail goto*//*Label 2124*/ GIMT_Encode4(111695), // Rule ID 13106 //
     /* 111632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 111636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 111640 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 111644 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 111648 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 111653 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 111657 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 111661 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 111665 */     // MIs[2] Operand 1
     /* 111665 */     // No operand predicates
     /* 111665 */     // MIs[0] Rn
     /* 111665 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 111669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 111673 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 111675 */     // (st (vector_extract:{ *:[i8] } VecListOne128:{ *:[v16i8] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1i8 VecListOne128:{ *:[v16i8] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 111675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i8),
     /* 111678 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 111682 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 111685 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 111687 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 111693 */     GIR_RootConstrainSelectedInstOperands,
     /* 111694 */     // GIR_Coverage, 13106,
     /* 111694 */     GIR_EraseRootFromParent_Done,
     /* 111695 */   // Label 2124: @111695
     /* 111695 */   GIM_Try, /*On fail goto*//*Label 2125*/ GIMT_Encode4(111794), // Rule ID 13107 //
     /* 111700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 111704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 111708 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 111712 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 111716 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 111721 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 111725 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 111729 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 111733 */     // MIs[2] Operand 1
     /* 111733 */     // No operand predicates
     /* 111733 */     // MIs[0] Rn
     /* 111733 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 111737 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 111741 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 111743 */     // (st (vector_extract:{ *:[i8] } VecListOne64:{ *:[v8i8] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1i8 (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, VecListOne64:{ *:[v8i8] }:$Vt, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 111743 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 111746 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 111750 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111755 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 111758 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 111762 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 111765 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 111770 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 111775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i8),
     /* 111778 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111781 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 111784 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 111786 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 111792 */     GIR_RootConstrainSelectedInstOperands,
     /* 111793 */     // GIR_Coverage, 13107,
     /* 111793 */     GIR_EraseRootFromParent_Done,
     /* 111794 */   // Label 2125: @111794
     /* 111794 */   GIM_Try, /*On fail goto*//*Label 2126*/ GIMT_Encode4(111843), // Rule ID 303 //
     /* 111799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 111802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 111806 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 111817 */     // (st FPR8Op:{ *:[i8] }:$Rt, (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRBroW FPR8Op:{ *:[i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend)
     /* 111817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBroW),
     /* 111820 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 111822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 111827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 111832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 111837 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111841 */     GIR_RootConstrainSelectedInstOperands,
     /* 111842 */     // GIR_Coverage, 303,
     /* 111842 */     GIR_EraseRootFromParent_Done,
     /* 111843 */   // Label 2126: @111843
     /* 111843 */   GIM_Try, /*On fail goto*//*Label 2127*/ GIMT_Encode4(111892), // Rule ID 304 //
     /* 111848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 111851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 111855 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 111866 */     // (st FPR8Op:{ *:[i8] }:$Rt, (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRBroX FPR8Op:{ *:[i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend)
     /* 111866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBroX),
     /* 111869 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 111871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 111876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 111881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 111886 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111890 */     GIR_RootConstrainSelectedInstOperands,
     /* 111891 */     // GIR_Coverage, 304,
     /* 111891 */     GIR_EraseRootFromParent_Done,
     /* 111892 */   // Label 2127: @111892
     /* 111892 */   GIM_Try, /*On fail goto*//*Label 2128*/ GIMT_Encode4(111936), // Rule ID 313 //
     /* 111897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 111900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 111904 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 111915 */     // (st FPR8Op:{ *:[i8] }:$Rt, (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRBui FPR8Op:{ *:[i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 111915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBui),
     /* 111918 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 111920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 111925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 111930 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111934 */     GIR_RootConstrainSelectedInstOperands,
     /* 111935 */     // GIR_Coverage, 313,
     /* 111935 */     GIR_EraseRootFromParent_Done,
     /* 111936 */   // Label 2128: @111936
     /* 111936 */   GIM_Try, /*On fail goto*//*Label 2129*/ GIMT_Encode4(111980), // Rule ID 321 //
     /* 111941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 111944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 111948 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 111959 */     // (st FPR8Op:{ *:[i8] }:$Rt, (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURBi FPR8Op:{ *:[i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 111959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURBi),
     /* 111962 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 111964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 111969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 111974 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111978 */     GIR_RootConstrainSelectedInstOperands,
     /* 111979 */     // GIR_Coverage, 321,
     /* 111979 */     GIR_EraseRootFromParent_Done,
     /* 111980 */   // Label 2129: @111980
     /* 111980 */   GIM_Reject,
     /* 111981 */ // Label 2123: @111981
     /* 111981 */ GIM_Reject,
     /* 111982 */ // Label 2103: @111982
     /* 111982 */ GIM_Try, /*On fail goto*//*Label 2130*/ GIMT_Encode4(113120),
     /* 111987 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 111990 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 111994 */   GIM_Try, /*On fail goto*//*Label 2131*/ GIMT_Encode4(112093), // Rule ID 4472 //
     /* 111999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 112003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 112007 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 112011 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 112015 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 112020 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 112024 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 112030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 112037 */     // (st (vector_extract:{ *:[f16] } VecListOne128:{ *:[v8f16] }:$Vt, 0:{ *:[i64] }), (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRHroW (EXTRACT_SUBREG:{ *:[f16] } VecListOne128:{ *:[v8f16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 112037 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 112040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 112044 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 112049 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 112055 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 112060 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 112065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHroW),
     /* 112068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 112071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 112081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 112086 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 112091 */     GIR_RootConstrainSelectedInstOperands,
     /* 112092 */     // GIR_Coverage, 4472,
     /* 112092 */     GIR_EraseRootFromParent_Done,
     /* 112093 */   // Label 2131: @112093
     /* 112093 */   GIM_Try, /*On fail goto*//*Label 2132*/ GIMT_Encode4(112192), // Rule ID 4473 //
     /* 112098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 112102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 112106 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 112110 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 112114 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 112119 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 112123 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 112129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 112136 */     // (st (vector_extract:{ *:[f16] } VecListOne128:{ *:[v8f16] }:$Vt, 0:{ *:[i64] }), (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRHroX (EXTRACT_SUBREG:{ *:[f16] } VecListOne128:{ *:[v8f16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 112136 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 112139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 112143 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 112148 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 112154 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 112159 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 112164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHroX),
     /* 112167 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 112170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 112180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 112185 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 112190 */     GIR_RootConstrainSelectedInstOperands,
     /* 112191 */     // GIR_Coverage, 4473,
     /* 112191 */     GIR_EraseRootFromParent_Done,
     /* 112192 */   // Label 2132: @112192
     /* 112192 */   GIM_Try, /*On fail goto*//*Label 2133*/ GIMT_Encode4(112291), // Rule ID 13104 //
     /* 112197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 112201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 112205 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 112209 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 112213 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 112218 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 112222 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 112228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 112235 */     // (st (vector_extract:{ *:[i16] } VecListOne64:{ *:[v4i16] }:$Vt, 0:{ *:[i64] }), (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRHroW (EXTRACT_SUBREG:{ *:[i16] } VecListOne64:{ *:[v4i16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 112235 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 112238 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 112242 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 112247 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 112253 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 112258 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 112263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHroW),
     /* 112266 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 112269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 112279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 112284 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 112289 */     GIR_RootConstrainSelectedInstOperands,
     /* 112290 */     // GIR_Coverage, 13104,
     /* 112290 */     GIR_EraseRootFromParent_Done,
     /* 112291 */   // Label 2133: @112291
     /* 112291 */   GIM_Try, /*On fail goto*//*Label 2134*/ GIMT_Encode4(112390), // Rule ID 13105 //
     /* 112296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 112300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 112304 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 112308 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 112312 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 112317 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 112321 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 112327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 112334 */     // (st (vector_extract:{ *:[i16] } VecListOne64:{ *:[v4i16] }:$Vt, 0:{ *:[i64] }), (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRHroX (EXTRACT_SUBREG:{ *:[i16] } VecListOne64:{ *:[v4i16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 112334 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 112337 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 112341 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 112346 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 112352 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 112357 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 112362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHroX),
     /* 112365 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 112368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 112378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 112383 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 112388 */     GIR_RootConstrainSelectedInstOperands,
     /* 112389 */     // GIR_Coverage, 13105,
     /* 112389 */     GIR_EraseRootFromParent_Done,
     /* 112390 */   // Label 2134: @112390
     /* 112390 */   GIM_Try, /*On fail goto*//*Label 2135*/ GIMT_Encode4(112484), // Rule ID 4501 //
     /* 112395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 112399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 112403 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 112407 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 112411 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 112416 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 112420 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 112426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 112433 */     // (st (vector_extract:{ *:[f16] } VecListOne128:{ *:[v8f16] }:$Vt, 0:{ *:[i64] }), (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRHui (EXTRACT_SUBREG:{ *:[f16] } VecListOne128:{ *:[v8f16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 112433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 112436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 112440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 112445 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 112451 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 112456 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 112461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHui),
     /* 112464 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 112467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 112477 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 112482 */     GIR_RootConstrainSelectedInstOperands,
     /* 112483 */     // GIR_Coverage, 4501,
     /* 112483 */     GIR_EraseRootFromParent_Done,
     /* 112484 */   // Label 2135: @112484
     /* 112484 */   GIM_Try, /*On fail goto*//*Label 2136*/ GIMT_Encode4(112578), // Rule ID 4526 //
     /* 112489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 112493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 112497 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 112501 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 112505 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 112510 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 112514 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 112520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 112527 */     // (st (vector_extract:{ *:[f16] } VecListOne128:{ *:[v8f16] }:$Vt, 0:{ *:[i64] }), (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURHi (EXTRACT_SUBREG:{ *:[f16] } VecListOne128:{ *:[v8f16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 112527 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 112530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 112534 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 112539 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 112545 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 112550 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 112555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURHi),
     /* 112558 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 112561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 112571 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 112576 */     GIR_RootConstrainSelectedInstOperands,
     /* 112577 */     // GIR_Coverage, 4526,
     /* 112577 */     GIR_EraseRootFromParent_Done,
     /* 112578 */   // Label 2136: @112578
     /* 112578 */   GIM_Try, /*On fail goto*//*Label 2137*/ GIMT_Encode4(112672), // Rule ID 13103 //
     /* 112583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 112587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 112591 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 112595 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 112599 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 112604 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 112608 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 112614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 112621 */     // (st (vector_extract:{ *:[i16] } VecListOne64:{ *:[v4i16] }:$Vt, 0:{ *:[i64] }), (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRHui (EXTRACT_SUBREG:{ *:[i16] } VecListOne64:{ *:[v4i16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 112621 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 112624 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 112628 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 112633 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 112639 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 112644 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 112649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHui),
     /* 112652 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 112655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 112665 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 112670 */     GIR_RootConstrainSelectedInstOperands,
     /* 112671 */     // GIR_Coverage, 13103,
     /* 112671 */     GIR_EraseRootFromParent_Done,
     /* 112672 */   // Label 2137: @112672
     /* 112672 */   GIM_Try, /*On fail goto*//*Label 2138*/ GIMT_Encode4(112766), // Rule ID 13109 //
     /* 112677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 112681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 112685 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 112689 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 112693 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 112698 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 112702 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112706 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 112708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 112715 */     // (st (vector_extract:{ *:[i16] } VecListOne64:{ *:[v4i16] }:$Vt, 0:{ *:[i64] }), (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURHi (EXTRACT_SUBREG:{ *:[i16] } VecListOne64:{ *:[v4i16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 112715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 112718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 112722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 112727 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 112733 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 112738 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 112743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURHi),
     /* 112746 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 112749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 112759 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 112764 */     GIR_RootConstrainSelectedInstOperands,
     /* 112765 */     // GIR_Coverage, 13109,
     /* 112765 */     GIR_EraseRootFromParent_Done,
     /* 112766 */   // Label 2138: @112766
     /* 112766 */   GIM_Try, /*On fail goto*//*Label 2139*/ GIMT_Encode4(112834), // Rule ID 6428 //
     /* 112771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 112775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 112779 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 112783 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 112787 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 112792 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 112796 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 112800 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 112804 */     // MIs[2] Operand 1
     /* 112804 */     // No operand predicates
     /* 112804 */     // MIs[0] Rn
     /* 112804 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 112808 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 112812 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 112814 */     // (st (vector_extract:{ *:[f16] } VecListOne128:{ *:[v8f16] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1i16 VecListOne128:{ *:[v8f16] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 112814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i16),
     /* 112817 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 112821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 112824 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 112826 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 112832 */     GIR_RootConstrainSelectedInstOperands,
     /* 112833 */     // GIR_Coverage, 6428,
     /* 112833 */     GIR_EraseRootFromParent_Done,
     /* 112834 */   // Label 2139: @112834
     /* 112834 */   GIM_Try, /*On fail goto*//*Label 2140*/ GIMT_Encode4(112933), // Rule ID 6433 //
     /* 112839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 112843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 112847 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 112851 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 112855 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 112860 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 112864 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 112868 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 112872 */     // MIs[2] Operand 1
     /* 112872 */     // No operand predicates
     /* 112872 */     // MIs[0] Rn
     /* 112872 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 112876 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 112880 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 112882 */     // (st (vector_extract:{ *:[f16] } VecListOne64:{ *:[v4f16] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1i16 (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, VecListOne64:{ *:[v4f16] }:$Vt, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 112882 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 112885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 112889 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 112894 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 112897 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 112901 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 112904 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 112909 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 112914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i16),
     /* 112917 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 112920 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 112923 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 112925 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 112931 */     GIR_RootConstrainSelectedInstOperands,
     /* 112932 */     // GIR_Coverage, 6433,
     /* 112932 */     GIR_EraseRootFromParent_Done,
     /* 112933 */   // Label 2140: @112933
     /* 112933 */   GIM_Try, /*On fail goto*//*Label 2141*/ GIMT_Encode4(112982), // Rule ID 305 //
     /* 112938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 112941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 112945 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 112956 */     // (st FPR16Op:{ *:[f16] }:$Rt, (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRHroW FPR16Op:{ *:[f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 112956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHroW),
     /* 112959 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 112961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 112971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 112976 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112980 */     GIR_RootConstrainSelectedInstOperands,
     /* 112981 */     // GIR_Coverage, 305,
     /* 112981 */     GIR_EraseRootFromParent_Done,
     /* 112982 */   // Label 2141: @112982
     /* 112982 */   GIM_Try, /*On fail goto*//*Label 2142*/ GIMT_Encode4(113031), // Rule ID 306 //
     /* 112987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 112990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 112994 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 113005 */     // (st FPR16Op:{ *:[f16] }:$Rt, (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRHroX FPR16Op:{ *:[f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 113005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHroX),
     /* 113008 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 113010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 113015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 113020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 113025 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 113029 */     GIR_RootConstrainSelectedInstOperands,
     /* 113030 */     // GIR_Coverage, 306,
     /* 113030 */     GIR_EraseRootFromParent_Done,
     /* 113031 */   // Label 2142: @113031
     /* 113031 */   GIM_Try, /*On fail goto*//*Label 2143*/ GIMT_Encode4(113075), // Rule ID 314 //
     /* 113036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 113039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 113043 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 113054 */     // (st FPR16Op:{ *:[f16] }:$Rt, (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRHui FPR16Op:{ *:[f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 113054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHui),
     /* 113057 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 113059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 113064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 113069 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 113073 */     GIR_RootConstrainSelectedInstOperands,
     /* 113074 */     // GIR_Coverage, 314,
     /* 113074 */     GIR_EraseRootFromParent_Done,
     /* 113075 */   // Label 2143: @113075
     /* 113075 */   GIM_Try, /*On fail goto*//*Label 2144*/ GIMT_Encode4(113119), // Rule ID 322 //
     /* 113080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 113083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 113087 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 113098 */     // (st FPR16Op:{ *:[f16] }:$Rt, (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURHi FPR16Op:{ *:[f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 113098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURHi),
     /* 113101 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 113103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 113108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 113113 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 113117 */     GIR_RootConstrainSelectedInstOperands,
     /* 113118 */     // GIR_Coverage, 322,
     /* 113118 */     GIR_EraseRootFromParent_Done,
     /* 113119 */   // Label 2144: @113119
     /* 113119 */   GIM_Reject,
     /* 113120 */ // Label 2130: @113120
     /* 113120 */ GIM_Reject,
     /* 113121 */ // Label 2104: @113121
     /* 113121 */ GIM_Try, /*On fail goto*//*Label 2145*/ GIMT_Encode4(113234), // Rule ID 4470 //
     /* 113126 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 113129 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 113133 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 113140 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 113144 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 113148 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 113152 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 113156 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 113161 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 113165 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113169 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 113171 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 113178 */   // (st (vector_extract:{ *:[i32] } VecListOne128:{ *:[v8i16] }:$Vt, 0:{ *:[i64] }), (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STRHroW (EXTRACT_SUBREG:{ *:[f16] } VecListOne128:{ *:[v8i16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 113178 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 113181 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 113185 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113190 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 113196 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 113201 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 113206 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHroW),
     /* 113209 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 113212 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 113217 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 113222 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 113227 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 113232 */   GIR_RootConstrainSelectedInstOperands,
     /* 113233 */   // GIR_Coverage, 4470,
     /* 113233 */   GIR_EraseRootFromParent_Done,
     /* 113234 */ // Label 2145: @113234
     /* 113234 */ GIM_Try, /*On fail goto*//*Label 2146*/ GIMT_Encode4(113347), // Rule ID 4471 //
     /* 113239 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 113242 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 113246 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 113253 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 113257 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 113261 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 113265 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 113269 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 113274 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 113278 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113282 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 113284 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 113291 */   // (st (vector_extract:{ *:[i32] } VecListOne128:{ *:[v8i16] }:$Vt, 0:{ *:[i64] }), (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STRHroX (EXTRACT_SUBREG:{ *:[f16] } VecListOne128:{ *:[v8i16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 113291 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 113294 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 113298 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113303 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 113309 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 113314 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 113319 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHroX),
     /* 113322 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 113325 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 113330 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 113335 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 113340 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 113345 */   GIR_RootConstrainSelectedInstOperands,
     /* 113346 */   // GIR_Coverage, 4471,
     /* 113346 */   GIR_EraseRootFromParent_Done,
     /* 113347 */ // Label 2146: @113347
     /* 113347 */ GIM_Try, /*On fail goto*//*Label 2147*/ GIMT_Encode4(113453), // Rule ID 4474 //
     /* 113352 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 113355 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 113359 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 113363 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 113367 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 113371 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 113375 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 113380 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 113384 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113388 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 113390 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 113397 */   // (st (vector_extract:{ *:[i32] } VecListOne128:{ *:[v4i32] }:$Vt, 0:{ *:[i64] }), (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSroW (EXTRACT_SUBREG:{ *:[i32] } VecListOne128:{ *:[v4i32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /* 113397 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 113400 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 113404 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113409 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 113415 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 113420 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 113425 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSroW),
     /* 113428 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 113431 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 113436 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 113441 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 113446 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 113451 */   GIR_RootConstrainSelectedInstOperands,
     /* 113452 */   // GIR_Coverage, 4474,
     /* 113452 */   GIR_EraseRootFromParent_Done,
     /* 113453 */ // Label 2147: @113453
     /* 113453 */ GIM_Try, /*On fail goto*//*Label 2148*/ GIMT_Encode4(113559), // Rule ID 4475 //
     /* 113458 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 113461 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 113465 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 113469 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 113473 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 113477 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 113481 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 113486 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 113490 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113494 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 113496 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 113503 */   // (st (vector_extract:{ *:[i32] } VecListOne128:{ *:[v4i32] }:$Vt, 0:{ *:[i64] }), (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSroX (EXTRACT_SUBREG:{ *:[i32] } VecListOne128:{ *:[v4i32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /* 113503 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 113506 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 113510 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113515 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 113521 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 113526 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 113531 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSroX),
     /* 113534 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 113537 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 113542 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 113547 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 113552 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 113557 */   GIR_RootConstrainSelectedInstOperands,
     /* 113558 */   // GIR_Coverage, 4475,
     /* 113558 */   GIR_EraseRootFromParent_Done,
     /* 113559 */ // Label 2148: @113559
     /* 113559 */ GIM_Try, /*On fail goto*//*Label 2149*/ GIMT_Encode4(113665), // Rule ID 4476 //
     /* 113564 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 113567 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 113571 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 113575 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 113579 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 113583 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 113587 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 113592 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 113596 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113600 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 113602 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 113609 */   // (st (vector_extract:{ *:[f32] } VecListOne128:{ *:[v4f32] }:$Vt, 0:{ *:[i64] }), (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSroW (EXTRACT_SUBREG:{ *:[i32] } VecListOne128:{ *:[v4f32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /* 113609 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 113612 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 113616 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113621 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 113627 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 113632 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 113637 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSroW),
     /* 113640 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 113643 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 113648 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 113653 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 113658 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 113663 */   GIR_RootConstrainSelectedInstOperands,
     /* 113664 */   // GIR_Coverage, 4476,
     /* 113664 */   GIR_EraseRootFromParent_Done,
     /* 113665 */ // Label 2149: @113665
     /* 113665 */ GIM_Try, /*On fail goto*//*Label 2150*/ GIMT_Encode4(113771), // Rule ID 4477 //
     /* 113670 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 113673 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 113677 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 113681 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 113685 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 113689 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 113693 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 113698 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 113702 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113706 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 113708 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 113715 */   // (st (vector_extract:{ *:[f32] } VecListOne128:{ *:[v4f32] }:$Vt, 0:{ *:[i64] }), (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSroX (EXTRACT_SUBREG:{ *:[i32] } VecListOne128:{ *:[v4f32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /* 113715 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 113718 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 113722 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113727 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 113733 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 113738 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 113743 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSroX),
     /* 113746 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 113749 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 113754 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 113759 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 113764 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 113769 */   GIR_RootConstrainSelectedInstOperands,
     /* 113770 */   // GIR_Coverage, 4477,
     /* 113770 */   GIR_EraseRootFromParent_Done,
     /* 113771 */ // Label 2150: @113771
     /* 113771 */ GIM_Try, /*On fail goto*//*Label 2151*/ GIMT_Encode4(113877), // Rule ID 13111 //
     /* 113776 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 113779 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 113783 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 113787 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 113791 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 113795 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 113799 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 113804 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 113808 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113812 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 113814 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 113821 */   // (st (vector_extract:{ *:[i32] } VecListOne64:{ *:[v2i32] }:$Vt, 0:{ *:[i64] }), (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSroW (EXTRACT_SUBREG:{ *:[i32] } VecListOne64:{ *:[v2i32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /* 113821 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 113824 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 113828 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113833 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 113839 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 113844 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 113849 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSroW),
     /* 113852 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 113855 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 113860 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 113865 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 113870 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 113875 */   GIR_RootConstrainSelectedInstOperands,
     /* 113876 */   // GIR_Coverage, 13111,
     /* 113876 */   GIR_EraseRootFromParent_Done,
     /* 113877 */ // Label 2151: @113877
     /* 113877 */ GIM_Try, /*On fail goto*//*Label 2152*/ GIMT_Encode4(113983), // Rule ID 13112 //
     /* 113882 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 113885 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 113889 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 113893 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 113897 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 113901 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 113905 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 113910 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 113914 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113918 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 113920 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 113927 */   // (st (vector_extract:{ *:[i32] } VecListOne64:{ *:[v2i32] }:$Vt, 0:{ *:[i64] }), (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSroX (EXTRACT_SUBREG:{ *:[i32] } VecListOne64:{ *:[v2i32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /* 113927 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 113930 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 113934 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113939 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 113945 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 113950 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 113955 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSroX),
     /* 113958 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 113961 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 113966 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 113971 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 113976 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 113981 */   GIR_RootConstrainSelectedInstOperands,
     /* 113982 */   // GIR_Coverage, 13112,
     /* 113982 */   GIR_EraseRootFromParent_Done,
     /* 113983 */ // Label 2152: @113983
     /* 113983 */ GIM_Try, /*On fail goto*//*Label 2153*/ GIMT_Encode4(114091), // Rule ID 4500 //
     /* 113988 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 113991 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 113995 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 114002 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 114006 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 114010 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 114014 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 114018 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114023 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 114027 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114031 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 114033 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 114040 */   // (st (vector_extract:{ *:[i32] } VecListOne128:{ *:[v8i16] }:$Vt, 0:{ *:[i64] }), (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STRHui (EXTRACT_SUBREG:{ *:[f16] } VecListOne128:{ *:[v8i16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 114040 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 114043 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 114047 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114052 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 114058 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 114063 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114068 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHui),
     /* 114071 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114074 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 114079 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 114084 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 114089 */   GIR_RootConstrainSelectedInstOperands,
     /* 114090 */   // GIR_Coverage, 4500,
     /* 114090 */   GIR_EraseRootFromParent_Done,
     /* 114091 */ // Label 2153: @114091
     /* 114091 */ GIM_Try, /*On fail goto*//*Label 2154*/ GIMT_Encode4(114192), // Rule ID 4502 //
     /* 114096 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114099 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114103 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 114107 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 114111 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 114115 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 114119 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114124 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 114128 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114132 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 114134 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 114141 */   // (st (vector_extract:{ *:[i32] } VecListOne128:{ *:[v4i32] }:$Vt, 0:{ *:[i64] }), (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSui (EXTRACT_SUBREG:{ *:[i32] } VecListOne128:{ *:[v4i32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 114141 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 114144 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 114148 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114153 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 114159 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 114164 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114169 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSui),
     /* 114172 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114175 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 114180 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 114185 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 114190 */   GIR_RootConstrainSelectedInstOperands,
     /* 114191 */   // GIR_Coverage, 4502,
     /* 114191 */   GIR_EraseRootFromParent_Done,
     /* 114192 */ // Label 2154: @114192
     /* 114192 */ GIM_Try, /*On fail goto*//*Label 2155*/ GIMT_Encode4(114293), // Rule ID 4503 //
     /* 114197 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114200 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114204 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 114208 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 114212 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 114216 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 114220 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114225 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 114229 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114233 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 114235 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 114242 */   // (st (vector_extract:{ *:[f32] } VecListOne128:{ *:[v4f32] }:$Vt, 0:{ *:[i64] }), (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSui (EXTRACT_SUBREG:{ *:[i32] } VecListOne128:{ *:[v4f32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 114242 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 114245 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 114249 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114254 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 114260 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 114265 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114270 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSui),
     /* 114273 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114276 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 114281 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 114286 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 114291 */   GIR_RootConstrainSelectedInstOperands,
     /* 114292 */   // GIR_Coverage, 4503,
     /* 114292 */   GIR_EraseRootFromParent_Done,
     /* 114293 */ // Label 2155: @114293
     /* 114293 */ GIM_Try, /*On fail goto*//*Label 2156*/ GIMT_Encode4(114401), // Rule ID 4525 //
     /* 114298 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114301 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114305 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 114312 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 114316 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 114320 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 114324 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 114328 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114333 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 114337 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114341 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 114343 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 114350 */   // (st (vector_extract:{ *:[i32] } VecListOne128:{ *:[v8i16] }:$Vt, 0:{ *:[i64] }), (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STURHi (EXTRACT_SUBREG:{ *:[f16] } VecListOne128:{ *:[v8i16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 114350 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 114353 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 114357 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114362 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 114368 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 114373 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114378 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURHi),
     /* 114381 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114384 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 114389 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 114394 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 114399 */   GIR_RootConstrainSelectedInstOperands,
     /* 114400 */   // GIR_Coverage, 4525,
     /* 114400 */   GIR_EraseRootFromParent_Done,
     /* 114401 */ // Label 2156: @114401
     /* 114401 */ GIM_Try, /*On fail goto*//*Label 2157*/ GIMT_Encode4(114502), // Rule ID 4527 //
     /* 114406 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114409 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114413 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 114417 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 114421 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 114425 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 114429 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114434 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 114438 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114442 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 114444 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 114451 */   // (st (vector_extract:{ *:[i32] } VecListOne128:{ *:[v4i32] }:$Vt, 0:{ *:[i64] }), (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURSi (EXTRACT_SUBREG:{ *:[i32] } VecListOne128:{ *:[v4i32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 114451 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 114454 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 114458 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114463 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 114469 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 114474 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114479 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURSi),
     /* 114482 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114485 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 114490 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 114495 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 114500 */   GIR_RootConstrainSelectedInstOperands,
     /* 114501 */   // GIR_Coverage, 4527,
     /* 114501 */   GIR_EraseRootFromParent_Done,
     /* 114502 */ // Label 2157: @114502
     /* 114502 */ GIM_Try, /*On fail goto*//*Label 2158*/ GIMT_Encode4(114603), // Rule ID 4528 //
     /* 114507 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114510 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114514 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 114518 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 114522 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 114526 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 114530 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114535 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 114539 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114543 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 114545 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 114552 */   // (st (vector_extract:{ *:[f32] } VecListOne128:{ *:[v4f32] }:$Vt, 0:{ *:[i64] }), (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURSi (EXTRACT_SUBREG:{ *:[i32] } VecListOne128:{ *:[v4f32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 114552 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 114555 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 114559 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114564 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 114570 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 114575 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114580 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURSi),
     /* 114583 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114586 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 114591 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 114596 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 114601 */   GIR_RootConstrainSelectedInstOperands,
     /* 114602 */   // GIR_Coverage, 4528,
     /* 114602 */   GIR_EraseRootFromParent_Done,
     /* 114603 */ // Label 2158: @114603
     /* 114603 */ GIM_Try, /*On fail goto*//*Label 2159*/ GIMT_Encode4(114704), // Rule ID 13108 //
     /* 114608 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114611 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114615 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 114619 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 114623 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 114627 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 114631 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 114636 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 114640 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114644 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 114646 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 114653 */   // (st (vector_extract:{ *:[i32] } VecListOne64:{ *:[v2i32] }:$Vt, 0:{ *:[i64] }), (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSui (EXTRACT_SUBREG:{ *:[i32] } VecListOne64:{ *:[v2i32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 114653 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 114656 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 114660 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114665 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 114671 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 114676 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 114681 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSui),
     /* 114684 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114687 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 114692 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 114697 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 114702 */   GIR_RootConstrainSelectedInstOperands,
     /* 114703 */   // GIR_Coverage, 13108,
     /* 114703 */   GIR_EraseRootFromParent_Done,
     /* 114704 */ // Label 2159: @114704
     /* 114704 */ GIM_Try, /*On fail goto*//*Label 2160*/ GIMT_Encode4(114805), // Rule ID 13110 //
     /* 114709 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114712 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114716 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 114720 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 114724 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 114728 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 114732 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 114737 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 114741 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114745 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 114747 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 114754 */   // (st (vector_extract:{ *:[i32] } VecListOne64:{ *:[v2i32] }:$Vt, 0:{ *:[i64] }), (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURSi (EXTRACT_SUBREG:{ *:[i32] } VecListOne64:{ *:[v2i32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 114754 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 114757 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 114761 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114766 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 114772 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 114777 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 114782 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURSi),
     /* 114785 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114788 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 114793 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 114798 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 114803 */   GIR_RootConstrainSelectedInstOperands,
     /* 114804 */   // GIR_Coverage, 13110,
     /* 114804 */   GIR_EraseRootFromParent_Done,
     /* 114805 */ // Label 2160: @114805
     /* 114805 */ GIM_Try, /*On fail goto*//*Label 2161*/ GIMT_Encode4(114887), // Rule ID 6422 //
     /* 114810 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114813 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114817 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 114824 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 114828 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 114832 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 114836 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 114840 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114845 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 114849 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 114853 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 114857 */   // MIs[2] Operand 1
     /* 114857 */   // No operand predicates
     /* 114857 */   // MIs[0] Rn
     /* 114857 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 114861 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 114865 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 114867 */   // (st (vector_extract:{ *:[i32] } VecListOne128:{ *:[v16i8] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (ST1i8 VecListOne128:{ *:[v16i8] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 114867 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i8),
     /* 114870 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 114874 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 114877 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 114879 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 114885 */   GIR_RootConstrainSelectedInstOperands,
     /* 114886 */   // GIR_Coverage, 6422,
     /* 114886 */   GIR_EraseRootFromParent_Done,
     /* 114887 */ // Label 2161: @114887
     /* 114887 */ GIM_Try, /*On fail goto*//*Label 2162*/ GIMT_Encode4(114969), // Rule ID 6423 //
     /* 114892 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114895 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114899 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 114906 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 114910 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 114914 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 114918 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 114922 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114927 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 114931 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 114935 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 114939 */   // MIs[2] Operand 1
     /* 114939 */   // No operand predicates
     /* 114939 */   // MIs[0] Rn
     /* 114939 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 114943 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 114947 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 114949 */   // (st (vector_extract:{ *:[i32] } VecListOne128:{ *:[v8i16] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (ST1i16 VecListOne128:{ *:[v8i16] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 114949 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i16),
     /* 114952 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 114956 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 114959 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 114961 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 114967 */   GIR_RootConstrainSelectedInstOperands,
     /* 114968 */   // GIR_Coverage, 6423,
     /* 114968 */   GIR_EraseRootFromParent_Done,
     /* 114969 */ // Label 2162: @114969
     /* 114969 */ GIM_Try, /*On fail goto*//*Label 2163*/ GIMT_Encode4(115044), // Rule ID 6424 //
     /* 114974 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114977 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114981 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 114985 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 114989 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 114993 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 114997 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 115002 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 115006 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 115010 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 115014 */   // MIs[2] Operand 1
     /* 115014 */   // No operand predicates
     /* 115014 */   // MIs[0] Rn
     /* 115014 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 115018 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 115022 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 115024 */   // (st (vector_extract:{ *:[i32] } VecListOne128:{ *:[v4i32] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1i32 VecListOne128:{ *:[v4i32] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 115024 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i32),
     /* 115027 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 115031 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 115034 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 115036 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 115042 */   GIR_RootConstrainSelectedInstOperands,
     /* 115043 */   // GIR_Coverage, 6424,
     /* 115043 */   GIR_EraseRootFromParent_Done,
     /* 115044 */ // Label 2163: @115044
     /* 115044 */ GIM_Try, /*On fail goto*//*Label 2164*/ GIMT_Encode4(115119), // Rule ID 6425 //
     /* 115049 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115052 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115056 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 115060 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 115064 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 115068 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 115072 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 115077 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 115081 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 115085 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 115089 */   // MIs[2] Operand 1
     /* 115089 */   // No operand predicates
     /* 115089 */   // MIs[0] Rn
     /* 115089 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 115093 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 115097 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 115099 */   // (st (vector_extract:{ *:[f32] } VecListOne128:{ *:[v4f32] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1i32 VecListOne128:{ *:[v4f32] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 115099 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i32),
     /* 115102 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 115106 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 115109 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 115111 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 115117 */   GIR_RootConstrainSelectedInstOperands,
     /* 115118 */   // GIR_Coverage, 6425,
     /* 115118 */   GIR_EraseRootFromParent_Done,
     /* 115119 */ // Label 2164: @115119
     /* 115119 */ GIM_Try, /*On fail goto*//*Label 2165*/ GIMT_Encode4(115232), // Rule ID 6429 //
     /* 115124 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115127 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115131 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 115138 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 115142 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 115146 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 115150 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 115154 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 115159 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 115163 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 115167 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 115171 */   // MIs[2] Operand 1
     /* 115171 */   // No operand predicates
     /* 115171 */   // MIs[0] Rn
     /* 115171 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 115175 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 115179 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 115181 */   // (st (vector_extract:{ *:[i32] } VecListOne64:{ *:[v8i8] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (ST1i8 (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, VecListOne64:{ *:[v8i8] }:$Vt, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 115181 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 115184 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 115188 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 115193 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 115196 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 115200 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 115203 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 115208 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 115213 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i8),
     /* 115216 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 115219 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 115222 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 115224 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 115230 */   GIR_RootConstrainSelectedInstOperands,
     /* 115231 */   // GIR_Coverage, 6429,
     /* 115231 */   GIR_EraseRootFromParent_Done,
     /* 115232 */ // Label 2165: @115232
     /* 115232 */ GIM_Try, /*On fail goto*//*Label 2166*/ GIMT_Encode4(115345), // Rule ID 6430 //
     /* 115237 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115240 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115244 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 115251 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 115255 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 115259 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 115263 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 115267 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 115272 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 115276 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 115280 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 115284 */   // MIs[2] Operand 1
     /* 115284 */   // No operand predicates
     /* 115284 */   // MIs[0] Rn
     /* 115284 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 115288 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 115292 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 115294 */   // (st (vector_extract:{ *:[i32] } VecListOne64:{ *:[v4i16] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (ST1i16 (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, VecListOne64:{ *:[v4i16] }:$Vt, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 115294 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 115297 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 115301 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 115306 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 115309 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 115313 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 115316 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 115321 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 115326 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i16),
     /* 115329 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 115332 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 115335 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 115337 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 115343 */   GIR_RootConstrainSelectedInstOperands,
     /* 115344 */   // GIR_Coverage, 6430,
     /* 115344 */   GIR_EraseRootFromParent_Done,
     /* 115345 */ // Label 2166: @115345
     /* 115345 */ GIM_Try, /*On fail goto*//*Label 2167*/ GIMT_Encode4(115451), // Rule ID 6431 //
     /* 115350 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115353 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115357 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 115361 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 115365 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 115369 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 115373 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 115378 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 115382 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 115386 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 115390 */   // MIs[2] Operand 1
     /* 115390 */   // No operand predicates
     /* 115390 */   // MIs[0] Rn
     /* 115390 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 115394 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 115398 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 115400 */   // (st (vector_extract:{ *:[i32] } VecListOne64:{ *:[v2i32] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1i32 (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, VecListOne64:{ *:[v2i32] }:$Vt, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 115400 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 115403 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 115407 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 115412 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 115415 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 115419 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 115422 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 115427 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 115432 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i32),
     /* 115435 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 115438 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 115441 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 115443 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 115449 */   GIR_RootConstrainSelectedInstOperands,
     /* 115450 */   // GIR_Coverage, 6431,
     /* 115450 */   GIR_EraseRootFromParent_Done,
     /* 115451 */ // Label 2167: @115451
     /* 115451 */ GIM_Try, /*On fail goto*//*Label 2168*/ GIMT_Encode4(115557), // Rule ID 6432 //
     /* 115456 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115459 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115463 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 115467 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 115471 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 115475 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 115479 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 115484 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 115488 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 115492 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 115496 */   // MIs[2] Operand 1
     /* 115496 */   // No operand predicates
     /* 115496 */   // MIs[0] Rn
     /* 115496 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 115500 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 115504 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 115506 */   // (st (vector_extract:{ *:[f32] } VecListOne64:{ *:[v2f32] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1i32 (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, VecListOne64:{ *:[v2f32] }:$Vt, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 115506 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 115509 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 115513 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 115518 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 115521 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 115525 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 115528 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 115533 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 115538 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i32),
     /* 115541 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 115544 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 115547 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 115549 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 115555 */   GIR_RootConstrainSelectedInstOperands,
     /* 115556 */   // GIR_Coverage, 6432,
     /* 115556 */   GIR_EraseRootFromParent_Done,
     /* 115557 */ // Label 2168: @115557
     /* 115557 */ GIM_Try, /*On fail goto*//*Label 2169*/ GIMT_Encode4(115617), // Rule ID 295 //
     /* 115562 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115565 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115569 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 115576 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 115580 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115584 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 115591 */   // (st GPR32:{ *:[i32] }:$Rt, (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (STRBBroW GPR32:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend)
     /* 115591 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBBroW),
     /* 115594 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 115596 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 115601 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 115606 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 115611 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 115615 */   GIR_RootConstrainSelectedInstOperands,
     /* 115616 */   // GIR_Coverage, 295,
     /* 115616 */   GIR_EraseRootFromParent_Done,
     /* 115617 */ // Label 2169: @115617
     /* 115617 */ GIM_Try, /*On fail goto*//*Label 2170*/ GIMT_Encode4(115677), // Rule ID 296 //
     /* 115622 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115625 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115629 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 115636 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 115640 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115644 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 115651 */   // (st GPR32:{ *:[i32] }:$Rt, (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (STRBBroX GPR32:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend)
     /* 115651 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBBroX),
     /* 115654 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 115656 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 115661 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 115666 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 115671 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 115675 */   GIR_RootConstrainSelectedInstOperands,
     /* 115676 */   // GIR_Coverage, 296,
     /* 115676 */   GIR_EraseRootFromParent_Done,
     /* 115677 */ // Label 2170: @115677
     /* 115677 */ GIM_Try, /*On fail goto*//*Label 2171*/ GIMT_Encode4(115737), // Rule ID 297 //
     /* 115682 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115685 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115689 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 115696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 115700 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115704 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 115711 */   // (st GPR32:{ *:[i32] }:$Rt, (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STRHHroW GPR32:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 115711 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHHroW),
     /* 115714 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 115716 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 115721 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 115726 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 115731 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 115735 */   GIR_RootConstrainSelectedInstOperands,
     /* 115736 */   // GIR_Coverage, 297,
     /* 115736 */   GIR_EraseRootFromParent_Done,
     /* 115737 */ // Label 2171: @115737
     /* 115737 */ GIM_Try, /*On fail goto*//*Label 2172*/ GIMT_Encode4(115797), // Rule ID 298 //
     /* 115742 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115745 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115749 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 115756 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 115760 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115764 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 115771 */   // (st GPR32:{ *:[i32] }:$Rt, (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STRHHroX GPR32:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 115771 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHHroX),
     /* 115774 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 115776 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 115781 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 115786 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 115791 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 115795 */   GIR_RootConstrainSelectedInstOperands,
     /* 115796 */   // GIR_Coverage, 298,
     /* 115796 */   GIR_EraseRootFromParent_Done,
     /* 115797 */ // Label 2172: @115797
     /* 115797 */ GIM_Try, /*On fail goto*//*Label 2173*/ GIMT_Encode4(115850), // Rule ID 299 //
     /* 115802 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115805 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115809 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 115813 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115817 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 115824 */   // (st GPR32:{ *:[i32] }:$Rt, (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRWroW GPR32:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /* 115824 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRWroW),
     /* 115827 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 115829 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 115834 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 115839 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 115844 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 115848 */   GIR_RootConstrainSelectedInstOperands,
     /* 115849 */   // GIR_Coverage, 299,
     /* 115849 */   GIR_EraseRootFromParent_Done,
     /* 115850 */ // Label 2173: @115850
     /* 115850 */ GIM_Try, /*On fail goto*//*Label 2174*/ GIMT_Encode4(115903), // Rule ID 300 //
     /* 115855 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115858 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115862 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 115866 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115870 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 115877 */   // (st GPR32:{ *:[i32] }:$Rt, (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRWroX GPR32:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /* 115877 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRWroX),
     /* 115880 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 115882 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 115887 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 115892 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 115897 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 115901 */   GIR_RootConstrainSelectedInstOperands,
     /* 115902 */   // GIR_Coverage, 300,
     /* 115902 */   GIR_EraseRootFromParent_Done,
     /* 115903 */ // Label 2174: @115903
     /* 115903 */ GIM_Try, /*On fail goto*//*Label 2175*/ GIMT_Encode4(115959), // Rule ID 307 //
     /* 115908 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 115911 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115914 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115918 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 115922 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115926 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 115933 */   // (st FPR32Op:{ *:[f32] }:$Rt, (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSroW FPR32Op:{ *:[f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /* 115933 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSroW),
     /* 115936 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 115938 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 115943 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 115948 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 115953 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 115957 */   GIR_RootConstrainSelectedInstOperands,
     /* 115958 */   // GIR_Coverage, 307,
     /* 115958 */   GIR_EraseRootFromParent_Done,
     /* 115959 */ // Label 2175: @115959
     /* 115959 */ GIM_Try, /*On fail goto*//*Label 2176*/ GIMT_Encode4(116015), // Rule ID 308 //
     /* 115964 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 115967 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115970 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 115978 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115982 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 115989 */   // (st FPR32Op:{ *:[f32] }:$Rt, (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSroX FPR32Op:{ *:[f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /* 115989 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSroX),
     /* 115992 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 115994 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 115999 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 116004 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 116009 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116013 */   GIR_RootConstrainSelectedInstOperands,
     /* 116014 */   // GIR_Coverage, 308,
     /* 116014 */   GIR_EraseRootFromParent_Done,
     /* 116015 */ // Label 2176: @116015
     /* 116015 */ GIM_Try, /*On fail goto*//*Label 2177*/ GIMT_Encode4(116067), // Rule ID 312 //
     /* 116020 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116023 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116027 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 116031 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116035 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 116042 */   // (st GPR32z:{ *:[i32] }:$Rt, (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRWui GPR32z:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 116042 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRWui),
     /* 116045 */   GIR_CopyOrAddZeroReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/0, GIMT_Encode2(AArch64::WZR), // Rt
     /* 116051 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116056 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 116061 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116065 */   GIR_RootConstrainSelectedInstOperands,
     /* 116066 */   // GIR_Coverage, 312,
     /* 116066 */   GIR_EraseRootFromParent_Done,
     /* 116067 */ // Label 2177: @116067
     /* 116067 */ GIM_Try, /*On fail goto*//*Label 2178*/ GIMT_Encode4(116118), // Rule ID 315 //
     /* 116072 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 116075 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116078 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 116086 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116090 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 116097 */   // (st FPR32Op:{ *:[f32] }:$Rt, (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSui FPR32Op:{ *:[f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 116097 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSui),
     /* 116100 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 116102 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116107 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 116112 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116116 */   GIR_RootConstrainSelectedInstOperands,
     /* 116117 */   // GIR_Coverage, 315,
     /* 116117 */   GIR_EraseRootFromParent_Done,
     /* 116118 */ // Label 2178: @116118
     /* 116118 */ GIM_Try, /*On fail goto*//*Label 2179*/ GIMT_Encode4(116177), // Rule ID 317 //
     /* 116123 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116126 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116130 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 116137 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 116141 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116145 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 116152 */   // (st GPR32z:{ *:[i32] }:$Rt, (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STRHHui GPR32z:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 116152 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHHui),
     /* 116155 */   GIR_CopyOrAddZeroReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/0, GIMT_Encode2(AArch64::WZR), // Rt
     /* 116161 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116166 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 116171 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116175 */   GIR_RootConstrainSelectedInstOperands,
     /* 116176 */   // GIR_Coverage, 317,
     /* 116176 */   GIR_EraseRootFromParent_Done,
     /* 116177 */ // Label 2179: @116177
     /* 116177 */ GIM_Try, /*On fail goto*//*Label 2180*/ GIMT_Encode4(116236), // Rule ID 318 //
     /* 116182 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116185 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116189 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 116196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 116200 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116204 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 116211 */   // (st GPR32z:{ *:[i32] }:$Rt, (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (STRBBui GPR32z:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 116211 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBBui),
     /* 116214 */   GIR_CopyOrAddZeroReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/0, GIMT_Encode2(AArch64::WZR), // Rt
     /* 116220 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116225 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 116230 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116234 */   GIR_RootConstrainSelectedInstOperands,
     /* 116235 */   // GIR_Coverage, 318,
     /* 116235 */   GIR_EraseRootFromParent_Done,
     /* 116236 */ // Label 2180: @116236
     /* 116236 */ GIM_Try, /*On fail goto*//*Label 2181*/ GIMT_Encode4(116313), // Rule ID 7053 //
     /* 116241 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 116244 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 116251 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 116254 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 116258 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 116262 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 116266 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 116271 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116275 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 116277 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 116284 */   // (atomic_store (bitconvert:{ *:[i32] } FPR32Op:{ *:[f32] }:$val), (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_15858>>  =>  (STRSroW FPR32Op:{ *:[f32] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /* 116284 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSroW),
     /* 116287 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // val
     /* 116291 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116296 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 116301 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 116306 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 116311 */   GIR_RootConstrainSelectedInstOperands,
     /* 116312 */   // GIR_Coverage, 7053,
     /* 116312 */   GIR_EraseRootFromParent_Done,
     /* 116313 */ // Label 2181: @116313
     /* 116313 */ GIM_Try, /*On fail goto*//*Label 2182*/ GIMT_Encode4(116390), // Rule ID 7054 //
     /* 116318 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 116321 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 116328 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 116331 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 116335 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 116339 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 116343 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 116348 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116352 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 116354 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 116361 */   // (atomic_store (bitconvert:{ *:[i32] } FPR32Op:{ *:[f32] }:$val), (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_15858>>  =>  (STRSroX FPR32Op:{ *:[f32] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /* 116361 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSroX),
     /* 116364 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // val
     /* 116368 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116373 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 116378 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 116383 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 116388 */   GIR_RootConstrainSelectedInstOperands,
     /* 116389 */   // GIR_Coverage, 7054,
     /* 116389 */   GIR_EraseRootFromParent_Done,
     /* 116390 */ // Label 2182: @116390
     /* 116390 */ GIM_Try, /*On fail goto*//*Label 2183*/ GIMT_Encode4(116449), // Rule ID 7034 //
     /* 116395 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 116398 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 116405 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 116408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 116412 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116416 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 116423 */   // (atomic_store GPR32:{ *:[i32] }:$val, (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_15844>>  =>  (STRBBroW GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend)
     /* 116423 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBBroW),
     /* 116426 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 116428 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116433 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 116438 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 116443 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116447 */   GIR_RootConstrainSelectedInstOperands,
     /* 116448 */   // GIR_Coverage, 7034,
     /* 116448 */   GIR_EraseRootFromParent_Done,
     /* 116449 */ // Label 2183: @116449
     /* 116449 */ GIM_Try, /*On fail goto*//*Label 2184*/ GIMT_Encode4(116508), // Rule ID 7035 //
     /* 116454 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 116457 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 116464 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 116467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 116471 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116475 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 116482 */   // (atomic_store GPR32:{ *:[i32] }:$val, (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_15844>>  =>  (STRBBroX GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend)
     /* 116482 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBBroX),
     /* 116485 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 116487 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116492 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 116497 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 116502 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116506 */   GIR_RootConstrainSelectedInstOperands,
     /* 116507 */   // GIR_Coverage, 7035,
     /* 116507 */   GIR_EraseRootFromParent_Done,
     /* 116508 */ // Label 2184: @116508
     /* 116508 */ GIM_Try, /*On fail goto*//*Label 2185*/ GIMT_Encode4(116567), // Rule ID 7039 //
     /* 116513 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 116516 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 116523 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 116526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 116530 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116534 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 116541 */   // (atomic_store GPR32:{ *:[i32] }:$val, (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_15851>>  =>  (STRHHroW GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 116541 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHHroW),
     /* 116544 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 116546 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116551 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 116556 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 116561 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116565 */   GIR_RootConstrainSelectedInstOperands,
     /* 116566 */   // GIR_Coverage, 7039,
     /* 116566 */   GIR_EraseRootFromParent_Done,
     /* 116567 */ // Label 2185: @116567
     /* 116567 */ GIM_Try, /*On fail goto*//*Label 2186*/ GIMT_Encode4(116626), // Rule ID 7040 //
     /* 116572 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 116575 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 116582 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 116585 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 116589 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116593 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 116600 */   // (atomic_store GPR32:{ *:[i32] }:$val, (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_15851>>  =>  (STRHHroX GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 116600 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHHroX),
     /* 116603 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 116605 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116610 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 116615 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 116620 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116624 */   GIR_RootConstrainSelectedInstOperands,
     /* 116625 */   // GIR_Coverage, 7040,
     /* 116625 */   GIR_EraseRootFromParent_Done,
     /* 116626 */ // Label 2186: @116626
     /* 116626 */ GIM_Try, /*On fail goto*//*Label 2187*/ GIMT_Encode4(116685), // Rule ID 7044 //
     /* 116631 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 116634 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 116641 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 116644 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 116648 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116652 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 116659 */   // (atomic_store GPR32:{ *:[i32] }:$val, (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_15858>>  =>  (STRWroW GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /* 116659 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRWroW),
     /* 116662 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 116664 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116669 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 116674 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 116679 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116683 */   GIR_RootConstrainSelectedInstOperands,
     /* 116684 */   // GIR_Coverage, 7044,
     /* 116684 */   GIR_EraseRootFromParent_Done,
     /* 116685 */ // Label 2187: @116685
     /* 116685 */ GIM_Try, /*On fail goto*//*Label 2188*/ GIMT_Encode4(116744), // Rule ID 7045 //
     /* 116690 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 116693 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 116700 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 116703 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 116707 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116711 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 116718 */   // (atomic_store GPR32:{ *:[i32] }:$val, (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_15858>>  =>  (STRWroX GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /* 116718 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRWroX),
     /* 116721 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 116723 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116728 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 116733 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 116738 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116742 */   GIR_RootConstrainSelectedInstOperands,
     /* 116743 */   // GIR_Coverage, 7045,
     /* 116743 */   GIR_EraseRootFromParent_Done,
     /* 116744 */ // Label 2188: @116744
     /* 116744 */ GIM_Try, /*On fail goto*//*Label 2189*/ GIMT_Encode4(116816), // Rule ID 7055 //
     /* 116749 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 116752 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 116759 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 116762 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 116766 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 116770 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 116774 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 116779 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116783 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 116785 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 116792 */   // (atomic_store (bitconvert:{ *:[i32] } FPR32Op:{ *:[f32] }:$val), (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_15858>>  =>  (STRSui FPR32Op:{ *:[f32] }:$val, GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 116792 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSui),
     /* 116795 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // val
     /* 116799 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116804 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 116809 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 116814 */   GIR_RootConstrainSelectedInstOperands,
     /* 116815 */   // GIR_Coverage, 7055,
     /* 116815 */   GIR_EraseRootFromParent_Done,
     /* 116816 */ // Label 2189: @116816
     /* 116816 */ GIM_Try, /*On fail goto*//*Label 2190*/ GIMT_Encode4(116888), // Rule ID 7056 //
     /* 116821 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 116824 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 116831 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 116834 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 116838 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 116842 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 116846 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 116851 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116855 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 116857 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 116864 */   // (atomic_store (bitconvert:{ *:[i32] } FPR32Op:{ *:[f32] }:$val), (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_15858>>  =>  (STURSi FPR32Op:{ *:[f32] }:$val, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 116864 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURSi),
     /* 116867 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // val
     /* 116871 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116876 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 116881 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 116886 */   GIR_RootConstrainSelectedInstOperands,
     /* 116887 */   // GIR_Coverage, 7056,
     /* 116887 */   GIR_EraseRootFromParent_Done,
     /* 116888 */ // Label 2190: @116888
     /* 116888 */ GIM_Try, /*On fail goto*//*Label 2191*/ GIMT_Encode4(116940), // Rule ID 320 //
     /* 116893 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116896 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116900 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 116904 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116908 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 116915 */   // (st GPR32z:{ *:[i32] }:$Rt, (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURWi GPR32z:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 116915 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURWi),
     /* 116918 */   GIR_CopyOrAddZeroReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/0, GIMT_Encode2(AArch64::WZR), // Rt
     /* 116924 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116929 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 116934 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116938 */   GIR_RootConstrainSelectedInstOperands,
     /* 116939 */   // GIR_Coverage, 320,
     /* 116939 */   GIR_EraseRootFromParent_Done,
     /* 116940 */ // Label 2191: @116940
     /* 116940 */ GIM_Try, /*On fail goto*//*Label 2192*/ GIMT_Encode4(116991), // Rule ID 323 //
     /* 116945 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 116948 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116951 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116955 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 116959 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116963 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 116970 */   // (st FPR32Op:{ *:[f32] }:$Rt, (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURSi FPR32Op:{ *:[f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 116970 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURSi),
     /* 116973 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 116975 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116980 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 116985 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116989 */   GIR_RootConstrainSelectedInstOperands,
     /* 116990 */   // GIR_Coverage, 323,
     /* 116990 */   GIR_EraseRootFromParent_Done,
     /* 116991 */ // Label 2192: @116991
     /* 116991 */ GIM_Try, /*On fail goto*//*Label 2193*/ GIMT_Encode4(117050), // Rule ID 326 //
     /* 116996 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116999 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 117003 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 117010 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 117014 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117018 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 117025 */   // (st GPR32z:{ *:[i32] }:$Rt, (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STURHHi GPR32z:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 117025 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURHHi),
     /* 117028 */   GIR_CopyOrAddZeroReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/0, GIMT_Encode2(AArch64::WZR), // Rt
     /* 117034 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117039 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117044 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117048 */   GIR_RootConstrainSelectedInstOperands,
     /* 117049 */   // GIR_Coverage, 326,
     /* 117049 */   GIR_EraseRootFromParent_Done,
     /* 117050 */ // Label 2193: @117050
     /* 117050 */ GIM_Try, /*On fail goto*//*Label 2194*/ GIMT_Encode4(117109), // Rule ID 327 //
     /* 117055 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 117058 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 117062 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 117069 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 117073 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117077 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 117084 */   // (st GPR32z:{ *:[i32] }:$Rt, (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (STURBBi GPR32z:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 117084 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURBBi),
     /* 117087 */   GIR_CopyOrAddZeroReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/0, GIMT_Encode2(AArch64::WZR), // Rt
     /* 117093 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117098 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117103 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117107 */   GIR_RootConstrainSelectedInstOperands,
     /* 117108 */   // GIR_Coverage, 327,
     /* 117108 */   GIR_EraseRootFromParent_Done,
     /* 117109 */ // Label 2194: @117109
     /* 117109 */ GIM_Try, /*On fail goto*//*Label 2195*/ GIMT_Encode4(117163), // Rule ID 7036 //
     /* 117114 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 117117 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 117124 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 117127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 117131 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117135 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 117142 */   // (atomic_store GPR32:{ *:[i32] }:$val, (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_15844>>  =>  (STRBBui GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 117142 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBBui),
     /* 117145 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 117147 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117152 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117157 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117161 */   GIR_RootConstrainSelectedInstOperands,
     /* 117162 */   // GIR_Coverage, 7036,
     /* 117162 */   GIR_EraseRootFromParent_Done,
     /* 117163 */ // Label 2195: @117163
     /* 117163 */ GIM_Try, /*On fail goto*//*Label 2196*/ GIMT_Encode4(117217), // Rule ID 7037 //
     /* 117168 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 117171 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 117178 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 117181 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 117185 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117189 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 117196 */   // (atomic_store GPR32:{ *:[i32] }:$val, (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_15844>>  =>  (STURBBi GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 117196 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURBBi),
     /* 117199 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 117201 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117206 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117211 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117215 */   GIR_RootConstrainSelectedInstOperands,
     /* 117216 */   // GIR_Coverage, 7037,
     /* 117216 */   GIR_EraseRootFromParent_Done,
     /* 117217 */ // Label 2196: @117217
     /* 117217 */ GIM_Try, /*On fail goto*//*Label 2197*/ GIMT_Encode4(117271), // Rule ID 7041 //
     /* 117222 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 117225 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 117232 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 117235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 117239 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117243 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 117250 */   // (atomic_store GPR32:{ *:[i32] }:$val, (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_15851>>  =>  (STRHHui GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 117250 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHHui),
     /* 117253 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 117255 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117260 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117265 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117269 */   GIR_RootConstrainSelectedInstOperands,
     /* 117270 */   // GIR_Coverage, 7041,
     /* 117270 */   GIR_EraseRootFromParent_Done,
     /* 117271 */ // Label 2197: @117271
     /* 117271 */ GIM_Try, /*On fail goto*//*Label 2198*/ GIMT_Encode4(117325), // Rule ID 7042 //
     /* 117276 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 117279 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 117286 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 117289 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 117293 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117297 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 117304 */   // (atomic_store GPR32:{ *:[i32] }:$val, (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_15851>>  =>  (STURHHi GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 117304 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURHHi),
     /* 117307 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 117309 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117314 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117319 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117323 */   GIR_RootConstrainSelectedInstOperands,
     /* 117324 */   // GIR_Coverage, 7042,
     /* 117324 */   GIR_EraseRootFromParent_Done,
     /* 117325 */ // Label 2198: @117325
     /* 117325 */ GIM_Try, /*On fail goto*//*Label 2199*/ GIMT_Encode4(117379), // Rule ID 7046 //
     /* 117330 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 117333 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 117340 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 117343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 117347 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117351 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 117358 */   // (atomic_store GPR32:{ *:[i32] }:$val, (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_15858>>  =>  (STRWui GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 117358 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRWui),
     /* 117361 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 117363 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117368 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117373 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117377 */   GIR_RootConstrainSelectedInstOperands,
     /* 117378 */   // GIR_Coverage, 7046,
     /* 117378 */   GIR_EraseRootFromParent_Done,
     /* 117379 */ // Label 2199: @117379
     /* 117379 */ GIM_Try, /*On fail goto*//*Label 2200*/ GIMT_Encode4(117433), // Rule ID 7047 //
     /* 117384 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 117387 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 117394 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 117397 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 117401 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117405 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 117412 */   // (atomic_store GPR32:{ *:[i32] }:$val, (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_15858>>  =>  (STURWi GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 117412 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURWi),
     /* 117415 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 117417 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117422 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117427 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117431 */   GIR_RootConstrainSelectedInstOperands,
     /* 117432 */   // GIR_Coverage, 7047,
     /* 117432 */   GIR_EraseRootFromParent_Done,
     /* 117433 */ // Label 2200: @117433
     /* 117433 */ GIM_Try, /*On fail goto*//*Label 2201*/ GIMT_Encode4(117490), // Rule ID 7379 //
     /* 117438 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC_IMMO),
     /* 117441 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 117444 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 117451 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 117454 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 117458 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117462 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 117469 */   // (atomic_store GPR32:{ *:[i32] }:$val, (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_15842>>  =>  (STLURBi GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 117469 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLURBi),
     /* 117472 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 117474 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117479 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117484 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117488 */   GIR_RootConstrainSelectedInstOperands,
     /* 117489 */   // GIR_Coverage, 7379,
     /* 117489 */   GIR_EraseRootFromParent_Done,
     /* 117490 */ // Label 2201: @117490
     /* 117490 */ GIM_Try, /*On fail goto*//*Label 2202*/ GIMT_Encode4(117547), // Rule ID 7380 //
     /* 117495 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC_IMMO),
     /* 117498 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 117501 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 117508 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 117511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 117515 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117519 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 117526 */   // (atomic_store GPR32:{ *:[i32] }:$val, (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_15849>>  =>  (STLURHi GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 117526 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLURHi),
     /* 117529 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 117531 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117536 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117541 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117545 */   GIR_RootConstrainSelectedInstOperands,
     /* 117546 */   // GIR_Coverage, 7380,
     /* 117546 */   GIR_EraseRootFromParent_Done,
     /* 117547 */ // Label 2202: @117547
     /* 117547 */ GIM_Try, /*On fail goto*//*Label 2203*/ GIMT_Encode4(117604), // Rule ID 7381 //
     /* 117552 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC_IMMO),
     /* 117555 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 117558 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 117565 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 117568 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 117572 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117576 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 117583 */   // (atomic_store GPR32:{ *:[i32] }:$val, (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_15856>>  =>  (STLURWi GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 117583 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLURWi),
     /* 117586 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 117588 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117593 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117598 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117602 */   GIR_RootConstrainSelectedInstOperands,
     /* 117603 */   // GIR_Coverage, 7381,
     /* 117603 */   GIR_EraseRootFromParent_Done,
     /* 117604 */ // Label 2203: @117604
     /* 117604 */ GIM_Try, /*On fail goto*//*Label 2204*/ GIMT_Encode4(117641), // Rule ID 7033 //
     /* 117609 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 117612 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 117619 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 117622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 117626 */   // MIs[0] ptr
     /* 117626 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 117630 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 117634 */   // (atomic_store GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_15842>>  =>  (STLRB GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$ptr)
     /* 117634 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::STLRB),
     /* 117639 */   GIR_RootConstrainSelectedInstOperands,
     /* 117640 */   // GIR_Coverage, 7033,
     /* 117640 */   GIR_Done,
     /* 117641 */ // Label 2204: @117641
     /* 117641 */ GIM_Try, /*On fail goto*//*Label 2205*/ GIMT_Encode4(117678), // Rule ID 7038 //
     /* 117646 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 117649 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 117656 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 117659 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 117663 */   // MIs[0] ptr
     /* 117663 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 117667 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 117671 */   // (atomic_store GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_15849>>  =>  (STLRH GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$ptr)
     /* 117671 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::STLRH),
     /* 117676 */   GIR_RootConstrainSelectedInstOperands,
     /* 117677 */   // GIR_Coverage, 7038,
     /* 117677 */   GIR_Done,
     /* 117678 */ // Label 2205: @117678
     /* 117678 */ GIM_Try, /*On fail goto*//*Label 2206*/ GIMT_Encode4(117715), // Rule ID 7043 //
     /* 117683 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 117686 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 117693 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 117696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 117700 */   // MIs[0] ptr
     /* 117700 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 117704 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 117708 */   // (atomic_store GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_15856>>  =>  (STLRW GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$ptr)
     /* 117708 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::STLRW),
     /* 117713 */   GIR_RootConstrainSelectedInstOperands,
     /* 117714 */   // GIR_Coverage, 7043,
     /* 117714 */   GIR_Done,
     /* 117715 */ // Label 2206: @117715
     /* 117715 */ GIM_Reject,
     /* 117716 */ // Label 2105: @117716
     /* 117716 */ GIM_Try, /*On fail goto*//*Label 2207*/ GIMT_Encode4(117822), // Rule ID 4478 //
     /* 117721 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 117724 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 117728 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 117732 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 117736 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 117740 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 117744 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 117749 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 117753 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117757 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 117759 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 117766 */   // (st (vector_extract:{ *:[i64] } VecListOne128:{ *:[v2i64] }:$Vt, 0:{ *:[i64] }), (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroW (EXTRACT_SUBREG:{ *:[i64] } VecListOne128:{ *:[v2i64] }:$Vt, dsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 117766 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 117769 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 117773 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 117778 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Vt
     /* 117784 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 117789 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 117794 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroW),
     /* 117797 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 117800 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117805 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 117810 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 117815 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 117820 */   GIR_RootConstrainSelectedInstOperands,
     /* 117821 */   // GIR_Coverage, 4478,
     /* 117821 */   GIR_EraseRootFromParent_Done,
     /* 117822 */ // Label 2207: @117822
     /* 117822 */ GIM_Try, /*On fail goto*//*Label 2208*/ GIMT_Encode4(117928), // Rule ID 4479 //
     /* 117827 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 117830 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 117834 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 117838 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 117842 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 117846 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 117850 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 117855 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 117859 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117863 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 117865 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 117872 */   // (st (vector_extract:{ *:[i64] } VecListOne128:{ *:[v2i64] }:$Vt, 0:{ *:[i64] }), (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroX (EXTRACT_SUBREG:{ *:[i64] } VecListOne128:{ *:[v2i64] }:$Vt, dsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 117872 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 117875 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 117879 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 117884 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Vt
     /* 117890 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 117895 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 117900 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroX),
     /* 117903 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 117906 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117911 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 117916 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 117921 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 117926 */   GIR_RootConstrainSelectedInstOperands,
     /* 117927 */   // GIR_Coverage, 4479,
     /* 117927 */   GIR_EraseRootFromParent_Done,
     /* 117928 */ // Label 2208: @117928
     /* 117928 */ GIM_Try, /*On fail goto*//*Label 2209*/ GIMT_Encode4(118034), // Rule ID 4480 //
     /* 117933 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 117936 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 117940 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 117944 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 117948 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 117952 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 117956 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 117961 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 117965 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117969 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 117971 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 117978 */   // (st (vector_extract:{ *:[f64] } VecListOne128:{ *:[v2f64] }:$Vt, 0:{ *:[i64] }), (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroW (EXTRACT_SUBREG:{ *:[i64] } VecListOne128:{ *:[v2f64] }:$Vt, dsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 117978 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 117981 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 117985 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 117990 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Vt
     /* 117996 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 118001 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 118006 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroW),
     /* 118009 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 118012 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118017 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 118022 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 118027 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 118032 */   GIR_RootConstrainSelectedInstOperands,
     /* 118033 */   // GIR_Coverage, 4480,
     /* 118033 */   GIR_EraseRootFromParent_Done,
     /* 118034 */ // Label 2209: @118034
     /* 118034 */ GIM_Try, /*On fail goto*//*Label 2210*/ GIMT_Encode4(118140), // Rule ID 4481 //
     /* 118039 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 118042 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 118046 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 118050 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 118054 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 118058 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 118062 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 118067 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 118071 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118075 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 118077 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 118084 */   // (st (vector_extract:{ *:[f64] } VecListOne128:{ *:[v2f64] }:$Vt, 0:{ *:[i64] }), (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroX (EXTRACT_SUBREG:{ *:[i64] } VecListOne128:{ *:[v2f64] }:$Vt, dsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 118084 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 118087 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 118091 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118096 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Vt
     /* 118102 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 118107 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 118112 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroX),
     /* 118115 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 118118 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118123 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 118128 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 118133 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 118138 */   GIR_RootConstrainSelectedInstOperands,
     /* 118139 */   // GIR_Coverage, 4481,
     /* 118139 */   GIR_EraseRootFromParent_Done,
     /* 118140 */ // Label 2210: @118140
     /* 118140 */ GIM_Try, /*On fail goto*//*Label 2211*/ GIMT_Encode4(118241), // Rule ID 4504 //
     /* 118145 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 118148 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 118152 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 118156 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 118160 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 118164 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 118168 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 118173 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 118177 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118181 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 118183 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 118190 */   // (st (vector_extract:{ *:[i64] } VecListOne128:{ *:[v2i64] }:$Vt, 0:{ *:[i64] }), (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDui (EXTRACT_SUBREG:{ *:[i64] } VecListOne128:{ *:[v2i64] }:$Vt, dsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 118190 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 118193 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 118197 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118202 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Vt
     /* 118208 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 118213 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 118218 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDui),
     /* 118221 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 118224 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118229 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 118234 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 118239 */   GIR_RootConstrainSelectedInstOperands,
     /* 118240 */   // GIR_Coverage, 4504,
     /* 118240 */   GIR_EraseRootFromParent_Done,
     /* 118241 */ // Label 2211: @118241
     /* 118241 */ GIM_Try, /*On fail goto*//*Label 2212*/ GIMT_Encode4(118342), // Rule ID 4505 //
     /* 118246 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 118249 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 118253 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 118257 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 118261 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 118265 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 118269 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 118274 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 118278 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118282 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 118284 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 118291 */   // (st (vector_extract:{ *:[f64] } VecListOne128:{ *:[v2f64] }:$Vt, 0:{ *:[i64] }), (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDui (EXTRACT_SUBREG:{ *:[i64] } VecListOne128:{ *:[v2f64] }:$Vt, dsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 118291 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 118294 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 118298 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118303 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Vt
     /* 118309 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 118314 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 118319 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDui),
     /* 118322 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 118325 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118330 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 118335 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 118340 */   GIR_RootConstrainSelectedInstOperands,
     /* 118341 */   // GIR_Coverage, 4505,
     /* 118341 */   GIR_EraseRootFromParent_Done,
     /* 118342 */ // Label 2212: @118342
     /* 118342 */ GIM_Try, /*On fail goto*//*Label 2213*/ GIMT_Encode4(118443), // Rule ID 4529 //
     /* 118347 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 118350 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 118354 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 118358 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 118362 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 118366 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 118370 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 118375 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 118379 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118383 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 118385 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 118392 */   // (st (vector_extract:{ *:[i64] } VecListOne128:{ *:[v2i64] }:$Vt, 0:{ *:[i64] }), (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURDi (EXTRACT_SUBREG:{ *:[i64] } VecListOne128:{ *:[v2i64] }:$Vt, dsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 118392 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 118395 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 118399 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118404 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Vt
     /* 118410 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 118415 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 118420 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURDi),
     /* 118423 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 118426 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118431 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 118436 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 118441 */   GIR_RootConstrainSelectedInstOperands,
     /* 118442 */   // GIR_Coverage, 4529,
     /* 118442 */   GIR_EraseRootFromParent_Done,
     /* 118443 */ // Label 2213: @118443
     /* 118443 */ GIM_Try, /*On fail goto*//*Label 2214*/ GIMT_Encode4(118544), // Rule ID 4530 //
     /* 118448 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 118451 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 118455 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 118459 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 118463 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 118467 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 118471 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 118476 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 118480 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118484 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 118486 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 118493 */   // (st (vector_extract:{ *:[f64] } VecListOne128:{ *:[v2f64] }:$Vt, 0:{ *:[i64] }), (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURDi (EXTRACT_SUBREG:{ *:[i64] } VecListOne128:{ *:[v2f64] }:$Vt, dsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 118493 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 118496 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 118500 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118505 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Vt
     /* 118511 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 118516 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 118521 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURDi),
     /* 118524 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 118527 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118532 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 118537 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 118542 */   GIR_RootConstrainSelectedInstOperands,
     /* 118543 */   // GIR_Coverage, 4530,
     /* 118543 */   GIR_EraseRootFromParent_Done,
     /* 118544 */ // Label 2214: @118544
     /* 118544 */ GIM_Try, /*On fail goto*//*Label 2215*/ GIMT_Encode4(118619), // Rule ID 6426 //
     /* 118549 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 118552 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 118556 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 118560 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 118564 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 118568 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 118572 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 118577 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 118581 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 118585 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 118589 */   // MIs[2] Operand 1
     /* 118589 */   // No operand predicates
     /* 118589 */   // MIs[0] Rn
     /* 118589 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 118593 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 118597 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 118599 */   // (st (vector_extract:{ *:[i64] } VecListOne128:{ *:[v2i64] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1i64 VecListOne128:{ *:[v2i64] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 118599 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i64),
     /* 118602 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 118606 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 118609 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 118611 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 118617 */   GIR_RootConstrainSelectedInstOperands,
     /* 118618 */   // GIR_Coverage, 6426,
     /* 118618 */   GIR_EraseRootFromParent_Done,
     /* 118619 */ // Label 2215: @118619
     /* 118619 */ GIM_Try, /*On fail goto*//*Label 2216*/ GIMT_Encode4(118694), // Rule ID 6427 //
     /* 118624 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 118627 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 118631 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 118635 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 118639 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 118643 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 118647 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 118652 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 118656 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 118660 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 118664 */   // MIs[2] Operand 1
     /* 118664 */   // No operand predicates
     /* 118664 */   // MIs[0] Rn
     /* 118664 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 118668 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 118672 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 118674 */   // (st (vector_extract:{ *:[f64] } VecListOne128:{ *:[v2f64] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1i64 VecListOne128:{ *:[v2f64] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 118674 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i64),
     /* 118677 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 118681 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 118684 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 118686 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 118692 */   GIR_RootConstrainSelectedInstOperands,
     /* 118693 */   // GIR_Coverage, 6427,
     /* 118693 */   GIR_EraseRootFromParent_Done,
     /* 118694 */ // Label 2216: @118694
     /* 118694 */ GIM_Try, /*On fail goto*//*Label 2217*/ GIMT_Encode4(118747), // Rule ID 301 //
     /* 118699 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 118702 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 118706 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 118710 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118714 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 118721 */   // (st GPR64:{ *:[i64] }:$Rt, (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRXroW GPR64:{ *:[i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 118721 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRXroW),
     /* 118724 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 118726 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118731 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 118736 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 118741 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118745 */   GIR_RootConstrainSelectedInstOperands,
     /* 118746 */   // GIR_Coverage, 301,
     /* 118746 */   GIR_EraseRootFromParent_Done,
     /* 118747 */ // Label 2217: @118747
     /* 118747 */ GIM_Try, /*On fail goto*//*Label 2218*/ GIMT_Encode4(118800), // Rule ID 302 //
     /* 118752 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 118755 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 118759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 118763 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118767 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 118774 */   // (st GPR64:{ *:[i64] }:$Rt, (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRXroX GPR64:{ *:[i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 118774 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRXroX),
     /* 118777 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 118779 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118784 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 118789 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 118794 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118798 */   GIR_RootConstrainSelectedInstOperands,
     /* 118799 */   // GIR_Coverage, 302,
     /* 118799 */   GIR_EraseRootFromParent_Done,
     /* 118800 */ // Label 2218: @118800
     /* 118800 */ GIM_Try, /*On fail goto*//*Label 2219*/ GIMT_Encode4(118856), // Rule ID 309 //
     /* 118805 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 118808 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 118811 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 118815 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 118819 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118823 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 118830 */   // (st FPR64Op:{ *:[f64] }:$Rt, (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroW FPR64Op:{ *:[f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 118830 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroW),
     /* 118833 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 118835 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118840 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 118845 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 118850 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118854 */   GIR_RootConstrainSelectedInstOperands,
     /* 118855 */   // GIR_Coverage, 309,
     /* 118855 */   GIR_EraseRootFromParent_Done,
     /* 118856 */ // Label 2219: @118856
     /* 118856 */ GIM_Try, /*On fail goto*//*Label 2220*/ GIMT_Encode4(118912), // Rule ID 310 //
     /* 118861 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 118864 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 118867 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 118871 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 118875 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118879 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 118886 */   // (st FPR64Op:{ *:[f64] }:$Rt, (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroX FPR64Op:{ *:[f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 118886 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroX),
     /* 118889 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 118891 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118896 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 118901 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 118906 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118910 */   GIR_RootConstrainSelectedInstOperands,
     /* 118911 */   // GIR_Coverage, 310,
     /* 118911 */   GIR_EraseRootFromParent_Done,
     /* 118912 */ // Label 2220: @118912
     /* 118912 */ GIM_Try, /*On fail goto*//*Label 2221*/ GIMT_Encode4(119001), // Rule ID 4436 //
     /* 118917 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 118920 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 118924 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 118931 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 118935 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118939 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 118946 */   // (st GPR64:{ *:[i64] }:$Rt, (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (STRBBroW (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend)
     /* 118946 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 118949 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 118953 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118958 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 118964 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 118969 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 118974 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBBroW),
     /* 118977 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 118980 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118985 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 118990 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 118995 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118999 */   GIR_RootConstrainSelectedInstOperands,
     /* 119000 */   // GIR_Coverage, 4436,
     /* 119000 */   GIR_EraseRootFromParent_Done,
     /* 119001 */ // Label 2221: @119001
     /* 119001 */ GIM_Try, /*On fail goto*//*Label 2222*/ GIMT_Encode4(119090), // Rule ID 4437 //
     /* 119006 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119009 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119013 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 119020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 119024 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119028 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 119035 */   // (st GPR64:{ *:[i64] }:$Rt, (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (STRBBroX (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend)
     /* 119035 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 119038 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 119042 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119047 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 119053 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 119058 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 119063 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBBroX),
     /* 119066 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 119069 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119074 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 119079 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 119084 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119088 */   GIR_RootConstrainSelectedInstOperands,
     /* 119089 */   // GIR_Coverage, 4437,
     /* 119089 */   GIR_EraseRootFromParent_Done,
     /* 119090 */ // Label 2222: @119090
     /* 119090 */ GIM_Try, /*On fail goto*//*Label 2223*/ GIMT_Encode4(119179), // Rule ID 4438 //
     /* 119095 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119098 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119102 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 119109 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 119113 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119117 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 119124 */   // (st GPR64:{ *:[i64] }:$Rt, (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STRHHroW (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 119124 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 119127 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 119131 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119136 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 119142 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 119147 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 119152 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHHroW),
     /* 119155 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 119158 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119163 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 119168 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 119173 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119177 */   GIR_RootConstrainSelectedInstOperands,
     /* 119178 */   // GIR_Coverage, 4438,
     /* 119178 */   GIR_EraseRootFromParent_Done,
     /* 119179 */ // Label 2223: @119179
     /* 119179 */ GIM_Try, /*On fail goto*//*Label 2224*/ GIMT_Encode4(119268), // Rule ID 4439 //
     /* 119184 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119187 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119191 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 119198 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 119202 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119206 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 119213 */   // (st GPR64:{ *:[i64] }:$Rt, (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STRHHroX (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 119213 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 119216 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 119220 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119225 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 119231 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 119236 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 119241 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHHroX),
     /* 119244 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 119247 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119252 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 119257 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 119262 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119266 */   GIR_RootConstrainSelectedInstOperands,
     /* 119267 */   // GIR_Coverage, 4439,
     /* 119267 */   GIR_EraseRootFromParent_Done,
     /* 119268 */ // Label 2224: @119268
     /* 119268 */ GIM_Try, /*On fail goto*//*Label 2225*/ GIMT_Encode4(119357), // Rule ID 4440 //
     /* 119273 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119276 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119280 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 119287 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 119291 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119295 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 119302 */   // (st GPR64:{ *:[i64] }:$Rt, (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>>  =>  (STRWroW (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /* 119302 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 119305 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 119309 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119314 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 119320 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 119325 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 119330 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRWroW),
     /* 119333 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 119336 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119341 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 119346 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 119351 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119355 */   GIR_RootConstrainSelectedInstOperands,
     /* 119356 */   // GIR_Coverage, 4440,
     /* 119356 */   GIR_EraseRootFromParent_Done,
     /* 119357 */ // Label 2225: @119357
     /* 119357 */ GIM_Try, /*On fail goto*//*Label 2226*/ GIMT_Encode4(119446), // Rule ID 4441 //
     /* 119362 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119365 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119369 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 119376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 119380 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119384 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 119391 */   // (st GPR64:{ *:[i64] }:$Rt, (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>>  =>  (STRWroX (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /* 119391 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 119394 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 119398 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119403 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 119409 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 119414 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 119419 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRWroX),
     /* 119422 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 119425 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119430 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 119435 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 119440 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119444 */   GIR_RootConstrainSelectedInstOperands,
     /* 119445 */   // GIR_Coverage, 4441,
     /* 119445 */   GIR_EraseRootFromParent_Done,
     /* 119446 */ // Label 2226: @119446
     /* 119446 */ GIM_Try, /*On fail goto*//*Label 2227*/ GIMT_Encode4(119499), // Rule ID 4452 //
     /* 119451 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119454 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119458 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 119462 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119466 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 119473 */   // (st FPR64:{ *:[v1i64] }:$Rt, (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroW FPR64:{ *:[v1i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 119473 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroW),
     /* 119476 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 119478 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119483 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 119488 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 119493 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119497 */   GIR_RootConstrainSelectedInstOperands,
     /* 119498 */   // GIR_Coverage, 4452,
     /* 119498 */   GIR_EraseRootFromParent_Done,
     /* 119499 */ // Label 2227: @119499
     /* 119499 */ GIM_Try, /*On fail goto*//*Label 2228*/ GIMT_Encode4(119552), // Rule ID 4453 //
     /* 119504 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119507 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 119515 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119519 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 119526 */   // (st FPR64:{ *:[v1i64] }:$Rt, (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroX FPR64:{ *:[v1i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 119526 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroX),
     /* 119529 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 119531 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119536 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 119541 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 119546 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119550 */   GIR_RootConstrainSelectedInstOperands,
     /* 119551 */   // GIR_Coverage, 4453,
     /* 119551 */   GIR_EraseRootFromParent_Done,
     /* 119552 */ // Label 2228: @119552
     /* 119552 */ GIM_Try, /*On fail goto*//*Label 2229*/ GIMT_Encode4(119605), // Rule ID 4454 //
     /* 119557 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119560 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119564 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 119568 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119572 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 119579 */   // (st FPR64:{ *:[v1f64] }:$Rt, (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroW FPR64:{ *:[v1f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 119579 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroW),
     /* 119582 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 119584 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119589 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 119594 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 119599 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119603 */   GIR_RootConstrainSelectedInstOperands,
     /* 119604 */   // GIR_Coverage, 4454,
     /* 119604 */   GIR_EraseRootFromParent_Done,
     /* 119605 */ // Label 2229: @119605
     /* 119605 */ GIM_Try, /*On fail goto*//*Label 2230*/ GIMT_Encode4(119658), // Rule ID 4455 //
     /* 119610 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119613 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119617 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 119621 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119625 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 119632 */   // (st FPR64:{ *:[v1f64] }:$Rt, (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroX FPR64:{ *:[v1f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 119632 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroX),
     /* 119635 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 119637 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119642 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 119647 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 119652 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119656 */   GIR_RootConstrainSelectedInstOperands,
     /* 119657 */   // GIR_Coverage, 4455,
     /* 119657 */   GIR_EraseRootFromParent_Done,
     /* 119658 */ // Label 2230: @119658
     /* 119658 */ GIM_Try, /*On fail goto*//*Label 2231*/ GIMT_Encode4(119710), // Rule ID 311 //
     /* 119663 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119666 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 119674 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119678 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 119685 */   // (st GPR64z:{ *:[i64] }:$Rt, (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRXui GPR64z:{ *:[i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 119685 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRXui),
     /* 119688 */   GIR_CopyOrAddZeroReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/0, GIMT_Encode2(AArch64::XZR), // Rt
     /* 119694 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119699 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 119704 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119708 */   GIR_RootConstrainSelectedInstOperands,
     /* 119709 */   // GIR_Coverage, 311,
     /* 119709 */   GIR_EraseRootFromParent_Done,
     /* 119710 */ // Label 2231: @119710
     /* 119710 */ GIM_Try, /*On fail goto*//*Label 2232*/ GIMT_Encode4(119761), // Rule ID 316 //
     /* 119715 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 119718 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119721 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119725 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 119729 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119733 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 119740 */   // (st FPR64Op:{ *:[f64] }:$Rt, (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDui FPR64Op:{ *:[f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 119740 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDui),
     /* 119743 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 119745 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119750 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 119755 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119759 */   GIR_RootConstrainSelectedInstOperands,
     /* 119760 */   // GIR_Coverage, 316,
     /* 119760 */   GIR_EraseRootFromParent_Done,
     /* 119761 */ // Label 2232: @119761
     /* 119761 */ GIM_Try, /*On fail goto*//*Label 2233*/ GIMT_Encode4(119809), // Rule ID 4482 //
     /* 119766 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119769 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119773 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 119777 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119781 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 119788 */   // (st FPR64:{ *:[v1i64] }:$Rt, (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDui FPR64:{ *:[v1i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 119788 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDui),
     /* 119791 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 119793 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119798 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 119803 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119807 */   GIR_RootConstrainSelectedInstOperands,
     /* 119808 */   // GIR_Coverage, 4482,
     /* 119808 */   GIR_EraseRootFromParent_Done,
     /* 119809 */ // Label 2233: @119809
     /* 119809 */ GIM_Try, /*On fail goto*//*Label 2234*/ GIMT_Encode4(119857), // Rule ID 4483 //
     /* 119814 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119817 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 119825 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119829 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 119836 */   // (st FPR64:{ *:[v1f64] }:$Rt, (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDui FPR64:{ *:[v1f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 119836 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDui),
     /* 119839 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 119841 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119846 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 119851 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119855 */   GIR_RootConstrainSelectedInstOperands,
     /* 119856 */   // GIR_Coverage, 4483,
     /* 119856 */   GIR_EraseRootFromParent_Done,
     /* 119857 */ // Label 2234: @119857
     /* 119857 */ GIM_Try, /*On fail goto*//*Label 2235*/ GIMT_Encode4(119941), // Rule ID 4497 //
     /* 119862 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119865 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119869 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 119876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 119880 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119884 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 119891 */   // (st GPR64:{ *:[i64] }:$Rt, (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>>  =>  (STRWui (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 119891 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 119894 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 119898 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119903 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 119909 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 119914 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 119919 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRWui),
     /* 119922 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 119925 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119930 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 119935 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119939 */   GIR_RootConstrainSelectedInstOperands,
     /* 119940 */   // GIR_Coverage, 4497,
     /* 119940 */   GIR_EraseRootFromParent_Done,
     /* 119941 */ // Label 2235: @119941
     /* 119941 */ GIM_Try, /*On fail goto*//*Label 2236*/ GIMT_Encode4(120025), // Rule ID 4498 //
     /* 119946 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119949 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119953 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 119960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 119964 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119968 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 119975 */   // (st GPR64:{ *:[i64] }:$Rt, (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STRHHui (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 119975 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 119978 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 119982 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119987 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 119993 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 119998 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 120003 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHHui),
     /* 120006 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 120009 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120014 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 120019 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120023 */   GIR_RootConstrainSelectedInstOperands,
     /* 120024 */   // GIR_Coverage, 4498,
     /* 120024 */   GIR_EraseRootFromParent_Done,
     /* 120025 */ // Label 2236: @120025
     /* 120025 */ GIM_Try, /*On fail goto*//*Label 2237*/ GIMT_Encode4(120109), // Rule ID 4499 //
     /* 120030 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120033 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120037 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 120044 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 120048 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120052 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 120059 */   // (st GPR64:{ *:[i64] }:$Rt, (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (STRBBui (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 120059 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 120062 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 120066 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120071 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 120077 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 120082 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 120087 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBBui),
     /* 120090 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 120093 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120098 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 120103 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120107 */   GIR_RootConstrainSelectedInstOperands,
     /* 120108 */   // GIR_Coverage, 4499,
     /* 120108 */   GIR_EraseRootFromParent_Done,
     /* 120109 */ // Label 2237: @120109
     /* 120109 */ GIM_Try, /*On fail goto*//*Label 2238*/ GIMT_Encode4(120186), // Rule ID 7057 //
     /* 120114 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 120117 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 120124 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 120127 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 120131 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 120135 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 120139 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 120144 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120148 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 120150 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 120157 */   // (atomic_store (bitconvert:{ *:[i64] } FPR64Op:{ *:[f64] }:$val), (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15865>>  =>  (STRDroW FPR64Op:{ *:[f64] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 120157 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroW),
     /* 120160 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // val
     /* 120164 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120169 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 120174 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 120179 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 120184 */   GIR_RootConstrainSelectedInstOperands,
     /* 120185 */   // GIR_Coverage, 7057,
     /* 120185 */   GIR_EraseRootFromParent_Done,
     /* 120186 */ // Label 2238: @120186
     /* 120186 */ GIM_Try, /*On fail goto*//*Label 2239*/ GIMT_Encode4(120263), // Rule ID 7058 //
     /* 120191 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 120194 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 120201 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 120204 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 120208 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 120212 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 120216 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 120221 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120225 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 120227 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 120234 */   // (atomic_store (bitconvert:{ *:[i64] } FPR64Op:{ *:[f64] }:$val), (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15865>>  =>  (STRDroX FPR64Op:{ *:[f64] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 120234 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroX),
     /* 120237 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // val
     /* 120241 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120246 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 120251 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 120256 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 120261 */   GIR_RootConstrainSelectedInstOperands,
     /* 120262 */   // GIR_Coverage, 7058,
     /* 120262 */   GIR_EraseRootFromParent_Done,
     /* 120263 */ // Label 2239: @120263
     /* 120263 */ GIM_Try, /*On fail goto*//*Label 2240*/ GIMT_Encode4(120322), // Rule ID 7049 //
     /* 120268 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 120271 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 120278 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 120281 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 120285 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120289 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 120296 */   // (atomic_store GPR64:{ *:[i64] }:$val, (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15865>>  =>  (STRXroW GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 120296 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRXroW),
     /* 120299 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 120301 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120306 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 120311 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 120316 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120320 */   GIR_RootConstrainSelectedInstOperands,
     /* 120321 */   // GIR_Coverage, 7049,
     /* 120321 */   GIR_EraseRootFromParent_Done,
     /* 120322 */ // Label 2240: @120322
     /* 120322 */ GIM_Try, /*On fail goto*//*Label 2241*/ GIMT_Encode4(120381), // Rule ID 7050 //
     /* 120327 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 120330 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 120337 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 120340 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 120344 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120348 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 120355 */   // (atomic_store GPR64:{ *:[i64] }:$val, (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15865>>  =>  (STRXroX GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 120355 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRXroX),
     /* 120358 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 120360 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120365 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 120370 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 120375 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120379 */   GIR_RootConstrainSelectedInstOperands,
     /* 120380 */   // GIR_Coverage, 7050,
     /* 120380 */   GIR_EraseRootFromParent_Done,
     /* 120381 */ // Label 2241: @120381
     /* 120381 */ GIM_Try, /*On fail goto*//*Label 2242*/ GIMT_Encode4(120453), // Rule ID 7059 //
     /* 120386 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 120389 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 120396 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 120399 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 120403 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 120407 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 120411 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 120416 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120420 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 120422 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 120429 */   // (atomic_store (bitconvert:{ *:[i64] } FPR64Op:{ *:[f64] }:$val), (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15865>>  =>  (STRDui FPR64Op:{ *:[f64] }:$val, GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 120429 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDui),
     /* 120432 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // val
     /* 120436 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120441 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 120446 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 120451 */   GIR_RootConstrainSelectedInstOperands,
     /* 120452 */   // GIR_Coverage, 7059,
     /* 120452 */   GIR_EraseRootFromParent_Done,
     /* 120453 */ // Label 2242: @120453
     /* 120453 */ GIM_Try, /*On fail goto*//*Label 2243*/ GIMT_Encode4(120525), // Rule ID 7060 //
     /* 120458 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 120461 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 120468 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 120471 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 120475 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 120479 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 120483 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 120488 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120492 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 120494 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 120501 */   // (atomic_store (bitconvert:{ *:[i64] } FPR64Op:{ *:[f64] }:$val), (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15865>>  =>  (STURDi FPR64Op:{ *:[f64] }:$val, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 120501 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURDi),
     /* 120504 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // val
     /* 120508 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120513 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 120518 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 120523 */   GIR_RootConstrainSelectedInstOperands,
     /* 120524 */   // GIR_Coverage, 7060,
     /* 120524 */   GIR_EraseRootFromParent_Done,
     /* 120525 */ // Label 2243: @120525
     /* 120525 */ GIM_Try, /*On fail goto*//*Label 2244*/ GIMT_Encode4(120622), // Rule ID 7371 //
     /* 120530 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRCPC3),
     /* 120533 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 120536 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 120543 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 120546 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 120550 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 120554 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 120558 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 120562 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 120566 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 120570 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 120574 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 120579 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 120583 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 120587 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 120591 */   // MIs[3] Operand 1
     /* 120591 */   // No operand predicates
     /* 120591 */   // MIs[0] Rn
     /* 120591 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 120595 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 120599 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 120601 */   // (atomic_store (bitconvert:{ *:[i64] } (vector_extract:{ *:[f64] } VecListOne128:{ *:[v2f64] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15863>>  =>  (STL1 VecListOne128:{ *:[v2f64] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 120601 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STL1),
     /* 120604 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vt
     /* 120608 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 120611 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 120613 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /* 120620 */   GIR_RootConstrainSelectedInstOperands,
     /* 120621 */   // GIR_Coverage, 7371,
     /* 120621 */   GIR_EraseRootFromParent_Done,
     /* 120622 */ // Label 2244: @120622
     /* 120622 */ GIM_Try, /*On fail goto*//*Label 2245*/ GIMT_Encode4(120674), // Rule ID 319 //
     /* 120627 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120630 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 120638 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120642 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 120649 */   // (st GPR64z:{ *:[i64] }:$Rt, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURXi GPR64z:{ *:[i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 120649 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURXi),
     /* 120652 */   GIR_CopyOrAddZeroReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/0, GIMT_Encode2(AArch64::XZR), // Rt
     /* 120658 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120663 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 120668 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120672 */   GIR_RootConstrainSelectedInstOperands,
     /* 120673 */   // GIR_Coverage, 319,
     /* 120673 */   GIR_EraseRootFromParent_Done,
     /* 120674 */ // Label 2245: @120674
     /* 120674 */ GIM_Try, /*On fail goto*//*Label 2246*/ GIMT_Encode4(120725), // Rule ID 324 //
     /* 120679 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 120682 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120685 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120689 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 120693 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120697 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 120704 */   // (st FPR64Op:{ *:[f64] }:$Rt, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURDi FPR64Op:{ *:[f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 120704 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURDi),
     /* 120707 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 120709 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120714 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 120719 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120723 */   GIR_RootConstrainSelectedInstOperands,
     /* 120724 */   // GIR_Coverage, 324,
     /* 120724 */   GIR_EraseRootFromParent_Done,
     /* 120725 */ // Label 2246: @120725
     /* 120725 */ GIM_Try, /*On fail goto*//*Label 2247*/ GIMT_Encode4(120779), // Rule ID 7051 //
     /* 120730 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 120733 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 120740 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 120743 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 120747 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120751 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 120758 */   // (atomic_store GPR64:{ *:[i64] }:$val, (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15865>>  =>  (STRXui GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 120758 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRXui),
     /* 120761 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 120763 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120768 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 120773 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120777 */   GIR_RootConstrainSelectedInstOperands,
     /* 120778 */   // GIR_Coverage, 7051,
     /* 120778 */   GIR_EraseRootFromParent_Done,
     /* 120779 */ // Label 2247: @120779
     /* 120779 */ GIM_Try, /*On fail goto*//*Label 2248*/ GIMT_Encode4(120833), // Rule ID 7052 //
     /* 120784 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 120787 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 120794 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 120797 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 120801 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120805 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 120812 */   // (atomic_store GPR64:{ *:[i64] }:$val, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15865>>  =>  (STURXi GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 120812 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURXi),
     /* 120815 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 120817 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120822 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 120827 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120831 */   GIR_RootConstrainSelectedInstOperands,
     /* 120832 */   // GIR_Coverage, 7052,
     /* 120832 */   GIR_EraseRootFromParent_Done,
     /* 120833 */ // Label 2248: @120833
     /* 120833 */ GIM_Try, /*On fail goto*//*Label 2249*/ GIMT_Encode4(120890), // Rule ID 7382 //
     /* 120838 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC_IMMO),
     /* 120841 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 120844 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 120851 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 120854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 120858 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120862 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 120869 */   // (atomic_store GPR64:{ *:[i64] }:$val, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15863>>  =>  (STLURXi GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 120869 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLURXi),
     /* 120872 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 120874 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120879 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 120884 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120888 */   GIR_RootConstrainSelectedInstOperands,
     /* 120889 */   // GIR_Coverage, 7382,
     /* 120889 */   GIR_EraseRootFromParent_Done,
     /* 120890 */ // Label 2249: @120890
     /* 120890 */ GIM_Try, /*On fail goto*//*Label 2250*/ GIMT_Encode4(120938), // Rule ID 4506 //
     /* 120895 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120898 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120902 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 120906 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120910 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 120917 */   // (st FPR64:{ *:[v1f64] }:$Rt, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURDi FPR64:{ *:[v1f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 120917 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURDi),
     /* 120920 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 120922 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120927 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 120932 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120936 */   GIR_RootConstrainSelectedInstOperands,
     /* 120937 */   // GIR_Coverage, 4506,
     /* 120937 */   GIR_EraseRootFromParent_Done,
     /* 120938 */ // Label 2250: @120938
     /* 120938 */ GIM_Try, /*On fail goto*//*Label 2251*/ GIMT_Encode4(120986), // Rule ID 4507 //
     /* 120943 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120946 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120950 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 120954 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120958 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 120965 */   // (st FPR64:{ *:[v1i64] }:$Rt, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURDi FPR64:{ *:[v1i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 120965 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURDi),
     /* 120968 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 120970 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120975 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 120980 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120984 */   GIR_RootConstrainSelectedInstOperands,
     /* 120985 */   // GIR_Coverage, 4507,
     /* 120985 */   GIR_EraseRootFromParent_Done,
     /* 120986 */ // Label 2251: @120986
     /* 120986 */ GIM_Try, /*On fail goto*//*Label 2252*/ GIMT_Encode4(121070), // Rule ID 4522 //
     /* 120991 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120994 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120998 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 121005 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121009 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121013 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 121020 */   // (st GPR64:{ *:[i64] }:$Rt, (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>>  =>  (STURWi (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 121020 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 121023 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 121027 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121032 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 121038 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 121043 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121048 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURWi),
     /* 121051 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 121054 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 121059 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 121064 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121068 */   GIR_RootConstrainSelectedInstOperands,
     /* 121069 */   // GIR_Coverage, 4522,
     /* 121069 */   GIR_EraseRootFromParent_Done,
     /* 121070 */ // Label 2252: @121070
     /* 121070 */ GIM_Try, /*On fail goto*//*Label 2253*/ GIMT_Encode4(121154), // Rule ID 4523 //
     /* 121075 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 121078 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 121082 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 121089 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121093 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121097 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 121104 */   // (st GPR64:{ *:[i64] }:$Rt, (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STURHHi (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 121104 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 121107 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 121111 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121116 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 121122 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 121127 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121132 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURHHi),
     /* 121135 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 121138 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 121143 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 121148 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121152 */   GIR_RootConstrainSelectedInstOperands,
     /* 121153 */   // GIR_Coverage, 4523,
     /* 121153 */   GIR_EraseRootFromParent_Done,
     /* 121154 */ // Label 2253: @121154
     /* 121154 */ GIM_Try, /*On fail goto*//*Label 2254*/ GIMT_Encode4(121238), // Rule ID 4524 //
     /* 121159 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 121162 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 121166 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 121173 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121177 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121181 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 121188 */   // (st GPR64:{ *:[i64] }:$Rt, (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (STURBBi (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 121188 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 121191 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 121195 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121200 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 121206 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 121211 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121216 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURBBi),
     /* 121219 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 121222 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 121227 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 121232 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121236 */   GIR_RootConstrainSelectedInstOperands,
     /* 121237 */   // GIR_Coverage, 4524,
     /* 121237 */   GIR_EraseRootFromParent_Done,
     /* 121238 */ // Label 2254: @121238
     /* 121238 */ GIM_Try, /*On fail goto*//*Label 2255*/ GIMT_Encode4(121322), // Rule ID 7370 //
     /* 121243 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRCPC3),
     /* 121246 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 121249 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 121256 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 121259 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 121263 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 121267 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 121271 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 121275 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 121280 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 121284 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 121288 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 121292 */   // MIs[2] Operand 1
     /* 121292 */   // No operand predicates
     /* 121292 */   // MIs[0] Rn
     /* 121292 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 121296 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 121300 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 121302 */   // (atomic_store (vector_extract:{ *:[i64] } VecListOne128:{ *:[v2i64] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15863>>  =>  (STL1 VecListOne128:{ *:[v2i64] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 121302 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STL1),
     /* 121305 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 121309 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 121312 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 121314 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 121320 */   GIR_RootConstrainSelectedInstOperands,
     /* 121321 */   // GIR_Coverage, 7370,
     /* 121321 */   GIR_EraseRootFromParent_Done,
     /* 121322 */ // Label 2255: @121322
     /* 121322 */ GIM_Try, /*On fail goto*//*Label 2256*/ GIMT_Encode4(121420), // Rule ID 7372 //
     /* 121327 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRCPC3),
     /* 121330 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 121333 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 121340 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 121343 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 121347 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 121351 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 121355 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 121360 */   // MIs[0] Rn
     /* 121360 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 121364 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 121368 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 121370 */   // (atomic_store (bitconvert:{ *:[i64] } VecListOne64:{ *:[v1f64] }:$Vt), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15863>>  =>  (STL1 (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, VecListOne64:{ *:[v1f64] }:$Vt, dsub:{ *:[i32] }), 0:{ *:[i64] }, GPR64sp:{ *:[i64] }:$Rn)
     /* 121370 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 121373 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 121377 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121382 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 121385 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 121389 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 121392 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 121397 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 121402 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STL1),
     /* 121405 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 121408 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 121411 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 121413 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 121418 */   GIR_RootConstrainSelectedInstOperands,
     /* 121419 */   // GIR_Coverage, 7372,
     /* 121419 */   GIR_EraseRootFromParent_Done,
     /* 121420 */ // Label 2256: @121420
     /* 121420 */ GIM_Try, /*On fail goto*//*Label 2257*/ GIMT_Encode4(121457), // Rule ID 7048 //
     /* 121425 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 121428 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 121435 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 121438 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121442 */   // MIs[0] ptr
     /* 121442 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 121446 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 121450 */   // (atomic_store GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15863>>  =>  (STLRX GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$ptr)
     /* 121450 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::STLRX),
     /* 121455 */   GIR_RootConstrainSelectedInstOperands,
     /* 121456 */   // GIR_Coverage, 7048,
     /* 121456 */   GIR_Done,
     /* 121457 */ // Label 2257: @121457
     /* 121457 */ GIM_Try, /*On fail goto*//*Label 2258*/ GIMT_Encode4(121484), // Rule ID 6376 //
     /* 121462 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 121465 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 121469 */   // MIs[0] Rn
     /* 121469 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 121473 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 121477 */   // (st v1i64:{ *:[v1i64] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1Onev1d v1i64:{ *:[v1i64] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)
     /* 121477 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ST1Onev1d),
     /* 121482 */   GIR_RootConstrainSelectedInstOperands,
     /* 121483 */   // GIR_Coverage, 6376,
     /* 121483 */   GIR_Done,
     /* 121484 */ // Label 2258: @121484
     /* 121484 */ GIM_Reject,
     /* 121485 */ // Label 2106: @121485
     /* 121485 */ GIM_Try, /*On fail goto*//*Label 2259*/ GIMT_Encode4(121690),
     /* 121490 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 121493 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 121497 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 121501 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121505 */   GIM_Try, /*On fail goto*//*Label 2260*/ GIMT_Encode4(121546), // Rule ID 4434 //
     /* 121510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSTRQro),
     /* 121513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 121520 */     // (st FPR128:{ *:[f128] }:$Rt, (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroW FPR128:{ *:[f128] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 121520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroW),
     /* 121523 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 121525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 121530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 121535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 121540 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121544 */     GIR_RootConstrainSelectedInstOperands,
     /* 121545 */     // GIR_Coverage, 4434,
     /* 121545 */     GIR_EraseRootFromParent_Done,
     /* 121546 */   // Label 2260: @121546
     /* 121546 */   GIM_Try, /*On fail goto*//*Label 2261*/ GIMT_Encode4(121587), // Rule ID 4435 //
     /* 121551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSTRQro),
     /* 121554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 121561 */     // (st FPR128:{ *:[f128] }:$Rt, (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroX FPR128:{ *:[f128] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 121561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroX),
     /* 121564 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 121566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 121571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 121576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 121581 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121585 */     GIR_RootConstrainSelectedInstOperands,
     /* 121586 */     // GIR_Coverage, 4435,
     /* 121586 */     GIR_EraseRootFromParent_Done,
     /* 121587 */   // Label 2261: @121587
     /* 121587 */   GIM_Try, /*On fail goto*//*Label 2262*/ GIMT_Encode4(121620), // Rule ID 4489 //
     /* 121592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 121599 */     // (st FPR128:{ *:[f128] }:$Rt, (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQui FPR128:{ *:[f128] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 121599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQui),
     /* 121602 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 121604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 121609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 121614 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121618 */     GIR_RootConstrainSelectedInstOperands,
     /* 121619 */     // GIR_Coverage, 4489,
     /* 121619 */     GIR_EraseRootFromParent_Done,
     /* 121620 */   // Label 2262: @121620
     /* 121620 */   GIM_Try, /*On fail goto*//*Label 2263*/ GIMT_Encode4(121653), // Rule ID 4513 //
     /* 121625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 121632 */     // (st FPR128:{ *:[f128] }:$Rt, (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURQi FPR128:{ *:[f128] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 121632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURQi),
     /* 121635 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 121637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 121642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 121647 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121651 */     GIR_RootConstrainSelectedInstOperands,
     /* 121652 */     // GIR_Coverage, 4513,
     /* 121652 */     GIR_EraseRootFromParent_Done,
     /* 121653 */   // Label 2263: @121653
     /* 121653 */   GIM_Try, /*On fail goto*//*Label 2264*/ GIMT_Encode4(121689), // Rule ID 325 //
     /* 121658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 121661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 121668 */     // (st FPR128Op:{ *:[f128] }:$Rt, (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURQi FPR128Op:{ *:[f128] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 121668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURQi),
     /* 121671 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 121673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 121678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 121683 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121687 */     GIR_RootConstrainSelectedInstOperands,
     /* 121688 */     // GIR_Coverage, 325,
     /* 121688 */     GIR_EraseRootFromParent_Done,
     /* 121689 */   // Label 2264: @121689
     /* 121689 */   GIM_Reject,
     /* 121690 */ // Label 2259: @121690
     /* 121690 */ GIM_Reject,
     /* 121691 */ // Label 2107: @121691
     /* 121691 */ GIM_Try, /*On fail goto*//*Label 2265*/ GIMT_Encode4(122096),
     /* 121696 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 121699 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 121703 */   GIM_Try, /*On fail goto*//*Label 2266*/ GIMT_Encode4(121752), // Rule ID 4442 //
     /* 121708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 121711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 121715 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 121726 */     // (st FPR64:{ *:[v2i32] }:$Rt, (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroW FPR64:{ *:[v2i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 121726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroW),
     /* 121729 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 121731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 121736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 121741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 121746 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121750 */     GIR_RootConstrainSelectedInstOperands,
     /* 121751 */     // GIR_Coverage, 4442,
     /* 121751 */     GIR_EraseRootFromParent_Done,
     /* 121752 */   // Label 2266: @121752
     /* 121752 */   GIM_Try, /*On fail goto*//*Label 2267*/ GIMT_Encode4(121801), // Rule ID 4443 //
     /* 121757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 121760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 121764 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 121775 */     // (st FPR64:{ *:[v2i32] }:$Rt, (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroX FPR64:{ *:[v2i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 121775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroX),
     /* 121778 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 121780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 121785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 121790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 121795 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121799 */     GIR_RootConstrainSelectedInstOperands,
     /* 121800 */     // GIR_Coverage, 4443,
     /* 121800 */     GIR_EraseRootFromParent_Done,
     /* 121801 */   // Label 2267: @121801
     /* 121801 */   GIM_Try, /*On fail goto*//*Label 2268*/ GIMT_Encode4(121850), // Rule ID 4444 //
     /* 121806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 121809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 121813 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 121824 */     // (st FPR64:{ *:[v2f32] }:$Rt, (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroW FPR64:{ *:[v2f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 121824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroW),
     /* 121827 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 121829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 121834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 121839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 121844 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121848 */     GIR_RootConstrainSelectedInstOperands,
     /* 121849 */     // GIR_Coverage, 4444,
     /* 121849 */     GIR_EraseRootFromParent_Done,
     /* 121850 */   // Label 2268: @121850
     /* 121850 */   GIM_Try, /*On fail goto*//*Label 2269*/ GIMT_Encode4(121899), // Rule ID 4445 //
     /* 121855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 121858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 121862 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 121873 */     // (st FPR64:{ *:[v2f32] }:$Rt, (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroX FPR64:{ *:[v2f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 121873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroX),
     /* 121876 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 121878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 121883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 121888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 121893 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121897 */     GIR_RootConstrainSelectedInstOperands,
     /* 121898 */     // GIR_Coverage, 4445,
     /* 121898 */     GIR_EraseRootFromParent_Done,
     /* 121899 */   // Label 2269: @121899
     /* 121899 */   GIM_Try, /*On fail goto*//*Label 2270*/ GIMT_Encode4(121943), // Rule ID 4484 //
     /* 121904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 121907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 121911 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 121922 */     // (st FPR64:{ *:[v2f32] }:$Rt, (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDui FPR64:{ *:[v2f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 121922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDui),
     /* 121925 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 121927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 121932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 121937 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121941 */     GIR_RootConstrainSelectedInstOperands,
     /* 121942 */     // GIR_Coverage, 4484,
     /* 121942 */     GIR_EraseRootFromParent_Done,
     /* 121943 */   // Label 2270: @121943
     /* 121943 */   GIM_Try, /*On fail goto*//*Label 2271*/ GIMT_Encode4(121987), // Rule ID 4487 //
     /* 121948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 121951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 121955 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 121966 */     // (st FPR64:{ *:[v2i32] }:$Rt, (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDui FPR64:{ *:[v2i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 121966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDui),
     /* 121969 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 121971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 121976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 121981 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121985 */     GIR_RootConstrainSelectedInstOperands,
     /* 121986 */     // GIR_Coverage, 4487,
     /* 121986 */     GIR_EraseRootFromParent_Done,
     /* 121987 */   // Label 2271: @121987
     /* 121987 */   GIM_Try, /*On fail goto*//*Label 2272*/ GIMT_Encode4(122031), // Rule ID 4508 //
     /* 121992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 121995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 121999 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 122010 */     // (st FPR64:{ *:[v2f32] }:$Rt, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURDi FPR64:{ *:[v2f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 122010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURDi),
     /* 122013 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 122025 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122029 */     GIR_RootConstrainSelectedInstOperands,
     /* 122030 */     // GIR_Coverage, 4508,
     /* 122030 */     GIR_EraseRootFromParent_Done,
     /* 122031 */   // Label 2272: @122031
     /* 122031 */   GIM_Try, /*On fail goto*//*Label 2273*/ GIMT_Encode4(122075), // Rule ID 4511 //
     /* 122036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 122039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 122043 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 122054 */     // (st FPR64:{ *:[v2i32] }:$Rt, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURDi FPR64:{ *:[v2i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 122054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURDi),
     /* 122057 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 122069 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122073 */     GIR_RootConstrainSelectedInstOperands,
     /* 122074 */     // GIR_Coverage, 4511,
     /* 122074 */     GIR_EraseRootFromParent_Done,
     /* 122075 */   // Label 2273: @122075
     /* 122075 */   GIM_Try, /*On fail goto*//*Label 2274*/ GIMT_Encode4(122095), // Rule ID 6375 //
     /* 122080 */     // MIs[0] Rn
     /* 122080 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 122084 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 122088 */     // (st v2i32:{ *:[v2i32] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1Onev2s v2i32:{ *:[v2i32] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)
     /* 122088 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ST1Onev2s),
     /* 122093 */     GIR_RootConstrainSelectedInstOperands,
     /* 122094 */     // GIR_Coverage, 6375,
     /* 122094 */     GIR_Done,
     /* 122095 */   // Label 2274: @122095
     /* 122095 */   GIM_Reject,
     /* 122096 */ // Label 2265: @122096
     /* 122096 */ GIM_Reject,
     /* 122097 */ // Label 2108: @122097
     /* 122097 */ GIM_Try, /*On fail goto*//*Label 2275*/ GIMT_Encode4(122546),
     /* 122102 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 122105 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 122109 */   GIM_Try, /*On fail goto*//*Label 2276*/ GIMT_Encode4(122158), // Rule ID 4456 //
     /* 122114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 122117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 122121 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 122132 */     // (st FPR128:{ *:[v2i64] }:$Rt, (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroW FPR128:{ *:[v2i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 122132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroW),
     /* 122135 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 122147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 122152 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122156 */     GIR_RootConstrainSelectedInstOperands,
     /* 122157 */     // GIR_Coverage, 4456,
     /* 122157 */     GIR_EraseRootFromParent_Done,
     /* 122158 */   // Label 2276: @122158
     /* 122158 */   GIM_Try, /*On fail goto*//*Label 2277*/ GIMT_Encode4(122207), // Rule ID 4457 //
     /* 122163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 122166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 122170 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 122181 */     // (st FPR128:{ *:[v2i64] }:$Rt, (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroX FPR128:{ *:[v2i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 122181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroX),
     /* 122184 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 122196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 122201 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122205 */     GIR_RootConstrainSelectedInstOperands,
     /* 122206 */     // GIR_Coverage, 4457,
     /* 122206 */     GIR_EraseRootFromParent_Done,
     /* 122207 */   // Label 2277: @122207
     /* 122207 */   GIM_Try, /*On fail goto*//*Label 2278*/ GIMT_Encode4(122256), // Rule ID 4458 //
     /* 122212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 122215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 122219 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 122230 */     // (st FPR128:{ *:[v2f64] }:$Rt, (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroW FPR128:{ *:[v2f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 122230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroW),
     /* 122233 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 122245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 122250 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122254 */     GIR_RootConstrainSelectedInstOperands,
     /* 122255 */     // GIR_Coverage, 4458,
     /* 122255 */     GIR_EraseRootFromParent_Done,
     /* 122256 */   // Label 2278: @122256
     /* 122256 */   GIM_Try, /*On fail goto*//*Label 2279*/ GIMT_Encode4(122305), // Rule ID 4459 //
     /* 122261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 122264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 122268 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 122279 */     // (st FPR128:{ *:[v2f64] }:$Rt, (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroX FPR128:{ *:[v2f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 122279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroX),
     /* 122282 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 122294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 122299 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122303 */     GIR_RootConstrainSelectedInstOperands,
     /* 122304 */     // GIR_Coverage, 4459,
     /* 122304 */     GIR_EraseRootFromParent_Done,
     /* 122305 */   // Label 2279: @122305
     /* 122305 */   GIM_Try, /*On fail goto*//*Label 2280*/ GIMT_Encode4(122349), // Rule ID 4491 //
     /* 122310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 122313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 122317 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 122328 */     // (st FPR128:{ *:[v2f64] }:$Rt, (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQui FPR128:{ *:[v2f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 122328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQui),
     /* 122331 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 122343 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122347 */     GIR_RootConstrainSelectedInstOperands,
     /* 122348 */     // GIR_Coverage, 4491,
     /* 122348 */     GIR_EraseRootFromParent_Done,
     /* 122349 */   // Label 2280: @122349
     /* 122349 */   GIM_Try, /*On fail goto*//*Label 2281*/ GIMT_Encode4(122393), // Rule ID 4495 //
     /* 122354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 122357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 122361 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 122372 */     // (st FPR128:{ *:[v2i64] }:$Rt, (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQui FPR128:{ *:[v2i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 122372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQui),
     /* 122375 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 122387 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122391 */     GIR_RootConstrainSelectedInstOperands,
     /* 122392 */     // GIR_Coverage, 4495,
     /* 122392 */     GIR_EraseRootFromParent_Done,
     /* 122393 */   // Label 2281: @122393
     /* 122393 */   GIM_Try, /*On fail goto*//*Label 2282*/ GIMT_Encode4(122437), // Rule ID 4515 //
     /* 122398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 122401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 122405 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 122416 */     // (st FPR128:{ *:[v2f64] }:$Rt, (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURQi FPR128:{ *:[v2f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 122416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURQi),
     /* 122419 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 122431 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122435 */     GIR_RootConstrainSelectedInstOperands,
     /* 122436 */     // GIR_Coverage, 4515,
     /* 122436 */     GIR_EraseRootFromParent_Done,
     /* 122437 */   // Label 2282: @122437
     /* 122437 */   GIM_Try, /*On fail goto*//*Label 2283*/ GIMT_Encode4(122481), // Rule ID 4519 //
     /* 122442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 122445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 122449 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 122460 */     // (st FPR128:{ *:[v2i64] }:$Rt, (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURQi FPR128:{ *:[v2i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 122460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURQi),
     /* 122463 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 122475 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122479 */     GIR_RootConstrainSelectedInstOperands,
     /* 122480 */     // GIR_Coverage, 4519,
     /* 122480 */     GIR_EraseRootFromParent_Done,
     /* 122481 */   // Label 2283: @122481
     /* 122481 */   GIM_Try, /*On fail goto*//*Label 2284*/ GIMT_Encode4(122525), // Rule ID 4520 //
     /* 122486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 122489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 122493 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 122504 */     // (st FPR128:{ *:[v2f64] }:$Rt, (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURQi FPR128:{ *:[v2f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 122504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURQi),
     /* 122507 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 122519 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122523 */     GIR_RootConstrainSelectedInstOperands,
     /* 122524 */     // GIR_Coverage, 4520,
     /* 122524 */     GIR_EraseRootFromParent_Done,
     /* 122525 */   // Label 2284: @122525
     /* 122525 */   GIM_Try, /*On fail goto*//*Label 2285*/ GIMT_Encode4(122545), // Rule ID 6372 //
     /* 122530 */     // MIs[0] Rn
     /* 122530 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 122534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 122538 */     // (st v2i64:{ *:[v2i64] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1Onev2d v2i64:{ *:[v2i64] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)
     /* 122538 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ST1Onev2d),
     /* 122543 */     GIR_RootConstrainSelectedInstOperands,
     /* 122544 */     // GIR_Coverage, 6372,
     /* 122544 */     GIR_Done,
     /* 122545 */   // Label 2285: @122545
     /* 122545 */   GIM_Reject,
     /* 122546 */ // Label 2275: @122546
     /* 122546 */ GIM_Reject,
     /* 122547 */ // Label 2109: @122547
     /* 122547 */ GIM_Try, /*On fail goto*//*Label 2286*/ GIMT_Encode4(122952),
     /* 122552 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 122555 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 122559 */   GIM_Try, /*On fail goto*//*Label 2287*/ GIMT_Encode4(122608), // Rule ID 4446 //
     /* 122564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 122567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 122571 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 122582 */     // (st FPR64:{ *:[v4i16] }:$Rt, (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroW FPR64:{ *:[v4i16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 122582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroW),
     /* 122585 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 122597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 122602 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122606 */     GIR_RootConstrainSelectedInstOperands,
     /* 122607 */     // GIR_Coverage, 4446,
     /* 122607 */     GIR_EraseRootFromParent_Done,
     /* 122608 */   // Label 2287: @122608
     /* 122608 */   GIM_Try, /*On fail goto*//*Label 2288*/ GIMT_Encode4(122657), // Rule ID 4447 //
     /* 122613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 122616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 122620 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 122631 */     // (st FPR64:{ *:[v4i16] }:$Rt, (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroX FPR64:{ *:[v4i16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 122631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroX),
     /* 122634 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 122646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 122651 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122655 */     GIR_RootConstrainSelectedInstOperands,
     /* 122656 */     // GIR_Coverage, 4447,
     /* 122656 */     GIR_EraseRootFromParent_Done,
     /* 122657 */   // Label 2288: @122657
     /* 122657 */   GIM_Try, /*On fail goto*//*Label 2289*/ GIMT_Encode4(122706), // Rule ID 4450 //
     /* 122662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 122665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 122669 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 122680 */     // (st FPR64:{ *:[v4f16] }:$Rt, (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroW FPR64:{ *:[v4f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 122680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroW),
     /* 122683 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 122695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 122700 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122704 */     GIR_RootConstrainSelectedInstOperands,
     /* 122705 */     // GIR_Coverage, 4450,
     /* 122705 */     GIR_EraseRootFromParent_Done,
     /* 122706 */   // Label 2289: @122706
     /* 122706 */   GIM_Try, /*On fail goto*//*Label 2290*/ GIMT_Encode4(122755), // Rule ID 4451 //
     /* 122711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 122714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 122718 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 122729 */     // (st FPR64:{ *:[v4f16] }:$Rt, (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroX FPR64:{ *:[v4f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 122729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroX),
     /* 122732 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 122744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 122749 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122753 */     GIR_RootConstrainSelectedInstOperands,
     /* 122754 */     // GIR_Coverage, 4451,
     /* 122754 */     GIR_EraseRootFromParent_Done,
     /* 122755 */   // Label 2290: @122755
     /* 122755 */   GIM_Try, /*On fail goto*//*Label 2291*/ GIMT_Encode4(122799), // Rule ID 4486 //
     /* 122760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 122763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 122767 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 122778 */     // (st FPR64:{ *:[v4i16] }:$Rt, (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDui FPR64:{ *:[v4i16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 122778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDui),
     /* 122781 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 122793 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122797 */     GIR_RootConstrainSelectedInstOperands,
     /* 122798 */     // GIR_Coverage, 4486,
     /* 122798 */     GIR_EraseRootFromParent_Done,
     /* 122799 */   // Label 2291: @122799
     /* 122799 */   GIM_Try, /*On fail goto*//*Label 2292*/ GIMT_Encode4(122843), // Rule ID 4488 //
     /* 122804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 122807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 122811 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 122822 */     // (st FPR64:{ *:[v4f16] }:$Rt, (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDui FPR64:{ *:[v4f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 122822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDui),
     /* 122825 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 122837 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122841 */     GIR_RootConstrainSelectedInstOperands,
     /* 122842 */     // GIR_Coverage, 4488,
     /* 122842 */     GIR_EraseRootFromParent_Done,
     /* 122843 */   // Label 2292: @122843
     /* 122843 */   GIM_Try, /*On fail goto*//*Label 2293*/ GIMT_Encode4(122887), // Rule ID 4510 //
     /* 122848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 122851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 122855 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 122866 */     // (st FPR64:{ *:[v4i16] }:$Rt, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURDi FPR64:{ *:[v4i16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 122866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURDi),
     /* 122869 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 122881 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122885 */     GIR_RootConstrainSelectedInstOperands,
     /* 122886 */     // GIR_Coverage, 4510,
     /* 122886 */     GIR_EraseRootFromParent_Done,
     /* 122887 */   // Label 2293: @122887
     /* 122887 */   GIM_Try, /*On fail goto*//*Label 2294*/ GIMT_Encode4(122931), // Rule ID 4512 //
     /* 122892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 122895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 122899 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 122910 */     // (st FPR64:{ *:[v4f16] }:$Rt, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURDi FPR64:{ *:[v4f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 122910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURDi),
     /* 122913 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 122925 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122929 */     GIR_RootConstrainSelectedInstOperands,
     /* 122930 */     // GIR_Coverage, 4512,
     /* 122930 */     GIR_EraseRootFromParent_Done,
     /* 122931 */   // Label 2294: @122931
     /* 122931 */   GIM_Try, /*On fail goto*//*Label 2295*/ GIMT_Encode4(122951), // Rule ID 6374 //
     /* 122936 */     // MIs[0] Rn
     /* 122936 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 122940 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 122944 */     // (st v4i16:{ *:[v4i16] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1Onev4h v4i16:{ *:[v4i16] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)
     /* 122944 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ST1Onev4h),
     /* 122949 */     GIR_RootConstrainSelectedInstOperands,
     /* 122950 */     // GIR_Coverage, 6374,
     /* 122950 */     GIR_Done,
     /* 122951 */   // Label 2295: @122951
     /* 122951 */   GIM_Reject,
     /* 122952 */ // Label 2286: @122952
     /* 122952 */ GIM_Reject,
     /* 122953 */ // Label 2110: @122953
     /* 122953 */ GIM_Try, /*On fail goto*//*Label 2296*/ GIMT_Encode4(123358),
     /* 122958 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 122961 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 122965 */   GIM_Try, /*On fail goto*//*Label 2297*/ GIMT_Encode4(123014), // Rule ID 4460 //
     /* 122970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 122973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 122977 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 122988 */     // (st FPR128:{ *:[v4i32] }:$Rt, (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroW FPR128:{ *:[v4i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 122988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroW),
     /* 122991 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 123003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 123008 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123012 */     GIR_RootConstrainSelectedInstOperands,
     /* 123013 */     // GIR_Coverage, 4460,
     /* 123013 */     GIR_EraseRootFromParent_Done,
     /* 123014 */   // Label 2297: @123014
     /* 123014 */   GIM_Try, /*On fail goto*//*Label 2298*/ GIMT_Encode4(123063), // Rule ID 4461 //
     /* 123019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 123022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 123026 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 123037 */     // (st FPR128:{ *:[v4i32] }:$Rt, (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroX FPR128:{ *:[v4i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 123037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroX),
     /* 123040 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 123052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 123057 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123061 */     GIR_RootConstrainSelectedInstOperands,
     /* 123062 */     // GIR_Coverage, 4461,
     /* 123062 */     GIR_EraseRootFromParent_Done,
     /* 123063 */   // Label 2298: @123063
     /* 123063 */   GIM_Try, /*On fail goto*//*Label 2299*/ GIMT_Encode4(123112), // Rule ID 4462 //
     /* 123068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 123071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 123075 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 123086 */     // (st FPR128:{ *:[v4f32] }:$Rt, (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroW FPR128:{ *:[v4f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 123086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroW),
     /* 123089 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 123101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 123106 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123110 */     GIR_RootConstrainSelectedInstOperands,
     /* 123111 */     // GIR_Coverage, 4462,
     /* 123111 */     GIR_EraseRootFromParent_Done,
     /* 123112 */   // Label 2299: @123112
     /* 123112 */   GIM_Try, /*On fail goto*//*Label 2300*/ GIMT_Encode4(123161), // Rule ID 4463 //
     /* 123117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 123120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 123124 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 123135 */     // (st FPR128:{ *:[v4f32] }:$Rt, (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroX FPR128:{ *:[v4f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 123135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroX),
     /* 123138 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 123150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 123155 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123159 */     GIR_RootConstrainSelectedInstOperands,
     /* 123160 */     // GIR_Coverage, 4463,
     /* 123160 */     GIR_EraseRootFromParent_Done,
     /* 123161 */   // Label 2300: @123161
     /* 123161 */   GIM_Try, /*On fail goto*//*Label 2301*/ GIMT_Encode4(123205), // Rule ID 4490 //
     /* 123166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 123169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 123173 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 123184 */     // (st FPR128:{ *:[v4f32] }:$Rt, (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQui FPR128:{ *:[v4f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 123184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQui),
     /* 123187 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 123199 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123203 */     GIR_RootConstrainSelectedInstOperands,
     /* 123204 */     // GIR_Coverage, 4490,
     /* 123204 */     GIR_EraseRootFromParent_Done,
     /* 123205 */   // Label 2301: @123205
     /* 123205 */   GIM_Try, /*On fail goto*//*Label 2302*/ GIMT_Encode4(123249), // Rule ID 4494 //
     /* 123210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 123213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 123217 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 123228 */     // (st FPR128:{ *:[v4i32] }:$Rt, (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQui FPR128:{ *:[v4i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 123228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQui),
     /* 123231 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 123243 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123247 */     GIR_RootConstrainSelectedInstOperands,
     /* 123248 */     // GIR_Coverage, 4494,
     /* 123248 */     GIR_EraseRootFromParent_Done,
     /* 123249 */   // Label 2302: @123249
     /* 123249 */   GIM_Try, /*On fail goto*//*Label 2303*/ GIMT_Encode4(123293), // Rule ID 4514 //
     /* 123254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 123257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 123261 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 123272 */     // (st FPR128:{ *:[v4f32] }:$Rt, (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURQi FPR128:{ *:[v4f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 123272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURQi),
     /* 123275 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 123287 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123291 */     GIR_RootConstrainSelectedInstOperands,
     /* 123292 */     // GIR_Coverage, 4514,
     /* 123292 */     GIR_EraseRootFromParent_Done,
     /* 123293 */   // Label 2303: @123293
     /* 123293 */   GIM_Try, /*On fail goto*//*Label 2304*/ GIMT_Encode4(123337), // Rule ID 4518 //
     /* 123298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 123301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 123305 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 123316 */     // (st FPR128:{ *:[v4i32] }:$Rt, (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURQi FPR128:{ *:[v4i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 123316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURQi),
     /* 123319 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 123331 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123335 */     GIR_RootConstrainSelectedInstOperands,
     /* 123336 */     // GIR_Coverage, 4518,
     /* 123336 */     GIR_EraseRootFromParent_Done,
     /* 123337 */   // Label 2304: @123337
     /* 123337 */   GIM_Try, /*On fail goto*//*Label 2305*/ GIMT_Encode4(123357), // Rule ID 6371 //
     /* 123342 */     // MIs[0] Rn
     /* 123342 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 123346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 123350 */     // (st v4i32:{ *:[v4i32] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1Onev4s v4i32:{ *:[v4i32] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)
     /* 123350 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ST1Onev4s),
     /* 123355 */     GIR_RootConstrainSelectedInstOperands,
     /* 123356 */     // GIR_Coverage, 6371,
     /* 123356 */     GIR_Done,
     /* 123357 */   // Label 2305: @123357
     /* 123357 */   GIM_Reject,
     /* 123358 */ // Label 2296: @123358
     /* 123358 */ GIM_Reject,
     /* 123359 */ // Label 2111: @123359
     /* 123359 */ GIM_Try, /*On fail goto*//*Label 2306*/ GIMT_Encode4(123578),
     /* 123364 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 123367 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 123371 */   GIM_Try, /*On fail goto*//*Label 2307*/ GIMT_Encode4(123420), // Rule ID 4448 //
     /* 123376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 123379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 123383 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 123394 */     // (st FPR64:{ *:[v8i8] }:$Rt, (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroW FPR64:{ *:[v8i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 123394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroW),
     /* 123397 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 123409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 123414 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123418 */     GIR_RootConstrainSelectedInstOperands,
     /* 123419 */     // GIR_Coverage, 4448,
     /* 123419 */     GIR_EraseRootFromParent_Done,
     /* 123420 */   // Label 2307: @123420
     /* 123420 */   GIM_Try, /*On fail goto*//*Label 2308*/ GIMT_Encode4(123469), // Rule ID 4449 //
     /* 123425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 123428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 123432 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 123443 */     // (st FPR64:{ *:[v8i8] }:$Rt, (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroX FPR64:{ *:[v8i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 123443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroX),
     /* 123446 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 123458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 123463 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123467 */     GIR_RootConstrainSelectedInstOperands,
     /* 123468 */     // GIR_Coverage, 4449,
     /* 123468 */     GIR_EraseRootFromParent_Done,
     /* 123469 */   // Label 2308: @123469
     /* 123469 */   GIM_Try, /*On fail goto*//*Label 2309*/ GIMT_Encode4(123513), // Rule ID 4485 //
     /* 123474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 123477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 123481 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 123492 */     // (st FPR64:{ *:[v8i8] }:$Rt, (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDui FPR64:{ *:[v8i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 123492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDui),
     /* 123495 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 123507 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123511 */     GIR_RootConstrainSelectedInstOperands,
     /* 123512 */     // GIR_Coverage, 4485,
     /* 123512 */     GIR_EraseRootFromParent_Done,
     /* 123513 */   // Label 2309: @123513
     /* 123513 */   GIM_Try, /*On fail goto*//*Label 2310*/ GIMT_Encode4(123557), // Rule ID 4509 //
     /* 123518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 123521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 123525 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 123536 */     // (st FPR64:{ *:[v8i8] }:$Rt, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURDi FPR64:{ *:[v8i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 123536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURDi),
     /* 123539 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 123551 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123555 */     GIR_RootConstrainSelectedInstOperands,
     /* 123556 */     // GIR_Coverage, 4509,
     /* 123556 */     GIR_EraseRootFromParent_Done,
     /* 123557 */   // Label 2310: @123557
     /* 123557 */   GIM_Try, /*On fail goto*//*Label 2311*/ GIMT_Encode4(123577), // Rule ID 6373 //
     /* 123562 */     // MIs[0] Rn
     /* 123562 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 123566 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 123570 */     // (st v8i8:{ *:[v8i8] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1Onev8b v8i8:{ *:[v8i8] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)
     /* 123570 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ST1Onev8b),
     /* 123575 */     GIR_RootConstrainSelectedInstOperands,
     /* 123576 */     // GIR_Coverage, 6373,
     /* 123576 */     GIR_Done,
     /* 123577 */   // Label 2311: @123577
     /* 123577 */   GIM_Reject,
     /* 123578 */ // Label 2306: @123578
     /* 123578 */ GIM_Reject,
     /* 123579 */ // Label 2112: @123579
     /* 123579 */ GIM_Try, /*On fail goto*//*Label 2312*/ GIMT_Encode4(123984),
     /* 123584 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 123587 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 123591 */   GIM_Try, /*On fail goto*//*Label 2313*/ GIMT_Encode4(123640), // Rule ID 4464 //
     /* 123596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 123599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 123603 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 123614 */     // (st FPR128:{ *:[v8i16] }:$Rt, (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroW FPR128:{ *:[v8i16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 123614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroW),
     /* 123617 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 123629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 123634 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123638 */     GIR_RootConstrainSelectedInstOperands,
     /* 123639 */     // GIR_Coverage, 4464,
     /* 123639 */     GIR_EraseRootFromParent_Done,
     /* 123640 */   // Label 2313: @123640
     /* 123640 */   GIM_Try, /*On fail goto*//*Label 2314*/ GIMT_Encode4(123689), // Rule ID 4465 //
     /* 123645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 123648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 123652 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 123663 */     // (st FPR128:{ *:[v8i16] }:$Rt, (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroX FPR128:{ *:[v8i16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 123663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroX),
     /* 123666 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 123678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 123683 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123687 */     GIR_RootConstrainSelectedInstOperands,
     /* 123688 */     // GIR_Coverage, 4465,
     /* 123688 */     GIR_EraseRootFromParent_Done,
     /* 123689 */   // Label 2314: @123689
     /* 123689 */   GIM_Try, /*On fail goto*//*Label 2315*/ GIMT_Encode4(123738), // Rule ID 4468 //
     /* 123694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 123697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 123701 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 123712 */     // (st FPR128:{ *:[v8f16] }:$Rt, (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroW FPR128:{ *:[v8f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 123712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroW),
     /* 123715 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 123727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 123732 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123736 */     GIR_RootConstrainSelectedInstOperands,
     /* 123737 */     // GIR_Coverage, 4468,
     /* 123737 */     GIR_EraseRootFromParent_Done,
     /* 123738 */   // Label 2315: @123738
     /* 123738 */   GIM_Try, /*On fail goto*//*Label 2316*/ GIMT_Encode4(123787), // Rule ID 4469 //
     /* 123743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 123746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 123750 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 123761 */     // (st FPR128:{ *:[v8f16] }:$Rt, (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroX FPR128:{ *:[v8f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 123761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroX),
     /* 123764 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 123776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 123781 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123785 */     GIR_RootConstrainSelectedInstOperands,
     /* 123786 */     // GIR_Coverage, 4469,
     /* 123786 */     GIR_EraseRootFromParent_Done,
     /* 123787 */   // Label 2316: @123787
     /* 123787 */   GIM_Try, /*On fail goto*//*Label 2317*/ GIMT_Encode4(123831), // Rule ID 4493 //
     /* 123792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 123795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 123799 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 123810 */     // (st FPR128:{ *:[v8i16] }:$Rt, (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQui FPR128:{ *:[v8i16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 123810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQui),
     /* 123813 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 123825 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123829 */     GIR_RootConstrainSelectedInstOperands,
     /* 123830 */     // GIR_Coverage, 4493,
     /* 123830 */     GIR_EraseRootFromParent_Done,
     /* 123831 */   // Label 2317: @123831
     /* 123831 */   GIM_Try, /*On fail goto*//*Label 2318*/ GIMT_Encode4(123875), // Rule ID 4496 //
     /* 123836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 123839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 123843 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 123854 */     // (st FPR128:{ *:[v8f16] }:$Rt, (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQui FPR128:{ *:[v8f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 123854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQui),
     /* 123857 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 123869 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123873 */     GIR_RootConstrainSelectedInstOperands,
     /* 123874 */     // GIR_Coverage, 4496,
     /* 123874 */     GIR_EraseRootFromParent_Done,
     /* 123875 */   // Label 2318: @123875
     /* 123875 */   GIM_Try, /*On fail goto*//*Label 2319*/ GIMT_Encode4(123919), // Rule ID 4517 //
     /* 123880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 123883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 123887 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 123898 */     // (st FPR128:{ *:[v8i16] }:$Rt, (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURQi FPR128:{ *:[v8i16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 123898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURQi),
     /* 123901 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 123913 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123917 */     GIR_RootConstrainSelectedInstOperands,
     /* 123918 */     // GIR_Coverage, 4517,
     /* 123918 */     GIR_EraseRootFromParent_Done,
     /* 123919 */   // Label 2319: @123919
     /* 123919 */   GIM_Try, /*On fail goto*//*Label 2320*/ GIMT_Encode4(123963), // Rule ID 4521 //
     /* 123924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 123927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 123931 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 123942 */     // (st FPR128:{ *:[v8f16] }:$Rt, (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURQi FPR128:{ *:[v8f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 123942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURQi),
     /* 123945 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 123957 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123961 */     GIR_RootConstrainSelectedInstOperands,
     /* 123962 */     // GIR_Coverage, 4521,
     /* 123962 */     GIR_EraseRootFromParent_Done,
     /* 123963 */   // Label 2320: @123963
     /* 123963 */   GIM_Try, /*On fail goto*//*Label 2321*/ GIMT_Encode4(123983), // Rule ID 6370 //
     /* 123968 */     // MIs[0] Rn
     /* 123968 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 123972 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 123976 */     // (st v8i16:{ *:[v8i16] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1Onev8h v8i16:{ *:[v8i16] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)
     /* 123976 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ST1Onev8h),
     /* 123981 */     GIR_RootConstrainSelectedInstOperands,
     /* 123982 */     // GIR_Coverage, 6370,
     /* 123982 */     GIR_Done,
     /* 123983 */   // Label 2321: @123983
     /* 123983 */   GIM_Reject,
     /* 123984 */ // Label 2312: @123984
     /* 123984 */ GIM_Reject,
     /* 123985 */ // Label 2113: @123985
     /* 123985 */ GIM_Try, /*On fail goto*//*Label 2322*/ GIMT_Encode4(124204),
     /* 123990 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 123993 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 123997 */   GIM_Try, /*On fail goto*//*Label 2323*/ GIMT_Encode4(124046), // Rule ID 4466 //
     /* 124002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 124005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 124009 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 124020 */     // (st FPR128:{ *:[v16i8] }:$Rt, (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroW FPR128:{ *:[v16i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 124020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroW),
     /* 124023 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 124025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 124030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 124035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 124040 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124044 */     GIR_RootConstrainSelectedInstOperands,
     /* 124045 */     // GIR_Coverage, 4466,
     /* 124045 */     GIR_EraseRootFromParent_Done,
     /* 124046 */   // Label 2323: @124046
     /* 124046 */   GIM_Try, /*On fail goto*//*Label 2324*/ GIMT_Encode4(124095), // Rule ID 4467 //
     /* 124051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 124054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 124058 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 124069 */     // (st FPR128:{ *:[v16i8] }:$Rt, (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroX FPR128:{ *:[v16i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 124069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroX),
     /* 124072 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 124074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 124079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 124084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 124089 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124093 */     GIR_RootConstrainSelectedInstOperands,
     /* 124094 */     // GIR_Coverage, 4467,
     /* 124094 */     GIR_EraseRootFromParent_Done,
     /* 124095 */   // Label 2324: @124095
     /* 124095 */   GIM_Try, /*On fail goto*//*Label 2325*/ GIMT_Encode4(124139), // Rule ID 4492 //
     /* 124100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 124103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 124107 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 124118 */     // (st FPR128:{ *:[v16i8] }:$Rt, (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQui FPR128:{ *:[v16i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 124118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQui),
     /* 124121 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 124123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 124128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 124133 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124137 */     GIR_RootConstrainSelectedInstOperands,
     /* 124138 */     // GIR_Coverage, 4492,
     /* 124138 */     GIR_EraseRootFromParent_Done,
     /* 124139 */   // Label 2325: @124139
     /* 124139 */   GIM_Try, /*On fail goto*//*Label 2326*/ GIMT_Encode4(124183), // Rule ID 4516 //
     /* 124144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 124147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 124151 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 124162 */     // (st FPR128:{ *:[v16i8] }:$Rt, (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURQi FPR128:{ *:[v16i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 124162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURQi),
     /* 124165 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 124167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 124172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 124177 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124181 */     GIR_RootConstrainSelectedInstOperands,
     /* 124182 */     // GIR_Coverage, 4516,
     /* 124182 */     GIR_EraseRootFromParent_Done,
     /* 124183 */   // Label 2326: @124183
     /* 124183 */   GIM_Try, /*On fail goto*//*Label 2327*/ GIMT_Encode4(124203), // Rule ID 6369 //
     /* 124188 */     // MIs[0] Rn
     /* 124188 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 124192 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 124196 */     // (st v16i8:{ *:[v16i8] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1Onev16b v16i8:{ *:[v16i8] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)
     /* 124196 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ST1Onev16b),
     /* 124201 */     GIR_RootConstrainSelectedInstOperands,
     /* 124202 */     // GIR_Coverage, 6369,
     /* 124202 */     GIR_Done,
     /* 124203 */   // Label 2327: @124203
     /* 124203 */   GIM_Reject,
     /* 124204 */ // Label 2322: @124204
     /* 124204 */ GIM_Reject,
     /* 124205 */ // Label 2114: @124205
     /* 124205 */ GIM_Try, /*On fail goto*//*Label 2328*/ GIMT_Encode4(124264), // Rule ID 10803 //
     /* 124210 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 124213 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 124216 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 124220 */   // MIs[0] base
     /* 124220 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 124224 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 124228 */   // (st nxv2f16:{ *:[nxv2f16] }:$val, GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1H_D_IMM ZPR:{ *:[nxv2f16] }:$val, (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 124228 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 124231 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 124235 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 124240 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 124243 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 124245 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1H_D_IMM),
     /* 124248 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 124250 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 124253 */   GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 124255 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124258 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124262 */   GIR_RootConstrainSelectedInstOperands,
     /* 124263 */   // GIR_Coverage, 10803,
     /* 124263 */   GIR_EraseRootFromParent_Done,
     /* 124264 */ // Label 2328: @124264
     /* 124264 */ GIM_Reject,
     /* 124265 */ // Label 2115: @124265
     /* 124265 */ GIM_Try, /*On fail goto*//*Label 2329*/ GIMT_Encode4(124324), // Rule ID 10809 //
     /* 124270 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 124273 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 124276 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 124280 */   // MIs[0] base
     /* 124280 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 124284 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 124288 */   // (st nxv2f32:{ *:[nxv2f32] }:$val, GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1W_D_IMM ZPR:{ *:[nxv2f32] }:$val, (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 124288 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 124291 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 124295 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 124300 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 124303 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 124305 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1W_D_IMM),
     /* 124308 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 124310 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 124313 */   GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 124315 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124318 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124322 */   GIR_RootConstrainSelectedInstOperands,
     /* 124323 */   // GIR_Coverage, 10809,
     /* 124323 */   GIR_EraseRootFromParent_Done,
     /* 124324 */ // Label 2329: @124324
     /* 124324 */ GIM_Reject,
     /* 124325 */ // Label 2116: @124325
     /* 124325 */ GIM_Try, /*On fail goto*//*Label 2330*/ GIMT_Encode4(124494),
     /* 124330 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 124333 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 124337 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 124341 */   GIM_Try, /*On fail goto*//*Label 2331*/ GIMT_Encode4(124389), // Rule ID 10794 //
     /* 124346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 124349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 124353 */     // (st nxv2i64:{ *:[nxv2i64] }:$val, GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1D_IMM ZPR:{ *:[nxv2i64] }:$val, (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 124353 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 124356 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 124360 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 124365 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 124368 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 124370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1D_IMM),
     /* 124373 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 124375 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 124378 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 124380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124383 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124387 */     GIR_RootConstrainSelectedInstOperands,
     /* 124388 */     // GIR_Coverage, 10794,
     /* 124388 */     GIR_EraseRootFromParent_Done,
     /* 124389 */   // Label 2331: @124389
     /* 124389 */   GIM_Try, /*On fail goto*//*Label 2332*/ GIMT_Encode4(124437), // Rule ID 10812 //
     /* 124394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 124397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 124401 */     // (st nxv2f64:{ *:[nxv2f64] }:$val, GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1D_IMM ZPR:{ *:[nxv2f64] }:$val, (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 124401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 124404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 124408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 124413 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 124416 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 124418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1D_IMM),
     /* 124421 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 124423 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 124426 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 124428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124431 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124435 */     GIR_RootConstrainSelectedInstOperands,
     /* 124436 */     // GIR_Coverage, 10812,
     /* 124436 */     GIR_EraseRootFromParent_Done,
     /* 124437 */   // Label 2332: @124437
     /* 124437 */   GIM_Try, /*On fail goto*//*Label 2333*/ GIMT_Encode4(124465), // Rule ID 10924 //
     /* 124442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE),
     /* 124445 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 124449 */     // (st nxv2i64:{ *:[nxv2i64] }:$val, GPR64sp:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STR_ZXI ZPR:{ *:[nxv2i64] }:$val, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 124449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STR_ZXI),
     /* 124452 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 124454 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 124456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124459 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124463 */     GIR_RootConstrainSelectedInstOperands,
     /* 124464 */     // GIR_Coverage, 10924,
     /* 124464 */     GIR_EraseRootFromParent_Done,
     /* 124465 */   // Label 2333: @124465
     /* 124465 */   GIM_Try, /*On fail goto*//*Label 2334*/ GIMT_Encode4(124493), // Rule ID 10936 //
     /* 124470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE),
     /* 124473 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 124477 */     // (st nxv2f64:{ *:[nxv2f64] }:$val, GPR64sp:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STR_ZXI ZPR:{ *:[nxv2f64] }:$val, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 124477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STR_ZXI),
     /* 124480 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 124482 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 124484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124487 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124491 */     GIR_RootConstrainSelectedInstOperands,
     /* 124492 */     // GIR_Coverage, 10936,
     /* 124492 */     GIR_EraseRootFromParent_Done,
     /* 124493 */   // Label 2334: @124493
     /* 124493 */   GIM_Reject,
     /* 124494 */ // Label 2330: @124494
     /* 124494 */ GIM_Reject,
     /* 124495 */ // Label 2117: @124495
     /* 124495 */ GIM_Try, /*On fail goto*//*Label 2335*/ GIMT_Encode4(124554), // Rule ID 10800 //
     /* 124500 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 124503 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 124506 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 124510 */   // MIs[0] base
     /* 124510 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 124514 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 124518 */   // (st nxv4f16:{ *:[nxv4f16] }:$val, GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1H_S_IMM ZPR:{ *:[nxv4f16] }:$val, (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 124518 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 124521 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /* 124525 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 124530 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 124533 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 124535 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1H_S_IMM),
     /* 124538 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 124540 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 124543 */   GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 124545 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124548 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124552 */   GIR_RootConstrainSelectedInstOperands,
     /* 124553 */   // GIR_Coverage, 10800,
     /* 124553 */   GIR_EraseRootFromParent_Done,
     /* 124554 */ // Label 2335: @124554
     /* 124554 */ GIM_Reject,
     /* 124555 */ // Label 2118: @124555
     /* 124555 */ GIM_Try, /*On fail goto*//*Label 2336*/ GIMT_Encode4(124724),
     /* 124560 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 124563 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 124567 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 124571 */   GIM_Try, /*On fail goto*//*Label 2337*/ GIMT_Encode4(124619), // Rule ID 10788 //
     /* 124576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 124579 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 124583 */     // (st nxv4i32:{ *:[nxv4i32] }:$val, GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1W_IMM ZPR:{ *:[nxv4i32] }:$val, (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 124583 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 124586 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /* 124590 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 124595 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 124598 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 124600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1W_IMM),
     /* 124603 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 124605 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 124608 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 124610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124613 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124617 */     GIR_RootConstrainSelectedInstOperands,
     /* 124618 */     // GIR_Coverage, 10788,
     /* 124618 */     GIR_EraseRootFromParent_Done,
     /* 124619 */   // Label 2337: @124619
     /* 124619 */   GIM_Try, /*On fail goto*//*Label 2338*/ GIMT_Encode4(124667), // Rule ID 10806 //
     /* 124624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 124627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 124631 */     // (st nxv4f32:{ *:[nxv4f32] }:$val, GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1W_IMM ZPR:{ *:[nxv4f32] }:$val, (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 124631 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 124634 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /* 124638 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 124643 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 124646 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 124648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1W_IMM),
     /* 124651 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 124653 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 124656 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 124658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124661 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124665 */     GIR_RootConstrainSelectedInstOperands,
     /* 124666 */     // GIR_Coverage, 10806,
     /* 124666 */     GIR_EraseRootFromParent_Done,
     /* 124667 */   // Label 2338: @124667
     /* 124667 */   GIM_Try, /*On fail goto*//*Label 2339*/ GIMT_Encode4(124695), // Rule ID 10920 //
     /* 124672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE),
     /* 124675 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 124679 */     // (st nxv4i32:{ *:[nxv4i32] }:$val, GPR64sp:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STR_ZXI ZPR:{ *:[nxv4i32] }:$val, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 124679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STR_ZXI),
     /* 124682 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 124684 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 124686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124689 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124693 */     GIR_RootConstrainSelectedInstOperands,
     /* 124694 */     // GIR_Coverage, 10920,
     /* 124694 */     GIR_EraseRootFromParent_Done,
     /* 124695 */   // Label 2339: @124695
     /* 124695 */   GIM_Try, /*On fail goto*//*Label 2340*/ GIMT_Encode4(124723), // Rule ID 10932 //
     /* 124700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE),
     /* 124703 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 124707 */     // (st nxv4f32:{ *:[nxv4f32] }:$val, GPR64sp:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STR_ZXI ZPR:{ *:[nxv4f32] }:$val, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 124707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STR_ZXI),
     /* 124710 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 124712 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 124714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124717 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124721 */     GIR_RootConstrainSelectedInstOperands,
     /* 124722 */     // GIR_Coverage, 10932,
     /* 124722 */     GIR_EraseRootFromParent_Done,
     /* 124723 */   // Label 2340: @124723
     /* 124723 */   GIM_Reject,
     /* 124724 */ // Label 2336: @124724
     /* 124724 */ GIM_Reject,
     /* 124725 */ // Label 2119: @124725
     /* 124725 */ GIM_Try, /*On fail goto*//*Label 2341*/ GIMT_Encode4(124894),
     /* 124730 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 124733 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 124737 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 124741 */   GIM_Try, /*On fail goto*//*Label 2342*/ GIMT_Encode4(124789), // Rule ID 10779 //
     /* 124746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 124749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 124753 */     // (st nxv8i16:{ *:[nxv8i16] }:$val, GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1H_IMM ZPR:{ *:[nxv8i16] }:$val, (PTRUE_H:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 124753 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 124756 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_H),
     /* 124760 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 124765 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 124768 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 124770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1H_IMM),
     /* 124773 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 124775 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 124778 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 124780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124783 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124787 */     GIR_RootConstrainSelectedInstOperands,
     /* 124788 */     // GIR_Coverage, 10779,
     /* 124788 */     GIR_EraseRootFromParent_Done,
     /* 124789 */   // Label 2342: @124789
     /* 124789 */   GIM_Try, /*On fail goto*//*Label 2343*/ GIMT_Encode4(124837), // Rule ID 10797 //
     /* 124794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 124797 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 124801 */     // (st nxv8f16:{ *:[nxv8f16] }:$val, GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1H_IMM ZPR:{ *:[nxv8f16] }:$val, (PTRUE_H:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 124801 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 124804 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_H),
     /* 124808 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 124813 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 124816 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 124818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1H_IMM),
     /* 124821 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 124823 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 124826 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 124828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124831 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124835 */     GIR_RootConstrainSelectedInstOperands,
     /* 124836 */     // GIR_Coverage, 10797,
     /* 124836 */     GIR_EraseRootFromParent_Done,
     /* 124837 */   // Label 2343: @124837
     /* 124837 */   GIM_Try, /*On fail goto*//*Label 2344*/ GIMT_Encode4(124865), // Rule ID 10916 //
     /* 124842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE),
     /* 124845 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 124849 */     // (st nxv8i16:{ *:[nxv8i16] }:$val, GPR64sp:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STR_ZXI ZPR:{ *:[nxv8i16] }:$val, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 124849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STR_ZXI),
     /* 124852 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 124854 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 124856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124859 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124863 */     GIR_RootConstrainSelectedInstOperands,
     /* 124864 */     // GIR_Coverage, 10916,
     /* 124864 */     GIR_EraseRootFromParent_Done,
     /* 124865 */   // Label 2344: @124865
     /* 124865 */   GIM_Try, /*On fail goto*//*Label 2345*/ GIMT_Encode4(124893), // Rule ID 10928 //
     /* 124870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE),
     /* 124873 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 124877 */     // (st nxv8f16:{ *:[nxv8f16] }:$val, GPR64sp:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STR_ZXI ZPR:{ *:[nxv8f16] }:$val, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 124877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STR_ZXI),
     /* 124880 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 124882 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 124884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124887 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124891 */     GIR_RootConstrainSelectedInstOperands,
     /* 124892 */     // GIR_Coverage, 10928,
     /* 124892 */     GIR_EraseRootFromParent_Done,
     /* 124893 */   // Label 2345: @124893
     /* 124893 */   GIM_Reject,
     /* 124894 */ // Label 2341: @124894
     /* 124894 */ GIM_Reject,
     /* 124895 */ // Label 2120: @124895
     /* 124895 */ GIM_Try, /*On fail goto*//*Label 2346*/ GIMT_Encode4(124938), // Rule ID 2430 //
     /* 124900 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 124903 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 124906 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 124910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 124914 */   // MIs[0] base
     /* 124914 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 124918 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 124922 */   // (st PPR:{ *:[nxv16i1] }:$Val, GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STR_PXI PPR:{ *:[nxv16i1] }:$Val, GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 124922 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STR_PXI),
     /* 124925 */   GIR_RootToRootCopy, /*OpIdx*/0, // Val
     /* 124927 */   GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 124929 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124932 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124936 */   GIR_RootConstrainSelectedInstOperands,
     /* 124937 */   // GIR_Coverage, 2430,
     /* 124937 */   GIR_EraseRootFromParent_Done,
     /* 124938 */ // Label 2346: @124938
     /* 124938 */ GIM_Reject,
     /* 124939 */ // Label 2121: @124939
     /* 124939 */ GIM_Try, /*On fail goto*//*Label 2347*/ GIMT_Encode4(125032),
     /* 124944 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 124947 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 124951 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 124955 */   GIM_Try, /*On fail goto*//*Label 2348*/ GIMT_Encode4(125003), // Rule ID 10765 //
     /* 124960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 124963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 124967 */     // (st nxv16i8:{ *:[nxv16i8] }:$val, GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1B_IMM ZPR:{ *:[nxv16i8] }:$val, (PTRUE_B:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 124967 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 124970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_B),
     /* 124974 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 124979 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 124982 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 124984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1B_IMM),
     /* 124987 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 124989 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 124992 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 124994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 124997 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125001 */     GIR_RootConstrainSelectedInstOperands,
     /* 125002 */     // GIR_Coverage, 10765,
     /* 125002 */     GIR_EraseRootFromParent_Done,
     /* 125003 */   // Label 2348: @125003
     /* 125003 */   GIM_Try, /*On fail goto*//*Label 2349*/ GIMT_Encode4(125031), // Rule ID 10912 //
     /* 125008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE),
     /* 125011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125015 */     // (st nxv16i8:{ *:[nxv16i8] }:$val, GPR64sp:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STR_ZXI ZPR:{ *:[nxv16i8] }:$val, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 125015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STR_ZXI),
     /* 125018 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 125020 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 125022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125025 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125029 */     GIR_RootConstrainSelectedInstOperands,
     /* 125030 */     // GIR_Coverage, 10912,
     /* 125030 */     GIR_EraseRootFromParent_Done,
     /* 125031 */   // Label 2349: @125031
     /* 125031 */   GIM_Reject,
     /* 125032 */ // Label 2347: @125032
     /* 125032 */ GIM_Reject,
     /* 125033 */ // Label 2122: @125033
     /* 125033 */ GIM_Reject,
     /* 125034 */ // Label 20: @125034
     /* 125034 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2352*/ GIMT_Encode4(126384),
     /* 125045 */ /*GILLT_s32*//*Label 2350*/ GIMT_Encode4(125053),
     /* 125049 */ /*GILLT_s64*//*Label 2351*/ GIMT_Encode4(126071),
     /* 125053 */ // Label 2350: @125053
     /* 125053 */ GIM_Try, /*On fail goto*//*Label 2353*/ GIMT_Encode4(126070),
     /* 125058 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 125061 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 125064 */   GIM_Try, /*On fail goto*//*Label 2354*/ GIMT_Encode4(125119), // Rule ID 7271 //
     /* 125069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 125072 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 125079 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 125082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125086 */     // MIs[0] Rn
     /* 125086 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125090 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125102 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (CASW:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 125102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASW),
     /* 125105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 125107 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 125109 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 125111 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 125113 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125117 */     GIR_RootConstrainSelectedInstOperands,
     /* 125118 */     // GIR_Coverage, 7271,
     /* 125118 */     GIR_EraseRootFromParent_Done,
     /* 125119 */   // Label 2354: @125119
     /* 125119 */   GIM_Try, /*On fail goto*//*Label 2355*/ GIMT_Encode4(125174), // Rule ID 7272 //
     /* 125124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 125127 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 125134 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 125137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125141 */     // MIs[0] Rn
     /* 125141 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125145 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125157 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (CASAW:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 125157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASAW),
     /* 125160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 125162 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 125164 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 125166 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 125168 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125172 */     GIR_RootConstrainSelectedInstOperands,
     /* 125173 */     // GIR_Coverage, 7272,
     /* 125173 */     GIR_EraseRootFromParent_Done,
     /* 125174 */   // Label 2355: @125174
     /* 125174 */   GIM_Try, /*On fail goto*//*Label 2356*/ GIMT_Encode4(125229), // Rule ID 7273 //
     /* 125179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 125182 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 125189 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 125192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125196 */     // MIs[0] Rn
     /* 125196 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125200 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125212 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (CASLW:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 125212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASLW),
     /* 125215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 125217 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 125219 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 125221 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 125223 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125227 */     GIR_RootConstrainSelectedInstOperands,
     /* 125228 */     // GIR_Coverage, 7273,
     /* 125228 */     GIR_EraseRootFromParent_Done,
     /* 125229 */   // Label 2356: @125229
     /* 125229 */   GIM_Try, /*On fail goto*//*Label 2357*/ GIMT_Encode4(125284), // Rule ID 7274 //
     /* 125234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 125237 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 125244 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 125247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125251 */     // MIs[0] Rn
     /* 125251 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125267 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (CASALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 125267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASALW),
     /* 125270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 125272 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 125274 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 125276 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 125278 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125282 */     GIR_RootConstrainSelectedInstOperands,
     /* 125283 */     // GIR_Coverage, 7274,
     /* 125283 */     GIR_EraseRootFromParent_Done,
     /* 125284 */   // Label 2357: @125284
     /* 125284 */   GIM_Try, /*On fail goto*//*Label 2358*/ GIMT_Encode4(125339), // Rule ID 7275 //
     /* 125289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 125292 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 125299 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 125302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125306 */     // MIs[0] Rn
     /* 125306 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125322 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (CASALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 125322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASALW),
     /* 125325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 125327 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 125329 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 125331 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 125333 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125337 */     GIR_RootConstrainSelectedInstOperands,
     /* 125338 */     // GIR_Coverage, 7275,
     /* 125338 */     GIR_EraseRootFromParent_Done,
     /* 125339 */   // Label 2358: @125339
     /* 125339 */   GIM_Try, /*On fail goto*//*Label 2359*/ GIMT_Encode4(125394), // Rule ID 7276 //
     /* 125344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 125347 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 125354 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 125357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125361 */     // MIs[0] Rn
     /* 125361 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125365 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125377 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (CASH:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 125377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASH),
     /* 125380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 125382 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 125384 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 125386 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 125388 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125392 */     GIR_RootConstrainSelectedInstOperands,
     /* 125393 */     // GIR_Coverage, 7276,
     /* 125393 */     GIR_EraseRootFromParent_Done,
     /* 125394 */   // Label 2359: @125394
     /* 125394 */   GIM_Try, /*On fail goto*//*Label 2360*/ GIMT_Encode4(125449), // Rule ID 7277 //
     /* 125399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 125402 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 125409 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 125412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125416 */     // MIs[0] Rn
     /* 125416 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125432 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (CASAH:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 125432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASAH),
     /* 125435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 125437 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 125439 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 125441 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 125443 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125447 */     GIR_RootConstrainSelectedInstOperands,
     /* 125448 */     // GIR_Coverage, 7277,
     /* 125448 */     GIR_EraseRootFromParent_Done,
     /* 125449 */   // Label 2360: @125449
     /* 125449 */   GIM_Try, /*On fail goto*//*Label 2361*/ GIMT_Encode4(125504), // Rule ID 7278 //
     /* 125454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 125457 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 125464 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 125467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125471 */     // MIs[0] Rn
     /* 125471 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125475 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125487 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (CASLH:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 125487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASLH),
     /* 125490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 125492 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 125494 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 125496 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 125498 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125502 */     GIR_RootConstrainSelectedInstOperands,
     /* 125503 */     // GIR_Coverage, 7278,
     /* 125503 */     GIR_EraseRootFromParent_Done,
     /* 125504 */   // Label 2361: @125504
     /* 125504 */   GIM_Try, /*On fail goto*//*Label 2362*/ GIMT_Encode4(125559), // Rule ID 7279 //
     /* 125509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 125512 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 125519 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 125522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125526 */     // MIs[0] Rn
     /* 125526 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125530 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125542 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (CASALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 125542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASALH),
     /* 125545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 125547 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 125549 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 125551 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 125553 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125557 */     GIR_RootConstrainSelectedInstOperands,
     /* 125558 */     // GIR_Coverage, 7279,
     /* 125558 */     GIR_EraseRootFromParent_Done,
     /* 125559 */   // Label 2362: @125559
     /* 125559 */   GIM_Try, /*On fail goto*//*Label 2363*/ GIMT_Encode4(125614), // Rule ID 7280 //
     /* 125564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 125567 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 125574 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 125577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125581 */     // MIs[0] Rn
     /* 125581 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125585 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125597 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (CASALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 125597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASALH),
     /* 125600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 125602 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 125604 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 125606 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 125608 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125612 */     GIR_RootConstrainSelectedInstOperands,
     /* 125613 */     // GIR_Coverage, 7280,
     /* 125613 */     GIR_EraseRootFromParent_Done,
     /* 125614 */   // Label 2363: @125614
     /* 125614 */   GIM_Try, /*On fail goto*//*Label 2364*/ GIMT_Encode4(125669), // Rule ID 7281 //
     /* 125619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 125622 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 125629 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 125632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125636 */     // MIs[0] Rn
     /* 125636 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125652 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (CASB:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 125652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASB),
     /* 125655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 125657 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 125659 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 125661 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 125663 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125667 */     GIR_RootConstrainSelectedInstOperands,
     /* 125668 */     // GIR_Coverage, 7281,
     /* 125668 */     GIR_EraseRootFromParent_Done,
     /* 125669 */   // Label 2364: @125669
     /* 125669 */   GIM_Try, /*On fail goto*//*Label 2365*/ GIMT_Encode4(125724), // Rule ID 7282 //
     /* 125674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 125677 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 125684 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 125687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125691 */     // MIs[0] Rn
     /* 125691 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125707 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (CASAB:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 125707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASAB),
     /* 125710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 125712 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 125714 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 125716 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 125718 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125722 */     GIR_RootConstrainSelectedInstOperands,
     /* 125723 */     // GIR_Coverage, 7282,
     /* 125723 */     GIR_EraseRootFromParent_Done,
     /* 125724 */   // Label 2365: @125724
     /* 125724 */   GIM_Try, /*On fail goto*//*Label 2366*/ GIMT_Encode4(125779), // Rule ID 7283 //
     /* 125729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 125732 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 125739 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 125742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125746 */     // MIs[0] Rn
     /* 125746 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125750 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125762 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (CASLB:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 125762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASLB),
     /* 125765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 125767 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 125769 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 125771 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 125773 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125777 */     GIR_RootConstrainSelectedInstOperands,
     /* 125778 */     // GIR_Coverage, 7283,
     /* 125778 */     GIR_EraseRootFromParent_Done,
     /* 125779 */   // Label 2366: @125779
     /* 125779 */   GIM_Try, /*On fail goto*//*Label 2367*/ GIMT_Encode4(125834), // Rule ID 7284 //
     /* 125784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 125787 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 125794 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 125797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125801 */     // MIs[0] Rn
     /* 125801 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125817 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (CASALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 125817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASALB),
     /* 125820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 125822 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 125824 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 125826 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 125828 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125832 */     GIR_RootConstrainSelectedInstOperands,
     /* 125833 */     // GIR_Coverage, 7284,
     /* 125833 */     GIR_EraseRootFromParent_Done,
     /* 125834 */   // Label 2367: @125834
     /* 125834 */   GIM_Try, /*On fail goto*//*Label 2368*/ GIMT_Encode4(125889), // Rule ID 7285 //
     /* 125839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 125842 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 125849 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 125852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125856 */     // MIs[0] Rn
     /* 125856 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125860 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125872 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (CASALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 125872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASALB),
     /* 125875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 125877 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 125879 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 125881 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 125883 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125887 */     GIR_RootConstrainSelectedInstOperands,
     /* 125888 */     // GIR_Coverage, 7285,
     /* 125888 */     GIR_EraseRootFromParent_Done,
     /* 125889 */   // Label 2368: @125889
     /* 125889 */   GIM_Try, /*On fail goto*//*Label 2369*/ GIMT_Encode4(125949), // Rule ID 13035 //
     /* 125894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoLSE),
     /* 125897 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 125904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125908 */     // MIs[0] addr
     /* 125908 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125912 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 125916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125924 */     // (atomic_cmp_swap:{ *:[i32] } GPR64:{ *:[i64] }:$addr, GPR32:{ *:[i32] }:$desired, GPR32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>>  =>  (CMP_SWAP_8:{ *:[i32] }:{ *:[i32] } GPR64:{ *:[i64] }:$addr, GPR32:{ *:[i32] }:$desired, GPR32:{ *:[i32] }:$new)
     /* 125924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 125927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMP_SWAP_8),
     /* 125930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 125932 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 125937 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /* 125939 */     GIR_RootToRootCopy, /*OpIdx*/2, // desired
     /* 125941 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /* 125943 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125947 */     GIR_RootConstrainSelectedInstOperands,
     /* 125948 */     // GIR_Coverage, 13035,
     /* 125948 */     GIR_EraseRootFromParent_Done,
     /* 125949 */   // Label 2369: @125949
     /* 125949 */   GIM_Try, /*On fail goto*//*Label 2370*/ GIMT_Encode4(126009), // Rule ID 13036 //
     /* 125954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoLSE),
     /* 125957 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 125964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125968 */     // MIs[0] addr
     /* 125968 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125972 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 125976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125984 */     // (atomic_cmp_swap:{ *:[i32] } GPR64:{ *:[i64] }:$addr, GPR32:{ *:[i32] }:$desired, GPR32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>>  =>  (CMP_SWAP_16:{ *:[i32] }:{ *:[i32] } GPR64:{ *:[i64] }:$addr, GPR32:{ *:[i32] }:$desired, GPR32:{ *:[i32] }:$new)
     /* 125984 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 125987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMP_SWAP_16),
     /* 125990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 125992 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 125997 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /* 125999 */     GIR_RootToRootCopy, /*OpIdx*/2, // desired
     /* 126001 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /* 126003 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126007 */     GIR_RootConstrainSelectedInstOperands,
     /* 126008 */     // GIR_Coverage, 13036,
     /* 126008 */     GIR_EraseRootFromParent_Done,
     /* 126009 */   // Label 2370: @126009
     /* 126009 */   GIM_Try, /*On fail goto*//*Label 2371*/ GIMT_Encode4(126069), // Rule ID 13037 //
     /* 126014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoLSE),
     /* 126017 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 126024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126028 */     // MIs[0] addr
     /* 126028 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126032 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 126036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126044 */     // (atomic_cmp_swap:{ *:[i32] } GPR64:{ *:[i64] }:$addr, GPR32:{ *:[i32] }:$desired, GPR32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>>  =>  (CMP_SWAP_32:{ *:[i32] }:{ *:[i32] } GPR64:{ *:[i64] }:$addr, GPR32:{ *:[i32] }:$desired, GPR32:{ *:[i32] }:$new)
     /* 126044 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 126047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMP_SWAP_32),
     /* 126050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 126052 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 126057 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /* 126059 */     GIR_RootToRootCopy, /*OpIdx*/2, // desired
     /* 126061 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /* 126063 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126067 */     GIR_RootConstrainSelectedInstOperands,
     /* 126068 */     // GIR_Coverage, 13037,
     /* 126068 */     GIR_EraseRootFromParent_Done,
     /* 126069 */   // Label 2371: @126069
     /* 126069 */   GIM_Reject,
     /* 126070 */ // Label 2353: @126070
     /* 126070 */ GIM_Reject,
     /* 126071 */ // Label 2351: @126071
     /* 126071 */ GIM_Try, /*On fail goto*//*Label 2372*/ GIMT_Encode4(126383),
     /* 126076 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 126079 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 126082 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 126089 */   GIM_Try, /*On fail goto*//*Label 2373*/ GIMT_Encode4(126137), // Rule ID 2589 //
     /* 126094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126097 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 126100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 126104 */     // MIs[0] Rn
     /* 126104 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 126116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 126120 */     // (atomic_cmp_swap:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rold, GPR64:{ *:[i64] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_monotonic>>  =>  (CASX:{ *:[i64] } GPR64:{ *:[i64] }:$Rold, GPR64:{ *:[i64] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 126120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASX),
     /* 126123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 126125 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 126127 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 126129 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126131 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126135 */     GIR_RootConstrainSelectedInstOperands,
     /* 126136 */     // GIR_Coverage, 2589,
     /* 126136 */     GIR_EraseRootFromParent_Done,
     /* 126137 */   // Label 2373: @126137
     /* 126137 */   GIM_Try, /*On fail goto*//*Label 2374*/ GIMT_Encode4(126185), // Rule ID 2590 //
     /* 126142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126145 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 126148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 126152 */     // MIs[0] Rn
     /* 126152 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 126164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 126168 */     // (atomic_cmp_swap:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rold, GPR64:{ *:[i64] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acquire>>  =>  (CASAX:{ *:[i64] } GPR64:{ *:[i64] }:$Rold, GPR64:{ *:[i64] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 126168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASAX),
     /* 126171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 126173 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 126175 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 126177 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126179 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126183 */     GIR_RootConstrainSelectedInstOperands,
     /* 126184 */     // GIR_Coverage, 2590,
     /* 126184 */     GIR_EraseRootFromParent_Done,
     /* 126185 */   // Label 2374: @126185
     /* 126185 */   GIM_Try, /*On fail goto*//*Label 2375*/ GIMT_Encode4(126233), // Rule ID 2591 //
     /* 126190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126193 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 126196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 126200 */     // MIs[0] Rn
     /* 126200 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126204 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 126212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 126216 */     // (atomic_cmp_swap:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rold, GPR64:{ *:[i64] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_release>>  =>  (CASLX:{ *:[i64] } GPR64:{ *:[i64] }:$Rold, GPR64:{ *:[i64] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 126216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASLX),
     /* 126219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 126221 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 126223 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 126225 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126227 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126231 */     GIR_RootConstrainSelectedInstOperands,
     /* 126232 */     // GIR_Coverage, 2591,
     /* 126232 */     GIR_EraseRootFromParent_Done,
     /* 126233 */   // Label 2375: @126233
     /* 126233 */   GIM_Try, /*On fail goto*//*Label 2376*/ GIMT_Encode4(126281), // Rule ID 2592 //
     /* 126238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126241 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 126244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 126248 */     // MIs[0] Rn
     /* 126248 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126252 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 126260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 126264 */     // (atomic_cmp_swap:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rold, GPR64:{ *:[i64] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acq_rel>>  =>  (CASALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rold, GPR64:{ *:[i64] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 126264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASALX),
     /* 126267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 126269 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 126271 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 126273 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126275 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126279 */     GIR_RootConstrainSelectedInstOperands,
     /* 126280 */     // GIR_Coverage, 2592,
     /* 126280 */     GIR_EraseRootFromParent_Done,
     /* 126281 */   // Label 2376: @126281
     /* 126281 */   GIM_Try, /*On fail goto*//*Label 2377*/ GIMT_Encode4(126329), // Rule ID 2593 //
     /* 126286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126289 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 126292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 126296 */     // MIs[0] Rn
     /* 126296 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126300 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 126308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 126312 */     // (atomic_cmp_swap:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rold, GPR64:{ *:[i64] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_seq_cst>>  =>  (CASALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rold, GPR64:{ *:[i64] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 126312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASALX),
     /* 126315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 126317 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 126319 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 126321 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126323 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126327 */     GIR_RootConstrainSelectedInstOperands,
     /* 126328 */     // GIR_Coverage, 2593,
     /* 126328 */     GIR_EraseRootFromParent_Done,
     /* 126329 */   // Label 2377: @126329
     /* 126329 */   GIM_Try, /*On fail goto*//*Label 2378*/ GIMT_Encode4(126382), // Rule ID 13038 //
     /* 126334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoLSE),
     /* 126337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 126341 */     // MIs[0] addr
     /* 126341 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 126349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 126353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 126357 */     // (atomic_cmp_swap:{ *:[i64] } GPR64:{ *:[i64] }:$addr, GPR64:{ *:[i64] }:$desired, GPR64:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>>  =>  (CMP_SWAP_64:{ *:[i64] }:{ *:[i32] } GPR64:{ *:[i64] }:$addr, GPR64:{ *:[i64] }:$desired, GPR64:{ *:[i64] }:$new)
     /* 126357 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 126360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMP_SWAP_64),
     /* 126363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 126365 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 126370 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /* 126372 */     GIR_RootToRootCopy, /*OpIdx*/2, // desired
     /* 126374 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /* 126376 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126380 */     GIR_RootConstrainSelectedInstOperands,
     /* 126381 */     // GIR_Coverage, 13038,
     /* 126381 */     GIR_EraseRootFromParent_Done,
     /* 126382 */   // Label 2378: @126382
     /* 126382 */   GIM_Reject,
     /* 126383 */ // Label 2372: @126383
     /* 126383 */ GIM_Reject,
     /* 126384 */ // Label 2352: @126384
     /* 126384 */ GIM_Reject,
     /* 126385 */ // Label 21: @126385
     /* 126385 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2381*/ GIMT_Encode4(127376),
     /* 126396 */ /*GILLT_s32*//*Label 2379*/ GIMT_Encode4(126404),
     /* 126400 */ /*GILLT_s64*//*Label 2380*/ GIMT_Encode4(127149),
     /* 126404 */ // Label 2379: @126404
     /* 126404 */ GIM_Try, /*On fail goto*//*Label 2382*/ GIMT_Encode4(127148),
     /* 126409 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 126412 */   GIM_Try, /*On fail goto*//*Label 2383*/ GIMT_Encode4(126461), // Rule ID 7256 //
     /* 126417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126420 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 126427 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 126430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126434 */     // MIs[0] Rn
     /* 126434 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126446 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (SWPW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 126446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPW),
     /* 126449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 126451 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 126453 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126455 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126459 */     GIR_RootConstrainSelectedInstOperands,
     /* 126460 */     // GIR_Coverage, 7256,
     /* 126460 */     GIR_EraseRootFromParent_Done,
     /* 126461 */   // Label 2383: @126461
     /* 126461 */   GIM_Try, /*On fail goto*//*Label 2384*/ GIMT_Encode4(126510), // Rule ID 7257 //
     /* 126466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126469 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 126476 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 126479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126483 */     // MIs[0] Rn
     /* 126483 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126487 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126495 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (SWPAW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 126495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPAW),
     /* 126498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 126500 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 126502 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126504 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126508 */     GIR_RootConstrainSelectedInstOperands,
     /* 126509 */     // GIR_Coverage, 7257,
     /* 126509 */     GIR_EraseRootFromParent_Done,
     /* 126510 */   // Label 2384: @126510
     /* 126510 */   GIM_Try, /*On fail goto*//*Label 2385*/ GIMT_Encode4(126559), // Rule ID 7258 //
     /* 126515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126518 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 126525 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 126528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126532 */     // MIs[0] Rn
     /* 126532 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126536 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126544 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (SWPLW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 126544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPLW),
     /* 126547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 126549 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 126551 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126553 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126557 */     GIR_RootConstrainSelectedInstOperands,
     /* 126558 */     // GIR_Coverage, 7258,
     /* 126558 */     GIR_EraseRootFromParent_Done,
     /* 126559 */   // Label 2385: @126559
     /* 126559 */   GIM_Try, /*On fail goto*//*Label 2386*/ GIMT_Encode4(126608), // Rule ID 7259 //
     /* 126564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126567 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 126574 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 126577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126581 */     // MIs[0] Rn
     /* 126581 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126585 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126593 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (SWPALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 126593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPALW),
     /* 126596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 126598 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 126600 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126602 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126606 */     GIR_RootConstrainSelectedInstOperands,
     /* 126607 */     // GIR_Coverage, 7259,
     /* 126607 */     GIR_EraseRootFromParent_Done,
     /* 126608 */   // Label 2386: @126608
     /* 126608 */   GIM_Try, /*On fail goto*//*Label 2387*/ GIMT_Encode4(126657), // Rule ID 7260 //
     /* 126613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126616 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 126623 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 126626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126630 */     // MIs[0] Rn
     /* 126630 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126642 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (SWPALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 126642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPALW),
     /* 126645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 126647 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 126649 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126651 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126655 */     GIR_RootConstrainSelectedInstOperands,
     /* 126656 */     // GIR_Coverage, 7260,
     /* 126656 */     GIR_EraseRootFromParent_Done,
     /* 126657 */   // Label 2387: @126657
     /* 126657 */   GIM_Try, /*On fail goto*//*Label 2388*/ GIMT_Encode4(126706), // Rule ID 7261 //
     /* 126662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126665 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 126672 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 126675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126679 */     // MIs[0] Rn
     /* 126679 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126683 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126691 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (SWPH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 126691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPH),
     /* 126694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 126696 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 126698 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126700 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126704 */     GIR_RootConstrainSelectedInstOperands,
     /* 126705 */     // GIR_Coverage, 7261,
     /* 126705 */     GIR_EraseRootFromParent_Done,
     /* 126706 */   // Label 2388: @126706
     /* 126706 */   GIM_Try, /*On fail goto*//*Label 2389*/ GIMT_Encode4(126755), // Rule ID 7262 //
     /* 126711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126714 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 126721 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 126724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126728 */     // MIs[0] Rn
     /* 126728 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126740 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (SWPAH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 126740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPAH),
     /* 126743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 126745 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 126747 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126749 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126753 */     GIR_RootConstrainSelectedInstOperands,
     /* 126754 */     // GIR_Coverage, 7262,
     /* 126754 */     GIR_EraseRootFromParent_Done,
     /* 126755 */   // Label 2389: @126755
     /* 126755 */   GIM_Try, /*On fail goto*//*Label 2390*/ GIMT_Encode4(126804), // Rule ID 7263 //
     /* 126760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126763 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 126770 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 126773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126777 */     // MIs[0] Rn
     /* 126777 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126781 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126789 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (SWPLH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 126789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPLH),
     /* 126792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 126794 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 126796 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126798 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126802 */     GIR_RootConstrainSelectedInstOperands,
     /* 126803 */     // GIR_Coverage, 7263,
     /* 126803 */     GIR_EraseRootFromParent_Done,
     /* 126804 */   // Label 2390: @126804
     /* 126804 */   GIM_Try, /*On fail goto*//*Label 2391*/ GIMT_Encode4(126853), // Rule ID 7264 //
     /* 126809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126812 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 126819 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 126822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126826 */     // MIs[0] Rn
     /* 126826 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126830 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126838 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (SWPALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 126838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPALH),
     /* 126841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 126843 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 126845 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126847 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126851 */     GIR_RootConstrainSelectedInstOperands,
     /* 126852 */     // GIR_Coverage, 7264,
     /* 126852 */     GIR_EraseRootFromParent_Done,
     /* 126853 */   // Label 2391: @126853
     /* 126853 */   GIM_Try, /*On fail goto*//*Label 2392*/ GIMT_Encode4(126902), // Rule ID 7265 //
     /* 126858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126861 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 126868 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 126871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126875 */     // MIs[0] Rn
     /* 126875 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126879 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126887 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (SWPALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 126887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPALH),
     /* 126890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 126892 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 126894 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126896 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126900 */     GIR_RootConstrainSelectedInstOperands,
     /* 126901 */     // GIR_Coverage, 7265,
     /* 126901 */     GIR_EraseRootFromParent_Done,
     /* 126902 */   // Label 2392: @126902
     /* 126902 */   GIM_Try, /*On fail goto*//*Label 2393*/ GIMT_Encode4(126951), // Rule ID 7266 //
     /* 126907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126910 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 126917 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 126920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126924 */     // MIs[0] Rn
     /* 126924 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126936 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (SWPB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 126936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPB),
     /* 126939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 126941 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 126943 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126945 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126949 */     GIR_RootConstrainSelectedInstOperands,
     /* 126950 */     // GIR_Coverage, 7266,
     /* 126950 */     GIR_EraseRootFromParent_Done,
     /* 126951 */   // Label 2393: @126951
     /* 126951 */   GIM_Try, /*On fail goto*//*Label 2394*/ GIMT_Encode4(127000), // Rule ID 7267 //
     /* 126956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126959 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 126966 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 126969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126973 */     // MIs[0] Rn
     /* 126973 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126977 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126985 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (SWPAB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 126985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPAB),
     /* 126988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 126990 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 126992 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126994 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126998 */     GIR_RootConstrainSelectedInstOperands,
     /* 126999 */     // GIR_Coverage, 7267,
     /* 126999 */     GIR_EraseRootFromParent_Done,
     /* 127000 */   // Label 2394: @127000
     /* 127000 */   GIM_Try, /*On fail goto*//*Label 2395*/ GIMT_Encode4(127049), // Rule ID 7268 //
     /* 127005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127008 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 127015 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 127018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127022 */     // MIs[0] Rn
     /* 127022 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127034 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (SWPLB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPLB),
     /* 127037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127039 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127041 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127043 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127047 */     GIR_RootConstrainSelectedInstOperands,
     /* 127048 */     // GIR_Coverage, 7268,
     /* 127048 */     GIR_EraseRootFromParent_Done,
     /* 127049 */   // Label 2395: @127049
     /* 127049 */   GIM_Try, /*On fail goto*//*Label 2396*/ GIMT_Encode4(127098), // Rule ID 7269 //
     /* 127054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127057 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 127064 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 127067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127071 */     // MIs[0] Rn
     /* 127071 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127075 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127083 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (SWPALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPALB),
     /* 127086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127088 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127090 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127092 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127096 */     GIR_RootConstrainSelectedInstOperands,
     /* 127097 */     // GIR_Coverage, 7269,
     /* 127097 */     GIR_EraseRootFromParent_Done,
     /* 127098 */   // Label 2396: @127098
     /* 127098 */   GIM_Try, /*On fail goto*//*Label 2397*/ GIMT_Encode4(127147), // Rule ID 7270 //
     /* 127103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127106 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 127113 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 127116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127120 */     // MIs[0] Rn
     /* 127120 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127132 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (SWPALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPALB),
     /* 127135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127137 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127139 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127141 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127145 */     GIR_RootConstrainSelectedInstOperands,
     /* 127146 */     // GIR_Coverage, 7270,
     /* 127146 */     GIR_EraseRootFromParent_Done,
     /* 127147 */   // Label 2397: @127147
     /* 127147 */   GIM_Reject,
     /* 127148 */ // Label 2382: @127148
     /* 127148 */ GIM_Reject,
     /* 127149 */ // Label 2380: @127149
     /* 127149 */ GIM_Try, /*On fail goto*//*Label 2398*/ GIMT_Encode4(127375),
     /* 127154 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 127157 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 127164 */   GIM_Try, /*On fail goto*//*Label 2399*/ GIMT_Encode4(127206), // Rule ID 7251 //
     /* 127169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127172 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 127175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127179 */     // MIs[0] Rn
     /* 127179 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127183 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127191 */     // (atomic_swap:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_monotonic>>  =>  (SWPX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPX),
     /* 127194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127196 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127198 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127200 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127204 */     GIR_RootConstrainSelectedInstOperands,
     /* 127205 */     // GIR_Coverage, 7251,
     /* 127205 */     GIR_EraseRootFromParent_Done,
     /* 127206 */   // Label 2399: @127206
     /* 127206 */   GIM_Try, /*On fail goto*//*Label 2400*/ GIMT_Encode4(127248), // Rule ID 7252 //
     /* 127211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127214 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 127217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127221 */     // MIs[0] Rn
     /* 127221 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127225 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127233 */     // (atomic_swap:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acquire>>  =>  (SWPAX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPAX),
     /* 127236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127238 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127240 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127242 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127246 */     GIR_RootConstrainSelectedInstOperands,
     /* 127247 */     // GIR_Coverage, 7252,
     /* 127247 */     GIR_EraseRootFromParent_Done,
     /* 127248 */   // Label 2400: @127248
     /* 127248 */   GIM_Try, /*On fail goto*//*Label 2401*/ GIMT_Encode4(127290), // Rule ID 7253 //
     /* 127253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127256 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 127259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127263 */     // MIs[0] Rn
     /* 127263 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127267 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127275 */     // (atomic_swap:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_release>>  =>  (SWPLX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPLX),
     /* 127278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127280 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127282 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127284 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127288 */     GIR_RootConstrainSelectedInstOperands,
     /* 127289 */     // GIR_Coverage, 7253,
     /* 127289 */     GIR_EraseRootFromParent_Done,
     /* 127290 */   // Label 2401: @127290
     /* 127290 */   GIM_Try, /*On fail goto*//*Label 2402*/ GIMT_Encode4(127332), // Rule ID 7254 //
     /* 127295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127298 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 127301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127305 */     // MIs[0] Rn
     /* 127305 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127309 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127317 */     // (atomic_swap:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acq_rel>>  =>  (SWPALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPALX),
     /* 127320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127322 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127324 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127326 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127330 */     GIR_RootConstrainSelectedInstOperands,
     /* 127331 */     // GIR_Coverage, 7254,
     /* 127331 */     GIR_EraseRootFromParent_Done,
     /* 127332 */   // Label 2402: @127332
     /* 127332 */   GIM_Try, /*On fail goto*//*Label 2403*/ GIMT_Encode4(127374), // Rule ID 7255 //
     /* 127337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127340 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 127343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127347 */     // MIs[0] Rn
     /* 127347 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127351 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127359 */     // (atomic_swap:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_seq_cst>>  =>  (SWPALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPALX),
     /* 127362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127364 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127366 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127368 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127372 */     GIR_RootConstrainSelectedInstOperands,
     /* 127373 */     // GIR_Coverage, 7255,
     /* 127373 */     GIR_EraseRootFromParent_Done,
     /* 127374 */   // Label 2403: @127374
     /* 127374 */   GIM_Reject,
     /* 127375 */ // Label 2398: @127375
     /* 127375 */ GIM_Reject,
     /* 127376 */ // Label 2381: @127376
     /* 127376 */ GIM_Reject,
     /* 127377 */ // Label 22: @127377
     /* 127377 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2406*/ GIMT_Encode4(128368),
     /* 127388 */ /*GILLT_s32*//*Label 2404*/ GIMT_Encode4(127396),
     /* 127392 */ /*GILLT_s64*//*Label 2405*/ GIMT_Encode4(128141),
     /* 127396 */ // Label 2404: @127396
     /* 127396 */ GIM_Try, /*On fail goto*//*Label 2407*/ GIMT_Encode4(128140),
     /* 127401 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 127404 */   GIM_Try, /*On fail goto*//*Label 2408*/ GIMT_Encode4(127453), // Rule ID 7096 //
     /* 127409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127412 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 127419 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 127422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127426 */     // MIs[0] Rn
     /* 127426 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127430 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127438 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (LDADDW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDW),
     /* 127441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127443 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127445 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127447 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127451 */     GIR_RootConstrainSelectedInstOperands,
     /* 127452 */     // GIR_Coverage, 7096,
     /* 127452 */     GIR_EraseRootFromParent_Done,
     /* 127453 */   // Label 2408: @127453
     /* 127453 */   GIM_Try, /*On fail goto*//*Label 2409*/ GIMT_Encode4(127502), // Rule ID 7097 //
     /* 127458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127461 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 127468 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 127471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127475 */     // MIs[0] Rn
     /* 127475 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127479 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127487 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (LDADDAW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDAW),
     /* 127490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127492 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127494 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127496 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127500 */     GIR_RootConstrainSelectedInstOperands,
     /* 127501 */     // GIR_Coverage, 7097,
     /* 127501 */     GIR_EraseRootFromParent_Done,
     /* 127502 */   // Label 2409: @127502
     /* 127502 */   GIM_Try, /*On fail goto*//*Label 2410*/ GIMT_Encode4(127551), // Rule ID 7098 //
     /* 127507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127510 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 127517 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 127520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127524 */     // MIs[0] Rn
     /* 127524 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127528 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127536 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (LDADDLW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDLW),
     /* 127539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127541 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127543 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127545 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127549 */     GIR_RootConstrainSelectedInstOperands,
     /* 127550 */     // GIR_Coverage, 7098,
     /* 127550 */     GIR_EraseRootFromParent_Done,
     /* 127551 */   // Label 2410: @127551
     /* 127551 */   GIM_Try, /*On fail goto*//*Label 2411*/ GIMT_Encode4(127600), // Rule ID 7099 //
     /* 127556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127559 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 127566 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 127569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127573 */     // MIs[0] Rn
     /* 127573 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127585 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (LDADDALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALW),
     /* 127588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127590 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127592 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127594 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127598 */     GIR_RootConstrainSelectedInstOperands,
     /* 127599 */     // GIR_Coverage, 7099,
     /* 127599 */     GIR_EraseRootFromParent_Done,
     /* 127600 */   // Label 2411: @127600
     /* 127600 */   GIM_Try, /*On fail goto*//*Label 2412*/ GIMT_Encode4(127649), // Rule ID 7100 //
     /* 127605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127608 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 127615 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 127618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127622 */     // MIs[0] Rn
     /* 127622 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127626 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127634 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (LDADDALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALW),
     /* 127637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127639 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127641 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127643 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127647 */     GIR_RootConstrainSelectedInstOperands,
     /* 127648 */     // GIR_Coverage, 7100,
     /* 127648 */     GIR_EraseRootFromParent_Done,
     /* 127649 */   // Label 2412: @127649
     /* 127649 */   GIM_Try, /*On fail goto*//*Label 2413*/ GIMT_Encode4(127698), // Rule ID 7101 //
     /* 127654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127657 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 127664 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 127667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127671 */     // MIs[0] Rn
     /* 127671 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127675 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127683 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (LDADDH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDH),
     /* 127686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127688 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127690 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127692 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127696 */     GIR_RootConstrainSelectedInstOperands,
     /* 127697 */     // GIR_Coverage, 7101,
     /* 127697 */     GIR_EraseRootFromParent_Done,
     /* 127698 */   // Label 2413: @127698
     /* 127698 */   GIM_Try, /*On fail goto*//*Label 2414*/ GIMT_Encode4(127747), // Rule ID 7102 //
     /* 127703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127706 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 127713 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 127716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127720 */     // MIs[0] Rn
     /* 127720 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127732 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (LDADDAH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDAH),
     /* 127735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127737 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127739 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127741 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127745 */     GIR_RootConstrainSelectedInstOperands,
     /* 127746 */     // GIR_Coverage, 7102,
     /* 127746 */     GIR_EraseRootFromParent_Done,
     /* 127747 */   // Label 2414: @127747
     /* 127747 */   GIM_Try, /*On fail goto*//*Label 2415*/ GIMT_Encode4(127796), // Rule ID 7103 //
     /* 127752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127755 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 127762 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 127765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127769 */     // MIs[0] Rn
     /* 127769 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127773 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127781 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (LDADDLH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDLH),
     /* 127784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127786 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127788 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127790 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127794 */     GIR_RootConstrainSelectedInstOperands,
     /* 127795 */     // GIR_Coverage, 7103,
     /* 127795 */     GIR_EraseRootFromParent_Done,
     /* 127796 */   // Label 2415: @127796
     /* 127796 */   GIM_Try, /*On fail goto*//*Label 2416*/ GIMT_Encode4(127845), // Rule ID 7104 //
     /* 127801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127804 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 127811 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 127814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127818 */     // MIs[0] Rn
     /* 127818 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127822 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127830 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (LDADDALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALH),
     /* 127833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127835 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127837 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127839 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127843 */     GIR_RootConstrainSelectedInstOperands,
     /* 127844 */     // GIR_Coverage, 7104,
     /* 127844 */     GIR_EraseRootFromParent_Done,
     /* 127845 */   // Label 2416: @127845
     /* 127845 */   GIM_Try, /*On fail goto*//*Label 2417*/ GIMT_Encode4(127894), // Rule ID 7105 //
     /* 127850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127853 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 127860 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 127863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127867 */     // MIs[0] Rn
     /* 127867 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127871 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127879 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (LDADDALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALH),
     /* 127882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127884 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127886 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127888 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127892 */     GIR_RootConstrainSelectedInstOperands,
     /* 127893 */     // GIR_Coverage, 7105,
     /* 127893 */     GIR_EraseRootFromParent_Done,
     /* 127894 */   // Label 2417: @127894
     /* 127894 */   GIM_Try, /*On fail goto*//*Label 2418*/ GIMT_Encode4(127943), // Rule ID 7106 //
     /* 127899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127902 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 127909 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 127912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127916 */     // MIs[0] Rn
     /* 127916 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127920 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127928 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (LDADDB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDB),
     /* 127931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127933 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127935 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127937 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127941 */     GIR_RootConstrainSelectedInstOperands,
     /* 127942 */     // GIR_Coverage, 7106,
     /* 127942 */     GIR_EraseRootFromParent_Done,
     /* 127943 */   // Label 2418: @127943
     /* 127943 */   GIM_Try, /*On fail goto*//*Label 2419*/ GIMT_Encode4(127992), // Rule ID 7107 //
     /* 127948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127951 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 127958 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 127961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127965 */     // MIs[0] Rn
     /* 127965 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127977 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (LDADDAB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDAB),
     /* 127980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127982 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127984 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127986 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127990 */     GIR_RootConstrainSelectedInstOperands,
     /* 127991 */     // GIR_Coverage, 7107,
     /* 127991 */     GIR_EraseRootFromParent_Done,
     /* 127992 */   // Label 2419: @127992
     /* 127992 */   GIM_Try, /*On fail goto*//*Label 2420*/ GIMT_Encode4(128041), // Rule ID 7108 //
     /* 127997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128000 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 128007 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 128010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128014 */     // MIs[0] Rn
     /* 128014 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128018 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128026 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (LDADDLB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDLB),
     /* 128029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128031 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128033 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128035 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128039 */     GIR_RootConstrainSelectedInstOperands,
     /* 128040 */     // GIR_Coverage, 7108,
     /* 128040 */     GIR_EraseRootFromParent_Done,
     /* 128041 */   // Label 2420: @128041
     /* 128041 */   GIM_Try, /*On fail goto*//*Label 2421*/ GIMT_Encode4(128090), // Rule ID 7109 //
     /* 128046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128049 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 128056 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 128059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128063 */     // MIs[0] Rn
     /* 128063 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128075 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (LDADDALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALB),
     /* 128078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128080 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128082 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128084 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128088 */     GIR_RootConstrainSelectedInstOperands,
     /* 128089 */     // GIR_Coverage, 7109,
     /* 128089 */     GIR_EraseRootFromParent_Done,
     /* 128090 */   // Label 2421: @128090
     /* 128090 */   GIM_Try, /*On fail goto*//*Label 2422*/ GIMT_Encode4(128139), // Rule ID 7110 //
     /* 128095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128098 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 128105 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 128108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128112 */     // MIs[0] Rn
     /* 128112 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128116 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128124 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (LDADDALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALB),
     /* 128127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128129 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128131 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128133 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128137 */     GIR_RootConstrainSelectedInstOperands,
     /* 128138 */     // GIR_Coverage, 7110,
     /* 128138 */     GIR_EraseRootFromParent_Done,
     /* 128139 */   // Label 2422: @128139
     /* 128139 */   GIM_Reject,
     /* 128140 */ // Label 2407: @128140
     /* 128140 */ GIM_Reject,
     /* 128141 */ // Label 2405: @128141
     /* 128141 */ GIM_Try, /*On fail goto*//*Label 2423*/ GIMT_Encode4(128367),
     /* 128146 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 128149 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 128156 */   GIM_Try, /*On fail goto*//*Label 2424*/ GIMT_Encode4(128198), // Rule ID 2579 //
     /* 128161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128164 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 128167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 128171 */     // MIs[0] Rn
     /* 128171 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 128183 */     // (atomic_load_add:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_monotonic>>  =>  (LDADDX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDX),
     /* 128186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128188 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128190 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128192 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128196 */     GIR_RootConstrainSelectedInstOperands,
     /* 128197 */     // GIR_Coverage, 2579,
     /* 128197 */     GIR_EraseRootFromParent_Done,
     /* 128198 */   // Label 2424: @128198
     /* 128198 */   GIM_Try, /*On fail goto*//*Label 2425*/ GIMT_Encode4(128240), // Rule ID 2580 //
     /* 128203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128206 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 128209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 128213 */     // MIs[0] Rn
     /* 128213 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 128225 */     // (atomic_load_add:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acquire>>  =>  (LDADDAX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDAX),
     /* 128228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128230 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128232 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128234 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128238 */     GIR_RootConstrainSelectedInstOperands,
     /* 128239 */     // GIR_Coverage, 2580,
     /* 128239 */     GIR_EraseRootFromParent_Done,
     /* 128240 */   // Label 2425: @128240
     /* 128240 */   GIM_Try, /*On fail goto*//*Label 2426*/ GIMT_Encode4(128282), // Rule ID 2581 //
     /* 128245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128248 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 128251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 128255 */     // MIs[0] Rn
     /* 128255 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128259 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 128267 */     // (atomic_load_add:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_release>>  =>  (LDADDLX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDLX),
     /* 128270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128272 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128274 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128276 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128280 */     GIR_RootConstrainSelectedInstOperands,
     /* 128281 */     // GIR_Coverage, 2581,
     /* 128281 */     GIR_EraseRootFromParent_Done,
     /* 128282 */   // Label 2426: @128282
     /* 128282 */   GIM_Try, /*On fail goto*//*Label 2427*/ GIMT_Encode4(128324), // Rule ID 2582 //
     /* 128287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128290 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 128293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 128297 */     // MIs[0] Rn
     /* 128297 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128301 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 128309 */     // (atomic_load_add:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acq_rel>>  =>  (LDADDALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALX),
     /* 128312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128314 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128316 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128318 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128322 */     GIR_RootConstrainSelectedInstOperands,
     /* 128323 */     // GIR_Coverage, 2582,
     /* 128323 */     GIR_EraseRootFromParent_Done,
     /* 128324 */   // Label 2427: @128324
     /* 128324 */   GIM_Try, /*On fail goto*//*Label 2428*/ GIMT_Encode4(128366), // Rule ID 2583 //
     /* 128329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128332 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 128335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 128339 */     // MIs[0] Rn
     /* 128339 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128343 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 128351 */     // (atomic_load_add:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_seq_cst>>  =>  (LDADDALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALX),
     /* 128354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128356 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128358 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128360 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128364 */     GIR_RootConstrainSelectedInstOperands,
     /* 128365 */     // GIR_Coverage, 2583,
     /* 128365 */     GIR_EraseRootFromParent_Done,
     /* 128366 */   // Label 2428: @128366
     /* 128366 */   GIM_Reject,
     /* 128367 */ // Label 2423: @128367
     /* 128367 */ GIM_Reject,
     /* 128368 */ // Label 2406: @128368
     /* 128368 */ GIM_Reject,
     /* 128369 */ // Label 23: @128369
     /* 128369 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2431*/ GIMT_Encode4(129860),
     /* 128380 */ /*GILLT_s32*//*Label 2429*/ GIMT_Encode4(128388),
     /* 128384 */ /*GILLT_s64*//*Label 2430*/ GIMT_Encode4(129508),
     /* 128388 */ // Label 2429: @128388
     /* 128388 */ GIM_Try, /*On fail goto*//*Label 2432*/ GIMT_Encode4(129507),
     /* 128393 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 128396 */   GIM_Try, /*On fail goto*//*Label 2433*/ GIMT_Encode4(128470), // Rule ID 7291 //
     /* 128401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128404 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 128411 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 128414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128418 */     // MIs[0] Rn
     /* 128418 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128430 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i32>><<P:Predicate_atomic_load_sub_i32_monotonic>>  =>  (LDADDW:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 128430 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 128433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 128437 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 128442 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 128448 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 128452 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 128454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDW),
     /* 128457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128459 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 128462 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128464 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128468 */     GIR_RootConstrainSelectedInstOperands,
     /* 128469 */     // GIR_Coverage, 7291,
     /* 128469 */     GIR_EraseRootFromParent_Done,
     /* 128470 */   // Label 2433: @128470
     /* 128470 */   GIM_Try, /*On fail goto*//*Label 2434*/ GIMT_Encode4(128544), // Rule ID 7292 //
     /* 128475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128478 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 128485 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 128488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128492 */     // MIs[0] Rn
     /* 128492 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128496 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128504 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i32>><<P:Predicate_atomic_load_sub_i32_acquire>>  =>  (LDADDAW:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 128504 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 128507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 128511 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 128516 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 128522 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 128526 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 128528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDAW),
     /* 128531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128533 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 128536 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128538 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128542 */     GIR_RootConstrainSelectedInstOperands,
     /* 128543 */     // GIR_Coverage, 7292,
     /* 128543 */     GIR_EraseRootFromParent_Done,
     /* 128544 */   // Label 2434: @128544
     /* 128544 */   GIM_Try, /*On fail goto*//*Label 2435*/ GIMT_Encode4(128618), // Rule ID 7293 //
     /* 128549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128552 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 128559 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 128562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128566 */     // MIs[0] Rn
     /* 128566 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128578 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i32>><<P:Predicate_atomic_load_sub_i32_release>>  =>  (LDADDLW:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 128578 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 128581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 128585 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 128590 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 128596 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 128600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 128602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDLW),
     /* 128605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 128610 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128612 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128616 */     GIR_RootConstrainSelectedInstOperands,
     /* 128617 */     // GIR_Coverage, 7293,
     /* 128617 */     GIR_EraseRootFromParent_Done,
     /* 128618 */   // Label 2435: @128618
     /* 128618 */   GIM_Try, /*On fail goto*//*Label 2436*/ GIMT_Encode4(128692), // Rule ID 7294 //
     /* 128623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128626 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 128633 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 128636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128640 */     // MIs[0] Rn
     /* 128640 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128644 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128652 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i32>><<P:Predicate_atomic_load_sub_i32_acq_rel>>  =>  (LDADDALW:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 128652 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 128655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 128659 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 128664 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 128670 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 128674 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 128676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALW),
     /* 128679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128681 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 128684 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128686 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128690 */     GIR_RootConstrainSelectedInstOperands,
     /* 128691 */     // GIR_Coverage, 7294,
     /* 128691 */     GIR_EraseRootFromParent_Done,
     /* 128692 */   // Label 2436: @128692
     /* 128692 */   GIM_Try, /*On fail goto*//*Label 2437*/ GIMT_Encode4(128766), // Rule ID 7295 //
     /* 128697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128700 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 128707 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 128710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128714 */     // MIs[0] Rn
     /* 128714 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128718 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128726 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i32>><<P:Predicate_atomic_load_sub_i32_seq_cst>>  =>  (LDADDALW:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 128726 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 128729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 128733 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 128738 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 128744 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 128748 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 128750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALW),
     /* 128753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128755 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 128758 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128760 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128764 */     GIR_RootConstrainSelectedInstOperands,
     /* 128765 */     // GIR_Coverage, 7295,
     /* 128765 */     GIR_EraseRootFromParent_Done,
     /* 128766 */   // Label 2437: @128766
     /* 128766 */   GIM_Try, /*On fail goto*//*Label 2438*/ GIMT_Encode4(128840), // Rule ID 7296 //
     /* 128771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128774 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 128781 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 128784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128788 */     // MIs[0] Rn
     /* 128788 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128792 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128800 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i16>><<P:Predicate_atomic_load_sub_i16_monotonic>>  =>  (LDADDH:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 128800 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 128803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 128807 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 128812 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 128818 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 128822 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 128824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDH),
     /* 128827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128829 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 128832 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128834 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128838 */     GIR_RootConstrainSelectedInstOperands,
     /* 128839 */     // GIR_Coverage, 7296,
     /* 128839 */     GIR_EraseRootFromParent_Done,
     /* 128840 */   // Label 2438: @128840
     /* 128840 */   GIM_Try, /*On fail goto*//*Label 2439*/ GIMT_Encode4(128914), // Rule ID 7297 //
     /* 128845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128848 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 128855 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 128858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128862 */     // MIs[0] Rn
     /* 128862 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128866 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128874 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i16>><<P:Predicate_atomic_load_sub_i16_acquire>>  =>  (LDADDAH:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 128874 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 128877 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 128881 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 128886 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 128892 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 128896 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 128898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDAH),
     /* 128901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128903 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 128906 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128908 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128912 */     GIR_RootConstrainSelectedInstOperands,
     /* 128913 */     // GIR_Coverage, 7297,
     /* 128913 */     GIR_EraseRootFromParent_Done,
     /* 128914 */   // Label 2439: @128914
     /* 128914 */   GIM_Try, /*On fail goto*//*Label 2440*/ GIMT_Encode4(128988), // Rule ID 7298 //
     /* 128919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128922 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 128929 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 128932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128936 */     // MIs[0] Rn
     /* 128936 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128940 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128948 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i16>><<P:Predicate_atomic_load_sub_i16_release>>  =>  (LDADDLH:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 128948 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 128951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 128955 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 128960 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 128966 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 128970 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 128972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDLH),
     /* 128975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128977 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 128980 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128982 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128986 */     GIR_RootConstrainSelectedInstOperands,
     /* 128987 */     // GIR_Coverage, 7298,
     /* 128987 */     GIR_EraseRootFromParent_Done,
     /* 128988 */   // Label 2440: @128988
     /* 128988 */   GIM_Try, /*On fail goto*//*Label 2441*/ GIMT_Encode4(129062), // Rule ID 7299 //
     /* 128993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128996 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 129003 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 129006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129010 */     // MIs[0] Rn
     /* 129010 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129014 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129022 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i16>><<P:Predicate_atomic_load_sub_i16_acq_rel>>  =>  (LDADDALH:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 129022 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 129025 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 129029 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129034 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129040 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 129044 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 129046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALH),
     /* 129049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129051 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 129054 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129056 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129060 */     GIR_RootConstrainSelectedInstOperands,
     /* 129061 */     // GIR_Coverage, 7299,
     /* 129061 */     GIR_EraseRootFromParent_Done,
     /* 129062 */   // Label 2441: @129062
     /* 129062 */   GIM_Try, /*On fail goto*//*Label 2442*/ GIMT_Encode4(129136), // Rule ID 7300 //
     /* 129067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129070 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 129077 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 129080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129084 */     // MIs[0] Rn
     /* 129084 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129088 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129096 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i16>><<P:Predicate_atomic_load_sub_i16_seq_cst>>  =>  (LDADDALH:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 129096 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 129099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 129103 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129108 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129114 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 129118 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 129120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALH),
     /* 129123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129125 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 129128 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129130 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129134 */     GIR_RootConstrainSelectedInstOperands,
     /* 129135 */     // GIR_Coverage, 7300,
     /* 129135 */     GIR_EraseRootFromParent_Done,
     /* 129136 */   // Label 2442: @129136
     /* 129136 */   GIM_Try, /*On fail goto*//*Label 2443*/ GIMT_Encode4(129210), // Rule ID 7301 //
     /* 129141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129144 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 129151 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 129154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129158 */     // MIs[0] Rn
     /* 129158 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129162 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129170 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i8>><<P:Predicate_atomic_load_sub_i8_monotonic>>  =>  (LDADDB:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 129170 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 129173 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 129177 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129182 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129188 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 129192 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 129194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDB),
     /* 129197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129199 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 129202 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129204 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129208 */     GIR_RootConstrainSelectedInstOperands,
     /* 129209 */     // GIR_Coverage, 7301,
     /* 129209 */     GIR_EraseRootFromParent_Done,
     /* 129210 */   // Label 2443: @129210
     /* 129210 */   GIM_Try, /*On fail goto*//*Label 2444*/ GIMT_Encode4(129284), // Rule ID 7302 //
     /* 129215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129218 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 129225 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 129228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129232 */     // MIs[0] Rn
     /* 129232 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129236 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129244 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i8>><<P:Predicate_atomic_load_sub_i8_acquire>>  =>  (LDADDAB:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 129244 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 129247 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 129251 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129256 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129262 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 129266 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 129268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDAB),
     /* 129271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129273 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 129276 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129278 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129282 */     GIR_RootConstrainSelectedInstOperands,
     /* 129283 */     // GIR_Coverage, 7302,
     /* 129283 */     GIR_EraseRootFromParent_Done,
     /* 129284 */   // Label 2444: @129284
     /* 129284 */   GIM_Try, /*On fail goto*//*Label 2445*/ GIMT_Encode4(129358), // Rule ID 7303 //
     /* 129289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129292 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 129299 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 129302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129306 */     // MIs[0] Rn
     /* 129306 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129318 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i8>><<P:Predicate_atomic_load_sub_i8_release>>  =>  (LDADDLB:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 129318 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 129321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 129325 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129330 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129336 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 129340 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 129342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDLB),
     /* 129345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129347 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 129350 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129352 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129356 */     GIR_RootConstrainSelectedInstOperands,
     /* 129357 */     // GIR_Coverage, 7303,
     /* 129357 */     GIR_EraseRootFromParent_Done,
     /* 129358 */   // Label 2445: @129358
     /* 129358 */   GIM_Try, /*On fail goto*//*Label 2446*/ GIMT_Encode4(129432), // Rule ID 7304 //
     /* 129363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129366 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 129373 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 129376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129380 */     // MIs[0] Rn
     /* 129380 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129392 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i8>><<P:Predicate_atomic_load_sub_i8_acq_rel>>  =>  (LDADDALB:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 129392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 129395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 129399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129404 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129410 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 129414 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 129416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALB),
     /* 129419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129421 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 129424 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129426 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129430 */     GIR_RootConstrainSelectedInstOperands,
     /* 129431 */     // GIR_Coverage, 7304,
     /* 129431 */     GIR_EraseRootFromParent_Done,
     /* 129432 */   // Label 2446: @129432
     /* 129432 */   GIM_Try, /*On fail goto*//*Label 2447*/ GIMT_Encode4(129506), // Rule ID 7305 //
     /* 129437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129440 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 129447 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 129450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129454 */     // MIs[0] Rn
     /* 129454 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129458 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129466 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i8>><<P:Predicate_atomic_load_sub_i8_seq_cst>>  =>  (LDADDALB:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 129466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 129469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 129473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129478 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129484 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 129488 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 129490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALB),
     /* 129493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129495 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 129498 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129500 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129504 */     GIR_RootConstrainSelectedInstOperands,
     /* 129505 */     // GIR_Coverage, 7305,
     /* 129505 */     GIR_EraseRootFromParent_Done,
     /* 129506 */   // Label 2447: @129506
     /* 129506 */   GIM_Reject,
     /* 129507 */ // Label 2432: @129507
     /* 129507 */ GIM_Reject,
     /* 129508 */ // Label 2430: @129508
     /* 129508 */ GIM_Try, /*On fail goto*//*Label 2448*/ GIMT_Encode4(129859),
     /* 129513 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 129516 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 129523 */   GIM_Try, /*On fail goto*//*Label 2449*/ GIMT_Encode4(129590), // Rule ID 7286 //
     /* 129528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129531 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 129534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 129538 */     // MIs[0] Rn
     /* 129538 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 129550 */     // (atomic_load_sub:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_sub_i64>><<P:Predicate_atomic_load_sub_i64_monotonic>>  =>  (LDADDX:{ *:[i64] } (SUBXrr:{ *:[i64] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 129550 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 129553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBXrr),
     /* 129557 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129562 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129568 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 129572 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 129574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDX),
     /* 129577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129579 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 129582 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129584 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129588 */     GIR_RootConstrainSelectedInstOperands,
     /* 129589 */     // GIR_Coverage, 7286,
     /* 129589 */     GIR_EraseRootFromParent_Done,
     /* 129590 */   // Label 2449: @129590
     /* 129590 */   GIM_Try, /*On fail goto*//*Label 2450*/ GIMT_Encode4(129657), // Rule ID 7287 //
     /* 129595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129598 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 129601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 129605 */     // MIs[0] Rn
     /* 129605 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129609 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 129617 */     // (atomic_load_sub:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_sub_i64>><<P:Predicate_atomic_load_sub_i64_acquire>>  =>  (LDADDAX:{ *:[i64] } (SUBXrr:{ *:[i64] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 129617 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 129620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBXrr),
     /* 129624 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129629 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129635 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 129639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 129641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDAX),
     /* 129644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 129649 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129651 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129655 */     GIR_RootConstrainSelectedInstOperands,
     /* 129656 */     // GIR_Coverage, 7287,
     /* 129656 */     GIR_EraseRootFromParent_Done,
     /* 129657 */   // Label 2450: @129657
     /* 129657 */   GIM_Try, /*On fail goto*//*Label 2451*/ GIMT_Encode4(129724), // Rule ID 7288 //
     /* 129662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129665 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 129668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 129672 */     // MIs[0] Rn
     /* 129672 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 129684 */     // (atomic_load_sub:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_sub_i64>><<P:Predicate_atomic_load_sub_i64_release>>  =>  (LDADDLX:{ *:[i64] } (SUBXrr:{ *:[i64] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 129684 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 129687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBXrr),
     /* 129691 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129696 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129702 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 129706 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 129708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDLX),
     /* 129711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129713 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 129716 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129718 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129722 */     GIR_RootConstrainSelectedInstOperands,
     /* 129723 */     // GIR_Coverage, 7288,
     /* 129723 */     GIR_EraseRootFromParent_Done,
     /* 129724 */   // Label 2451: @129724
     /* 129724 */   GIM_Try, /*On fail goto*//*Label 2452*/ GIMT_Encode4(129791), // Rule ID 7289 //
     /* 129729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129732 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 129735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 129739 */     // MIs[0] Rn
     /* 129739 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 129751 */     // (atomic_load_sub:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_sub_i64>><<P:Predicate_atomic_load_sub_i64_acq_rel>>  =>  (LDADDALX:{ *:[i64] } (SUBXrr:{ *:[i64] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 129751 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 129754 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBXrr),
     /* 129758 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129763 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129769 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 129773 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 129775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALX),
     /* 129778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129780 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 129783 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129785 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129789 */     GIR_RootConstrainSelectedInstOperands,
     /* 129790 */     // GIR_Coverage, 7289,
     /* 129790 */     GIR_EraseRootFromParent_Done,
     /* 129791 */   // Label 2452: @129791
     /* 129791 */   GIM_Try, /*On fail goto*//*Label 2453*/ GIMT_Encode4(129858), // Rule ID 7290 //
     /* 129796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129799 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 129802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 129806 */     // MIs[0] Rn
     /* 129806 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129810 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 129818 */     // (atomic_load_sub:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_sub_i64>><<P:Predicate_atomic_load_sub_i64_seq_cst>>  =>  (LDADDALX:{ *:[i64] } (SUBXrr:{ *:[i64] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 129818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 129821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBXrr),
     /* 129825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129830 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129836 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 129840 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 129842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALX),
     /* 129845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129847 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 129850 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129852 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129856 */     GIR_RootConstrainSelectedInstOperands,
     /* 129857 */     // GIR_Coverage, 7290,
     /* 129857 */     GIR_EraseRootFromParent_Done,
     /* 129858 */   // Label 2453: @129858
     /* 129858 */   GIM_Reject,
     /* 129859 */ // Label 2448: @129859
     /* 129859 */ GIM_Reject,
     /* 129860 */ // Label 2431: @129860
     /* 129860 */ GIM_Reject,
     /* 129861 */ // Label 24: @129861
     /* 129861 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2456*/ GIMT_Encode4(131352),
     /* 129872 */ /*GILLT_s32*//*Label 2454*/ GIMT_Encode4(129880),
     /* 129876 */ /*GILLT_s64*//*Label 2455*/ GIMT_Encode4(131000),
     /* 129880 */ // Label 2454: @129880
     /* 129880 */ GIM_Try, /*On fail goto*//*Label 2457*/ GIMT_Encode4(130999),
     /* 129885 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 129888 */   GIM_Try, /*On fail goto*//*Label 2458*/ GIMT_Encode4(129962), // Rule ID 7311 //
     /* 129893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129896 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 129903 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 129906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129910 */     // MIs[0] Rn
     /* 129910 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129914 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129922 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (LDCLRW:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 129922 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 129925 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 129929 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129934 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129940 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 129944 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 129946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRW),
     /* 129949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129951 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 129954 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129956 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129960 */     GIR_RootConstrainSelectedInstOperands,
     /* 129961 */     // GIR_Coverage, 7311,
     /* 129961 */     GIR_EraseRootFromParent_Done,
     /* 129962 */   // Label 2458: @129962
     /* 129962 */   GIM_Try, /*On fail goto*//*Label 2459*/ GIMT_Encode4(130036), // Rule ID 7312 //
     /* 129967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129970 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 129977 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 129980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129984 */     // MIs[0] Rn
     /* 129984 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129988 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129996 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (LDCLRAW:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 129996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 129999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 130003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130008 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130014 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 130018 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRAW),
     /* 130023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130025 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130028 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130030 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130034 */     GIR_RootConstrainSelectedInstOperands,
     /* 130035 */     // GIR_Coverage, 7312,
     /* 130035 */     GIR_EraseRootFromParent_Done,
     /* 130036 */   // Label 2459: @130036
     /* 130036 */   GIM_Try, /*On fail goto*//*Label 2460*/ GIMT_Encode4(130110), // Rule ID 7313 //
     /* 130041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130044 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 130051 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 130054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130058 */     // MIs[0] Rn
     /* 130058 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130062 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130070 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (LDCLRLW:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 130070 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 130073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 130077 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130082 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130088 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 130092 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRLW),
     /* 130097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130099 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130102 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130104 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130108 */     GIR_RootConstrainSelectedInstOperands,
     /* 130109 */     // GIR_Coverage, 7313,
     /* 130109 */     GIR_EraseRootFromParent_Done,
     /* 130110 */   // Label 2460: @130110
     /* 130110 */   GIM_Try, /*On fail goto*//*Label 2461*/ GIMT_Encode4(130184), // Rule ID 7314 //
     /* 130115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130118 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 130125 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 130128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130132 */     // MIs[0] Rn
     /* 130132 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130136 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130144 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (LDCLRALW:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 130144 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 130147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 130151 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130156 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130162 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 130166 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRALW),
     /* 130171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130173 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130176 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130178 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130182 */     GIR_RootConstrainSelectedInstOperands,
     /* 130183 */     // GIR_Coverage, 7314,
     /* 130183 */     GIR_EraseRootFromParent_Done,
     /* 130184 */   // Label 2461: @130184
     /* 130184 */   GIM_Try, /*On fail goto*//*Label 2462*/ GIMT_Encode4(130258), // Rule ID 7315 //
     /* 130189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130192 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 130199 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 130202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130206 */     // MIs[0] Rn
     /* 130206 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130218 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (LDCLRALW:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 130218 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 130221 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 130225 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130230 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130236 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 130240 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRALW),
     /* 130245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130247 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130250 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130252 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130256 */     GIR_RootConstrainSelectedInstOperands,
     /* 130257 */     // GIR_Coverage, 7315,
     /* 130257 */     GIR_EraseRootFromParent_Done,
     /* 130258 */   // Label 2462: @130258
     /* 130258 */   GIM_Try, /*On fail goto*//*Label 2463*/ GIMT_Encode4(130332), // Rule ID 7316 //
     /* 130263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130266 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 130273 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 130276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130280 */     // MIs[0] Rn
     /* 130280 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130292 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (LDCLRH:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 130292 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 130295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 130299 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130304 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130310 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 130314 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRH),
     /* 130319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130321 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130324 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130326 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130330 */     GIR_RootConstrainSelectedInstOperands,
     /* 130331 */     // GIR_Coverage, 7316,
     /* 130331 */     GIR_EraseRootFromParent_Done,
     /* 130332 */   // Label 2463: @130332
     /* 130332 */   GIM_Try, /*On fail goto*//*Label 2464*/ GIMT_Encode4(130406), // Rule ID 7317 //
     /* 130337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130340 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 130347 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 130350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130354 */     // MIs[0] Rn
     /* 130354 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130358 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130366 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (LDCLRAH:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 130366 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 130369 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 130373 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130378 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130384 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 130388 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRAH),
     /* 130393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130395 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130398 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130400 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130404 */     GIR_RootConstrainSelectedInstOperands,
     /* 130405 */     // GIR_Coverage, 7317,
     /* 130405 */     GIR_EraseRootFromParent_Done,
     /* 130406 */   // Label 2464: @130406
     /* 130406 */   GIM_Try, /*On fail goto*//*Label 2465*/ GIMT_Encode4(130480), // Rule ID 7318 //
     /* 130411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130414 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 130421 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 130424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130428 */     // MIs[0] Rn
     /* 130428 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130432 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130440 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (LDCLRLH:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 130440 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 130443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 130447 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130452 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130458 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 130462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRLH),
     /* 130467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130469 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130472 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130474 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130478 */     GIR_RootConstrainSelectedInstOperands,
     /* 130479 */     // GIR_Coverage, 7318,
     /* 130479 */     GIR_EraseRootFromParent_Done,
     /* 130480 */   // Label 2465: @130480
     /* 130480 */   GIM_Try, /*On fail goto*//*Label 2466*/ GIMT_Encode4(130554), // Rule ID 7319 //
     /* 130485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130488 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 130495 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 130498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130502 */     // MIs[0] Rn
     /* 130502 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130506 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130514 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (LDCLRALH:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 130514 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 130517 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 130521 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130526 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130532 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 130536 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRALH),
     /* 130541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130543 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130546 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130548 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130552 */     GIR_RootConstrainSelectedInstOperands,
     /* 130553 */     // GIR_Coverage, 7319,
     /* 130553 */     GIR_EraseRootFromParent_Done,
     /* 130554 */   // Label 2466: @130554
     /* 130554 */   GIM_Try, /*On fail goto*//*Label 2467*/ GIMT_Encode4(130628), // Rule ID 7320 //
     /* 130559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130562 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 130569 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 130572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130576 */     // MIs[0] Rn
     /* 130576 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130580 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130588 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (LDCLRALH:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 130588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 130591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 130595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130600 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130606 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 130610 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRALH),
     /* 130615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130617 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130620 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130622 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130626 */     GIR_RootConstrainSelectedInstOperands,
     /* 130627 */     // GIR_Coverage, 7320,
     /* 130627 */     GIR_EraseRootFromParent_Done,
     /* 130628 */   // Label 2467: @130628
     /* 130628 */   GIM_Try, /*On fail goto*//*Label 2468*/ GIMT_Encode4(130702), // Rule ID 7321 //
     /* 130633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130636 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 130643 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 130646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130650 */     // MIs[0] Rn
     /* 130650 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130654 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130662 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (LDCLRB:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 130662 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 130665 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 130669 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130674 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130680 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 130684 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRB),
     /* 130689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130691 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130694 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130696 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130700 */     GIR_RootConstrainSelectedInstOperands,
     /* 130701 */     // GIR_Coverage, 7321,
     /* 130701 */     GIR_EraseRootFromParent_Done,
     /* 130702 */   // Label 2468: @130702
     /* 130702 */   GIM_Try, /*On fail goto*//*Label 2469*/ GIMT_Encode4(130776), // Rule ID 7322 //
     /* 130707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130710 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 130717 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 130720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130724 */     // MIs[0] Rn
     /* 130724 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130728 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130736 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (LDCLRAB:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 130736 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 130739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 130743 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130748 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130754 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 130758 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRAB),
     /* 130763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130765 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130768 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130770 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130774 */     GIR_RootConstrainSelectedInstOperands,
     /* 130775 */     // GIR_Coverage, 7322,
     /* 130775 */     GIR_EraseRootFromParent_Done,
     /* 130776 */   // Label 2469: @130776
     /* 130776 */   GIM_Try, /*On fail goto*//*Label 2470*/ GIMT_Encode4(130850), // Rule ID 7323 //
     /* 130781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130784 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 130791 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 130794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130798 */     // MIs[0] Rn
     /* 130798 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130802 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130810 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (LDCLRLB:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 130810 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 130813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 130817 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130822 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130828 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 130832 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRLB),
     /* 130837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130839 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130842 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130844 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130848 */     GIR_RootConstrainSelectedInstOperands,
     /* 130849 */     // GIR_Coverage, 7323,
     /* 130849 */     GIR_EraseRootFromParent_Done,
     /* 130850 */   // Label 2470: @130850
     /* 130850 */   GIM_Try, /*On fail goto*//*Label 2471*/ GIMT_Encode4(130924), // Rule ID 7324 //
     /* 130855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130858 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 130865 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 130868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130872 */     // MIs[0] Rn
     /* 130872 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130876 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130884 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (LDCLRALB:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 130884 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 130887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 130891 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130896 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130902 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 130906 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRALB),
     /* 130911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130913 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130916 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130918 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130922 */     GIR_RootConstrainSelectedInstOperands,
     /* 130923 */     // GIR_Coverage, 7324,
     /* 130923 */     GIR_EraseRootFromParent_Done,
     /* 130924 */   // Label 2471: @130924
     /* 130924 */   GIM_Try, /*On fail goto*//*Label 2472*/ GIMT_Encode4(130998), // Rule ID 7325 //
     /* 130929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130932 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 130939 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 130942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130946 */     // MIs[0] Rn
     /* 130946 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130950 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130958 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (LDCLRALB:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 130958 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 130961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 130965 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130970 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130976 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 130980 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRALB),
     /* 130985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130987 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130990 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130992 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130996 */     GIR_RootConstrainSelectedInstOperands,
     /* 130997 */     // GIR_Coverage, 7325,
     /* 130997 */     GIR_EraseRootFromParent_Done,
     /* 130998 */   // Label 2472: @130998
     /* 130998 */   GIM_Reject,
     /* 130999 */ // Label 2457: @130999
     /* 130999 */ GIM_Reject,
     /* 131000 */ // Label 2455: @131000
     /* 131000 */ GIM_Try, /*On fail goto*//*Label 2473*/ GIMT_Encode4(131351),
     /* 131005 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 131008 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 131015 */   GIM_Try, /*On fail goto*//*Label 2474*/ GIMT_Encode4(131082), // Rule ID 7306 //
     /* 131020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131023 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 131026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 131030 */     // MIs[0] Rn
     /* 131030 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131034 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 131042 */     // (atomic_load_and:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_monotonic>>  =>  (LDCLRX:{ *:[i64] } (ORNXrr:{ *:[i64] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 131042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 131045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNXrr),
     /* 131049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131054 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 131060 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 131064 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 131066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRX),
     /* 131069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131071 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 131074 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131076 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131080 */     GIR_RootConstrainSelectedInstOperands,
     /* 131081 */     // GIR_Coverage, 7306,
     /* 131081 */     GIR_EraseRootFromParent_Done,
     /* 131082 */   // Label 2474: @131082
     /* 131082 */   GIM_Try, /*On fail goto*//*Label 2475*/ GIMT_Encode4(131149), // Rule ID 7307 //
     /* 131087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131090 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 131093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 131097 */     // MIs[0] Rn
     /* 131097 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131101 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 131109 */     // (atomic_load_and:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acquire>>  =>  (LDCLRAX:{ *:[i64] } (ORNXrr:{ *:[i64] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 131109 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 131112 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNXrr),
     /* 131116 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131121 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 131127 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 131131 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 131133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRAX),
     /* 131136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131138 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 131141 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131143 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131147 */     GIR_RootConstrainSelectedInstOperands,
     /* 131148 */     // GIR_Coverage, 7307,
     /* 131148 */     GIR_EraseRootFromParent_Done,
     /* 131149 */   // Label 2475: @131149
     /* 131149 */   GIM_Try, /*On fail goto*//*Label 2476*/ GIMT_Encode4(131216), // Rule ID 7308 //
     /* 131154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131157 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 131160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 131164 */     // MIs[0] Rn
     /* 131164 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 131176 */     // (atomic_load_and:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_release>>  =>  (LDCLRLX:{ *:[i64] } (ORNXrr:{ *:[i64] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 131176 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 131179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNXrr),
     /* 131183 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131188 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 131194 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 131198 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 131200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRLX),
     /* 131203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131205 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 131208 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131210 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131214 */     GIR_RootConstrainSelectedInstOperands,
     /* 131215 */     // GIR_Coverage, 7308,
     /* 131215 */     GIR_EraseRootFromParent_Done,
     /* 131216 */   // Label 2476: @131216
     /* 131216 */   GIM_Try, /*On fail goto*//*Label 2477*/ GIMT_Encode4(131283), // Rule ID 7309 //
     /* 131221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131224 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 131227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 131231 */     // MIs[0] Rn
     /* 131231 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 131243 */     // (atomic_load_and:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acq_rel>>  =>  (LDCLRALX:{ *:[i64] } (ORNXrr:{ *:[i64] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 131243 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 131246 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNXrr),
     /* 131250 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 131261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 131265 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 131267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRALX),
     /* 131270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131272 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 131275 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131277 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131281 */     GIR_RootConstrainSelectedInstOperands,
     /* 131282 */     // GIR_Coverage, 7309,
     /* 131282 */     GIR_EraseRootFromParent_Done,
     /* 131283 */   // Label 2477: @131283
     /* 131283 */   GIM_Try, /*On fail goto*//*Label 2478*/ GIMT_Encode4(131350), // Rule ID 7310 //
     /* 131288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131291 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 131294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 131298 */     // MIs[0] Rn
     /* 131298 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131302 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 131310 */     // (atomic_load_and:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_seq_cst>>  =>  (LDCLRALX:{ *:[i64] } (ORNXrr:{ *:[i64] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 131310 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 131313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNXrr),
     /* 131317 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131322 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 131328 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 131332 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 131334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRALX),
     /* 131337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131339 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 131342 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131344 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131348 */     GIR_RootConstrainSelectedInstOperands,
     /* 131349 */     // GIR_Coverage, 7310,
     /* 131349 */     GIR_EraseRootFromParent_Done,
     /* 131350 */   // Label 2478: @131350
     /* 131350 */   GIM_Reject,
     /* 131351 */ // Label 2473: @131351
     /* 131351 */ GIM_Reject,
     /* 131352 */ // Label 2456: @131352
     /* 131352 */ GIM_Reject,
     /* 131353 */ // Label 25: @131353
     /* 131353 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2481*/ GIMT_Encode4(132344),
     /* 131364 */ /*GILLT_s32*//*Label 2479*/ GIMT_Encode4(131372),
     /* 131368 */ /*GILLT_s64*//*Label 2480*/ GIMT_Encode4(132117),
     /* 131372 */ // Label 2479: @131372
     /* 131372 */ GIM_Try, /*On fail goto*//*Label 2482*/ GIMT_Encode4(132116),
     /* 131377 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 131380 */   GIM_Try, /*On fail goto*//*Label 2483*/ GIMT_Encode4(131429), // Rule ID 7116 //
     /* 131385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131388 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 131395 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 131398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131402 */     // MIs[0] Rn
     /* 131402 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131406 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131414 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (LDSETW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 131414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETW),
     /* 131417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131419 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 131421 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131423 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131427 */     GIR_RootConstrainSelectedInstOperands,
     /* 131428 */     // GIR_Coverage, 7116,
     /* 131428 */     GIR_EraseRootFromParent_Done,
     /* 131429 */   // Label 2483: @131429
     /* 131429 */   GIM_Try, /*On fail goto*//*Label 2484*/ GIMT_Encode4(131478), // Rule ID 7117 //
     /* 131434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131437 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 131444 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 131447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131451 */     // MIs[0] Rn
     /* 131451 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131463 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (LDSETAW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 131463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETAW),
     /* 131466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131468 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 131470 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131472 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131476 */     GIR_RootConstrainSelectedInstOperands,
     /* 131477 */     // GIR_Coverage, 7117,
     /* 131477 */     GIR_EraseRootFromParent_Done,
     /* 131478 */   // Label 2484: @131478
     /* 131478 */   GIM_Try, /*On fail goto*//*Label 2485*/ GIMT_Encode4(131527), // Rule ID 7118 //
     /* 131483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131486 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 131493 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 131496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131500 */     // MIs[0] Rn
     /* 131500 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131512 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (LDSETLW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 131512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETLW),
     /* 131515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131517 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 131519 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131521 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131525 */     GIR_RootConstrainSelectedInstOperands,
     /* 131526 */     // GIR_Coverage, 7118,
     /* 131526 */     GIR_EraseRootFromParent_Done,
     /* 131527 */   // Label 2485: @131527
     /* 131527 */   GIM_Try, /*On fail goto*//*Label 2486*/ GIMT_Encode4(131576), // Rule ID 7119 //
     /* 131532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131535 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 131542 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 131545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131549 */     // MIs[0] Rn
     /* 131549 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131553 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131561 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (LDSETALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 131561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETALW),
     /* 131564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131566 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 131568 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131570 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131574 */     GIR_RootConstrainSelectedInstOperands,
     /* 131575 */     // GIR_Coverage, 7119,
     /* 131575 */     GIR_EraseRootFromParent_Done,
     /* 131576 */   // Label 2486: @131576
     /* 131576 */   GIM_Try, /*On fail goto*//*Label 2487*/ GIMT_Encode4(131625), // Rule ID 7120 //
     /* 131581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131584 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 131591 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 131594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131598 */     // MIs[0] Rn
     /* 131598 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131602 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131610 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (LDSETALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 131610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETALW),
     /* 131613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131615 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 131617 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131619 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131623 */     GIR_RootConstrainSelectedInstOperands,
     /* 131624 */     // GIR_Coverage, 7120,
     /* 131624 */     GIR_EraseRootFromParent_Done,
     /* 131625 */   // Label 2487: @131625
     /* 131625 */   GIM_Try, /*On fail goto*//*Label 2488*/ GIMT_Encode4(131674), // Rule ID 7121 //
     /* 131630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131633 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 131640 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 131643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131647 */     // MIs[0] Rn
     /* 131647 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131651 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131659 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (LDSETH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 131659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETH),
     /* 131662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131664 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 131666 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131668 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131672 */     GIR_RootConstrainSelectedInstOperands,
     /* 131673 */     // GIR_Coverage, 7121,
     /* 131673 */     GIR_EraseRootFromParent_Done,
     /* 131674 */   // Label 2488: @131674
     /* 131674 */   GIM_Try, /*On fail goto*//*Label 2489*/ GIMT_Encode4(131723), // Rule ID 7122 //
     /* 131679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131682 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 131689 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 131692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131696 */     // MIs[0] Rn
     /* 131696 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131708 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (LDSETAH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 131708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETAH),
     /* 131711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131713 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 131715 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131717 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131721 */     GIR_RootConstrainSelectedInstOperands,
     /* 131722 */     // GIR_Coverage, 7122,
     /* 131722 */     GIR_EraseRootFromParent_Done,
     /* 131723 */   // Label 2489: @131723
     /* 131723 */   GIM_Try, /*On fail goto*//*Label 2490*/ GIMT_Encode4(131772), // Rule ID 7123 //
     /* 131728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131731 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 131738 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 131741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131745 */     // MIs[0] Rn
     /* 131745 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131757 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (LDSETLH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 131757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETLH),
     /* 131760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131762 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 131764 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131766 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131770 */     GIR_RootConstrainSelectedInstOperands,
     /* 131771 */     // GIR_Coverage, 7123,
     /* 131771 */     GIR_EraseRootFromParent_Done,
     /* 131772 */   // Label 2490: @131772
     /* 131772 */   GIM_Try, /*On fail goto*//*Label 2491*/ GIMT_Encode4(131821), // Rule ID 7124 //
     /* 131777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131780 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 131787 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 131790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131794 */     // MIs[0] Rn
     /* 131794 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131806 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (LDSETALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 131806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETALH),
     /* 131809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131811 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 131813 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131815 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131819 */     GIR_RootConstrainSelectedInstOperands,
     /* 131820 */     // GIR_Coverage, 7124,
     /* 131820 */     GIR_EraseRootFromParent_Done,
     /* 131821 */   // Label 2491: @131821
     /* 131821 */   GIM_Try, /*On fail goto*//*Label 2492*/ GIMT_Encode4(131870), // Rule ID 7125 //
     /* 131826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131829 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 131836 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 131839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131843 */     // MIs[0] Rn
     /* 131843 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131847 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131855 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (LDSETALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 131855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETALH),
     /* 131858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131860 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 131862 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131864 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131868 */     GIR_RootConstrainSelectedInstOperands,
     /* 131869 */     // GIR_Coverage, 7125,
     /* 131869 */     GIR_EraseRootFromParent_Done,
     /* 131870 */   // Label 2492: @131870
     /* 131870 */   GIM_Try, /*On fail goto*//*Label 2493*/ GIMT_Encode4(131919), // Rule ID 7126 //
     /* 131875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131878 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 131885 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 131888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131892 */     // MIs[0] Rn
     /* 131892 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131896 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131904 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (LDSETB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 131904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETB),
     /* 131907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131909 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 131911 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131913 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131917 */     GIR_RootConstrainSelectedInstOperands,
     /* 131918 */     // GIR_Coverage, 7126,
     /* 131918 */     GIR_EraseRootFromParent_Done,
     /* 131919 */   // Label 2493: @131919
     /* 131919 */   GIM_Try, /*On fail goto*//*Label 2494*/ GIMT_Encode4(131968), // Rule ID 7127 //
     /* 131924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131927 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 131934 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 131937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131941 */     // MIs[0] Rn
     /* 131941 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131945 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131953 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (LDSETAB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 131953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETAB),
     /* 131956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131958 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 131960 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131962 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131966 */     GIR_RootConstrainSelectedInstOperands,
     /* 131967 */     // GIR_Coverage, 7127,
     /* 131967 */     GIR_EraseRootFromParent_Done,
     /* 131968 */   // Label 2494: @131968
     /* 131968 */   GIM_Try, /*On fail goto*//*Label 2495*/ GIMT_Encode4(132017), // Rule ID 7128 //
     /* 131973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131976 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 131983 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 131986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131990 */     // MIs[0] Rn
     /* 131990 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131994 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132002 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (LDSETLB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETLB),
     /* 132005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132007 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132009 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132011 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132015 */     GIR_RootConstrainSelectedInstOperands,
     /* 132016 */     // GIR_Coverage, 7128,
     /* 132016 */     GIR_EraseRootFromParent_Done,
     /* 132017 */   // Label 2495: @132017
     /* 132017 */   GIM_Try, /*On fail goto*//*Label 2496*/ GIMT_Encode4(132066), // Rule ID 7129 //
     /* 132022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132025 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 132032 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 132035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132039 */     // MIs[0] Rn
     /* 132039 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132043 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132051 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (LDSETALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETALB),
     /* 132054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132056 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132058 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132060 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132064 */     GIR_RootConstrainSelectedInstOperands,
     /* 132065 */     // GIR_Coverage, 7129,
     /* 132065 */     GIR_EraseRootFromParent_Done,
     /* 132066 */   // Label 2496: @132066
     /* 132066 */   GIM_Try, /*On fail goto*//*Label 2497*/ GIMT_Encode4(132115), // Rule ID 7130 //
     /* 132071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132074 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 132081 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 132084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132088 */     // MIs[0] Rn
     /* 132088 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132092 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132100 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (LDSETALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETALB),
     /* 132103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132105 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132107 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132109 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132113 */     GIR_RootConstrainSelectedInstOperands,
     /* 132114 */     // GIR_Coverage, 7130,
     /* 132114 */     GIR_EraseRootFromParent_Done,
     /* 132115 */   // Label 2497: @132115
     /* 132115 */   GIM_Reject,
     /* 132116 */ // Label 2482: @132116
     /* 132116 */ GIM_Reject,
     /* 132117 */ // Label 2480: @132117
     /* 132117 */ GIM_Try, /*On fail goto*//*Label 2498*/ GIMT_Encode4(132343),
     /* 132122 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 132125 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 132132 */   GIM_Try, /*On fail goto*//*Label 2499*/ GIMT_Encode4(132174), // Rule ID 7111 //
     /* 132137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132140 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 132143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 132147 */     // MIs[0] Rn
     /* 132147 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132151 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 132159 */     // (atomic_load_or:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_monotonic>>  =>  (LDSETX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETX),
     /* 132162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132164 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132166 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132168 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132172 */     GIR_RootConstrainSelectedInstOperands,
     /* 132173 */     // GIR_Coverage, 7111,
     /* 132173 */     GIR_EraseRootFromParent_Done,
     /* 132174 */   // Label 2499: @132174
     /* 132174 */   GIM_Try, /*On fail goto*//*Label 2500*/ GIMT_Encode4(132216), // Rule ID 7112 //
     /* 132179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132182 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 132185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 132189 */     // MIs[0] Rn
     /* 132189 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132193 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 132201 */     // (atomic_load_or:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acquire>>  =>  (LDSETAX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETAX),
     /* 132204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132206 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132208 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132210 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132214 */     GIR_RootConstrainSelectedInstOperands,
     /* 132215 */     // GIR_Coverage, 7112,
     /* 132215 */     GIR_EraseRootFromParent_Done,
     /* 132216 */   // Label 2500: @132216
     /* 132216 */   GIM_Try, /*On fail goto*//*Label 2501*/ GIMT_Encode4(132258), // Rule ID 7113 //
     /* 132221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132224 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 132227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 132231 */     // MIs[0] Rn
     /* 132231 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 132243 */     // (atomic_load_or:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_release>>  =>  (LDSETLX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETLX),
     /* 132246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132248 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132250 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132252 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132256 */     GIR_RootConstrainSelectedInstOperands,
     /* 132257 */     // GIR_Coverage, 7113,
     /* 132257 */     GIR_EraseRootFromParent_Done,
     /* 132258 */   // Label 2501: @132258
     /* 132258 */   GIM_Try, /*On fail goto*//*Label 2502*/ GIMT_Encode4(132300), // Rule ID 7114 //
     /* 132263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132266 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 132269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 132273 */     // MIs[0] Rn
     /* 132273 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132277 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 132285 */     // (atomic_load_or:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acq_rel>>  =>  (LDSETALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETALX),
     /* 132288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132290 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132292 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132294 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132298 */     GIR_RootConstrainSelectedInstOperands,
     /* 132299 */     // GIR_Coverage, 7114,
     /* 132299 */     GIR_EraseRootFromParent_Done,
     /* 132300 */   // Label 2502: @132300
     /* 132300 */   GIM_Try, /*On fail goto*//*Label 2503*/ GIMT_Encode4(132342), // Rule ID 7115 //
     /* 132305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132308 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 132311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 132315 */     // MIs[0] Rn
     /* 132315 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132319 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 132327 */     // (atomic_load_or:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_seq_cst>>  =>  (LDSETALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETALX),
     /* 132330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132332 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132334 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132336 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132340 */     GIR_RootConstrainSelectedInstOperands,
     /* 132341 */     // GIR_Coverage, 7115,
     /* 132341 */     GIR_EraseRootFromParent_Done,
     /* 132342 */   // Label 2503: @132342
     /* 132342 */   GIM_Reject,
     /* 132343 */ // Label 2498: @132343
     /* 132343 */ GIM_Reject,
     /* 132344 */ // Label 2481: @132344
     /* 132344 */ GIM_Reject,
     /* 132345 */ // Label 26: @132345
     /* 132345 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2506*/ GIMT_Encode4(133336),
     /* 132356 */ /*GILLT_s32*//*Label 2504*/ GIMT_Encode4(132364),
     /* 132360 */ /*GILLT_s64*//*Label 2505*/ GIMT_Encode4(133109),
     /* 132364 */ // Label 2504: @132364
     /* 132364 */ GIM_Try, /*On fail goto*//*Label 2507*/ GIMT_Encode4(133108),
     /* 132369 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 132372 */   GIM_Try, /*On fail goto*//*Label 2508*/ GIMT_Encode4(132421), // Rule ID 7136 //
     /* 132377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132380 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 132387 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 132390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132394 */     // MIs[0] Rn
     /* 132394 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132398 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132406 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (LDEORW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORW),
     /* 132409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132411 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132413 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132415 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132419 */     GIR_RootConstrainSelectedInstOperands,
     /* 132420 */     // GIR_Coverage, 7136,
     /* 132420 */     GIR_EraseRootFromParent_Done,
     /* 132421 */   // Label 2508: @132421
     /* 132421 */   GIM_Try, /*On fail goto*//*Label 2509*/ GIMT_Encode4(132470), // Rule ID 7137 //
     /* 132426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132429 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 132436 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 132439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132443 */     // MIs[0] Rn
     /* 132443 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132447 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132455 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (LDEORAW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORAW),
     /* 132458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132460 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132462 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132464 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132468 */     GIR_RootConstrainSelectedInstOperands,
     /* 132469 */     // GIR_Coverage, 7137,
     /* 132469 */     GIR_EraseRootFromParent_Done,
     /* 132470 */   // Label 2509: @132470
     /* 132470 */   GIM_Try, /*On fail goto*//*Label 2510*/ GIMT_Encode4(132519), // Rule ID 7138 //
     /* 132475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132478 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 132485 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 132488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132492 */     // MIs[0] Rn
     /* 132492 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132496 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132504 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (LDEORLW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORLW),
     /* 132507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132509 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132511 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132513 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132517 */     GIR_RootConstrainSelectedInstOperands,
     /* 132518 */     // GIR_Coverage, 7138,
     /* 132518 */     GIR_EraseRootFromParent_Done,
     /* 132519 */   // Label 2510: @132519
     /* 132519 */   GIM_Try, /*On fail goto*//*Label 2511*/ GIMT_Encode4(132568), // Rule ID 7139 //
     /* 132524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132527 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 132534 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 132537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132541 */     // MIs[0] Rn
     /* 132541 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132545 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132553 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (LDEORALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORALW),
     /* 132556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132558 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132560 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132562 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132566 */     GIR_RootConstrainSelectedInstOperands,
     /* 132567 */     // GIR_Coverage, 7139,
     /* 132567 */     GIR_EraseRootFromParent_Done,
     /* 132568 */   // Label 2511: @132568
     /* 132568 */   GIM_Try, /*On fail goto*//*Label 2512*/ GIMT_Encode4(132617), // Rule ID 7140 //
     /* 132573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132576 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 132583 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 132586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132590 */     // MIs[0] Rn
     /* 132590 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132594 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132602 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (LDEORALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORALW),
     /* 132605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132607 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132609 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132611 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132615 */     GIR_RootConstrainSelectedInstOperands,
     /* 132616 */     // GIR_Coverage, 7140,
     /* 132616 */     GIR_EraseRootFromParent_Done,
     /* 132617 */   // Label 2512: @132617
     /* 132617 */   GIM_Try, /*On fail goto*//*Label 2513*/ GIMT_Encode4(132666), // Rule ID 7141 //
     /* 132622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132625 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 132632 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 132635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132639 */     // MIs[0] Rn
     /* 132639 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132643 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132651 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (LDEORH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORH),
     /* 132654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132656 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132658 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132660 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132664 */     GIR_RootConstrainSelectedInstOperands,
     /* 132665 */     // GIR_Coverage, 7141,
     /* 132665 */     GIR_EraseRootFromParent_Done,
     /* 132666 */   // Label 2513: @132666
     /* 132666 */   GIM_Try, /*On fail goto*//*Label 2514*/ GIMT_Encode4(132715), // Rule ID 7142 //
     /* 132671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132674 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 132681 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 132684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132688 */     // MIs[0] Rn
     /* 132688 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132692 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132700 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (LDEORAH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORAH),
     /* 132703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132705 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132707 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132709 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132713 */     GIR_RootConstrainSelectedInstOperands,
     /* 132714 */     // GIR_Coverage, 7142,
     /* 132714 */     GIR_EraseRootFromParent_Done,
     /* 132715 */   // Label 2514: @132715
     /* 132715 */   GIM_Try, /*On fail goto*//*Label 2515*/ GIMT_Encode4(132764), // Rule ID 7143 //
     /* 132720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132723 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 132730 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 132733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132737 */     // MIs[0] Rn
     /* 132737 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132741 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132749 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (LDEORLH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORLH),
     /* 132752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132754 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132756 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132758 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132762 */     GIR_RootConstrainSelectedInstOperands,
     /* 132763 */     // GIR_Coverage, 7143,
     /* 132763 */     GIR_EraseRootFromParent_Done,
     /* 132764 */   // Label 2515: @132764
     /* 132764 */   GIM_Try, /*On fail goto*//*Label 2516*/ GIMT_Encode4(132813), // Rule ID 7144 //
     /* 132769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132772 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 132779 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 132782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132786 */     // MIs[0] Rn
     /* 132786 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132790 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132798 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (LDEORALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORALH),
     /* 132801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132803 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132805 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132807 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132811 */     GIR_RootConstrainSelectedInstOperands,
     /* 132812 */     // GIR_Coverage, 7144,
     /* 132812 */     GIR_EraseRootFromParent_Done,
     /* 132813 */   // Label 2516: @132813
     /* 132813 */   GIM_Try, /*On fail goto*//*Label 2517*/ GIMT_Encode4(132862), // Rule ID 7145 //
     /* 132818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132821 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 132828 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 132831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132835 */     // MIs[0] Rn
     /* 132835 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132839 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132847 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (LDEORALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORALH),
     /* 132850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132852 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132854 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132856 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132860 */     GIR_RootConstrainSelectedInstOperands,
     /* 132861 */     // GIR_Coverage, 7145,
     /* 132861 */     GIR_EraseRootFromParent_Done,
     /* 132862 */   // Label 2517: @132862
     /* 132862 */   GIM_Try, /*On fail goto*//*Label 2518*/ GIMT_Encode4(132911), // Rule ID 7146 //
     /* 132867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132870 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 132877 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 132880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132884 */     // MIs[0] Rn
     /* 132884 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132888 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132896 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (LDEORB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORB),
     /* 132899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132901 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132903 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132905 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132909 */     GIR_RootConstrainSelectedInstOperands,
     /* 132910 */     // GIR_Coverage, 7146,
     /* 132910 */     GIR_EraseRootFromParent_Done,
     /* 132911 */   // Label 2518: @132911
     /* 132911 */   GIM_Try, /*On fail goto*//*Label 2519*/ GIMT_Encode4(132960), // Rule ID 7147 //
     /* 132916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132919 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 132926 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 132929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132933 */     // MIs[0] Rn
     /* 132933 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132937 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132945 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (LDEORAB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORAB),
     /* 132948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132950 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132952 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132954 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132958 */     GIR_RootConstrainSelectedInstOperands,
     /* 132959 */     // GIR_Coverage, 7147,
     /* 132959 */     GIR_EraseRootFromParent_Done,
     /* 132960 */   // Label 2519: @132960
     /* 132960 */   GIM_Try, /*On fail goto*//*Label 2520*/ GIMT_Encode4(133009), // Rule ID 7148 //
     /* 132965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132968 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 132975 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 132978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132982 */     // MIs[0] Rn
     /* 132982 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132986 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132994 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (LDEORLB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORLB),
     /* 132997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132999 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133001 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133003 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133007 */     GIR_RootConstrainSelectedInstOperands,
     /* 133008 */     // GIR_Coverage, 7148,
     /* 133008 */     GIR_EraseRootFromParent_Done,
     /* 133009 */   // Label 2520: @133009
     /* 133009 */   GIM_Try, /*On fail goto*//*Label 2521*/ GIMT_Encode4(133058), // Rule ID 7149 //
     /* 133014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133017 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 133024 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 133027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133031 */     // MIs[0] Rn
     /* 133031 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133035 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133043 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (LDEORALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORALB),
     /* 133046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133048 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133050 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133052 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133056 */     GIR_RootConstrainSelectedInstOperands,
     /* 133057 */     // GIR_Coverage, 7149,
     /* 133057 */     GIR_EraseRootFromParent_Done,
     /* 133058 */   // Label 2521: @133058
     /* 133058 */   GIM_Try, /*On fail goto*//*Label 2522*/ GIMT_Encode4(133107), // Rule ID 7150 //
     /* 133063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133066 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 133073 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 133076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133080 */     // MIs[0] Rn
     /* 133080 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133084 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133092 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (LDEORALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORALB),
     /* 133095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133097 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133099 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133101 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133105 */     GIR_RootConstrainSelectedInstOperands,
     /* 133106 */     // GIR_Coverage, 7150,
     /* 133106 */     GIR_EraseRootFromParent_Done,
     /* 133107 */   // Label 2522: @133107
     /* 133107 */   GIM_Reject,
     /* 133108 */ // Label 2507: @133108
     /* 133108 */ GIM_Reject,
     /* 133109 */ // Label 2505: @133109
     /* 133109 */ GIM_Try, /*On fail goto*//*Label 2523*/ GIMT_Encode4(133335),
     /* 133114 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 133117 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 133124 */   GIM_Try, /*On fail goto*//*Label 2524*/ GIMT_Encode4(133166), // Rule ID 7131 //
     /* 133129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133132 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 133135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 133139 */     // MIs[0] Rn
     /* 133139 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133143 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 133151 */     // (atomic_load_xor:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_monotonic>>  =>  (LDEORX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORX),
     /* 133154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133156 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133158 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133160 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133164 */     GIR_RootConstrainSelectedInstOperands,
     /* 133165 */     // GIR_Coverage, 7131,
     /* 133165 */     GIR_EraseRootFromParent_Done,
     /* 133166 */   // Label 2524: @133166
     /* 133166 */   GIM_Try, /*On fail goto*//*Label 2525*/ GIMT_Encode4(133208), // Rule ID 7132 //
     /* 133171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133174 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 133177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 133181 */     // MIs[0] Rn
     /* 133181 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133185 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 133193 */     // (atomic_load_xor:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acquire>>  =>  (LDEORAX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORAX),
     /* 133196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133198 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133200 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133202 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133206 */     GIR_RootConstrainSelectedInstOperands,
     /* 133207 */     // GIR_Coverage, 7132,
     /* 133207 */     GIR_EraseRootFromParent_Done,
     /* 133208 */   // Label 2525: @133208
     /* 133208 */   GIM_Try, /*On fail goto*//*Label 2526*/ GIMT_Encode4(133250), // Rule ID 7133 //
     /* 133213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133216 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 133219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 133223 */     // MIs[0] Rn
     /* 133223 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 133235 */     // (atomic_load_xor:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_release>>  =>  (LDEORLX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORLX),
     /* 133238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133240 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133242 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133244 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133248 */     GIR_RootConstrainSelectedInstOperands,
     /* 133249 */     // GIR_Coverage, 7133,
     /* 133249 */     GIR_EraseRootFromParent_Done,
     /* 133250 */   // Label 2526: @133250
     /* 133250 */   GIM_Try, /*On fail goto*//*Label 2527*/ GIMT_Encode4(133292), // Rule ID 7134 //
     /* 133255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133258 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 133261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 133265 */     // MIs[0] Rn
     /* 133265 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 133277 */     // (atomic_load_xor:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acq_rel>>  =>  (LDEORALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORALX),
     /* 133280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133282 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133284 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133286 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133290 */     GIR_RootConstrainSelectedInstOperands,
     /* 133291 */     // GIR_Coverage, 7134,
     /* 133291 */     GIR_EraseRootFromParent_Done,
     /* 133292 */   // Label 2527: @133292
     /* 133292 */   GIM_Try, /*On fail goto*//*Label 2528*/ GIMT_Encode4(133334), // Rule ID 7135 //
     /* 133297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133300 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 133303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 133307 */     // MIs[0] Rn
     /* 133307 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133311 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 133319 */     // (atomic_load_xor:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_seq_cst>>  =>  (LDEORALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORALX),
     /* 133322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133324 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133326 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133328 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133332 */     GIR_RootConstrainSelectedInstOperands,
     /* 133333 */     // GIR_Coverage, 7135,
     /* 133333 */     GIR_EraseRootFromParent_Done,
     /* 133334 */   // Label 2528: @133334
     /* 133334 */   GIM_Reject,
     /* 133335 */ // Label 2523: @133335
     /* 133335 */ GIM_Reject,
     /* 133336 */ // Label 2506: @133336
     /* 133336 */ GIM_Reject,
     /* 133337 */ // Label 27: @133337
     /* 133337 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2531*/ GIMT_Encode4(134328),
     /* 133348 */ /*GILLT_s32*//*Label 2529*/ GIMT_Encode4(133356),
     /* 133352 */ /*GILLT_s64*//*Label 2530*/ GIMT_Encode4(134101),
     /* 133356 */ // Label 2529: @133356
     /* 133356 */ GIM_Try, /*On fail goto*//*Label 2532*/ GIMT_Encode4(134100),
     /* 133361 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 133364 */   GIM_Try, /*On fail goto*//*Label 2533*/ GIMT_Encode4(133413), // Rule ID 7176 //
     /* 133369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133372 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 133379 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 133382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133386 */     // MIs[0] Rn
     /* 133386 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133390 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133398 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (LDSMAXW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXW),
     /* 133401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133403 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133405 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133407 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133411 */     GIR_RootConstrainSelectedInstOperands,
     /* 133412 */     // GIR_Coverage, 7176,
     /* 133412 */     GIR_EraseRootFromParent_Done,
     /* 133413 */   // Label 2533: @133413
     /* 133413 */   GIM_Try, /*On fail goto*//*Label 2534*/ GIMT_Encode4(133462), // Rule ID 7177 //
     /* 133418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133421 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 133428 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 133431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133435 */     // MIs[0] Rn
     /* 133435 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133439 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133447 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (LDSMAXAW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXAW),
     /* 133450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133452 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133454 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133456 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133460 */     GIR_RootConstrainSelectedInstOperands,
     /* 133461 */     // GIR_Coverage, 7177,
     /* 133461 */     GIR_EraseRootFromParent_Done,
     /* 133462 */   // Label 2534: @133462
     /* 133462 */   GIM_Try, /*On fail goto*//*Label 2535*/ GIMT_Encode4(133511), // Rule ID 7178 //
     /* 133467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133470 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 133477 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 133480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133484 */     // MIs[0] Rn
     /* 133484 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133488 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133496 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (LDSMAXLW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXLW),
     /* 133499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133501 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133503 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133505 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133509 */     GIR_RootConstrainSelectedInstOperands,
     /* 133510 */     // GIR_Coverage, 7178,
     /* 133510 */     GIR_EraseRootFromParent_Done,
     /* 133511 */   // Label 2535: @133511
     /* 133511 */   GIM_Try, /*On fail goto*//*Label 2536*/ GIMT_Encode4(133560), // Rule ID 7179 //
     /* 133516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133519 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 133526 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 133529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133533 */     // MIs[0] Rn
     /* 133533 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133537 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133545 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (LDSMAXALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXALW),
     /* 133548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133550 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133552 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133554 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133558 */     GIR_RootConstrainSelectedInstOperands,
     /* 133559 */     // GIR_Coverage, 7179,
     /* 133559 */     GIR_EraseRootFromParent_Done,
     /* 133560 */   // Label 2536: @133560
     /* 133560 */   GIM_Try, /*On fail goto*//*Label 2537*/ GIMT_Encode4(133609), // Rule ID 7180 //
     /* 133565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133568 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 133575 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 133578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133582 */     // MIs[0] Rn
     /* 133582 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133594 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (LDSMAXALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXALW),
     /* 133597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133599 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133601 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133603 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133607 */     GIR_RootConstrainSelectedInstOperands,
     /* 133608 */     // GIR_Coverage, 7180,
     /* 133608 */     GIR_EraseRootFromParent_Done,
     /* 133609 */   // Label 2537: @133609
     /* 133609 */   GIM_Try, /*On fail goto*//*Label 2538*/ GIMT_Encode4(133658), // Rule ID 7181 //
     /* 133614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133617 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 133624 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 133627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133631 */     // MIs[0] Rn
     /* 133631 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133643 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (LDSMAXH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXH),
     /* 133646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133648 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133650 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133652 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133656 */     GIR_RootConstrainSelectedInstOperands,
     /* 133657 */     // GIR_Coverage, 7181,
     /* 133657 */     GIR_EraseRootFromParent_Done,
     /* 133658 */   // Label 2538: @133658
     /* 133658 */   GIM_Try, /*On fail goto*//*Label 2539*/ GIMT_Encode4(133707), // Rule ID 7182 //
     /* 133663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133666 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 133673 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 133676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133680 */     // MIs[0] Rn
     /* 133680 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133692 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (LDSMAXAH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXAH),
     /* 133695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133697 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133699 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133701 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133705 */     GIR_RootConstrainSelectedInstOperands,
     /* 133706 */     // GIR_Coverage, 7182,
     /* 133706 */     GIR_EraseRootFromParent_Done,
     /* 133707 */   // Label 2539: @133707
     /* 133707 */   GIM_Try, /*On fail goto*//*Label 2540*/ GIMT_Encode4(133756), // Rule ID 7183 //
     /* 133712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133715 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 133722 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 133725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133729 */     // MIs[0] Rn
     /* 133729 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133733 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133741 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (LDSMAXLH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXLH),
     /* 133744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133746 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133748 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133750 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133754 */     GIR_RootConstrainSelectedInstOperands,
     /* 133755 */     // GIR_Coverage, 7183,
     /* 133755 */     GIR_EraseRootFromParent_Done,
     /* 133756 */   // Label 2540: @133756
     /* 133756 */   GIM_Try, /*On fail goto*//*Label 2541*/ GIMT_Encode4(133805), // Rule ID 7184 //
     /* 133761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133764 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 133771 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 133774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133778 */     // MIs[0] Rn
     /* 133778 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133790 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (LDSMAXALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXALH),
     /* 133793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133795 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133797 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133799 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133803 */     GIR_RootConstrainSelectedInstOperands,
     /* 133804 */     // GIR_Coverage, 7184,
     /* 133804 */     GIR_EraseRootFromParent_Done,
     /* 133805 */   // Label 2541: @133805
     /* 133805 */   GIM_Try, /*On fail goto*//*Label 2542*/ GIMT_Encode4(133854), // Rule ID 7185 //
     /* 133810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133813 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 133820 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 133823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133827 */     // MIs[0] Rn
     /* 133827 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133839 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (LDSMAXALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXALH),
     /* 133842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133844 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133846 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133848 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133852 */     GIR_RootConstrainSelectedInstOperands,
     /* 133853 */     // GIR_Coverage, 7185,
     /* 133853 */     GIR_EraseRootFromParent_Done,
     /* 133854 */   // Label 2542: @133854
     /* 133854 */   GIM_Try, /*On fail goto*//*Label 2543*/ GIMT_Encode4(133903), // Rule ID 7186 //
     /* 133859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133862 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 133869 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 133872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133876 */     // MIs[0] Rn
     /* 133876 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133880 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133888 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (LDSMAXB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXB),
     /* 133891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133893 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133895 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133897 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133901 */     GIR_RootConstrainSelectedInstOperands,
     /* 133902 */     // GIR_Coverage, 7186,
     /* 133902 */     GIR_EraseRootFromParent_Done,
     /* 133903 */   // Label 2543: @133903
     /* 133903 */   GIM_Try, /*On fail goto*//*Label 2544*/ GIMT_Encode4(133952), // Rule ID 7187 //
     /* 133908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133911 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 133918 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 133921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133925 */     // MIs[0] Rn
     /* 133925 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133929 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133937 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (LDSMAXAB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXAB),
     /* 133940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133942 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133944 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133946 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133950 */     GIR_RootConstrainSelectedInstOperands,
     /* 133951 */     // GIR_Coverage, 7187,
     /* 133951 */     GIR_EraseRootFromParent_Done,
     /* 133952 */   // Label 2544: @133952
     /* 133952 */   GIM_Try, /*On fail goto*//*Label 2545*/ GIMT_Encode4(134001), // Rule ID 7188 //
     /* 133957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133960 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 133967 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 133970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133974 */     // MIs[0] Rn
     /* 133974 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133978 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133986 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (LDSMAXLB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXLB),
     /* 133989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133991 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133993 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133995 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133999 */     GIR_RootConstrainSelectedInstOperands,
     /* 134000 */     // GIR_Coverage, 7188,
     /* 134000 */     GIR_EraseRootFromParent_Done,
     /* 134001 */   // Label 2545: @134001
     /* 134001 */   GIM_Try, /*On fail goto*//*Label 2546*/ GIMT_Encode4(134050), // Rule ID 7189 //
     /* 134006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134009 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 134016 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 134019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134023 */     // MIs[0] Rn
     /* 134023 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134027 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134035 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (LDSMAXALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXALB),
     /* 134038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134040 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134042 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134044 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134048 */     GIR_RootConstrainSelectedInstOperands,
     /* 134049 */     // GIR_Coverage, 7189,
     /* 134049 */     GIR_EraseRootFromParent_Done,
     /* 134050 */   // Label 2546: @134050
     /* 134050 */   GIM_Try, /*On fail goto*//*Label 2547*/ GIMT_Encode4(134099), // Rule ID 7190 //
     /* 134055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134058 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 134065 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 134068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134072 */     // MIs[0] Rn
     /* 134072 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134076 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134084 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (LDSMAXALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXALB),
     /* 134087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134089 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134091 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134093 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134097 */     GIR_RootConstrainSelectedInstOperands,
     /* 134098 */     // GIR_Coverage, 7190,
     /* 134098 */     GIR_EraseRootFromParent_Done,
     /* 134099 */   // Label 2547: @134099
     /* 134099 */   GIM_Reject,
     /* 134100 */ // Label 2532: @134100
     /* 134100 */ GIM_Reject,
     /* 134101 */ // Label 2530: @134101
     /* 134101 */ GIM_Try, /*On fail goto*//*Label 2548*/ GIMT_Encode4(134327),
     /* 134106 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 134109 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 134116 */   GIM_Try, /*On fail goto*//*Label 2549*/ GIMT_Encode4(134158), // Rule ID 7171 //
     /* 134121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134124 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 134127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 134131 */     // MIs[0] Rn
     /* 134131 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 134143 */     // (atomic_load_max:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_monotonic>>  =>  (LDSMAXX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXX),
     /* 134146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134148 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134150 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134152 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134156 */     GIR_RootConstrainSelectedInstOperands,
     /* 134157 */     // GIR_Coverage, 7171,
     /* 134157 */     GIR_EraseRootFromParent_Done,
     /* 134158 */   // Label 2549: @134158
     /* 134158 */   GIM_Try, /*On fail goto*//*Label 2550*/ GIMT_Encode4(134200), // Rule ID 7172 //
     /* 134163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134166 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 134169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 134173 */     // MIs[0] Rn
     /* 134173 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134177 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 134185 */     // (atomic_load_max:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acquire>>  =>  (LDSMAXAX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXAX),
     /* 134188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134190 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134192 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134194 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134198 */     GIR_RootConstrainSelectedInstOperands,
     /* 134199 */     // GIR_Coverage, 7172,
     /* 134199 */     GIR_EraseRootFromParent_Done,
     /* 134200 */   // Label 2550: @134200
     /* 134200 */   GIM_Try, /*On fail goto*//*Label 2551*/ GIMT_Encode4(134242), // Rule ID 7173 //
     /* 134205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134208 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 134211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 134215 */     // MIs[0] Rn
     /* 134215 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134219 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 134227 */     // (atomic_load_max:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_release>>  =>  (LDSMAXLX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXLX),
     /* 134230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134232 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134234 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134236 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134240 */     GIR_RootConstrainSelectedInstOperands,
     /* 134241 */     // GIR_Coverage, 7173,
     /* 134241 */     GIR_EraseRootFromParent_Done,
     /* 134242 */   // Label 2551: @134242
     /* 134242 */   GIM_Try, /*On fail goto*//*Label 2552*/ GIMT_Encode4(134284), // Rule ID 7174 //
     /* 134247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134250 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 134253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 134257 */     // MIs[0] Rn
     /* 134257 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134261 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 134269 */     // (atomic_load_max:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acq_rel>>  =>  (LDSMAXALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXALX),
     /* 134272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134274 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134276 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134278 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134282 */     GIR_RootConstrainSelectedInstOperands,
     /* 134283 */     // GIR_Coverage, 7174,
     /* 134283 */     GIR_EraseRootFromParent_Done,
     /* 134284 */   // Label 2552: @134284
     /* 134284 */   GIM_Try, /*On fail goto*//*Label 2553*/ GIMT_Encode4(134326), // Rule ID 7175 //
     /* 134289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134292 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 134295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 134299 */     // MIs[0] Rn
     /* 134299 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134303 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 134311 */     // (atomic_load_max:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_seq_cst>>  =>  (LDSMAXALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXALX),
     /* 134314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134316 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134318 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134320 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134324 */     GIR_RootConstrainSelectedInstOperands,
     /* 134325 */     // GIR_Coverage, 7175,
     /* 134325 */     GIR_EraseRootFromParent_Done,
     /* 134326 */   // Label 2553: @134326
     /* 134326 */   GIM_Reject,
     /* 134327 */ // Label 2548: @134327
     /* 134327 */ GIM_Reject,
     /* 134328 */ // Label 2531: @134328
     /* 134328 */ GIM_Reject,
     /* 134329 */ // Label 28: @134329
     /* 134329 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2556*/ GIMT_Encode4(135320),
     /* 134340 */ /*GILLT_s32*//*Label 2554*/ GIMT_Encode4(134348),
     /* 134344 */ /*GILLT_s64*//*Label 2555*/ GIMT_Encode4(135093),
     /* 134348 */ // Label 2554: @134348
     /* 134348 */ GIM_Try, /*On fail goto*//*Label 2557*/ GIMT_Encode4(135092),
     /* 134353 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 134356 */   GIM_Try, /*On fail goto*//*Label 2558*/ GIMT_Encode4(134405), // Rule ID 7196 //
     /* 134361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134364 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 134371 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 134374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134378 */     // MIs[0] Rn
     /* 134378 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134382 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134390 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (LDSMINW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINW),
     /* 134393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134395 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134397 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134399 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134403 */     GIR_RootConstrainSelectedInstOperands,
     /* 134404 */     // GIR_Coverage, 7196,
     /* 134404 */     GIR_EraseRootFromParent_Done,
     /* 134405 */   // Label 2558: @134405
     /* 134405 */   GIM_Try, /*On fail goto*//*Label 2559*/ GIMT_Encode4(134454), // Rule ID 7197 //
     /* 134410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134413 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 134420 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 134423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134427 */     // MIs[0] Rn
     /* 134427 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134431 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134439 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (LDSMINAW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINAW),
     /* 134442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134444 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134446 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134448 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134452 */     GIR_RootConstrainSelectedInstOperands,
     /* 134453 */     // GIR_Coverage, 7197,
     /* 134453 */     GIR_EraseRootFromParent_Done,
     /* 134454 */   // Label 2559: @134454
     /* 134454 */   GIM_Try, /*On fail goto*//*Label 2560*/ GIMT_Encode4(134503), // Rule ID 7198 //
     /* 134459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134462 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 134469 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 134472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134476 */     // MIs[0] Rn
     /* 134476 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134480 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134488 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (LDSMINLW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINLW),
     /* 134491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134493 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134495 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134497 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134501 */     GIR_RootConstrainSelectedInstOperands,
     /* 134502 */     // GIR_Coverage, 7198,
     /* 134502 */     GIR_EraseRootFromParent_Done,
     /* 134503 */   // Label 2560: @134503
     /* 134503 */   GIM_Try, /*On fail goto*//*Label 2561*/ GIMT_Encode4(134552), // Rule ID 7199 //
     /* 134508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134511 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 134518 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 134521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134525 */     // MIs[0] Rn
     /* 134525 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134529 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134537 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (LDSMINALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINALW),
     /* 134540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134542 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134544 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134546 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134550 */     GIR_RootConstrainSelectedInstOperands,
     /* 134551 */     // GIR_Coverage, 7199,
     /* 134551 */     GIR_EraseRootFromParent_Done,
     /* 134552 */   // Label 2561: @134552
     /* 134552 */   GIM_Try, /*On fail goto*//*Label 2562*/ GIMT_Encode4(134601), // Rule ID 7200 //
     /* 134557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134560 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 134567 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 134570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134574 */     // MIs[0] Rn
     /* 134574 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134586 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (LDSMINALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINALW),
     /* 134589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134591 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134593 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134595 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134599 */     GIR_RootConstrainSelectedInstOperands,
     /* 134600 */     // GIR_Coverage, 7200,
     /* 134600 */     GIR_EraseRootFromParent_Done,
     /* 134601 */   // Label 2562: @134601
     /* 134601 */   GIM_Try, /*On fail goto*//*Label 2563*/ GIMT_Encode4(134650), // Rule ID 7201 //
     /* 134606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134609 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 134616 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 134619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134623 */     // MIs[0] Rn
     /* 134623 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134635 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (LDSMINH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINH),
     /* 134638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134640 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134642 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134644 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134648 */     GIR_RootConstrainSelectedInstOperands,
     /* 134649 */     // GIR_Coverage, 7201,
     /* 134649 */     GIR_EraseRootFromParent_Done,
     /* 134650 */   // Label 2563: @134650
     /* 134650 */   GIM_Try, /*On fail goto*//*Label 2564*/ GIMT_Encode4(134699), // Rule ID 7202 //
     /* 134655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134658 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 134665 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 134668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134672 */     // MIs[0] Rn
     /* 134672 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134684 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (LDSMINAH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINAH),
     /* 134687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134689 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134691 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134693 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134697 */     GIR_RootConstrainSelectedInstOperands,
     /* 134698 */     // GIR_Coverage, 7202,
     /* 134698 */     GIR_EraseRootFromParent_Done,
     /* 134699 */   // Label 2564: @134699
     /* 134699 */   GIM_Try, /*On fail goto*//*Label 2565*/ GIMT_Encode4(134748), // Rule ID 7203 //
     /* 134704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134707 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 134714 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 134717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134721 */     // MIs[0] Rn
     /* 134721 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134733 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (LDSMINLH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINLH),
     /* 134736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134738 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134740 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134742 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134746 */     GIR_RootConstrainSelectedInstOperands,
     /* 134747 */     // GIR_Coverage, 7203,
     /* 134747 */     GIR_EraseRootFromParent_Done,
     /* 134748 */   // Label 2565: @134748
     /* 134748 */   GIM_Try, /*On fail goto*//*Label 2566*/ GIMT_Encode4(134797), // Rule ID 7204 //
     /* 134753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134756 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 134763 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 134766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134770 */     // MIs[0] Rn
     /* 134770 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134782 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (LDSMINALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINALH),
     /* 134785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134787 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134789 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134791 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134795 */     GIR_RootConstrainSelectedInstOperands,
     /* 134796 */     // GIR_Coverage, 7204,
     /* 134796 */     GIR_EraseRootFromParent_Done,
     /* 134797 */   // Label 2566: @134797
     /* 134797 */   GIM_Try, /*On fail goto*//*Label 2567*/ GIMT_Encode4(134846), // Rule ID 7205 //
     /* 134802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134805 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 134812 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 134815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134819 */     // MIs[0] Rn
     /* 134819 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134823 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134831 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (LDSMINALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINALH),
     /* 134834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134836 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134838 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134840 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134844 */     GIR_RootConstrainSelectedInstOperands,
     /* 134845 */     // GIR_Coverage, 7205,
     /* 134845 */     GIR_EraseRootFromParent_Done,
     /* 134846 */   // Label 2567: @134846
     /* 134846 */   GIM_Try, /*On fail goto*//*Label 2568*/ GIMT_Encode4(134895), // Rule ID 7206 //
     /* 134851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134854 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 134861 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 134864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134868 */     // MIs[0] Rn
     /* 134868 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134872 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134880 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (LDSMINB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINB),
     /* 134883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134885 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134887 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134889 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134893 */     GIR_RootConstrainSelectedInstOperands,
     /* 134894 */     // GIR_Coverage, 7206,
     /* 134894 */     GIR_EraseRootFromParent_Done,
     /* 134895 */   // Label 2568: @134895
     /* 134895 */   GIM_Try, /*On fail goto*//*Label 2569*/ GIMT_Encode4(134944), // Rule ID 7207 //
     /* 134900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134903 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 134910 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 134913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134917 */     // MIs[0] Rn
     /* 134917 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134921 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134929 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (LDSMINAB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINAB),
     /* 134932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134934 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134936 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134938 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134942 */     GIR_RootConstrainSelectedInstOperands,
     /* 134943 */     // GIR_Coverage, 7207,
     /* 134943 */     GIR_EraseRootFromParent_Done,
     /* 134944 */   // Label 2569: @134944
     /* 134944 */   GIM_Try, /*On fail goto*//*Label 2570*/ GIMT_Encode4(134993), // Rule ID 7208 //
     /* 134949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134952 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 134959 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 134962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134966 */     // MIs[0] Rn
     /* 134966 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134978 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (LDSMINLB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINLB),
     /* 134981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134983 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134985 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134987 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134991 */     GIR_RootConstrainSelectedInstOperands,
     /* 134992 */     // GIR_Coverage, 7208,
     /* 134992 */     GIR_EraseRootFromParent_Done,
     /* 134993 */   // Label 2570: @134993
     /* 134993 */   GIM_Try, /*On fail goto*//*Label 2571*/ GIMT_Encode4(135042), // Rule ID 7209 //
     /* 134998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135001 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 135008 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 135011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135015 */     // MIs[0] Rn
     /* 135015 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135019 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135027 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (LDSMINALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINALB),
     /* 135030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135032 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135034 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135036 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135040 */     GIR_RootConstrainSelectedInstOperands,
     /* 135041 */     // GIR_Coverage, 7209,
     /* 135041 */     GIR_EraseRootFromParent_Done,
     /* 135042 */   // Label 2571: @135042
     /* 135042 */   GIM_Try, /*On fail goto*//*Label 2572*/ GIMT_Encode4(135091), // Rule ID 7210 //
     /* 135047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135050 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 135057 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 135060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135064 */     // MIs[0] Rn
     /* 135064 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135068 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135076 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (LDSMINALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINALB),
     /* 135079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135081 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135083 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135085 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135089 */     GIR_RootConstrainSelectedInstOperands,
     /* 135090 */     // GIR_Coverage, 7210,
     /* 135090 */     GIR_EraseRootFromParent_Done,
     /* 135091 */   // Label 2572: @135091
     /* 135091 */   GIM_Reject,
     /* 135092 */ // Label 2557: @135092
     /* 135092 */ GIM_Reject,
     /* 135093 */ // Label 2555: @135093
     /* 135093 */ GIM_Try, /*On fail goto*//*Label 2573*/ GIMT_Encode4(135319),
     /* 135098 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 135101 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 135108 */   GIM_Try, /*On fail goto*//*Label 2574*/ GIMT_Encode4(135150), // Rule ID 7191 //
     /* 135113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135116 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 135119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 135123 */     // MIs[0] Rn
     /* 135123 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135127 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 135135 */     // (atomic_load_min:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_monotonic>>  =>  (LDSMINX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINX),
     /* 135138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135140 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135142 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135144 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135148 */     GIR_RootConstrainSelectedInstOperands,
     /* 135149 */     // GIR_Coverage, 7191,
     /* 135149 */     GIR_EraseRootFromParent_Done,
     /* 135150 */   // Label 2574: @135150
     /* 135150 */   GIM_Try, /*On fail goto*//*Label 2575*/ GIMT_Encode4(135192), // Rule ID 7192 //
     /* 135155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135158 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 135161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 135165 */     // MIs[0] Rn
     /* 135165 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135169 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 135177 */     // (atomic_load_min:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acquire>>  =>  (LDSMINAX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINAX),
     /* 135180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135182 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135184 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135186 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135190 */     GIR_RootConstrainSelectedInstOperands,
     /* 135191 */     // GIR_Coverage, 7192,
     /* 135191 */     GIR_EraseRootFromParent_Done,
     /* 135192 */   // Label 2575: @135192
     /* 135192 */   GIM_Try, /*On fail goto*//*Label 2576*/ GIMT_Encode4(135234), // Rule ID 7193 //
     /* 135197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135200 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 135203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 135207 */     // MIs[0] Rn
     /* 135207 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135211 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 135219 */     // (atomic_load_min:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_release>>  =>  (LDSMINLX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINLX),
     /* 135222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135224 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135226 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135228 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135232 */     GIR_RootConstrainSelectedInstOperands,
     /* 135233 */     // GIR_Coverage, 7193,
     /* 135233 */     GIR_EraseRootFromParent_Done,
     /* 135234 */   // Label 2576: @135234
     /* 135234 */   GIM_Try, /*On fail goto*//*Label 2577*/ GIMT_Encode4(135276), // Rule ID 7194 //
     /* 135239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135242 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 135245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 135249 */     // MIs[0] Rn
     /* 135249 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 135261 */     // (atomic_load_min:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acq_rel>>  =>  (LDSMINALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINALX),
     /* 135264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135266 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135268 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135270 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135274 */     GIR_RootConstrainSelectedInstOperands,
     /* 135275 */     // GIR_Coverage, 7194,
     /* 135275 */     GIR_EraseRootFromParent_Done,
     /* 135276 */   // Label 2577: @135276
     /* 135276 */   GIM_Try, /*On fail goto*//*Label 2578*/ GIMT_Encode4(135318), // Rule ID 7195 //
     /* 135281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135284 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 135287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 135291 */     // MIs[0] Rn
     /* 135291 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135295 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 135303 */     // (atomic_load_min:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_seq_cst>>  =>  (LDSMINALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINALX),
     /* 135306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135308 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135310 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135312 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135316 */     GIR_RootConstrainSelectedInstOperands,
     /* 135317 */     // GIR_Coverage, 7195,
     /* 135317 */     GIR_EraseRootFromParent_Done,
     /* 135318 */   // Label 2578: @135318
     /* 135318 */   GIM_Reject,
     /* 135319 */ // Label 2573: @135319
     /* 135319 */ GIM_Reject,
     /* 135320 */ // Label 2556: @135320
     /* 135320 */ GIM_Reject,
     /* 135321 */ // Label 29: @135321
     /* 135321 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2581*/ GIMT_Encode4(136312),
     /* 135332 */ /*GILLT_s32*//*Label 2579*/ GIMT_Encode4(135340),
     /* 135336 */ /*GILLT_s64*//*Label 2580*/ GIMT_Encode4(136085),
     /* 135340 */ // Label 2579: @135340
     /* 135340 */ GIM_Try, /*On fail goto*//*Label 2582*/ GIMT_Encode4(136084),
     /* 135345 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 135348 */   GIM_Try, /*On fail goto*//*Label 2583*/ GIMT_Encode4(135397), // Rule ID 7216 //
     /* 135353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135356 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 135363 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 135366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135370 */     // MIs[0] Rn
     /* 135370 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135374 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135382 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (LDUMAXW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXW),
     /* 135385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135387 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135389 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135391 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135395 */     GIR_RootConstrainSelectedInstOperands,
     /* 135396 */     // GIR_Coverage, 7216,
     /* 135396 */     GIR_EraseRootFromParent_Done,
     /* 135397 */   // Label 2583: @135397
     /* 135397 */   GIM_Try, /*On fail goto*//*Label 2584*/ GIMT_Encode4(135446), // Rule ID 7217 //
     /* 135402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135405 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 135412 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 135415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135419 */     // MIs[0] Rn
     /* 135419 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135423 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135431 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (LDUMAXAW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXAW),
     /* 135434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135436 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135438 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135440 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135444 */     GIR_RootConstrainSelectedInstOperands,
     /* 135445 */     // GIR_Coverage, 7217,
     /* 135445 */     GIR_EraseRootFromParent_Done,
     /* 135446 */   // Label 2584: @135446
     /* 135446 */   GIM_Try, /*On fail goto*//*Label 2585*/ GIMT_Encode4(135495), // Rule ID 7218 //
     /* 135451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135454 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 135461 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 135464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135468 */     // MIs[0] Rn
     /* 135468 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135472 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135480 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (LDUMAXLW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXLW),
     /* 135483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135485 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135487 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135489 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135493 */     GIR_RootConstrainSelectedInstOperands,
     /* 135494 */     // GIR_Coverage, 7218,
     /* 135494 */     GIR_EraseRootFromParent_Done,
     /* 135495 */   // Label 2585: @135495
     /* 135495 */   GIM_Try, /*On fail goto*//*Label 2586*/ GIMT_Encode4(135544), // Rule ID 7219 //
     /* 135500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135503 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 135510 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 135513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135517 */     // MIs[0] Rn
     /* 135517 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135521 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135529 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (LDUMAXALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXALW),
     /* 135532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135534 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135536 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135538 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135542 */     GIR_RootConstrainSelectedInstOperands,
     /* 135543 */     // GIR_Coverage, 7219,
     /* 135543 */     GIR_EraseRootFromParent_Done,
     /* 135544 */   // Label 2586: @135544
     /* 135544 */   GIM_Try, /*On fail goto*//*Label 2587*/ GIMT_Encode4(135593), // Rule ID 7220 //
     /* 135549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135552 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 135559 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 135562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135566 */     // MIs[0] Rn
     /* 135566 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135578 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (LDUMAXALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXALW),
     /* 135581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135583 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135585 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135587 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135591 */     GIR_RootConstrainSelectedInstOperands,
     /* 135592 */     // GIR_Coverage, 7220,
     /* 135592 */     GIR_EraseRootFromParent_Done,
     /* 135593 */   // Label 2587: @135593
     /* 135593 */   GIM_Try, /*On fail goto*//*Label 2588*/ GIMT_Encode4(135642), // Rule ID 7221 //
     /* 135598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135601 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 135608 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 135611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135615 */     // MIs[0] Rn
     /* 135615 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135627 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (LDUMAXH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXH),
     /* 135630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135632 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135634 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135636 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135640 */     GIR_RootConstrainSelectedInstOperands,
     /* 135641 */     // GIR_Coverage, 7221,
     /* 135641 */     GIR_EraseRootFromParent_Done,
     /* 135642 */   // Label 2588: @135642
     /* 135642 */   GIM_Try, /*On fail goto*//*Label 2589*/ GIMT_Encode4(135691), // Rule ID 7222 //
     /* 135647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135650 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 135657 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 135660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135664 */     // MIs[0] Rn
     /* 135664 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135668 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135676 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (LDUMAXAH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXAH),
     /* 135679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135681 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135683 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135685 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135689 */     GIR_RootConstrainSelectedInstOperands,
     /* 135690 */     // GIR_Coverage, 7222,
     /* 135690 */     GIR_EraseRootFromParent_Done,
     /* 135691 */   // Label 2589: @135691
     /* 135691 */   GIM_Try, /*On fail goto*//*Label 2590*/ GIMT_Encode4(135740), // Rule ID 7223 //
     /* 135696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135699 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 135706 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 135709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135713 */     // MIs[0] Rn
     /* 135713 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135725 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (LDUMAXLH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXLH),
     /* 135728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135730 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135732 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135734 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135738 */     GIR_RootConstrainSelectedInstOperands,
     /* 135739 */     // GIR_Coverage, 7223,
     /* 135739 */     GIR_EraseRootFromParent_Done,
     /* 135740 */   // Label 2590: @135740
     /* 135740 */   GIM_Try, /*On fail goto*//*Label 2591*/ GIMT_Encode4(135789), // Rule ID 7224 //
     /* 135745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135748 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 135755 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 135758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135762 */     // MIs[0] Rn
     /* 135762 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135774 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (LDUMAXALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXALH),
     /* 135777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135779 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135781 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135783 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135787 */     GIR_RootConstrainSelectedInstOperands,
     /* 135788 */     // GIR_Coverage, 7224,
     /* 135788 */     GIR_EraseRootFromParent_Done,
     /* 135789 */   // Label 2591: @135789
     /* 135789 */   GIM_Try, /*On fail goto*//*Label 2592*/ GIMT_Encode4(135838), // Rule ID 7225 //
     /* 135794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135797 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 135804 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 135807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135811 */     // MIs[0] Rn
     /* 135811 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135823 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (LDUMAXALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXALH),
     /* 135826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135828 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135830 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135832 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135836 */     GIR_RootConstrainSelectedInstOperands,
     /* 135837 */     // GIR_Coverage, 7225,
     /* 135837 */     GIR_EraseRootFromParent_Done,
     /* 135838 */   // Label 2592: @135838
     /* 135838 */   GIM_Try, /*On fail goto*//*Label 2593*/ GIMT_Encode4(135887), // Rule ID 7226 //
     /* 135843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135846 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 135853 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 135856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135860 */     // MIs[0] Rn
     /* 135860 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135872 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (LDUMAXB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXB),
     /* 135875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135877 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135879 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135881 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135885 */     GIR_RootConstrainSelectedInstOperands,
     /* 135886 */     // GIR_Coverage, 7226,
     /* 135886 */     GIR_EraseRootFromParent_Done,
     /* 135887 */   // Label 2593: @135887
     /* 135887 */   GIM_Try, /*On fail goto*//*Label 2594*/ GIMT_Encode4(135936), // Rule ID 7227 //
     /* 135892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135895 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 135902 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 135905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135909 */     // MIs[0] Rn
     /* 135909 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135913 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135921 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (LDUMAXAB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXAB),
     /* 135924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135926 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135928 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135930 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135934 */     GIR_RootConstrainSelectedInstOperands,
     /* 135935 */     // GIR_Coverage, 7227,
     /* 135935 */     GIR_EraseRootFromParent_Done,
     /* 135936 */   // Label 2594: @135936
     /* 135936 */   GIM_Try, /*On fail goto*//*Label 2595*/ GIMT_Encode4(135985), // Rule ID 7228 //
     /* 135941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135944 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 135951 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 135954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135958 */     // MIs[0] Rn
     /* 135958 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135970 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (LDUMAXLB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXLB),
     /* 135973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135975 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135977 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135979 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135983 */     GIR_RootConstrainSelectedInstOperands,
     /* 135984 */     // GIR_Coverage, 7228,
     /* 135984 */     GIR_EraseRootFromParent_Done,
     /* 135985 */   // Label 2595: @135985
     /* 135985 */   GIM_Try, /*On fail goto*//*Label 2596*/ GIMT_Encode4(136034), // Rule ID 7229 //
     /* 135990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135993 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 136000 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 136003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136007 */     // MIs[0] Rn
     /* 136007 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136019 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (LDUMAXALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXALB),
     /* 136022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136024 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136026 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136028 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136032 */     GIR_RootConstrainSelectedInstOperands,
     /* 136033 */     // GIR_Coverage, 7229,
     /* 136033 */     GIR_EraseRootFromParent_Done,
     /* 136034 */   // Label 2596: @136034
     /* 136034 */   GIM_Try, /*On fail goto*//*Label 2597*/ GIMT_Encode4(136083), // Rule ID 7230 //
     /* 136039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136042 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 136049 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 136052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136056 */     // MIs[0] Rn
     /* 136056 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136060 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136068 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (LDUMAXALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXALB),
     /* 136071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136073 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136075 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136077 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136081 */     GIR_RootConstrainSelectedInstOperands,
     /* 136082 */     // GIR_Coverage, 7230,
     /* 136082 */     GIR_EraseRootFromParent_Done,
     /* 136083 */   // Label 2597: @136083
     /* 136083 */   GIM_Reject,
     /* 136084 */ // Label 2582: @136084
     /* 136084 */ GIM_Reject,
     /* 136085 */ // Label 2580: @136085
     /* 136085 */ GIM_Try, /*On fail goto*//*Label 2598*/ GIMT_Encode4(136311),
     /* 136090 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 136093 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 136100 */   GIM_Try, /*On fail goto*//*Label 2599*/ GIMT_Encode4(136142), // Rule ID 7211 //
     /* 136105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136108 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 136111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 136115 */     // MIs[0] Rn
     /* 136115 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136119 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 136127 */     // (atomic_load_umax:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_monotonic>>  =>  (LDUMAXX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXX),
     /* 136130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136132 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136134 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136136 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136140 */     GIR_RootConstrainSelectedInstOperands,
     /* 136141 */     // GIR_Coverage, 7211,
     /* 136141 */     GIR_EraseRootFromParent_Done,
     /* 136142 */   // Label 2599: @136142
     /* 136142 */   GIM_Try, /*On fail goto*//*Label 2600*/ GIMT_Encode4(136184), // Rule ID 7212 //
     /* 136147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136150 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 136153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 136157 */     // MIs[0] Rn
     /* 136157 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136161 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 136169 */     // (atomic_load_umax:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acquire>>  =>  (LDUMAXAX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXAX),
     /* 136172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136174 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136176 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136178 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136182 */     GIR_RootConstrainSelectedInstOperands,
     /* 136183 */     // GIR_Coverage, 7212,
     /* 136183 */     GIR_EraseRootFromParent_Done,
     /* 136184 */   // Label 2600: @136184
     /* 136184 */   GIM_Try, /*On fail goto*//*Label 2601*/ GIMT_Encode4(136226), // Rule ID 7213 //
     /* 136189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136192 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 136195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 136199 */     // MIs[0] Rn
     /* 136199 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136203 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 136211 */     // (atomic_load_umax:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_release>>  =>  (LDUMAXLX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXLX),
     /* 136214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136216 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136218 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136220 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136224 */     GIR_RootConstrainSelectedInstOperands,
     /* 136225 */     // GIR_Coverage, 7213,
     /* 136225 */     GIR_EraseRootFromParent_Done,
     /* 136226 */   // Label 2601: @136226
     /* 136226 */   GIM_Try, /*On fail goto*//*Label 2602*/ GIMT_Encode4(136268), // Rule ID 7214 //
     /* 136231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136234 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 136237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 136241 */     // MIs[0] Rn
     /* 136241 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 136253 */     // (atomic_load_umax:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acq_rel>>  =>  (LDUMAXALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXALX),
     /* 136256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136258 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136260 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136262 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136266 */     GIR_RootConstrainSelectedInstOperands,
     /* 136267 */     // GIR_Coverage, 7214,
     /* 136267 */     GIR_EraseRootFromParent_Done,
     /* 136268 */   // Label 2602: @136268
     /* 136268 */   GIM_Try, /*On fail goto*//*Label 2603*/ GIMT_Encode4(136310), // Rule ID 7215 //
     /* 136273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136276 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 136279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 136283 */     // MIs[0] Rn
     /* 136283 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136287 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 136295 */     // (atomic_load_umax:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_seq_cst>>  =>  (LDUMAXALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXALX),
     /* 136298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136300 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136302 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136304 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136308 */     GIR_RootConstrainSelectedInstOperands,
     /* 136309 */     // GIR_Coverage, 7215,
     /* 136309 */     GIR_EraseRootFromParent_Done,
     /* 136310 */   // Label 2603: @136310
     /* 136310 */   GIM_Reject,
     /* 136311 */ // Label 2598: @136311
     /* 136311 */ GIM_Reject,
     /* 136312 */ // Label 2581: @136312
     /* 136312 */ GIM_Reject,
     /* 136313 */ // Label 30: @136313
     /* 136313 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2606*/ GIMT_Encode4(137304),
     /* 136324 */ /*GILLT_s32*//*Label 2604*/ GIMT_Encode4(136332),
     /* 136328 */ /*GILLT_s64*//*Label 2605*/ GIMT_Encode4(137077),
     /* 136332 */ // Label 2604: @136332
     /* 136332 */ GIM_Try, /*On fail goto*//*Label 2607*/ GIMT_Encode4(137076),
     /* 136337 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 136340 */   GIM_Try, /*On fail goto*//*Label 2608*/ GIMT_Encode4(136389), // Rule ID 7236 //
     /* 136345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136348 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 136355 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 136358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136362 */     // MIs[0] Rn
     /* 136362 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136366 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136374 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (LDUMINW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINW),
     /* 136377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136379 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136381 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136383 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136387 */     GIR_RootConstrainSelectedInstOperands,
     /* 136388 */     // GIR_Coverage, 7236,
     /* 136388 */     GIR_EraseRootFromParent_Done,
     /* 136389 */   // Label 2608: @136389
     /* 136389 */   GIM_Try, /*On fail goto*//*Label 2609*/ GIMT_Encode4(136438), // Rule ID 7237 //
     /* 136394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136397 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 136404 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 136407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136411 */     // MIs[0] Rn
     /* 136411 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136415 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136423 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (LDUMINAW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINAW),
     /* 136426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136428 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136430 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136432 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136436 */     GIR_RootConstrainSelectedInstOperands,
     /* 136437 */     // GIR_Coverage, 7237,
     /* 136437 */     GIR_EraseRootFromParent_Done,
     /* 136438 */   // Label 2609: @136438
     /* 136438 */   GIM_Try, /*On fail goto*//*Label 2610*/ GIMT_Encode4(136487), // Rule ID 7238 //
     /* 136443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136446 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 136453 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 136456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136460 */     // MIs[0] Rn
     /* 136460 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136472 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (LDUMINLW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINLW),
     /* 136475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136477 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136479 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136481 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136485 */     GIR_RootConstrainSelectedInstOperands,
     /* 136486 */     // GIR_Coverage, 7238,
     /* 136486 */     GIR_EraseRootFromParent_Done,
     /* 136487 */   // Label 2610: @136487
     /* 136487 */   GIM_Try, /*On fail goto*//*Label 2611*/ GIMT_Encode4(136536), // Rule ID 7239 //
     /* 136492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136495 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 136502 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 136505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136509 */     // MIs[0] Rn
     /* 136509 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136513 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136521 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (LDUMINALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINALW),
     /* 136524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136526 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136528 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136530 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136534 */     GIR_RootConstrainSelectedInstOperands,
     /* 136535 */     // GIR_Coverage, 7239,
     /* 136535 */     GIR_EraseRootFromParent_Done,
     /* 136536 */   // Label 2611: @136536
     /* 136536 */   GIM_Try, /*On fail goto*//*Label 2612*/ GIMT_Encode4(136585), // Rule ID 7240 //
     /* 136541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136544 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 136551 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 136554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136558 */     // MIs[0] Rn
     /* 136558 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136562 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136570 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (LDUMINALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINALW),
     /* 136573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136575 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136577 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136579 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136583 */     GIR_RootConstrainSelectedInstOperands,
     /* 136584 */     // GIR_Coverage, 7240,
     /* 136584 */     GIR_EraseRootFromParent_Done,
     /* 136585 */   // Label 2612: @136585
     /* 136585 */   GIM_Try, /*On fail goto*//*Label 2613*/ GIMT_Encode4(136634), // Rule ID 7241 //
     /* 136590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136593 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 136600 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 136603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136607 */     // MIs[0] Rn
     /* 136607 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136619 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (LDUMINH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINH),
     /* 136622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136624 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136626 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136628 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136632 */     GIR_RootConstrainSelectedInstOperands,
     /* 136633 */     // GIR_Coverage, 7241,
     /* 136633 */     GIR_EraseRootFromParent_Done,
     /* 136634 */   // Label 2613: @136634
     /* 136634 */   GIM_Try, /*On fail goto*//*Label 2614*/ GIMT_Encode4(136683), // Rule ID 7242 //
     /* 136639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136642 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 136649 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 136652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136656 */     // MIs[0] Rn
     /* 136656 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136668 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (LDUMINAH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINAH),
     /* 136671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136673 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136675 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136677 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136681 */     GIR_RootConstrainSelectedInstOperands,
     /* 136682 */     // GIR_Coverage, 7242,
     /* 136682 */     GIR_EraseRootFromParent_Done,
     /* 136683 */   // Label 2614: @136683
     /* 136683 */   GIM_Try, /*On fail goto*//*Label 2615*/ GIMT_Encode4(136732), // Rule ID 7243 //
     /* 136688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136691 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 136698 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 136701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136705 */     // MIs[0] Rn
     /* 136705 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136709 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136717 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (LDUMINLH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINLH),
     /* 136720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136722 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136724 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136726 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136730 */     GIR_RootConstrainSelectedInstOperands,
     /* 136731 */     // GIR_Coverage, 7243,
     /* 136731 */     GIR_EraseRootFromParent_Done,
     /* 136732 */   // Label 2615: @136732
     /* 136732 */   GIM_Try, /*On fail goto*//*Label 2616*/ GIMT_Encode4(136781), // Rule ID 7244 //
     /* 136737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136740 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 136747 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 136750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136754 */     // MIs[0] Rn
     /* 136754 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136758 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136766 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (LDUMINALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINALH),
     /* 136769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136771 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136773 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136775 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136779 */     GIR_RootConstrainSelectedInstOperands,
     /* 136780 */     // GIR_Coverage, 7244,
     /* 136780 */     GIR_EraseRootFromParent_Done,
     /* 136781 */   // Label 2616: @136781
     /* 136781 */   GIM_Try, /*On fail goto*//*Label 2617*/ GIMT_Encode4(136830), // Rule ID 7245 //
     /* 136786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136789 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 136796 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 136799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136803 */     // MIs[0] Rn
     /* 136803 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136815 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (LDUMINALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINALH),
     /* 136818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136820 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136822 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136824 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136828 */     GIR_RootConstrainSelectedInstOperands,
     /* 136829 */     // GIR_Coverage, 7245,
     /* 136829 */     GIR_EraseRootFromParent_Done,
     /* 136830 */   // Label 2617: @136830
     /* 136830 */   GIM_Try, /*On fail goto*//*Label 2618*/ GIMT_Encode4(136879), // Rule ID 7246 //
     /* 136835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136838 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 136845 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 136848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136852 */     // MIs[0] Rn
     /* 136852 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136864 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (LDUMINB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINB),
     /* 136867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136869 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136871 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136873 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136877 */     GIR_RootConstrainSelectedInstOperands,
     /* 136878 */     // GIR_Coverage, 7246,
     /* 136878 */     GIR_EraseRootFromParent_Done,
     /* 136879 */   // Label 2618: @136879
     /* 136879 */   GIM_Try, /*On fail goto*//*Label 2619*/ GIMT_Encode4(136928), // Rule ID 7247 //
     /* 136884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136887 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 136894 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 136897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136901 */     // MIs[0] Rn
     /* 136901 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136913 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (LDUMINAB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINAB),
     /* 136916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136918 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136920 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136922 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136926 */     GIR_RootConstrainSelectedInstOperands,
     /* 136927 */     // GIR_Coverage, 7247,
     /* 136927 */     GIR_EraseRootFromParent_Done,
     /* 136928 */   // Label 2619: @136928
     /* 136928 */   GIM_Try, /*On fail goto*//*Label 2620*/ GIMT_Encode4(136977), // Rule ID 7248 //
     /* 136933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136936 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 136943 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 136946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136950 */     // MIs[0] Rn
     /* 136950 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136962 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (LDUMINLB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINLB),
     /* 136965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136967 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136969 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136971 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136975 */     GIR_RootConstrainSelectedInstOperands,
     /* 136976 */     // GIR_Coverage, 7248,
     /* 136976 */     GIR_EraseRootFromParent_Done,
     /* 136977 */   // Label 2620: @136977
     /* 136977 */   GIM_Try, /*On fail goto*//*Label 2621*/ GIMT_Encode4(137026), // Rule ID 7249 //
     /* 136982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136985 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 136992 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 136995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136999 */     // MIs[0] Rn
     /* 136999 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137003 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137011 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (LDUMINALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINALB),
     /* 137014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137016 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137018 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137020 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137024 */     GIR_RootConstrainSelectedInstOperands,
     /* 137025 */     // GIR_Coverage, 7249,
     /* 137025 */     GIR_EraseRootFromParent_Done,
     /* 137026 */   // Label 2621: @137026
     /* 137026 */   GIM_Try, /*On fail goto*//*Label 2622*/ GIMT_Encode4(137075), // Rule ID 7250 //
     /* 137031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137034 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 137041 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 137044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137048 */     // MIs[0] Rn
     /* 137048 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137052 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137060 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (LDUMINALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINALB),
     /* 137063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137065 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137067 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137069 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137073 */     GIR_RootConstrainSelectedInstOperands,
     /* 137074 */     // GIR_Coverage, 7250,
     /* 137074 */     GIR_EraseRootFromParent_Done,
     /* 137075 */   // Label 2622: @137075
     /* 137075 */   GIM_Reject,
     /* 137076 */ // Label 2607: @137076
     /* 137076 */ GIM_Reject,
     /* 137077 */ // Label 2605: @137077
     /* 137077 */ GIM_Try, /*On fail goto*//*Label 2623*/ GIMT_Encode4(137303),
     /* 137082 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 137085 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 137092 */   GIM_Try, /*On fail goto*//*Label 2624*/ GIMT_Encode4(137134), // Rule ID 7231 //
     /* 137097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137100 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 137103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 137107 */     // MIs[0] Rn
     /* 137107 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137111 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 137119 */     // (atomic_load_umin:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_monotonic>>  =>  (LDUMINX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINX),
     /* 137122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137124 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137126 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137128 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137132 */     GIR_RootConstrainSelectedInstOperands,
     /* 137133 */     // GIR_Coverage, 7231,
     /* 137133 */     GIR_EraseRootFromParent_Done,
     /* 137134 */   // Label 2624: @137134
     /* 137134 */   GIM_Try, /*On fail goto*//*Label 2625*/ GIMT_Encode4(137176), // Rule ID 7232 //
     /* 137139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137142 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 137145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 137149 */     // MIs[0] Rn
     /* 137149 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 137161 */     // (atomic_load_umin:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acquire>>  =>  (LDUMINAX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINAX),
     /* 137164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137166 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137168 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137170 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137174 */     GIR_RootConstrainSelectedInstOperands,
     /* 137175 */     // GIR_Coverage, 7232,
     /* 137175 */     GIR_EraseRootFromParent_Done,
     /* 137176 */   // Label 2625: @137176
     /* 137176 */   GIM_Try, /*On fail goto*//*Label 2626*/ GIMT_Encode4(137218), // Rule ID 7233 //
     /* 137181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137184 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 137187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 137191 */     // MIs[0] Rn
     /* 137191 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 137203 */     // (atomic_load_umin:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_release>>  =>  (LDUMINLX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINLX),
     /* 137206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137208 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137210 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137212 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137216 */     GIR_RootConstrainSelectedInstOperands,
     /* 137217 */     // GIR_Coverage, 7233,
     /* 137217 */     GIR_EraseRootFromParent_Done,
     /* 137218 */   // Label 2626: @137218
     /* 137218 */   GIM_Try, /*On fail goto*//*Label 2627*/ GIMT_Encode4(137260), // Rule ID 7234 //
     /* 137223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137226 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 137229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 137233 */     // MIs[0] Rn
     /* 137233 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137237 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 137245 */     // (atomic_load_umin:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acq_rel>>  =>  (LDUMINALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINALX),
     /* 137248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137250 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137252 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137254 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137258 */     GIR_RootConstrainSelectedInstOperands,
     /* 137259 */     // GIR_Coverage, 7234,
     /* 137259 */     GIR_EraseRootFromParent_Done,
     /* 137260 */   // Label 2627: @137260
     /* 137260 */   GIM_Try, /*On fail goto*//*Label 2628*/ GIMT_Encode4(137302), // Rule ID 7235 //
     /* 137265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137268 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 137271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 137275 */     // MIs[0] Rn
     /* 137275 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137279 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 137287 */     // (atomic_load_umin:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_seq_cst>>  =>  (LDUMINALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINALX),
     /* 137290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137292 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137294 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137296 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137300 */     GIR_RootConstrainSelectedInstOperands,
     /* 137301 */     // GIR_Coverage, 7235,
     /* 137301 */     GIR_EraseRootFromParent_Done,
     /* 137302 */   // Label 2628: @137302
     /* 137302 */   GIM_Reject,
     /* 137303 */ // Label 2623: @137303
     /* 137303 */ GIM_Reject,
     /* 137304 */ // Label 2606: @137304
     /* 137304 */ GIM_Reject,
     /* 137305 */ // Label 31: @137305
     /* 137305 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 2632*/ GIMT_Encode4(138009),
     /* 137316 */ /*GILLT_s16*//*Label 2629*/ GIMT_Encode4(137328),
     /* 137320 */ /*GILLT_s32*//*Label 2630*/ GIMT_Encode4(137555),
     /* 137324 */ /*GILLT_s64*//*Label 2631*/ GIMT_Encode4(137782),
     /* 137328 */ // Label 2629: @137328
     /* 137328 */ GIM_Try, /*On fail goto*//*Label 2633*/ GIMT_Encode4(137554),
     /* 137333 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 137336 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 137343 */   GIM_Try, /*On fail goto*//*Label 2634*/ GIMT_Encode4(137385), // Rule ID 2584 //
     /* 137348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 137351 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 137354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 137358 */     // MIs[0] Rn
     /* 137358 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137362 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 137370 */     // (atomic_load_fadd:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fadd_f16>><<P:Predicate_atomic_load_fadd_f16_monotonic>>  =>  (LDFADDH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 137370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDH),
     /* 137373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137375 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137377 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137379 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137383 */     GIR_RootConstrainSelectedInstOperands,
     /* 137384 */     // GIR_Coverage, 2584,
     /* 137384 */     GIR_EraseRootFromParent_Done,
     /* 137385 */   // Label 2634: @137385
     /* 137385 */   GIM_Try, /*On fail goto*//*Label 2635*/ GIMT_Encode4(137427), // Rule ID 2585 //
     /* 137390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 137393 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 137396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 137400 */     // MIs[0] Rn
     /* 137400 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137404 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 137412 */     // (atomic_load_fadd:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fadd_f16>><<P:Predicate_atomic_load_fadd_f16_acquire>>  =>  (LDFADDAH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 137412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDAH),
     /* 137415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137417 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137419 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137421 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137425 */     GIR_RootConstrainSelectedInstOperands,
     /* 137426 */     // GIR_Coverage, 2585,
     /* 137426 */     GIR_EraseRootFromParent_Done,
     /* 137427 */   // Label 2635: @137427
     /* 137427 */   GIM_Try, /*On fail goto*//*Label 2636*/ GIMT_Encode4(137469), // Rule ID 2586 //
     /* 137432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 137435 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 137438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 137442 */     // MIs[0] Rn
     /* 137442 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 137454 */     // (atomic_load_fadd:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fadd_f16>><<P:Predicate_atomic_load_fadd_f16_release>>  =>  (LDFADDLH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 137454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDLH),
     /* 137457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137459 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137461 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137463 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137467 */     GIR_RootConstrainSelectedInstOperands,
     /* 137468 */     // GIR_Coverage, 2586,
     /* 137468 */     GIR_EraseRootFromParent_Done,
     /* 137469 */   // Label 2636: @137469
     /* 137469 */   GIM_Try, /*On fail goto*//*Label 2637*/ GIMT_Encode4(137511), // Rule ID 2587 //
     /* 137474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 137477 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 137480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 137484 */     // MIs[0] Rn
     /* 137484 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137488 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 137496 */     // (atomic_load_fadd:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fadd_f16>><<P:Predicate_atomic_load_fadd_f16_acq_rel>>  =>  (LDFADDALH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 137496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDALH),
     /* 137499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137501 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137503 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137505 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137509 */     GIR_RootConstrainSelectedInstOperands,
     /* 137510 */     // GIR_Coverage, 2587,
     /* 137510 */     GIR_EraseRootFromParent_Done,
     /* 137511 */   // Label 2637: @137511
     /* 137511 */   GIM_Try, /*On fail goto*//*Label 2638*/ GIMT_Encode4(137553), // Rule ID 2588 //
     /* 137516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 137519 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 137522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 137526 */     // MIs[0] Rn
     /* 137526 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137530 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 137538 */     // (atomic_load_fadd:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fadd_f16>><<P:Predicate_atomic_load_fadd_f16_seq_cst>>  =>  (LDFADDALH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 137538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDALH),
     /* 137541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137543 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137545 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137547 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137551 */     GIR_RootConstrainSelectedInstOperands,
     /* 137552 */     // GIR_Coverage, 2588,
     /* 137552 */     GIR_EraseRootFromParent_Done,
     /* 137553 */   // Label 2638: @137553
     /* 137553 */   GIM_Reject,
     /* 137554 */ // Label 2633: @137554
     /* 137554 */ GIM_Reject,
     /* 137555 */ // Label 2630: @137555
     /* 137555 */ GIM_Try, /*On fail goto*//*Label 2639*/ GIMT_Encode4(137781),
     /* 137560 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 137563 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 137570 */   GIM_Try, /*On fail goto*//*Label 2640*/ GIMT_Encode4(137612), // Rule ID 7326 //
     /* 137575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 137578 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 137581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 137585 */     // MIs[0] Rn
     /* 137585 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137589 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 137597 */     // (atomic_load_fadd:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fadd_f32>><<P:Predicate_atomic_load_fadd_f32_monotonic>>  =>  (LDFADDS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 137597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDS),
     /* 137600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137602 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137604 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137606 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137610 */     GIR_RootConstrainSelectedInstOperands,
     /* 137611 */     // GIR_Coverage, 7326,
     /* 137611 */     GIR_EraseRootFromParent_Done,
     /* 137612 */   // Label 2640: @137612
     /* 137612 */   GIM_Try, /*On fail goto*//*Label 2641*/ GIMT_Encode4(137654), // Rule ID 7327 //
     /* 137617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 137620 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 137623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 137627 */     // MIs[0] Rn
     /* 137627 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137631 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 137639 */     // (atomic_load_fadd:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fadd_f32>><<P:Predicate_atomic_load_fadd_f32_acquire>>  =>  (LDFADDAS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 137639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDAS),
     /* 137642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137644 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137646 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137648 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137652 */     GIR_RootConstrainSelectedInstOperands,
     /* 137653 */     // GIR_Coverage, 7327,
     /* 137653 */     GIR_EraseRootFromParent_Done,
     /* 137654 */   // Label 2641: @137654
     /* 137654 */   GIM_Try, /*On fail goto*//*Label 2642*/ GIMT_Encode4(137696), // Rule ID 7328 //
     /* 137659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 137662 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 137665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 137669 */     // MIs[0] Rn
     /* 137669 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 137681 */     // (atomic_load_fadd:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fadd_f32>><<P:Predicate_atomic_load_fadd_f32_release>>  =>  (LDFADDLS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 137681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDLS),
     /* 137684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137686 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137688 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137690 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137694 */     GIR_RootConstrainSelectedInstOperands,
     /* 137695 */     // GIR_Coverage, 7328,
     /* 137695 */     GIR_EraseRootFromParent_Done,
     /* 137696 */   // Label 2642: @137696
     /* 137696 */   GIM_Try, /*On fail goto*//*Label 2643*/ GIMT_Encode4(137738), // Rule ID 7329 //
     /* 137701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 137704 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 137707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 137711 */     // MIs[0] Rn
     /* 137711 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137715 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 137723 */     // (atomic_load_fadd:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fadd_f32>><<P:Predicate_atomic_load_fadd_f32_acq_rel>>  =>  (LDFADDALS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 137723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDALS),
     /* 137726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137728 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137730 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137732 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137736 */     GIR_RootConstrainSelectedInstOperands,
     /* 137737 */     // GIR_Coverage, 7329,
     /* 137737 */     GIR_EraseRootFromParent_Done,
     /* 137738 */   // Label 2643: @137738
     /* 137738 */   GIM_Try, /*On fail goto*//*Label 2644*/ GIMT_Encode4(137780), // Rule ID 7330 //
     /* 137743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 137746 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 137749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 137753 */     // MIs[0] Rn
     /* 137753 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137757 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 137765 */     // (atomic_load_fadd:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fadd_f32>><<P:Predicate_atomic_load_fadd_f32_seq_cst>>  =>  (LDFADDALS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 137765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDALS),
     /* 137768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137770 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137772 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137774 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137778 */     GIR_RootConstrainSelectedInstOperands,
     /* 137779 */     // GIR_Coverage, 7330,
     /* 137779 */     GIR_EraseRootFromParent_Done,
     /* 137780 */   // Label 2644: @137780
     /* 137780 */   GIM_Reject,
     /* 137781 */ // Label 2639: @137781
     /* 137781 */ GIM_Reject,
     /* 137782 */ // Label 2631: @137782
     /* 137782 */ GIM_Try, /*On fail goto*//*Label 2645*/ GIMT_Encode4(138008),
     /* 137787 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 137790 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 137797 */   GIM_Try, /*On fail goto*//*Label 2646*/ GIMT_Encode4(137839), // Rule ID 7331 //
     /* 137802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 137805 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 137808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137812 */     // MIs[0] Rn
     /* 137812 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137816 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137824 */     // (atomic_load_fadd:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fadd_f64>><<P:Predicate_atomic_load_fadd_f64_monotonic>>  =>  (LDFADDD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 137824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDD),
     /* 137827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137829 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137831 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137833 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137837 */     GIR_RootConstrainSelectedInstOperands,
     /* 137838 */     // GIR_Coverage, 7331,
     /* 137838 */     GIR_EraseRootFromParent_Done,
     /* 137839 */   // Label 2646: @137839
     /* 137839 */   GIM_Try, /*On fail goto*//*Label 2647*/ GIMT_Encode4(137881), // Rule ID 7332 //
     /* 137844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 137847 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 137850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137854 */     // MIs[0] Rn
     /* 137854 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137858 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137866 */     // (atomic_load_fadd:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fadd_f64>><<P:Predicate_atomic_load_fadd_f64_acquire>>  =>  (LDFADDAD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 137866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDAD),
     /* 137869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137871 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137873 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137875 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137879 */     GIR_RootConstrainSelectedInstOperands,
     /* 137880 */     // GIR_Coverage, 7332,
     /* 137880 */     GIR_EraseRootFromParent_Done,
     /* 137881 */   // Label 2647: @137881
     /* 137881 */   GIM_Try, /*On fail goto*//*Label 2648*/ GIMT_Encode4(137923), // Rule ID 7333 //
     /* 137886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 137889 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 137892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137896 */     // MIs[0] Rn
     /* 137896 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137900 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137908 */     // (atomic_load_fadd:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fadd_f64>><<P:Predicate_atomic_load_fadd_f64_release>>  =>  (LDFADDLD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 137908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDLD),
     /* 137911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137913 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137915 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137917 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137921 */     GIR_RootConstrainSelectedInstOperands,
     /* 137922 */     // GIR_Coverage, 7333,
     /* 137922 */     GIR_EraseRootFromParent_Done,
     /* 137923 */   // Label 2648: @137923
     /* 137923 */   GIM_Try, /*On fail goto*//*Label 2649*/ GIMT_Encode4(137965), // Rule ID 7334 //
     /* 137928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 137931 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 137934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137938 */     // MIs[0] Rn
     /* 137938 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137942 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137950 */     // (atomic_load_fadd:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fadd_f64>><<P:Predicate_atomic_load_fadd_f64_acq_rel>>  =>  (LDFADDALD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 137950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDALD),
     /* 137953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137955 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137957 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137959 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137963 */     GIR_RootConstrainSelectedInstOperands,
     /* 137964 */     // GIR_Coverage, 7334,
     /* 137964 */     GIR_EraseRootFromParent_Done,
     /* 137965 */   // Label 2649: @137965
     /* 137965 */   GIM_Try, /*On fail goto*//*Label 2650*/ GIMT_Encode4(138007), // Rule ID 7335 //
     /* 137970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 137973 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 137976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137980 */     // MIs[0] Rn
     /* 137980 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137984 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 137992 */     // (atomic_load_fadd:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fadd_f64>><<P:Predicate_atomic_load_fadd_f64_seq_cst>>  =>  (LDFADDALD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 137992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDALD),
     /* 137995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137997 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137999 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138001 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138005 */     GIR_RootConstrainSelectedInstOperands,
     /* 138006 */     // GIR_Coverage, 7335,
     /* 138006 */     GIR_EraseRootFromParent_Done,
     /* 138007 */   // Label 2650: @138007
     /* 138007 */   GIM_Reject,
     /* 138008 */ // Label 2645: @138008
     /* 138008 */ GIM_Reject,
     /* 138009 */ // Label 2632: @138009
     /* 138009 */ GIM_Reject,
     /* 138010 */ // Label 32: @138010
     /* 138010 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 2654*/ GIMT_Encode4(138714),
     /* 138021 */ /*GILLT_s16*//*Label 2651*/ GIMT_Encode4(138033),
     /* 138025 */ /*GILLT_s32*//*Label 2652*/ GIMT_Encode4(138260),
     /* 138029 */ /*GILLT_s64*//*Label 2653*/ GIMT_Encode4(138487),
     /* 138033 */ // Label 2651: @138033
     /* 138033 */ GIM_Try, /*On fail goto*//*Label 2655*/ GIMT_Encode4(138259),
     /* 138038 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 138041 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 138048 */   GIM_Try, /*On fail goto*//*Label 2656*/ GIMT_Encode4(138090), // Rule ID 7336 //
     /* 138053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138056 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 138059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138063 */     // MIs[0] Rn
     /* 138063 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138075 */     // (atomic_load_fmax:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fmax_f16>><<P:Predicate_atomic_load_fmax_f16_monotonic>>  =>  (LDFMAXNMH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMH),
     /* 138078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138080 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138082 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138084 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138088 */     GIR_RootConstrainSelectedInstOperands,
     /* 138089 */     // GIR_Coverage, 7336,
     /* 138089 */     GIR_EraseRootFromParent_Done,
     /* 138090 */   // Label 2656: @138090
     /* 138090 */   GIM_Try, /*On fail goto*//*Label 2657*/ GIMT_Encode4(138132), // Rule ID 7337 //
     /* 138095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138098 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 138101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138105 */     // MIs[0] Rn
     /* 138105 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138109 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138117 */     // (atomic_load_fmax:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fmax_f16>><<P:Predicate_atomic_load_fmax_f16_acquire>>  =>  (LDFMAXNMAH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMAH),
     /* 138120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138122 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138124 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138126 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138130 */     GIR_RootConstrainSelectedInstOperands,
     /* 138131 */     // GIR_Coverage, 7337,
     /* 138131 */     GIR_EraseRootFromParent_Done,
     /* 138132 */   // Label 2657: @138132
     /* 138132 */   GIM_Try, /*On fail goto*//*Label 2658*/ GIMT_Encode4(138174), // Rule ID 7338 //
     /* 138137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138140 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 138143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138147 */     // MIs[0] Rn
     /* 138147 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138151 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138159 */     // (atomic_load_fmax:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fmax_f16>><<P:Predicate_atomic_load_fmax_f16_release>>  =>  (LDFMAXNMLH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMLH),
     /* 138162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138164 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138166 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138168 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138172 */     GIR_RootConstrainSelectedInstOperands,
     /* 138173 */     // GIR_Coverage, 7338,
     /* 138173 */     GIR_EraseRootFromParent_Done,
     /* 138174 */   // Label 2658: @138174
     /* 138174 */   GIM_Try, /*On fail goto*//*Label 2659*/ GIMT_Encode4(138216), // Rule ID 7339 //
     /* 138179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138182 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 138185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138189 */     // MIs[0] Rn
     /* 138189 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138193 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138201 */     // (atomic_load_fmax:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fmax_f16>><<P:Predicate_atomic_load_fmax_f16_acq_rel>>  =>  (LDFMAXNMALH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMALH),
     /* 138204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138206 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138208 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138210 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138214 */     GIR_RootConstrainSelectedInstOperands,
     /* 138215 */     // GIR_Coverage, 7339,
     /* 138215 */     GIR_EraseRootFromParent_Done,
     /* 138216 */   // Label 2659: @138216
     /* 138216 */   GIM_Try, /*On fail goto*//*Label 2660*/ GIMT_Encode4(138258), // Rule ID 7340 //
     /* 138221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138224 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 138227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138231 */     // MIs[0] Rn
     /* 138231 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138243 */     // (atomic_load_fmax:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fmax_f16>><<P:Predicate_atomic_load_fmax_f16_seq_cst>>  =>  (LDFMAXNMALH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMALH),
     /* 138246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138248 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138250 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138252 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138256 */     GIR_RootConstrainSelectedInstOperands,
     /* 138257 */     // GIR_Coverage, 7340,
     /* 138257 */     GIR_EraseRootFromParent_Done,
     /* 138258 */   // Label 2660: @138258
     /* 138258 */   GIM_Reject,
     /* 138259 */ // Label 2655: @138259
     /* 138259 */ GIM_Reject,
     /* 138260 */ // Label 2652: @138260
     /* 138260 */ GIM_Try, /*On fail goto*//*Label 2661*/ GIMT_Encode4(138486),
     /* 138265 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 138268 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 138275 */   GIM_Try, /*On fail goto*//*Label 2662*/ GIMT_Encode4(138317), // Rule ID 7341 //
     /* 138280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138283 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 138286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 138290 */     // MIs[0] Rn
     /* 138290 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138294 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 138302 */     // (atomic_load_fmax:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fmax_f32>><<P:Predicate_atomic_load_fmax_f32_monotonic>>  =>  (LDFMAXNMS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMS),
     /* 138305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138307 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138309 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138311 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138315 */     GIR_RootConstrainSelectedInstOperands,
     /* 138316 */     // GIR_Coverage, 7341,
     /* 138316 */     GIR_EraseRootFromParent_Done,
     /* 138317 */   // Label 2662: @138317
     /* 138317 */   GIM_Try, /*On fail goto*//*Label 2663*/ GIMT_Encode4(138359), // Rule ID 7342 //
     /* 138322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138325 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 138328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 138332 */     // MIs[0] Rn
     /* 138332 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138336 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 138344 */     // (atomic_load_fmax:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fmax_f32>><<P:Predicate_atomic_load_fmax_f32_acquire>>  =>  (LDFMAXNMAS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMAS),
     /* 138347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138349 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138351 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138353 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138357 */     GIR_RootConstrainSelectedInstOperands,
     /* 138358 */     // GIR_Coverage, 7342,
     /* 138358 */     GIR_EraseRootFromParent_Done,
     /* 138359 */   // Label 2663: @138359
     /* 138359 */   GIM_Try, /*On fail goto*//*Label 2664*/ GIMT_Encode4(138401), // Rule ID 7343 //
     /* 138364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138367 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 138370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 138374 */     // MIs[0] Rn
     /* 138374 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138378 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 138386 */     // (atomic_load_fmax:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fmax_f32>><<P:Predicate_atomic_load_fmax_f32_release>>  =>  (LDFMAXNMLS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMLS),
     /* 138389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138391 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138393 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138395 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138399 */     GIR_RootConstrainSelectedInstOperands,
     /* 138400 */     // GIR_Coverage, 7343,
     /* 138400 */     GIR_EraseRootFromParent_Done,
     /* 138401 */   // Label 2664: @138401
     /* 138401 */   GIM_Try, /*On fail goto*//*Label 2665*/ GIMT_Encode4(138443), // Rule ID 7344 //
     /* 138406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138409 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 138412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 138416 */     // MIs[0] Rn
     /* 138416 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 138428 */     // (atomic_load_fmax:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fmax_f32>><<P:Predicate_atomic_load_fmax_f32_acq_rel>>  =>  (LDFMAXNMALS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMALS),
     /* 138431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138433 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138435 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138437 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138441 */     GIR_RootConstrainSelectedInstOperands,
     /* 138442 */     // GIR_Coverage, 7344,
     /* 138442 */     GIR_EraseRootFromParent_Done,
     /* 138443 */   // Label 2665: @138443
     /* 138443 */   GIM_Try, /*On fail goto*//*Label 2666*/ GIMT_Encode4(138485), // Rule ID 7345 //
     /* 138448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138451 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 138454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 138458 */     // MIs[0] Rn
     /* 138458 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138462 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 138470 */     // (atomic_load_fmax:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fmax_f32>><<P:Predicate_atomic_load_fmax_f32_seq_cst>>  =>  (LDFMAXNMALS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMALS),
     /* 138473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138475 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138477 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138479 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138483 */     GIR_RootConstrainSelectedInstOperands,
     /* 138484 */     // GIR_Coverage, 7345,
     /* 138484 */     GIR_EraseRootFromParent_Done,
     /* 138485 */   // Label 2666: @138485
     /* 138485 */   GIM_Reject,
     /* 138486 */ // Label 2661: @138486
     /* 138486 */ GIM_Reject,
     /* 138487 */ // Label 2653: @138487
     /* 138487 */ GIM_Try, /*On fail goto*//*Label 2667*/ GIMT_Encode4(138713),
     /* 138492 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 138495 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 138502 */   GIM_Try, /*On fail goto*//*Label 2668*/ GIMT_Encode4(138544), // Rule ID 7346 //
     /* 138507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138510 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 138513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138517 */     // MIs[0] Rn
     /* 138517 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138521 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138529 */     // (atomic_load_fmax:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fmax_f64>><<P:Predicate_atomic_load_fmax_f64_monotonic>>  =>  (LDFMAXNMD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMD),
     /* 138532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138534 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138536 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138538 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138542 */     GIR_RootConstrainSelectedInstOperands,
     /* 138543 */     // GIR_Coverage, 7346,
     /* 138543 */     GIR_EraseRootFromParent_Done,
     /* 138544 */   // Label 2668: @138544
     /* 138544 */   GIM_Try, /*On fail goto*//*Label 2669*/ GIMT_Encode4(138586), // Rule ID 7347 //
     /* 138549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138552 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 138555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138559 */     // MIs[0] Rn
     /* 138559 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138563 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138571 */     // (atomic_load_fmax:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fmax_f64>><<P:Predicate_atomic_load_fmax_f64_acquire>>  =>  (LDFMAXNMAD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMAD),
     /* 138574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138576 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138578 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138580 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138584 */     GIR_RootConstrainSelectedInstOperands,
     /* 138585 */     // GIR_Coverage, 7347,
     /* 138585 */     GIR_EraseRootFromParent_Done,
     /* 138586 */   // Label 2669: @138586
     /* 138586 */   GIM_Try, /*On fail goto*//*Label 2670*/ GIMT_Encode4(138628), // Rule ID 7348 //
     /* 138591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138594 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 138597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138601 */     // MIs[0] Rn
     /* 138601 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138605 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138613 */     // (atomic_load_fmax:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fmax_f64>><<P:Predicate_atomic_load_fmax_f64_release>>  =>  (LDFMAXNMLD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMLD),
     /* 138616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138618 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138620 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138622 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138626 */     GIR_RootConstrainSelectedInstOperands,
     /* 138627 */     // GIR_Coverage, 7348,
     /* 138627 */     GIR_EraseRootFromParent_Done,
     /* 138628 */   // Label 2670: @138628
     /* 138628 */   GIM_Try, /*On fail goto*//*Label 2671*/ GIMT_Encode4(138670), // Rule ID 7349 //
     /* 138633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138636 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 138639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138643 */     // MIs[0] Rn
     /* 138643 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138647 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138655 */     // (atomic_load_fmax:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fmax_f64>><<P:Predicate_atomic_load_fmax_f64_acq_rel>>  =>  (LDFMAXNMALD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMALD),
     /* 138658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138660 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138662 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138664 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138668 */     GIR_RootConstrainSelectedInstOperands,
     /* 138669 */     // GIR_Coverage, 7349,
     /* 138669 */     GIR_EraseRootFromParent_Done,
     /* 138670 */   // Label 2671: @138670
     /* 138670 */   GIM_Try, /*On fail goto*//*Label 2672*/ GIMT_Encode4(138712), // Rule ID 7350 //
     /* 138675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138678 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 138681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138685 */     // MIs[0] Rn
     /* 138685 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138689 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138697 */     // (atomic_load_fmax:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fmax_f64>><<P:Predicate_atomic_load_fmax_f64_seq_cst>>  =>  (LDFMAXNMALD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMALD),
     /* 138700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138702 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138704 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138706 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138710 */     GIR_RootConstrainSelectedInstOperands,
     /* 138711 */     // GIR_Coverage, 7350,
     /* 138711 */     GIR_EraseRootFromParent_Done,
     /* 138712 */   // Label 2672: @138712
     /* 138712 */   GIM_Reject,
     /* 138713 */ // Label 2667: @138713
     /* 138713 */ GIM_Reject,
     /* 138714 */ // Label 2654: @138714
     /* 138714 */ GIM_Reject,
     /* 138715 */ // Label 33: @138715
     /* 138715 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 2676*/ GIMT_Encode4(139419),
     /* 138726 */ /*GILLT_s16*//*Label 2673*/ GIMT_Encode4(138738),
     /* 138730 */ /*GILLT_s32*//*Label 2674*/ GIMT_Encode4(138965),
     /* 138734 */ /*GILLT_s64*//*Label 2675*/ GIMT_Encode4(139192),
     /* 138738 */ // Label 2673: @138738
     /* 138738 */ GIM_Try, /*On fail goto*//*Label 2677*/ GIMT_Encode4(138964),
     /* 138743 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 138746 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 138753 */   GIM_Try, /*On fail goto*//*Label 2678*/ GIMT_Encode4(138795), // Rule ID 7351 //
     /* 138758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138761 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 138764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138768 */     // MIs[0] Rn
     /* 138768 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138772 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138780 */     // (atomic_load_fmin:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fmin_f16>><<P:Predicate_atomic_load_fmin_f16_monotonic>>  =>  (LDFMINNMH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMH),
     /* 138783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138785 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138787 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138789 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138793 */     GIR_RootConstrainSelectedInstOperands,
     /* 138794 */     // GIR_Coverage, 7351,
     /* 138794 */     GIR_EraseRootFromParent_Done,
     /* 138795 */   // Label 2678: @138795
     /* 138795 */   GIM_Try, /*On fail goto*//*Label 2679*/ GIMT_Encode4(138837), // Rule ID 7352 //
     /* 138800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138803 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 138806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138810 */     // MIs[0] Rn
     /* 138810 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138814 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138822 */     // (atomic_load_fmin:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fmin_f16>><<P:Predicate_atomic_load_fmin_f16_acquire>>  =>  (LDFMINNMAH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMAH),
     /* 138825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138827 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138829 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138831 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138835 */     GIR_RootConstrainSelectedInstOperands,
     /* 138836 */     // GIR_Coverage, 7352,
     /* 138836 */     GIR_EraseRootFromParent_Done,
     /* 138837 */   // Label 2679: @138837
     /* 138837 */   GIM_Try, /*On fail goto*//*Label 2680*/ GIMT_Encode4(138879), // Rule ID 7353 //
     /* 138842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138845 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 138848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138852 */     // MIs[0] Rn
     /* 138852 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138864 */     // (atomic_load_fmin:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fmin_f16>><<P:Predicate_atomic_load_fmin_f16_release>>  =>  (LDFMINNMLH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMLH),
     /* 138867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138869 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138871 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138873 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138877 */     GIR_RootConstrainSelectedInstOperands,
     /* 138878 */     // GIR_Coverage, 7353,
     /* 138878 */     GIR_EraseRootFromParent_Done,
     /* 138879 */   // Label 2680: @138879
     /* 138879 */   GIM_Try, /*On fail goto*//*Label 2681*/ GIMT_Encode4(138921), // Rule ID 7354 //
     /* 138884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138887 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 138890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138894 */     // MIs[0] Rn
     /* 138894 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138898 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138906 */     // (atomic_load_fmin:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fmin_f16>><<P:Predicate_atomic_load_fmin_f16_acq_rel>>  =>  (LDFMINNMALH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMALH),
     /* 138909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138911 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138913 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138915 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138919 */     GIR_RootConstrainSelectedInstOperands,
     /* 138920 */     // GIR_Coverage, 7354,
     /* 138920 */     GIR_EraseRootFromParent_Done,
     /* 138921 */   // Label 2681: @138921
     /* 138921 */   GIM_Try, /*On fail goto*//*Label 2682*/ GIMT_Encode4(138963), // Rule ID 7355 //
     /* 138926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138929 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 138932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138936 */     // MIs[0] Rn
     /* 138936 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138940 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138948 */     // (atomic_load_fmin:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fmin_f16>><<P:Predicate_atomic_load_fmin_f16_seq_cst>>  =>  (LDFMINNMALH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMALH),
     /* 138951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138953 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138955 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138957 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138961 */     GIR_RootConstrainSelectedInstOperands,
     /* 138962 */     // GIR_Coverage, 7355,
     /* 138962 */     GIR_EraseRootFromParent_Done,
     /* 138963 */   // Label 2682: @138963
     /* 138963 */   GIM_Reject,
     /* 138964 */ // Label 2677: @138964
     /* 138964 */ GIM_Reject,
     /* 138965 */ // Label 2674: @138965
     /* 138965 */ GIM_Try, /*On fail goto*//*Label 2683*/ GIMT_Encode4(139191),
     /* 138970 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 138973 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 138980 */   GIM_Try, /*On fail goto*//*Label 2684*/ GIMT_Encode4(139022), // Rule ID 7356 //
     /* 138985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138988 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 138991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 138995 */     // MIs[0] Rn
     /* 138995 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138999 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139007 */     // (atomic_load_fmin:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fmin_f32>><<P:Predicate_atomic_load_fmin_f32_monotonic>>  =>  (LDFMINNMS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMS),
     /* 139010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139012 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139014 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139016 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139020 */     GIR_RootConstrainSelectedInstOperands,
     /* 139021 */     // GIR_Coverage, 7356,
     /* 139021 */     GIR_EraseRootFromParent_Done,
     /* 139022 */   // Label 2684: @139022
     /* 139022 */   GIM_Try, /*On fail goto*//*Label 2685*/ GIMT_Encode4(139064), // Rule ID 7357 //
     /* 139027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139030 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 139033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139037 */     // MIs[0] Rn
     /* 139037 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139041 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139049 */     // (atomic_load_fmin:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fmin_f32>><<P:Predicate_atomic_load_fmin_f32_acquire>>  =>  (LDFMINNMAS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMAS),
     /* 139052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139054 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139056 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139058 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139062 */     GIR_RootConstrainSelectedInstOperands,
     /* 139063 */     // GIR_Coverage, 7357,
     /* 139063 */     GIR_EraseRootFromParent_Done,
     /* 139064 */   // Label 2685: @139064
     /* 139064 */   GIM_Try, /*On fail goto*//*Label 2686*/ GIMT_Encode4(139106), // Rule ID 7358 //
     /* 139069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139072 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 139075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139079 */     // MIs[0] Rn
     /* 139079 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139083 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139091 */     // (atomic_load_fmin:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fmin_f32>><<P:Predicate_atomic_load_fmin_f32_release>>  =>  (LDFMINNMLS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMLS),
     /* 139094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139096 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139098 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139100 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139104 */     GIR_RootConstrainSelectedInstOperands,
     /* 139105 */     // GIR_Coverage, 7358,
     /* 139105 */     GIR_EraseRootFromParent_Done,
     /* 139106 */   // Label 2686: @139106
     /* 139106 */   GIM_Try, /*On fail goto*//*Label 2687*/ GIMT_Encode4(139148), // Rule ID 7359 //
     /* 139111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139114 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 139117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139121 */     // MIs[0] Rn
     /* 139121 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139133 */     // (atomic_load_fmin:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fmin_f32>><<P:Predicate_atomic_load_fmin_f32_acq_rel>>  =>  (LDFMINNMALS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMALS),
     /* 139136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139138 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139140 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139142 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139146 */     GIR_RootConstrainSelectedInstOperands,
     /* 139147 */     // GIR_Coverage, 7359,
     /* 139147 */     GIR_EraseRootFromParent_Done,
     /* 139148 */   // Label 2687: @139148
     /* 139148 */   GIM_Try, /*On fail goto*//*Label 2688*/ GIMT_Encode4(139190), // Rule ID 7360 //
     /* 139153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139156 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 139159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139163 */     // MIs[0] Rn
     /* 139163 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139167 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139175 */     // (atomic_load_fmin:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fmin_f32>><<P:Predicate_atomic_load_fmin_f32_seq_cst>>  =>  (LDFMINNMALS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMALS),
     /* 139178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139180 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139182 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139184 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139188 */     GIR_RootConstrainSelectedInstOperands,
     /* 139189 */     // GIR_Coverage, 7360,
     /* 139189 */     GIR_EraseRootFromParent_Done,
     /* 139190 */   // Label 2688: @139190
     /* 139190 */   GIM_Reject,
     /* 139191 */ // Label 2683: @139191
     /* 139191 */ GIM_Reject,
     /* 139192 */ // Label 2675: @139192
     /* 139192 */ GIM_Try, /*On fail goto*//*Label 2689*/ GIMT_Encode4(139418),
     /* 139197 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 139200 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 139207 */   GIM_Try, /*On fail goto*//*Label 2690*/ GIMT_Encode4(139249), // Rule ID 7361 //
     /* 139212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139215 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 139218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139222 */     // MIs[0] Rn
     /* 139222 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139226 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139234 */     // (atomic_load_fmin:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fmin_f64>><<P:Predicate_atomic_load_fmin_f64_monotonic>>  =>  (LDFMINNMD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMD),
     /* 139237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139239 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139241 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139243 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139247 */     GIR_RootConstrainSelectedInstOperands,
     /* 139248 */     // GIR_Coverage, 7361,
     /* 139248 */     GIR_EraseRootFromParent_Done,
     /* 139249 */   // Label 2690: @139249
     /* 139249 */   GIM_Try, /*On fail goto*//*Label 2691*/ GIMT_Encode4(139291), // Rule ID 7362 //
     /* 139254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139257 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 139260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139264 */     // MIs[0] Rn
     /* 139264 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139268 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139276 */     // (atomic_load_fmin:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fmin_f64>><<P:Predicate_atomic_load_fmin_f64_acquire>>  =>  (LDFMINNMAD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMAD),
     /* 139279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139281 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139283 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139285 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139289 */     GIR_RootConstrainSelectedInstOperands,
     /* 139290 */     // GIR_Coverage, 7362,
     /* 139290 */     GIR_EraseRootFromParent_Done,
     /* 139291 */   // Label 2691: @139291
     /* 139291 */   GIM_Try, /*On fail goto*//*Label 2692*/ GIMT_Encode4(139333), // Rule ID 7363 //
     /* 139296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139299 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 139302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139306 */     // MIs[0] Rn
     /* 139306 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139318 */     // (atomic_load_fmin:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fmin_f64>><<P:Predicate_atomic_load_fmin_f64_release>>  =>  (LDFMINNMLD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMLD),
     /* 139321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139323 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139325 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139327 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139331 */     GIR_RootConstrainSelectedInstOperands,
     /* 139332 */     // GIR_Coverage, 7363,
     /* 139332 */     GIR_EraseRootFromParent_Done,
     /* 139333 */   // Label 2692: @139333
     /* 139333 */   GIM_Try, /*On fail goto*//*Label 2693*/ GIMT_Encode4(139375), // Rule ID 7364 //
     /* 139338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139341 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 139344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139348 */     // MIs[0] Rn
     /* 139348 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139352 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139360 */     // (atomic_load_fmin:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fmin_f64>><<P:Predicate_atomic_load_fmin_f64_acq_rel>>  =>  (LDFMINNMALD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMALD),
     /* 139363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139365 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139367 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139369 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139373 */     GIR_RootConstrainSelectedInstOperands,
     /* 139374 */     // GIR_Coverage, 7364,
     /* 139374 */     GIR_EraseRootFromParent_Done,
     /* 139375 */   // Label 2693: @139375
     /* 139375 */   GIM_Try, /*On fail goto*//*Label 2694*/ GIMT_Encode4(139417), // Rule ID 7365 //
     /* 139380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139383 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 139386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139390 */     // MIs[0] Rn
     /* 139390 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139394 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139402 */     // (atomic_load_fmin:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fmin_f64>><<P:Predicate_atomic_load_fmin_f64_seq_cst>>  =>  (LDFMINNMALD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMALD),
     /* 139405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139407 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139409 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139411 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139415 */     GIR_RootConstrainSelectedInstOperands,
     /* 139416 */     // GIR_Coverage, 7365,
     /* 139416 */     GIR_EraseRootFromParent_Done,
     /* 139417 */   // Label 2694: @139417
     /* 139417 */   GIM_Reject,
     /* 139418 */ // Label 2689: @139418
     /* 139418 */ GIM_Reject,
     /* 139419 */ // Label 2676: @139419
     /* 139419 */ GIM_Reject,
     /* 139420 */ // Label 34: @139420
     /* 139420 */ GIM_Try, /*On fail goto*//*Label 2695*/ GIMT_Encode4(139447), // Rule ID 6983 //
     /* 139425 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 139428 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 4,
     /* 139432 */   // MIs[0] Operand 1
     /* 139432 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 139435 */   // (atomic_fence 4:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (DMB 9:{ *:[i32] })
     /* 139435 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DMB),
     /* 139438 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 139441 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139445 */   GIR_RootConstrainSelectedInstOperands,
     /* 139446 */   // GIR_Coverage, 6983,
     /* 139446 */   GIR_EraseRootFromParent_Done,
     /* 139447 */ // Label 2695: @139447
     /* 139447 */ GIM_Try, /*On fail goto*//*Label 2696*/ GIMT_Encode4(139470), // Rule ID 6984 //
     /* 139452 */   // MIs[0] Operand 0
     /* 139452 */   GIM_CheckIsImm, /*MI*/0, /*Op*/0,
     /* 139455 */   // MIs[0] Operand 1
     /* 139455 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 139458 */   // (atomic_fence (timm:{ *:[iPTR] }), (timm:{ *:[iPTR] }))  =>  (DMB 11:{ *:[i32] })
     /* 139458 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DMB),
     /* 139461 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/11,
     /* 139464 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139468 */   GIR_RootConstrainSelectedInstOperands,
     /* 139469 */   // GIR_Coverage, 6984,
     /* 139469 */   GIR_EraseRootFromParent_Done,
     /* 139470 */ // Label 2696: @139470
     /* 139470 */ GIM_Reject,
     /* 139471 */ // Label 35: @139471
     /* 139471 */ GIM_Try, /*On fail goto*//*Label 2697*/ GIMT_Encode4(151998),
     /* 139476 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /* 139479 */   GIM_Try, /*On fail goto*//*Label 2698*/ GIMT_Encode4(139570), // Rule ID 6462 //
     /* 139484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFuseAES),
     /* 139487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_aesmc),
     /* 139492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 139495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 139498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 139502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 139506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 139510 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 139513 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_aese),
     /* 139518 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 139522 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 139526 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 139531 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 139536 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 139538 */     // (intrinsic_wo_chain:{ *:[v16i8] } 514:{ *:[iPTR] }, (intrinsic_wo_chain:{ *:[v16i8] } 512:{ *:[iPTR] }, V128:{ *:[v16i8] }:$src1, V128:{ *:[v16i8] }:$src2))  =>  (AESMCrrTied:{ *:[v16i8] } (AESErr:{ *:[v16i8] } V128:{ *:[v16i8] }:$src1, V128:{ *:[v16i8] }:$src2))
     /* 139538 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 139541 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::AESErr),
     /* 139545 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 139550 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 139554 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // src2
     /* 139558 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 139560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AESMCrrTied),
     /* 139563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 139565 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 139568 */     GIR_RootConstrainSelectedInstOperands,
     /* 139569 */     // GIR_Coverage, 6462,
     /* 139569 */     GIR_EraseRootFromParent_Done,
     /* 139570 */   // Label 2698: @139570
     /* 139570 */   GIM_Try, /*On fail goto*//*Label 2699*/ GIMT_Encode4(139661), // Rule ID 6463 //
     /* 139575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFuseAES),
     /* 139578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_aesimc),
     /* 139583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 139586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 139589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 139593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 139597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 139601 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 139604 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_aesd),
     /* 139609 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 139613 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 139617 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 139622 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 139627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 139629 */     // (intrinsic_wo_chain:{ *:[v16i8] } 513:{ *:[iPTR] }, (intrinsic_wo_chain:{ *:[v16i8] } 511:{ *:[iPTR] }, V128:{ *:[v16i8] }:$src1, V128:{ *:[v16i8] }:$src2))  =>  (AESIMCrrTied:{ *:[v16i8] } (AESDrr:{ *:[v16i8] } V128:{ *:[v16i8] }:$src1, V128:{ *:[v16i8] }:$src2))
     /* 139629 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 139632 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::AESDrr),
     /* 139636 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 139641 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 139645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // src2
     /* 139649 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 139651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AESIMCrrTied),
     /* 139654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 139656 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 139659 */     GIR_RootConstrainSelectedInstOperands,
     /* 139660 */     // GIR_Coverage, 6463,
     /* 139660 */     GIR_EraseRootFromParent_Done,
     /* 139661 */   // Label 2699: @139661
     /* 139661 */   GIM_Try, /*On fail goto*//*Label 2700*/ GIMT_Encode4(139722), // Rule ID 4886 //
     /* 139666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvthf2fp),
     /* 139671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 139674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 139677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 139681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 139685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 139689 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 139693 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 139698 */     // MIs[1] Operand 2
     /* 139698 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4),
     /* 139709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 139711 */     // (intrinsic_wo_chain:{ *:[v4f32] } 767:{ *:[iPTR] }, (extract_subvector:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn, 4:{ *:[i64] }))  =>  (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8i16] }:$Rn)
     /* 139711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 139714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 139716 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 139720 */     GIR_RootConstrainSelectedInstOperands,
     /* 139721 */     // GIR_Coverage, 4886,
     /* 139721 */     GIR_EraseRootFromParent_Done,
     /* 139722 */   // Label 2700: @139722
     /* 139722 */   GIM_Try, /*On fail goto*//*Label 2701*/ GIMT_Encode4(139762), // Rule ID 2651 //
     /* 139727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 139730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntb),
     /* 139735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 139738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 139742 */     // MIs[0] pattern
     /* 139742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 139745 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 139750 */     // (intrinsic_wo_chain:{ *:[i64] } 1318:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)  =>  (CNTB_XPiI:{ *:[i64] } (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /* 139750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNTB_XPiI),
     /* 139753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 139755 */     GIR_RootToRootCopy, /*OpIdx*/2, // pattern
     /* 139757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 139760 */     GIR_RootConstrainSelectedInstOperands,
     /* 139761 */     // GIR_Coverage, 2651,
     /* 139761 */     GIR_EraseRootFromParent_Done,
     /* 139762 */   // Label 2701: @139762
     /* 139762 */   GIM_Try, /*On fail goto*//*Label 2702*/ GIMT_Encode4(139802), // Rule ID 9868 //
     /* 139767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 139770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnth),
     /* 139775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 139778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 139782 */     // MIs[0] pattern
     /* 139782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 139785 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 139790 */     // (intrinsic_wo_chain:{ *:[i64] } 1320:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)  =>  (CNTH_XPiI:{ *:[i64] } (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /* 139790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNTH_XPiI),
     /* 139793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 139795 */     GIR_RootToRootCopy, /*OpIdx*/2, // pattern
     /* 139797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 139800 */     GIR_RootConstrainSelectedInstOperands,
     /* 139801 */     // GIR_Coverage, 9868,
     /* 139801 */     GIR_EraseRootFromParent_Done,
     /* 139802 */   // Label 2702: @139802
     /* 139802 */   GIM_Try, /*On fail goto*//*Label 2703*/ GIMT_Encode4(139842), // Rule ID 9871 //
     /* 139807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 139810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntw),
     /* 139815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 139818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 139822 */     // MIs[0] pattern
     /* 139822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 139825 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 139830 */     // (intrinsic_wo_chain:{ *:[i64] } 1326:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)  =>  (CNTW_XPiI:{ *:[i64] } (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /* 139830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNTW_XPiI),
     /* 139833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 139835 */     GIR_RootToRootCopy, /*OpIdx*/2, // pattern
     /* 139837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 139840 */     GIR_RootConstrainSelectedInstOperands,
     /* 139841 */     // GIR_Coverage, 9871,
     /* 139841 */     GIR_EraseRootFromParent_Done,
     /* 139842 */   // Label 2703: @139842
     /* 139842 */   GIM_Try, /*On fail goto*//*Label 2704*/ GIMT_Encode4(139882), // Rule ID 9874 //
     /* 139847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 139850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntd),
     /* 139855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 139858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 139862 */     // MIs[0] pattern
     /* 139862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 139865 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 139870 */     // (intrinsic_wo_chain:{ *:[i64] } 1319:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)  =>  (CNTD_XPiI:{ *:[i64] } (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /* 139870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNTD_XPiI),
     /* 139873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 139875 */     GIR_RootToRootCopy, /*OpIdx*/2, // pattern
     /* 139877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 139880 */     GIR_RootConstrainSelectedInstOperands,
     /* 139881 */     // GIR_Coverage, 9874,
     /* 139881 */     GIR_EraseRootFromParent_Done,
     /* 139882 */   // Label 2704: @139882
     /* 139882 */   GIM_Try, /*On fail goto*//*Label 2705*/ GIMT_Encode4(139921), // Rule ID 66 //
     /* 139887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8_HasJS),
     /* 139890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_fjcvtzs),
     /* 139895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 139898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 139901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 139905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139909 */     // (intrinsic_wo_chain:{ *:[i32] } 546:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FJCVTZS:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)
     /* 139909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FJCVTZS),
     /* 139912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 139914 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 139916 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 139919 */     GIR_RootConstrainSelectedInstOperands,
     /* 139920 */     // GIR_Coverage, 66,
     /* 139920 */     GIR_EraseRootFromParent_Done,
     /* 139921 */   // Label 2705: @139921
     /* 139921 */   GIM_Try, /*On fail goto*//*Label 2706*/ GIMT_Encode4(139957), // Rule ID 346 //
     /* 139926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 139929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 139934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 139937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 139940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 139944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 139948 */     // (intrinsic_wo_chain:{ *:[i32] } 583:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTASUWHr:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)
     /* 139948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUWHr),
     /* 139951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 139953 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 139955 */     GIR_RootConstrainSelectedInstOperands,
     /* 139956 */     // GIR_Coverage, 346,
     /* 139956 */     GIR_EraseRootFromParent_Done,
     /* 139957 */   // Label 2706: @139957
     /* 139957 */   GIM_Try, /*On fail goto*//*Label 2707*/ GIMT_Encode4(139993), // Rule ID 347 //
     /* 139962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 139965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 139970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 139973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 139976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 139980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 139984 */     // (intrinsic_wo_chain:{ *:[i64] } 583:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTASUXHr:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)
     /* 139984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUXHr),
     /* 139987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 139989 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 139991 */     GIR_RootConstrainSelectedInstOperands,
     /* 139992 */     // GIR_Coverage, 347,
     /* 139992 */     GIR_EraseRootFromParent_Done,
     /* 139993 */   // Label 2707: @139993
     /* 139993 */   GIM_Try, /*On fail goto*//*Label 2708*/ GIMT_Encode4(140029), // Rule ID 348 //
     /* 139998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 140001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 140006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 140009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 140012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 140016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 140020 */     // (intrinsic_wo_chain:{ *:[i32] } 583:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTASUWSr:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)
     /* 140020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUWSr),
     /* 140023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140025 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140027 */     GIR_RootConstrainSelectedInstOperands,
     /* 140028 */     // GIR_Coverage, 348,
     /* 140028 */     GIR_EraseRootFromParent_Done,
     /* 140029 */   // Label 2708: @140029
     /* 140029 */   GIM_Try, /*On fail goto*//*Label 2709*/ GIMT_Encode4(140065), // Rule ID 349 //
     /* 140034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 140037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 140042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 140048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 140052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 140056 */     // (intrinsic_wo_chain:{ *:[i64] } 583:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTASUXSr:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)
     /* 140056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUXSr),
     /* 140059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140061 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140063 */     GIR_RootConstrainSelectedInstOperands,
     /* 140064 */     // GIR_Coverage, 349,
     /* 140064 */     GIR_EraseRootFromParent_Done,
     /* 140065 */   // Label 2709: @140065
     /* 140065 */   GIM_Try, /*On fail goto*//*Label 2710*/ GIMT_Encode4(140101), // Rule ID 350 //
     /* 140070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 140073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 140078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 140081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 140084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 140088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140092 */     // (intrinsic_wo_chain:{ *:[i32] } 583:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTASUWDr:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)
     /* 140092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUWDr),
     /* 140095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140097 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140099 */     GIR_RootConstrainSelectedInstOperands,
     /* 140100 */     // GIR_Coverage, 350,
     /* 140100 */     GIR_EraseRootFromParent_Done,
     /* 140101 */   // Label 2710: @140101
     /* 140101 */   GIM_Try, /*On fail goto*//*Label 2711*/ GIMT_Encode4(140137), // Rule ID 351 //
     /* 140106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 140109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 140114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 140120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 140124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140128 */     // (intrinsic_wo_chain:{ *:[i64] } 583:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTASUXDr:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)
     /* 140128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUXDr),
     /* 140131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140133 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140135 */     GIR_RootConstrainSelectedInstOperands,
     /* 140136 */     // GIR_Coverage, 351,
     /* 140136 */     GIR_EraseRootFromParent_Done,
     /* 140137 */   // Label 2711: @140137
     /* 140137 */   GIM_Try, /*On fail goto*//*Label 2712*/ GIMT_Encode4(140173), // Rule ID 352 //
     /* 140142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 140145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 140150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 140153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 140156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 140160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 140164 */     // (intrinsic_wo_chain:{ *:[i32] } 584:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTAUUWHr:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)
     /* 140164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUUWHr),
     /* 140167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140169 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140171 */     GIR_RootConstrainSelectedInstOperands,
     /* 140172 */     // GIR_Coverage, 352,
     /* 140172 */     GIR_EraseRootFromParent_Done,
     /* 140173 */   // Label 2712: @140173
     /* 140173 */   GIM_Try, /*On fail goto*//*Label 2713*/ GIMT_Encode4(140209), // Rule ID 353 //
     /* 140178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 140181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 140186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 140192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 140196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 140200 */     // (intrinsic_wo_chain:{ *:[i64] } 584:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTAUUXHr:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)
     /* 140200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUUXHr),
     /* 140203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140205 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140207 */     GIR_RootConstrainSelectedInstOperands,
     /* 140208 */     // GIR_Coverage, 353,
     /* 140208 */     GIR_EraseRootFromParent_Done,
     /* 140209 */   // Label 2713: @140209
     /* 140209 */   GIM_Try, /*On fail goto*//*Label 2714*/ GIMT_Encode4(140245), // Rule ID 354 //
     /* 140214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 140217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 140222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 140225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 140228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 140232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 140236 */     // (intrinsic_wo_chain:{ *:[i32] } 584:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTAUUWSr:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)
     /* 140236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUUWSr),
     /* 140239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140241 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140243 */     GIR_RootConstrainSelectedInstOperands,
     /* 140244 */     // GIR_Coverage, 354,
     /* 140244 */     GIR_EraseRootFromParent_Done,
     /* 140245 */   // Label 2714: @140245
     /* 140245 */   GIM_Try, /*On fail goto*//*Label 2715*/ GIMT_Encode4(140281), // Rule ID 355 //
     /* 140250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 140253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 140258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 140264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 140268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 140272 */     // (intrinsic_wo_chain:{ *:[i64] } 584:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTAUUXSr:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)
     /* 140272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUUXSr),
     /* 140275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140277 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140279 */     GIR_RootConstrainSelectedInstOperands,
     /* 140280 */     // GIR_Coverage, 355,
     /* 140280 */     GIR_EraseRootFromParent_Done,
     /* 140281 */   // Label 2715: @140281
     /* 140281 */   GIM_Try, /*On fail goto*//*Label 2716*/ GIMT_Encode4(140317), // Rule ID 356 //
     /* 140286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 140289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 140294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 140297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 140300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 140304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140308 */     // (intrinsic_wo_chain:{ *:[i32] } 584:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTAUUWDr:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)
     /* 140308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUUWDr),
     /* 140311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140313 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140315 */     GIR_RootConstrainSelectedInstOperands,
     /* 140316 */     // GIR_Coverage, 356,
     /* 140316 */     GIR_EraseRootFromParent_Done,
     /* 140317 */   // Label 2716: @140317
     /* 140317 */   GIM_Try, /*On fail goto*//*Label 2717*/ GIMT_Encode4(140353), // Rule ID 357 //
     /* 140322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 140325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 140330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 140336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 140340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140344 */     // (intrinsic_wo_chain:{ *:[i64] } 584:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTAUUXDr:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)
     /* 140344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUUXDr),
     /* 140347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140349 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140351 */     GIR_RootConstrainSelectedInstOperands,
     /* 140352 */     // GIR_Coverage, 357,
     /* 140352 */     GIR_EraseRootFromParent_Done,
     /* 140353 */   // Label 2717: @140353
     /* 140353 */   GIM_Try, /*On fail goto*//*Label 2718*/ GIMT_Encode4(140389), // Rule ID 358 //
     /* 140358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 140361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 140366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 140369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 140372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 140376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 140380 */     // (intrinsic_wo_chain:{ *:[i32] } 585:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTMSUWHr:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)
     /* 140380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSUWHr),
     /* 140383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140385 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140387 */     GIR_RootConstrainSelectedInstOperands,
     /* 140388 */     // GIR_Coverage, 358,
     /* 140388 */     GIR_EraseRootFromParent_Done,
     /* 140389 */   // Label 2718: @140389
     /* 140389 */   GIM_Try, /*On fail goto*//*Label 2719*/ GIMT_Encode4(140425), // Rule ID 359 //
     /* 140394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 140397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 140402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 140408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 140412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 140416 */     // (intrinsic_wo_chain:{ *:[i64] } 585:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTMSUXHr:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)
     /* 140416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSUXHr),
     /* 140419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140421 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140423 */     GIR_RootConstrainSelectedInstOperands,
     /* 140424 */     // GIR_Coverage, 359,
     /* 140424 */     GIR_EraseRootFromParent_Done,
     /* 140425 */   // Label 2719: @140425
     /* 140425 */   GIM_Try, /*On fail goto*//*Label 2720*/ GIMT_Encode4(140461), // Rule ID 360 //
     /* 140430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 140433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 140438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 140441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 140444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 140448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 140452 */     // (intrinsic_wo_chain:{ *:[i32] } 585:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTMSUWSr:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)
     /* 140452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSUWSr),
     /* 140455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140457 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140459 */     GIR_RootConstrainSelectedInstOperands,
     /* 140460 */     // GIR_Coverage, 360,
     /* 140460 */     GIR_EraseRootFromParent_Done,
     /* 140461 */   // Label 2720: @140461
     /* 140461 */   GIM_Try, /*On fail goto*//*Label 2721*/ GIMT_Encode4(140497), // Rule ID 361 //
     /* 140466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 140469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 140474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 140480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 140484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 140488 */     // (intrinsic_wo_chain:{ *:[i64] } 585:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTMSUXSr:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)
     /* 140488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSUXSr),
     /* 140491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140493 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140495 */     GIR_RootConstrainSelectedInstOperands,
     /* 140496 */     // GIR_Coverage, 361,
     /* 140496 */     GIR_EraseRootFromParent_Done,
     /* 140497 */   // Label 2721: @140497
     /* 140497 */   GIM_Try, /*On fail goto*//*Label 2722*/ GIMT_Encode4(140533), // Rule ID 362 //
     /* 140502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 140505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 140510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 140513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 140516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 140520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140524 */     // (intrinsic_wo_chain:{ *:[i32] } 585:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTMSUWDr:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)
     /* 140524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSUWDr),
     /* 140527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140529 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140531 */     GIR_RootConstrainSelectedInstOperands,
     /* 140532 */     // GIR_Coverage, 362,
     /* 140532 */     GIR_EraseRootFromParent_Done,
     /* 140533 */   // Label 2722: @140533
     /* 140533 */   GIM_Try, /*On fail goto*//*Label 2723*/ GIMT_Encode4(140569), // Rule ID 363 //
     /* 140538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 140541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 140546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 140552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 140556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140560 */     // (intrinsic_wo_chain:{ *:[i64] } 585:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTMSUXDr:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)
     /* 140560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSUXDr),
     /* 140563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140565 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140567 */     GIR_RootConstrainSelectedInstOperands,
     /* 140568 */     // GIR_Coverage, 363,
     /* 140568 */     GIR_EraseRootFromParent_Done,
     /* 140569 */   // Label 2723: @140569
     /* 140569 */   GIM_Try, /*On fail goto*//*Label 2724*/ GIMT_Encode4(140605), // Rule ID 364 //
     /* 140574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 140577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 140582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 140585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 140588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 140592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 140596 */     // (intrinsic_wo_chain:{ *:[i32] } 586:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTMUUWHr:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)
     /* 140596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUUWHr),
     /* 140599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140601 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140603 */     GIR_RootConstrainSelectedInstOperands,
     /* 140604 */     // GIR_Coverage, 364,
     /* 140604 */     GIR_EraseRootFromParent_Done,
     /* 140605 */   // Label 2724: @140605
     /* 140605 */   GIM_Try, /*On fail goto*//*Label 2725*/ GIMT_Encode4(140641), // Rule ID 365 //
     /* 140610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 140613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 140618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 140624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 140628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 140632 */     // (intrinsic_wo_chain:{ *:[i64] } 586:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTMUUXHr:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)
     /* 140632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUUXHr),
     /* 140635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140637 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140639 */     GIR_RootConstrainSelectedInstOperands,
     /* 140640 */     // GIR_Coverage, 365,
     /* 140640 */     GIR_EraseRootFromParent_Done,
     /* 140641 */   // Label 2725: @140641
     /* 140641 */   GIM_Try, /*On fail goto*//*Label 2726*/ GIMT_Encode4(140677), // Rule ID 366 //
     /* 140646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 140649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 140654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 140657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 140660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 140664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 140668 */     // (intrinsic_wo_chain:{ *:[i32] } 586:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTMUUWSr:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)
     /* 140668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUUWSr),
     /* 140671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140673 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140675 */     GIR_RootConstrainSelectedInstOperands,
     /* 140676 */     // GIR_Coverage, 366,
     /* 140676 */     GIR_EraseRootFromParent_Done,
     /* 140677 */   // Label 2726: @140677
     /* 140677 */   GIM_Try, /*On fail goto*//*Label 2727*/ GIMT_Encode4(140713), // Rule ID 367 //
     /* 140682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 140685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 140690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 140696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 140700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 140704 */     // (intrinsic_wo_chain:{ *:[i64] } 586:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTMUUXSr:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)
     /* 140704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUUXSr),
     /* 140707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140709 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140711 */     GIR_RootConstrainSelectedInstOperands,
     /* 140712 */     // GIR_Coverage, 367,
     /* 140712 */     GIR_EraseRootFromParent_Done,
     /* 140713 */   // Label 2727: @140713
     /* 140713 */   GIM_Try, /*On fail goto*//*Label 2728*/ GIMT_Encode4(140749), // Rule ID 368 //
     /* 140718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 140721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 140726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 140729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 140732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 140736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140740 */     // (intrinsic_wo_chain:{ *:[i32] } 586:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTMUUWDr:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)
     /* 140740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUUWDr),
     /* 140743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140745 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140747 */     GIR_RootConstrainSelectedInstOperands,
     /* 140748 */     // GIR_Coverage, 368,
     /* 140748 */     GIR_EraseRootFromParent_Done,
     /* 140749 */   // Label 2728: @140749
     /* 140749 */   GIM_Try, /*On fail goto*//*Label 2729*/ GIMT_Encode4(140785), // Rule ID 369 //
     /* 140754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 140757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 140762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 140768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 140772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140776 */     // (intrinsic_wo_chain:{ *:[i64] } 586:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTMUUXDr:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)
     /* 140776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUUXDr),
     /* 140779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140781 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140783 */     GIR_RootConstrainSelectedInstOperands,
     /* 140784 */     // GIR_Coverage, 369,
     /* 140784 */     GIR_EraseRootFromParent_Done,
     /* 140785 */   // Label 2729: @140785
     /* 140785 */   GIM_Try, /*On fail goto*//*Label 2730*/ GIMT_Encode4(140821), // Rule ID 370 //
     /* 140790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 140793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 140798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 140801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 140804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 140808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 140812 */     // (intrinsic_wo_chain:{ *:[i32] } 587:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTNSUWHr:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)
     /* 140812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSUWHr),
     /* 140815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140817 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140819 */     GIR_RootConstrainSelectedInstOperands,
     /* 140820 */     // GIR_Coverage, 370,
     /* 140820 */     GIR_EraseRootFromParent_Done,
     /* 140821 */   // Label 2730: @140821
     /* 140821 */   GIM_Try, /*On fail goto*//*Label 2731*/ GIMT_Encode4(140857), // Rule ID 371 //
     /* 140826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 140829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 140834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 140840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 140844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 140848 */     // (intrinsic_wo_chain:{ *:[i64] } 587:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTNSUXHr:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)
     /* 140848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSUXHr),
     /* 140851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140853 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140855 */     GIR_RootConstrainSelectedInstOperands,
     /* 140856 */     // GIR_Coverage, 371,
     /* 140856 */     GIR_EraseRootFromParent_Done,
     /* 140857 */   // Label 2731: @140857
     /* 140857 */   GIM_Try, /*On fail goto*//*Label 2732*/ GIMT_Encode4(140893), // Rule ID 372 //
     /* 140862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 140865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 140870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 140873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 140876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 140880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 140884 */     // (intrinsic_wo_chain:{ *:[i32] } 587:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTNSUWSr:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)
     /* 140884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSUWSr),
     /* 140887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140889 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140891 */     GIR_RootConstrainSelectedInstOperands,
     /* 140892 */     // GIR_Coverage, 372,
     /* 140892 */     GIR_EraseRootFromParent_Done,
     /* 140893 */   // Label 2732: @140893
     /* 140893 */   GIM_Try, /*On fail goto*//*Label 2733*/ GIMT_Encode4(140929), // Rule ID 373 //
     /* 140898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 140901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 140906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 140912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 140916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 140920 */     // (intrinsic_wo_chain:{ *:[i64] } 587:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTNSUXSr:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)
     /* 140920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSUXSr),
     /* 140923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140925 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140927 */     GIR_RootConstrainSelectedInstOperands,
     /* 140928 */     // GIR_Coverage, 373,
     /* 140928 */     GIR_EraseRootFromParent_Done,
     /* 140929 */   // Label 2733: @140929
     /* 140929 */   GIM_Try, /*On fail goto*//*Label 2734*/ GIMT_Encode4(140965), // Rule ID 374 //
     /* 140934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 140937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 140942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 140945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 140948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 140952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140956 */     // (intrinsic_wo_chain:{ *:[i32] } 587:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTNSUWDr:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)
     /* 140956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSUWDr),
     /* 140959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140961 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140963 */     GIR_RootConstrainSelectedInstOperands,
     /* 140964 */     // GIR_Coverage, 374,
     /* 140964 */     GIR_EraseRootFromParent_Done,
     /* 140965 */   // Label 2734: @140965
     /* 140965 */   GIM_Try, /*On fail goto*//*Label 2735*/ GIMT_Encode4(141001), // Rule ID 375 //
     /* 140970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 140973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 140978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 140984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 140988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140992 */     // (intrinsic_wo_chain:{ *:[i64] } 587:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTNSUXDr:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)
     /* 140992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSUXDr),
     /* 140995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140997 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140999 */     GIR_RootConstrainSelectedInstOperands,
     /* 141000 */     // GIR_Coverage, 375,
     /* 141000 */     GIR_EraseRootFromParent_Done,
     /* 141001 */   // Label 2735: @141001
     /* 141001 */   GIM_Try, /*On fail goto*//*Label 2736*/ GIMT_Encode4(141037), // Rule ID 376 //
     /* 141006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 141009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 141014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 141020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 141024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 141028 */     // (intrinsic_wo_chain:{ *:[i32] } 588:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTNUUWHr:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)
     /* 141028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUUWHr),
     /* 141031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141033 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141035 */     GIR_RootConstrainSelectedInstOperands,
     /* 141036 */     // GIR_Coverage, 376,
     /* 141036 */     GIR_EraseRootFromParent_Done,
     /* 141037 */   // Label 2736: @141037
     /* 141037 */   GIM_Try, /*On fail goto*//*Label 2737*/ GIMT_Encode4(141073), // Rule ID 377 //
     /* 141042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 141045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 141050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 141056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 141060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 141064 */     // (intrinsic_wo_chain:{ *:[i64] } 588:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTNUUXHr:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)
     /* 141064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUUXHr),
     /* 141067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141069 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141071 */     GIR_RootConstrainSelectedInstOperands,
     /* 141072 */     // GIR_Coverage, 377,
     /* 141072 */     GIR_EraseRootFromParent_Done,
     /* 141073 */   // Label 2737: @141073
     /* 141073 */   GIM_Try, /*On fail goto*//*Label 2738*/ GIMT_Encode4(141109), // Rule ID 378 //
     /* 141078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 141086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 141092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 141096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141100 */     // (intrinsic_wo_chain:{ *:[i32] } 588:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTNUUWSr:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)
     /* 141100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUUWSr),
     /* 141103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141105 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141107 */     GIR_RootConstrainSelectedInstOperands,
     /* 141108 */     // GIR_Coverage, 378,
     /* 141108 */     GIR_EraseRootFromParent_Done,
     /* 141109 */   // Label 2738: @141109
     /* 141109 */   GIM_Try, /*On fail goto*//*Label 2739*/ GIMT_Encode4(141145), // Rule ID 379 //
     /* 141114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 141122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 141128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 141132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141136 */     // (intrinsic_wo_chain:{ *:[i64] } 588:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTNUUXSr:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)
     /* 141136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUUXSr),
     /* 141139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141141 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141143 */     GIR_RootConstrainSelectedInstOperands,
     /* 141144 */     // GIR_Coverage, 379,
     /* 141144 */     GIR_EraseRootFromParent_Done,
     /* 141145 */   // Label 2739: @141145
     /* 141145 */   GIM_Try, /*On fail goto*//*Label 2740*/ GIMT_Encode4(141181), // Rule ID 380 //
     /* 141150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 141158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 141164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 141168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141172 */     // (intrinsic_wo_chain:{ *:[i32] } 588:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTNUUWDr:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)
     /* 141172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUUWDr),
     /* 141175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141177 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141179 */     GIR_RootConstrainSelectedInstOperands,
     /* 141180 */     // GIR_Coverage, 380,
     /* 141180 */     GIR_EraseRootFromParent_Done,
     /* 141181 */   // Label 2740: @141181
     /* 141181 */   GIM_Try, /*On fail goto*//*Label 2741*/ GIMT_Encode4(141217), // Rule ID 381 //
     /* 141186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 141194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 141200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 141204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141208 */     // (intrinsic_wo_chain:{ *:[i64] } 588:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTNUUXDr:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)
     /* 141208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUUXDr),
     /* 141211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141213 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141215 */     GIR_RootConstrainSelectedInstOperands,
     /* 141216 */     // GIR_Coverage, 381,
     /* 141216 */     GIR_EraseRootFromParent_Done,
     /* 141217 */   // Label 2741: @141217
     /* 141217 */   GIM_Try, /*On fail goto*//*Label 2742*/ GIMT_Encode4(141253), // Rule ID 382 //
     /* 141222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 141225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 141230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 141236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 141240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 141244 */     // (intrinsic_wo_chain:{ *:[i32] } 589:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTPSUWHr:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)
     /* 141244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSUWHr),
     /* 141247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141249 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141251 */     GIR_RootConstrainSelectedInstOperands,
     /* 141252 */     // GIR_Coverage, 382,
     /* 141252 */     GIR_EraseRootFromParent_Done,
     /* 141253 */   // Label 2742: @141253
     /* 141253 */   GIM_Try, /*On fail goto*//*Label 2743*/ GIMT_Encode4(141289), // Rule ID 383 //
     /* 141258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 141261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 141266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 141272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 141276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 141280 */     // (intrinsic_wo_chain:{ *:[i64] } 589:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTPSUXHr:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)
     /* 141280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSUXHr),
     /* 141283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141285 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141287 */     GIR_RootConstrainSelectedInstOperands,
     /* 141288 */     // GIR_Coverage, 383,
     /* 141288 */     GIR_EraseRootFromParent_Done,
     /* 141289 */   // Label 2743: @141289
     /* 141289 */   GIM_Try, /*On fail goto*//*Label 2744*/ GIMT_Encode4(141325), // Rule ID 384 //
     /* 141294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 141302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 141308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 141312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141316 */     // (intrinsic_wo_chain:{ *:[i32] } 589:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTPSUWSr:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)
     /* 141316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSUWSr),
     /* 141319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141321 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141323 */     GIR_RootConstrainSelectedInstOperands,
     /* 141324 */     // GIR_Coverage, 384,
     /* 141324 */     GIR_EraseRootFromParent_Done,
     /* 141325 */   // Label 2744: @141325
     /* 141325 */   GIM_Try, /*On fail goto*//*Label 2745*/ GIMT_Encode4(141361), // Rule ID 385 //
     /* 141330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 141338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 141344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 141348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141352 */     // (intrinsic_wo_chain:{ *:[i64] } 589:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTPSUXSr:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)
     /* 141352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSUXSr),
     /* 141355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141357 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141359 */     GIR_RootConstrainSelectedInstOperands,
     /* 141360 */     // GIR_Coverage, 385,
     /* 141360 */     GIR_EraseRootFromParent_Done,
     /* 141361 */   // Label 2745: @141361
     /* 141361 */   GIM_Try, /*On fail goto*//*Label 2746*/ GIMT_Encode4(141397), // Rule ID 386 //
     /* 141366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 141374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 141380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 141384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141388 */     // (intrinsic_wo_chain:{ *:[i32] } 589:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTPSUWDr:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)
     /* 141388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSUWDr),
     /* 141391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141393 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141395 */     GIR_RootConstrainSelectedInstOperands,
     /* 141396 */     // GIR_Coverage, 386,
     /* 141396 */     GIR_EraseRootFromParent_Done,
     /* 141397 */   // Label 2746: @141397
     /* 141397 */   GIM_Try, /*On fail goto*//*Label 2747*/ GIMT_Encode4(141433), // Rule ID 387 //
     /* 141402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 141410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 141416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 141420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141424 */     // (intrinsic_wo_chain:{ *:[i64] } 589:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTPSUXDr:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)
     /* 141424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSUXDr),
     /* 141427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141429 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141431 */     GIR_RootConstrainSelectedInstOperands,
     /* 141432 */     // GIR_Coverage, 387,
     /* 141432 */     GIR_EraseRootFromParent_Done,
     /* 141433 */   // Label 2747: @141433
     /* 141433 */   GIM_Try, /*On fail goto*//*Label 2748*/ GIMT_Encode4(141469), // Rule ID 388 //
     /* 141438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 141441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 141446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 141452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 141456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 141460 */     // (intrinsic_wo_chain:{ *:[i32] } 590:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTPUUWHr:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)
     /* 141460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUUWHr),
     /* 141463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141465 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141467 */     GIR_RootConstrainSelectedInstOperands,
     /* 141468 */     // GIR_Coverage, 388,
     /* 141468 */     GIR_EraseRootFromParent_Done,
     /* 141469 */   // Label 2748: @141469
     /* 141469 */   GIM_Try, /*On fail goto*//*Label 2749*/ GIMT_Encode4(141505), // Rule ID 389 //
     /* 141474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 141477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 141482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 141488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 141492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 141496 */     // (intrinsic_wo_chain:{ *:[i64] } 590:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTPUUXHr:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)
     /* 141496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUUXHr),
     /* 141499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141501 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141503 */     GIR_RootConstrainSelectedInstOperands,
     /* 141504 */     // GIR_Coverage, 389,
     /* 141504 */     GIR_EraseRootFromParent_Done,
     /* 141505 */   // Label 2749: @141505
     /* 141505 */   GIM_Try, /*On fail goto*//*Label 2750*/ GIMT_Encode4(141541), // Rule ID 390 //
     /* 141510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 141518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 141524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 141528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141532 */     // (intrinsic_wo_chain:{ *:[i32] } 590:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTPUUWSr:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)
     /* 141532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUUWSr),
     /* 141535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141537 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141539 */     GIR_RootConstrainSelectedInstOperands,
     /* 141540 */     // GIR_Coverage, 390,
     /* 141540 */     GIR_EraseRootFromParent_Done,
     /* 141541 */   // Label 2750: @141541
     /* 141541 */   GIM_Try, /*On fail goto*//*Label 2751*/ GIMT_Encode4(141577), // Rule ID 391 //
     /* 141546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 141554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 141560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 141564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141568 */     // (intrinsic_wo_chain:{ *:[i64] } 590:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTPUUXSr:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)
     /* 141568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUUXSr),
     /* 141571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141573 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141575 */     GIR_RootConstrainSelectedInstOperands,
     /* 141576 */     // GIR_Coverage, 391,
     /* 141576 */     GIR_EraseRootFromParent_Done,
     /* 141577 */   // Label 2751: @141577
     /* 141577 */   GIM_Try, /*On fail goto*//*Label 2752*/ GIMT_Encode4(141613), // Rule ID 392 //
     /* 141582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 141590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 141596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 141600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141604 */     // (intrinsic_wo_chain:{ *:[i32] } 590:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTPUUWDr:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)
     /* 141604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUUWDr),
     /* 141607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141609 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141611 */     GIR_RootConstrainSelectedInstOperands,
     /* 141612 */     // GIR_Coverage, 392,
     /* 141612 */     GIR_EraseRootFromParent_Done,
     /* 141613 */   // Label 2752: @141613
     /* 141613 */   GIM_Try, /*On fail goto*//*Label 2753*/ GIMT_Encode4(141649), // Rule ID 393 //
     /* 141618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 141626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 141632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 141636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141640 */     // (intrinsic_wo_chain:{ *:[i64] } 590:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTPUUXDr:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)
     /* 141640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUUXDr),
     /* 141643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141645 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141647 */     GIR_RootConstrainSelectedInstOperands,
     /* 141648 */     // GIR_Coverage, 393,
     /* 141648 */     GIR_EraseRootFromParent_Done,
     /* 141649 */   // Label 2753: @141649
     /* 141649 */   GIM_Try, /*On fail goto*//*Label 2754*/ GIMT_Encode4(141685), // Rule ID 575 //
     /* 141654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 141657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_frint32z),
     /* 141662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 141668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141676 */     // (intrinsic_wo_chain:{ *:[f32] } 548:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FRINT32ZSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 141676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32ZSr),
     /* 141679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141681 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141683 */     GIR_RootConstrainSelectedInstOperands,
     /* 141684 */     // GIR_Coverage, 575,
     /* 141684 */     GIR_EraseRootFromParent_Done,
     /* 141685 */   // Label 2754: @141685
     /* 141685 */   GIM_Try, /*On fail goto*//*Label 2755*/ GIMT_Encode4(141721), // Rule ID 576 //
     /* 141690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 141693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_frint32z),
     /* 141698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 141704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141712 */     // (intrinsic_wo_chain:{ *:[f64] } 548:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FRINT32ZDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 141712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32ZDr),
     /* 141715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141717 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141719 */     GIR_RootConstrainSelectedInstOperands,
     /* 141720 */     // GIR_Coverage, 576,
     /* 141720 */     GIR_EraseRootFromParent_Done,
     /* 141721 */   // Label 2755: @141721
     /* 141721 */   GIM_Try, /*On fail goto*//*Label 2756*/ GIMT_Encode4(141757), // Rule ID 577 //
     /* 141726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 141729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_frint64z),
     /* 141734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 141740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141748 */     // (intrinsic_wo_chain:{ *:[f32] } 550:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FRINT64ZSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 141748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64ZSr),
     /* 141751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141753 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141755 */     GIR_RootConstrainSelectedInstOperands,
     /* 141756 */     // GIR_Coverage, 577,
     /* 141756 */     GIR_EraseRootFromParent_Done,
     /* 141757 */   // Label 2756: @141757
     /* 141757 */   GIM_Try, /*On fail goto*//*Label 2757*/ GIMT_Encode4(141793), // Rule ID 578 //
     /* 141762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 141765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_frint64z),
     /* 141770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 141776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141784 */     // (intrinsic_wo_chain:{ *:[f64] } 550:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FRINT64ZDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 141784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64ZDr),
     /* 141787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141789 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141791 */     GIR_RootConstrainSelectedInstOperands,
     /* 141792 */     // GIR_Coverage, 578,
     /* 141792 */     GIR_EraseRootFromParent_Done,
     /* 141793 */   // Label 2757: @141793
     /* 141793 */   GIM_Try, /*On fail goto*//*Label 2758*/ GIMT_Encode4(141829), // Rule ID 579 //
     /* 141798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 141801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_frint32x),
     /* 141806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 141812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141820 */     // (intrinsic_wo_chain:{ *:[f32] } 547:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FRINT32XSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 141820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32XSr),
     /* 141823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141825 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141827 */     GIR_RootConstrainSelectedInstOperands,
     /* 141828 */     // GIR_Coverage, 579,
     /* 141828 */     GIR_EraseRootFromParent_Done,
     /* 141829 */   // Label 2758: @141829
     /* 141829 */   GIM_Try, /*On fail goto*//*Label 2759*/ GIMT_Encode4(141865), // Rule ID 580 //
     /* 141834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 141837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_frint32x),
     /* 141842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 141848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141856 */     // (intrinsic_wo_chain:{ *:[f64] } 547:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FRINT32XDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 141856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32XDr),
     /* 141859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141861 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141863 */     GIR_RootConstrainSelectedInstOperands,
     /* 141864 */     // GIR_Coverage, 580,
     /* 141864 */     GIR_EraseRootFromParent_Done,
     /* 141865 */   // Label 2759: @141865
     /* 141865 */   GIM_Try, /*On fail goto*//*Label 2760*/ GIMT_Encode4(141901), // Rule ID 581 //
     /* 141870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 141873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_frint64x),
     /* 141878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 141884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141892 */     // (intrinsic_wo_chain:{ *:[f32] } 549:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FRINT64XSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 141892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64XSr),
     /* 141895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141897 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141899 */     GIR_RootConstrainSelectedInstOperands,
     /* 141900 */     // GIR_Coverage, 581,
     /* 141900 */     GIR_EraseRootFromParent_Done,
     /* 141901 */   // Label 2760: @141901
     /* 141901 */   GIM_Try, /*On fail goto*//*Label 2761*/ GIMT_Encode4(141937), // Rule ID 582 //
     /* 141906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 141909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_frint64x),
     /* 141914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 141920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141928 */     // (intrinsic_wo_chain:{ *:[f64] } 549:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FRINT64XDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 141928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64XDr),
     /* 141931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141933 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141935 */     GIR_RootConstrainSelectedInstOperands,
     /* 141936 */     // GIR_Coverage, 582,
     /* 141936 */     GIR_EraseRootFromParent_Done,
     /* 141937 */   // Label 2761: @141937
     /* 141937 */   GIM_Try, /*On fail goto*//*Label 2762*/ GIMT_Encode4(141973), // Rule ID 710 //
     /* 141942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 141945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_cls),
     /* 141950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 141953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 141956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141964 */     // (intrinsic_wo_chain:{ *:[v8i8] } 575:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (CLSv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 141964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLSv8i8),
     /* 141967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141969 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141971 */     GIR_RootConstrainSelectedInstOperands,
     /* 141972 */     // GIR_Coverage, 710,
     /* 141972 */     GIR_EraseRootFromParent_Done,
     /* 141973 */   // Label 2762: @141973
     /* 141973 */   GIM_Try, /*On fail goto*//*Label 2763*/ GIMT_Encode4(142009), // Rule ID 711 //
     /* 141978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 141981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_cls),
     /* 141986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 141989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 141992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 141996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142000 */     // (intrinsic_wo_chain:{ *:[v16i8] } 575:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (CLSv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 142000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLSv16i8),
     /* 142003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142005 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142007 */     GIR_RootConstrainSelectedInstOperands,
     /* 142008 */     // GIR_Coverage, 711,
     /* 142008 */     GIR_EraseRootFromParent_Done,
     /* 142009 */   // Label 2763: @142009
     /* 142009 */   GIM_Try, /*On fail goto*//*Label 2764*/ GIMT_Encode4(142045), // Rule ID 712 //
     /* 142014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 142017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_cls),
     /* 142022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 142025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 142028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142036 */     // (intrinsic_wo_chain:{ *:[v4i16] } 575:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (CLSv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 142036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLSv4i16),
     /* 142039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142041 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142043 */     GIR_RootConstrainSelectedInstOperands,
     /* 142044 */     // GIR_Coverage, 712,
     /* 142044 */     GIR_EraseRootFromParent_Done,
     /* 142045 */   // Label 2764: @142045
     /* 142045 */   GIM_Try, /*On fail goto*//*Label 2765*/ GIMT_Encode4(142081), // Rule ID 713 //
     /* 142050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 142053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_cls),
     /* 142058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 142061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 142064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142072 */     // (intrinsic_wo_chain:{ *:[v8i16] } 575:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn)  =>  (CLSv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 142072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLSv8i16),
     /* 142075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142077 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142079 */     GIR_RootConstrainSelectedInstOperands,
     /* 142080 */     // GIR_Coverage, 713,
     /* 142080 */     GIR_EraseRootFromParent_Done,
     /* 142081 */   // Label 2765: @142081
     /* 142081 */   GIM_Try, /*On fail goto*//*Label 2766*/ GIMT_Encode4(142117), // Rule ID 714 //
     /* 142086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 142089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_cls),
     /* 142094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 142097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 142100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142108 */     // (intrinsic_wo_chain:{ *:[v2i32] } 575:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (CLSv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 142108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLSv2i32),
     /* 142111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142113 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142115 */     GIR_RootConstrainSelectedInstOperands,
     /* 142116 */     // GIR_Coverage, 714,
     /* 142116 */     GIR_EraseRootFromParent_Done,
     /* 142117 */   // Label 2766: @142117
     /* 142117 */   GIM_Try, /*On fail goto*//*Label 2767*/ GIMT_Encode4(142153), // Rule ID 715 //
     /* 142122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 142125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_cls),
     /* 142130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 142133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 142136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142144 */     // (intrinsic_wo_chain:{ *:[v4i32] } 575:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (CLSv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 142144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLSv4i32),
     /* 142147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142149 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142151 */     GIR_RootConstrainSelectedInstOperands,
     /* 142152 */     // GIR_Coverage, 715,
     /* 142152 */     GIR_EraseRootFromParent_Done,
     /* 142153 */   // Label 2767: @142153
     /* 142153 */   GIM_Try, /*On fail goto*//*Label 2768*/ GIMT_Encode4(142189), // Rule ID 796 //
     /* 142158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 142161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 142166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 142169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 142172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142180 */     // (intrinsic_wo_chain:{ *:[v4i16] } 583:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FCVTASv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 142180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASv4f16),
     /* 142183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142185 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142187 */     GIR_RootConstrainSelectedInstOperands,
     /* 142188 */     // GIR_Coverage, 796,
     /* 142188 */     GIR_EraseRootFromParent_Done,
     /* 142189 */   // Label 2768: @142189
     /* 142189 */   GIM_Try, /*On fail goto*//*Label 2769*/ GIMT_Encode4(142225), // Rule ID 797 //
     /* 142194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 142197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 142202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 142205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 142208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142216 */     // (intrinsic_wo_chain:{ *:[v8i16] } 583:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FCVTASv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 142216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASv8f16),
     /* 142219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142221 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142223 */     GIR_RootConstrainSelectedInstOperands,
     /* 142224 */     // GIR_Coverage, 797,
     /* 142224 */     GIR_EraseRootFromParent_Done,
     /* 142225 */   // Label 2769: @142225
     /* 142225 */   GIM_Try, /*On fail goto*//*Label 2770*/ GIMT_Encode4(142261), // Rule ID 798 //
     /* 142230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 142233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 142238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 142241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 142244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142252 */     // (intrinsic_wo_chain:{ *:[v2i32] } 583:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FCVTASv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 142252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASv2f32),
     /* 142255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142257 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142259 */     GIR_RootConstrainSelectedInstOperands,
     /* 142260 */     // GIR_Coverage, 798,
     /* 142260 */     GIR_EraseRootFromParent_Done,
     /* 142261 */   // Label 2770: @142261
     /* 142261 */   GIM_Try, /*On fail goto*//*Label 2771*/ GIMT_Encode4(142297), // Rule ID 799 //
     /* 142266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 142269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 142274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 142277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 142280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142288 */     // (intrinsic_wo_chain:{ *:[v4i32] } 583:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FCVTASv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 142288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASv4f32),
     /* 142291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142293 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142295 */     GIR_RootConstrainSelectedInstOperands,
     /* 142296 */     // GIR_Coverage, 799,
     /* 142296 */     GIR_EraseRootFromParent_Done,
     /* 142297 */   // Label 2771: @142297
     /* 142297 */   GIM_Try, /*On fail goto*//*Label 2772*/ GIMT_Encode4(142333), // Rule ID 800 //
     /* 142302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 142305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 142310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 142313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 142316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142324 */     // (intrinsic_wo_chain:{ *:[v2i64] } 583:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FCVTASv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 142324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASv2f64),
     /* 142327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142329 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142331 */     GIR_RootConstrainSelectedInstOperands,
     /* 142332 */     // GIR_Coverage, 800,
     /* 142332 */     GIR_EraseRootFromParent_Done,
     /* 142333 */   // Label 2772: @142333
     /* 142333 */   GIM_Try, /*On fail goto*//*Label 2773*/ GIMT_Encode4(142369), // Rule ID 801 //
     /* 142338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 142341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 142346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 142349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 142352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142360 */     // (intrinsic_wo_chain:{ *:[v4i16] } 584:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FCVTAUv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 142360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUv4f16),
     /* 142363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142365 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142367 */     GIR_RootConstrainSelectedInstOperands,
     /* 142368 */     // GIR_Coverage, 801,
     /* 142368 */     GIR_EraseRootFromParent_Done,
     /* 142369 */   // Label 2773: @142369
     /* 142369 */   GIM_Try, /*On fail goto*//*Label 2774*/ GIMT_Encode4(142405), // Rule ID 802 //
     /* 142374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 142377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 142382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 142385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 142388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142396 */     // (intrinsic_wo_chain:{ *:[v8i16] } 584:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FCVTAUv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 142396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUv8f16),
     /* 142399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142401 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142403 */     GIR_RootConstrainSelectedInstOperands,
     /* 142404 */     // GIR_Coverage, 802,
     /* 142404 */     GIR_EraseRootFromParent_Done,
     /* 142405 */   // Label 2774: @142405
     /* 142405 */   GIM_Try, /*On fail goto*//*Label 2775*/ GIMT_Encode4(142441), // Rule ID 803 //
     /* 142410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 142413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 142418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 142421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 142424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142432 */     // (intrinsic_wo_chain:{ *:[v2i32] } 584:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FCVTAUv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 142432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUv2f32),
     /* 142435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142437 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142439 */     GIR_RootConstrainSelectedInstOperands,
     /* 142440 */     // GIR_Coverage, 803,
     /* 142440 */     GIR_EraseRootFromParent_Done,
     /* 142441 */   // Label 2775: @142441
     /* 142441 */   GIM_Try, /*On fail goto*//*Label 2776*/ GIMT_Encode4(142477), // Rule ID 804 //
     /* 142446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 142449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 142454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 142457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 142460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142468 */     // (intrinsic_wo_chain:{ *:[v4i32] } 584:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FCVTAUv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 142468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUv4f32),
     /* 142471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142473 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142475 */     GIR_RootConstrainSelectedInstOperands,
     /* 142476 */     // GIR_Coverage, 804,
     /* 142476 */     GIR_EraseRootFromParent_Done,
     /* 142477 */   // Label 2776: @142477
     /* 142477 */   GIM_Try, /*On fail goto*//*Label 2777*/ GIMT_Encode4(142513), // Rule ID 805 //
     /* 142482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 142485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 142490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 142493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 142496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142504 */     // (intrinsic_wo_chain:{ *:[v2i64] } 584:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FCVTAUv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 142504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUv2f64),
     /* 142507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142509 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142511 */     GIR_RootConstrainSelectedInstOperands,
     /* 142512 */     // GIR_Coverage, 805,
     /* 142512 */     GIR_EraseRootFromParent_Done,
     /* 142513 */   // Label 2777: @142513
     /* 142513 */   GIM_Try, /*On fail goto*//*Label 2778*/ GIMT_Encode4(142549), // Rule ID 806 //
     /* 142518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 142521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 142526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 142529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 142532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142540 */     // (intrinsic_wo_chain:{ *:[v4i16] } 585:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FCVTMSv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 142540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSv4f16),
     /* 142543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142545 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142547 */     GIR_RootConstrainSelectedInstOperands,
     /* 142548 */     // GIR_Coverage, 806,
     /* 142548 */     GIR_EraseRootFromParent_Done,
     /* 142549 */   // Label 2778: @142549
     /* 142549 */   GIM_Try, /*On fail goto*//*Label 2779*/ GIMT_Encode4(142585), // Rule ID 807 //
     /* 142554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 142557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 142562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 142565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 142568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142576 */     // (intrinsic_wo_chain:{ *:[v8i16] } 585:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FCVTMSv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 142576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSv8f16),
     /* 142579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142581 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142583 */     GIR_RootConstrainSelectedInstOperands,
     /* 142584 */     // GIR_Coverage, 807,
     /* 142584 */     GIR_EraseRootFromParent_Done,
     /* 142585 */   // Label 2779: @142585
     /* 142585 */   GIM_Try, /*On fail goto*//*Label 2780*/ GIMT_Encode4(142621), // Rule ID 808 //
     /* 142590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 142593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 142598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 142601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 142604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142612 */     // (intrinsic_wo_chain:{ *:[v2i32] } 585:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FCVTMSv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 142612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSv2f32),
     /* 142615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142617 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142619 */     GIR_RootConstrainSelectedInstOperands,
     /* 142620 */     // GIR_Coverage, 808,
     /* 142620 */     GIR_EraseRootFromParent_Done,
     /* 142621 */   // Label 2780: @142621
     /* 142621 */   GIM_Try, /*On fail goto*//*Label 2781*/ GIMT_Encode4(142657), // Rule ID 809 //
     /* 142626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 142629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 142634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 142637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 142640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142648 */     // (intrinsic_wo_chain:{ *:[v4i32] } 585:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FCVTMSv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 142648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSv4f32),
     /* 142651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142653 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142655 */     GIR_RootConstrainSelectedInstOperands,
     /* 142656 */     // GIR_Coverage, 809,
     /* 142656 */     GIR_EraseRootFromParent_Done,
     /* 142657 */   // Label 2781: @142657
     /* 142657 */   GIM_Try, /*On fail goto*//*Label 2782*/ GIMT_Encode4(142693), // Rule ID 810 //
     /* 142662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 142665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 142670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 142673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 142676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142684 */     // (intrinsic_wo_chain:{ *:[v2i64] } 585:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FCVTMSv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 142684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSv2f64),
     /* 142687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142689 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142691 */     GIR_RootConstrainSelectedInstOperands,
     /* 142692 */     // GIR_Coverage, 810,
     /* 142692 */     GIR_EraseRootFromParent_Done,
     /* 142693 */   // Label 2782: @142693
     /* 142693 */   GIM_Try, /*On fail goto*//*Label 2783*/ GIMT_Encode4(142729), // Rule ID 811 //
     /* 142698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 142701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 142706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 142709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 142712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142720 */     // (intrinsic_wo_chain:{ *:[v4i16] } 586:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FCVTMUv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 142720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUv4f16),
     /* 142723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142725 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142727 */     GIR_RootConstrainSelectedInstOperands,
     /* 142728 */     // GIR_Coverage, 811,
     /* 142728 */     GIR_EraseRootFromParent_Done,
     /* 142729 */   // Label 2783: @142729
     /* 142729 */   GIM_Try, /*On fail goto*//*Label 2784*/ GIMT_Encode4(142765), // Rule ID 812 //
     /* 142734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 142737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 142742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 142745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 142748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142756 */     // (intrinsic_wo_chain:{ *:[v8i16] } 586:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FCVTMUv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 142756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUv8f16),
     /* 142759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142761 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142763 */     GIR_RootConstrainSelectedInstOperands,
     /* 142764 */     // GIR_Coverage, 812,
     /* 142764 */     GIR_EraseRootFromParent_Done,
     /* 142765 */   // Label 2784: @142765
     /* 142765 */   GIM_Try, /*On fail goto*//*Label 2785*/ GIMT_Encode4(142801), // Rule ID 813 //
     /* 142770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 142773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 142778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 142781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 142784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142792 */     // (intrinsic_wo_chain:{ *:[v2i32] } 586:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FCVTMUv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 142792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUv2f32),
     /* 142795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142797 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142799 */     GIR_RootConstrainSelectedInstOperands,
     /* 142800 */     // GIR_Coverage, 813,
     /* 142800 */     GIR_EraseRootFromParent_Done,
     /* 142801 */   // Label 2785: @142801
     /* 142801 */   GIM_Try, /*On fail goto*//*Label 2786*/ GIMT_Encode4(142837), // Rule ID 814 //
     /* 142806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 142809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 142814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 142817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 142820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142828 */     // (intrinsic_wo_chain:{ *:[v4i32] } 586:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FCVTMUv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 142828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUv4f32),
     /* 142831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142833 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142835 */     GIR_RootConstrainSelectedInstOperands,
     /* 142836 */     // GIR_Coverage, 814,
     /* 142836 */     GIR_EraseRootFromParent_Done,
     /* 142837 */   // Label 2786: @142837
     /* 142837 */   GIM_Try, /*On fail goto*//*Label 2787*/ GIMT_Encode4(142873), // Rule ID 815 //
     /* 142842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 142845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 142850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 142853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 142856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142864 */     // (intrinsic_wo_chain:{ *:[v2i64] } 586:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FCVTMUv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 142864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUv2f64),
     /* 142867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142869 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142871 */     GIR_RootConstrainSelectedInstOperands,
     /* 142872 */     // GIR_Coverage, 815,
     /* 142872 */     GIR_EraseRootFromParent_Done,
     /* 142873 */   // Label 2787: @142873
     /* 142873 */   GIM_Try, /*On fail goto*//*Label 2788*/ GIMT_Encode4(142909), // Rule ID 816 //
     /* 142878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 142881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 142886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 142889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 142892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142900 */     // (intrinsic_wo_chain:{ *:[v4i16] } 587:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FCVTNSv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 142900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSv4f16),
     /* 142903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142905 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142907 */     GIR_RootConstrainSelectedInstOperands,
     /* 142908 */     // GIR_Coverage, 816,
     /* 142908 */     GIR_EraseRootFromParent_Done,
     /* 142909 */   // Label 2788: @142909
     /* 142909 */   GIM_Try, /*On fail goto*//*Label 2789*/ GIMT_Encode4(142945), // Rule ID 817 //
     /* 142914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 142917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 142922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 142925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 142928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142936 */     // (intrinsic_wo_chain:{ *:[v8i16] } 587:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FCVTNSv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 142936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSv8f16),
     /* 142939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142941 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142943 */     GIR_RootConstrainSelectedInstOperands,
     /* 142944 */     // GIR_Coverage, 817,
     /* 142944 */     GIR_EraseRootFromParent_Done,
     /* 142945 */   // Label 2789: @142945
     /* 142945 */   GIM_Try, /*On fail goto*//*Label 2790*/ GIMT_Encode4(142981), // Rule ID 818 //
     /* 142950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 142953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 142958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 142961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 142964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142972 */     // (intrinsic_wo_chain:{ *:[v2i32] } 587:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FCVTNSv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 142972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSv2f32),
     /* 142975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142977 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142979 */     GIR_RootConstrainSelectedInstOperands,
     /* 142980 */     // GIR_Coverage, 818,
     /* 142980 */     GIR_EraseRootFromParent_Done,
     /* 142981 */   // Label 2790: @142981
     /* 142981 */   GIM_Try, /*On fail goto*//*Label 2791*/ GIMT_Encode4(143017), // Rule ID 819 //
     /* 142986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 142989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 142994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 142997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 143000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143008 */     // (intrinsic_wo_chain:{ *:[v4i32] } 587:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FCVTNSv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 143008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSv4f32),
     /* 143011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143013 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143015 */     GIR_RootConstrainSelectedInstOperands,
     /* 143016 */     // GIR_Coverage, 819,
     /* 143016 */     GIR_EraseRootFromParent_Done,
     /* 143017 */   // Label 2791: @143017
     /* 143017 */   GIM_Try, /*On fail goto*//*Label 2792*/ GIMT_Encode4(143053), // Rule ID 820 //
     /* 143022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 143030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 143033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 143036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143044 */     // (intrinsic_wo_chain:{ *:[v2i64] } 587:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FCVTNSv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 143044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSv2f64),
     /* 143047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143049 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143051 */     GIR_RootConstrainSelectedInstOperands,
     /* 143052 */     // GIR_Coverage, 820,
     /* 143052 */     GIR_EraseRootFromParent_Done,
     /* 143053 */   // Label 2792: @143053
     /* 143053 */   GIM_Try, /*On fail goto*//*Label 2793*/ GIMT_Encode4(143089), // Rule ID 821 //
     /* 143058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 143061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 143066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 143069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 143072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143080 */     // (intrinsic_wo_chain:{ *:[v4i16] } 588:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FCVTNUv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 143080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUv4f16),
     /* 143083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143085 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143087 */     GIR_RootConstrainSelectedInstOperands,
     /* 143088 */     // GIR_Coverage, 821,
     /* 143088 */     GIR_EraseRootFromParent_Done,
     /* 143089 */   // Label 2793: @143089
     /* 143089 */   GIM_Try, /*On fail goto*//*Label 2794*/ GIMT_Encode4(143125), // Rule ID 822 //
     /* 143094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 143097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 143102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 143105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 143108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143116 */     // (intrinsic_wo_chain:{ *:[v8i16] } 588:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FCVTNUv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 143116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUv8f16),
     /* 143119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143121 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143123 */     GIR_RootConstrainSelectedInstOperands,
     /* 143124 */     // GIR_Coverage, 822,
     /* 143124 */     GIR_EraseRootFromParent_Done,
     /* 143125 */   // Label 2794: @143125
     /* 143125 */   GIM_Try, /*On fail goto*//*Label 2795*/ GIMT_Encode4(143161), // Rule ID 823 //
     /* 143130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 143138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 143141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 143144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143152 */     // (intrinsic_wo_chain:{ *:[v2i32] } 588:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FCVTNUv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 143152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUv2f32),
     /* 143155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143157 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143159 */     GIR_RootConstrainSelectedInstOperands,
     /* 143160 */     // GIR_Coverage, 823,
     /* 143160 */     GIR_EraseRootFromParent_Done,
     /* 143161 */   // Label 2795: @143161
     /* 143161 */   GIM_Try, /*On fail goto*//*Label 2796*/ GIMT_Encode4(143197), // Rule ID 824 //
     /* 143166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 143174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 143177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 143180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143188 */     // (intrinsic_wo_chain:{ *:[v4i32] } 588:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FCVTNUv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 143188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUv4f32),
     /* 143191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143193 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143195 */     GIR_RootConstrainSelectedInstOperands,
     /* 143196 */     // GIR_Coverage, 824,
     /* 143196 */     GIR_EraseRootFromParent_Done,
     /* 143197 */   // Label 2796: @143197
     /* 143197 */   GIM_Try, /*On fail goto*//*Label 2797*/ GIMT_Encode4(143233), // Rule ID 825 //
     /* 143202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 143210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 143213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 143216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143224 */     // (intrinsic_wo_chain:{ *:[v2i64] } 588:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FCVTNUv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 143224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUv2f64),
     /* 143227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143229 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143231 */     GIR_RootConstrainSelectedInstOperands,
     /* 143232 */     // GIR_Coverage, 825,
     /* 143232 */     GIR_EraseRootFromParent_Done,
     /* 143233 */   // Label 2797: @143233
     /* 143233 */   GIM_Try, /*On fail goto*//*Label 2798*/ GIMT_Encode4(143269), // Rule ID 826 //
     /* 143238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 143241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 143246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 143249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 143252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143260 */     // (intrinsic_wo_chain:{ *:[v4i16] } 589:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FCVTPSv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 143260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSv4f16),
     /* 143263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143265 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143267 */     GIR_RootConstrainSelectedInstOperands,
     /* 143268 */     // GIR_Coverage, 826,
     /* 143268 */     GIR_EraseRootFromParent_Done,
     /* 143269 */   // Label 2798: @143269
     /* 143269 */   GIM_Try, /*On fail goto*//*Label 2799*/ GIMT_Encode4(143305), // Rule ID 827 //
     /* 143274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 143277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 143282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 143285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 143288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143296 */     // (intrinsic_wo_chain:{ *:[v8i16] } 589:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FCVTPSv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 143296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSv8f16),
     /* 143299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143301 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143303 */     GIR_RootConstrainSelectedInstOperands,
     /* 143304 */     // GIR_Coverage, 827,
     /* 143304 */     GIR_EraseRootFromParent_Done,
     /* 143305 */   // Label 2799: @143305
     /* 143305 */   GIM_Try, /*On fail goto*//*Label 2800*/ GIMT_Encode4(143341), // Rule ID 828 //
     /* 143310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 143318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 143321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 143324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143332 */     // (intrinsic_wo_chain:{ *:[v2i32] } 589:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FCVTPSv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 143332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSv2f32),
     /* 143335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143337 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143339 */     GIR_RootConstrainSelectedInstOperands,
     /* 143340 */     // GIR_Coverage, 828,
     /* 143340 */     GIR_EraseRootFromParent_Done,
     /* 143341 */   // Label 2800: @143341
     /* 143341 */   GIM_Try, /*On fail goto*//*Label 2801*/ GIMT_Encode4(143377), // Rule ID 829 //
     /* 143346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 143354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 143357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 143360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143368 */     // (intrinsic_wo_chain:{ *:[v4i32] } 589:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FCVTPSv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 143368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSv4f32),
     /* 143371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143373 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143375 */     GIR_RootConstrainSelectedInstOperands,
     /* 143376 */     // GIR_Coverage, 829,
     /* 143376 */     GIR_EraseRootFromParent_Done,
     /* 143377 */   // Label 2801: @143377
     /* 143377 */   GIM_Try, /*On fail goto*//*Label 2802*/ GIMT_Encode4(143413), // Rule ID 830 //
     /* 143382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 143390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 143393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 143396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143404 */     // (intrinsic_wo_chain:{ *:[v2i64] } 589:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FCVTPSv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 143404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSv2f64),
     /* 143407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143409 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143411 */     GIR_RootConstrainSelectedInstOperands,
     /* 143412 */     // GIR_Coverage, 830,
     /* 143412 */     GIR_EraseRootFromParent_Done,
     /* 143413 */   // Label 2802: @143413
     /* 143413 */   GIM_Try, /*On fail goto*//*Label 2803*/ GIMT_Encode4(143449), // Rule ID 831 //
     /* 143418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 143421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 143426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 143429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 143432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143440 */     // (intrinsic_wo_chain:{ *:[v4i16] } 590:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FCVTPUv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 143440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUv4f16),
     /* 143443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143445 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143447 */     GIR_RootConstrainSelectedInstOperands,
     /* 143448 */     // GIR_Coverage, 831,
     /* 143448 */     GIR_EraseRootFromParent_Done,
     /* 143449 */   // Label 2803: @143449
     /* 143449 */   GIM_Try, /*On fail goto*//*Label 2804*/ GIMT_Encode4(143485), // Rule ID 832 //
     /* 143454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 143457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 143462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 143465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 143468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143476 */     // (intrinsic_wo_chain:{ *:[v8i16] } 590:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FCVTPUv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 143476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUv8f16),
     /* 143479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143481 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143483 */     GIR_RootConstrainSelectedInstOperands,
     /* 143484 */     // GIR_Coverage, 832,
     /* 143484 */     GIR_EraseRootFromParent_Done,
     /* 143485 */   // Label 2804: @143485
     /* 143485 */   GIM_Try, /*On fail goto*//*Label 2805*/ GIMT_Encode4(143521), // Rule ID 833 //
     /* 143490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 143498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 143501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 143504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143512 */     // (intrinsic_wo_chain:{ *:[v2i32] } 590:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FCVTPUv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 143512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUv2f32),
     /* 143515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143517 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143519 */     GIR_RootConstrainSelectedInstOperands,
     /* 143520 */     // GIR_Coverage, 833,
     /* 143520 */     GIR_EraseRootFromParent_Done,
     /* 143521 */   // Label 2805: @143521
     /* 143521 */   GIM_Try, /*On fail goto*//*Label 2806*/ GIMT_Encode4(143557), // Rule ID 834 //
     /* 143526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 143534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 143537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 143540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143548 */     // (intrinsic_wo_chain:{ *:[v4i32] } 590:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FCVTPUv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 143548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUv4f32),
     /* 143551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143553 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143555 */     GIR_RootConstrainSelectedInstOperands,
     /* 143556 */     // GIR_Coverage, 834,
     /* 143556 */     GIR_EraseRootFromParent_Done,
     /* 143557 */   // Label 2806: @143557
     /* 143557 */   GIM_Try, /*On fail goto*//*Label 2807*/ GIMT_Encode4(143593), // Rule ID 835 //
     /* 143562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 143570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 143573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 143576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143584 */     // (intrinsic_wo_chain:{ *:[v2i64] } 590:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FCVTPUv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 143584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUv2f64),
     /* 143587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143589 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143591 */     GIR_RootConstrainSelectedInstOperands,
     /* 143592 */     // GIR_Coverage, 835,
     /* 143592 */     GIR_EraseRootFromParent_Done,
     /* 143593 */   // Label 2807: @143593
     /* 143593 */   GIM_Try, /*On fail goto*//*Label 2808*/ GIMT_Encode4(143629), // Rule ID 836 //
     /* 143598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtxn),
     /* 143606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 143609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 143612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143620 */     // (intrinsic_wo_chain:{ *:[v2f32] } 591:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FCVTXNv2f32:{ *:[v2f32] } V128:{ *:[v2f64] }:$Rn)
     /* 143620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTXNv2f32),
     /* 143623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143625 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143627 */     GIR_RootConstrainSelectedInstOperands,
     /* 143628 */     // GIR_Coverage, 836,
     /* 143628 */     GIR_EraseRootFromParent_Done,
     /* 143629 */   // Label 2808: @143629
     /* 143629 */   GIM_Try, /*On fail goto*//*Label 2809*/ GIMT_Encode4(143665), // Rule ID 863 //
     /* 143634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 143637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpe),
     /* 143642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 143645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 143648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143656 */     // (intrinsic_wo_chain:{ *:[v4f16] } 632:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FRECPEv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 143656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPEv4f16),
     /* 143659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143661 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143663 */     GIR_RootConstrainSelectedInstOperands,
     /* 143664 */     // GIR_Coverage, 863,
     /* 143664 */     GIR_EraseRootFromParent_Done,
     /* 143665 */   // Label 2809: @143665
     /* 143665 */   GIM_Try, /*On fail goto*//*Label 2810*/ GIMT_Encode4(143701), // Rule ID 864 //
     /* 143670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 143673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpe),
     /* 143678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 143681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 143684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143692 */     // (intrinsic_wo_chain:{ *:[v8f16] } 632:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FRECPEv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 143692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPEv8f16),
     /* 143695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143697 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143699 */     GIR_RootConstrainSelectedInstOperands,
     /* 143700 */     // GIR_Coverage, 864,
     /* 143700 */     GIR_EraseRootFromParent_Done,
     /* 143701 */   // Label 2810: @143701
     /* 143701 */   GIM_Try, /*On fail goto*//*Label 2811*/ GIMT_Encode4(143737), // Rule ID 865 //
     /* 143706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpe),
     /* 143714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 143717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 143720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143728 */     // (intrinsic_wo_chain:{ *:[v2f32] } 632:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FRECPEv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 143728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPEv2f32),
     /* 143731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143733 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143735 */     GIR_RootConstrainSelectedInstOperands,
     /* 143736 */     // GIR_Coverage, 865,
     /* 143736 */     GIR_EraseRootFromParent_Done,
     /* 143737 */   // Label 2811: @143737
     /* 143737 */   GIM_Try, /*On fail goto*//*Label 2812*/ GIMT_Encode4(143773), // Rule ID 866 //
     /* 143742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpe),
     /* 143750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 143753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 143756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143764 */     // (intrinsic_wo_chain:{ *:[v4f32] } 632:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FRECPEv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 143764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPEv4f32),
     /* 143767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143769 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143771 */     GIR_RootConstrainSelectedInstOperands,
     /* 143772 */     // GIR_Coverage, 866,
     /* 143772 */     GIR_EraseRootFromParent_Done,
     /* 143773 */   // Label 2812: @143773
     /* 143773 */   GIM_Try, /*On fail goto*//*Label 2813*/ GIMT_Encode4(143809), // Rule ID 867 //
     /* 143778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpe),
     /* 143786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 143789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 143792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143800 */     // (intrinsic_wo_chain:{ *:[v2f64] } 632:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FRECPEv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 143800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPEv2f64),
     /* 143803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143805 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143807 */     GIR_RootConstrainSelectedInstOperands,
     /* 143808 */     // GIR_Coverage, 867,
     /* 143808 */     GIR_EraseRootFromParent_Done,
     /* 143809 */   // Label 2813: @143809
     /* 143809 */   GIM_Try, /*On fail goto*//*Label 2814*/ GIMT_Encode4(143845), // Rule ID 938 //
     /* 143814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 143817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint32z),
     /* 143822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 143825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 143828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143836 */     // (intrinsic_wo_chain:{ *:[v2f32] } 636:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FRINT32Zv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 143836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32Zv2f32),
     /* 143839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143841 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143843 */     GIR_RootConstrainSelectedInstOperands,
     /* 143844 */     // GIR_Coverage, 938,
     /* 143844 */     GIR_EraseRootFromParent_Done,
     /* 143845 */   // Label 2814: @143845
     /* 143845 */   GIM_Try, /*On fail goto*//*Label 2815*/ GIMT_Encode4(143881), // Rule ID 939 //
     /* 143850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 143853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint32z),
     /* 143858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 143861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 143864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143872 */     // (intrinsic_wo_chain:{ *:[v4f32] } 636:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FRINT32Zv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 143872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32Zv4f32),
     /* 143875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143877 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143879 */     GIR_RootConstrainSelectedInstOperands,
     /* 143880 */     // GIR_Coverage, 939,
     /* 143880 */     GIR_EraseRootFromParent_Done,
     /* 143881 */   // Label 2815: @143881
     /* 143881 */   GIM_Try, /*On fail goto*//*Label 2816*/ GIMT_Encode4(143917), // Rule ID 940 //
     /* 143886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 143889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint32z),
     /* 143894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 143897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 143900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143908 */     // (intrinsic_wo_chain:{ *:[v2f64] } 636:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FRINT32Zv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 143908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32Zv2f64),
     /* 143911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143913 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143915 */     GIR_RootConstrainSelectedInstOperands,
     /* 143916 */     // GIR_Coverage, 940,
     /* 143916 */     GIR_EraseRootFromParent_Done,
     /* 143917 */   // Label 2816: @143917
     /* 143917 */   GIM_Try, /*On fail goto*//*Label 2817*/ GIMT_Encode4(143953), // Rule ID 941 //
     /* 143922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 143925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint64z),
     /* 143930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 143933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 143936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143944 */     // (intrinsic_wo_chain:{ *:[v2f32] } 638:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FRINT64Zv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 143944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64Zv2f32),
     /* 143947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143949 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143951 */     GIR_RootConstrainSelectedInstOperands,
     /* 143952 */     // GIR_Coverage, 941,
     /* 143952 */     GIR_EraseRootFromParent_Done,
     /* 143953 */   // Label 2817: @143953
     /* 143953 */   GIM_Try, /*On fail goto*//*Label 2818*/ GIMT_Encode4(143989), // Rule ID 942 //
     /* 143958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 143961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint64z),
     /* 143966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 143969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 143972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143980 */     // (intrinsic_wo_chain:{ *:[v4f32] } 638:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FRINT64Zv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 143980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64Zv4f32),
     /* 143983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143985 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143987 */     GIR_RootConstrainSelectedInstOperands,
     /* 143988 */     // GIR_Coverage, 942,
     /* 143988 */     GIR_EraseRootFromParent_Done,
     /* 143989 */   // Label 2818: @143989
     /* 143989 */   GIM_Try, /*On fail goto*//*Label 2819*/ GIMT_Encode4(144025), // Rule ID 943 //
     /* 143994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 143997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint64z),
     /* 144002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 144005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 144008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144016 */     // (intrinsic_wo_chain:{ *:[v2f64] } 638:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FRINT64Zv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 144016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64Zv2f64),
     /* 144019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144021 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144023 */     GIR_RootConstrainSelectedInstOperands,
     /* 144024 */     // GIR_Coverage, 943,
     /* 144024 */     GIR_EraseRootFromParent_Done,
     /* 144025 */   // Label 2819: @144025
     /* 144025 */   GIM_Try, /*On fail goto*//*Label 2820*/ GIMT_Encode4(144061), // Rule ID 944 //
     /* 144030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 144033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint32x),
     /* 144038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 144041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 144044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144052 */     // (intrinsic_wo_chain:{ *:[v2f32] } 635:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FRINT32Xv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 144052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32Xv2f32),
     /* 144055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144057 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144059 */     GIR_RootConstrainSelectedInstOperands,
     /* 144060 */     // GIR_Coverage, 944,
     /* 144060 */     GIR_EraseRootFromParent_Done,
     /* 144061 */   // Label 2820: @144061
     /* 144061 */   GIM_Try, /*On fail goto*//*Label 2821*/ GIMT_Encode4(144097), // Rule ID 945 //
     /* 144066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 144069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint32x),
     /* 144074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 144077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 144080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144088 */     // (intrinsic_wo_chain:{ *:[v4f32] } 635:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FRINT32Xv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 144088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32Xv4f32),
     /* 144091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144093 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144095 */     GIR_RootConstrainSelectedInstOperands,
     /* 144096 */     // GIR_Coverage, 945,
     /* 144096 */     GIR_EraseRootFromParent_Done,
     /* 144097 */   // Label 2821: @144097
     /* 144097 */   GIM_Try, /*On fail goto*//*Label 2822*/ GIMT_Encode4(144133), // Rule ID 946 //
     /* 144102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 144105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint32x),
     /* 144110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 144113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 144116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144124 */     // (intrinsic_wo_chain:{ *:[v2f64] } 635:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FRINT32Xv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 144124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32Xv2f64),
     /* 144127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144129 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144131 */     GIR_RootConstrainSelectedInstOperands,
     /* 144132 */     // GIR_Coverage, 946,
     /* 144132 */     GIR_EraseRootFromParent_Done,
     /* 144133 */   // Label 2822: @144133
     /* 144133 */   GIM_Try, /*On fail goto*//*Label 2823*/ GIMT_Encode4(144169), // Rule ID 947 //
     /* 144138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 144141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint64x),
     /* 144146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 144149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 144152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144160 */     // (intrinsic_wo_chain:{ *:[v2f32] } 637:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FRINT64Xv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 144160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64Xv2f32),
     /* 144163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144165 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144167 */     GIR_RootConstrainSelectedInstOperands,
     /* 144168 */     // GIR_Coverage, 947,
     /* 144168 */     GIR_EraseRootFromParent_Done,
     /* 144169 */   // Label 2823: @144169
     /* 144169 */   GIM_Try, /*On fail goto*//*Label 2824*/ GIMT_Encode4(144205), // Rule ID 948 //
     /* 144174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 144177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint64x),
     /* 144182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 144185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 144188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144196 */     // (intrinsic_wo_chain:{ *:[v4f32] } 637:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FRINT64Xv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 144196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64Xv4f32),
     /* 144199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144201 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144203 */     GIR_RootConstrainSelectedInstOperands,
     /* 144204 */     // GIR_Coverage, 948,
     /* 144204 */     GIR_EraseRootFromParent_Done,
     /* 144205 */   // Label 2824: @144205
     /* 144205 */   GIM_Try, /*On fail goto*//*Label 2825*/ GIMT_Encode4(144241), // Rule ID 949 //
     /* 144210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 144213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint64x),
     /* 144218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 144221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 144224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144232 */     // (intrinsic_wo_chain:{ *:[v2f64] } 637:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FRINT64Xv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 144232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64Xv2f64),
     /* 144235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144237 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144239 */     GIR_RootConstrainSelectedInstOperands,
     /* 144240 */     // GIR_Coverage, 949,
     /* 144240 */     GIR_EraseRootFromParent_Done,
     /* 144241 */   // Label 2825: @144241
     /* 144241 */   GIM_Try, /*On fail goto*//*Label 2826*/ GIMT_Encode4(144277), // Rule ID 950 //
     /* 144246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 144249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrte),
     /* 144254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 144257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 144260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144268 */     // (intrinsic_wo_chain:{ *:[v4f16] } 639:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FRSQRTEv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 144268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTEv4f16),
     /* 144271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144273 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144275 */     GIR_RootConstrainSelectedInstOperands,
     /* 144276 */     // GIR_Coverage, 950,
     /* 144276 */     GIR_EraseRootFromParent_Done,
     /* 144277 */   // Label 2826: @144277
     /* 144277 */   GIM_Try, /*On fail goto*//*Label 2827*/ GIMT_Encode4(144313), // Rule ID 951 //
     /* 144282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 144285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrte),
     /* 144290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 144293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 144296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144304 */     // (intrinsic_wo_chain:{ *:[v8f16] } 639:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FRSQRTEv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 144304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTEv8f16),
     /* 144307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144309 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144311 */     GIR_RootConstrainSelectedInstOperands,
     /* 144312 */     // GIR_Coverage, 951,
     /* 144312 */     GIR_EraseRootFromParent_Done,
     /* 144313 */   // Label 2827: @144313
     /* 144313 */   GIM_Try, /*On fail goto*//*Label 2828*/ GIMT_Encode4(144349), // Rule ID 952 //
     /* 144318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 144321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrte),
     /* 144326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 144329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 144332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144340 */     // (intrinsic_wo_chain:{ *:[v2f32] } 639:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FRSQRTEv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 144340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTEv2f32),
     /* 144343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144345 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144347 */     GIR_RootConstrainSelectedInstOperands,
     /* 144348 */     // GIR_Coverage, 952,
     /* 144348 */     GIR_EraseRootFromParent_Done,
     /* 144349 */   // Label 2828: @144349
     /* 144349 */   GIM_Try, /*On fail goto*//*Label 2829*/ GIMT_Encode4(144385), // Rule ID 953 //
     /* 144354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 144357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrte),
     /* 144362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 144365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 144368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144376 */     // (intrinsic_wo_chain:{ *:[v4f32] } 639:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FRSQRTEv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 144376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTEv4f32),
     /* 144379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144381 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144383 */     GIR_RootConstrainSelectedInstOperands,
     /* 144384 */     // GIR_Coverage, 953,
     /* 144384 */     GIR_EraseRootFromParent_Done,
     /* 144385 */   // Label 2829: @144385
     /* 144385 */   GIM_Try, /*On fail goto*//*Label 2830*/ GIMT_Encode4(144421), // Rule ID 954 //
     /* 144390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 144393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrte),
     /* 144398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 144401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 144404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144412 */     // (intrinsic_wo_chain:{ *:[v2f64] } 639:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FRSQRTEv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 144412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTEv2f64),
     /* 144415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144417 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144419 */     GIR_RootConstrainSelectedInstOperands,
     /* 144420 */     // GIR_Coverage, 954,
     /* 144420 */     GIR_EraseRootFromParent_Done,
     /* 144421 */   // Label 2830: @144421
     /* 144421 */   GIM_Try, /*On fail goto*//*Label 2831*/ GIMT_Encode4(144457), // Rule ID 1001 //
     /* 144426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 144429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /* 144434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 144437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 144440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144448 */     // (intrinsic_wo_chain:{ *:[v4i16] } 660:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (SADDLPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn)
     /* 144448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv8i8_v4i16),
     /* 144451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144453 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144455 */     GIR_RootConstrainSelectedInstOperands,
     /* 144456 */     // GIR_Coverage, 1001,
     /* 144456 */     GIR_EraseRootFromParent_Done,
     /* 144457 */   // Label 2831: @144457
     /* 144457 */   GIM_Try, /*On fail goto*//*Label 2832*/ GIMT_Encode4(144493), // Rule ID 1003 //
     /* 144462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 144465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /* 144470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 144473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 144476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144484 */     // (intrinsic_wo_chain:{ *:[v8i16] } 660:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (SADDLPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn)
     /* 144484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv16i8_v8i16),
     /* 144487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144489 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144491 */     GIR_RootConstrainSelectedInstOperands,
     /* 144492 */     // GIR_Coverage, 1003,
     /* 144492 */     GIR_EraseRootFromParent_Done,
     /* 144493 */   // Label 2832: @144493
     /* 144493 */   GIM_Try, /*On fail goto*//*Label 2833*/ GIMT_Encode4(144529), // Rule ID 1005 //
     /* 144498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 144501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /* 144506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 144509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 144512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144520 */     // (intrinsic_wo_chain:{ *:[v2i32] } 660:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (SADDLPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn)
     /* 144520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv4i16_v2i32),
     /* 144523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144525 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144527 */     GIR_RootConstrainSelectedInstOperands,
     /* 144528 */     // GIR_Coverage, 1005,
     /* 144528 */     GIR_EraseRootFromParent_Done,
     /* 144529 */   // Label 2833: @144529
     /* 144529 */   GIM_Try, /*On fail goto*//*Label 2834*/ GIMT_Encode4(144565), // Rule ID 1007 //
     /* 144534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 144537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /* 144542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 144545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 144548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144556 */     // (intrinsic_wo_chain:{ *:[v4i32] } 660:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn)  =>  (SADDLPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn)
     /* 144556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv8i16_v4i32),
     /* 144559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144561 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144563 */     GIR_RootConstrainSelectedInstOperands,
     /* 144564 */     // GIR_Coverage, 1007,
     /* 144564 */     GIR_EraseRootFromParent_Done,
     /* 144565 */   // Label 2834: @144565
     /* 144565 */   GIM_Try, /*On fail goto*//*Label 2835*/ GIMT_Encode4(144601), // Rule ID 1009 //
     /* 144570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 144573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /* 144578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 144581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 144584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144592 */     // (intrinsic_wo_chain:{ *:[v1i64] } 660:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (SADDLPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v2i32] }:$Rn)
     /* 144592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv2i32_v1i64),
     /* 144595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144597 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144599 */     GIR_RootConstrainSelectedInstOperands,
     /* 144600 */     // GIR_Coverage, 1009,
     /* 144600 */     GIR_EraseRootFromParent_Done,
     /* 144601 */   // Label 2835: @144601
     /* 144601 */   GIM_Try, /*On fail goto*//*Label 2836*/ GIMT_Encode4(144637), // Rule ID 1011 //
     /* 144606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 144609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /* 144614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 144617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 144620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144628 */     // (intrinsic_wo_chain:{ *:[v2i64] } 660:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (SADDLPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn)
     /* 144628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv4i32_v2i64),
     /* 144631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144633 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144635 */     GIR_RootConstrainSelectedInstOperands,
     /* 144636 */     // GIR_Coverage, 1011,
     /* 144636 */     GIR_EraseRootFromParent_Done,
     /* 144637 */   // Label 2836: @144637
     /* 144637 */   GIM_Try, /*On fail goto*//*Label 2837*/ GIMT_Encode4(144673), // Rule ID 1022 //
     /* 144642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 144645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqabs),
     /* 144650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 144653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 144656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144664 */     // (intrinsic_wo_chain:{ *:[v8i8] } 678:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (SQABSv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 144664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABSv8i8),
     /* 144667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144669 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144671 */     GIR_RootConstrainSelectedInstOperands,
     /* 144672 */     // GIR_Coverage, 1022,
     /* 144672 */     GIR_EraseRootFromParent_Done,
     /* 144673 */   // Label 2837: @144673
     /* 144673 */   GIM_Try, /*On fail goto*//*Label 2838*/ GIMT_Encode4(144709), // Rule ID 1023 //
     /* 144678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 144681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqabs),
     /* 144686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 144689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 144692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144700 */     // (intrinsic_wo_chain:{ *:[v16i8] } 678:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (SQABSv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 144700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABSv16i8),
     /* 144703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144705 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144707 */     GIR_RootConstrainSelectedInstOperands,
     /* 144708 */     // GIR_Coverage, 1023,
     /* 144708 */     GIR_EraseRootFromParent_Done,
     /* 144709 */   // Label 2838: @144709
     /* 144709 */   GIM_Try, /*On fail goto*//*Label 2839*/ GIMT_Encode4(144745), // Rule ID 1024 //
     /* 144714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 144717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqabs),
     /* 144722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 144725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 144728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144736 */     // (intrinsic_wo_chain:{ *:[v4i16] } 678:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (SQABSv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 144736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABSv4i16),
     /* 144739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144741 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144743 */     GIR_RootConstrainSelectedInstOperands,
     /* 144744 */     // GIR_Coverage, 1024,
     /* 144744 */     GIR_EraseRootFromParent_Done,
     /* 144745 */   // Label 2839: @144745
     /* 144745 */   GIM_Try, /*On fail goto*//*Label 2840*/ GIMT_Encode4(144781), // Rule ID 1025 //
     /* 144750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 144753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqabs),
     /* 144758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 144761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 144764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144772 */     // (intrinsic_wo_chain:{ *:[v8i16] } 678:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn)  =>  (SQABSv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 144772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABSv8i16),
     /* 144775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144777 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144779 */     GIR_RootConstrainSelectedInstOperands,
     /* 144780 */     // GIR_Coverage, 1025,
     /* 144780 */     GIR_EraseRootFromParent_Done,
     /* 144781 */   // Label 2840: @144781
     /* 144781 */   GIM_Try, /*On fail goto*//*Label 2841*/ GIMT_Encode4(144817), // Rule ID 1026 //
     /* 144786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 144789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqabs),
     /* 144794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 144797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 144800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144808 */     // (intrinsic_wo_chain:{ *:[v2i32] } 678:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (SQABSv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 144808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABSv2i32),
     /* 144811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144813 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144815 */     GIR_RootConstrainSelectedInstOperands,
     /* 144816 */     // GIR_Coverage, 1026,
     /* 144816 */     GIR_EraseRootFromParent_Done,
     /* 144817 */   // Label 2841: @144817
     /* 144817 */   GIM_Try, /*On fail goto*//*Label 2842*/ GIMT_Encode4(144853), // Rule ID 1027 //
     /* 144822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 144825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqabs),
     /* 144830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 144833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 144836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144844 */     // (intrinsic_wo_chain:{ *:[v4i32] } 678:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (SQABSv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 144844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABSv4i32),
     /* 144847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144849 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144851 */     GIR_RootConstrainSelectedInstOperands,
     /* 144852 */     // GIR_Coverage, 1027,
     /* 144852 */     GIR_EraseRootFromParent_Done,
     /* 144853 */   // Label 2842: @144853
     /* 144853 */   GIM_Try, /*On fail goto*//*Label 2843*/ GIMT_Encode4(144889), // Rule ID 1028 //
     /* 144858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 144861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqabs),
     /* 144866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 144869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 144872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144880 */     // (intrinsic_wo_chain:{ *:[v2i64] } 678:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn)  =>  (SQABSv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 144880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABSv2i64),
     /* 144883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144885 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144887 */     GIR_RootConstrainSelectedInstOperands,
     /* 144888 */     // GIR_Coverage, 1028,
     /* 144888 */     GIR_EraseRootFromParent_Done,
     /* 144889 */   // Label 2843: @144889
     /* 144889 */   GIM_Try, /*On fail goto*//*Label 2844*/ GIMT_Encode4(144925), // Rule ID 1029 //
     /* 144894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 144897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqneg),
     /* 144902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 144905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 144908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144916 */     // (intrinsic_wo_chain:{ *:[v8i8] } 685:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (SQNEGv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 144916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEGv8i8),
     /* 144919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144921 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144923 */     GIR_RootConstrainSelectedInstOperands,
     /* 144924 */     // GIR_Coverage, 1029,
     /* 144924 */     GIR_EraseRootFromParent_Done,
     /* 144925 */   // Label 2844: @144925
     /* 144925 */   GIM_Try, /*On fail goto*//*Label 2845*/ GIMT_Encode4(144961), // Rule ID 1030 //
     /* 144930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 144933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqneg),
     /* 144938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 144941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 144944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144952 */     // (intrinsic_wo_chain:{ *:[v16i8] } 685:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (SQNEGv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 144952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEGv16i8),
     /* 144955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144957 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144959 */     GIR_RootConstrainSelectedInstOperands,
     /* 144960 */     // GIR_Coverage, 1030,
     /* 144960 */     GIR_EraseRootFromParent_Done,
     /* 144961 */   // Label 2845: @144961
     /* 144961 */   GIM_Try, /*On fail goto*//*Label 2846*/ GIMT_Encode4(144997), // Rule ID 1031 //
     /* 144966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 144969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqneg),
     /* 144974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 144977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 144980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144988 */     // (intrinsic_wo_chain:{ *:[v4i16] } 685:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (SQNEGv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 144988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEGv4i16),
     /* 144991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144993 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144995 */     GIR_RootConstrainSelectedInstOperands,
     /* 144996 */     // GIR_Coverage, 1031,
     /* 144996 */     GIR_EraseRootFromParent_Done,
     /* 144997 */   // Label 2846: @144997
     /* 144997 */   GIM_Try, /*On fail goto*//*Label 2847*/ GIMT_Encode4(145033), // Rule ID 1032 //
     /* 145002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqneg),
     /* 145010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 145013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 145016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145024 */     // (intrinsic_wo_chain:{ *:[v8i16] } 685:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn)  =>  (SQNEGv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 145024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEGv8i16),
     /* 145027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145029 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145031 */     GIR_RootConstrainSelectedInstOperands,
     /* 145032 */     // GIR_Coverage, 1032,
     /* 145032 */     GIR_EraseRootFromParent_Done,
     /* 145033 */   // Label 2847: @145033
     /* 145033 */   GIM_Try, /*On fail goto*//*Label 2848*/ GIMT_Encode4(145069), // Rule ID 1033 //
     /* 145038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqneg),
     /* 145046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 145049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 145052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145060 */     // (intrinsic_wo_chain:{ *:[v2i32] } 685:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (SQNEGv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 145060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEGv2i32),
     /* 145063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145065 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145067 */     GIR_RootConstrainSelectedInstOperands,
     /* 145068 */     // GIR_Coverage, 1033,
     /* 145068 */     GIR_EraseRootFromParent_Done,
     /* 145069 */   // Label 2848: @145069
     /* 145069 */   GIM_Try, /*On fail goto*//*Label 2849*/ GIMT_Encode4(145105), // Rule ID 1034 //
     /* 145074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqneg),
     /* 145082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 145085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 145088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145096 */     // (intrinsic_wo_chain:{ *:[v4i32] } 685:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (SQNEGv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 145096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEGv4i32),
     /* 145099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145101 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145103 */     GIR_RootConstrainSelectedInstOperands,
     /* 145104 */     // GIR_Coverage, 1034,
     /* 145104 */     GIR_EraseRootFromParent_Done,
     /* 145105 */   // Label 2849: @145105
     /* 145105 */   GIM_Try, /*On fail goto*//*Label 2850*/ GIMT_Encode4(145141), // Rule ID 1035 //
     /* 145110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqneg),
     /* 145118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 145121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 145124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145132 */     // (intrinsic_wo_chain:{ *:[v2i64] } 685:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn)  =>  (SQNEGv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 145132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEGv2i64),
     /* 145135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145137 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145139 */     GIR_RootConstrainSelectedInstOperands,
     /* 145140 */     // GIR_Coverage, 1035,
     /* 145140 */     GIR_EraseRootFromParent_Done,
     /* 145141 */   // Label 2850: @145141
     /* 145141 */   GIM_Try, /*On fail goto*//*Label 2851*/ GIMT_Encode4(145177), // Rule ID 1062 //
     /* 145146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 145154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 145157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 145160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145168 */     // (intrinsic_wo_chain:{ *:[v4i16] } 725:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (UADDLPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn)
     /* 145168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv8i8_v4i16),
     /* 145171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145173 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145175 */     GIR_RootConstrainSelectedInstOperands,
     /* 145176 */     // GIR_Coverage, 1062,
     /* 145176 */     GIR_EraseRootFromParent_Done,
     /* 145177 */   // Label 2851: @145177
     /* 145177 */   GIM_Try, /*On fail goto*//*Label 2852*/ GIMT_Encode4(145213), // Rule ID 1064 //
     /* 145182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 145190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 145193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 145196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145204 */     // (intrinsic_wo_chain:{ *:[v8i16] } 725:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (UADDLPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn)
     /* 145204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv16i8_v8i16),
     /* 145207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145209 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145211 */     GIR_RootConstrainSelectedInstOperands,
     /* 145212 */     // GIR_Coverage, 1064,
     /* 145212 */     GIR_EraseRootFromParent_Done,
     /* 145213 */   // Label 2852: @145213
     /* 145213 */   GIM_Try, /*On fail goto*//*Label 2853*/ GIMT_Encode4(145249), // Rule ID 1066 //
     /* 145218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 145226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 145229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 145232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145240 */     // (intrinsic_wo_chain:{ *:[v2i32] } 725:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (UADDLPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn)
     /* 145240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv4i16_v2i32),
     /* 145243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145245 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145247 */     GIR_RootConstrainSelectedInstOperands,
     /* 145248 */     // GIR_Coverage, 1066,
     /* 145248 */     GIR_EraseRootFromParent_Done,
     /* 145249 */   // Label 2853: @145249
     /* 145249 */   GIM_Try, /*On fail goto*//*Label 2854*/ GIMT_Encode4(145285), // Rule ID 1068 //
     /* 145254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 145262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 145265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 145268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145276 */     // (intrinsic_wo_chain:{ *:[v4i32] } 725:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn)  =>  (UADDLPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn)
     /* 145276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv8i16_v4i32),
     /* 145279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145281 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145283 */     GIR_RootConstrainSelectedInstOperands,
     /* 145284 */     // GIR_Coverage, 1068,
     /* 145284 */     GIR_EraseRootFromParent_Done,
     /* 145285 */   // Label 2854: @145285
     /* 145285 */   GIM_Try, /*On fail goto*//*Label 2855*/ GIMT_Encode4(145321), // Rule ID 1070 //
     /* 145290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 145298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 145301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 145304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145312 */     // (intrinsic_wo_chain:{ *:[v1i64] } 725:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (UADDLPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v2i32] }:$Rn)
     /* 145312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv2i32_v1i64),
     /* 145315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145317 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145319 */     GIR_RootConstrainSelectedInstOperands,
     /* 145320 */     // GIR_Coverage, 1070,
     /* 145320 */     GIR_EraseRootFromParent_Done,
     /* 145321 */   // Label 2855: @145321
     /* 145321 */   GIM_Try, /*On fail goto*//*Label 2856*/ GIMT_Encode4(145357), // Rule ID 1072 //
     /* 145326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 145334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 145337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 145340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145348 */     // (intrinsic_wo_chain:{ *:[v2i64] } 725:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (UADDLPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn)
     /* 145348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv4i32_v2i64),
     /* 145351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145353 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145355 */     GIR_RootConstrainSelectedInstOperands,
     /* 145356 */     // GIR_Coverage, 1072,
     /* 145356 */     GIR_EraseRootFromParent_Done,
     /* 145357 */   // Label 2856: @145357
     /* 145357 */   GIM_Try, /*On fail goto*//*Label 2857*/ GIMT_Encode4(145393), // Rule ID 1086 //
     /* 145362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_urecpe),
     /* 145370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 145373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 145376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145384 */     // (intrinsic_wo_chain:{ *:[v2i32] } 746:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (URECPEv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 145384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URECPEv2i32),
     /* 145387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145389 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145391 */     GIR_RootConstrainSelectedInstOperands,
     /* 145392 */     // GIR_Coverage, 1086,
     /* 145392 */     GIR_EraseRootFromParent_Done,
     /* 145393 */   // Label 2857: @145393
     /* 145393 */   GIM_Try, /*On fail goto*//*Label 2858*/ GIMT_Encode4(145429), // Rule ID 1087 //
     /* 145398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_urecpe),
     /* 145406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 145409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 145412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145420 */     // (intrinsic_wo_chain:{ *:[v4i32] } 746:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (URECPEv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 145420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URECPEv4i32),
     /* 145423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145425 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145427 */     GIR_RootConstrainSelectedInstOperands,
     /* 145428 */     // GIR_Coverage, 1087,
     /* 145428 */     GIR_EraseRootFromParent_Done,
     /* 145429 */   // Label 2858: @145429
     /* 145429 */   GIM_Try, /*On fail goto*//*Label 2859*/ GIMT_Encode4(145465), // Rule ID 1088 //
     /* 145434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ursqrte),
     /* 145442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 145445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 145448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145456 */     // (intrinsic_wo_chain:{ *:[v2i32] } 749:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (URSQRTEv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 145456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSQRTEv2i32),
     /* 145459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145461 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145463 */     GIR_RootConstrainSelectedInstOperands,
     /* 145464 */     // GIR_Coverage, 1088,
     /* 145464 */     GIR_EraseRootFromParent_Done,
     /* 145465 */   // Label 2859: @145465
     /* 145465 */   GIM_Try, /*On fail goto*//*Label 2860*/ GIMT_Encode4(145501), // Rule ID 1089 //
     /* 145470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ursqrte),
     /* 145478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 145481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 145484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145492 */     // (intrinsic_wo_chain:{ *:[v4i32] } 749:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (URSQRTEv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 145492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSQRTEv4i32),
     /* 145495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145497 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145499 */     GIR_RootConstrainSelectedInstOperands,
     /* 145500 */     // GIR_Coverage, 1089,
     /* 145500 */     GIR_EraseRootFromParent_Done,
     /* 145501 */   // Label 2860: @145501
     /* 145501 */   GIM_Try, /*On fail goto*//*Label 2861*/ GIMT_Encode4(145537), // Rule ID 1653 //
     /* 145506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sisd_fcvtxn),
     /* 145514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 145517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 145520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 145524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145528 */     // (intrinsic_wo_chain:{ *:[f32] } 786:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTXNv1i64:{ *:[f32] } FPR64:{ *:[f64] }:$Rn)
     /* 145528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTXNv1i64),
     /* 145531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145533 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145535 */     GIR_RootConstrainSelectedInstOperands,
     /* 145536 */     // GIR_Coverage, 1653,
     /* 145536 */     GIR_EraseRootFromParent_Done,
     /* 145537 */   // Label 2861: @145537
     /* 145537 */   GIM_Try, /*On fail goto*//*Label 2862*/ GIMT_Encode4(145573), // Rule ID 1659 //
     /* 145542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqabs),
     /* 145550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 145553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 145556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145564 */     // (intrinsic_wo_chain:{ *:[i64] } 678:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn)  =>  (SQABSv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn)
     /* 145564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABSv1i64),
     /* 145567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145569 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145571 */     GIR_RootConstrainSelectedInstOperands,
     /* 145572 */     // GIR_Coverage, 1659,
     /* 145572 */     GIR_EraseRootFromParent_Done,
     /* 145573 */   // Label 2862: @145573
     /* 145573 */   GIM_Try, /*On fail goto*//*Label 2863*/ GIMT_Encode4(145609), // Rule ID 1660 //
     /* 145578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqabs),
     /* 145586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 145589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 145592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 145596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 145600 */     // (intrinsic_wo_chain:{ *:[i32] } 678:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn)  =>  (SQABSv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn)
     /* 145600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABSv1i32),
     /* 145603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145605 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145607 */     GIR_RootConstrainSelectedInstOperands,
     /* 145608 */     // GIR_Coverage, 1660,
     /* 145608 */     GIR_EraseRootFromParent_Done,
     /* 145609 */   // Label 2863: @145609
     /* 145609 */   GIM_Try, /*On fail goto*//*Label 2864*/ GIMT_Encode4(145645), // Rule ID 1661 //
     /* 145614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqneg),
     /* 145622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 145625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 145628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145636 */     // (intrinsic_wo_chain:{ *:[i64] } 685:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn)  =>  (SQNEGv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn)
     /* 145636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEGv1i64),
     /* 145639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145641 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145643 */     GIR_RootConstrainSelectedInstOperands,
     /* 145644 */     // GIR_Coverage, 1661,
     /* 145644 */     GIR_EraseRootFromParent_Done,
     /* 145645 */   // Label 2864: @145645
     /* 145645 */   GIM_Try, /*On fail goto*//*Label 2865*/ GIMT_Encode4(145681), // Rule ID 1662 //
     /* 145650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqneg),
     /* 145658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 145661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 145664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 145668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 145672 */     // (intrinsic_wo_chain:{ *:[i32] } 685:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn)  =>  (SQNEGv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn)
     /* 145672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEGv1i32),
     /* 145675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145677 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145679 */     GIR_RootConstrainSelectedInstOperands,
     /* 145680 */     // GIR_Coverage, 1662,
     /* 145680 */     GIR_EraseRootFromParent_Done,
     /* 145681 */   // Label 2865: @145681
     /* 145681 */   GIM_Try, /*On fail goto*//*Label 2866*/ GIMT_Encode4(145717), // Rule ID 1663 //
     /* 145686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_scalar_sqxtn),
     /* 145694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 145697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 145700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 145704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145708 */     // (intrinsic_wo_chain:{ *:[f32] } 663:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (SQXTNv1i32:{ *:[f32] } FPR64:{ *:[f64] }:$Rn)
     /* 145708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTNv1i32),
     /* 145711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145713 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145715 */     GIR_RootConstrainSelectedInstOperands,
     /* 145716 */     // GIR_Coverage, 1663,
     /* 145716 */     GIR_EraseRootFromParent_Done,
     /* 145717 */   // Label 2866: @145717
     /* 145717 */   GIM_Try, /*On fail goto*//*Label 2867*/ GIMT_Encode4(145753), // Rule ID 1664 //
     /* 145722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_scalar_sqxtun),
     /* 145730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 145733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 145736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 145740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145744 */     // (intrinsic_wo_chain:{ *:[f32] } 664:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (SQXTUNv1i32:{ *:[f32] } FPR64:{ *:[f64] }:$Rn)
     /* 145744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTUNv1i32),
     /* 145747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145749 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145751 */     GIR_RootConstrainSelectedInstOperands,
     /* 145752 */     // GIR_Coverage, 1664,
     /* 145752 */     GIR_EraseRootFromParent_Done,
     /* 145753 */   // Label 2867: @145753
     /* 145753 */   GIM_Try, /*On fail goto*//*Label 2868*/ GIMT_Encode4(145789), // Rule ID 1670 //
     /* 145758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_scalar_uqxtn),
     /* 145766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 145769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 145772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 145776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145780 */     // (intrinsic_wo_chain:{ *:[f32] } 665:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (UQXTNv1i32:{ *:[f32] } FPR64:{ *:[f64] }:$Rn)
     /* 145780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQXTNv1i32),
     /* 145783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145785 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145787 */     GIR_RootConstrainSelectedInstOperands,
     /* 145788 */     // GIR_Coverage, 1670,
     /* 145788 */     GIR_EraseRootFromParent_Done,
     /* 145789 */   // Label 2868: @145789
     /* 145789 */   GIM_Try, /*On fail goto*//*Label 2869*/ GIMT_Encode4(145825), // Rule ID 1943 //
     /* 145794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 145797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxnmv),
     /* 145802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 145805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 145808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 145812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145816 */     // (intrinsic_wo_chain:{ *:[f16] } 597:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FMAXNMVv4i16v:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)
     /* 145816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMVv4i16v),
     /* 145819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145821 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145823 */     GIR_RootConstrainSelectedInstOperands,
     /* 145824 */     // GIR_Coverage, 1943,
     /* 145824 */     GIR_EraseRootFromParent_Done,
     /* 145825 */   // Label 2869: @145825
     /* 145825 */   GIM_Try, /*On fail goto*//*Label 2870*/ GIMT_Encode4(145861), // Rule ID 1945 //
     /* 145830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 145833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxnmv),
     /* 145838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 145841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 145844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 145848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145852 */     // (intrinsic_wo_chain:{ *:[f16] } 597:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FMAXNMVv8i16v:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)
     /* 145852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMVv8i16v),
     /* 145855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145857 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145859 */     GIR_RootConstrainSelectedInstOperands,
     /* 145860 */     // GIR_Coverage, 1945,
     /* 145860 */     GIR_EraseRootFromParent_Done,
     /* 145861 */   // Label 2870: @145861
     /* 145861 */   GIM_Try, /*On fail goto*//*Label 2871*/ GIMT_Encode4(145897), // Rule ID 1947 //
     /* 145866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxnmv),
     /* 145874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 145877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 145880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 145884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145888 */     // (intrinsic_wo_chain:{ *:[f32] } 597:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FMAXNMVv4i32v:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)
     /* 145888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMVv4i32v),
     /* 145891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145893 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145895 */     GIR_RootConstrainSelectedInstOperands,
     /* 145896 */     // GIR_Coverage, 1947,
     /* 145896 */     GIR_EraseRootFromParent_Done,
     /* 145897 */   // Label 2871: @145897
     /* 145897 */   GIM_Try, /*On fail goto*//*Label 2872*/ GIMT_Encode4(145933), // Rule ID 1949 //
     /* 145902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 145905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxv),
     /* 145910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 145913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 145916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 145920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145924 */     // (intrinsic_wo_chain:{ *:[f16] } 599:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FMAXVv4i16v:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)
     /* 145924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXVv4i16v),
     /* 145927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145929 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145931 */     GIR_RootConstrainSelectedInstOperands,
     /* 145932 */     // GIR_Coverage, 1949,
     /* 145932 */     GIR_EraseRootFromParent_Done,
     /* 145933 */   // Label 2872: @145933
     /* 145933 */   GIM_Try, /*On fail goto*//*Label 2873*/ GIMT_Encode4(145969), // Rule ID 1951 //
     /* 145938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 145941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxv),
     /* 145946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 145949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 145952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 145956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145960 */     // (intrinsic_wo_chain:{ *:[f16] } 599:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FMAXVv8i16v:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)
     /* 145960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXVv8i16v),
     /* 145963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145965 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145967 */     GIR_RootConstrainSelectedInstOperands,
     /* 145968 */     // GIR_Coverage, 1951,
     /* 145968 */     GIR_EraseRootFromParent_Done,
     /* 145969 */   // Label 2873: @145969
     /* 145969 */   GIM_Try, /*On fail goto*//*Label 2874*/ GIMT_Encode4(146005), // Rule ID 1953 //
     /* 145974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxv),
     /* 145982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 145985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 145988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 145992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145996 */     // (intrinsic_wo_chain:{ *:[f32] } 599:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FMAXVv4i32v:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)
     /* 145996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXVv4i32v),
     /* 145999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146001 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146003 */     GIR_RootConstrainSelectedInstOperands,
     /* 146004 */     // GIR_Coverage, 1953,
     /* 146004 */     GIR_EraseRootFromParent_Done,
     /* 146005 */   // Label 2874: @146005
     /* 146005 */   GIM_Try, /*On fail goto*//*Label 2875*/ GIMT_Encode4(146041), // Rule ID 1955 //
     /* 146010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 146013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminnmv),
     /* 146018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 146021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 146024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 146028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146032 */     // (intrinsic_wo_chain:{ *:[f16] } 603:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FMINNMVv4i16v:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)
     /* 146032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMVv4i16v),
     /* 146035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146037 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146039 */     GIR_RootConstrainSelectedInstOperands,
     /* 146040 */     // GIR_Coverage, 1955,
     /* 146040 */     GIR_EraseRootFromParent_Done,
     /* 146041 */   // Label 2875: @146041
     /* 146041 */   GIM_Try, /*On fail goto*//*Label 2876*/ GIMT_Encode4(146077), // Rule ID 1957 //
     /* 146046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 146049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminnmv),
     /* 146054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 146057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 146060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 146064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146068 */     // (intrinsic_wo_chain:{ *:[f16] } 603:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FMINNMVv8i16v:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)
     /* 146068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMVv8i16v),
     /* 146071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146073 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146075 */     GIR_RootConstrainSelectedInstOperands,
     /* 146076 */     // GIR_Coverage, 1957,
     /* 146076 */     GIR_EraseRootFromParent_Done,
     /* 146077 */   // Label 2876: @146077
     /* 146077 */   GIM_Try, /*On fail goto*//*Label 2877*/ GIMT_Encode4(146113), // Rule ID 1959 //
     /* 146082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminnmv),
     /* 146090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 146093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 146096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 146100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146104 */     // (intrinsic_wo_chain:{ *:[f32] } 603:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FMINNMVv4i32v:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)
     /* 146104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMVv4i32v),
     /* 146107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146109 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146111 */     GIR_RootConstrainSelectedInstOperands,
     /* 146112 */     // GIR_Coverage, 1959,
     /* 146112 */     GIR_EraseRootFromParent_Done,
     /* 146113 */   // Label 2877: @146113
     /* 146113 */   GIM_Try, /*On fail goto*//*Label 2878*/ GIMT_Encode4(146149), // Rule ID 1961 //
     /* 146118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 146121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminv),
     /* 146126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 146129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 146132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 146136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146140 */     // (intrinsic_wo_chain:{ *:[f16] } 605:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FMINVv4i16v:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)
     /* 146140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINVv4i16v),
     /* 146143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146145 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146147 */     GIR_RootConstrainSelectedInstOperands,
     /* 146148 */     // GIR_Coverage, 1961,
     /* 146148 */     GIR_EraseRootFromParent_Done,
     /* 146149 */   // Label 2878: @146149
     /* 146149 */   GIM_Try, /*On fail goto*//*Label 2879*/ GIMT_Encode4(146185), // Rule ID 1963 //
     /* 146154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 146157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminv),
     /* 146162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 146165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 146168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 146172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146176 */     // (intrinsic_wo_chain:{ *:[f16] } 605:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FMINVv8i16v:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)
     /* 146176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINVv8i16v),
     /* 146179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146181 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146183 */     GIR_RootConstrainSelectedInstOperands,
     /* 146184 */     // GIR_Coverage, 1963,
     /* 146184 */     GIR_EraseRootFromParent_Done,
     /* 146185 */   // Label 2879: @146185
     /* 146185 */   GIM_Try, /*On fail goto*//*Label 2880*/ GIMT_Encode4(146221), // Rule ID 1965 //
     /* 146190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminv),
     /* 146198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 146201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 146204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 146208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146212 */     // (intrinsic_wo_chain:{ *:[f32] } 605:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FMINVv4i32v:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)
     /* 146212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINVv4i32v),
     /* 146215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146217 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146219 */     GIR_RootConstrainSelectedInstOperands,
     /* 146220 */     // GIR_Coverage, 1965,
     /* 146220 */     GIR_EraseRootFromParent_Done,
     /* 146221 */   // Label 2880: @146221
     /* 146221 */   GIM_Try, /*On fail goto*//*Label 2881*/ GIMT_Encode4(146257), // Rule ID 2305 //
     /* 146226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES),
     /* 146229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_aesmc),
     /* 146234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 146237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 146240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146248 */     // (intrinsic_wo_chain:{ *:[v16i8] } 514:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (AESMCrr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 146248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AESMCrr),
     /* 146251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146253 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146255 */     GIR_RootConstrainSelectedInstOperands,
     /* 146256 */     // GIR_Coverage, 2305,
     /* 146256 */     GIR_EraseRootFromParent_Done,
     /* 146257 */   // Label 2881: @146257
     /* 146257 */   GIM_Try, /*On fail goto*//*Label 2882*/ GIMT_Encode4(146293), // Rule ID 2306 //
     /* 146262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES),
     /* 146265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_aesimc),
     /* 146270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 146273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 146276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146284 */     // (intrinsic_wo_chain:{ *:[v16i8] } 513:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (AESIMCrr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 146284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AESIMCrr),
     /* 146287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146289 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146291 */     GIR_RootConstrainSelectedInstOperands,
     /* 146292 */     // GIR_Coverage, 2306,
     /* 146292 */     GIR_EraseRootFromParent_Done,
     /* 146293 */   // Label 2882: @146293
     /* 146293 */   GIM_Try, /*On fail goto*//*Label 2883*/ GIMT_Encode4(146329), // Rule ID 2314 //
     /* 146298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2),
     /* 146301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha1h),
     /* 146306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 146309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 146312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 146316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 146320 */     // (intrinsic_wo_chain:{ *:[i32] } 521:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn)  =>  (SHA1Hrr:{ *:[i32] } FPR32:{ *:[i32] }:$Rn)
     /* 146320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA1Hrr),
     /* 146323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146325 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146327 */     GIR_RootConstrainSelectedInstOperands,
     /* 146328 */     // GIR_Coverage, 2314,
     /* 146328 */     GIR_EraseRootFromParent_Done,
     /* 146329 */   // Label 2883: @146329
     /* 146329 */   GIM_Try, /*On fail goto*//*Label 2884*/ GIMT_Encode4(146365), // Rule ID 2515 //
     /* 146334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqabs),
     /* 146342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 146345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 146348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146356 */     // (intrinsic_wo_chain:{ *:[v1i64] } 678:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn)  =>  (SQABSv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn)
     /* 146356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABSv1i64),
     /* 146359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146361 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146363 */     GIR_RootConstrainSelectedInstOperands,
     /* 146364 */     // GIR_Coverage, 2515,
     /* 146364 */     GIR_EraseRootFromParent_Done,
     /* 146365 */   // Label 2884: @146365
     /* 146365 */   GIM_Try, /*On fail goto*//*Label 2885*/ GIMT_Encode4(146404), // Rule ID 3548 //
     /* 146370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 146373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_pred_lane_zero),
     /* 146378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 146381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 146384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 146388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 146392 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1613:{ *:[iPTR] }, ZPRAny:{ *:[nxv16i8] }:$Zn)  =>  (PMOV_PZI_B:{ *:[nxv16i1] } ZPRAny:{ *:[nxv16i8] }:$Zn, 0:{ *:[i32] })
     /* 146392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_PZI_B),
     /* 146395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 146397 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 146399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 146402 */     GIR_RootConstrainSelectedInstOperands,
     /* 146403 */     // GIR_Coverage, 3548,
     /* 146403 */     GIR_EraseRootFromParent_Done,
     /* 146404 */   // Label 2885: @146404
     /* 146404 */   GIM_Try, /*On fail goto*//*Label 2886*/ GIMT_Encode4(146443), // Rule ID 3549 //
     /* 146409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 146412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_pred_lane_zero),
     /* 146417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 146420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 146423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 146427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 146431 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1613:{ *:[iPTR] }, ZPRAny:{ *:[nxv8i16] }:$Zn)  =>  (PMOV_PZI_H:{ *:[nxv8i1] } ZPRAny:{ *:[nxv8i16] }:$Zn, 0:{ *:[i32] })
     /* 146431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_PZI_H),
     /* 146434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 146436 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 146438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 146441 */     GIR_RootConstrainSelectedInstOperands,
     /* 146442 */     // GIR_Coverage, 3549,
     /* 146442 */     GIR_EraseRootFromParent_Done,
     /* 146443 */   // Label 2886: @146443
     /* 146443 */   GIM_Try, /*On fail goto*//*Label 2887*/ GIMT_Encode4(146482), // Rule ID 3550 //
     /* 146448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 146451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_pred_lane_zero),
     /* 146456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 146459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 146462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 146466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 146470 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1613:{ *:[iPTR] }, ZPRAny:{ *:[nxv4i32] }:$Zn)  =>  (PMOV_PZI_S:{ *:[nxv4i1] } ZPRAny:{ *:[nxv4i32] }:$Zn, 0:{ *:[i32] })
     /* 146470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_PZI_S),
     /* 146473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 146475 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 146477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 146480 */     GIR_RootConstrainSelectedInstOperands,
     /* 146481 */     // GIR_Coverage, 3550,
     /* 146481 */     GIR_EraseRootFromParent_Done,
     /* 146482 */   // Label 2887: @146482
     /* 146482 */   GIM_Try, /*On fail goto*//*Label 2888*/ GIMT_Encode4(146521), // Rule ID 3551 //
     /* 146487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 146490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_pred_lane_zero),
     /* 146495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 146498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 146501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 146505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 146509 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1613:{ *:[iPTR] }, ZPRAny:{ *:[nxv2i64] }:$Zn)  =>  (PMOV_PZI_D:{ *:[nxv2i1] } ZPRAny:{ *:[nxv2i64] }:$Zn, 0:{ *:[i32] })
     /* 146509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_PZI_D),
     /* 146512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 146514 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 146516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 146519 */     GIR_RootConstrainSelectedInstOperands,
     /* 146520 */     // GIR_Coverage, 3551,
     /* 146520 */     GIR_EraseRootFromParent_Done,
     /* 146521 */   // Label 2888: @146521
     /* 146521 */   GIM_Try, /*On fail goto*//*Label 2889*/ GIMT_Encode4(146577), // Rule ID 3555 //
     /* 146526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 146529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_vector_lane_zeroing),
     /* 146534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 146537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 146540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 146544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 146548 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1615:{ *:[iPTR] }, PPR8:{ *:[nxv16i1] }:$Pn)  =>  (PMOV_ZIP_B:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), 0:{ *:[i64] }, PPR8:{ *:[nxv16i1] }:$Pn)
     /* 146548 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 146551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 146555 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 146560 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 146562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_ZIP_B),
     /* 146565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 146567 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 146570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 146573 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 146575 */     GIR_RootConstrainSelectedInstOperands,
     /* 146576 */     // GIR_Coverage, 3555,
     /* 146576 */     GIR_EraseRootFromParent_Done,
     /* 146577 */   // Label 2889: @146577
     /* 146577 */   GIM_Try, /*On fail goto*//*Label 2890*/ GIMT_Encode4(146633), // Rule ID 3556 //
     /* 146582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 146585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_vector_lane_zeroing),
     /* 146590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 146593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 146596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 146600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 146604 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1615:{ *:[iPTR] }, PPR16:{ *:[nxv8i1] }:$Pn)  =>  (PMOV_ZIP_H:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv16i8] }), 0:{ *:[i32] }, PPR16:{ *:[nxv8i1] }:$Pn)
     /* 146604 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 146607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 146611 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 146616 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 146618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_ZIP_H),
     /* 146621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 146623 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 146626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 146629 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 146631 */     GIR_RootConstrainSelectedInstOperands,
     /* 146632 */     // GIR_Coverage, 3556,
     /* 146632 */     GIR_EraseRootFromParent_Done,
     /* 146633 */   // Label 2890: @146633
     /* 146633 */   GIM_Try, /*On fail goto*//*Label 2891*/ GIMT_Encode4(146689), // Rule ID 3557 //
     /* 146638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 146641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_vector_lane_zeroing),
     /* 146646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 146649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 146652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 146656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 146660 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1615:{ *:[iPTR] }, PPR32:{ *:[nxv4i1] }:$Pn)  =>  (PMOV_ZIP_S:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv16i8] }), 0:{ *:[i32] }, PPR32:{ *:[nxv4i1] }:$Pn)
     /* 146660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 146663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 146667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 146672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 146674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_ZIP_S),
     /* 146677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 146679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 146682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 146685 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 146687 */     GIR_RootConstrainSelectedInstOperands,
     /* 146688 */     // GIR_Coverage, 3557,
     /* 146688 */     GIR_EraseRootFromParent_Done,
     /* 146689 */   // Label 2891: @146689
     /* 146689 */   GIM_Try, /*On fail goto*//*Label 2892*/ GIMT_Encode4(146745), // Rule ID 3558 //
     /* 146694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 146697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_vector_lane_zeroing),
     /* 146702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 146705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 146708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 146712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 146716 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1615:{ *:[iPTR] }, PPR64:{ *:[nxv2i1] }:$Pn)  =>  (PMOV_ZIP_D:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv16i8] }), 0:{ *:[i32] }, PPR64:{ *:[nxv2i1] }:$Pn)
     /* 146716 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 146719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 146723 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 146728 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 146730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_ZIP_D),
     /* 146733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 146735 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 146738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 146741 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 146743 */     GIR_RootConstrainSelectedInstOperands,
     /* 146744 */     // GIR_Coverage, 3558,
     /* 146744 */     GIR_EraseRootFromParent_Done,
     /* 146745 */   // Label 2892: @146745
     /* 146745 */   GIM_Try, /*On fail goto*//*Label 2893*/ GIMT_Encode4(146778), // Rule ID 3999 //
     /* 146750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_cls),
     /* 146755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 146758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 146761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 146765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 146769 */     // (intrinsic_wo_chain:{ *:[i32] } 501:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn)  =>  (CLSWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 146769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLSWr),
     /* 146772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146774 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146776 */     GIR_RootConstrainSelectedInstOperands,
     /* 146777 */     // GIR_Coverage, 3999,
     /* 146777 */     GIR_EraseRootFromParent_Done,
     /* 146778 */   // Label 2893: @146778
     /* 146778 */   GIM_Try, /*On fail goto*//*Label 2894*/ GIMT_Encode4(146843), // Rule ID 4000 //
     /* 146783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_cls64),
     /* 146788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 146791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 146794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 146798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 146802 */     // (intrinsic_wo_chain:{ *:[i32] } 502:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rm)  =>  (EXTRACT_SUBREG:{ *:[i32] } (CLSXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rm), sub_32:{ *:[i32] })
     /* 146802 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 146805 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::CLSXr),
     /* 146809 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 146814 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 146818 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 146820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 146823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 146825 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /* 146832 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 146837 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 146842 */     // GIR_Coverage, 4000,
     /* 146842 */     GIR_EraseRootFromParent_Done,
     /* 146843 */   // Label 2894: @146843
     /* 146843 */   GIM_Try, /*On fail goto*//*Label 2895*/ GIMT_Encode4(146876), // Rule ID 4768 //
     /* 146848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint32z),
     /* 146853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 146856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 146859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146867 */     // (intrinsic_wo_chain:{ *:[v1f64] } 636:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FRINT32ZDr:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 146867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32ZDr),
     /* 146870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146872 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146874 */     GIR_RootConstrainSelectedInstOperands,
     /* 146875 */     // GIR_Coverage, 4768,
     /* 146875 */     GIR_EraseRootFromParent_Done,
     /* 146876 */   // Label 2895: @146876
     /* 146876 */   GIM_Try, /*On fail goto*//*Label 2896*/ GIMT_Encode4(146909), // Rule ID 4769 //
     /* 146881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint64z),
     /* 146886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 146889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 146892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146900 */     // (intrinsic_wo_chain:{ *:[v1f64] } 638:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FRINT64ZDr:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 146900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64ZDr),
     /* 146903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146905 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146907 */     GIR_RootConstrainSelectedInstOperands,
     /* 146908 */     // GIR_Coverage, 4769,
     /* 146908 */     GIR_EraseRootFromParent_Done,
     /* 146909 */   // Label 2896: @146909
     /* 146909 */   GIM_Try, /*On fail goto*//*Label 2897*/ GIMT_Encode4(146942), // Rule ID 4770 //
     /* 146914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint32x),
     /* 146919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 146922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 146925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146933 */     // (intrinsic_wo_chain:{ *:[v1f64] } 635:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FRINT32XDr:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 146933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32XDr),
     /* 146936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146938 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146940 */     GIR_RootConstrainSelectedInstOperands,
     /* 146941 */     // GIR_Coverage, 4770,
     /* 146941 */     GIR_EraseRootFromParent_Done,
     /* 146942 */   // Label 2897: @146942
     /* 146942 */   GIM_Try, /*On fail goto*//*Label 2898*/ GIMT_Encode4(146975), // Rule ID 4771 //
     /* 146947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint64x),
     /* 146952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 146955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 146958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146966 */     // (intrinsic_wo_chain:{ *:[v1f64] } 637:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FRINT64XDr:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 146966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64XDr),
     /* 146969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146971 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146973 */     GIR_RootConstrainSelectedInstOperands,
     /* 146974 */     // GIR_Coverage, 4771,
     /* 146974 */     GIR_EraseRootFromParent_Done,
     /* 146975 */   // Label 2898: @146975
     /* 146975 */   GIM_Try, /*On fail goto*//*Label 2899*/ GIMT_Encode4(147008), // Rule ID 4885 //
     /* 146980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvthf2fp),
     /* 146985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 146988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 146991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146999 */     // (intrinsic_wo_chain:{ *:[v4f32] } 767:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (FCVTLv4i16:{ *:[v4f32] } V64:{ *:[v4i16] }:$Rn)
     /* 146999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 147002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147004 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147006 */     GIR_RootConstrainSelectedInstOperands,
     /* 147007 */     // GIR_Coverage, 4885,
     /* 147007 */     GIR_EraseRootFromParent_Done,
     /* 147008 */   // Label 2899: @147008
     /* 147008 */   GIM_Try, /*On fail goto*//*Label 2900*/ GIMT_Encode4(147041), // Rule ID 4895 //
     /* 147013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2hf),
     /* 147018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 147021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 147024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 147032 */     // (intrinsic_wo_chain:{ *:[v4i16] } 764:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FCVTNv4i16:{ *:[v4i16] } V128:{ *:[v4f32] }:$Rn)
     /* 147032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 147035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147037 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147039 */     GIR_RootConstrainSelectedInstOperands,
     /* 147040 */     // GIR_Coverage, 4895,
     /* 147040 */     GIR_EraseRootFromParent_Done,
     /* 147041 */   // Label 2900: @147041
     /* 147041 */   GIM_Try, /*On fail goto*//*Label 2901*/ GIMT_Encode4(147077), // Rule ID 5234 //
     /* 147046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 147049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqneg),
     /* 147054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 147057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 147060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147068 */     // (intrinsic_wo_chain:{ *:[v1i64] } 685:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn)  =>  (SQNEGv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn)
     /* 147068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEGv1i64),
     /* 147071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147073 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147075 */     GIR_RootConstrainSelectedInstOperands,
     /* 147076 */     // GIR_Coverage, 5234,
     /* 147076 */     GIR_EraseRootFromParent_Done,
     /* 147077 */   // Label 2901: @147077
     /* 147077 */   GIM_Try, /*On fail goto*//*Label 2902*/ GIMT_Encode4(147110), // Rule ID 5237 //
     /* 147082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 147087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 147090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 147093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147101 */     // (intrinsic_wo_chain:{ *:[v1i64] } 583:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FCVTASv1i64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 147101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASv1i64),
     /* 147104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147106 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147108 */     GIR_RootConstrainSelectedInstOperands,
     /* 147109 */     // GIR_Coverage, 5237,
     /* 147109 */     GIR_EraseRootFromParent_Done,
     /* 147110 */   // Label 2902: @147110
     /* 147110 */   GIM_Try, /*On fail goto*//*Label 2903*/ GIMT_Encode4(147143), // Rule ID 5238 //
     /* 147115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 147120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 147123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 147126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147134 */     // (intrinsic_wo_chain:{ *:[v1i64] } 584:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FCVTAUv1i64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 147134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUv1i64),
     /* 147137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147139 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147141 */     GIR_RootConstrainSelectedInstOperands,
     /* 147142 */     // GIR_Coverage, 5238,
     /* 147142 */     GIR_EraseRootFromParent_Done,
     /* 147143 */   // Label 2903: @147143
     /* 147143 */   GIM_Try, /*On fail goto*//*Label 2904*/ GIMT_Encode4(147176), // Rule ID 5239 //
     /* 147148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 147153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 147156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 147159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147167 */     // (intrinsic_wo_chain:{ *:[v1i64] } 585:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FCVTMSv1i64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 147167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSv1i64),
     /* 147170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147172 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147174 */     GIR_RootConstrainSelectedInstOperands,
     /* 147175 */     // GIR_Coverage, 5239,
     /* 147175 */     GIR_EraseRootFromParent_Done,
     /* 147176 */   // Label 2904: @147176
     /* 147176 */   GIM_Try, /*On fail goto*//*Label 2905*/ GIMT_Encode4(147209), // Rule ID 5240 //
     /* 147181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 147186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 147189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 147192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147200 */     // (intrinsic_wo_chain:{ *:[v1i64] } 586:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FCVTMUv1i64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 147200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUv1i64),
     /* 147203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147205 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147207 */     GIR_RootConstrainSelectedInstOperands,
     /* 147208 */     // GIR_Coverage, 5240,
     /* 147208 */     GIR_EraseRootFromParent_Done,
     /* 147209 */   // Label 2905: @147209
     /* 147209 */   GIM_Try, /*On fail goto*//*Label 2906*/ GIMT_Encode4(147242), // Rule ID 5241 //
     /* 147214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 147219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 147222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 147225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147233 */     // (intrinsic_wo_chain:{ *:[v1i64] } 587:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FCVTNSv1i64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 147233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSv1i64),
     /* 147236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147238 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147240 */     GIR_RootConstrainSelectedInstOperands,
     /* 147241 */     // GIR_Coverage, 5241,
     /* 147241 */     GIR_EraseRootFromParent_Done,
     /* 147242 */   // Label 2906: @147242
     /* 147242 */   GIM_Try, /*On fail goto*//*Label 2907*/ GIMT_Encode4(147275), // Rule ID 5242 //
     /* 147247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 147252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 147255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 147258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147266 */     // (intrinsic_wo_chain:{ *:[v1i64] } 588:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FCVTNUv1i64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 147266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUv1i64),
     /* 147269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147271 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147273 */     GIR_RootConstrainSelectedInstOperands,
     /* 147274 */     // GIR_Coverage, 5242,
     /* 147274 */     GIR_EraseRootFromParent_Done,
     /* 147275 */   // Label 2907: @147275
     /* 147275 */   GIM_Try, /*On fail goto*//*Label 2908*/ GIMT_Encode4(147308), // Rule ID 5243 //
     /* 147280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 147285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 147288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 147291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147299 */     // (intrinsic_wo_chain:{ *:[v1i64] } 589:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FCVTPSv1i64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 147299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSv1i64),
     /* 147302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147304 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147306 */     GIR_RootConstrainSelectedInstOperands,
     /* 147307 */     // GIR_Coverage, 5243,
     /* 147307 */     GIR_EraseRootFromParent_Done,
     /* 147308 */   // Label 2908: @147308
     /* 147308 */   GIM_Try, /*On fail goto*//*Label 2909*/ GIMT_Encode4(147341), // Rule ID 5244 //
     /* 147313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 147318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 147321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 147324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147332 */     // (intrinsic_wo_chain:{ *:[v1i64] } 590:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FCVTPUv1i64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 147332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUv1i64),
     /* 147335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147337 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147339 */     GIR_RootConstrainSelectedInstOperands,
     /* 147340 */     // GIR_Coverage, 5244,
     /* 147340 */     GIR_EraseRootFromParent_Done,
     /* 147341 */   // Label 2909: @147341
     /* 147341 */   GIM_Try, /*On fail goto*//*Label 2910*/ GIMT_Encode4(147374), // Rule ID 5245 //
     /* 147346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 147351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 147354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 147357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147365 */     // (intrinsic_wo_chain:{ *:[v1i64] } 592:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FCVTZSv1i64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 147365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv1i64),
     /* 147368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147370 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147372 */     GIR_RootConstrainSelectedInstOperands,
     /* 147373 */     // GIR_Coverage, 5245,
     /* 147373 */     GIR_EraseRootFromParent_Done,
     /* 147374 */   // Label 2910: @147374
     /* 147374 */   GIM_Try, /*On fail goto*//*Label 2911*/ GIMT_Encode4(147407), // Rule ID 5246 //
     /* 147379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 147384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 147387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 147390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147398 */     // (intrinsic_wo_chain:{ *:[v1i64] } 593:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FCVTZUv1i64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 147398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv1i64),
     /* 147401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147403 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147405 */     GIR_RootConstrainSelectedInstOperands,
     /* 147406 */     // GIR_Coverage, 5246,
     /* 147406 */     GIR_EraseRootFromParent_Done,
     /* 147407 */   // Label 2911: @147407
     /* 147407 */   GIM_Try, /*On fail goto*//*Label 2912*/ GIMT_Encode4(147440), // Rule ID 5247 //
     /* 147412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpe),
     /* 147417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 147420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 147423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 147427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 147431 */     // (intrinsic_wo_chain:{ *:[f16] } 632:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FRECPEv1f16:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 147431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPEv1f16),
     /* 147434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147436 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147438 */     GIR_RootConstrainSelectedInstOperands,
     /* 147439 */     // GIR_Coverage, 5247,
     /* 147439 */     GIR_EraseRootFromParent_Done,
     /* 147440 */   // Label 2912: @147440
     /* 147440 */   GIM_Try, /*On fail goto*//*Label 2913*/ GIMT_Encode4(147473), // Rule ID 5248 //
     /* 147445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpe),
     /* 147450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 147453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 147456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 147460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 147464 */     // (intrinsic_wo_chain:{ *:[f32] } 632:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FRECPEv1i32:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 147464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPEv1i32),
     /* 147467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147469 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147471 */     GIR_RootConstrainSelectedInstOperands,
     /* 147472 */     // GIR_Coverage, 5248,
     /* 147472 */     GIR_EraseRootFromParent_Done,
     /* 147473 */   // Label 2913: @147473
     /* 147473 */   GIM_Try, /*On fail goto*//*Label 2914*/ GIMT_Encode4(147506), // Rule ID 5249 //
     /* 147478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpe),
     /* 147483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 147486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 147489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147497 */     // (intrinsic_wo_chain:{ *:[f64] } 632:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FRECPEv1i64:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 147497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPEv1i64),
     /* 147500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147502 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147504 */     GIR_RootConstrainSelectedInstOperands,
     /* 147505 */     // GIR_Coverage, 5249,
     /* 147505 */     GIR_EraseRootFromParent_Done,
     /* 147506 */   // Label 2914: @147506
     /* 147506 */   GIM_Try, /*On fail goto*//*Label 2915*/ GIMT_Encode4(147539), // Rule ID 5250 //
     /* 147511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpe),
     /* 147516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 147519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 147522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147530 */     // (intrinsic_wo_chain:{ *:[v1f64] } 632:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FRECPEv1i64:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 147530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPEv1i64),
     /* 147533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147535 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147537 */     GIR_RootConstrainSelectedInstOperands,
     /* 147538 */     // GIR_Coverage, 5250,
     /* 147538 */     GIR_EraseRootFromParent_Done,
     /* 147539 */   // Label 2915: @147539
     /* 147539 */   GIM_Try, /*On fail goto*//*Label 2916*/ GIMT_Encode4(147572), // Rule ID 5262 //
     /* 147544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpx),
     /* 147549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 147552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 147555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 147559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 147563 */     // (intrinsic_wo_chain:{ *:[f16] } 634:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FRECPXv1f16:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 147563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPXv1f16),
     /* 147566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147568 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147570 */     GIR_RootConstrainSelectedInstOperands,
     /* 147571 */     // GIR_Coverage, 5262,
     /* 147571 */     GIR_EraseRootFromParent_Done,
     /* 147572 */   // Label 2916: @147572
     /* 147572 */   GIM_Try, /*On fail goto*//*Label 2917*/ GIMT_Encode4(147605), // Rule ID 5263 //
     /* 147577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpx),
     /* 147582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 147585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 147588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 147592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 147596 */     // (intrinsic_wo_chain:{ *:[f32] } 634:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FRECPXv1i32:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 147596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPXv1i32),
     /* 147599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147601 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147603 */     GIR_RootConstrainSelectedInstOperands,
     /* 147604 */     // GIR_Coverage, 5263,
     /* 147604 */     GIR_EraseRootFromParent_Done,
     /* 147605 */   // Label 2917: @147605
     /* 147605 */   GIM_Try, /*On fail goto*//*Label 2918*/ GIMT_Encode4(147638), // Rule ID 5264 //
     /* 147610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpx),
     /* 147615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 147618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 147621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147629 */     // (intrinsic_wo_chain:{ *:[f64] } 634:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FRECPXv1i64:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 147629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPXv1i64),
     /* 147632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147634 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147636 */     GIR_RootConstrainSelectedInstOperands,
     /* 147637 */     // GIR_Coverage, 5264,
     /* 147637 */     GIR_EraseRootFromParent_Done,
     /* 147638 */   // Label 2918: @147638
     /* 147638 */   GIM_Try, /*On fail goto*//*Label 2919*/ GIMT_Encode4(147671), // Rule ID 5265 //
     /* 147643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrte),
     /* 147648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 147651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 147654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 147658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 147662 */     // (intrinsic_wo_chain:{ *:[f16] } 639:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FRSQRTEv1f16:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 147662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTEv1f16),
     /* 147665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147667 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147669 */     GIR_RootConstrainSelectedInstOperands,
     /* 147670 */     // GIR_Coverage, 5265,
     /* 147670 */     GIR_EraseRootFromParent_Done,
     /* 147671 */   // Label 2919: @147671
     /* 147671 */   GIM_Try, /*On fail goto*//*Label 2920*/ GIMT_Encode4(147704), // Rule ID 5266 //
     /* 147676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrte),
     /* 147681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 147684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 147687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 147691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 147695 */     // (intrinsic_wo_chain:{ *:[f32] } 639:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FRSQRTEv1i32:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 147695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTEv1i32),
     /* 147698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147700 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147702 */     GIR_RootConstrainSelectedInstOperands,
     /* 147703 */     // GIR_Coverage, 5266,
     /* 147703 */     GIR_EraseRootFromParent_Done,
     /* 147704 */   // Label 2920: @147704
     /* 147704 */   GIM_Try, /*On fail goto*//*Label 2921*/ GIMT_Encode4(147737), // Rule ID 5267 //
     /* 147709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrte),
     /* 147714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 147717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 147720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147728 */     // (intrinsic_wo_chain:{ *:[f64] } 639:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FRSQRTEv1i64:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 147728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTEv1i64),
     /* 147731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147733 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147735 */     GIR_RootConstrainSelectedInstOperands,
     /* 147736 */     // GIR_Coverage, 5267,
     /* 147736 */     GIR_EraseRootFromParent_Done,
     /* 147737 */   // Label 2921: @147737
     /* 147737 */   GIM_Try, /*On fail goto*//*Label 2922*/ GIMT_Encode4(147770), // Rule ID 5268 //
     /* 147742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrte),
     /* 147747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 147750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 147753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147761 */     // (intrinsic_wo_chain:{ *:[v1f64] } 639:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FRSQRTEv1i64:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 147761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTEv1i64),
     /* 147764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147766 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147768 */     GIR_RootConstrainSelectedInstOperands,
     /* 147769 */     // GIR_Coverage, 5268,
     /* 147769 */     GIR_EraseRootFromParent_Done,
     /* 147770 */   // Label 2922: @147770
     /* 147770 */   GIM_Try, /*On fail goto*//*Label 2923*/ GIMT_Encode4(147803), // Rule ID 5598 //
     /* 147775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_faddv),
     /* 147780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 147783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 147786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 147790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147794 */     // (intrinsic_wo_chain:{ *:[f32] } 580:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FADDPv2i32p:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)
     /* 147794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i32p),
     /* 147797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147799 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147801 */     GIR_RootConstrainSelectedInstOperands,
     /* 147802 */     // GIR_Coverage, 5598,
     /* 147802 */     GIR_EraseRootFromParent_Done,
     /* 147803 */   // Label 2923: @147803
     /* 147803 */   GIM_Try, /*On fail goto*//*Label 2924*/ GIMT_Encode4(147888), // Rule ID 5599 //
     /* 147808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_faddv),
     /* 147813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 147816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 147819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 147823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 147827 */     // (intrinsic_wo_chain:{ *:[f32] } 580:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FADDPv2i32p:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i64] } (FADDPv4f32:{ *:[f128] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rn), dsub:{ *:[i32] }))
     /* 147827 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 147830 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::FADDPv4f32),
     /* 147834 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 147839 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 147843 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 147847 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 147849 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 147852 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 147856 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 147861 */     GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 147868 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147873 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 147878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i32p),
     /* 147881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 147886 */     GIR_RootConstrainSelectedInstOperands,
     /* 147887 */     // GIR_Coverage, 5599,
     /* 147887 */     GIR_EraseRootFromParent_Done,
     /* 147888 */   // Label 2924: @147888
     /* 147888 */   GIM_Try, /*On fail goto*//*Label 2925*/ GIMT_Encode4(147921), // Rule ID 5600 //
     /* 147893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_faddv),
     /* 147898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 147901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 147904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 147912 */     // (intrinsic_wo_chain:{ *:[f64] } 580:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FADDPv2i64p:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)
     /* 147912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i64p),
     /* 147915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147917 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147919 */     GIR_RootConstrainSelectedInstOperands,
     /* 147920 */     // GIR_Coverage, 5600,
     /* 147920 */     GIR_EraseRootFromParent_Done,
     /* 147921 */   // Label 2925: @147921
     /* 147921 */   GIM_Try, /*On fail goto*//*Label 2926*/ GIMT_Encode4(147954), // Rule ID 5602 //
     /* 147926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxnmv),
     /* 147931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 147934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 147937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 147941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147945 */     // (intrinsic_wo_chain:{ *:[f32] } 597:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FMAXNMPv2i32p:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)
     /* 147945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMPv2i32p),
     /* 147948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147950 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147952 */     GIR_RootConstrainSelectedInstOperands,
     /* 147953 */     // GIR_Coverage, 5602,
     /* 147953 */     GIR_EraseRootFromParent_Done,
     /* 147954 */   // Label 2926: @147954
     /* 147954 */   GIM_Try, /*On fail goto*//*Label 2927*/ GIMT_Encode4(147987), // Rule ID 5604 //
     /* 147959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxnmv),
     /* 147964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 147967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 147970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 147978 */     // (intrinsic_wo_chain:{ *:[f64] } 597:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FMAXNMPv2i64p:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)
     /* 147978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMPv2i64p),
     /* 147981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147983 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147985 */     GIR_RootConstrainSelectedInstOperands,
     /* 147986 */     // GIR_Coverage, 5604,
     /* 147986 */     GIR_EraseRootFromParent_Done,
     /* 147987 */   // Label 2927: @147987
     /* 147987 */   GIM_Try, /*On fail goto*//*Label 2928*/ GIMT_Encode4(148020), // Rule ID 5606 //
     /* 147992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxv),
     /* 147997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 148000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 148003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 148007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148011 */     // (intrinsic_wo_chain:{ *:[f32] } 599:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FMAXPv2i32p:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)
     /* 148011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXPv2i32p),
     /* 148014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148016 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148018 */     GIR_RootConstrainSelectedInstOperands,
     /* 148019 */     // GIR_Coverage, 5606,
     /* 148019 */     GIR_EraseRootFromParent_Done,
     /* 148020 */   // Label 2928: @148020
     /* 148020 */   GIM_Try, /*On fail goto*//*Label 2929*/ GIMT_Encode4(148053), // Rule ID 5608 //
     /* 148025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxv),
     /* 148030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 148033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 148036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148044 */     // (intrinsic_wo_chain:{ *:[f64] } 599:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FMAXPv2i64p:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)
     /* 148044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXPv2i64p),
     /* 148047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148049 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148051 */     GIR_RootConstrainSelectedInstOperands,
     /* 148052 */     // GIR_Coverage, 5608,
     /* 148052 */     GIR_EraseRootFromParent_Done,
     /* 148053 */   // Label 2929: @148053
     /* 148053 */   GIM_Try, /*On fail goto*//*Label 2930*/ GIMT_Encode4(148086), // Rule ID 5610 //
     /* 148058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminnmv),
     /* 148063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 148066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 148069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 148073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148077 */     // (intrinsic_wo_chain:{ *:[f32] } 603:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FMINNMPv2i32p:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)
     /* 148077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMPv2i32p),
     /* 148080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148082 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148084 */     GIR_RootConstrainSelectedInstOperands,
     /* 148085 */     // GIR_Coverage, 5610,
     /* 148085 */     GIR_EraseRootFromParent_Done,
     /* 148086 */   // Label 2930: @148086
     /* 148086 */   GIM_Try, /*On fail goto*//*Label 2931*/ GIMT_Encode4(148119), // Rule ID 5612 //
     /* 148091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminnmv),
     /* 148096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 148099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 148102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148110 */     // (intrinsic_wo_chain:{ *:[f64] } 603:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FMINNMPv2i64p:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)
     /* 148110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMPv2i64p),
     /* 148113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148115 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148117 */     GIR_RootConstrainSelectedInstOperands,
     /* 148118 */     // GIR_Coverage, 5612,
     /* 148118 */     GIR_EraseRootFromParent_Done,
     /* 148119 */   // Label 2931: @148119
     /* 148119 */   GIM_Try, /*On fail goto*//*Label 2932*/ GIMT_Encode4(148152), // Rule ID 5614 //
     /* 148124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminv),
     /* 148129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 148132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 148135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 148139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148143 */     // (intrinsic_wo_chain:{ *:[f32] } 605:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FMINPv2i32p:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)
     /* 148143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINPv2i32p),
     /* 148146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148148 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148150 */     GIR_RootConstrainSelectedInstOperands,
     /* 148151 */     // GIR_Coverage, 5614,
     /* 148151 */     GIR_EraseRootFromParent_Done,
     /* 148152 */   // Label 2932: @148152
     /* 148152 */   GIM_Try, /*On fail goto*//*Label 2933*/ GIMT_Encode4(148185), // Rule ID 5616 //
     /* 148157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminv),
     /* 148162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 148165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 148168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148176 */     // (intrinsic_wo_chain:{ *:[f64] } 605:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FMINPv2i64p:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)
     /* 148176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINPv2i64p),
     /* 148179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148181 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148183 */     GIR_RootConstrainSelectedInstOperands,
     /* 148184 */     // GIR_Coverage, 5616,
     /* 148184 */     GIR_EraseRootFromParent_Done,
     /* 148185 */   // Label 2933: @148185
     /* 148185 */   GIM_Try, /*On fail goto*//*Label 2934*/ GIMT_Encode4(148218), // Rule ID 13042 //
     /* 148190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddv),
     /* 148195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 148198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 148201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 148205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148209 */     // (intrinsic_wo_chain:{ *:[i8] } 662:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (ADDVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn)
     /* 148209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDVv8i8v),
     /* 148212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148214 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148216 */     GIR_RootConstrainSelectedInstOperands,
     /* 148217 */     // GIR_Coverage, 13042,
     /* 148217 */     GIR_EraseRootFromParent_Done,
     /* 148218 */   // Label 2934: @148218
     /* 148218 */   GIM_Try, /*On fail goto*//*Label 2935*/ GIMT_Encode4(148251), // Rule ID 13044 //
     /* 148223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddv),
     /* 148228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 148231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 148234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 148238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148242 */     // (intrinsic_wo_chain:{ *:[i8] } 662:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (ADDVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn)
     /* 148242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDVv16i8v),
     /* 148245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148247 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148249 */     GIR_RootConstrainSelectedInstOperands,
     /* 148250 */     // GIR_Coverage, 13044,
     /* 148250 */     GIR_EraseRootFromParent_Done,
     /* 148251 */   // Label 2935: @148251
     /* 148251 */   GIM_Try, /*On fail goto*//*Label 2936*/ GIMT_Encode4(148284), // Rule ID 13046 //
     /* 148256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddv),
     /* 148261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 148264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 148267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 148271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148275 */     // (intrinsic_wo_chain:{ *:[i16] } 662:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (ADDVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn)
     /* 148275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDVv4i16v),
     /* 148278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148280 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148282 */     GIR_RootConstrainSelectedInstOperands,
     /* 148283 */     // GIR_Coverage, 13046,
     /* 148283 */     GIR_EraseRootFromParent_Done,
     /* 148284 */   // Label 2936: @148284
     /* 148284 */   GIM_Try, /*On fail goto*//*Label 2937*/ GIMT_Encode4(148317), // Rule ID 13048 //
     /* 148289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddv),
     /* 148294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 148297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 148300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 148304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148308 */     // (intrinsic_wo_chain:{ *:[i16] } 662:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn)  =>  (ADDVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn)
     /* 148308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDVv8i16v),
     /* 148311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148313 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148315 */     GIR_RootConstrainSelectedInstOperands,
     /* 148316 */     // GIR_Coverage, 13048,
     /* 148316 */     GIR_EraseRootFromParent_Done,
     /* 148317 */   // Label 2937: @148317
     /* 148317 */   GIM_Try, /*On fail goto*//*Label 2938*/ GIMT_Encode4(148432), // Rule ID 13049 //
     /* 148322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddv),
     /* 148327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 148330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 148333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 148337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148341 */     // (intrinsic_wo_chain:{ *:[i32] } 662:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDVv4i32v:{ *:[i32] } V128:{ *:[v4i32] }:$Rn), ssub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 148341 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 148344 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::ADDVv4i32v),
     /* 148348 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 148353 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 148357 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 148359 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 148362 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 148366 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 148371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 148373 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 148376 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 148380 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 148385 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 148388 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 148391 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 148394 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148399 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148404 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 148409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 148412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 148414 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 148421 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 148426 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148431 */     // GIR_Coverage, 13049,
     /* 148431 */     GIR_EraseRootFromParent_Done,
     /* 148432 */   // Label 2938: @148432
     /* 148432 */   GIM_Try, /*On fail goto*//*Label 2939*/ GIMT_Encode4(148465), // Rule ID 13051 //
     /* 148437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddv),
     /* 148442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 148445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 148448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 148452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148456 */     // (intrinsic_wo_chain:{ *:[i8] } 727:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (ADDVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn)
     /* 148456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDVv8i8v),
     /* 148459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148461 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148463 */     GIR_RootConstrainSelectedInstOperands,
     /* 148464 */     // GIR_Coverage, 13051,
     /* 148464 */     GIR_EraseRootFromParent_Done,
     /* 148465 */   // Label 2939: @148465
     /* 148465 */   GIM_Try, /*On fail goto*//*Label 2940*/ GIMT_Encode4(148498), // Rule ID 13053 //
     /* 148470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddv),
     /* 148475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 148478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 148481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 148485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148489 */     // (intrinsic_wo_chain:{ *:[i8] } 727:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (ADDVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn)
     /* 148489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDVv16i8v),
     /* 148492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148494 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148496 */     GIR_RootConstrainSelectedInstOperands,
     /* 148497 */     // GIR_Coverage, 13053,
     /* 148497 */     GIR_EraseRootFromParent_Done,
     /* 148498 */   // Label 2940: @148498
     /* 148498 */   GIM_Try, /*On fail goto*//*Label 2941*/ GIMT_Encode4(148531), // Rule ID 13055 //
     /* 148503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddv),
     /* 148508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 148511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 148514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 148518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148522 */     // (intrinsic_wo_chain:{ *:[i16] } 727:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (ADDVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn)
     /* 148522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDVv4i16v),
     /* 148525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148527 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148529 */     GIR_RootConstrainSelectedInstOperands,
     /* 148530 */     // GIR_Coverage, 13055,
     /* 148530 */     GIR_EraseRootFromParent_Done,
     /* 148531 */   // Label 2941: @148531
     /* 148531 */   GIM_Try, /*On fail goto*//*Label 2942*/ GIMT_Encode4(148564), // Rule ID 13057 //
     /* 148536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddv),
     /* 148541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 148544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 148547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 148551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148555 */     // (intrinsic_wo_chain:{ *:[i16] } 727:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn)  =>  (ADDVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn)
     /* 148555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDVv8i16v),
     /* 148558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148560 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148562 */     GIR_RootConstrainSelectedInstOperands,
     /* 148563 */     // GIR_Coverage, 13057,
     /* 148563 */     GIR_EraseRootFromParent_Done,
     /* 148564 */   // Label 2942: @148564
     /* 148564 */   GIM_Try, /*On fail goto*//*Label 2943*/ GIMT_Encode4(148679), // Rule ID 13058 //
     /* 148569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddv),
     /* 148574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 148577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 148580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 148584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148588 */     // (intrinsic_wo_chain:{ *:[i32] } 727:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDVv4i32v:{ *:[i32] } V128:{ *:[v4i32] }:$Rn), ssub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 148588 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 148591 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::ADDVv4i32v),
     /* 148595 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 148600 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 148604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 148606 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 148609 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 148613 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 148618 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 148620 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 148623 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 148627 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 148632 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 148635 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 148638 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 148641 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148646 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148651 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 148656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 148659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 148661 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 148668 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 148673 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148678 */     // GIR_Coverage, 13058,
     /* 148678 */     GIR_EraseRootFromParent_Done,
     /* 148679 */   // Label 2943: @148679
     /* 148679 */   GIM_Try, /*On fail goto*//*Label 2944*/ GIMT_Encode4(148798), // Rule ID 13059 //
     /* 148684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddv),
     /* 148689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 148692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 148695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 148699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148703 */     // (intrinsic_wo_chain:{ *:[i32] } 662:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDPv2i32:{ *:[i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rn), dsub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 148703 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 148706 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i32),
     /* 148710 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 148715 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 148719 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 148723 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 148725 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 148728 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 148732 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 148737 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 148739 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 148742 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 148746 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 148751 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 148754 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 148757 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 148760 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148765 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148770 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 148778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 148780 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 148787 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 148792 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148797 */     // GIR_Coverage, 13059,
     /* 148797 */     GIR_EraseRootFromParent_Done,
     /* 148798 */   // Label 2944: @148798
     /* 148798 */   GIM_Try, /*On fail goto*//*Label 2945*/ GIMT_Encode4(148913), // Rule ID 13060 //
     /* 148803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddv),
     /* 148808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 148811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 148814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148822 */     // (intrinsic_wo_chain:{ *:[i64] } 662:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), (ADDPv2i64p:{ *:[i64] } V128:{ *:[v2i64] }:$Rn), dsub:{ *:[i32] }), dsub:{ *:[i32] })
     /* 148822 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 148825 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i64p),
     /* 148829 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 148834 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 148838 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 148840 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /* 148843 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 148847 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 148852 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 148854 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /* 148857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 148861 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 148866 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 148869 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 148872 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 148875 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148880 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148885 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 148893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 148895 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 148902 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148907 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148912 */     // GIR_Coverage, 13060,
     /* 148912 */     GIR_EraseRootFromParent_Done,
     /* 148913 */   // Label 2945: @148913
     /* 148913 */   GIM_Try, /*On fail goto*//*Label 2946*/ GIMT_Encode4(149032), // Rule ID 13061 //
     /* 148918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddv),
     /* 148923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 148926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 148929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 148933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148937 */     // (intrinsic_wo_chain:{ *:[i32] } 727:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDPv2i32:{ *:[i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rn), dsub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 148937 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 148940 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i32),
     /* 148944 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 148949 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 148953 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 148957 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 148959 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 148962 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 148966 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 148971 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 148973 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 148976 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 148980 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 148985 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 148988 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 148991 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 148994 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148999 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149004 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 149012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149014 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 149021 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 149026 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149031 */     // GIR_Coverage, 13061,
     /* 149031 */     GIR_EraseRootFromParent_Done,
     /* 149032 */   // Label 2946: @149032
     /* 149032 */   GIM_Try, /*On fail goto*//*Label 2947*/ GIMT_Encode4(149147), // Rule ID 13062 //
     /* 149037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddv),
     /* 149042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 149045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 149048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149056 */     // (intrinsic_wo_chain:{ *:[i64] } 727:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), (ADDPv2i64p:{ *:[i64] } V128:{ *:[v2i64] }:$Rn), dsub:{ *:[i32] }), dsub:{ *:[i32] })
     /* 149056 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 149059 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i64p),
     /* 149063 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149068 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 149072 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 149074 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /* 149077 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 149081 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149086 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 149088 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /* 149091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 149095 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149100 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 149103 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 149106 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 149109 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149114 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149119 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 149127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149129 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 149136 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149141 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149146 */     // GIR_Coverage, 13062,
     /* 149146 */     GIR_EraseRootFromParent_Done,
     /* 149147 */   // Label 2947: @149147
     /* 149147 */   GIM_Try, /*On fail goto*//*Label 2948*/ GIMT_Encode4(149180), // Rule ID 13064 //
     /* 149152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxv),
     /* 149157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 149160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 149163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 149167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149171 */     // (intrinsic_wo_chain:{ *:[i8] } 672:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (SMAXVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn)
     /* 149171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv8i8v),
     /* 149174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 149176 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 149178 */     GIR_RootConstrainSelectedInstOperands,
     /* 149179 */     // GIR_Coverage, 13064,
     /* 149179 */     GIR_EraseRootFromParent_Done,
     /* 149180 */   // Label 2948: @149180
     /* 149180 */   GIM_Try, /*On fail goto*//*Label 2949*/ GIMT_Encode4(149213), // Rule ID 13066 //
     /* 149185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxv),
     /* 149190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 149193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 149196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 149200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149204 */     // (intrinsic_wo_chain:{ *:[i8] } 672:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (SMAXVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn)
     /* 149204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv16i8v),
     /* 149207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 149209 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 149211 */     GIR_RootConstrainSelectedInstOperands,
     /* 149212 */     // GIR_Coverage, 13066,
     /* 149212 */     GIR_EraseRootFromParent_Done,
     /* 149213 */   // Label 2949: @149213
     /* 149213 */   GIM_Try, /*On fail goto*//*Label 2950*/ GIMT_Encode4(149246), // Rule ID 13068 //
     /* 149218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxv),
     /* 149223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 149226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 149229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 149233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149237 */     // (intrinsic_wo_chain:{ *:[i16] } 672:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (SMAXVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn)
     /* 149237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv4i16v),
     /* 149240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 149242 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 149244 */     GIR_RootConstrainSelectedInstOperands,
     /* 149245 */     // GIR_Coverage, 13068,
     /* 149245 */     GIR_EraseRootFromParent_Done,
     /* 149246 */   // Label 2950: @149246
     /* 149246 */   GIM_Try, /*On fail goto*//*Label 2951*/ GIMT_Encode4(149279), // Rule ID 13070 //
     /* 149251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxv),
     /* 149256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 149259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 149262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 149266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149270 */     // (intrinsic_wo_chain:{ *:[i16] } 672:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn)  =>  (SMAXVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn)
     /* 149270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv8i16v),
     /* 149273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 149275 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 149277 */     GIR_RootConstrainSelectedInstOperands,
     /* 149278 */     // GIR_Coverage, 13070,
     /* 149278 */     GIR_EraseRootFromParent_Done,
     /* 149279 */   // Label 2951: @149279
     /* 149279 */   GIM_Try, /*On fail goto*//*Label 2952*/ GIMT_Encode4(149394), // Rule ID 13071 //
     /* 149284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxv),
     /* 149289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 149292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 149295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 149299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149303 */     // (intrinsic_wo_chain:{ *:[i32] } 672:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMAXVv4i32v:{ *:[i32] } V128:{ *:[v4i32] }:$Rn), ssub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 149303 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 149306 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv4i32v),
     /* 149310 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149315 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 149319 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 149321 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 149324 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 149328 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149333 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 149335 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 149338 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 149342 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149347 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 149350 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 149353 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 149356 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149361 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149366 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 149371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 149374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149376 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 149383 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 149388 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149393 */     // GIR_Coverage, 13071,
     /* 149393 */     GIR_EraseRootFromParent_Done,
     /* 149394 */   // Label 2952: @149394
     /* 149394 */   GIM_Try, /*On fail goto*//*Label 2953*/ GIMT_Encode4(149513), // Rule ID 13072 //
     /* 149399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxv),
     /* 149404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 149407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 149410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 149414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149418 */     // (intrinsic_wo_chain:{ *:[i32] } 672:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMAXPv2i32:{ *:[i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rn), dsub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 149418 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 149421 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMAXPv2i32),
     /* 149425 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149430 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 149434 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 149438 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 149440 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 149443 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 149447 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149452 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 149454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 149457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 149461 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149466 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 149469 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 149472 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 149475 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149480 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149485 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 149493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149495 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 149502 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 149507 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149512 */     // GIR_Coverage, 13072,
     /* 149512 */     GIR_EraseRootFromParent_Done,
     /* 149513 */   // Label 2953: @149513
     /* 149513 */   GIM_Try, /*On fail goto*//*Label 2954*/ GIMT_Encode4(149546), // Rule ID 13074 //
     /* 149518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminv),
     /* 149523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 149526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 149529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 149533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149537 */     // (intrinsic_wo_chain:{ *:[i8] } 675:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (SMINVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn)
     /* 149537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINVv8i8v),
     /* 149540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 149542 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 149544 */     GIR_RootConstrainSelectedInstOperands,
     /* 149545 */     // GIR_Coverage, 13074,
     /* 149545 */     GIR_EraseRootFromParent_Done,
     /* 149546 */   // Label 2954: @149546
     /* 149546 */   GIM_Try, /*On fail goto*//*Label 2955*/ GIMT_Encode4(149579), // Rule ID 13076 //
     /* 149551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminv),
     /* 149556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 149559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 149562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 149566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149570 */     // (intrinsic_wo_chain:{ *:[i8] } 675:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (SMINVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn)
     /* 149570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINVv16i8v),
     /* 149573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 149575 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 149577 */     GIR_RootConstrainSelectedInstOperands,
     /* 149578 */     // GIR_Coverage, 13076,
     /* 149578 */     GIR_EraseRootFromParent_Done,
     /* 149579 */   // Label 2955: @149579
     /* 149579 */   GIM_Try, /*On fail goto*//*Label 2956*/ GIMT_Encode4(149612), // Rule ID 13078 //
     /* 149584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminv),
     /* 149589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 149592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 149595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 149599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149603 */     // (intrinsic_wo_chain:{ *:[i16] } 675:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (SMINVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn)
     /* 149603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINVv4i16v),
     /* 149606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 149608 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 149610 */     GIR_RootConstrainSelectedInstOperands,
     /* 149611 */     // GIR_Coverage, 13078,
     /* 149611 */     GIR_EraseRootFromParent_Done,
     /* 149612 */   // Label 2956: @149612
     /* 149612 */   GIM_Try, /*On fail goto*//*Label 2957*/ GIMT_Encode4(149645), // Rule ID 13080 //
     /* 149617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminv),
     /* 149622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 149625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 149628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 149632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149636 */     // (intrinsic_wo_chain:{ *:[i16] } 675:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn)  =>  (SMINVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn)
     /* 149636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINVv8i16v),
     /* 149639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 149641 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 149643 */     GIR_RootConstrainSelectedInstOperands,
     /* 149644 */     // GIR_Coverage, 13080,
     /* 149644 */     GIR_EraseRootFromParent_Done,
     /* 149645 */   // Label 2957: @149645
     /* 149645 */   GIM_Try, /*On fail goto*//*Label 2958*/ GIMT_Encode4(149760), // Rule ID 13081 //
     /* 149650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminv),
     /* 149655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 149658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 149661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 149665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149669 */     // (intrinsic_wo_chain:{ *:[i32] } 675:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMINVv4i32v:{ *:[i32] } V128:{ *:[v4i32] }:$Rn), ssub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 149669 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 149672 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMINVv4i32v),
     /* 149676 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149681 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 149685 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 149687 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 149690 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 149694 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149699 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 149701 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 149704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 149708 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149713 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 149716 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 149719 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 149722 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149727 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149732 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 149737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 149740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149742 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 149749 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 149754 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149759 */     // GIR_Coverage, 13081,
     /* 149759 */     GIR_EraseRootFromParent_Done,
     /* 149760 */   // Label 2958: @149760
     /* 149760 */   GIM_Try, /*On fail goto*//*Label 2959*/ GIMT_Encode4(149879), // Rule ID 13082 //
     /* 149765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminv),
     /* 149770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 149773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 149776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 149780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149784 */     // (intrinsic_wo_chain:{ *:[i32] } 675:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMINPv2i32:{ *:[i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rn), dsub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 149784 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 149787 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMINPv2i32),
     /* 149791 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149796 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 149800 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 149804 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 149806 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 149809 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 149813 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149818 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 149820 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 149823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 149827 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149832 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 149835 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 149838 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 149841 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149846 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149851 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 149859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149861 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 149868 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 149873 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149878 */     // GIR_Coverage, 13082,
     /* 149878 */     GIR_EraseRootFromParent_Done,
     /* 149879 */   // Label 2959: @149879
     /* 149879 */   GIM_Try, /*On fail goto*//*Label 2960*/ GIMT_Encode4(149912), // Rule ID 13084 //
     /* 149884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxv),
     /* 149889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 149892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 149895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 149899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149903 */     // (intrinsic_wo_chain:{ *:[i8] } 733:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (UMAXVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn)
     /* 149903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv8i8v),
     /* 149906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 149908 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 149910 */     GIR_RootConstrainSelectedInstOperands,
     /* 149911 */     // GIR_Coverage, 13084,
     /* 149911 */     GIR_EraseRootFromParent_Done,
     /* 149912 */   // Label 2960: @149912
     /* 149912 */   GIM_Try, /*On fail goto*//*Label 2961*/ GIMT_Encode4(149945), // Rule ID 13086 //
     /* 149917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxv),
     /* 149922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 149925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 149928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 149932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149936 */     // (intrinsic_wo_chain:{ *:[i8] } 733:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (UMAXVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn)
     /* 149936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv16i8v),
     /* 149939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 149941 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 149943 */     GIR_RootConstrainSelectedInstOperands,
     /* 149944 */     // GIR_Coverage, 13086,
     /* 149944 */     GIR_EraseRootFromParent_Done,
     /* 149945 */   // Label 2961: @149945
     /* 149945 */   GIM_Try, /*On fail goto*//*Label 2962*/ GIMT_Encode4(149978), // Rule ID 13088 //
     /* 149950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxv),
     /* 149955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 149958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 149961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 149965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149969 */     // (intrinsic_wo_chain:{ *:[i16] } 733:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (UMAXVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn)
     /* 149969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv4i16v),
     /* 149972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 149974 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 149976 */     GIR_RootConstrainSelectedInstOperands,
     /* 149977 */     // GIR_Coverage, 13088,
     /* 149977 */     GIR_EraseRootFromParent_Done,
     /* 149978 */   // Label 2962: @149978
     /* 149978 */   GIM_Try, /*On fail goto*//*Label 2963*/ GIMT_Encode4(150011), // Rule ID 13090 //
     /* 149983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxv),
     /* 149988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 149991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 149994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 149998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150002 */     // (intrinsic_wo_chain:{ *:[i16] } 733:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn)  =>  (UMAXVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn)
     /* 150002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv8i16v),
     /* 150005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 150007 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 150009 */     GIR_RootConstrainSelectedInstOperands,
     /* 150010 */     // GIR_Coverage, 13090,
     /* 150010 */     GIR_EraseRootFromParent_Done,
     /* 150011 */   // Label 2963: @150011
     /* 150011 */   GIM_Try, /*On fail goto*//*Label 2964*/ GIMT_Encode4(150126), // Rule ID 13091 //
     /* 150016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxv),
     /* 150021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 150024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 150027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 150031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150035 */     // (intrinsic_wo_chain:{ *:[i32] } 733:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMAXVv4i32v:{ *:[i32] } V128:{ *:[v4i32] }:$Rn), ssub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 150035 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 150038 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv4i32v),
     /* 150042 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150047 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 150051 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 150053 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 150056 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 150060 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150065 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 150067 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 150070 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 150074 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150079 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 150082 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 150085 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 150088 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150093 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150098 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 150103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 150106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 150108 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 150115 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 150120 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150125 */     // GIR_Coverage, 13091,
     /* 150125 */     GIR_EraseRootFromParent_Done,
     /* 150126 */   // Label 2964: @150126
     /* 150126 */   GIM_Try, /*On fail goto*//*Label 2965*/ GIMT_Encode4(150245), // Rule ID 13092 //
     /* 150131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxv),
     /* 150136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 150139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 150142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 150146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150150 */     // (intrinsic_wo_chain:{ *:[i32] } 733:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMAXPv2i32:{ *:[i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rn), dsub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 150150 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 150153 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::UMAXPv2i32),
     /* 150157 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150162 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 150166 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 150170 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 150172 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 150175 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 150179 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150184 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 150186 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 150189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 150193 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150198 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 150201 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 150204 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 150207 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150212 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150217 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 150225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 150227 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 150234 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 150239 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150244 */     // GIR_Coverage, 13092,
     /* 150244 */     GIR_EraseRootFromParent_Done,
     /* 150245 */   // Label 2965: @150245
     /* 150245 */   GIM_Try, /*On fail goto*//*Label 2966*/ GIMT_Encode4(150278), // Rule ID 13094 //
     /* 150250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminv),
     /* 150255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 150258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 150261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 150265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150269 */     // (intrinsic_wo_chain:{ *:[i8] } 736:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (UMINVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn)
     /* 150269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINVv8i8v),
     /* 150272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 150274 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 150276 */     GIR_RootConstrainSelectedInstOperands,
     /* 150277 */     // GIR_Coverage, 13094,
     /* 150277 */     GIR_EraseRootFromParent_Done,
     /* 150278 */   // Label 2966: @150278
     /* 150278 */   GIM_Try, /*On fail goto*//*Label 2967*/ GIMT_Encode4(150311), // Rule ID 13096 //
     /* 150283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminv),
     /* 150288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 150291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 150294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 150298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150302 */     // (intrinsic_wo_chain:{ *:[i8] } 736:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (UMINVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn)
     /* 150302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINVv16i8v),
     /* 150305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 150307 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 150309 */     GIR_RootConstrainSelectedInstOperands,
     /* 150310 */     // GIR_Coverage, 13096,
     /* 150310 */     GIR_EraseRootFromParent_Done,
     /* 150311 */   // Label 2967: @150311
     /* 150311 */   GIM_Try, /*On fail goto*//*Label 2968*/ GIMT_Encode4(150344), // Rule ID 13098 //
     /* 150316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminv),
     /* 150321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 150324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 150327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 150331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150335 */     // (intrinsic_wo_chain:{ *:[i16] } 736:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (UMINVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn)
     /* 150335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINVv4i16v),
     /* 150338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 150340 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 150342 */     GIR_RootConstrainSelectedInstOperands,
     /* 150343 */     // GIR_Coverage, 13098,
     /* 150343 */     GIR_EraseRootFromParent_Done,
     /* 150344 */   // Label 2968: @150344
     /* 150344 */   GIM_Try, /*On fail goto*//*Label 2969*/ GIMT_Encode4(150377), // Rule ID 13100 //
     /* 150349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminv),
     /* 150354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 150357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 150360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 150364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150368 */     // (intrinsic_wo_chain:{ *:[i16] } 736:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn)  =>  (UMINVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn)
     /* 150368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINVv8i16v),
     /* 150371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 150373 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 150375 */     GIR_RootConstrainSelectedInstOperands,
     /* 150376 */     // GIR_Coverage, 13100,
     /* 150376 */     GIR_EraseRootFromParent_Done,
     /* 150377 */   // Label 2969: @150377
     /* 150377 */   GIM_Try, /*On fail goto*//*Label 2970*/ GIMT_Encode4(150492), // Rule ID 13101 //
     /* 150382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminv),
     /* 150387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 150390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 150393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 150397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150401 */     // (intrinsic_wo_chain:{ *:[i32] } 736:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMINVv4i32v:{ *:[i32] } V128:{ *:[v4i32] }:$Rn), ssub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 150401 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 150404 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::UMINVv4i32v),
     /* 150408 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150413 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 150417 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 150419 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 150422 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 150426 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150431 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 150433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 150436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 150440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150445 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 150448 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 150451 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 150454 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150459 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150464 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 150469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 150472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 150474 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 150481 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 150486 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150491 */     // GIR_Coverage, 13101,
     /* 150491 */     GIR_EraseRootFromParent_Done,
     /* 150492 */   // Label 2970: @150492
     /* 150492 */   GIM_Try, /*On fail goto*//*Label 2971*/ GIMT_Encode4(150611), // Rule ID 13102 //
     /* 150497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminv),
     /* 150502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 150505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 150508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 150512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150516 */     // (intrinsic_wo_chain:{ *:[i32] } 736:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMINPv2i32:{ *:[i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rn), dsub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 150516 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 150519 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::UMINPv2i32),
     /* 150523 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150528 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 150532 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 150536 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 150538 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 150541 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 150545 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150550 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 150552 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 150555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 150559 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150564 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 150567 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 150570 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 150573 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150578 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150583 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 150591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 150593 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 150600 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 150605 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150610 */     // GIR_Coverage, 13102,
     /* 150610 */     GIR_EraseRootFromParent_Done,
     /* 150611 */   // Label 2971: @150611
     /* 150611 */   GIM_Try, /*On fail goto*//*Label 2972*/ GIMT_Encode4(150643), // Rule ID 2393 //
     /* 150616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 150619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rev_b16),
     /* 150624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 150627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 150630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 150634 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1655:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn)  =>  (REV_PP_H:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn)
     /* 150634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV_PP_H),
     /* 150637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 150639 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 150641 */     GIR_RootConstrainSelectedInstOperands,
     /* 150642 */     // GIR_Coverage, 2393,
     /* 150642 */     GIR_EraseRootFromParent_Done,
     /* 150643 */   // Label 2972: @150643
     /* 150643 */   GIM_Try, /*On fail goto*//*Label 2973*/ GIMT_Encode4(150675), // Rule ID 2394 //
     /* 150648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 150651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rev_b32),
     /* 150656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 150659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 150662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 150666 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1656:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn)  =>  (REV_PP_S:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn)
     /* 150666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV_PP_S),
     /* 150669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 150671 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 150673 */     GIR_RootConstrainSelectedInstOperands,
     /* 150674 */     // GIR_Coverage, 2394,
     /* 150674 */     GIR_EraseRootFromParent_Done,
     /* 150675 */   // Label 2973: @150675
     /* 150675 */   GIM_Try, /*On fail goto*//*Label 2974*/ GIMT_Encode4(150707), // Rule ID 2395 //
     /* 150680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 150683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rev_b64),
     /* 150688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 150691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 150694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 150698 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1657:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn)  =>  (REV_PP_D:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn)
     /* 150698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV_PP_D),
     /* 150701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 150703 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 150705 */     GIR_RootConstrainSelectedInstOperands,
     /* 150706 */     // GIR_Coverage, 2395,
     /* 150706 */     GIR_EraseRootFromParent_Done,
     /* 150707 */   // Label 2974: @150707
     /* 150707 */   GIM_Try, /*On fail goto*//*Label 2975*/ GIMT_Encode4(150739), // Rule ID 3093 //
     /* 150712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 150715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtnb),
     /* 150720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 150723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 150726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 150730 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1837:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1)  =>  (SQXTNB_ZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1)
     /* 150730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTNB_ZZ_B),
     /* 150733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 150735 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 150737 */     GIR_RootConstrainSelectedInstOperands,
     /* 150738 */     // GIR_Coverage, 3093,
     /* 150738 */     GIR_EraseRootFromParent_Done,
     /* 150739 */   // Label 2975: @150739
     /* 150739 */   GIM_Try, /*On fail goto*//*Label 2976*/ GIMT_Encode4(150771), // Rule ID 3094 //
     /* 150744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 150747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtnb),
     /* 150752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 150755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 150758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 150762 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1837:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1)  =>  (SQXTNB_ZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1)
     /* 150762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTNB_ZZ_H),
     /* 150765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 150767 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 150769 */     GIR_RootConstrainSelectedInstOperands,
     /* 150770 */     // GIR_Coverage, 3094,
     /* 150770 */     GIR_EraseRootFromParent_Done,
     /* 150771 */   // Label 2976: @150771
     /* 150771 */   GIM_Try, /*On fail goto*//*Label 2977*/ GIMT_Encode4(150803), // Rule ID 3095 //
     /* 150776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 150779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtnb),
     /* 150784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 150787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 150790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 150794 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1837:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (SQXTNB_ZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1)
     /* 150794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTNB_ZZ_S),
     /* 150797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 150799 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 150801 */     GIR_RootConstrainSelectedInstOperands,
     /* 150802 */     // GIR_Coverage, 3095,
     /* 150802 */     GIR_EraseRootFromParent_Done,
     /* 150803 */   // Label 2977: @150803
     /* 150803 */   GIM_Try, /*On fail goto*//*Label 2978*/ GIMT_Encode4(150835), // Rule ID 3349 //
     /* 150808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 150811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_punpklo),
     /* 150816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 150819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 150822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 150826 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1647:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1)  =>  (PUNPKLO_PP:{ *:[nxv8i1] } ?:{ *:[nxv16i1] }:$Op1)
     /* 150826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 150829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 150831 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 150833 */     GIR_RootConstrainSelectedInstOperands,
     /* 150834 */     // GIR_Coverage, 3349,
     /* 150834 */     GIR_EraseRootFromParent_Done,
     /* 150835 */   // Label 2978: @150835
     /* 150835 */   GIM_Try, /*On fail goto*//*Label 2979*/ GIMT_Encode4(150867), // Rule ID 3350 //
     /* 150840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 150843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_punpklo),
     /* 150848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 150851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 150854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 150858 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1647:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1)  =>  (PUNPKLO_PP:{ *:[nxv4i1] } ?:{ *:[nxv8i1] }:$Op1)
     /* 150858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 150861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 150863 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 150865 */     GIR_RootConstrainSelectedInstOperands,
     /* 150866 */     // GIR_Coverage, 3350,
     /* 150866 */     GIR_EraseRootFromParent_Done,
     /* 150867 */   // Label 2979: @150867
     /* 150867 */   GIM_Try, /*On fail goto*//*Label 2980*/ GIMT_Encode4(150899), // Rule ID 3351 //
     /* 150872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 150875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_punpklo),
     /* 150880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 150883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 150886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 150890 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1647:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1)  =>  (PUNPKLO_PP:{ *:[nxv2i1] } ?:{ *:[nxv4i1] }:$Op1)
     /* 150890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 150893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 150895 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 150897 */     GIR_RootConstrainSelectedInstOperands,
     /* 150898 */     // GIR_Coverage, 3351,
     /* 150898 */     GIR_EraseRootFromParent_Done,
     /* 150899 */   // Label 2980: @150899
     /* 150899 */   GIM_Try, /*On fail goto*//*Label 2981*/ GIMT_Encode4(150931), // Rule ID 3430 //
     /* 150904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE_or_SME2p2),
     /* 150907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fexpa_x),
     /* 150912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 150915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 150918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 150922 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1408:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1)  =>  (FEXPA_ZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i16] }:$Op1)
     /* 150922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FEXPA_ZZ_H),
     /* 150925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 150927 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 150929 */     GIR_RootConstrainSelectedInstOperands,
     /* 150930 */     // GIR_Coverage, 3430,
     /* 150930 */     GIR_EraseRootFromParent_Done,
     /* 150931 */   // Label 2981: @150931
     /* 150931 */   GIM_Try, /*On fail goto*//*Label 2982*/ GIMT_Encode4(150963), // Rule ID 3431 //
     /* 150936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE_or_SME2p2),
     /* 150939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fexpa_x),
     /* 150944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 150947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 150950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 150954 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1408:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1)  =>  (FEXPA_ZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i32] }:$Op1)
     /* 150954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FEXPA_ZZ_S),
     /* 150957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 150959 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 150961 */     GIR_RootConstrainSelectedInstOperands,
     /* 150962 */     // GIR_Coverage, 3431,
     /* 150962 */     GIR_EraseRootFromParent_Done,
     /* 150963 */   // Label 2982: @150963
     /* 150963 */   GIM_Try, /*On fail goto*//*Label 2983*/ GIMT_Encode4(150995), // Rule ID 3432 //
     /* 150968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE_or_SME2p2),
     /* 150971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fexpa_x),
     /* 150976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 150979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 150982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 150986 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1408:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (FEXPA_ZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i64] }:$Op1)
     /* 150986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FEXPA_ZZ_D),
     /* 150989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 150991 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 150993 */     GIR_RootConstrainSelectedInstOperands,
     /* 150994 */     // GIR_Coverage, 3432,
     /* 150994 */     GIR_EraseRootFromParent_Done,
     /* 150995 */   // Label 2983: @150995
     /* 150995 */   GIM_Try, /*On fail goto*//*Label 2984*/ GIMT_Encode4(151027), // Rule ID 3458 //
     /* 151000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_AES_HasSVEAES),
     /* 151003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_aesmc),
     /* 151008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 151011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 151014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 151018 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1247:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (AESMC_ZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1)
     /* 151018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AESMC_ZZ_B),
     /* 151021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 151023 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 151025 */     GIR_RootConstrainSelectedInstOperands,
     /* 151026 */     // GIR_Coverage, 3458,
     /* 151026 */     GIR_EraseRootFromParent_Done,
     /* 151027 */   // Label 2984: @151027
     /* 151027 */   GIM_Try, /*On fail goto*//*Label 2985*/ GIMT_Encode4(151059), // Rule ID 4613 //
     /* 151032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 151035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 151040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 151043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 151046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 151050 */     // (intrinsic_wo_chain:{ *:[i32] } 592:{ *:[iPTR] }, f16:{ *:[f16] }:$Rn)  =>  (FCVTZSUWHr:{ *:[i32] } ?:{ *:[f16] }:$Rn)
     /* 151050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWHr),
     /* 151053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151055 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 151057 */     GIR_RootConstrainSelectedInstOperands,
     /* 151058 */     // GIR_Coverage, 4613,
     /* 151058 */     GIR_EraseRootFromParent_Done,
     /* 151059 */   // Label 2985: @151059
     /* 151059 */   GIM_Try, /*On fail goto*//*Label 2986*/ GIMT_Encode4(151091), // Rule ID 4614 //
     /* 151064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 151067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 151072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 151075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 151078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 151082 */     // (intrinsic_wo_chain:{ *:[i64] } 592:{ *:[iPTR] }, f16:{ *:[f16] }:$Rn)  =>  (FCVTZSUXHr:{ *:[i64] } ?:{ *:[f16] }:$Rn)
     /* 151082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXHr),
     /* 151085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151087 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 151089 */     GIR_RootConstrainSelectedInstOperands,
     /* 151090 */     // GIR_Coverage, 4614,
     /* 151090 */     GIR_EraseRootFromParent_Done,
     /* 151091 */   // Label 2986: @151091
     /* 151091 */   GIM_Try, /*On fail goto*//*Label 2987*/ GIMT_Encode4(151120), // Rule ID 4615 //
     /* 151096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 151101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 151104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 151107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 151111 */     // (intrinsic_wo_chain:{ *:[i32] } 592:{ *:[iPTR] }, f32:{ *:[f32] }:$Rn)  =>  (FCVTZSUWSr:{ *:[i32] } ?:{ *:[f32] }:$Rn)
     /* 151111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWSr),
     /* 151114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151116 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 151118 */     GIR_RootConstrainSelectedInstOperands,
     /* 151119 */     // GIR_Coverage, 4615,
     /* 151119 */     GIR_EraseRootFromParent_Done,
     /* 151120 */   // Label 2987: @151120
     /* 151120 */   GIM_Try, /*On fail goto*//*Label 2988*/ GIMT_Encode4(151149), // Rule ID 4616 //
     /* 151125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 151130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 151133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 151136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 151140 */     // (intrinsic_wo_chain:{ *:[i64] } 592:{ *:[iPTR] }, f32:{ *:[f32] }:$Rn)  =>  (FCVTZSUXSr:{ *:[i64] } ?:{ *:[f32] }:$Rn)
     /* 151140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXSr),
     /* 151143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151145 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 151147 */     GIR_RootConstrainSelectedInstOperands,
     /* 151148 */     // GIR_Coverage, 4616,
     /* 151148 */     GIR_EraseRootFromParent_Done,
     /* 151149 */   // Label 2988: @151149
     /* 151149 */   GIM_Try, /*On fail goto*//*Label 2989*/ GIMT_Encode4(151178), // Rule ID 4617 //
     /* 151154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 151159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 151162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 151165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 151169 */     // (intrinsic_wo_chain:{ *:[i32] } 592:{ *:[iPTR] }, f64:{ *:[f64] }:$Rn)  =>  (FCVTZSUWDr:{ *:[i32] } ?:{ *:[f64] }:$Rn)
     /* 151169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWDr),
     /* 151172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151174 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 151176 */     GIR_RootConstrainSelectedInstOperands,
     /* 151177 */     // GIR_Coverage, 4617,
     /* 151177 */     GIR_EraseRootFromParent_Done,
     /* 151178 */   // Label 2989: @151178
     /* 151178 */   GIM_Try, /*On fail goto*//*Label 2990*/ GIMT_Encode4(151207), // Rule ID 4618 //
     /* 151183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 151188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 151191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 151194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 151198 */     // (intrinsic_wo_chain:{ *:[i64] } 592:{ *:[iPTR] }, f64:{ *:[f64] }:$Rn)  =>  (FCVTZSUXDr:{ *:[i64] } ?:{ *:[f64] }:$Rn)
     /* 151198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXDr),
     /* 151201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151203 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 151205 */     GIR_RootConstrainSelectedInstOperands,
     /* 151206 */     // GIR_Coverage, 4618,
     /* 151206 */     GIR_EraseRootFromParent_Done,
     /* 151207 */   // Label 2990: @151207
     /* 151207 */   GIM_Try, /*On fail goto*//*Label 2991*/ GIMT_Encode4(151239), // Rule ID 4625 //
     /* 151212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 151215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 151220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 151223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 151226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 151230 */     // (intrinsic_wo_chain:{ *:[i32] } 593:{ *:[iPTR] }, f16:{ *:[f16] }:$Rn)  =>  (FCVTZUUWHr:{ *:[i32] } ?:{ *:[f16] }:$Rn)
     /* 151230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUWHr),
     /* 151233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151235 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 151237 */     GIR_RootConstrainSelectedInstOperands,
     /* 151238 */     // GIR_Coverage, 4625,
     /* 151238 */     GIR_EraseRootFromParent_Done,
     /* 151239 */   // Label 2991: @151239
     /* 151239 */   GIM_Try, /*On fail goto*//*Label 2992*/ GIMT_Encode4(151271), // Rule ID 4626 //
     /* 151244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 151247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 151252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 151255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 151258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 151262 */     // (intrinsic_wo_chain:{ *:[i64] } 593:{ *:[iPTR] }, f16:{ *:[f16] }:$Rn)  =>  (FCVTZUUXHr:{ *:[i64] } ?:{ *:[f16] }:$Rn)
     /* 151262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUXHr),
     /* 151265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151267 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 151269 */     GIR_RootConstrainSelectedInstOperands,
     /* 151270 */     // GIR_Coverage, 4626,
     /* 151270 */     GIR_EraseRootFromParent_Done,
     /* 151271 */   // Label 2992: @151271
     /* 151271 */   GIM_Try, /*On fail goto*//*Label 2993*/ GIMT_Encode4(151300), // Rule ID 4627 //
     /* 151276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 151281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 151284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 151287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 151291 */     // (intrinsic_wo_chain:{ *:[i32] } 593:{ *:[iPTR] }, f32:{ *:[f32] }:$Rn)  =>  (FCVTZUUWSr:{ *:[i32] } ?:{ *:[f32] }:$Rn)
     /* 151291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUWSr),
     /* 151294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151296 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 151298 */     GIR_RootConstrainSelectedInstOperands,
     /* 151299 */     // GIR_Coverage, 4627,
     /* 151299 */     GIR_EraseRootFromParent_Done,
     /* 151300 */   // Label 2993: @151300
     /* 151300 */   GIM_Try, /*On fail goto*//*Label 2994*/ GIMT_Encode4(151329), // Rule ID 4628 //
     /* 151305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 151310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 151313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 151316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 151320 */     // (intrinsic_wo_chain:{ *:[i64] } 593:{ *:[iPTR] }, f32:{ *:[f32] }:$Rn)  =>  (FCVTZUUXSr:{ *:[i64] } ?:{ *:[f32] }:$Rn)
     /* 151320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUXSr),
     /* 151323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151325 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 151327 */     GIR_RootConstrainSelectedInstOperands,
     /* 151328 */     // GIR_Coverage, 4628,
     /* 151328 */     GIR_EraseRootFromParent_Done,
     /* 151329 */   // Label 2994: @151329
     /* 151329 */   GIM_Try, /*On fail goto*//*Label 2995*/ GIMT_Encode4(151358), // Rule ID 4629 //
     /* 151334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 151339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 151342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 151345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 151349 */     // (intrinsic_wo_chain:{ *:[i32] } 593:{ *:[iPTR] }, f64:{ *:[f64] }:$Rn)  =>  (FCVTZUUWDr:{ *:[i32] } ?:{ *:[f64] }:$Rn)
     /* 151349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUWDr),
     /* 151352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151354 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 151356 */     GIR_RootConstrainSelectedInstOperands,
     /* 151357 */     // GIR_Coverage, 4629,
     /* 151357 */     GIR_EraseRootFromParent_Done,
     /* 151358 */   // Label 2995: @151358
     /* 151358 */   GIM_Try, /*On fail goto*//*Label 2996*/ GIMT_Encode4(151387), // Rule ID 4630 //
     /* 151363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 151368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 151371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 151374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 151378 */     // (intrinsic_wo_chain:{ *:[i64] } 593:{ *:[iPTR] }, f64:{ *:[f64] }:$Rn)  =>  (FCVTZUUXDr:{ *:[i64] } ?:{ *:[f64] }:$Rn)
     /* 151378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUXDr),
     /* 151381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151383 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 151385 */     GIR_RootConstrainSelectedInstOperands,
     /* 151386 */     // GIR_Coverage, 4630,
     /* 151386 */     GIR_EraseRootFromParent_Done,
     /* 151387 */   // Label 2996: @151387
     /* 151387 */   GIM_Try, /*On fail goto*//*Label 2997*/ GIMT_Encode4(151416), // Rule ID 4925 //
     /* 151392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 151397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 151400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 151403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 151407 */     // (intrinsic_wo_chain:{ *:[v4i16] } 592:{ *:[iPTR] }, v4f16:{ *:[v4f16] }:$Rn)  =>  (FCVTZSv4f16:{ *:[v4i16] } ?:{ *:[v4f16] }:$Rn)
     /* 151407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv4f16),
     /* 151410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151412 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 151414 */     GIR_RootConstrainSelectedInstOperands,
     /* 151415 */     // GIR_Coverage, 4925,
     /* 151415 */     GIR_EraseRootFromParent_Done,
     /* 151416 */   // Label 2997: @151416
     /* 151416 */   GIM_Try, /*On fail goto*//*Label 2998*/ GIMT_Encode4(151445), // Rule ID 4926 //
     /* 151421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 151426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 151429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 151432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151436 */     // (intrinsic_wo_chain:{ *:[v8i16] } 592:{ *:[iPTR] }, v8f16:{ *:[v8f16] }:$Rn)  =>  (FCVTZSv8f16:{ *:[v8i16] } ?:{ *:[v8f16] }:$Rn)
     /* 151436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv8f16),
     /* 151439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151441 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 151443 */     GIR_RootConstrainSelectedInstOperands,
     /* 151444 */     // GIR_Coverage, 4926,
     /* 151444 */     GIR_EraseRootFromParent_Done,
     /* 151445 */   // Label 2998: @151445
     /* 151445 */   GIM_Try, /*On fail goto*//*Label 2999*/ GIMT_Encode4(151474), // Rule ID 4927 //
     /* 151450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 151455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 151458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 151461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 151465 */     // (intrinsic_wo_chain:{ *:[v2i32] } 592:{ *:[iPTR] }, v2f32:{ *:[v2f32] }:$Rn)  =>  (FCVTZSv2f32:{ *:[v2i32] } ?:{ *:[v2f32] }:$Rn)
     /* 151465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv2f32),
     /* 151468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151470 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 151472 */     GIR_RootConstrainSelectedInstOperands,
     /* 151473 */     // GIR_Coverage, 4927,
     /* 151473 */     GIR_EraseRootFromParent_Done,
     /* 151474 */   // Label 2999: @151474
     /* 151474 */   GIM_Try, /*On fail goto*//*Label 3000*/ GIMT_Encode4(151503), // Rule ID 4928 //
     /* 151479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 151484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 151487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 151490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151494 */     // (intrinsic_wo_chain:{ *:[v4i32] } 592:{ *:[iPTR] }, v4f32:{ *:[v4f32] }:$Rn)  =>  (FCVTZSv4f32:{ *:[v4i32] } ?:{ *:[v4f32] }:$Rn)
     /* 151494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv4f32),
     /* 151497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151499 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 151501 */     GIR_RootConstrainSelectedInstOperands,
     /* 151502 */     // GIR_Coverage, 4928,
     /* 151502 */     GIR_EraseRootFromParent_Done,
     /* 151503 */   // Label 3000: @151503
     /* 151503 */   GIM_Try, /*On fail goto*//*Label 3001*/ GIMT_Encode4(151532), // Rule ID 4929 //
     /* 151508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 151513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 151516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 151519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151523 */     // (intrinsic_wo_chain:{ *:[v2i64] } 592:{ *:[iPTR] }, v2f64:{ *:[v2f64] }:$Rn)  =>  (FCVTZSv2f64:{ *:[v2i64] } ?:{ *:[v2f64] }:$Rn)
     /* 151523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv2f64),
     /* 151526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151528 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 151530 */     GIR_RootConstrainSelectedInstOperands,
     /* 151531 */     // GIR_Coverage, 4929,
     /* 151531 */     GIR_EraseRootFromParent_Done,
     /* 151532 */   // Label 3001: @151532
     /* 151532 */   GIM_Try, /*On fail goto*//*Label 3002*/ GIMT_Encode4(151561), // Rule ID 4930 //
     /* 151537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 151542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 151545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 151548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 151552 */     // (intrinsic_wo_chain:{ *:[v4i16] } 593:{ *:[iPTR] }, v4f16:{ *:[v4f16] }:$Rn)  =>  (FCVTZUv4f16:{ *:[v4i16] } ?:{ *:[v4f16] }:$Rn)
     /* 151552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv4f16),
     /* 151555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151557 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 151559 */     GIR_RootConstrainSelectedInstOperands,
     /* 151560 */     // GIR_Coverage, 4930,
     /* 151560 */     GIR_EraseRootFromParent_Done,
     /* 151561 */   // Label 3002: @151561
     /* 151561 */   GIM_Try, /*On fail goto*//*Label 3003*/ GIMT_Encode4(151590), // Rule ID 4931 //
     /* 151566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 151571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 151574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 151577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151581 */     // (intrinsic_wo_chain:{ *:[v8i16] } 593:{ *:[iPTR] }, v8f16:{ *:[v8f16] }:$Rn)  =>  (FCVTZUv8f16:{ *:[v8i16] } ?:{ *:[v8f16] }:$Rn)
     /* 151581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv8f16),
     /* 151584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151586 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 151588 */     GIR_RootConstrainSelectedInstOperands,
     /* 151589 */     // GIR_Coverage, 4931,
     /* 151589 */     GIR_EraseRootFromParent_Done,
     /* 151590 */   // Label 3003: @151590
     /* 151590 */   GIM_Try, /*On fail goto*//*Label 3004*/ GIMT_Encode4(151619), // Rule ID 4932 //
     /* 151595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 151600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 151603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 151606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 151610 */     // (intrinsic_wo_chain:{ *:[v2i32] } 593:{ *:[iPTR] }, v2f32:{ *:[v2f32] }:$Rn)  =>  (FCVTZUv2f32:{ *:[v2i32] } ?:{ *:[v2f32] }:$Rn)
     /* 151610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv2f32),
     /* 151613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151615 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 151617 */     GIR_RootConstrainSelectedInstOperands,
     /* 151618 */     // GIR_Coverage, 4932,
     /* 151618 */     GIR_EraseRootFromParent_Done,
     /* 151619 */   // Label 3004: @151619
     /* 151619 */   GIM_Try, /*On fail goto*//*Label 3005*/ GIMT_Encode4(151648), // Rule ID 4933 //
     /* 151624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 151629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 151632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 151635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151639 */     // (intrinsic_wo_chain:{ *:[v4i32] } 593:{ *:[iPTR] }, v4f32:{ *:[v4f32] }:$Rn)  =>  (FCVTZUv4f32:{ *:[v4i32] } ?:{ *:[v4f32] }:$Rn)
     /* 151639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv4f32),
     /* 151642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151644 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 151646 */     GIR_RootConstrainSelectedInstOperands,
     /* 151647 */     // GIR_Coverage, 4933,
     /* 151647 */     GIR_EraseRootFromParent_Done,
     /* 151648 */   // Label 3005: @151648
     /* 151648 */   GIM_Try, /*On fail goto*//*Label 3006*/ GIMT_Encode4(151677), // Rule ID 4934 //
     /* 151653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 151658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 151661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 151664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151668 */     // (intrinsic_wo_chain:{ *:[v2i64] } 593:{ *:[iPTR] }, v2f64:{ *:[v2f64] }:$Rn)  =>  (FCVTZUv2f64:{ *:[v2i64] } ?:{ *:[v2f64] }:$Rn)
     /* 151668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv2f64),
     /* 151671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151673 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 151675 */     GIR_RootConstrainSelectedInstOperands,
     /* 151676 */     // GIR_Coverage, 4934,
     /* 151676 */     GIR_EraseRootFromParent_Done,
     /* 151677 */   // Label 3006: @151677
     /* 151677 */   GIM_Try, /*On fail goto*//*Label 3007*/ GIMT_Encode4(151709), // Rule ID 8346 //
     /* 151682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 151685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_punpkhi),
     /* 151690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 151693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 151696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 151700 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1646:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1)  =>  (PUNPKHI_PP:{ *:[nxv8i1] } ?:{ *:[nxv16i1] }:$Op1)
     /* 151700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 151703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 151705 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 151707 */     GIR_RootConstrainSelectedInstOperands,
     /* 151708 */     // GIR_Coverage, 8346,
     /* 151708 */     GIR_EraseRootFromParent_Done,
     /* 151709 */   // Label 3007: @151709
     /* 151709 */   GIM_Try, /*On fail goto*//*Label 3008*/ GIMT_Encode4(151741), // Rule ID 8347 //
     /* 151714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 151717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_punpkhi),
     /* 151722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 151725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 151728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 151732 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1646:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1)  =>  (PUNPKHI_PP:{ *:[nxv4i1] } ?:{ *:[nxv8i1] }:$Op1)
     /* 151732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 151735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 151737 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 151739 */     GIR_RootConstrainSelectedInstOperands,
     /* 151740 */     // GIR_Coverage, 8347,
     /* 151740 */     GIR_EraseRootFromParent_Done,
     /* 151741 */   // Label 3008: @151741
     /* 151741 */   GIM_Try, /*On fail goto*//*Label 3009*/ GIMT_Encode4(151773), // Rule ID 8348 //
     /* 151746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 151749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_punpkhi),
     /* 151754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 151757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 151760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 151764 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1646:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1)  =>  (PUNPKHI_PP:{ *:[nxv2i1] } ?:{ *:[nxv4i1] }:$Op1)
     /* 151764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 151767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 151769 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 151771 */     GIR_RootConstrainSelectedInstOperands,
     /* 151772 */     // GIR_Coverage, 8348,
     /* 151772 */     GIR_EraseRootFromParent_Done,
     /* 151773 */   // Label 3009: @151773
     /* 151773 */   GIM_Try, /*On fail goto*//*Label 3010*/ GIMT_Encode4(151805), // Rule ID 11737 //
     /* 151778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 151781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqxtnb),
     /* 151786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 151789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 151792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 151796 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2030:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1)  =>  (UQXTNB_ZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1)
     /* 151796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQXTNB_ZZ_B),
     /* 151799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 151801 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 151803 */     GIR_RootConstrainSelectedInstOperands,
     /* 151804 */     // GIR_Coverage, 11737,
     /* 151804 */     GIR_EraseRootFromParent_Done,
     /* 151805 */   // Label 3010: @151805
     /* 151805 */   GIM_Try, /*On fail goto*//*Label 3011*/ GIMT_Encode4(151837), // Rule ID 11738 //
     /* 151810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 151813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqxtnb),
     /* 151818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 151821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 151824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 151828 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2030:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1)  =>  (UQXTNB_ZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1)
     /* 151828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQXTNB_ZZ_H),
     /* 151831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 151833 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 151835 */     GIR_RootConstrainSelectedInstOperands,
     /* 151836 */     // GIR_Coverage, 11738,
     /* 151836 */     GIR_EraseRootFromParent_Done,
     /* 151837 */   // Label 3011: @151837
     /* 151837 */   GIM_Try, /*On fail goto*//*Label 3012*/ GIMT_Encode4(151869), // Rule ID 11739 //
     /* 151842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 151845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqxtnb),
     /* 151850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 151853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 151856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 151860 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2030:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (UQXTNB_ZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1)
     /* 151860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQXTNB_ZZ_S),
     /* 151863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 151865 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 151867 */     GIR_RootConstrainSelectedInstOperands,
     /* 151868 */     // GIR_Coverage, 11739,
     /* 151868 */     GIR_EraseRootFromParent_Done,
     /* 151869 */   // Label 3012: @151869
     /* 151869 */   GIM_Try, /*On fail goto*//*Label 3013*/ GIMT_Encode4(151901), // Rule ID 11740 //
     /* 151874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 151877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtunb),
     /* 151882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 151885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 151888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 151892 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1839:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1)  =>  (SQXTUNB_ZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1)
     /* 151892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTUNB_ZZ_B),
     /* 151895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 151897 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 151899 */     GIR_RootConstrainSelectedInstOperands,
     /* 151900 */     // GIR_Coverage, 11740,
     /* 151900 */     GIR_EraseRootFromParent_Done,
     /* 151901 */   // Label 3013: @151901
     /* 151901 */   GIM_Try, /*On fail goto*//*Label 3014*/ GIMT_Encode4(151933), // Rule ID 11741 //
     /* 151906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 151909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtunb),
     /* 151914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 151917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 151920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 151924 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1839:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1)  =>  (SQXTUNB_ZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1)
     /* 151924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTUNB_ZZ_H),
     /* 151927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 151929 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 151931 */     GIR_RootConstrainSelectedInstOperands,
     /* 151932 */     // GIR_Coverage, 11741,
     /* 151932 */     GIR_EraseRootFromParent_Done,
     /* 151933 */   // Label 3014: @151933
     /* 151933 */   GIM_Try, /*On fail goto*//*Label 3015*/ GIMT_Encode4(151965), // Rule ID 11742 //
     /* 151938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 151941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtunb),
     /* 151946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 151949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 151952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 151956 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1839:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (SQXTUNB_ZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1)
     /* 151956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTUNB_ZZ_S),
     /* 151959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 151961 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 151963 */     GIR_RootConstrainSelectedInstOperands,
     /* 151964 */     // GIR_Coverage, 11742,
     /* 151964 */     GIR_EraseRootFromParent_Done,
     /* 151965 */   // Label 3015: @151965
     /* 151965 */   GIM_Try, /*On fail goto*//*Label 3016*/ GIMT_Encode4(151997), // Rule ID 11897 //
     /* 151970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_AES_HasSVEAES),
     /* 151973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_aesimc),
     /* 151978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 151981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 151984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 151988 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1246:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (AESIMC_ZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1)
     /* 151988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AESIMC_ZZ_B),
     /* 151991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 151993 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 151995 */     GIR_RootConstrainSelectedInstOperands,
     /* 151996 */     // GIR_Coverage, 11897,
     /* 151996 */     GIR_EraseRootFromParent_Done,
     /* 151997 */   // Label 3016: @151997
     /* 151997 */   GIM_Reject,
     /* 151998 */ // Label 2697: @151998
     /* 151998 */ GIM_Try, /*On fail goto*//*Label 3017*/ GIMT_Encode4(198312),
     /* 152003 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/4,
     /* 152006 */   GIM_Try, /*On fail goto*//*Label 3018*/ GIMT_Encode4(152190), // Rule ID 2568 //
     /* 152011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 152014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 152019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 152022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 152025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 152028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 152032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 152036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 152040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 152044 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 152048 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 152052 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 152056 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 152060 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /* 152063 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 152068 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 152072 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 152076 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 152081 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/3, // MIs[3]
     /* 152085 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 152089 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 152093 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /* 152097 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 152101 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 152105 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 152109 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 152114 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /* 152118 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 152122 */     GIM_CheckI64ImmPredicate, /*MI*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 152126 */     // MIs[5] Operand 1
     /* 152126 */     // No operand predicates
     /* 152126 */     // MIs[3] Operand 2
     /* 152126 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /* 152137 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 152141 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /* 152143 */     // (intrinsic_wo_chain:{ *:[i32] } 679:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rd, (vector_extract:{ *:[i32] } (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] })), 0:{ *:[i64] }))  =>  (SQDMLALv1i32_indexed:{ *:[i32] } FPR32Op:{ *:[i32] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V64:{ *:[v4i16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 152143 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 152146 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 152150 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 152155 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 152161 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 152166 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 152171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv1i32_indexed),
     /* 152174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 152176 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 152178 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 152181 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /* 152185 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/5, // idx
     /* 152188 */     GIR_RootConstrainSelectedInstOperands,
     /* 152189 */     // GIR_Coverage, 2568,
     /* 152189 */     GIR_EraseRootFromParent_Done,
     /* 152190 */   // Label 3018: @152190
     /* 152190 */   GIM_Try, /*On fail goto*//*Label 3019*/ GIMT_Encode4(152374), // Rule ID 6232 //
     /* 152195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 152198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 152203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 152206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 152209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 152212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 152216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 152220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 152224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 152228 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 152232 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 152236 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 152240 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 152244 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /* 152247 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 152252 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 152256 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 152260 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 152265 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/3, // MIs[3]
     /* 152269 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 152273 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 152277 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /* 152281 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 152285 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 152289 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 152293 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 152298 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /* 152302 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 152306 */     GIM_CheckI64ImmPredicate, /*MI*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 152310 */     // MIs[5] Operand 1
     /* 152310 */     // No operand predicates
     /* 152310 */     // MIs[3] Operand 2
     /* 152310 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /* 152321 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 152325 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /* 152327 */     // (intrinsic_wo_chain:{ *:[i32] } 698:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rd, (vector_extract:{ *:[i32] } (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] })), 0:{ *:[i64] }))  =>  (SQDMLSLv1i32_indexed:{ *:[i32] } FPR32Op:{ *:[i32] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V64:{ *:[v4i16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 152327 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 152330 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 152334 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 152339 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 152345 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 152350 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 152355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv1i32_indexed),
     /* 152358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 152360 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 152362 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 152365 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /* 152369 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/5, // idx
     /* 152372 */     GIR_RootConstrainSelectedInstOperands,
     /* 152373 */     // GIR_Coverage, 6232,
     /* 152373 */     GIR_EraseRootFromParent_Done,
     /* 152374 */   // Label 3019: @152374
     /* 152374 */   GIM_Try, /*On fail goto*//*Label 3020*/ GIMT_Encode4(152514), // Rule ID 2057 //
     /* 152379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 152382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 152387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 152390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 152393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 152396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 152400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 152404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 152408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 152412 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 152415 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 152420 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 152424 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 152428 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 152432 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 152436 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 152440 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 152444 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 152448 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 152452 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 152456 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 152461 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 152465 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 152469 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 152473 */     // MIs[4] Operand 1
     /* 152473 */     // No operand predicates
     /* 152473 */     // MIs[2] Operand 2
     /* 152473 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /* 152484 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 152486 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 152493 */     // (intrinsic_wo_chain:{ *:[v4i32] } 679:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] })))  =>  (SQDMLALv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 152493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv8i16_indexed),
     /* 152496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 152498 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 152500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 152505 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 152509 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 152512 */     GIR_RootConstrainSelectedInstOperands,
     /* 152513 */     // GIR_Coverage, 2057,
     /* 152513 */     GIR_EraseRootFromParent_Done,
     /* 152514 */   // Label 3020: @152514
     /* 152514 */   GIM_Try, /*On fail goto*//*Label 3021*/ GIMT_Encode4(152654), // Rule ID 2064 //
     /* 152519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 152522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 152527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 152530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 152533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 152536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 152540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 152544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 152548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 152552 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 152555 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 152560 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 152564 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 152568 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 152572 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 152576 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 152580 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 152584 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 152588 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 152592 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 152596 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 152601 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 152605 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 152609 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 152613 */     // MIs[4] Operand 1
     /* 152613 */     // No operand predicates
     /* 152613 */     // MIs[2] Operand 2
     /* 152613 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /* 152624 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 152626 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 152633 */     // (intrinsic_wo_chain:{ *:[v4i32] } 698:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] })))  =>  (SQDMLSLv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 152633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv8i16_indexed),
     /* 152636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 152638 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 152640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 152645 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 152649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 152652 */     GIR_RootConstrainSelectedInstOperands,
     /* 152653 */     // GIR_Coverage, 2064,
     /* 152653 */     GIR_EraseRootFromParent_Done,
     /* 152654 */   // Label 3021: @152654
     /* 152654 */   GIM_Try, /*On fail goto*//*Label 3022*/ GIMT_Encode4(152794), // Rule ID 2060 //
     /* 152659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 152662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 152667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 152670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 152673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 152676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 152680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 152684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 152688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 152692 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 152695 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 152700 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 152704 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 152708 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 152712 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 152716 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 152720 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 152724 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 152728 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 152732 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 152736 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 152741 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 152745 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 152749 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 152753 */     // MIs[4] Operand 1
     /* 152753 */     // No operand predicates
     /* 152753 */     // MIs[2] Operand 2
     /* 152753 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /* 152764 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 152766 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 152773 */     // (intrinsic_wo_chain:{ *:[v2i64] } 679:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] })))  =>  (SQDMLALv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 152773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv4i32_indexed),
     /* 152776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 152778 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 152780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 152785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 152789 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 152792 */     GIR_RootConstrainSelectedInstOperands,
     /* 152793 */     // GIR_Coverage, 2060,
     /* 152793 */     GIR_EraseRootFromParent_Done,
     /* 152794 */   // Label 3022: @152794
     /* 152794 */   GIM_Try, /*On fail goto*//*Label 3023*/ GIMT_Encode4(152934), // Rule ID 2067 //
     /* 152799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 152802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 152807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 152810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 152813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 152816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 152820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 152824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 152828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 152832 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 152835 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 152840 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 152844 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 152848 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 152852 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 152856 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 152860 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 152864 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 152868 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 152872 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 152876 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 152881 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 152885 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 152889 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 152893 */     // MIs[4] Operand 1
     /* 152893 */     // No operand predicates
     /* 152893 */     // MIs[2] Operand 2
     /* 152893 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /* 152904 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 152906 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 152913 */     // (intrinsic_wo_chain:{ *:[v2i64] } 698:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] })))  =>  (SQDMLSLv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 152913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv4i32_indexed),
     /* 152916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 152918 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 152920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 152925 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 152929 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 152932 */     GIR_RootConstrainSelectedInstOperands,
     /* 152933 */     // GIR_Coverage, 2067,
     /* 152933 */     GIR_EraseRootFromParent_Done,
     /* 152934 */   // Label 3023: @152934
     /* 152934 */   GIM_Try, /*On fail goto*//*Label 3024*/ GIMT_Encode4(153071), // Rule ID 2055 //
     /* 152939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 152942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 152947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 152950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 152953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 152956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 152960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 152964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 152968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 152972 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 152975 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 152980 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 152984 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 152988 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 152993 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 152997 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 153001 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 153005 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 153009 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 153013 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 153017 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 153021 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 153026 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 153030 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 153034 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 153038 */     // MIs[4] Operand 1
     /* 153038 */     // No operand predicates
     /* 153038 */     // MIs[2] Operand 2
     /* 153038 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /* 153049 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 153051 */     // (intrinsic_wo_chain:{ *:[v4i32] } 679:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] })))  =>  (SQDMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 153051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv4i16_indexed),
     /* 153054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 153056 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 153058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 153062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 153066 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 153069 */     GIR_RootConstrainSelectedInstOperands,
     /* 153070 */     // GIR_Coverage, 2055,
     /* 153070 */     GIR_EraseRootFromParent_Done,
     /* 153071 */   // Label 3024: @153071
     /* 153071 */   GIM_Try, /*On fail goto*//*Label 3025*/ GIMT_Encode4(153208), // Rule ID 2062 //
     /* 153076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 153079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 153084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 153087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 153090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 153093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 153105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 153109 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 153112 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 153117 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 153121 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 153125 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 153130 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 153134 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 153138 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 153142 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 153146 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 153150 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 153154 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 153158 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 153163 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 153167 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 153171 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 153175 */     // MIs[4] Operand 1
     /* 153175 */     // No operand predicates
     /* 153175 */     // MIs[2] Operand 2
     /* 153175 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /* 153186 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 153188 */     // (intrinsic_wo_chain:{ *:[v4i32] } 698:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] })))  =>  (SQDMLSLv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 153188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv4i16_indexed),
     /* 153191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 153193 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 153195 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 153199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 153203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 153206 */     GIR_RootConstrainSelectedInstOperands,
     /* 153207 */     // GIR_Coverage, 2062,
     /* 153207 */     GIR_EraseRootFromParent_Done,
     /* 153208 */   // Label 3025: @153208
     /* 153208 */   GIM_Try, /*On fail goto*//*Label 3026*/ GIMT_Encode4(153345), // Rule ID 2058 //
     /* 153213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 153216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 153221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 153224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 153227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 153230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 153242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 153246 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 153249 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 153254 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 153258 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 153262 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 153267 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 153271 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 153275 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 153279 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 153283 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 153287 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 153291 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 153295 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153300 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 153304 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 153308 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 153312 */     // MIs[4] Operand 1
     /* 153312 */     // No operand predicates
     /* 153312 */     // MIs[2] Operand 2
     /* 153312 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /* 153323 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 153325 */     // (intrinsic_wo_chain:{ *:[v2i64] } 679:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] })))  =>  (SQDMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 153325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv2i32_indexed),
     /* 153328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 153330 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 153332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 153336 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 153340 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 153343 */     GIR_RootConstrainSelectedInstOperands,
     /* 153344 */     // GIR_Coverage, 2058,
     /* 153344 */     GIR_EraseRootFromParent_Done,
     /* 153345 */   // Label 3026: @153345
     /* 153345 */   GIM_Try, /*On fail goto*//*Label 3027*/ GIMT_Encode4(153482), // Rule ID 2065 //
     /* 153350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 153353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 153358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 153361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 153364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 153367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 153379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 153383 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 153386 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 153391 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 153395 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 153399 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 153404 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 153408 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 153412 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 153416 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 153420 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 153424 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 153428 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 153432 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153437 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 153441 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 153445 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 153449 */     // MIs[4] Operand 1
     /* 153449 */     // No operand predicates
     /* 153449 */     // MIs[2] Operand 2
     /* 153449 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /* 153460 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 153462 */     // (intrinsic_wo_chain:{ *:[v2i64] } 698:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] })))  =>  (SQDMLSLv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 153462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv2i32_indexed),
     /* 153465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 153467 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 153469 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 153473 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 153477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 153480 */     GIR_RootConstrainSelectedInstOperands,
     /* 153481 */     // GIR_Coverage, 2065,
     /* 153481 */     GIR_EraseRootFromParent_Done,
     /* 153482 */   // Label 3027: @153482
     /* 153482 */   GIM_Try, /*On fail goto*//*Label 3028*/ GIMT_Encode4(153643), // Rule ID 2569 //
     /* 153487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 153490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 153495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 153498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 153501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 153504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 153508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 153512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 153516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 153520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 153524 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 153528 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 153532 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 153536 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /* 153539 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 153544 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 153548 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 153552 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 153557 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/3, // MIs[3]
     /* 153561 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 153565 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 153569 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 153573 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 153578 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 153582 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 153586 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 153590 */     // MIs[4] Operand 1
     /* 153590 */     // No operand predicates
     /* 153590 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 153594 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 153596 */     // (intrinsic_wo_chain:{ *:[i32] } 679:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rd, (vector_extract:{ *:[i32] } (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), 0:{ *:[i64] }))  =>  (SQDMLALv1i32_indexed:{ *:[i32] } FPR32Op:{ *:[i32] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V64:{ *:[v4i16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 153596 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 153599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 153603 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 153608 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 153614 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 153619 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 153624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv1i32_indexed),
     /* 153627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 153629 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 153631 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 153634 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 153638 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 153641 */     GIR_RootConstrainSelectedInstOperands,
     /* 153642 */     // GIR_Coverage, 2569,
     /* 153642 */     GIR_EraseRootFromParent_Done,
     /* 153643 */   // Label 3028: @153643
     /* 153643 */   GIM_Try, /*On fail goto*//*Label 3029*/ GIMT_Encode4(153804), // Rule ID 6233 //
     /* 153648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 153651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 153656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 153659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 153662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 153665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 153669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 153673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 153677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 153681 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 153685 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 153689 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 153693 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 153697 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /* 153700 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 153705 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 153709 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 153713 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 153718 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/3, // MIs[3]
     /* 153722 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 153726 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 153730 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 153734 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 153739 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 153743 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 153747 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 153751 */     // MIs[4] Operand 1
     /* 153751 */     // No operand predicates
     /* 153751 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 153755 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 153757 */     // (intrinsic_wo_chain:{ *:[i32] } 698:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rd, (vector_extract:{ *:[i32] } (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), 0:{ *:[i64] }))  =>  (SQDMLSLv1i32_indexed:{ *:[i32] } FPR32Op:{ *:[i32] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V64:{ *:[v4i16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 153757 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 153760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 153764 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 153769 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 153775 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 153780 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 153785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv1i32_indexed),
     /* 153788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 153790 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 153792 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 153795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 153799 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 153802 */     GIR_RootConstrainSelectedInstOperands,
     /* 153803 */     // GIR_Coverage, 6233,
     /* 153803 */     GIR_EraseRootFromParent_Done,
     /* 153804 */   // Label 3029: @153804
     /* 153804 */   GIM_Try, /*On fail goto*//*Label 3030*/ GIMT_Encode4(153914), // Rule ID 2085 //
     /* 153809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 153812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 153817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 153820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 153823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 153826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 153834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 153838 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 153842 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 153846 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 153850 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 153854 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 153858 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 153863 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 153867 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 153871 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 153875 */     // MIs[3] Operand 1
     /* 153875 */     // No operand predicates
     /* 153875 */     // MIs[1] Operand 2
     /* 153875 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4),
     /* 153886 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 153888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 153895 */     // (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] }))  =>  (SQDMULLv8i16_indexed:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 153895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLv8i16_indexed),
     /* 153898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 153900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 153905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 153909 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 153912 */     GIR_RootConstrainSelectedInstOperands,
     /* 153913 */     // GIR_Coverage, 2085,
     /* 153913 */     GIR_EraseRootFromParent_Done,
     /* 153914 */   // Label 3030: @153914
     /* 153914 */   GIM_Try, /*On fail goto*//*Label 3031*/ GIMT_Encode4(154024), // Rule ID 2088 //
     /* 153919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 153922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 153927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 153930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 153933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 153936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 153944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 153948 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 153952 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 153956 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 153960 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 153964 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 153968 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153973 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 153977 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 153981 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 153985 */     // MIs[3] Operand 1
     /* 153985 */     // No operand predicates
     /* 153985 */     // MIs[1] Operand 2
     /* 153985 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(2),
     /* 153996 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 153998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 154005 */     // (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] }))  =>  (SQDMULLv4i32_indexed:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 154005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLv4i32_indexed),
     /* 154008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 154010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 154015 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 154019 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 154022 */     GIR_RootConstrainSelectedInstOperands,
     /* 154023 */     // GIR_Coverage, 2088,
     /* 154023 */     GIR_EraseRootFromParent_Done,
     /* 154024 */   // Label 3031: @154024
     /* 154024 */   GIM_Try, /*On fail goto*//*Label 3032*/ GIMT_Encode4(154113), // Rule ID 1743 //
     /* 154029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 154032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 154037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 154040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 154043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 154046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 154058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 154062 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 154065 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 154070 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 154074 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 154078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 154080 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 154087 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 154094 */     // (intrinsic_wo_chain:{ *:[v4i32] } 679:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (SQDMLALv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 154094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv8i16_v4i32),
     /* 154097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 154099 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 154101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 154106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 154111 */     GIR_RootConstrainSelectedInstOperands,
     /* 154112 */     // GIR_Coverage, 1743,
     /* 154112 */     GIR_EraseRootFromParent_Done,
     /* 154113 */   // Label 3032: @154113
     /* 154113 */   GIM_Try, /*On fail goto*//*Label 3033*/ GIMT_Encode4(154202), // Rule ID 1745 //
     /* 154118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 154121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 154126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 154129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 154132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 154135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 154147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 154151 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 154154 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 154159 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 154163 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 154167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 154169 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 154176 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 154183 */     // (intrinsic_wo_chain:{ *:[v2i64] } 679:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (SQDMLALv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 154183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv4i32_v2i64),
     /* 154186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 154188 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 154190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 154195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 154200 */     GIR_RootConstrainSelectedInstOperands,
     /* 154201 */     // GIR_Coverage, 1745,
     /* 154201 */     GIR_EraseRootFromParent_Done,
     /* 154202 */   // Label 3033: @154202
     /* 154202 */   GIM_Try, /*On fail goto*//*Label 3034*/ GIMT_Encode4(154291), // Rule ID 1747 //
     /* 154207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 154210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 154215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 154218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 154221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 154224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 154236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 154240 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 154243 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 154248 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 154252 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 154256 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 154258 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 154265 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 154272 */     // (intrinsic_wo_chain:{ *:[v4i32] } 698:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (SQDMLSLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 154272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv8i16_v4i32),
     /* 154275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 154277 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 154279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 154284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 154289 */     GIR_RootConstrainSelectedInstOperands,
     /* 154290 */     // GIR_Coverage, 1747,
     /* 154290 */     GIR_EraseRootFromParent_Done,
     /* 154291 */   // Label 3034: @154291
     /* 154291 */   GIM_Try, /*On fail goto*//*Label 3035*/ GIMT_Encode4(154380), // Rule ID 1749 //
     /* 154296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 154299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 154304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 154307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 154310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 154313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 154325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 154329 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 154332 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 154337 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 154341 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 154345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 154347 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 154354 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 154361 */     // (intrinsic_wo_chain:{ *:[v2i64] } 698:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (SQDMLSLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 154361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv4i32_v2i64),
     /* 154364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 154366 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 154368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 154373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 154378 */     GIR_RootConstrainSelectedInstOperands,
     /* 154379 */     // GIR_Coverage, 1749,
     /* 154379 */     GIR_EraseRootFromParent_Done,
     /* 154380 */   // Label 3035: @154380
     /* 154380 */   GIM_Try, /*On fail goto*//*Label 3036*/ GIMT_Encode4(154502), // Rule ID 6884 //
     /* 154385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addp),
     /* 154390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 154393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 154396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 154399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 154403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 154407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 154411 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 154415 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154420 */     // MIs[1] Operand 2
     /* 154420 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 154431 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 154435 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 154439 */     // MIs[2] Rn
     /* 154439 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 154444 */     // MIs[2] Operand 2
     /* 154444 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /* 154455 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 154457 */     // (intrinsic_wo_chain:{ *:[v2i32] } 570:{ *:[iPTR] }, (extract_subvector:{ *:[v2i32] } FPR128:{ *:[v4i32] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } FPR128:{ *:[v4i32] }:$Rn, 2:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (ADDPv4i32:{ *:[f128] } ?:{ *:[v4i32] }:$Rn, ?:{ *:[v4i32] }:$Rn), dsub:{ *:[i32] })
     /* 154457 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 154460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ADDPv4i32),
     /* 154464 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 154469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 154473 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 154477 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 154479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 154482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 154484 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 154491 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 154496 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154501 */     // GIR_Coverage, 6884,
     /* 154501 */     GIR_EraseRootFromParent_Done,
     /* 154502 */   // Label 3036: @154502
     /* 154502 */   GIM_Try, /*On fail goto*//*Label 3037*/ GIMT_Encode4(154624), // Rule ID 6886 //
     /* 154507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addp),
     /* 154512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 154515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 154518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 154521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 154525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 154529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 154533 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 154537 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154542 */     // MIs[1] Operand 2
     /* 154542 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 154553 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 154557 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 154561 */     // MIs[2] Rn
     /* 154561 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 154566 */     // MIs[2] Operand 2
     /* 154566 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /* 154577 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 154579 */     // (intrinsic_wo_chain:{ *:[v4i16] } 570:{ *:[iPTR] }, (extract_subvector:{ *:[v4i16] } FPR128:{ *:[v8i16] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } FPR128:{ *:[v8i16] }:$Rn, 4:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (ADDPv8i16:{ *:[f128] } ?:{ *:[v8i16] }:$Rn, ?:{ *:[v8i16] }:$Rn), dsub:{ *:[i32] })
     /* 154579 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 154582 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ADDPv8i16),
     /* 154586 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 154591 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 154595 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 154599 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 154601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 154604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 154606 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 154613 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 154618 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154623 */     // GIR_Coverage, 6886,
     /* 154623 */     GIR_EraseRootFromParent_Done,
     /* 154624 */   // Label 3037: @154624
     /* 154624 */   GIM_Try, /*On fail goto*//*Label 3038*/ GIMT_Encode4(154746), // Rule ID 6888 //
     /* 154629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addp),
     /* 154634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 154637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 154640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 154643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 154647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 154651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 154655 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 154659 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154664 */     // MIs[1] Operand 2
     /* 154664 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 154675 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 154679 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 154683 */     // MIs[2] Rn
     /* 154683 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 154688 */     // MIs[2] Operand 2
     /* 154688 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(8),
     /* 154699 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 154701 */     // (intrinsic_wo_chain:{ *:[v8i8] } 570:{ *:[iPTR] }, (extract_subvector:{ *:[v8i8] } FPR128:{ *:[v16i8] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v8i8] } FPR128:{ *:[v16i8] }:$Rn, 8:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v8i8] } (ADDPv16i8:{ *:[f128] } ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rn), dsub:{ *:[i32] })
     /* 154701 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 154704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ADDPv16i8),
     /* 154708 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 154713 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 154717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 154721 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 154723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 154726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 154728 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 154735 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 154740 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154745 */     // GIR_Coverage, 6888,
     /* 154745 */     GIR_EraseRootFromParent_Done,
     /* 154746 */   // Label 3038: @154746
     /* 154746 */   GIM_Try, /*On fail goto*//*Label 3039*/ GIMT_Encode4(154868), // Rule ID 6890 //
     /* 154751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_faddp),
     /* 154756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 154759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 154762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 154765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 154769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 154773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 154777 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 154781 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154786 */     // MIs[1] Operand 2
     /* 154786 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 154797 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 154801 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 154805 */     // MIs[2] Rn
     /* 154805 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 154810 */     // MIs[2] Operand 2
     /* 154810 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /* 154821 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 154823 */     // (intrinsic_wo_chain:{ *:[v2f32] } 579:{ *:[iPTR] }, (extract_subvector:{ *:[v2f32] } FPR128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v2f32] } FPR128:{ *:[v4f32] }:$Rn, 2:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2f32] } (FADDPv4f32:{ *:[f128] } ?:{ *:[v4f32] }:$Rn, ?:{ *:[v4f32] }:$Rn), dsub:{ *:[i32] })
     /* 154823 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 154826 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FADDPv4f32),
     /* 154830 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 154835 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 154839 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 154843 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 154845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 154848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 154850 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 154857 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 154862 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154867 */     // GIR_Coverage, 6890,
     /* 154867 */     GIR_EraseRootFromParent_Done,
     /* 154868 */   // Label 3039: @154868
     /* 154868 */   GIM_Try, /*On fail goto*//*Label 3040*/ GIMT_Encode4(154990), // Rule ID 6892 //
     /* 154873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_faddp),
     /* 154878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 154881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 154884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 154887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 154891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 154895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 154899 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 154903 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154908 */     // MIs[1] Operand 2
     /* 154908 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 154919 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 154923 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 154927 */     // MIs[2] Rn
     /* 154927 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 154932 */     // MIs[2] Operand 2
     /* 154932 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /* 154943 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 154945 */     // (intrinsic_wo_chain:{ *:[v4f16] } 579:{ *:[iPTR] }, (extract_subvector:{ *:[v4f16] } FPR128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v4f16] } FPR128:{ *:[v8f16] }:$Rn, 4:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4f16] } (FADDPv8f16:{ *:[f128] } ?:{ *:[v8f16] }:$Rn, ?:{ *:[v8f16] }:$Rn), dsub:{ *:[i32] })
     /* 154945 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 154948 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FADDPv8f16),
     /* 154952 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 154957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 154961 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 154965 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 154967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 154970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 154972 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 154979 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 154984 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154989 */     // GIR_Coverage, 6892,
     /* 154989 */     GIR_EraseRootFromParent_Done,
     /* 154990 */   // Label 3040: @154990
     /* 154990 */   GIM_Try, /*On fail goto*//*Label 3041*/ GIMT_Encode4(155173), // Rule ID 2567 //
     /* 154995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 154998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 155003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 155006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 155009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 155012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 155016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 155020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 155024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 155028 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 155032 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 155036 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 155040 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 155044 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /* 155047 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 155052 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 155056 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 155060 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155065 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155070 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 155074 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 155076 */     // (intrinsic_wo_chain:{ *:[i32] } 679:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rd, (vector_extract:{ *:[i32] } (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (SQDMLALv1i32_indexed:{ *:[i32] } FPR32Op:{ *:[i32] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V64:{ *:[v4i16] }:$Rn, hsub:{ *:[i32] }), (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), V64:{ *:[v4i16] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 155076 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 155079 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 155083 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 155088 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 155090 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 155093 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 155097 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 155102 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 155105 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /* 155109 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 155112 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155117 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155122 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155127 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 155130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 155134 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 155139 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 155145 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 155150 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv1i32_indexed),
     /* 155158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 155160 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 155162 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 155165 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 155168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 155171 */     GIR_RootConstrainSelectedInstOperands,
     /* 155172 */     // GIR_Coverage, 2567,
     /* 155172 */     GIR_EraseRootFromParent_Done,
     /* 155173 */   // Label 3041: @155173
     /* 155173 */   GIM_Try, /*On fail goto*//*Label 3042*/ GIMT_Encode4(155356), // Rule ID 6231 //
     /* 155178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 155181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 155186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 155189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 155192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 155195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 155199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 155203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 155207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 155211 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 155215 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 155219 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 155223 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 155227 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /* 155230 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 155235 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 155239 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 155243 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155248 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155253 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 155257 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 155259 */     // (intrinsic_wo_chain:{ *:[i32] } 698:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rd, (vector_extract:{ *:[i32] } (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (SQDMLSLv1i32_indexed:{ *:[i32] } FPR32Op:{ *:[i32] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V64:{ *:[v4i16] }:$Rn, hsub:{ *:[i32] }), (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), V64:{ *:[v4i16] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 155259 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 155262 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 155266 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 155271 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 155273 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 155276 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 155280 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 155285 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 155288 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /* 155292 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 155295 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155300 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155305 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155310 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 155313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 155317 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 155322 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 155328 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 155333 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv1i32_indexed),
     /* 155341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 155343 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 155345 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 155348 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 155351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 155354 */     GIR_RootConstrainSelectedInstOperands,
     /* 155355 */     // GIR_Coverage, 6231,
     /* 155355 */     GIR_EraseRootFromParent_Done,
     /* 155356 */   // Label 3042: @155356
     /* 155356 */   GIM_Try, /*On fail goto*//*Label 3043*/ GIMT_Encode4(155460), // Rule ID 13353 //
     /* 155361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 155364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 155369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 155372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 155375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 155378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 155386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 155390 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 155394 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 155398 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 155402 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 155406 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 155410 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 155415 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 155419 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 155423 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 155427 */     // MIs[3] Operand 1
     /* 155427 */     // No operand predicates
     /* 155427 */     // MIs[1] Operand 2
     /* 155427 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 155438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155442 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 155444 */     // (intrinsic_wo_chain:{ *:[v4f16] } 610:{ *:[iPTR] }, (extract_subvector:{ *:[v4f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4f16] }:$Rn)  =>  (FMULXv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 155444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv4i16_indexed),
     /* 155447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 155449 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 155451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 155455 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 155458 */     GIR_RootConstrainSelectedInstOperands,
     /* 155459 */     // GIR_Coverage, 13353,
     /* 155459 */     GIR_EraseRootFromParent_Done,
     /* 155460 */   // Label 3043: @155460
     /* 155460 */   GIM_Try, /*On fail goto*//*Label 3044*/ GIMT_Encode4(155564), // Rule ID 13356 //
     /* 155465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 155468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 155473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 155476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 155479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 155482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 155490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 155494 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 155498 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 155502 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 155506 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 155510 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 155514 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155519 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 155523 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 155527 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 155531 */     // MIs[3] Operand 1
     /* 155531 */     // No operand predicates
     /* 155531 */     // MIs[1] Operand 2
     /* 155531 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 155542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155546 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 155548 */     // (intrinsic_wo_chain:{ *:[v2f32] } 610:{ *:[iPTR] }, (extract_subvector:{ *:[v2f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2f32] }:$Rn)  =>  (FMULXv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 155548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv2i32_indexed),
     /* 155551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 155553 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 155555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 155559 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 155562 */     GIR_RootConstrainSelectedInstOperands,
     /* 155563 */     // GIR_Coverage, 13356,
     /* 155563 */     GIR_EraseRootFromParent_Done,
     /* 155564 */   // Label 3044: @155564
     /* 155564 */   GIM_Try, /*On fail goto*//*Label 3045*/ GIMT_Encode4(155695), // Rule ID 2524 //
     /* 155569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 155572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 155577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 155580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 155583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 155586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 155590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 155594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 155598 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 155602 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 155606 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155611 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 155615 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 155619 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 155623 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 155627 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 155631 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155636 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 155640 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 155644 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 155648 */     // MIs[3] Operand 1
     /* 155648 */     // No operand predicates
     /* 155648 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 155650 */     // (intrinsic_wo_chain:{ *:[f16] } 610:{ *:[iPTR] }, (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULXv1i16_indexed:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 155650 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 155653 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 155657 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 155662 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 155668 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 155673 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i16_indexed),
     /* 155681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 155683 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 155686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 155690 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 155693 */     GIR_RootConstrainSelectedInstOperands,
     /* 155694 */     // GIR_Coverage, 2524,
     /* 155694 */     GIR_EraseRootFromParent_Done,
     /* 155695 */   // Label 3045: @155695
     /* 155695 */   GIM_Try, /*On fail goto*//*Label 3046*/ GIMT_Encode4(155826), // Rule ID 2525 //
     /* 155700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 155703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 155708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 155711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 155714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 155717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 155721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 155725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 155729 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 155733 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 155737 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155742 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 155746 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 155750 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 155754 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 155758 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 155762 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155767 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 155771 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 155775 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 155779 */     // MIs[3] Operand 1
     /* 155779 */     // No operand predicates
     /* 155779 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 155781 */     // (intrinsic_wo_chain:{ *:[f32] } 610:{ *:[iPTR] }, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULXv1i32_indexed:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 155781 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 155784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 155788 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 155793 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 155799 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 155804 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i32_indexed),
     /* 155812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 155814 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 155817 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 155821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 155824 */     GIR_RootConstrainSelectedInstOperands,
     /* 155825 */     // GIR_Coverage, 2525,
     /* 155825 */     GIR_EraseRootFromParent_Done,
     /* 155826 */   // Label 3046: @155826
     /* 155826 */   GIM_Try, /*On fail goto*//*Label 3047*/ GIMT_Encode4(155957), // Rule ID 2526 //
     /* 155831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 155834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 155839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 155842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 155845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 155848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 155856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 155860 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 155864 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 155868 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155873 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 155877 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 155881 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 155885 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 155889 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 155893 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155898 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 155902 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 155906 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 155910 */     // MIs[3] Operand 1
     /* 155910 */     // No operand predicates
     /* 155910 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 155912 */     // (intrinsic_wo_chain:{ *:[f64] } 610:{ *:[iPTR] }, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx))  =>  (FMULXv1i64_indexed:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 155912 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 155915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 155919 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 155924 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 155930 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155935 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i64_indexed),
     /* 155943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 155945 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 155948 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 155952 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 155955 */     GIR_RootConstrainSelectedInstOperands,
     /* 155956 */     // GIR_Coverage, 2526,
     /* 155956 */     GIR_EraseRootFromParent_Done,
     /* 155957 */   // Label 3047: @155957
     /* 155957 */   GIM_Try, /*On fail goto*//*Label 3048*/ GIMT_Encode4(156088), // Rule ID 13539 //
     /* 155962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 155965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 155970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 155973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 155976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 155979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 155983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 155987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 155991 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 155995 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 155999 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156004 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 156008 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 156012 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 156016 */     // MIs[2] Operand 1
     /* 156016 */     // No operand predicates
     /* 156016 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 156020 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 156024 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 156028 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 156032 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156037 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 156041 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 156043 */     // (intrinsic_wo_chain:{ *:[f16] } 610:{ *:[iPTR] }, (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }))  =>  (FMULXv1i16_indexed:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 156043 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 156046 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 156050 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 156055 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 156061 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 156066 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i16_indexed),
     /* 156074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 156076 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 156079 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 156083 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 156086 */     GIR_RootConstrainSelectedInstOperands,
     /* 156087 */     // GIR_Coverage, 13539,
     /* 156087 */     GIR_EraseRootFromParent_Done,
     /* 156088 */   // Label 3048: @156088
     /* 156088 */   GIM_Try, /*On fail goto*//*Label 3049*/ GIMT_Encode4(156219), // Rule ID 13540 //
     /* 156093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 156096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 156101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 156104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 156107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 156110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 156114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 156118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 156122 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 156126 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 156130 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156135 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 156139 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 156143 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 156147 */     // MIs[2] Operand 1
     /* 156147 */     // No operand predicates
     /* 156147 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 156151 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 156155 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 156159 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 156163 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156168 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 156172 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 156174 */     // (intrinsic_wo_chain:{ *:[f32] } 610:{ *:[iPTR] }, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }))  =>  (FMULXv1i32_indexed:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 156174 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 156177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 156181 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 156186 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 156192 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 156197 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i32_indexed),
     /* 156205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 156207 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 156210 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 156214 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 156217 */     GIR_RootConstrainSelectedInstOperands,
     /* 156218 */     // GIR_Coverage, 13540,
     /* 156218 */     GIR_EraseRootFromParent_Done,
     /* 156219 */   // Label 3049: @156219
     /* 156219 */   GIM_Try, /*On fail goto*//*Label 3050*/ GIMT_Encode4(156350), // Rule ID 13541 //
     /* 156224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 156227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 156232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 156235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 156238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 156241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 156249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 156253 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 156257 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 156261 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156266 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 156270 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 156274 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 156278 */     // MIs[2] Operand 1
     /* 156278 */     // No operand predicates
     /* 156278 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 156282 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 156286 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 156290 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 156294 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156299 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 156303 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 156305 */     // (intrinsic_wo_chain:{ *:[f64] } 610:{ *:[iPTR] }, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }))  =>  (FMULXv1i64_indexed:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 156305 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 156308 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 156312 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 156317 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 156323 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156328 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i64_indexed),
     /* 156336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 156338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 156341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 156345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 156348 */     GIR_RootConstrainSelectedInstOperands,
     /* 156349 */     // GIR_Coverage, 13541,
     /* 156349 */     GIR_EraseRootFromParent_Done,
     /* 156350 */   // Label 3050: @156350
     /* 156350 */   GIM_Try, /*On fail goto*//*Label 3051*/ GIMT_Encode4(156464), // Rule ID 2056 //
     /* 156355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 156358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 156363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 156366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 156369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 156372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 156384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 156388 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 156391 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 156396 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 156400 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 156404 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156409 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 156413 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 156417 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 156421 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 156425 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 156430 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 156434 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 156438 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 156442 */     // MIs[3] Operand 1
     /* 156442 */     // No operand predicates
     /* 156442 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 156444 */     // (intrinsic_wo_chain:{ *:[v4i32] } 679:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)))  =>  (SQDMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 156444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv4i16_indexed),
     /* 156447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 156449 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 156451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 156455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 156459 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 156462 */     GIR_RootConstrainSelectedInstOperands,
     /* 156463 */     // GIR_Coverage, 2056,
     /* 156463 */     GIR_EraseRootFromParent_Done,
     /* 156464 */   // Label 3051: @156464
     /* 156464 */   GIM_Try, /*On fail goto*//*Label 3052*/ GIMT_Encode4(156578), // Rule ID 2063 //
     /* 156469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 156472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 156477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 156480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 156483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 156486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 156498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 156502 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 156505 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 156510 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 156514 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 156518 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156523 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 156527 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 156531 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 156535 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 156539 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 156544 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 156548 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 156552 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 156556 */     // MIs[3] Operand 1
     /* 156556 */     // No operand predicates
     /* 156556 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 156558 */     // (intrinsic_wo_chain:{ *:[v4i32] } 698:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)))  =>  (SQDMLSLv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 156558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv4i16_indexed),
     /* 156561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 156563 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 156565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 156569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 156573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 156576 */     GIR_RootConstrainSelectedInstOperands,
     /* 156577 */     // GIR_Coverage, 2063,
     /* 156577 */     GIR_EraseRootFromParent_Done,
     /* 156578 */   // Label 3052: @156578
     /* 156578 */   GIM_Try, /*On fail goto*//*Label 3053*/ GIMT_Encode4(156692), // Rule ID 2059 //
     /* 156583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 156586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 156591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 156594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 156597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 156600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 156612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 156616 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 156619 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 156624 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 156628 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 156632 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156637 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 156641 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 156645 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 156649 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 156653 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156658 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 156662 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 156666 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 156670 */     // MIs[3] Operand 1
     /* 156670 */     // No operand predicates
     /* 156670 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 156672 */     // (intrinsic_wo_chain:{ *:[v2i64] } 679:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (SQDMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 156672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv2i32_indexed),
     /* 156675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 156677 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 156679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 156683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 156687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 156690 */     GIR_RootConstrainSelectedInstOperands,
     /* 156691 */     // GIR_Coverage, 2059,
     /* 156691 */     GIR_EraseRootFromParent_Done,
     /* 156692 */   // Label 3053: @156692
     /* 156692 */   GIM_Try, /*On fail goto*//*Label 3054*/ GIMT_Encode4(156806), // Rule ID 2066 //
     /* 156697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 156700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 156705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 156708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 156711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 156714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 156726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 156730 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 156733 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 156738 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 156742 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 156746 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156751 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 156755 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 156759 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 156763 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 156767 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156772 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 156776 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 156780 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 156784 */     // MIs[3] Operand 1
     /* 156784 */     // No operand predicates
     /* 156784 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 156786 */     // (intrinsic_wo_chain:{ *:[v2i64] } 698:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (SQDMLSLv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 156786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv2i32_indexed),
     /* 156789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 156791 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 156793 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 156797 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 156801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 156804 */     GIR_RootConstrainSelectedInstOperands,
     /* 156805 */     // GIR_Coverage, 2066,
     /* 156805 */     GIR_EraseRootFromParent_Done,
     /* 156806 */   // Label 3054: @156806
     /* 156806 */   GIM_Try, /*On fail goto*//*Label 3055*/ GIMT_Encode4(156920), // Rule ID 2061 //
     /* 156811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 156814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 156819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 156822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 156825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 156828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 156840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 156844 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 156847 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulls_scalar),
     /* 156852 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 156856 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 156860 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 156865 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 156869 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 156873 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 156877 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 156881 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156886 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 156890 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 156894 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 156898 */     // MIs[3] Operand 1
     /* 156898 */     // No operand predicates
     /* 156898 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 156900 */     // (intrinsic_wo_chain:{ *:[i64] } 679:{ *:[iPTR] }, FPR64Op:{ *:[i64] }:$Rd, (intrinsic_wo_chain:{ *:[i64] } 684:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rn, (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (SQDMLALv1i64_indexed:{ *:[i64] } FPR64Op:{ *:[i64] }:$Rd, FPR32Op:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 156900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv1i64_indexed),
     /* 156903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 156905 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 156907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 156911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 156915 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 156918 */     GIR_RootConstrainSelectedInstOperands,
     /* 156919 */     // GIR_Coverage, 2061,
     /* 156919 */     GIR_EraseRootFromParent_Done,
     /* 156920 */   // Label 3055: @156920
     /* 156920 */   GIM_Try, /*On fail goto*//*Label 3056*/ GIMT_Encode4(157034), // Rule ID 2068 //
     /* 156925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 156928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 156933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 156936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 156939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 156942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 156954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 156958 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 156961 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulls_scalar),
     /* 156966 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 156970 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 156974 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 156979 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 156983 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 156987 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 156991 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 156995 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 157000 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 157004 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 157008 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 157012 */     // MIs[3] Operand 1
     /* 157012 */     // No operand predicates
     /* 157012 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 157014 */     // (intrinsic_wo_chain:{ *:[i64] } 698:{ *:[iPTR] }, FPR64Op:{ *:[i64] }:$Rd, (intrinsic_wo_chain:{ *:[i64] } 684:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rn, (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (SQDMLSLv1i64_indexed:{ *:[i64] } FPR64Op:{ *:[i64] }:$Rd, FPR32Op:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 157014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv1i64_indexed),
     /* 157017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 157019 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 157021 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 157025 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 157029 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 157032 */     GIR_RootConstrainSelectedInstOperands,
     /* 157033 */     // GIR_Coverage, 2068,
     /* 157033 */     GIR_EraseRootFromParent_Done,
     /* 157034 */   // Label 3056: @157034
     /* 157034 */   GIM_Try, /*On fail goto*//*Label 3057*/ GIMT_Encode4(157138), // Rule ID 1987 //
     /* 157039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 157042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 157047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 157050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 157053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 157056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 157068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 157072 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 157076 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 157080 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 157084 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 157088 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 157092 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 157097 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 157101 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 157105 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 157109 */     // MIs[3] Operand 1
     /* 157109 */     // No operand predicates
     /* 157109 */     // MIs[1] Operand 2
     /* 157109 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 157120 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 157122 */     // (intrinsic_wo_chain:{ *:[v4f16] } 610:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, (extract_subvector:{ *:[v4f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }))  =>  (FMULXv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 157122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv4i16_indexed),
     /* 157125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 157127 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 157129 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 157133 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 157136 */     GIR_RootConstrainSelectedInstOperands,
     /* 157137 */     // GIR_Coverage, 1987,
     /* 157137 */     GIR_EraseRootFromParent_Done,
     /* 157138 */   // Label 3057: @157138
     /* 157138 */   GIM_Try, /*On fail goto*//*Label 3058*/ GIMT_Encode4(157242), // Rule ID 2017 //
     /* 157143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 157146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 157151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 157154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 157157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 157160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 157172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 157176 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 157180 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 157184 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 157188 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 157192 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 157196 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 157201 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 157205 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 157209 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 157213 */     // MIs[3] Operand 1
     /* 157213 */     // No operand predicates
     /* 157213 */     // MIs[1] Operand 2
     /* 157213 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 157224 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 157226 */     // (intrinsic_wo_chain:{ *:[v4i16] } 680:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }))  =>  (SQDMULHv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 157226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv4i16_indexed),
     /* 157229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 157231 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 157233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 157237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 157240 */     GIR_RootConstrainSelectedInstOperands,
     /* 157241 */     // GIR_Coverage, 2017,
     /* 157241 */     GIR_EraseRootFromParent_Done,
     /* 157242 */   // Label 3058: @157242
     /* 157242 */   GIM_Try, /*On fail goto*//*Label 3059*/ GIMT_Encode4(157346), // Rule ID 2024 //
     /* 157247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 157250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 157255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 157258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 157261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 157264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 157276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 157280 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 157284 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 157288 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 157292 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 157296 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 157300 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 157305 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 157309 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 157313 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 157317 */     // MIs[3] Operand 1
     /* 157317 */     // No operand predicates
     /* 157317 */     // MIs[1] Operand 2
     /* 157317 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 157328 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 157330 */     // (intrinsic_wo_chain:{ *:[v4i16] } 688:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }))  =>  (SQRDMULHv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 157330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv4i16_indexed),
     /* 157333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 157335 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 157337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 157341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 157344 */     GIR_RootConstrainSelectedInstOperands,
     /* 157345 */     // GIR_Coverage, 2024,
     /* 157345 */     GIR_EraseRootFromParent_Done,
     /* 157346 */   // Label 3059: @157346
     /* 157346 */   GIM_Try, /*On fail goto*//*Label 3060*/ GIMT_Encode4(157450), // Rule ID 2083 //
     /* 157351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 157354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 157359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 157362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 157365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 157368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 157372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 157380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 157384 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 157388 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 157392 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 157396 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 157400 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 157404 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 157409 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 157413 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 157417 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 157421 */     // MIs[3] Operand 1
     /* 157421 */     // No operand predicates
     /* 157421 */     // MIs[1] Operand 2
     /* 157421 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 157432 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 157434 */     // (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }))  =>  (SQDMULLv4i16_indexed:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 157434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLv4i16_indexed),
     /* 157437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 157439 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 157441 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 157445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 157448 */     GIR_RootConstrainSelectedInstOperands,
     /* 157449 */     // GIR_Coverage, 2083,
     /* 157449 */     GIR_EraseRootFromParent_Done,
     /* 157450 */   // Label 3060: @157450
     /* 157450 */   GIM_Try, /*On fail goto*//*Label 3061*/ GIMT_Encode4(157554), // Rule ID 1990 //
     /* 157455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 157458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 157463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 157466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 157469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 157472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 157484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 157488 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 157492 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 157496 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 157500 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 157504 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 157508 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 157513 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 157517 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 157521 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 157525 */     // MIs[3] Operand 1
     /* 157525 */     // No operand predicates
     /* 157525 */     // MIs[1] Operand 2
     /* 157525 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 157536 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 157538 */     // (intrinsic_wo_chain:{ *:[v2f32] } 610:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, (extract_subvector:{ *:[v2f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }))  =>  (FMULXv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 157538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv2i32_indexed),
     /* 157541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 157543 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 157545 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 157549 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 157552 */     GIR_RootConstrainSelectedInstOperands,
     /* 157553 */     // GIR_Coverage, 1990,
     /* 157553 */     GIR_EraseRootFromParent_Done,
     /* 157554 */   // Label 3061: @157554
     /* 157554 */   GIM_Try, /*On fail goto*//*Label 3062*/ GIMT_Encode4(157658), // Rule ID 2020 //
     /* 157559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 157562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 157567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 157570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 157573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 157576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 157588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 157592 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 157596 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 157600 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 157604 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 157608 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 157612 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 157617 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 157621 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 157625 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 157629 */     // MIs[3] Operand 1
     /* 157629 */     // No operand predicates
     /* 157629 */     // MIs[1] Operand 2
     /* 157629 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 157640 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 157642 */     // (intrinsic_wo_chain:{ *:[v2i32] } 680:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }))  =>  (SQDMULHv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 157642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv2i32_indexed),
     /* 157645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 157647 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 157649 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 157653 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 157656 */     GIR_RootConstrainSelectedInstOperands,
     /* 157657 */     // GIR_Coverage, 2020,
     /* 157657 */     GIR_EraseRootFromParent_Done,
     /* 157658 */   // Label 3062: @157658
     /* 157658 */   GIM_Try, /*On fail goto*//*Label 3063*/ GIMT_Encode4(157762), // Rule ID 2027 //
     /* 157663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 157666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 157671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 157674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 157677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 157680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 157692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 157696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 157700 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 157704 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 157708 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 157712 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 157716 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 157721 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 157725 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 157729 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 157733 */     // MIs[3] Operand 1
     /* 157733 */     // No operand predicates
     /* 157733 */     // MIs[1] Operand 2
     /* 157733 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 157744 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 157746 */     // (intrinsic_wo_chain:{ *:[v2i32] } 688:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }))  =>  (SQRDMULHv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 157746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv2i32_indexed),
     /* 157749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 157751 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 157753 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 157757 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 157760 */     GIR_RootConstrainSelectedInstOperands,
     /* 157761 */     // GIR_Coverage, 2027,
     /* 157761 */     GIR_EraseRootFromParent_Done,
     /* 157762 */   // Label 3063: @157762
     /* 157762 */   GIM_Try, /*On fail goto*//*Label 3064*/ GIMT_Encode4(157866), // Rule ID 2086 //
     /* 157767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 157770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 157775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 157778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 157781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 157784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 157788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 157796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 157800 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 157804 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 157808 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 157812 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 157816 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 157820 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 157825 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 157829 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 157833 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 157837 */     // MIs[3] Operand 1
     /* 157837 */     // No operand predicates
     /* 157837 */     // MIs[1] Operand 2
     /* 157837 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 157848 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 157850 */     // (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }))  =>  (SQDMULLv2i32_indexed:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 157850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLv2i32_indexed),
     /* 157853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 157855 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 157857 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 157861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 157864 */     GIR_RootConstrainSelectedInstOperands,
     /* 157865 */     // GIR_Coverage, 2086,
     /* 157865 */     GIR_EraseRootFromParent_Done,
     /* 157866 */   // Label 3064: @157866
     /* 157866 */   GIM_Try, /*On fail goto*//*Label 3065*/ GIMT_Encode4(157923), // Rule ID 1751 //
     /* 157871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 157874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 157879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 157882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 157885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 157888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 157892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 157899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 157906 */     // (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm))  =>  (SQDMULLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 157906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLv8i16_v4i32),
     /* 157909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 157911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 157916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 157921 */     GIR_RootConstrainSelectedInstOperands,
     /* 157922 */     // GIR_Coverage, 1751,
     /* 157922 */     GIR_EraseRootFromParent_Done,
     /* 157923 */   // Label 3065: @157923
     /* 157923 */   GIM_Try, /*On fail goto*//*Label 3066*/ GIMT_Encode4(157980), // Rule ID 1753 //
     /* 157928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 157931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 157936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 157939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 157942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 157945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 157949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 157956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 157963 */     // (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm))  =>  (SQDMULLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 157963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLv4i32_v2i64),
     /* 157966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 157968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 157973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 157978 */     GIR_RootConstrainSelectedInstOperands,
     /* 157979 */     // GIR_Coverage, 1753,
     /* 157979 */     GIR_EraseRootFromParent_Done,
     /* 157980 */   // Label 3066: @157980
     /* 157980 */   GIM_Try, /*On fail goto*//*Label 3067*/ GIMT_Encode4(158090), // Rule ID 6250 //
     /* 157985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxu2fp),
     /* 157990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 157993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 157996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 157999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 158003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 158007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 158011 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 158015 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 158019 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 158024 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /* 158035 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 158039 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 158043 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /* 158047 */     // MIs[2] Operand 1
     /* 158047 */     // No operand predicates
     /* 158047 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 158049 */     // (intrinsic_wo_chain:{ *:[f16] } 766:{ *:[iPTR] }, (and:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, 65535:{ *:[i32] }), (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)  =>  (UCVTFh:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } FPR32:{ *:[i32] }:$Rn, hsub:{ *:[i32] }), (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)
     /* 158049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 158052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 158056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 158061 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 158067 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 158072 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 158077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFh),
     /* 158080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 158082 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 158085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 158088 */     GIR_RootConstrainSelectedInstOperands,
     /* 158089 */     // GIR_Coverage, 6250,
     /* 158089 */     GIR_EraseRootFromParent_Done,
     /* 158090 */   // Label 3067: @158090
     /* 158090 */   GIM_Try, /*On fail goto*//*Label 3068*/ GIMT_Encode4(158187), // Rule ID 13807 //
     /* 158095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEONandIsStreamingSafe),
     /* 158098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 158103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 158106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 158109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 158112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 158116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 158120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 158124 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 158128 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 158132 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 158137 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 158141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 158145 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 158147 */     // (intrinsic_wo_chain:{ *:[f16] } 610:{ *:[iPTR] }, (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rn)  =>  (FMULX16:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }))
     /* 158147 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 158150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 158154 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 158159 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 158165 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 158170 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 158175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX16),
     /* 158178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 158180 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 158182 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 158185 */     GIR_RootConstrainSelectedInstOperands,
     /* 158186 */     // GIR_Coverage, 13807,
     /* 158186 */     GIR_EraseRootFromParent_Done,
     /* 158187 */   // Label 3068: @158187
     /* 158187 */   GIM_Try, /*On fail goto*//*Label 3069*/ GIMT_Encode4(158284), // Rule ID 13808 //
     /* 158192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 158195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 158200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 158203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 158206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 158209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 158213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 158217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 158221 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 158225 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 158229 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 158234 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 158238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 158242 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 158244 */     // (intrinsic_wo_chain:{ *:[f32] } 610:{ *:[iPTR] }, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rn)  =>  (FMULX32:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }))
     /* 158244 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 158247 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 158251 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 158256 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 158262 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 158267 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 158272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX32),
     /* 158275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 158277 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 158279 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 158282 */     GIR_RootConstrainSelectedInstOperands,
     /* 158283 */     // GIR_Coverage, 13808,
     /* 158283 */     GIR_EraseRootFromParent_Done,
     /* 158284 */   // Label 3069: @158284
     /* 158284 */   GIM_Try, /*On fail goto*//*Label 3070*/ GIMT_Encode4(158381), // Rule ID 13809 //
     /* 158289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 158292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 158297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 158300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 158303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 158306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 158310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 158314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 158318 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 158322 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 158326 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 158331 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 158335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 158339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 158341 */     // (intrinsic_wo_chain:{ *:[f64] } 610:{ *:[iPTR] }, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rn)  =>  (FMULX64:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }))
     /* 158341 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 158344 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 158348 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 158353 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 158359 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 158364 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 158369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX64),
     /* 158372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 158374 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 158376 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 158379 */     GIR_RootConstrainSelectedInstOperands,
     /* 158380 */     // GIR_Coverage, 13809,
     /* 158380 */     GIR_EraseRootFromParent_Done,
     /* 158381 */   // Label 3070: @158381
     /* 158381 */   GIM_Try, /*On fail goto*//*Label 3071*/ GIMT_Encode4(158464), // Rule ID 1742 //
     /* 158386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 158389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 158394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 158397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 158400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 158403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 158407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 158411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 158415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 158419 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 158422 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 158427 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 158431 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 158435 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 158440 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 158445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 158447 */     // (intrinsic_wo_chain:{ *:[v4i32] } 679:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm))  =>  (SQDMLALv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 158447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv4i16_v4i32),
     /* 158450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 158452 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 158454 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 158458 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 158462 */     GIR_RootConstrainSelectedInstOperands,
     /* 158463 */     // GIR_Coverage, 1742,
     /* 158463 */     GIR_EraseRootFromParent_Done,
     /* 158464 */   // Label 3071: @158464
     /* 158464 */   GIM_Try, /*On fail goto*//*Label 3072*/ GIMT_Encode4(158547), // Rule ID 1744 //
     /* 158469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 158472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 158477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 158480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 158483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 158486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 158490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 158494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 158498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 158502 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 158505 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 158510 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 158514 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 158518 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 158523 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 158528 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 158530 */     // (intrinsic_wo_chain:{ *:[v2i64] } 679:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm))  =>  (SQDMLALv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 158530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv2i32_v2i64),
     /* 158533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 158535 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 158537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 158541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 158545 */     GIR_RootConstrainSelectedInstOperands,
     /* 158546 */     // GIR_Coverage, 1744,
     /* 158546 */     GIR_EraseRootFromParent_Done,
     /* 158547 */   // Label 3072: @158547
     /* 158547 */   GIM_Try, /*On fail goto*//*Label 3073*/ GIMT_Encode4(158630), // Rule ID 1746 //
     /* 158552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 158555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 158560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 158563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 158566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 158569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 158573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 158577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 158581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 158585 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 158588 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 158593 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 158597 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 158601 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 158606 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 158611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 158613 */     // (intrinsic_wo_chain:{ *:[v4i32] } 698:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm))  =>  (SQDMLSLv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 158613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv4i16_v4i32),
     /* 158616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 158618 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 158620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 158624 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 158628 */     GIR_RootConstrainSelectedInstOperands,
     /* 158629 */     // GIR_Coverage, 1746,
     /* 158629 */     GIR_EraseRootFromParent_Done,
     /* 158630 */   // Label 3073: @158630
     /* 158630 */   GIM_Try, /*On fail goto*//*Label 3074*/ GIMT_Encode4(158713), // Rule ID 1748 //
     /* 158635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 158638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 158643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 158646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 158649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 158652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 158656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 158660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 158664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 158668 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 158671 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 158676 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 158680 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 158684 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 158689 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 158694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 158696 */     // (intrinsic_wo_chain:{ *:[v2i64] } 698:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm))  =>  (SQDMLSLv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 158696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv2i32_v2i64),
     /* 158699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 158701 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 158703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 158707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 158711 */     GIR_RootConstrainSelectedInstOperands,
     /* 158712 */     // GIR_Coverage, 1748,
     /* 158712 */     GIR_EraseRootFromParent_Done,
     /* 158713 */   // Label 3074: @158713
     /* 158713 */   GIM_Try, /*On fail goto*//*Label 3075*/ GIMT_Encode4(158793), // Rule ID 5222 //
     /* 158718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 158723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 158726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 158729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 158732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 158736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 158740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 158744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 158748 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 158751 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulls_scalar),
     /* 158756 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 158760 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 158764 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 158769 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 158774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 158776 */     // (intrinsic_wo_chain:{ *:[i64] } 679:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rd, (intrinsic_wo_chain:{ *:[i64] } 684:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm))  =>  (SQDMLALi32:{ *:[i64] } FPR64:{ *:[i64] }:$Rd, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 158776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALi32),
     /* 158779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 158781 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 158783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 158787 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 158791 */     GIR_RootConstrainSelectedInstOperands,
     /* 158792 */     // GIR_Coverage, 5222,
     /* 158792 */     GIR_EraseRootFromParent_Done,
     /* 158793 */   // Label 3075: @158793
     /* 158793 */   GIM_Try, /*On fail goto*//*Label 3076*/ GIMT_Encode4(158873), // Rule ID 5223 //
     /* 158798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 158803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 158806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 158809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 158812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 158816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 158820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 158824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 158828 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 158831 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulls_scalar),
     /* 158836 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 158840 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 158844 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 158849 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 158854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 158856 */     // (intrinsic_wo_chain:{ *:[i64] } 698:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rd, (intrinsic_wo_chain:{ *:[i64] } 684:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm))  =>  (SQDMLSLi32:{ *:[i64] } FPR64:{ *:[i64] }:$Rd, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 158856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLi32),
     /* 158859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 158861 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 158863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 158867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 158871 */     GIR_RootConstrainSelectedInstOperands,
     /* 158872 */     // GIR_Coverage, 5223,
     /* 158872 */     GIR_EraseRootFromParent_Done,
     /* 158873 */   // Label 3076: @158873
     /* 158873 */   GIM_Try, /*On fail goto*//*Label 3077*/ GIMT_Encode4(158970), // Rule ID 5219 //
     /* 158878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEONandIsStreamingSafe),
     /* 158881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 158886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 158889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 158892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 158895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 158899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 158903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 158907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 158911 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 158915 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 158919 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 158924 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 158928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 158930 */     // (intrinsic_wo_chain:{ *:[f16] } 610:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn, (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }))  =>  (FMULX16:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }))
     /* 158930 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 158933 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 158937 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 158942 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 158948 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 158953 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 158958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX16),
     /* 158961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 158963 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 158965 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 158968 */     GIR_RootConstrainSelectedInstOperands,
     /* 158969 */     // GIR_Coverage, 5219,
     /* 158969 */     GIR_EraseRootFromParent_Done,
     /* 158970 */   // Label 3077: @158970
     /* 158970 */   GIM_Try, /*On fail goto*//*Label 3078*/ GIMT_Encode4(159067), // Rule ID 5220 //
     /* 158975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 158978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 158983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 158986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 158989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 158992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 158996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 159000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 159004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 159008 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 159012 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 159016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159021 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 159025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159027 */     // (intrinsic_wo_chain:{ *:[f32] } 610:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }))  =>  (FMULX32:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }))
     /* 159027 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 159030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 159034 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 159039 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 159045 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 159050 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX32),
     /* 159058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 159060 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 159062 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 159065 */     GIR_RootConstrainSelectedInstOperands,
     /* 159066 */     // GIR_Coverage, 5220,
     /* 159066 */     GIR_EraseRootFromParent_Done,
     /* 159067 */   // Label 3078: @159067
     /* 159067 */   GIM_Try, /*On fail goto*//*Label 3079*/ GIMT_Encode4(159164), // Rule ID 5221 //
     /* 159072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 159075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 159080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 159083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 159086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 159089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 159101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 159105 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 159109 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 159113 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159118 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 159122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159124 */     // (intrinsic_wo_chain:{ *:[f64] } 610:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }))  =>  (FMULX64:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }))
     /* 159124 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 159127 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 159131 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 159136 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 159142 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159147 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX64),
     /* 159155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 159157 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 159159 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 159162 */     GIR_RootConstrainSelectedInstOperands,
     /* 159163 */     // GIR_Coverage, 5221,
     /* 159163 */     GIR_EraseRootFromParent_Done,
     /* 159164 */   // Label 3079: @159164
     /* 159164 */   GIM_Try, /*On fail goto*//*Label 3080*/ GIMT_Encode4(159245), // Rule ID 13354 //
     /* 159169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 159172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 159177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 159180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 159183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 159186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 159194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 159198 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 159202 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 159206 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 159211 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 159215 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 159219 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 159223 */     // MIs[2] Operand 1
     /* 159223 */     // No operand predicates
     /* 159223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159227 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 159229 */     // (intrinsic_wo_chain:{ *:[v4f16] } 610:{ *:[iPTR] }, (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4f16] }:$Rn)  =>  (FMULXv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 159229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv4i16_indexed),
     /* 159232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 159234 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 159236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 159240 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 159243 */     GIR_RootConstrainSelectedInstOperands,
     /* 159244 */     // GIR_Coverage, 13354,
     /* 159244 */     GIR_EraseRootFromParent_Done,
     /* 159245 */   // Label 3080: @159245
     /* 159245 */   GIM_Try, /*On fail goto*//*Label 3081*/ GIMT_Encode4(159326), // Rule ID 13355 //
     /* 159250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 159253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 159258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 159261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 159264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 159267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 159275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 159279 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 159283 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 159287 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 159292 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 159296 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 159300 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 159304 */     // MIs[2] Operand 1
     /* 159304 */     // No operand predicates
     /* 159304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159308 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 159310 */     // (intrinsic_wo_chain:{ *:[v8f16] } 610:{ *:[iPTR] }, (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V128:{ *:[v8f16] }:$Rn)  =>  (FMULXv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 159310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv8i16_indexed),
     /* 159313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 159315 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 159317 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 159321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 159324 */     GIR_RootConstrainSelectedInstOperands,
     /* 159325 */     // GIR_Coverage, 13355,
     /* 159325 */     GIR_EraseRootFromParent_Done,
     /* 159326 */   // Label 3081: @159326
     /* 159326 */   GIM_Try, /*On fail goto*//*Label 3082*/ GIMT_Encode4(159407), // Rule ID 13357 //
     /* 159331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 159334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 159339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 159342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 159345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 159348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 159356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 159360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 159364 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 159368 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159373 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 159377 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 159381 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 159385 */     // MIs[2] Operand 1
     /* 159385 */     // No operand predicates
     /* 159385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159389 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 159391 */     // (intrinsic_wo_chain:{ *:[v2f32] } 610:{ *:[iPTR] }, (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rn)  =>  (FMULXv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 159391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv2i32_indexed),
     /* 159394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 159396 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 159398 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 159402 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 159405 */     GIR_RootConstrainSelectedInstOperands,
     /* 159406 */     // GIR_Coverage, 13357,
     /* 159406 */     GIR_EraseRootFromParent_Done,
     /* 159407 */   // Label 3082: @159407
     /* 159407 */   GIM_Try, /*On fail goto*//*Label 3083*/ GIMT_Encode4(159488), // Rule ID 13358 //
     /* 159412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 159415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 159420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 159423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 159426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 159429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 159437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 159441 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 159445 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 159449 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159454 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 159458 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 159462 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 159466 */     // MIs[2] Operand 1
     /* 159466 */     // No operand predicates
     /* 159466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159470 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 159472 */     // (intrinsic_wo_chain:{ *:[v4f32] } 610:{ *:[iPTR] }, (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rn)  =>  (FMULXv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 159472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv4i32_indexed),
     /* 159475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 159477 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 159479 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 159483 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 159486 */     GIR_RootConstrainSelectedInstOperands,
     /* 159487 */     // GIR_Coverage, 13358,
     /* 159487 */     GIR_EraseRootFromParent_Done,
     /* 159488 */   // Label 3083: @159488
     /* 159488 */   GIM_Try, /*On fail goto*//*Label 3084*/ GIMT_Encode4(159569), // Rule ID 13359 //
     /* 159493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 159496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 159501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 159504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 159507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 159510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 159518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 159522 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 159526 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 159530 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159535 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 159539 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 159543 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 159547 */     // MIs[2] Operand 1
     /* 159547 */     // No operand predicates
     /* 159547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159551 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 159553 */     // (intrinsic_wo_chain:{ *:[v2f64] } 610:{ *:[iPTR] }, (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rn)  =>  (FMULXv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 159553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv2i64_indexed),
     /* 159556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 159558 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 159560 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 159564 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 159567 */     GIR_RootConstrainSelectedInstOperands,
     /* 159568 */     // GIR_Coverage, 13359,
     /* 159568 */     GIR_EraseRootFromParent_Done,
     /* 159569 */   // Label 3084: @159569
     /* 159569 */   GIM_Try, /*On fail goto*//*Label 3085*/ GIMT_Encode4(159650), // Rule ID 13360 //
     /* 159574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 159577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 159582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 159585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 159588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 159591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 159595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 159599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 159603 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 159607 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 159611 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 159616 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 159620 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 159624 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 159628 */     // MIs[2] Operand 1
     /* 159628 */     // No operand predicates
     /* 159628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 159632 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 159634 */     // (intrinsic_wo_chain:{ *:[f16] } 610:{ *:[iPTR] }, (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16Op:{ *:[f16] }:$Rn)  =>  (FMULXv1i16_indexed:{ *:[f16] } FPR16Op:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 159634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i16_indexed),
     /* 159637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 159639 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 159641 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 159645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 159648 */     GIR_RootConstrainSelectedInstOperands,
     /* 159649 */     // GIR_Coverage, 13360,
     /* 159649 */     GIR_EraseRootFromParent_Done,
     /* 159650 */   // Label 3085: @159650
     /* 159650 */   GIM_Try, /*On fail goto*//*Label 3086*/ GIMT_Encode4(159731), // Rule ID 13361 //
     /* 159655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 159658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 159663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 159666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 159669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 159672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 159676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 159680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 159684 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 159688 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 159692 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159697 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 159701 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 159705 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 159709 */     // MIs[2] Operand 1
     /* 159709 */     // No operand predicates
     /* 159709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 159713 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 159715 */     // (intrinsic_wo_chain:{ *:[f32] } 610:{ *:[iPTR] }, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32Op:{ *:[f32] }:$Rn)  =>  (FMULXv1i32_indexed:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 159715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i32_indexed),
     /* 159718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 159720 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 159722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 159726 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 159729 */     GIR_RootConstrainSelectedInstOperands,
     /* 159730 */     // GIR_Coverage, 13361,
     /* 159730 */     GIR_EraseRootFromParent_Done,
     /* 159731 */   // Label 3086: @159731
     /* 159731 */   GIM_Try, /*On fail goto*//*Label 3087*/ GIMT_Encode4(159812), // Rule ID 13362 //
     /* 159736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 159739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 159744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 159747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 159750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 159753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 159761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 159765 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 159769 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 159773 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159778 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 159782 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 159786 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 159790 */     // MIs[2] Operand 1
     /* 159790 */     // No operand predicates
     /* 159790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159794 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 159796 */     // (intrinsic_wo_chain:{ *:[f64] } 610:{ *:[iPTR] }, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64Op:{ *:[f64] }:$Rn)  =>  (FMULXv1i64_indexed:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 159796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i64_indexed),
     /* 159799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 159801 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 159803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 159807 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 159810 */     GIR_RootConstrainSelectedInstOperands,
     /* 159811 */     // GIR_Coverage, 13362,
     /* 159811 */     GIR_EraseRootFromParent_Done,
     /* 159812 */   // Label 3087: @159812
     /* 159812 */   GIM_Try, /*On fail goto*//*Label 3088*/ GIMT_Encode4(159918), // Rule ID 6247 //
     /* 159817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxs2fp),
     /* 159822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 159825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 159828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 159831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 159835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 159839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 159843 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 159847 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 159852 */     // MIs[1] Operand 2
     /* 159852 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(16),
     /* 159863 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 159867 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 159871 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /* 159875 */     // MIs[2] Operand 1
     /* 159875 */     // No operand predicates
     /* 159875 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 159877 */     // (intrinsic_wo_chain:{ *:[f16] } 765:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, i16:{ *:[Other] }), (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)  =>  (SCVTFh:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } FPR32:{ *:[i32] }:$Rn, hsub:{ *:[i32] }), (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)
     /* 159877 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 159880 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 159884 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 159889 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 159895 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 159900 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 159905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFh),
     /* 159908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 159910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 159913 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 159916 */     GIR_RootConstrainSelectedInstOperands,
     /* 159917 */     // GIR_Coverage, 6247,
     /* 159917 */     GIR_EraseRootFromParent_Done,
     /* 159918 */   // Label 3088: @159918
     /* 159918 */   GIM_Try, /*On fail goto*//*Label 3089*/ GIMT_Encode4(159999), // Rule ID 1988 //
     /* 159923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 159926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 159931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 159934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 159937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 159940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 159952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 159956 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 159960 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 159964 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 159969 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 159973 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 159977 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 159981 */     // MIs[2] Operand 1
     /* 159981 */     // No operand predicates
     /* 159981 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 159983 */     // (intrinsic_wo_chain:{ *:[v4f16] } 610:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULXv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 159983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv4i16_indexed),
     /* 159986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 159988 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 159990 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 159994 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 159997 */     GIR_RootConstrainSelectedInstOperands,
     /* 159998 */     // GIR_Coverage, 1988,
     /* 159998 */     GIR_EraseRootFromParent_Done,
     /* 159999 */   // Label 3089: @159999
     /* 159999 */   GIM_Try, /*On fail goto*//*Label 3090*/ GIMT_Encode4(160080), // Rule ID 1989 //
     /* 160004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 160007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 160012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 160015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 160018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 160021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 160033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 160037 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 160041 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 160045 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 160050 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 160054 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 160058 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 160062 */     // MIs[2] Operand 1
     /* 160062 */     // No operand predicates
     /* 160062 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 160064 */     // (intrinsic_wo_chain:{ *:[v8f16] } 610:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULXv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 160064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv8i16_indexed),
     /* 160067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160069 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 160071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 160075 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 160078 */     GIR_RootConstrainSelectedInstOperands,
     /* 160079 */     // GIR_Coverage, 1989,
     /* 160079 */     GIR_EraseRootFromParent_Done,
     /* 160080 */   // Label 3090: @160080
     /* 160080 */   GIM_Try, /*On fail goto*//*Label 3091*/ GIMT_Encode4(160161), // Rule ID 2018 //
     /* 160085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 160088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 160093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 160096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 160099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 160102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 160106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 160110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 160114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 160118 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 160122 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 160126 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 160131 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 160135 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 160139 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 160143 */     // MIs[2] Operand 1
     /* 160143 */     // No operand predicates
     /* 160143 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 160145 */     // (intrinsic_wo_chain:{ *:[v4i16] } 680:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (SQDMULHv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 160145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv4i16_indexed),
     /* 160148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160150 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 160152 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 160156 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 160159 */     GIR_RootConstrainSelectedInstOperands,
     /* 160160 */     // GIR_Coverage, 2018,
     /* 160160 */     GIR_EraseRootFromParent_Done,
     /* 160161 */   // Label 3091: @160161
     /* 160161 */   GIM_Try, /*On fail goto*//*Label 3092*/ GIMT_Encode4(160242), // Rule ID 2019 //
     /* 160166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 160169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 160174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 160177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 160180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 160183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 160195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 160199 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 160203 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 160207 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 160212 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 160216 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 160220 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 160224 */     // MIs[2] Operand 1
     /* 160224 */     // No operand predicates
     /* 160224 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 160226 */     // (intrinsic_wo_chain:{ *:[v8i16] } 680:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (SQDMULHv8i16_indexed:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 160226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv8i16_indexed),
     /* 160229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160231 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 160233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 160237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 160240 */     GIR_RootConstrainSelectedInstOperands,
     /* 160241 */     // GIR_Coverage, 2019,
     /* 160241 */     GIR_EraseRootFromParent_Done,
     /* 160242 */   // Label 3092: @160242
     /* 160242 */   GIM_Try, /*On fail goto*//*Label 3093*/ GIMT_Encode4(160323), // Rule ID 2025 //
     /* 160247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 160250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 160255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 160258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 160261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 160264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 160268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 160272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 160276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 160280 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 160284 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 160288 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 160293 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 160297 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 160301 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 160305 */     // MIs[2] Operand 1
     /* 160305 */     // No operand predicates
     /* 160305 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 160307 */     // (intrinsic_wo_chain:{ *:[v4i16] } 688:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (SQRDMULHv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 160307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv4i16_indexed),
     /* 160310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160312 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 160314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 160318 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 160321 */     GIR_RootConstrainSelectedInstOperands,
     /* 160322 */     // GIR_Coverage, 2025,
     /* 160322 */     GIR_EraseRootFromParent_Done,
     /* 160323 */   // Label 3093: @160323
     /* 160323 */   GIM_Try, /*On fail goto*//*Label 3094*/ GIMT_Encode4(160404), // Rule ID 2026 //
     /* 160328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 160331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 160336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 160339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 160342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 160345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 160357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 160361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 160365 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 160369 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 160374 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 160378 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 160382 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 160386 */     // MIs[2] Operand 1
     /* 160386 */     // No operand predicates
     /* 160386 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 160388 */     // (intrinsic_wo_chain:{ *:[v8i16] } 688:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (SQRDMULHv8i16_indexed:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 160388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv8i16_indexed),
     /* 160391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160393 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 160395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 160399 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 160402 */     GIR_RootConstrainSelectedInstOperands,
     /* 160403 */     // GIR_Coverage, 2026,
     /* 160403 */     GIR_EraseRootFromParent_Done,
     /* 160404 */   // Label 3094: @160404
     /* 160404 */   GIM_Try, /*On fail goto*//*Label 3095*/ GIMT_Encode4(160485), // Rule ID 2084 //
     /* 160409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 160412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 160417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 160420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 160423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 160426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 160434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 160438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 160442 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 160446 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 160450 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 160455 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 160459 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 160463 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 160467 */     // MIs[2] Operand 1
     /* 160467 */     // No operand predicates
     /* 160467 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 160469 */     // (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (SQDMULLv4i16_indexed:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 160469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLv4i16_indexed),
     /* 160472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160474 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 160476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 160480 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 160483 */     GIR_RootConstrainSelectedInstOperands,
     /* 160484 */     // GIR_Coverage, 2084,
     /* 160484 */     GIR_EraseRootFromParent_Done,
     /* 160485 */   // Label 3095: @160485
     /* 160485 */   GIM_Try, /*On fail goto*//*Label 3096*/ GIMT_Encode4(160566), // Rule ID 1991 //
     /* 160490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 160493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 160498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 160501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 160504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 160507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 160511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 160515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 160519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 160523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 160527 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 160531 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160536 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 160540 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 160544 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 160548 */     // MIs[2] Operand 1
     /* 160548 */     // No operand predicates
     /* 160548 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 160550 */     // (intrinsic_wo_chain:{ *:[v2f32] } 610:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULXv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 160550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv2i32_indexed),
     /* 160553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160555 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 160557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 160561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 160564 */     GIR_RootConstrainSelectedInstOperands,
     /* 160565 */     // GIR_Coverage, 1991,
     /* 160565 */     GIR_EraseRootFromParent_Done,
     /* 160566 */   // Label 3096: @160566
     /* 160566 */   GIM_Try, /*On fail goto*//*Label 3097*/ GIMT_Encode4(160647), // Rule ID 1992 //
     /* 160571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 160574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 160579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 160582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 160585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 160588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 160600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 160604 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 160608 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 160612 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160617 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 160621 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 160625 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 160629 */     // MIs[2] Operand 1
     /* 160629 */     // No operand predicates
     /* 160629 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 160631 */     // (intrinsic_wo_chain:{ *:[v4f32] } 610:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULXv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 160631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv4i32_indexed),
     /* 160634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160636 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 160638 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 160642 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 160645 */     GIR_RootConstrainSelectedInstOperands,
     /* 160646 */     // GIR_Coverage, 1992,
     /* 160646 */     GIR_EraseRootFromParent_Done,
     /* 160647 */   // Label 3097: @160647
     /* 160647 */   GIM_Try, /*On fail goto*//*Label 3098*/ GIMT_Encode4(160728), // Rule ID 2021 //
     /* 160652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 160655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 160660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 160663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 160666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 160669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 160673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 160677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 160681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 160685 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 160689 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 160693 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160698 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 160702 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 160706 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 160710 */     // MIs[2] Operand 1
     /* 160710 */     // No operand predicates
     /* 160710 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 160712 */     // (intrinsic_wo_chain:{ *:[v2i32] } 680:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQDMULHv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 160712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv2i32_indexed),
     /* 160715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160717 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 160719 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 160723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 160726 */     GIR_RootConstrainSelectedInstOperands,
     /* 160727 */     // GIR_Coverage, 2021,
     /* 160727 */     GIR_EraseRootFromParent_Done,
     /* 160728 */   // Label 3098: @160728
     /* 160728 */   GIM_Try, /*On fail goto*//*Label 3099*/ GIMT_Encode4(160809), // Rule ID 2022 //
     /* 160733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 160736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 160741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 160744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 160747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 160750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 160762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 160766 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 160770 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 160774 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160779 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 160783 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 160787 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 160791 */     // MIs[2] Operand 1
     /* 160791 */     // No operand predicates
     /* 160791 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 160793 */     // (intrinsic_wo_chain:{ *:[v4i32] } 680:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQDMULHv4i32_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 160793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv4i32_indexed),
     /* 160796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160798 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 160800 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 160804 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 160807 */     GIR_RootConstrainSelectedInstOperands,
     /* 160808 */     // GIR_Coverage, 2022,
     /* 160808 */     GIR_EraseRootFromParent_Done,
     /* 160809 */   // Label 3099: @160809
     /* 160809 */   GIM_Try, /*On fail goto*//*Label 3100*/ GIMT_Encode4(160890), // Rule ID 2028 //
     /* 160814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 160817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 160822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 160825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 160828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 160831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 160835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 160839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 160843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 160847 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 160851 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 160855 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160860 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 160864 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 160868 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 160872 */     // MIs[2] Operand 1
     /* 160872 */     // No operand predicates
     /* 160872 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 160874 */     // (intrinsic_wo_chain:{ *:[v2i32] } 688:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQRDMULHv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 160874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv2i32_indexed),
     /* 160877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160879 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 160881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 160885 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 160888 */     GIR_RootConstrainSelectedInstOperands,
     /* 160889 */     // GIR_Coverage, 2028,
     /* 160889 */     GIR_EraseRootFromParent_Done,
     /* 160890 */   // Label 3100: @160890
     /* 160890 */   GIM_Try, /*On fail goto*//*Label 3101*/ GIMT_Encode4(160971), // Rule ID 2029 //
     /* 160895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 160898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 160903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 160906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 160909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 160912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 160924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 160928 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 160932 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 160936 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160941 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 160945 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 160949 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 160953 */     // MIs[2] Operand 1
     /* 160953 */     // No operand predicates
     /* 160953 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 160955 */     // (intrinsic_wo_chain:{ *:[v4i32] } 688:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQRDMULHv4i32_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 160955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv4i32_indexed),
     /* 160958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160960 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 160962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 160966 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 160969 */     GIR_RootConstrainSelectedInstOperands,
     /* 160970 */     // GIR_Coverage, 2029,
     /* 160970 */     GIR_EraseRootFromParent_Done,
     /* 160971 */   // Label 3101: @160971
     /* 160971 */   GIM_Try, /*On fail goto*//*Label 3102*/ GIMT_Encode4(161052), // Rule ID 2087 //
     /* 160976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 160979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 160984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 160987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 160990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 160993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 161005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 161009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 161013 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 161017 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161022 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 161026 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 161030 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 161034 */     // MIs[2] Operand 1
     /* 161034 */     // No operand predicates
     /* 161034 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 161036 */     // (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQDMULLv2i32_indexed:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 161036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLv2i32_indexed),
     /* 161039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161041 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 161043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 161047 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 161050 */     GIR_RootConstrainSelectedInstOperands,
     /* 161051 */     // GIR_Coverage, 2087,
     /* 161051 */     GIR_EraseRootFromParent_Done,
     /* 161052 */   // Label 3102: @161052
     /* 161052 */   GIM_Try, /*On fail goto*//*Label 3103*/ GIMT_Encode4(161133), // Rule ID 1993 //
     /* 161057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 161065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 161068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 161071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 161074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 161086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 161090 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 161094 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 161098 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161103 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 161107 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 161111 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 161115 */     // MIs[2] Operand 1
     /* 161115 */     // No operand predicates
     /* 161115 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 161117 */     // (intrinsic_wo_chain:{ *:[v2f64] } 610:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx))  =>  (FMULXv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 161117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv2i64_indexed),
     /* 161120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161122 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 161124 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 161128 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 161131 */     GIR_RootConstrainSelectedInstOperands,
     /* 161132 */     // GIR_Coverage, 1993,
     /* 161132 */     GIR_EraseRootFromParent_Done,
     /* 161133 */   // Label 3103: @161133
     /* 161133 */   GIM_Try, /*On fail goto*//*Label 3104*/ GIMT_Encode4(161214), // Rule ID 1994 //
     /* 161138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 161141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 161146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 161149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 161152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 161155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 161159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 161163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 161167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 161171 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 161175 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 161179 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 161184 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 161188 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 161192 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 161196 */     // MIs[2] Operand 1
     /* 161196 */     // No operand predicates
     /* 161196 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 161198 */     // (intrinsic_wo_chain:{ *:[f16] } 610:{ *:[iPTR] }, FPR16Op:{ *:[f16] }:$Rn, (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULXv1i16_indexed:{ *:[f16] } FPR16Op:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 161198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i16_indexed),
     /* 161201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161203 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 161205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 161209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 161212 */     GIR_RootConstrainSelectedInstOperands,
     /* 161213 */     // GIR_Coverage, 1994,
     /* 161213 */     GIR_EraseRootFromParent_Done,
     /* 161214 */   // Label 3104: @161214
     /* 161214 */   GIM_Try, /*On fail goto*//*Label 3105*/ GIMT_Encode4(161295), // Rule ID 1995 //
     /* 161219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 161227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 161230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 161233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 161236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 161240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 161244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 161248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 161252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 161256 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 161260 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161265 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 161269 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 161273 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 161277 */     // MIs[2] Operand 1
     /* 161277 */     // No operand predicates
     /* 161277 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 161279 */     // (intrinsic_wo_chain:{ *:[f32] } 610:{ *:[iPTR] }, FPR32Op:{ *:[f32] }:$Rn, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULXv1i32_indexed:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 161279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i32_indexed),
     /* 161282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161284 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 161286 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 161290 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 161293 */     GIR_RootConstrainSelectedInstOperands,
     /* 161294 */     // GIR_Coverage, 1995,
     /* 161294 */     GIR_EraseRootFromParent_Done,
     /* 161295 */   // Label 3105: @161295
     /* 161295 */   GIM_Try, /*On fail goto*//*Label 3106*/ GIMT_Encode4(161376), // Rule ID 1996 //
     /* 161300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 161308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 161311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 161314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 161317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 161329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 161333 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 161337 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 161341 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161346 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 161350 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 161354 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 161358 */     // MIs[2] Operand 1
     /* 161358 */     // No operand predicates
     /* 161358 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 161360 */     // (intrinsic_wo_chain:{ *:[f64] } 610:{ *:[iPTR] }, FPR64Op:{ *:[f64] }:$Rn, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx))  =>  (FMULXv1i64_indexed:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 161360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i64_indexed),
     /* 161363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161365 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 161367 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 161371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 161374 */     GIR_RootConstrainSelectedInstOperands,
     /* 161375 */     // GIR_Coverage, 1996,
     /* 161375 */     GIR_EraseRootFromParent_Done,
     /* 161376 */   // Label 3106: @161376
     /* 161376 */   GIM_Try, /*On fail goto*//*Label 3107*/ GIMT_Encode4(161457), // Rule ID 2023 //
     /* 161381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 161389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 161392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 161395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 161398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 161402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 161406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 161410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 161414 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 161418 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 161422 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161427 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 161431 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 161435 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 161439 */     // MIs[2] Operand 1
     /* 161439 */     // No operand predicates
     /* 161439 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 161441 */     // (intrinsic_wo_chain:{ *:[i32] } 680:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rn, (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQDMULHv1i32_indexed:{ *:[i32] } FPR32Op:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 161441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv1i32_indexed),
     /* 161444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161446 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 161448 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 161452 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 161455 */     GIR_RootConstrainSelectedInstOperands,
     /* 161456 */     // GIR_Coverage, 2023,
     /* 161456 */     GIR_EraseRootFromParent_Done,
     /* 161457 */   // Label 3107: @161457
     /* 161457 */   GIM_Try, /*On fail goto*//*Label 3108*/ GIMT_Encode4(161538), // Rule ID 2030 //
     /* 161462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 161470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 161473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 161476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 161479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 161483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 161487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 161491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 161495 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 161499 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 161503 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161508 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 161512 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 161516 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 161520 */     // MIs[2] Operand 1
     /* 161520 */     // No operand predicates
     /* 161520 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 161522 */     // (intrinsic_wo_chain:{ *:[i32] } 688:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rn, (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQRDMULHv1i32_indexed:{ *:[i32] } FPR32Op:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 161522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv1i32_indexed),
     /* 161525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161527 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 161529 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 161533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 161536 */     GIR_RootConstrainSelectedInstOperands,
     /* 161537 */     // GIR_Coverage, 2030,
     /* 161537 */     GIR_EraseRootFromParent_Done,
     /* 161538 */   // Label 3108: @161538
     /* 161538 */   GIM_Try, /*On fail goto*//*Label 3109*/ GIMT_Encode4(161616), // Rule ID 6234 //
     /* 161543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulls_scalar),
     /* 161548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 161551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 161554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 161557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 161565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 161569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 161573 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 161577 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 161581 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161586 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 161590 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 161594 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 161598 */     // MIs[2] Operand 1
     /* 161598 */     // No operand predicates
     /* 161598 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 161600 */     // (intrinsic_wo_chain:{ *:[i64] } 684:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Vm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQDMULLv1i64_indexed:{ *:[i64] } FPR32:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Vm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 161600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLv1i64_indexed),
     /* 161603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161605 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 161607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /* 161611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 161614 */     GIR_RootConstrainSelectedInstOperands,
     /* 161615 */     // GIR_Coverage, 6234,
     /* 161615 */     GIR_EraseRootFromParent_Done,
     /* 161616 */   // Label 3109: @161616
     /* 161616 */   GIM_Try, /*On fail goto*//*Label 3110*/ GIMT_Encode4(161676), // Rule ID 6300 //
     /* 161621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /* 161626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 161629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 161632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 161635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161643 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 8,
     /* 161647 */     // (intrinsic_wo_chain:{ *:[v8i8] } 657:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Vn, 8:{ *:[i32] })  =>  (RADDHNv8i16_v8i8:{ *:[v8i8] } V128:{ *:[v8i16] }:$Vn, (MOVIv2d_ns:{ *:[v8i16] } 0:{ *:[i32] }))
     /* 161647 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 161650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /* 161654 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 161659 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 161662 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 161664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv8i16_v8i8),
     /* 161667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161669 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /* 161671 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 161674 */     GIR_RootConstrainSelectedInstOperands,
     /* 161675 */     // GIR_Coverage, 6300,
     /* 161675 */     GIR_EraseRootFromParent_Done,
     /* 161676 */   // Label 3110: @161676
     /* 161676 */   GIM_Try, /*On fail goto*//*Label 3111*/ GIMT_Encode4(161736), // Rule ID 6301 //
     /* 161681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /* 161686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 161689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 161692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 161695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161703 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 16,
     /* 161707 */     // (intrinsic_wo_chain:{ *:[v4i16] } 657:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vn, 16:{ *:[i32] })  =>  (RADDHNv4i32_v4i16:{ *:[v4i16] } V128:{ *:[v4i32] }:$Vn, (MOVIv2d_ns:{ *:[v4i32] } 0:{ *:[i32] }))
     /* 161707 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 161710 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /* 161714 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 161719 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 161722 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 161724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv4i32_v4i16),
     /* 161727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161729 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /* 161731 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 161734 */     GIR_RootConstrainSelectedInstOperands,
     /* 161735 */     // GIR_Coverage, 6301,
     /* 161735 */     GIR_EraseRootFromParent_Done,
     /* 161736 */   // Label 3111: @161736
     /* 161736 */   GIM_Try, /*On fail goto*//*Label 3112*/ GIMT_Encode4(161796), // Rule ID 6302 //
     /* 161741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /* 161746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 161749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 161752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 161755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161763 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 32,
     /* 161767 */     // (intrinsic_wo_chain:{ *:[v2i32] } 657:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vn, 32:{ *:[i32] })  =>  (RADDHNv2i64_v2i32:{ *:[v2i32] } V128:{ *:[v2i64] }:$Vn, (MOVIv2d_ns:{ *:[v2i64] } 0:{ *:[i32] }))
     /* 161767 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /* 161770 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /* 161774 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 161779 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 161782 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 161784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv2i64_v2i32),
     /* 161787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161789 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /* 161791 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 161794 */     GIR_RootConstrainSelectedInstOperands,
     /* 161795 */     // GIR_Coverage, 6302,
     /* 161795 */     GIR_EraseRootFromParent_Done,
     /* 161796 */   // Label 3112: @161796
     /* 161796 */   GIM_Try, /*On fail goto*//*Label 3113*/ GIMT_Encode4(161843), // Rule ID 3887 //
     /* 161801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 161804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_strip),
     /* 161809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 161812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 161815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 161819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 161823 */     // MIs[0] Operand 3
     /* 161823 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(0),
     /* 161834 */     // (intrinsic_wo_chain:{ *:[i64] } 298:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 0:{ *:[i32] })  =>  (XPACI:{ *:[i64] } GPR64:{ *:[i64] }:$Rd)
     /* 161834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XPACI),
     /* 161837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161839 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 161841 */     GIR_RootConstrainSelectedInstOperands,
     /* 161842 */     // GIR_Coverage, 3887,
     /* 161842 */     GIR_EraseRootFromParent_Done,
     /* 161843 */   // Label 3113: @161843
     /* 161843 */   GIM_Try, /*On fail goto*//*Label 3114*/ GIMT_Encode4(161890), // Rule ID 3888 //
     /* 161848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 161851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_strip),
     /* 161856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 161859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 161862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 161866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 161870 */     // MIs[0] Operand 3
     /* 161870 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(1),
     /* 161881 */     // (intrinsic_wo_chain:{ *:[i64] } 298:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 1:{ *:[i32] })  =>  (XPACI:{ *:[i64] } GPR64:{ *:[i64] }:$Rd)
     /* 161881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XPACI),
     /* 161884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161886 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 161888 */     GIR_RootConstrainSelectedInstOperands,
     /* 161889 */     // GIR_Coverage, 3888,
     /* 161889 */     GIR_EraseRootFromParent_Done,
     /* 161890 */   // Label 3114: @161890
     /* 161890 */   GIM_Try, /*On fail goto*//*Label 3115*/ GIMT_Encode4(161937), // Rule ID 3889 //
     /* 161895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 161898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_strip),
     /* 161903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 161906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 161909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 161913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 161917 */     // MIs[0] Operand 3
     /* 161917 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(2),
     /* 161928 */     // (intrinsic_wo_chain:{ *:[i64] } 298:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 2:{ *:[i32] })  =>  (XPACD:{ *:[i64] } GPR64:{ *:[i64] }:$Rd)
     /* 161928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XPACD),
     /* 161931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161933 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 161935 */     GIR_RootConstrainSelectedInstOperands,
     /* 161936 */     // GIR_Coverage, 3889,
     /* 161936 */     GIR_EraseRootFromParent_Done,
     /* 161937 */   // Label 3115: @161937
     /* 161937 */   GIM_Try, /*On fail goto*//*Label 3116*/ GIMT_Encode4(161984), // Rule ID 3890 //
     /* 161942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 161945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_strip),
     /* 161950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 161953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 161956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 161960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 161964 */     // MIs[0] Operand 3
     /* 161964 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(3),
     /* 161975 */     // (intrinsic_wo_chain:{ *:[i64] } 298:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 3:{ *:[i32] })  =>  (XPACD:{ *:[i64] } GPR64:{ *:[i64] }:$Rd)
     /* 161975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XPACD),
     /* 161978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161980 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 161982 */     GIR_RootConstrainSelectedInstOperands,
     /* 161983 */     // GIR_Coverage, 3890,
     /* 161983 */     GIR_EraseRootFromParent_Done,
     /* 161984 */   // Label 3116: @161984
     /* 161984 */   GIM_Try, /*On fail goto*//*Label 3117*/ GIMT_Encode4(162030), // Rule ID 3544 //
     /* 161989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 161992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_pred_lane),
     /* 161997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 162000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 162003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 162007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 162011 */     // MIs[0] Idx
     /* 162011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 162014 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_0),
     /* 162019 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1612:{ *:[iPTR] }, ZPRAny:{ *:[nxv16i8] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_timm32_0_0>>:$Idx)  =>  (PMOV_PZI_B:{ *:[nxv16i1] } ZPRAny:{ *:[nxv16i8] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_timm32_0_0>>:$Idx)
     /* 162019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_PZI_B),
     /* 162022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 162024 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 162026 */     GIR_RootToRootCopy, /*OpIdx*/3, // Idx
     /* 162028 */     GIR_RootConstrainSelectedInstOperands,
     /* 162029 */     // GIR_Coverage, 3544,
     /* 162029 */     GIR_EraseRootFromParent_Done,
     /* 162030 */   // Label 3117: @162030
     /* 162030 */   GIM_Try, /*On fail goto*//*Label 3118*/ GIMT_Encode4(162076), // Rule ID 3545 //
     /* 162035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 162038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_pred_lane),
     /* 162043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 162046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 162049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 162053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 162057 */     // MIs[0] Idx
     /* 162057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 162060 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_1),
     /* 162065 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1612:{ *:[iPTR] }, ZPRAny:{ *:[nxv8i16] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_timm32_0_1>>:$Idx)  =>  (PMOV_PZI_H:{ *:[nxv8i1] } ZPRAny:{ *:[nxv8i16] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_timm32_0_1>>:$Idx)
     /* 162065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_PZI_H),
     /* 162068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 162070 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 162072 */     GIR_RootToRootCopy, /*OpIdx*/3, // Idx
     /* 162074 */     GIR_RootConstrainSelectedInstOperands,
     /* 162075 */     // GIR_Coverage, 3545,
     /* 162075 */     GIR_EraseRootFromParent_Done,
     /* 162076 */   // Label 3118: @162076
     /* 162076 */   GIM_Try, /*On fail goto*//*Label 3119*/ GIMT_Encode4(162122), // Rule ID 3546 //
     /* 162081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 162084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_pred_lane),
     /* 162089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 162092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 162095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 162099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 162103 */     // MIs[0] Idx
     /* 162103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 162106 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 162111 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1612:{ *:[iPTR] }, ZPRAny:{ *:[nxv4i32] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$Idx)  =>  (PMOV_PZI_S:{ *:[nxv4i1] } ZPRAny:{ *:[nxv4i32] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$Idx)
     /* 162111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_PZI_S),
     /* 162114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 162116 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 162118 */     GIR_RootToRootCopy, /*OpIdx*/3, // Idx
     /* 162120 */     GIR_RootConstrainSelectedInstOperands,
     /* 162121 */     // GIR_Coverage, 3546,
     /* 162121 */     GIR_EraseRootFromParent_Done,
     /* 162122 */   // Label 3119: @162122
     /* 162122 */   GIM_Try, /*On fail goto*//*Label 3120*/ GIMT_Encode4(162168), // Rule ID 3547 //
     /* 162127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 162130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_pred_lane),
     /* 162135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 162138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 162141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 162145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 162149 */     // MIs[0] Idx
     /* 162149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 162152 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 162157 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1612:{ *:[iPTR] }, ZPRAny:{ *:[nxv2i64] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$Idx)  =>  (PMOV_PZI_D:{ *:[nxv2i1] } ZPRAny:{ *:[nxv2i64] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$Idx)
     /* 162157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_PZI_D),
     /* 162160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 162162 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 162164 */     GIR_RootToRootCopy, /*OpIdx*/3, // Idx
     /* 162166 */     GIR_RootConstrainSelectedInstOperands,
     /* 162167 */     // GIR_Coverage, 3547,
     /* 162167 */     GIR_EraseRootFromParent_Done,
     /* 162168 */   // Label 3120: @162168
     /* 162168 */   GIM_Try, /*On fail goto*//*Label 3121*/ GIMT_Encode4(162224), // Rule ID 2109 //
     /* 162173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 162176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshrn),
     /* 162181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 162184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 162187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 162190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 162194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 162202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 162206 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 162210 */     // MIs[1] Operand 1
     /* 162210 */     // No operand predicates
     /* 162210 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 162212 */     // (intrinsic_wo_chain:{ *:[i32] } 692:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (SQRSHRNs:{ *:[i32] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 162212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRNs),
     /* 162215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162217 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162219 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 162222 */     GIR_RootConstrainSelectedInstOperands,
     /* 162223 */     // GIR_Coverage, 2109,
     /* 162223 */     GIR_EraseRootFromParent_Done,
     /* 162224 */   // Label 3121: @162224
     /* 162224 */   GIM_Try, /*On fail goto*//*Label 3122*/ GIMT_Encode4(162280), // Rule ID 2110 //
     /* 162229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 162232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshrun),
     /* 162237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 162240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 162243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 162246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 162250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 162258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 162262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 162266 */     // MIs[1] Operand 1
     /* 162266 */     // No operand predicates
     /* 162266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 162268 */     // (intrinsic_wo_chain:{ *:[i32] } 693:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (SQRSHRUNs:{ *:[i32] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 162268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRUNs),
     /* 162271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162273 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 162278 */     GIR_RootConstrainSelectedInstOperands,
     /* 162279 */     // GIR_Coverage, 2110,
     /* 162279 */     GIR_EraseRootFromParent_Done,
     /* 162280 */   // Label 3122: @162280
     /* 162280 */   GIM_Try, /*On fail goto*//*Label 3123*/ GIMT_Encode4(162336), // Rule ID 2115 //
     /* 162285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 162288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshrn),
     /* 162293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 162296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 162299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 162302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 162306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 162314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 162318 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 162322 */     // MIs[1] Operand 1
     /* 162322 */     // No operand predicates
     /* 162322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 162324 */     // (intrinsic_wo_chain:{ *:[i32] } 696:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (SQSHRNs:{ *:[i32] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 162324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRNs),
     /* 162327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162329 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 162334 */     GIR_RootConstrainSelectedInstOperands,
     /* 162335 */     // GIR_Coverage, 2115,
     /* 162335 */     GIR_EraseRootFromParent_Done,
     /* 162336 */   // Label 3123: @162336
     /* 162336 */   GIM_Try, /*On fail goto*//*Label 3124*/ GIMT_Encode4(162392), // Rule ID 2116 //
     /* 162341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 162344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshrun),
     /* 162349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 162352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 162355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 162358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 162362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 162370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 162374 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 162378 */     // MIs[1] Operand 1
     /* 162378 */     // No operand predicates
     /* 162378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 162380 */     // (intrinsic_wo_chain:{ *:[i32] } 697:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (SQSHRUNs:{ *:[i32] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 162380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRUNs),
     /* 162383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162385 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 162390 */     GIR_RootConstrainSelectedInstOperands,
     /* 162391 */     // GIR_Coverage, 2116,
     /* 162391 */     GIR_EraseRootFromParent_Done,
     /* 162392 */   // Label 3124: @162392
     /* 162392 */   GIM_Try, /*On fail goto*//*Label 3125*/ GIMT_Encode4(162448), // Rule ID 2123 //
     /* 162397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 162400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqrshrn),
     /* 162405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 162408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 162411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 162414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 162418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 162426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 162430 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 162434 */     // MIs[1] Operand 1
     /* 162434 */     // No operand predicates
     /* 162434 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 162436 */     // (intrinsic_wo_chain:{ *:[i32] } 741:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (UQRSHRNs:{ *:[i32] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 162436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHRNs),
     /* 162439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162441 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162443 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 162446 */     GIR_RootConstrainSelectedInstOperands,
     /* 162447 */     // GIR_Coverage, 2123,
     /* 162447 */     GIR_EraseRootFromParent_Done,
     /* 162448 */   // Label 3125: @162448
     /* 162448 */   GIM_Try, /*On fail goto*//*Label 3126*/ GIMT_Encode4(162504), // Rule ID 2126 //
     /* 162453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 162456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqshrn),
     /* 162461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 162464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 162467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 162470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 162474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 162482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 162486 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 162490 */     // MIs[1] Operand 1
     /* 162490 */     // No operand predicates
     /* 162490 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 162492 */     // (intrinsic_wo_chain:{ *:[i32] } 743:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (UQSHRNs:{ *:[i32] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 162492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHRNs),
     /* 162495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162497 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162499 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 162502 */     GIR_RootConstrainSelectedInstOperands,
     /* 162503 */     // GIR_Coverage, 2126,
     /* 162503 */     GIR_EraseRootFromParent_Done,
     /* 162504 */   // Label 3126: @162504
     /* 162504 */   GIM_Try, /*On fail goto*//*Label 3127*/ GIMT_Encode4(162560), // Rule ID 2148 //
     /* 162509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 162512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /* 162517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 162520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 162523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 162526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 162538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 162542 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16Narrow),
     /* 162546 */     // MIs[1] Operand 1
     /* 162546 */     // No operand predicates
     /* 162546 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 162548 */     // (intrinsic_wo_chain:{ *:[v8i8] } 657:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16Narrow>>:$imm)  =>  (RSHRNv8i8_shift:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 162548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNv8i8_shift),
     /* 162551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162553 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162555 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 162558 */     GIR_RootConstrainSelectedInstOperands,
     /* 162559 */     // GIR_Coverage, 2148,
     /* 162559 */     GIR_EraseRootFromParent_Done,
     /* 162560 */   // Label 3127: @162560
     /* 162560 */   GIM_Try, /*On fail goto*//*Label 3128*/ GIMT_Encode4(162616), // Rule ID 2150 //
     /* 162565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 162568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /* 162573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 162576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 162579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 162582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 162594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 162598 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32Narrow),
     /* 162602 */     // MIs[1] Operand 1
     /* 162602 */     // No operand predicates
     /* 162602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 162604 */     // (intrinsic_wo_chain:{ *:[v4i16] } 657:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32Narrow>>:$imm)  =>  (RSHRNv4i16_shift:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 162604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNv4i16_shift),
     /* 162607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162609 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 162614 */     GIR_RootConstrainSelectedInstOperands,
     /* 162615 */     // GIR_Coverage, 2150,
     /* 162615 */     GIR_EraseRootFromParent_Done,
     /* 162616 */   // Label 3128: @162616
     /* 162616 */   GIM_Try, /*On fail goto*//*Label 3129*/ GIMT_Encode4(162672), // Rule ID 2152 //
     /* 162621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 162624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /* 162629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 162632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 162635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 162638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 162650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 162654 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64Narrow),
     /* 162658 */     // MIs[1] Operand 1
     /* 162658 */     // No operand predicates
     /* 162658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 162660 */     // (intrinsic_wo_chain:{ *:[v2i32] } 657:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64Narrow>>:$imm)  =>  (RSHRNv2i32_shift:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 162660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNv2i32_shift),
     /* 162663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162665 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 162670 */     GIR_RootConstrainSelectedInstOperands,
     /* 162671 */     // GIR_Coverage, 2152,
     /* 162671 */     GIR_EraseRootFromParent_Done,
     /* 162672 */   // Label 3129: @162672
     /* 162672 */   GIM_Try, /*On fail goto*//*Label 3130*/ GIMT_Encode4(162725), // Rule ID 6235 //
     /* 162677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxs),
     /* 162682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 162685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 162688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 162691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 162695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 162699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 162703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 162707 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 162711 */     // MIs[1] Operand 1
     /* 162711 */     // No operand predicates
     /* 162711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 162713 */     // (intrinsic_wo_chain:{ *:[i32] } 762:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (FCVTZSs:{ *:[i32] } FPR32:{ *:[f32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)
     /* 162713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSs),
     /* 162716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162718 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162720 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 162723 */     GIR_RootConstrainSelectedInstOperands,
     /* 162724 */     // GIR_Coverage, 6235,
     /* 162724 */     GIR_EraseRootFromParent_Done,
     /* 162725 */   // Label 3130: @162725
     /* 162725 */   GIM_Try, /*On fail goto*//*Label 3131*/ GIMT_Encode4(162778), // Rule ID 6236 //
     /* 162730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxu),
     /* 162735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 162738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 162741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 162744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 162748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 162752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 162756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 162760 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 162764 */     // MIs[1] Operand 1
     /* 162764 */     // No operand predicates
     /* 162764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 162766 */     // (intrinsic_wo_chain:{ *:[i32] } 763:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (FCVTZUs:{ *:[i32] } FPR32:{ *:[f32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)
     /* 162766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUs),
     /* 162769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162771 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 162776 */     GIR_RootConstrainSelectedInstOperands,
     /* 162777 */     // GIR_Coverage, 6236,
     /* 162777 */     GIR_EraseRootFromParent_Done,
     /* 162778 */   // Label 3131: @162778
     /* 162778 */   GIM_Try, /*On fail goto*//*Label 3132*/ GIMT_Encode4(162831), // Rule ID 6237 //
     /* 162783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxs),
     /* 162788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 162791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 162794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 162797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 162809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 162813 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 162817 */     // MIs[1] Operand 1
     /* 162817 */     // No operand predicates
     /* 162817 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 162819 */     // (intrinsic_wo_chain:{ *:[i64] } 762:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (FCVTZSd:{ *:[i64] } FPR64:{ *:[f64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /* 162819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSd),
     /* 162822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162824 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162826 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 162829 */     GIR_RootConstrainSelectedInstOperands,
     /* 162830 */     // GIR_Coverage, 6237,
     /* 162830 */     GIR_EraseRootFromParent_Done,
     /* 162831 */   // Label 3132: @162831
     /* 162831 */   GIM_Try, /*On fail goto*//*Label 3133*/ GIMT_Encode4(162884), // Rule ID 6238 //
     /* 162836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxu),
     /* 162841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 162844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 162847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 162850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 162862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 162866 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 162870 */     // MIs[1] Operand 1
     /* 162870 */     // No operand predicates
     /* 162870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 162872 */     // (intrinsic_wo_chain:{ *:[i64] } 763:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (FCVTZUd:{ *:[i64] } FPR64:{ *:[f64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /* 162872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUd),
     /* 162875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162877 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162879 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 162882 */     GIR_RootConstrainSelectedInstOperands,
     /* 162883 */     // GIR_Coverage, 6238,
     /* 162883 */     GIR_EraseRootFromParent_Done,
     /* 162884 */   // Label 3133: @162884
     /* 162884 */   GIM_Try, /*On fail goto*//*Label 3134*/ GIMT_Encode4(162937), // Rule ID 6239 //
     /* 162889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxs),
     /* 162894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 162897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 162900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 162903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 162915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 162919 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 162923 */     // MIs[1] Operand 1
     /* 162923 */     // No operand predicates
     /* 162923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 162925 */     // (intrinsic_wo_chain:{ *:[v1i64] } 762:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (FCVTZSd:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /* 162925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSd),
     /* 162928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162930 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162932 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 162935 */     GIR_RootConstrainSelectedInstOperands,
     /* 162936 */     // GIR_Coverage, 6239,
     /* 162936 */     GIR_EraseRootFromParent_Done,
     /* 162937 */   // Label 3134: @162937
     /* 162937 */   GIM_Try, /*On fail goto*//*Label 3135*/ GIMT_Encode4(162990), // Rule ID 6240 //
     /* 162942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxu),
     /* 162947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 162950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 162953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 162956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 162968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 162972 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 162976 */     // MIs[1] Operand 1
     /* 162976 */     // No operand predicates
     /* 162976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 162978 */     // (intrinsic_wo_chain:{ *:[v1i64] } 763:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (FCVTZUd:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /* 162978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUd),
     /* 162981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162983 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162985 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 162988 */     GIR_RootConstrainSelectedInstOperands,
     /* 162989 */     // GIR_Coverage, 6240,
     /* 162989 */     GIR_EraseRootFromParent_Done,
     /* 162990 */   // Label 3135: @162990
     /* 162990 */   GIM_Try, /*On fail goto*//*Label 3136*/ GIMT_Encode4(163043), // Rule ID 6241 //
     /* 162995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxu2fp),
     /* 163000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 163003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 163006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 163013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 163017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163025 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 163029 */     // MIs[1] Operand 1
     /* 163029 */     // No operand predicates
     /* 163029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163031 */     // (intrinsic_wo_chain:{ *:[f32] } 766:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (UCVTFs:{ *:[f32] } FPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)
     /* 163031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFs),
     /* 163034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163036 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163038 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 163041 */     GIR_RootConstrainSelectedInstOperands,
     /* 163042 */     // GIR_Coverage, 6241,
     /* 163042 */     GIR_EraseRootFromParent_Done,
     /* 163043 */   // Label 3136: @163043
     /* 163043 */   GIM_Try, /*On fail goto*//*Label 3137*/ GIMT_Encode4(163096), // Rule ID 6242 //
     /* 163048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxu2fp),
     /* 163053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 163056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 163059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163078 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 163082 */     // MIs[1] Operand 1
     /* 163082 */     // No operand predicates
     /* 163082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163084 */     // (intrinsic_wo_chain:{ *:[f64] } 766:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (UCVTFd:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /* 163084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFd),
     /* 163087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163089 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 163094 */     GIR_RootConstrainSelectedInstOperands,
     /* 163095 */     // GIR_Coverage, 6242,
     /* 163095 */     GIR_EraseRootFromParent_Done,
     /* 163096 */   // Label 3137: @163096
     /* 163096 */   GIM_Try, /*On fail goto*//*Label 3138*/ GIMT_Encode4(163149), // Rule ID 6243 //
     /* 163101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxs2fp),
     /* 163106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 163109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 163112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 163135 */     // MIs[1] Operand 1
     /* 163135 */     // No operand predicates
     /* 163135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163137 */     // (intrinsic_wo_chain:{ *:[v1f64] } 765:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (SCVTFd:{ *:[v1f64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /* 163137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFd),
     /* 163140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163142 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163144 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 163147 */     GIR_RootConstrainSelectedInstOperands,
     /* 163148 */     // GIR_Coverage, 6243,
     /* 163148 */     GIR_EraseRootFromParent_Done,
     /* 163149 */   // Label 3138: @163149
     /* 163149 */   GIM_Try, /*On fail goto*//*Label 3139*/ GIMT_Encode4(163202), // Rule ID 6244 //
     /* 163154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxs2fp),
     /* 163159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 163162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 163165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163184 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 163188 */     // MIs[1] Operand 1
     /* 163188 */     // No operand predicates
     /* 163188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163190 */     // (intrinsic_wo_chain:{ *:[f64] } 765:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (SCVTFd:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /* 163190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFd),
     /* 163193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163195 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 163200 */     GIR_RootConstrainSelectedInstOperands,
     /* 163201 */     // GIR_Coverage, 6244,
     /* 163201 */     GIR_EraseRootFromParent_Done,
     /* 163202 */   // Label 3139: @163202
     /* 163202 */   GIM_Try, /*On fail goto*//*Label 3140*/ GIMT_Encode4(163255), // Rule ID 6245 //
     /* 163207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxu2fp),
     /* 163212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 163215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 163218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163237 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 163241 */     // MIs[1] Operand 1
     /* 163241 */     // No operand predicates
     /* 163241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163243 */     // (intrinsic_wo_chain:{ *:[v1f64] } 766:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (UCVTFd:{ *:[v1f64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /* 163243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFd),
     /* 163246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163248 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163250 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 163253 */     GIR_RootConstrainSelectedInstOperands,
     /* 163254 */     // GIR_Coverage, 6245,
     /* 163254 */     GIR_EraseRootFromParent_Done,
     /* 163255 */   // Label 3140: @163255
     /* 163255 */   GIM_Try, /*On fail goto*//*Label 3141*/ GIMT_Encode4(163308), // Rule ID 6246 //
     /* 163260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxs2fp),
     /* 163265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 163268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 163271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 163278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 163282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163290 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 163294 */     // MIs[1] Operand 1
     /* 163294 */     // No operand predicates
     /* 163294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163296 */     // (intrinsic_wo_chain:{ *:[f32] } 765:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (SCVTFs:{ *:[f32] } FPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)
     /* 163296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFs),
     /* 163299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163301 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 163306 */     GIR_RootConstrainSelectedInstOperands,
     /* 163307 */     // GIR_Coverage, 6246,
     /* 163307 */     GIR_EraseRootFromParent_Done,
     /* 163308 */   // Label 3141: @163308
     /* 163308 */   GIM_Try, /*On fail goto*//*Label 3142*/ GIMT_Encode4(163390), // Rule ID 6248 //
     /* 163313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxs2fp),
     /* 163318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 163321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 163324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 163331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 163335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163343 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /* 163347 */     // MIs[1] Operand 1
     /* 163347 */     // No operand predicates
     /* 163347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163349 */     // (intrinsic_wo_chain:{ *:[f16] } 765:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)  =>  (SCVTFh:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } FPR32:{ *:[i32] }:$Rn, hsub:{ *:[i32] }), (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)
     /* 163349 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 163352 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 163356 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 163361 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 163367 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 163372 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 163377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFh),
     /* 163380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 163385 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 163388 */     GIR_RootConstrainSelectedInstOperands,
     /* 163389 */     // GIR_Coverage, 6248,
     /* 163389 */     GIR_EraseRootFromParent_Done,
     /* 163390 */   // Label 3142: @163390
     /* 163390 */   GIM_Try, /*On fail goto*//*Label 3143*/ GIMT_Encode4(163472), // Rule ID 6249 //
     /* 163395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxs2fp),
     /* 163400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 163403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 163406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 163413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163425 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /* 163429 */     // MIs[1] Operand 1
     /* 163429 */     // No operand predicates
     /* 163429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163431 */     // (intrinsic_wo_chain:{ *:[f16] } 765:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)  =>  (SCVTFh:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, hsub:{ *:[i32] }), (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)
     /* 163431 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 163434 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 163438 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 163443 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 163449 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 163454 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFh),
     /* 163462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163464 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 163467 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 163470 */     GIR_RootConstrainSelectedInstOperands,
     /* 163471 */     // GIR_Coverage, 6249,
     /* 163471 */     GIR_EraseRootFromParent_Done,
     /* 163472 */   // Label 3143: @163472
     /* 163472 */   GIM_Try, /*On fail goto*//*Label 3144*/ GIMT_Encode4(163554), // Rule ID 6251 //
     /* 163477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxu2fp),
     /* 163482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 163485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 163488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 163495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 163499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163507 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /* 163511 */     // MIs[1] Operand 1
     /* 163511 */     // No operand predicates
     /* 163511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163513 */     // (intrinsic_wo_chain:{ *:[f16] } 766:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)  =>  (UCVTFh:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } FPR32:{ *:[i32] }:$Rn, hsub:{ *:[i32] }), (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)
     /* 163513 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 163516 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 163520 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 163525 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 163531 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 163536 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 163541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFh),
     /* 163544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163546 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 163549 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 163552 */     GIR_RootConstrainSelectedInstOperands,
     /* 163553 */     // GIR_Coverage, 6251,
     /* 163553 */     GIR_EraseRootFromParent_Done,
     /* 163554 */   // Label 3144: @163554
     /* 163554 */   GIM_Try, /*On fail goto*//*Label 3145*/ GIMT_Encode4(163636), // Rule ID 6252 //
     /* 163559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxu2fp),
     /* 163564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 163567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 163570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 163577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163589 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /* 163593 */     // MIs[1] Operand 1
     /* 163593 */     // No operand predicates
     /* 163593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163595 */     // (intrinsic_wo_chain:{ *:[f16] } 766:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)  =>  (UCVTFh:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, hsub:{ *:[i32] }), (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)
     /* 163595 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 163598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 163602 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 163607 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 163613 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 163618 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFh),
     /* 163626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 163631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 163634 */     GIR_RootConstrainSelectedInstOperands,
     /* 163635 */     // GIR_Coverage, 6252,
     /* 163635 */     GIR_EraseRootFromParent_Done,
     /* 163636 */   // Label 3145: @163636
     /* 163636 */   GIM_Try, /*On fail goto*//*Label 3146*/ GIMT_Encode4(163742), // Rule ID 6253 //
     /* 163641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxs),
     /* 163646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 163649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 163652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 163659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 163663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163671 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 163675 */     // MIs[1] Operand 1
     /* 163675 */     // No operand predicates
     /* 163675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163677 */     // (intrinsic_wo_chain:{ *:[i32] } 762:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), (FCVTZSh:{ *:[i16] } FPR16:{ *:[f16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm), hsub:{ *:[i32] })
     /* 163677 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 163680 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSh),
     /* 163684 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 163689 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 163693 */     GIR_CopyConstantAsSImm, /*NewInsnID*/2, /*OldInsnID*/1, // imm
     /* 163696 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 163698 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 163701 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 163705 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 163710 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 163712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 163715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 163717 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 163720 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 163723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 163726 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 163731 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 163736 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 163741 */     // GIR_Coverage, 6253,
     /* 163741 */     GIR_EraseRootFromParent_Done,
     /* 163742 */   // Label 3146: @163742
     /* 163742 */   GIM_Try, /*On fail goto*//*Label 3147*/ GIMT_Encode4(163848), // Rule ID 6254 //
     /* 163747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxs),
     /* 163752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 163755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 163758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 163769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163777 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 163781 */     // MIs[1] Operand 1
     /* 163781 */     // No operand predicates
     /* 163781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163783 */     // (intrinsic_wo_chain:{ *:[i64] } 762:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), (FCVTZSh:{ *:[i16] } FPR16:{ *:[f16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm), hsub:{ *:[i32] })
     /* 163783 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 163786 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSh),
     /* 163790 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 163795 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 163799 */     GIR_CopyConstantAsSImm, /*NewInsnID*/2, /*OldInsnID*/1, // imm
     /* 163802 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 163804 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 163807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 163811 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 163816 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 163818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 163821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 163823 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 163826 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 163829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 163832 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163837 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163842 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 163847 */     // GIR_Coverage, 6254,
     /* 163847 */     GIR_EraseRootFromParent_Done,
     /* 163848 */   // Label 3147: @163848
     /* 163848 */   GIM_Try, /*On fail goto*//*Label 3148*/ GIMT_Encode4(163954), // Rule ID 6255 //
     /* 163853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxu),
     /* 163858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 163861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 163864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 163871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 163875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163883 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 163887 */     // MIs[1] Operand 1
     /* 163887 */     // No operand predicates
     /* 163887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163889 */     // (intrinsic_wo_chain:{ *:[i32] } 763:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), (FCVTZUh:{ *:[i16] } FPR16:{ *:[f16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm), hsub:{ *:[i32] })
     /* 163889 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 163892 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUh),
     /* 163896 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 163901 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 163905 */     GIR_CopyConstantAsSImm, /*NewInsnID*/2, /*OldInsnID*/1, // imm
     /* 163908 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 163910 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 163913 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 163917 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 163922 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 163924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 163927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 163929 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 163932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 163935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 163938 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 163943 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 163948 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 163953 */     // GIR_Coverage, 6255,
     /* 163953 */     GIR_EraseRootFromParent_Done,
     /* 163954 */   // Label 3148: @163954
     /* 163954 */   GIM_Try, /*On fail goto*//*Label 3149*/ GIMT_Encode4(164060), // Rule ID 6256 //
     /* 163959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxu),
     /* 163964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 163967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 163970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 163981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163989 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 163993 */     // MIs[1] Operand 1
     /* 163993 */     // No operand predicates
     /* 163993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163995 */     // (intrinsic_wo_chain:{ *:[i64] } 763:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), (FCVTZUh:{ *:[i16] } FPR16:{ *:[f16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm), hsub:{ *:[i32] })
     /* 163995 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 163998 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUh),
     /* 164002 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 164007 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 164011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/2, /*OldInsnID*/1, // imm
     /* 164014 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 164016 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 164019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 164023 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 164028 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 164030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 164033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 164035 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 164038 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 164041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 164044 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164049 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164054 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 164059 */     // GIR_Coverage, 6256,
     /* 164059 */     GIR_EraseRootFromParent_Done,
     /* 164060 */   // Label 3149: @164060
     /* 164060 */   GIM_Try, /*On fail goto*//*Label 3150*/ GIMT_Encode4(164118), // Rule ID 6945 //
     /* 164065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_blend),
     /* 164070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 164073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 164076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 164079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 164083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 164087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 164091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 164095 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm64_0_65535),
     /* 164099 */     // MIs[1] Operand 1
     /* 164099 */     // No operand predicates
     /* 164099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164101 */     // (intrinsic_wo_chain:{ *:[i64] } 294:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, (imm:{ *:[i64] })<<P:Predicate_imm64_0_65535>>:$imm)  =>  (MOVKXi:{ *:[i64] } GPR64:{ *:[i64] }:$Rd, (trunc_imm:{ *:[i32] } (imm:{ *:[i64] })<<P:Predicate_imm64_0_65535>>:$imm), 48:{ *:[i32] })
     /* 164101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MOVKXi),
     /* 164104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 164106 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 164108 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // imm
     /* 164113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 164116 */     GIR_RootConstrainSelectedInstOperands,
     /* 164117 */     // GIR_Coverage, 6945,
     /* 164117 */     GIR_EraseRootFromParent_Done,
     /* 164118 */   // Label 3150: @164118
     /* 164118 */   GIM_Try, /*On fail goto*//*Label 3151*/ GIMT_Encode4(164160), // Rule ID 3045 //
     /* 164123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 164126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sshllb),
     /* 164131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 164134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 164137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 164141 */     // MIs[0] Op2
     /* 164141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 164144 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL8),
     /* 164149 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1850:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL8>>:$Op2)  =>  (SSHLLB_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL8>>:$Op2)
     /* 164149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLB_ZZI_H),
     /* 164152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 164154 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 164156 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 164158 */     GIR_RootConstrainSelectedInstOperands,
     /* 164159 */     // GIR_Coverage, 3045,
     /* 164159 */     GIR_EraseRootFromParent_Done,
     /* 164160 */   // Label 3151: @164160
     /* 164160 */   GIM_Try, /*On fail goto*//*Label 3152*/ GIMT_Encode4(164202), // Rule ID 3046 //
     /* 164165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 164168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sshllb),
     /* 164173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 164176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 164179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 164183 */     // MIs[0] Op2
     /* 164183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 164186 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL16),
     /* 164191 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1850:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL16>>:$Op2)  =>  (SSHLLB_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL16>>:$Op2)
     /* 164191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLB_ZZI_S),
     /* 164194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 164196 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 164198 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 164200 */     GIR_RootConstrainSelectedInstOperands,
     /* 164201 */     // GIR_Coverage, 3046,
     /* 164201 */     GIR_EraseRootFromParent_Done,
     /* 164202 */   // Label 3152: @164202
     /* 164202 */   GIM_Try, /*On fail goto*//*Label 3153*/ GIMT_Encode4(164244), // Rule ID 3047 //
     /* 164207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 164210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sshllb),
     /* 164215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 164218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 164221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 164225 */     // MIs[0] Op2
     /* 164225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 164228 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL32),
     /* 164233 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1850:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL32>>:$Op2)  =>  (SSHLLB_ZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL32>>:$Op2)
     /* 164233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLB_ZZI_D),
     /* 164236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 164238 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 164240 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 164242 */     GIR_RootConstrainSelectedInstOperands,
     /* 164243 */     // GIR_Coverage, 3047,
     /* 164243 */     GIR_EraseRootFromParent_Done,
     /* 164244 */   // Label 3153: @164244
     /* 164244 */   GIM_Try, /*On fail goto*//*Label 3154*/ GIMT_Encode4(164286), // Rule ID 3081 //
     /* 164249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 164252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrunb),
     /* 164257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 164260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 164263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 164267 */     // MIs[0] Op2
     /* 164267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 164270 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 164275 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1831:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)  =>  (SQSHRUNB_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)
     /* 164275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRUNB_ZZI_B),
     /* 164278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 164280 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 164282 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 164284 */     GIR_RootConstrainSelectedInstOperands,
     /* 164285 */     // GIR_Coverage, 3081,
     /* 164285 */     GIR_EraseRootFromParent_Done,
     /* 164286 */   // Label 3154: @164286
     /* 164286 */   GIM_Try, /*On fail goto*//*Label 3155*/ GIMT_Encode4(164328), // Rule ID 3082 //
     /* 164291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 164294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrunb),
     /* 164299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 164302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 164305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 164309 */     // MIs[0] Op2
     /* 164309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 164312 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 164317 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1831:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)  =>  (SQSHRUNB_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)
     /* 164317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRUNB_ZZI_H),
     /* 164320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 164322 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 164324 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 164326 */     GIR_RootConstrainSelectedInstOperands,
     /* 164327 */     // GIR_Coverage, 3082,
     /* 164327 */     GIR_EraseRootFromParent_Done,
     /* 164328 */   // Label 3155: @164328
     /* 164328 */   GIM_Try, /*On fail goto*//*Label 3156*/ GIMT_Encode4(164370), // Rule ID 3083 //
     /* 164333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 164336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrunb),
     /* 164341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 164344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 164347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 164351 */     // MIs[0] Op2
     /* 164351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 164354 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 164359 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1831:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)  =>  (SQSHRUNB_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)
     /* 164359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRUNB_ZZI_S),
     /* 164362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 164364 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 164366 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 164368 */     GIR_RootConstrainSelectedInstOperands,
     /* 164369 */     // GIR_Coverage, 3083,
     /* 164369 */     GIR_EraseRootFromParent_Done,
     /* 164370 */   // Label 3156: @164370
     /* 164370 */   GIM_Try, /*On fail goto*//*Label 3157*/ GIMT_Encode4(164412), // Rule ID 3530 //
     /* 164375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 164378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_dup_laneq),
     /* 164383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 164386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 164389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 164393 */     // MIs[0] Op2
     /* 164393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 164396 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB32b_timm),
     /* 164401 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1331:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexB32b_timm>>:$Op2)  =>  (DUPQ_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexB32b_timm>>:$Op2)
     /* 164401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPQ_ZZI_B),
     /* 164404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 164406 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 164408 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 164410 */     GIR_RootConstrainSelectedInstOperands,
     /* 164411 */     // GIR_Coverage, 3530,
     /* 164411 */     GIR_EraseRootFromParent_Done,
     /* 164412 */   // Label 3157: @164412
     /* 164412 */   GIM_Try, /*On fail goto*//*Label 3158*/ GIMT_Encode4(164454), // Rule ID 3531 //
     /* 164417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 164420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_dup_laneq),
     /* 164425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 164428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 164431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 164435 */     // MIs[0] Op2
     /* 164435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 164438 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 164443 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1331:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op2)  =>  (DUPQ_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op2)
     /* 164443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPQ_ZZI_H),
     /* 164446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 164448 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 164450 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 164452 */     GIR_RootConstrainSelectedInstOperands,
     /* 164453 */     // GIR_Coverage, 3531,
     /* 164453 */     GIR_EraseRootFromParent_Done,
     /* 164454 */   // Label 3158: @164454
     /* 164454 */   GIM_Try, /*On fail goto*//*Label 3159*/ GIMT_Encode4(164496), // Rule ID 3532 //
     /* 164459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 164462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_dup_laneq),
     /* 164467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 164470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 164473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 164477 */     // MIs[0] Op2
     /* 164477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 164480 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 164485 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1331:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op2)  =>  (DUPQ_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op2)
     /* 164485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPQ_ZZI_S),
     /* 164488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 164490 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 164492 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 164494 */     GIR_RootConstrainSelectedInstOperands,
     /* 164495 */     // GIR_Coverage, 3532,
     /* 164495 */     GIR_EraseRootFromParent_Done,
     /* 164496 */   // Label 3159: @164496
     /* 164496 */   GIM_Try, /*On fail goto*//*Label 3160*/ GIMT_Encode4(164538), // Rule ID 3533 //
     /* 164501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 164504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_dup_laneq),
     /* 164509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 164512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 164515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 164519 */     // MIs[0] Op2
     /* 164519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 164522 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 164527 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1331:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op2)  =>  (DUPQ_ZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op2)
     /* 164527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPQ_ZZI_D),
     /* 164530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 164532 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 164534 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 164536 */     GIR_RootConstrainSelectedInstOperands,
     /* 164537 */     // GIR_Coverage, 3533,
     /* 164537 */     GIR_EraseRootFromParent_Done,
     /* 164538 */   // Label 3160: @164538
     /* 164538 */   GIM_Try, /*On fail goto*//*Label 3161*/ GIMT_Encode4(164580), // Rule ID 3534 //
     /* 164543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 164546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_dup_laneq),
     /* 164551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 164554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 164557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 164561 */     // MIs[0] Op2
     /* 164561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 164564 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 164569 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1331:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op2)  =>  (DUPQ_ZZI_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op2)
     /* 164569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPQ_ZZI_H),
     /* 164572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 164574 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 164576 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 164578 */     GIR_RootConstrainSelectedInstOperands,
     /* 164579 */     // GIR_Coverage, 3534,
     /* 164579 */     GIR_EraseRootFromParent_Done,
     /* 164580 */   // Label 3161: @164580
     /* 164580 */   GIM_Try, /*On fail goto*//*Label 3162*/ GIMT_Encode4(164622), // Rule ID 3535 //
     /* 164585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 164588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_dup_laneq),
     /* 164593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 164596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 164599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 164603 */     // MIs[0] Op2
     /* 164603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 164606 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 164611 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1331:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op2)  =>  (DUPQ_ZZI_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op2)
     /* 164611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPQ_ZZI_S),
     /* 164614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 164616 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 164618 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 164620 */     GIR_RootConstrainSelectedInstOperands,
     /* 164621 */     // GIR_Coverage, 3535,
     /* 164621 */     GIR_EraseRootFromParent_Done,
     /* 164622 */   // Label 3162: @164622
     /* 164622 */   GIM_Try, /*On fail goto*//*Label 3163*/ GIMT_Encode4(164664), // Rule ID 3536 //
     /* 164627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 164630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_dup_laneq),
     /* 164635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 164638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 164641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 164645 */     // MIs[0] Op2
     /* 164645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 164648 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 164653 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1331:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op2)  =>  (DUPQ_ZZI_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op2)
     /* 164653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPQ_ZZI_D),
     /* 164656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 164658 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 164660 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 164662 */     GIR_RootConstrainSelectedInstOperands,
     /* 164663 */     // GIR_Coverage, 3536,
     /* 164663 */     GIR_EraseRootFromParent_Done,
     /* 164664 */   // Label 3163: @164664
     /* 164664 */   GIM_Try, /*On fail goto*//*Label 3164*/ GIMT_Encode4(164706), // Rule ID 11674 //
     /* 164669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 164672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrunb),
     /* 164677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 164680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 164683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 164687 */     // MIs[0] Op2
     /* 164687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 164690 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 164695 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1825:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)  =>  (SQRSHRUNB_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)
     /* 164695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRUNB_ZZI_B),
     /* 164698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 164700 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 164702 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 164704 */     GIR_RootConstrainSelectedInstOperands,
     /* 164705 */     // GIR_Coverage, 11674,
     /* 164705 */     GIR_EraseRootFromParent_Done,
     /* 164706 */   // Label 3164: @164706
     /* 164706 */   GIM_Try, /*On fail goto*//*Label 3165*/ GIMT_Encode4(164748), // Rule ID 11675 //
     /* 164711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 164714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrunb),
     /* 164719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 164722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 164725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 164729 */     // MIs[0] Op2
     /* 164729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 164732 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 164737 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1825:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)  =>  (SQRSHRUNB_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)
     /* 164737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRUNB_ZZI_H),
     /* 164740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 164742 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 164744 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 164746 */     GIR_RootConstrainSelectedInstOperands,
     /* 164747 */     // GIR_Coverage, 11675,
     /* 164747 */     GIR_EraseRootFromParent_Done,
     /* 164748 */   // Label 3165: @164748
     /* 164748 */   GIM_Try, /*On fail goto*//*Label 3166*/ GIMT_Encode4(164790), // Rule ID 11676 //
     /* 164753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 164756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrunb),
     /* 164761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 164764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 164767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 164771 */     // MIs[0] Op2
     /* 164771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 164774 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 164779 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1825:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)  =>  (SQRSHRUNB_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)
     /* 164779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRUNB_ZZI_S),
     /* 164782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 164784 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 164786 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 164788 */     GIR_RootConstrainSelectedInstOperands,
     /* 164789 */     // GIR_Coverage, 11676,
     /* 164789 */     GIR_EraseRootFromParent_Done,
     /* 164790 */   // Label 3166: @164790
     /* 164790 */   GIM_Try, /*On fail goto*//*Label 3167*/ GIMT_Encode4(164832), // Rule ID 11677 //
     /* 164795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 164798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shrnb),
     /* 164803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 164806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 164809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 164813 */     // MIs[0] Op2
     /* 164813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 164816 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 164821 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1704:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)  =>  (SHRNB_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)
     /* 164821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNB_ZZI_B),
     /* 164824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 164826 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 164828 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 164830 */     GIR_RootConstrainSelectedInstOperands,
     /* 164831 */     // GIR_Coverage, 11677,
     /* 164831 */     GIR_EraseRootFromParent_Done,
     /* 164832 */   // Label 3167: @164832
     /* 164832 */   GIM_Try, /*On fail goto*//*Label 3168*/ GIMT_Encode4(164874), // Rule ID 11678 //
     /* 164837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 164840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shrnb),
     /* 164845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 164848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 164851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 164855 */     // MIs[0] Op2
     /* 164855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 164858 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 164863 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1704:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)  =>  (SHRNB_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)
     /* 164863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNB_ZZI_H),
     /* 164866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 164868 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 164870 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 164872 */     GIR_RootConstrainSelectedInstOperands,
     /* 164873 */     // GIR_Coverage, 11678,
     /* 164873 */     GIR_EraseRootFromParent_Done,
     /* 164874 */   // Label 3168: @164874
     /* 164874 */   GIM_Try, /*On fail goto*//*Label 3169*/ GIMT_Encode4(164916), // Rule ID 11679 //
     /* 164879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 164882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shrnb),
     /* 164887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 164890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 164893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 164897 */     // MIs[0] Op2
     /* 164897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 164900 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 164905 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1704:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)  =>  (SHRNB_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)
     /* 164905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNB_ZZI_S),
     /* 164908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 164910 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 164912 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 164914 */     GIR_RootConstrainSelectedInstOperands,
     /* 164915 */     // GIR_Coverage, 11679,
     /* 164915 */     GIR_EraseRootFromParent_Done,
     /* 164916 */   // Label 3169: @164916
     /* 164916 */   GIM_Try, /*On fail goto*//*Label 3170*/ GIMT_Encode4(164958), // Rule ID 11681 //
     /* 164921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 164924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rshrnb),
     /* 164929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 164932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 164935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 164939 */     // MIs[0] Op2
     /* 164939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 164942 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 164947 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1662:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)  =>  (RSHRNB_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)
     /* 164947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNB_ZZI_B),
     /* 164950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 164952 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 164954 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 164956 */     GIR_RootConstrainSelectedInstOperands,
     /* 164957 */     // GIR_Coverage, 11681,
     /* 164957 */     GIR_EraseRootFromParent_Done,
     /* 164958 */   // Label 3170: @164958
     /* 164958 */   GIM_Try, /*On fail goto*//*Label 3171*/ GIMT_Encode4(165000), // Rule ID 11683 //
     /* 164963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 164966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rshrnb),
     /* 164971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 164974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 164977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 164981 */     // MIs[0] Op2
     /* 164981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 164984 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 164989 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1662:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)  =>  (RSHRNB_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)
     /* 164989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNB_ZZI_H),
     /* 164992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 164994 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 164996 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 164998 */     GIR_RootConstrainSelectedInstOperands,
     /* 164999 */     // GIR_Coverage, 11683,
     /* 164999 */     GIR_EraseRootFromParent_Done,
     /* 165000 */   // Label 3171: @165000
     /* 165000 */   GIM_Try, /*On fail goto*//*Label 3172*/ GIMT_Encode4(165042), // Rule ID 11685 //
     /* 165005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rshrnb),
     /* 165013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 165016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 165019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165023 */     // MIs[0] Op2
     /* 165023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165026 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 165031 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1662:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)  =>  (RSHRNB_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)
     /* 165031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNB_ZZI_S),
     /* 165034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165036 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165038 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165040 */     GIR_RootConstrainSelectedInstOperands,
     /* 165041 */     // GIR_Coverage, 11685,
     /* 165041 */     GIR_EraseRootFromParent_Done,
     /* 165042 */   // Label 3172: @165042
     /* 165042 */   GIM_Try, /*On fail goto*//*Label 3173*/ GIMT_Encode4(165084), // Rule ID 11686 //
     /* 165047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrnb),
     /* 165055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 165058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 165061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165065 */     // MIs[0] Op2
     /* 165065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165068 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 165073 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1829:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)  =>  (SQSHRNB_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)
     /* 165073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRNB_ZZI_B),
     /* 165076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165078 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165080 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165082 */     GIR_RootConstrainSelectedInstOperands,
     /* 165083 */     // GIR_Coverage, 11686,
     /* 165083 */     GIR_EraseRootFromParent_Done,
     /* 165084 */   // Label 3173: @165084
     /* 165084 */   GIM_Try, /*On fail goto*//*Label 3174*/ GIMT_Encode4(165126), // Rule ID 11687 //
     /* 165089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrnb),
     /* 165097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 165100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 165103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165107 */     // MIs[0] Op2
     /* 165107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165110 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 165115 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1829:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)  =>  (SQSHRNB_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)
     /* 165115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRNB_ZZI_H),
     /* 165118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165120 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165122 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165124 */     GIR_RootConstrainSelectedInstOperands,
     /* 165125 */     // GIR_Coverage, 11687,
     /* 165125 */     GIR_EraseRootFromParent_Done,
     /* 165126 */   // Label 3174: @165126
     /* 165126 */   GIM_Try, /*On fail goto*//*Label 3175*/ GIMT_Encode4(165168), // Rule ID 11688 //
     /* 165131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrnb),
     /* 165139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 165142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 165145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165149 */     // MIs[0] Op2
     /* 165149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165152 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 165157 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1829:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)  =>  (SQSHRNB_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)
     /* 165157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRNB_ZZI_S),
     /* 165160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165162 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165164 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165166 */     GIR_RootConstrainSelectedInstOperands,
     /* 165167 */     // GIR_Coverage, 11688,
     /* 165167 */     GIR_EraseRootFromParent_Done,
     /* 165168 */   // Label 3175: @165168
     /* 165168 */   GIM_Try, /*On fail goto*//*Label 3176*/ GIMT_Encode4(165210), // Rule ID 11689 //
     /* 165173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrnb),
     /* 165181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 165184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 165187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165191 */     // MIs[0] Op2
     /* 165191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165194 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 165199 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1819:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)  =>  (SQRSHRNB_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)
     /* 165199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRNB_ZZI_B),
     /* 165202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165204 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165206 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165208 */     GIR_RootConstrainSelectedInstOperands,
     /* 165209 */     // GIR_Coverage, 11689,
     /* 165209 */     GIR_EraseRootFromParent_Done,
     /* 165210 */   // Label 3176: @165210
     /* 165210 */   GIM_Try, /*On fail goto*//*Label 3177*/ GIMT_Encode4(165252), // Rule ID 11690 //
     /* 165215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrnb),
     /* 165223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 165226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 165229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165233 */     // MIs[0] Op2
     /* 165233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165236 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 165241 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1819:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)  =>  (SQRSHRNB_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)
     /* 165241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRNB_ZZI_H),
     /* 165244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165246 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165248 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165250 */     GIR_RootConstrainSelectedInstOperands,
     /* 165251 */     // GIR_Coverage, 11690,
     /* 165251 */     GIR_EraseRootFromParent_Done,
     /* 165252 */   // Label 3177: @165252
     /* 165252 */   GIM_Try, /*On fail goto*//*Label 3178*/ GIMT_Encode4(165294), // Rule ID 11691 //
     /* 165257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrnb),
     /* 165265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 165268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 165271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165275 */     // MIs[0] Op2
     /* 165275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165278 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 165283 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1819:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)  =>  (SQRSHRNB_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)
     /* 165283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRNB_ZZI_S),
     /* 165286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165288 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165290 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165292 */     GIR_RootConstrainSelectedInstOperands,
     /* 165293 */     // GIR_Coverage, 11691,
     /* 165293 */     GIR_EraseRootFromParent_Done,
     /* 165294 */   // Label 3178: @165294
     /* 165294 */   GIM_Try, /*On fail goto*//*Label 3179*/ GIMT_Encode4(165336), // Rule ID 11692 //
     /* 165299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqshrnb),
     /* 165307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 165310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 165313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165317 */     // MIs[0] Op2
     /* 165317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165320 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 165325 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2024:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)  =>  (UQSHRNB_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)
     /* 165325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHRNB_ZZI_B),
     /* 165328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165330 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165332 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165334 */     GIR_RootConstrainSelectedInstOperands,
     /* 165335 */     // GIR_Coverage, 11692,
     /* 165335 */     GIR_EraseRootFromParent_Done,
     /* 165336 */   // Label 3179: @165336
     /* 165336 */   GIM_Try, /*On fail goto*//*Label 3180*/ GIMT_Encode4(165378), // Rule ID 11693 //
     /* 165341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqshrnb),
     /* 165349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 165352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 165355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165359 */     // MIs[0] Op2
     /* 165359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165362 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 165367 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2024:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)  =>  (UQSHRNB_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)
     /* 165367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHRNB_ZZI_H),
     /* 165370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165372 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165374 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165376 */     GIR_RootConstrainSelectedInstOperands,
     /* 165377 */     // GIR_Coverage, 11693,
     /* 165377 */     GIR_EraseRootFromParent_Done,
     /* 165378 */   // Label 3180: @165378
     /* 165378 */   GIM_Try, /*On fail goto*//*Label 3181*/ GIMT_Encode4(165420), // Rule ID 11694 //
     /* 165383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqshrnb),
     /* 165391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 165394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 165397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165401 */     // MIs[0] Op2
     /* 165401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165404 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 165409 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2024:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)  =>  (UQSHRNB_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)
     /* 165409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHRNB_ZZI_S),
     /* 165412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165414 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165416 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165418 */     GIR_RootConstrainSelectedInstOperands,
     /* 165419 */     // GIR_Coverage, 11694,
     /* 165419 */     GIR_EraseRootFromParent_Done,
     /* 165420 */   // Label 3181: @165420
     /* 165420 */   GIM_Try, /*On fail goto*//*Label 3182*/ GIMT_Encode4(165462), // Rule ID 11695 //
     /* 165425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqrshrnb),
     /* 165433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 165436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 165439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165443 */     // MIs[0] Op2
     /* 165443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165446 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 165451 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2021:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)  =>  (UQRSHRNB_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)
     /* 165451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHRNB_ZZI_B),
     /* 165454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165456 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165458 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165460 */     GIR_RootConstrainSelectedInstOperands,
     /* 165461 */     // GIR_Coverage, 11695,
     /* 165461 */     GIR_EraseRootFromParent_Done,
     /* 165462 */   // Label 3182: @165462
     /* 165462 */   GIM_Try, /*On fail goto*//*Label 3183*/ GIMT_Encode4(165504), // Rule ID 11696 //
     /* 165467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqrshrnb),
     /* 165475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 165478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 165481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165485 */     // MIs[0] Op2
     /* 165485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165488 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 165493 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2021:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)  =>  (UQRSHRNB_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)
     /* 165493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHRNB_ZZI_H),
     /* 165496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165498 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165500 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165502 */     GIR_RootConstrainSelectedInstOperands,
     /* 165503 */     // GIR_Coverage, 11696,
     /* 165503 */     GIR_EraseRootFromParent_Done,
     /* 165504 */   // Label 3183: @165504
     /* 165504 */   GIM_Try, /*On fail goto*//*Label 3184*/ GIMT_Encode4(165546), // Rule ID 11697 //
     /* 165509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqrshrnb),
     /* 165517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 165520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 165523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165527 */     // MIs[0] Op2
     /* 165527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165530 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 165535 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2021:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)  =>  (UQRSHRNB_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)
     /* 165535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHRNB_ZZI_S),
     /* 165538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165540 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165542 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165544 */     GIR_RootConstrainSelectedInstOperands,
     /* 165545 */     // GIR_Coverage, 11697,
     /* 165545 */     GIR_EraseRootFromParent_Done,
     /* 165546 */   // Label 3184: @165546
     /* 165546 */   GIM_Try, /*On fail goto*//*Label 3185*/ GIMT_Encode4(165588), // Rule ID 11755 //
     /* 165551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sshllt),
     /* 165559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 165562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 165565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165569 */     // MIs[0] Op2
     /* 165569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165572 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL8),
     /* 165577 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1851:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL8>>:$Op2)  =>  (SSHLLT_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL8>>:$Op2)
     /* 165577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLT_ZZI_H),
     /* 165580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165582 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165584 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165586 */     GIR_RootConstrainSelectedInstOperands,
     /* 165587 */     // GIR_Coverage, 11755,
     /* 165587 */     GIR_EraseRootFromParent_Done,
     /* 165588 */   // Label 3185: @165588
     /* 165588 */   GIM_Try, /*On fail goto*//*Label 3186*/ GIMT_Encode4(165630), // Rule ID 11756 //
     /* 165593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sshllt),
     /* 165601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 165604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 165607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165611 */     // MIs[0] Op2
     /* 165611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165614 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL16),
     /* 165619 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1851:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL16>>:$Op2)  =>  (SSHLLT_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL16>>:$Op2)
     /* 165619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLT_ZZI_S),
     /* 165622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165624 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165626 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165628 */     GIR_RootConstrainSelectedInstOperands,
     /* 165629 */     // GIR_Coverage, 11756,
     /* 165629 */     GIR_EraseRootFromParent_Done,
     /* 165630 */   // Label 3186: @165630
     /* 165630 */   GIM_Try, /*On fail goto*//*Label 3187*/ GIMT_Encode4(165672), // Rule ID 11757 //
     /* 165635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sshllt),
     /* 165643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 165646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 165649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165653 */     // MIs[0] Op2
     /* 165653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165656 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL32),
     /* 165661 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1851:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL32>>:$Op2)  =>  (SSHLLT_ZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL32>>:$Op2)
     /* 165661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLT_ZZI_D),
     /* 165664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165666 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165668 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165670 */     GIR_RootConstrainSelectedInstOperands,
     /* 165671 */     // GIR_Coverage, 11757,
     /* 165671 */     GIR_EraseRootFromParent_Done,
     /* 165672 */   // Label 3187: @165672
     /* 165672 */   GIM_Try, /*On fail goto*//*Label 3188*/ GIMT_Encode4(165714), // Rule ID 11758 //
     /* 165677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ushllb),
     /* 165685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 165688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 165691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165695 */     // MIs[0] Op2
     /* 165695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165698 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL8),
     /* 165703 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2044:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL8>>:$Op2)  =>  (USHLLB_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL8>>:$Op2)
     /* 165703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLB_ZZI_H),
     /* 165706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165708 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165710 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165712 */     GIR_RootConstrainSelectedInstOperands,
     /* 165713 */     // GIR_Coverage, 11758,
     /* 165713 */     GIR_EraseRootFromParent_Done,
     /* 165714 */   // Label 3188: @165714
     /* 165714 */   GIM_Try, /*On fail goto*//*Label 3189*/ GIMT_Encode4(165756), // Rule ID 11759 //
     /* 165719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ushllb),
     /* 165727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 165730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 165733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165737 */     // MIs[0] Op2
     /* 165737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165740 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL16),
     /* 165745 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2044:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL16>>:$Op2)  =>  (USHLLB_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL16>>:$Op2)
     /* 165745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLB_ZZI_S),
     /* 165748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165750 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165752 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165754 */     GIR_RootConstrainSelectedInstOperands,
     /* 165755 */     // GIR_Coverage, 11759,
     /* 165755 */     GIR_EraseRootFromParent_Done,
     /* 165756 */   // Label 3189: @165756
     /* 165756 */   GIM_Try, /*On fail goto*//*Label 3190*/ GIMT_Encode4(165798), // Rule ID 11760 //
     /* 165761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ushllb),
     /* 165769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 165772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 165775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165779 */     // MIs[0] Op2
     /* 165779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165782 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL32),
     /* 165787 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2044:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL32>>:$Op2)  =>  (USHLLB_ZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL32>>:$Op2)
     /* 165787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLB_ZZI_D),
     /* 165790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165792 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165794 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165796 */     GIR_RootConstrainSelectedInstOperands,
     /* 165797 */     // GIR_Coverage, 11760,
     /* 165797 */     GIR_EraseRootFromParent_Done,
     /* 165798 */   // Label 3190: @165798
     /* 165798 */   GIM_Try, /*On fail goto*//*Label 3191*/ GIMT_Encode4(165840), // Rule ID 11761 //
     /* 165803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ushllt),
     /* 165811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 165814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 165817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165821 */     // MIs[0] Op2
     /* 165821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165824 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL8),
     /* 165829 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2045:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL8>>:$Op2)  =>  (USHLLT_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL8>>:$Op2)
     /* 165829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLT_ZZI_H),
     /* 165832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165834 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165836 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165838 */     GIR_RootConstrainSelectedInstOperands,
     /* 165839 */     // GIR_Coverage, 11761,
     /* 165839 */     GIR_EraseRootFromParent_Done,
     /* 165840 */   // Label 3191: @165840
     /* 165840 */   GIM_Try, /*On fail goto*//*Label 3192*/ GIMT_Encode4(165882), // Rule ID 11762 //
     /* 165845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ushllt),
     /* 165853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 165856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 165859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165863 */     // MIs[0] Op2
     /* 165863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165866 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL16),
     /* 165871 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2045:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL16>>:$Op2)  =>  (USHLLT_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL16>>:$Op2)
     /* 165871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLT_ZZI_S),
     /* 165874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165876 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165878 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165880 */     GIR_RootConstrainSelectedInstOperands,
     /* 165881 */     // GIR_Coverage, 11762,
     /* 165881 */     GIR_EraseRootFromParent_Done,
     /* 165882 */   // Label 3192: @165882
     /* 165882 */   GIM_Try, /*On fail goto*//*Label 3193*/ GIMT_Encode4(165924), // Rule ID 11763 //
     /* 165887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ushllt),
     /* 165895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 165898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 165901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165905 */     // MIs[0] Op2
     /* 165905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165908 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL32),
     /* 165913 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2045:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL32>>:$Op2)  =>  (USHLLT_ZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL32>>:$Op2)
     /* 165913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLT_ZZI_D),
     /* 165916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165918 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165920 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165922 */     GIR_RootConstrainSelectedInstOperands,
     /* 165923 */     // GIR_Coverage, 11763,
     /* 165923 */     GIR_EraseRootFromParent_Done,
     /* 165924 */   // Label 3193: @165924
     /* 165924 */   GIM_Try, /*On fail goto*//*Label 3194*/ GIMT_Encode4(165976), // Rule ID 2132 //
     /* 165929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 165932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxs),
     /* 165937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 165940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 165943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 165946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 165950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 165954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 165958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 165962 */     // MIs[1] Operand 1
     /* 165962 */     // No operand predicates
     /* 165962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 165964 */     // (intrinsic_wo_chain:{ *:[v4i16] } 762:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (FCVTZSv4i16_shift:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 165964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv4i16_shift),
     /* 165967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 165969 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 165971 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 165974 */     GIR_RootConstrainSelectedInstOperands,
     /* 165975 */     // GIR_Coverage, 2132,
     /* 165975 */     GIR_EraseRootFromParent_Done,
     /* 165976 */   // Label 3194: @165976
     /* 165976 */   GIM_Try, /*On fail goto*//*Label 3195*/ GIMT_Encode4(166028), // Rule ID 2133 //
     /* 165981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 165984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxs),
     /* 165989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 165992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 165995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 165998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 166010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 166014 */     // MIs[1] Operand 1
     /* 166014 */     // No operand predicates
     /* 166014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166016 */     // (intrinsic_wo_chain:{ *:[v8i16] } 762:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (FCVTZSv8i16_shift:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 166016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv8i16_shift),
     /* 166019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166021 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 166026 */     GIR_RootConstrainSelectedInstOperands,
     /* 166027 */     // GIR_Coverage, 2133,
     /* 166027 */     GIR_EraseRootFromParent_Done,
     /* 166028 */   // Label 3195: @166028
     /* 166028 */   GIM_Try, /*On fail goto*//*Label 3196*/ GIMT_Encode4(166080), // Rule ID 2134 //
     /* 166033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 166036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxs),
     /* 166041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 166044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 166047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 166050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 166062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 166066 */     // MIs[1] Operand 1
     /* 166066 */     // No operand predicates
     /* 166066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166068 */     // (intrinsic_wo_chain:{ *:[v2i32] } 762:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (FCVTZSv2i32_shift:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 166068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv2i32_shift),
     /* 166071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166073 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166075 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 166078 */     GIR_RootConstrainSelectedInstOperands,
     /* 166079 */     // GIR_Coverage, 2134,
     /* 166079 */     GIR_EraseRootFromParent_Done,
     /* 166080 */   // Label 3196: @166080
     /* 166080 */   GIM_Try, /*On fail goto*//*Label 3197*/ GIMT_Encode4(166132), // Rule ID 2135 //
     /* 166085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 166088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxs),
     /* 166093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 166096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 166099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 166102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 166114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 166118 */     // MIs[1] Operand 1
     /* 166118 */     // No operand predicates
     /* 166118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166120 */     // (intrinsic_wo_chain:{ *:[v4i32] } 762:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (FCVTZSv4i32_shift:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 166120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv4i32_shift),
     /* 166123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166125 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 166130 */     GIR_RootConstrainSelectedInstOperands,
     /* 166131 */     // GIR_Coverage, 2135,
     /* 166131 */     GIR_EraseRootFromParent_Done,
     /* 166132 */   // Label 3197: @166132
     /* 166132 */   GIM_Try, /*On fail goto*//*Label 3198*/ GIMT_Encode4(166184), // Rule ID 2136 //
     /* 166137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 166140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxs),
     /* 166145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 166148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 166151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 166154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 166166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 166170 */     // MIs[1] Operand 1
     /* 166170 */     // No operand predicates
     /* 166170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166172 */     // (intrinsic_wo_chain:{ *:[v2i64] } 762:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (FCVTZSv2i64_shift:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 166172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv2i64_shift),
     /* 166175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166177 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166179 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 166182 */     GIR_RootConstrainSelectedInstOperands,
     /* 166183 */     // GIR_Coverage, 2136,
     /* 166183 */     GIR_EraseRootFromParent_Done,
     /* 166184 */   // Label 3198: @166184
     /* 166184 */   GIM_Try, /*On fail goto*//*Label 3199*/ GIMT_Encode4(166236), // Rule ID 2137 //
     /* 166189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 166192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxu),
     /* 166197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 166200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 166203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 166206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 166218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 166222 */     // MIs[1] Operand 1
     /* 166222 */     // No operand predicates
     /* 166222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166224 */     // (intrinsic_wo_chain:{ *:[v4i16] } 763:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (FCVTZUv4i16_shift:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 166224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv4i16_shift),
     /* 166227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166229 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 166234 */     GIR_RootConstrainSelectedInstOperands,
     /* 166235 */     // GIR_Coverage, 2137,
     /* 166235 */     GIR_EraseRootFromParent_Done,
     /* 166236 */   // Label 3199: @166236
     /* 166236 */   GIM_Try, /*On fail goto*//*Label 3200*/ GIMT_Encode4(166288), // Rule ID 2138 //
     /* 166241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 166244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxu),
     /* 166249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 166252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 166255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 166258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 166270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 166274 */     // MIs[1] Operand 1
     /* 166274 */     // No operand predicates
     /* 166274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166276 */     // (intrinsic_wo_chain:{ *:[v8i16] } 763:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (FCVTZUv8i16_shift:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 166276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv8i16_shift),
     /* 166279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166281 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166283 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 166286 */     GIR_RootConstrainSelectedInstOperands,
     /* 166287 */     // GIR_Coverage, 2138,
     /* 166287 */     GIR_EraseRootFromParent_Done,
     /* 166288 */   // Label 3200: @166288
     /* 166288 */   GIM_Try, /*On fail goto*//*Label 3201*/ GIMT_Encode4(166340), // Rule ID 2139 //
     /* 166293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 166296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxu),
     /* 166301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 166304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 166307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 166310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 166322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 166326 */     // MIs[1] Operand 1
     /* 166326 */     // No operand predicates
     /* 166326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166328 */     // (intrinsic_wo_chain:{ *:[v2i32] } 763:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (FCVTZUv2i32_shift:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 166328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv2i32_shift),
     /* 166331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166333 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166335 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 166338 */     GIR_RootConstrainSelectedInstOperands,
     /* 166339 */     // GIR_Coverage, 2139,
     /* 166339 */     GIR_EraseRootFromParent_Done,
     /* 166340 */   // Label 3201: @166340
     /* 166340 */   GIM_Try, /*On fail goto*//*Label 3202*/ GIMT_Encode4(166392), // Rule ID 2140 //
     /* 166345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 166348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxu),
     /* 166353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 166356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 166359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 166362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 166374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 166378 */     // MIs[1] Operand 1
     /* 166378 */     // No operand predicates
     /* 166378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166380 */     // (intrinsic_wo_chain:{ *:[v4i32] } 763:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (FCVTZUv4i32_shift:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 166380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv4i32_shift),
     /* 166383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166385 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 166390 */     GIR_RootConstrainSelectedInstOperands,
     /* 166391 */     // GIR_Coverage, 2140,
     /* 166391 */     GIR_EraseRootFromParent_Done,
     /* 166392 */   // Label 3202: @166392
     /* 166392 */   GIM_Try, /*On fail goto*//*Label 3203*/ GIMT_Encode4(166444), // Rule ID 2141 //
     /* 166397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 166400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxu),
     /* 166405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 166408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 166411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 166414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 166426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 166430 */     // MIs[1] Operand 1
     /* 166430 */     // No operand predicates
     /* 166430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166432 */     // (intrinsic_wo_chain:{ *:[v2i64] } 763:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (FCVTZUv2i64_shift:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 166432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv2i64_shift),
     /* 166435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166437 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166439 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 166442 */     GIR_RootConstrainSelectedInstOperands,
     /* 166443 */     // GIR_Coverage, 2141,
     /* 166443 */     GIR_EraseRootFromParent_Done,
     /* 166444 */   // Label 3203: @166444
     /* 166444 */   GIM_Try, /*On fail goto*//*Label 3204*/ GIMT_Encode4(166496), // Rule ID 2142 //
     /* 166449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 166452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxs2fp),
     /* 166457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 166460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 166463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 166466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 166478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 166482 */     // MIs[1] Operand 1
     /* 166482 */     // No operand predicates
     /* 166482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166484 */     // (intrinsic_wo_chain:{ *:[v4f16] } 765:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (SCVTFv4i16_shift:{ *:[v4f16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 166484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv4i16_shift),
     /* 166487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166489 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166491 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 166494 */     GIR_RootConstrainSelectedInstOperands,
     /* 166495 */     // GIR_Coverage, 2142,
     /* 166495 */     GIR_EraseRootFromParent_Done,
     /* 166496 */   // Label 3204: @166496
     /* 166496 */   GIM_Try, /*On fail goto*//*Label 3205*/ GIMT_Encode4(166548), // Rule ID 2143 //
     /* 166501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 166504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxs2fp),
     /* 166509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 166512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 166515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 166518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 166530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 166534 */     // MIs[1] Operand 1
     /* 166534 */     // No operand predicates
     /* 166534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166536 */     // (intrinsic_wo_chain:{ *:[v8f16] } 765:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (SCVTFv8i16_shift:{ *:[v8f16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 166536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv8i16_shift),
     /* 166539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166541 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166543 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 166546 */     GIR_RootConstrainSelectedInstOperands,
     /* 166547 */     // GIR_Coverage, 2143,
     /* 166547 */     GIR_EraseRootFromParent_Done,
     /* 166548 */   // Label 3205: @166548
     /* 166548 */   GIM_Try, /*On fail goto*//*Label 3206*/ GIMT_Encode4(166600), // Rule ID 2144 //
     /* 166553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 166556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxs2fp),
     /* 166561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 166564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 166567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 166570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 166582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 166586 */     // MIs[1] Operand 1
     /* 166586 */     // No operand predicates
     /* 166586 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166588 */     // (intrinsic_wo_chain:{ *:[v2f32] } 765:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (SCVTFv2i32_shift:{ *:[v2f32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 166588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv2i32_shift),
     /* 166591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166593 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166595 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 166598 */     GIR_RootConstrainSelectedInstOperands,
     /* 166599 */     // GIR_Coverage, 2144,
     /* 166599 */     GIR_EraseRootFromParent_Done,
     /* 166600 */   // Label 3206: @166600
     /* 166600 */   GIM_Try, /*On fail goto*//*Label 3207*/ GIMT_Encode4(166652), // Rule ID 2145 //
     /* 166605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 166608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxs2fp),
     /* 166613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 166616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 166619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 166622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 166634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 166638 */     // MIs[1] Operand 1
     /* 166638 */     // No operand predicates
     /* 166638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166640 */     // (intrinsic_wo_chain:{ *:[v4f32] } 765:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (SCVTFv4i32_shift:{ *:[v4f32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 166640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv4i32_shift),
     /* 166643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166645 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166647 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 166650 */     GIR_RootConstrainSelectedInstOperands,
     /* 166651 */     // GIR_Coverage, 2145,
     /* 166651 */     GIR_EraseRootFromParent_Done,
     /* 166652 */   // Label 3207: @166652
     /* 166652 */   GIM_Try, /*On fail goto*//*Label 3208*/ GIMT_Encode4(166704), // Rule ID 2146 //
     /* 166657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 166660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxs2fp),
     /* 166665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 166668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 166671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 166674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 166686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 166690 */     // MIs[1] Operand 1
     /* 166690 */     // No operand predicates
     /* 166690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166692 */     // (intrinsic_wo_chain:{ *:[v2f64] } 765:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (SCVTFv2i64_shift:{ *:[v2f64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 166692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv2i64_shift),
     /* 166695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166697 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166699 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 166702 */     GIR_RootConstrainSelectedInstOperands,
     /* 166703 */     // GIR_Coverage, 2146,
     /* 166703 */     GIR_EraseRootFromParent_Done,
     /* 166704 */   // Label 3208: @166704
     /* 166704 */   GIM_Try, /*On fail goto*//*Label 3209*/ GIMT_Encode4(166756), // Rule ID 2244 //
     /* 166709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 166712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxu2fp),
     /* 166717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 166720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 166723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 166726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 166738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 166742 */     // MIs[1] Operand 1
     /* 166742 */     // No operand predicates
     /* 166742 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166744 */     // (intrinsic_wo_chain:{ *:[v4f16] } 766:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (UCVTFv4i16_shift:{ *:[v4f16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 166744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv4i16_shift),
     /* 166747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166749 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 166754 */     GIR_RootConstrainSelectedInstOperands,
     /* 166755 */     // GIR_Coverage, 2244,
     /* 166755 */     GIR_EraseRootFromParent_Done,
     /* 166756 */   // Label 3209: @166756
     /* 166756 */   GIM_Try, /*On fail goto*//*Label 3210*/ GIMT_Encode4(166808), // Rule ID 2245 //
     /* 166761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 166764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxu2fp),
     /* 166769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 166772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 166775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 166778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 166790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 166794 */     // MIs[1] Operand 1
     /* 166794 */     // No operand predicates
     /* 166794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166796 */     // (intrinsic_wo_chain:{ *:[v8f16] } 766:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (UCVTFv8i16_shift:{ *:[v8f16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 166796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv8i16_shift),
     /* 166799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166801 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166803 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 166806 */     GIR_RootConstrainSelectedInstOperands,
     /* 166807 */     // GIR_Coverage, 2245,
     /* 166807 */     GIR_EraseRootFromParent_Done,
     /* 166808 */   // Label 3210: @166808
     /* 166808 */   GIM_Try, /*On fail goto*//*Label 3211*/ GIMT_Encode4(166860), // Rule ID 2246 //
     /* 166813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 166816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxu2fp),
     /* 166821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 166824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 166827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 166830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 166842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 166846 */     // MIs[1] Operand 1
     /* 166846 */     // No operand predicates
     /* 166846 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166848 */     // (intrinsic_wo_chain:{ *:[v2f32] } 766:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (UCVTFv2i32_shift:{ *:[v2f32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 166848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv2i32_shift),
     /* 166851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166853 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166855 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 166858 */     GIR_RootConstrainSelectedInstOperands,
     /* 166859 */     // GIR_Coverage, 2246,
     /* 166859 */     GIR_EraseRootFromParent_Done,
     /* 166860 */   // Label 3211: @166860
     /* 166860 */   GIM_Try, /*On fail goto*//*Label 3212*/ GIMT_Encode4(166912), // Rule ID 2247 //
     /* 166865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 166868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxu2fp),
     /* 166873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 166876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 166879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 166882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 166894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 166898 */     // MIs[1] Operand 1
     /* 166898 */     // No operand predicates
     /* 166898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166900 */     // (intrinsic_wo_chain:{ *:[v4f32] } 766:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (UCVTFv4i32_shift:{ *:[v4f32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 166900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv4i32_shift),
     /* 166903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166905 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 166910 */     GIR_RootConstrainSelectedInstOperands,
     /* 166911 */     // GIR_Coverage, 2247,
     /* 166911 */     GIR_EraseRootFromParent_Done,
     /* 166912 */   // Label 3212: @166912
     /* 166912 */   GIM_Try, /*On fail goto*//*Label 3213*/ GIMT_Encode4(166964), // Rule ID 2248 //
     /* 166917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 166920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxu2fp),
     /* 166925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 166928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 166931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 166934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 166946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 166950 */     // MIs[1] Operand 1
     /* 166950 */     // No operand predicates
     /* 166950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166952 */     // (intrinsic_wo_chain:{ *:[v2f64] } 766:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (UCVTFv2i64_shift:{ *:[v2f64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 166952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv2i64_shift),
     /* 166955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166957 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166959 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 166962 */     GIR_RootConstrainSelectedInstOperands,
     /* 166963 */     // GIR_Coverage, 2248,
     /* 166963 */     GIR_EraseRootFromParent_Done,
     /* 166964 */   // Label 3213: @166964
     /* 166964 */   GIM_Try, /*On fail goto*//*Label 3214*/ GIMT_Encode4(167009), // Rule ID 63 //
     /* 166969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 166972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_sign_generic),
     /* 166977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 166980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 166983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 166986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 166990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 166994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 166998 */     // (intrinsic_wo_chain:{ *:[i64] } 297:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, GPR64sp:{ *:[i64] }:$Rm)  =>  (PACGA:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64sp:{ *:[i64] }:$Rm)
     /* 166998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PACGA),
     /* 167001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167003 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167005 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 167007 */     GIR_RootConstrainSelectedInstOperands,
     /* 167008 */     // GIR_Coverage, 63,
     /* 167008 */     GIR_EraseRootFromParent_Done,
     /* 167009 */   // Label 3214: @167009
     /* 167009 */   GIM_Try, /*On fail goto*//*Label 3215*/ GIMT_Encode4(167054), // Rule ID 129 //
     /* 167014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC),
     /* 167017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crc32b),
     /* 167022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 167025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 167028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 167031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 167035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 167039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 167043 */     // (intrinsic_wo_chain:{ *:[i32] } 503:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (CRC32Brr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 167043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CRC32Brr),
     /* 167046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167048 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167050 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 167052 */     GIR_RootConstrainSelectedInstOperands,
     /* 167053 */     // GIR_Coverage, 129,
     /* 167053 */     GIR_EraseRootFromParent_Done,
     /* 167054 */   // Label 3215: @167054
     /* 167054 */   GIM_Try, /*On fail goto*//*Label 3216*/ GIMT_Encode4(167099), // Rule ID 130 //
     /* 167059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC),
     /* 167062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crc32h),
     /* 167067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 167070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 167073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 167076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 167080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 167084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 167088 */     // (intrinsic_wo_chain:{ *:[i32] } 508:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (CRC32Hrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 167088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CRC32Hrr),
     /* 167091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167093 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167095 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 167097 */     GIR_RootConstrainSelectedInstOperands,
     /* 167098 */     // GIR_Coverage, 130,
     /* 167098 */     GIR_EraseRootFromParent_Done,
     /* 167099 */   // Label 3216: @167099
     /* 167099 */   GIM_Try, /*On fail goto*//*Label 3217*/ GIMT_Encode4(167144), // Rule ID 131 //
     /* 167104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC),
     /* 167107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crc32w),
     /* 167112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 167115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 167118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 167121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 167125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 167129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 167133 */     // (intrinsic_wo_chain:{ *:[i32] } 509:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (CRC32Wrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 167133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CRC32Wrr),
     /* 167136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167138 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167140 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 167142 */     GIR_RootConstrainSelectedInstOperands,
     /* 167143 */     // GIR_Coverage, 131,
     /* 167143 */     GIR_EraseRootFromParent_Done,
     /* 167144 */   // Label 3217: @167144
     /* 167144 */   GIM_Try, /*On fail goto*//*Label 3218*/ GIMT_Encode4(167189), // Rule ID 132 //
     /* 167149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC),
     /* 167152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crc32x),
     /* 167157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 167160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 167163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 167166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 167170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 167174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 167178 */     // (intrinsic_wo_chain:{ *:[i32] } 510:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (CRC32Xrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 167178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CRC32Xrr),
     /* 167181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167183 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167185 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 167187 */     GIR_RootConstrainSelectedInstOperands,
     /* 167188 */     // GIR_Coverage, 132,
     /* 167188 */     GIR_EraseRootFromParent_Done,
     /* 167189 */   // Label 3218: @167189
     /* 167189 */   GIM_Try, /*On fail goto*//*Label 3219*/ GIMT_Encode4(167234), // Rule ID 133 //
     /* 167194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC),
     /* 167197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crc32cb),
     /* 167202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 167205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 167208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 167211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 167215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 167219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 167223 */     // (intrinsic_wo_chain:{ *:[i32] } 504:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (CRC32CBrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 167223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CRC32CBrr),
     /* 167226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167228 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167230 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 167232 */     GIR_RootConstrainSelectedInstOperands,
     /* 167233 */     // GIR_Coverage, 133,
     /* 167233 */     GIR_EraseRootFromParent_Done,
     /* 167234 */   // Label 3219: @167234
     /* 167234 */   GIM_Try, /*On fail goto*//*Label 3220*/ GIMT_Encode4(167279), // Rule ID 134 //
     /* 167239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC),
     /* 167242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crc32ch),
     /* 167247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 167250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 167253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 167256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 167260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 167264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 167268 */     // (intrinsic_wo_chain:{ *:[i32] } 505:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (CRC32CHrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 167268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CRC32CHrr),
     /* 167271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167273 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167275 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 167277 */     GIR_RootConstrainSelectedInstOperands,
     /* 167278 */     // GIR_Coverage, 134,
     /* 167278 */     GIR_EraseRootFromParent_Done,
     /* 167279 */   // Label 3220: @167279
     /* 167279 */   GIM_Try, /*On fail goto*//*Label 3221*/ GIMT_Encode4(167324), // Rule ID 135 //
     /* 167284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC),
     /* 167287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crc32cw),
     /* 167292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 167295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 167298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 167301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 167305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 167309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 167313 */     // (intrinsic_wo_chain:{ *:[i32] } 506:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (CRC32CWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 167313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CRC32CWrr),
     /* 167316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167318 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167320 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 167322 */     GIR_RootConstrainSelectedInstOperands,
     /* 167323 */     // GIR_Coverage, 135,
     /* 167323 */     GIR_EraseRootFromParent_Done,
     /* 167324 */   // Label 3221: @167324
     /* 167324 */   GIM_Try, /*On fail goto*//*Label 3222*/ GIMT_Encode4(167369), // Rule ID 136 //
     /* 167329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC),
     /* 167332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crc32cx),
     /* 167337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 167340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 167343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 167346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 167350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 167354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 167358 */     // (intrinsic_wo_chain:{ *:[i32] } 507:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (CRC32CXrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 167358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CRC32CXrr),
     /* 167361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167363 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167365 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 167367 */     GIR_RootConstrainSelectedInstOperands,
     /* 167368 */     // GIR_Coverage, 136,
     /* 167368 */     GIR_EraseRootFromParent_Done,
     /* 167369 */   // Label 3222: @167369
     /* 167369 */   GIM_Try, /*On fail goto*//*Label 3223*/ GIMT_Encode4(167414), // Rule ID 1042 //
     /* 167374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_suqadd),
     /* 167382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 167385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 167388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 167391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167403 */     // (intrinsic_wo_chain:{ *:[v8i8] } 715:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn)  =>  (SUQADDv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn)
     /* 167403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADDv8i8),
     /* 167406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 167408 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 167410 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 167412 */     GIR_RootConstrainSelectedInstOperands,
     /* 167413 */     // GIR_Coverage, 1042,
     /* 167413 */     GIR_EraseRootFromParent_Done,
     /* 167414 */   // Label 3223: @167414
     /* 167414 */   GIM_Try, /*On fail goto*//*Label 3224*/ GIMT_Encode4(167459), // Rule ID 1043 //
     /* 167419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_suqadd),
     /* 167427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 167430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 167433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 167436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167448 */     // (intrinsic_wo_chain:{ *:[v16i8] } 715:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn)  =>  (SUQADDv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /* 167448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADDv16i8),
     /* 167451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 167453 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 167455 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 167457 */     GIR_RootConstrainSelectedInstOperands,
     /* 167458 */     // GIR_Coverage, 1043,
     /* 167458 */     GIR_EraseRootFromParent_Done,
     /* 167459 */   // Label 3224: @167459
     /* 167459 */   GIM_Try, /*On fail goto*//*Label 3225*/ GIMT_Encode4(167504), // Rule ID 1044 //
     /* 167464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_suqadd),
     /* 167472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 167475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 167478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 167481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167493 */     // (intrinsic_wo_chain:{ *:[v4i16] } 715:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn)  =>  (SUQADDv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn)
     /* 167493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADDv4i16),
     /* 167496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 167498 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 167500 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 167502 */     GIR_RootConstrainSelectedInstOperands,
     /* 167503 */     // GIR_Coverage, 1044,
     /* 167503 */     GIR_EraseRootFromParent_Done,
     /* 167504 */   // Label 3225: @167504
     /* 167504 */   GIM_Try, /*On fail goto*//*Label 3226*/ GIMT_Encode4(167549), // Rule ID 1045 //
     /* 167509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_suqadd),
     /* 167517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 167520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 167523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 167526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167538 */     // (intrinsic_wo_chain:{ *:[v8i16] } 715:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn)  =>  (SUQADDv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn)
     /* 167538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADDv8i16),
     /* 167541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 167543 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 167545 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 167547 */     GIR_RootConstrainSelectedInstOperands,
     /* 167548 */     // GIR_Coverage, 1045,
     /* 167548 */     GIR_EraseRootFromParent_Done,
     /* 167549 */   // Label 3226: @167549
     /* 167549 */   GIM_Try, /*On fail goto*//*Label 3227*/ GIMT_Encode4(167594), // Rule ID 1046 //
     /* 167554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_suqadd),
     /* 167562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 167565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 167568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 167571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167583 */     // (intrinsic_wo_chain:{ *:[v2i32] } 715:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn)  =>  (SUQADDv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn)
     /* 167583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADDv2i32),
     /* 167586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 167588 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 167590 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 167592 */     GIR_RootConstrainSelectedInstOperands,
     /* 167593 */     // GIR_Coverage, 1046,
     /* 167593 */     GIR_EraseRootFromParent_Done,
     /* 167594 */   // Label 3227: @167594
     /* 167594 */   GIM_Try, /*On fail goto*//*Label 3228*/ GIMT_Encode4(167639), // Rule ID 1047 //
     /* 167599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_suqadd),
     /* 167607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 167610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 167613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 167616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167628 */     // (intrinsic_wo_chain:{ *:[v4i32] } 715:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn)  =>  (SUQADDv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /* 167628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADDv4i32),
     /* 167631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 167633 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 167635 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 167637 */     GIR_RootConstrainSelectedInstOperands,
     /* 167638 */     // GIR_Coverage, 1047,
     /* 167638 */     GIR_EraseRootFromParent_Done,
     /* 167639 */   // Label 3228: @167639
     /* 167639 */   GIM_Try, /*On fail goto*//*Label 3229*/ GIMT_Encode4(167684), // Rule ID 1048 //
     /* 167644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_suqadd),
     /* 167652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 167655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 167658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 167661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167673 */     // (intrinsic_wo_chain:{ *:[v2i64] } 715:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn)  =>  (SUQADDv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn)
     /* 167673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADDv2i64),
     /* 167676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 167678 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 167680 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 167682 */     GIR_RootConstrainSelectedInstOperands,
     /* 167683 */     // GIR_Coverage, 1048,
     /* 167683 */     GIR_EraseRootFromParent_Done,
     /* 167684 */   // Label 3229: @167684
     /* 167684 */   GIM_Try, /*On fail goto*//*Label 3230*/ GIMT_Encode4(167729), // Rule ID 1090 //
     /* 167689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_usqadd),
     /* 167697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 167700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 167703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 167706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167718 */     // (intrinsic_wo_chain:{ *:[v8i8] } 754:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn)  =>  (USQADDv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn)
     /* 167718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADDv8i8),
     /* 167721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 167723 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 167725 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 167727 */     GIR_RootConstrainSelectedInstOperands,
     /* 167728 */     // GIR_Coverage, 1090,
     /* 167728 */     GIR_EraseRootFromParent_Done,
     /* 167729 */   // Label 3230: @167729
     /* 167729 */   GIM_Try, /*On fail goto*//*Label 3231*/ GIMT_Encode4(167774), // Rule ID 1091 //
     /* 167734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_usqadd),
     /* 167742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 167745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 167748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 167751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167763 */     // (intrinsic_wo_chain:{ *:[v16i8] } 754:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn)  =>  (USQADDv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /* 167763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADDv16i8),
     /* 167766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 167768 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 167770 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 167772 */     GIR_RootConstrainSelectedInstOperands,
     /* 167773 */     // GIR_Coverage, 1091,
     /* 167773 */     GIR_EraseRootFromParent_Done,
     /* 167774 */   // Label 3231: @167774
     /* 167774 */   GIM_Try, /*On fail goto*//*Label 3232*/ GIMT_Encode4(167819), // Rule ID 1092 //
     /* 167779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_usqadd),
     /* 167787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 167790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 167793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 167796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167808 */     // (intrinsic_wo_chain:{ *:[v4i16] } 754:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn)  =>  (USQADDv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn)
     /* 167808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADDv4i16),
     /* 167811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 167813 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 167815 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 167817 */     GIR_RootConstrainSelectedInstOperands,
     /* 167818 */     // GIR_Coverage, 1092,
     /* 167818 */     GIR_EraseRootFromParent_Done,
     /* 167819 */   // Label 3232: @167819
     /* 167819 */   GIM_Try, /*On fail goto*//*Label 3233*/ GIMT_Encode4(167864), // Rule ID 1093 //
     /* 167824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_usqadd),
     /* 167832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 167835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 167838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 167841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167853 */     // (intrinsic_wo_chain:{ *:[v8i16] } 754:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn)  =>  (USQADDv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn)
     /* 167853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADDv8i16),
     /* 167856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 167858 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 167860 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 167862 */     GIR_RootConstrainSelectedInstOperands,
     /* 167863 */     // GIR_Coverage, 1093,
     /* 167863 */     GIR_EraseRootFromParent_Done,
     /* 167864 */   // Label 3233: @167864
     /* 167864 */   GIM_Try, /*On fail goto*//*Label 3234*/ GIMT_Encode4(167909), // Rule ID 1094 //
     /* 167869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_usqadd),
     /* 167877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 167880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 167883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 167886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167898 */     // (intrinsic_wo_chain:{ *:[v2i32] } 754:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn)  =>  (USQADDv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn)
     /* 167898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADDv2i32),
     /* 167901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 167903 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 167905 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 167907 */     GIR_RootConstrainSelectedInstOperands,
     /* 167908 */     // GIR_Coverage, 1094,
     /* 167908 */     GIR_EraseRootFromParent_Done,
     /* 167909 */   // Label 3234: @167909
     /* 167909 */   GIM_Try, /*On fail goto*//*Label 3235*/ GIMT_Encode4(167954), // Rule ID 1095 //
     /* 167914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_usqadd),
     /* 167922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 167925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 167928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 167931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167943 */     // (intrinsic_wo_chain:{ *:[v4i32] } 754:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn)  =>  (USQADDv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /* 167943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADDv4i32),
     /* 167946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 167948 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 167950 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 167952 */     GIR_RootConstrainSelectedInstOperands,
     /* 167953 */     // GIR_Coverage, 1095,
     /* 167953 */     GIR_EraseRootFromParent_Done,
     /* 167954 */   // Label 3235: @167954
     /* 167954 */   GIM_Try, /*On fail goto*//*Label 3236*/ GIMT_Encode4(167999), // Rule ID 1096 //
     /* 167959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_usqadd),
     /* 167967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 167970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 167973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 167976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167988 */     // (intrinsic_wo_chain:{ *:[v2i64] } 754:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn)  =>  (USQADDv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn)
     /* 167988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADDv2i64),
     /* 167991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 167993 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 167995 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 167997 */     GIR_RootConstrainSelectedInstOperands,
     /* 167998 */     // GIR_Coverage, 1096,
     /* 167998 */     GIR_EraseRootFromParent_Done,
     /* 167999 */   // Label 3236: @167999
     /* 167999 */   GIM_Try, /*On fail goto*//*Label 3237*/ GIMT_Encode4(168044), // Rule ID 1108 //
     /* 168004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addp),
     /* 168012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 168015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 168018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 168021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168033 */     // (intrinsic_wo_chain:{ *:[v8i8] } 570:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (ADDPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 168033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv8i8),
     /* 168036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168038 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168040 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168042 */     GIR_RootConstrainSelectedInstOperands,
     /* 168043 */     // GIR_Coverage, 1108,
     /* 168043 */     GIR_EraseRootFromParent_Done,
     /* 168044 */   // Label 3237: @168044
     /* 168044 */   GIM_Try, /*On fail goto*//*Label 3238*/ GIMT_Encode4(168089), // Rule ID 1110 //
     /* 168049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addp),
     /* 168057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 168060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 168063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 168066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168078 */     // (intrinsic_wo_chain:{ *:[v16i8] } 570:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (ADDPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 168078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv16i8),
     /* 168081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168083 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168085 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168087 */     GIR_RootConstrainSelectedInstOperands,
     /* 168088 */     // GIR_Coverage, 1110,
     /* 168088 */     GIR_EraseRootFromParent_Done,
     /* 168089 */   // Label 3238: @168089
     /* 168089 */   GIM_Try, /*On fail goto*//*Label 3239*/ GIMT_Encode4(168134), // Rule ID 1112 //
     /* 168094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addp),
     /* 168102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 168105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 168108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 168111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168123 */     // (intrinsic_wo_chain:{ *:[v4i16] } 570:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (ADDPv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 168123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv4i16),
     /* 168126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168128 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168130 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168132 */     GIR_RootConstrainSelectedInstOperands,
     /* 168133 */     // GIR_Coverage, 1112,
     /* 168133 */     GIR_EraseRootFromParent_Done,
     /* 168134 */   // Label 3239: @168134
     /* 168134 */   GIM_Try, /*On fail goto*//*Label 3240*/ GIMT_Encode4(168179), // Rule ID 1114 //
     /* 168139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addp),
     /* 168147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 168150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 168153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 168156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168168 */     // (intrinsic_wo_chain:{ *:[v8i16] } 570:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (ADDPv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 168168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv8i16),
     /* 168171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168173 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168175 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168177 */     GIR_RootConstrainSelectedInstOperands,
     /* 168178 */     // GIR_Coverage, 1114,
     /* 168178 */     GIR_EraseRootFromParent_Done,
     /* 168179 */   // Label 3240: @168179
     /* 168179 */   GIM_Try, /*On fail goto*//*Label 3241*/ GIMT_Encode4(168224), // Rule ID 1116 //
     /* 168184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addp),
     /* 168192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 168195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 168198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 168201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168213 */     // (intrinsic_wo_chain:{ *:[v2i32] } 570:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (ADDPv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 168213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i32),
     /* 168216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168218 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168220 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168222 */     GIR_RootConstrainSelectedInstOperands,
     /* 168223 */     // GIR_Coverage, 1116,
     /* 168223 */     GIR_EraseRootFromParent_Done,
     /* 168224 */   // Label 3241: @168224
     /* 168224 */   GIM_Try, /*On fail goto*//*Label 3242*/ GIMT_Encode4(168269), // Rule ID 1118 //
     /* 168229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addp),
     /* 168237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 168240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 168243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 168246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168258 */     // (intrinsic_wo_chain:{ *:[v4i32] } 570:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (ADDPv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 168258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv4i32),
     /* 168261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168263 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168265 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168267 */     GIR_RootConstrainSelectedInstOperands,
     /* 168268 */     // GIR_Coverage, 1118,
     /* 168268 */     GIR_EraseRootFromParent_Done,
     /* 168269 */   // Label 3242: @168269
     /* 168269 */   GIM_Try, /*On fail goto*//*Label 3243*/ GIMT_Encode4(168314), // Rule ID 1120 //
     /* 168274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addp),
     /* 168282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 168285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 168288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 168291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168303 */     // (intrinsic_wo_chain:{ *:[v2i64] } 570:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (ADDPv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 168303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i64),
     /* 168306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168308 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168310 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168312 */     GIR_RootConstrainSelectedInstOperands,
     /* 168313 */     // GIR_Coverage, 1120,
     /* 168313 */     GIR_EraseRootFromParent_Done,
     /* 168314 */   // Label 3243: @168314
     /* 168314 */   GIM_Try, /*On fail goto*//*Label 3244*/ GIMT_Encode4(168359), // Rule ID 1163 //
     /* 168319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 168322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fabd),
     /* 168327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 168330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 168333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 168336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168348 */     // (intrinsic_wo_chain:{ *:[v4f16] } 576:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FABDv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 168348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABDv4f16),
     /* 168351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168353 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168355 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168357 */     GIR_RootConstrainSelectedInstOperands,
     /* 168358 */     // GIR_Coverage, 1163,
     /* 168358 */     GIR_EraseRootFromParent_Done,
     /* 168359 */   // Label 3244: @168359
     /* 168359 */   GIM_Try, /*On fail goto*//*Label 3245*/ GIMT_Encode4(168404), // Rule ID 1164 //
     /* 168364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 168367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fabd),
     /* 168372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 168375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 168378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 168381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168393 */     // (intrinsic_wo_chain:{ *:[v8f16] } 576:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FABDv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 168393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABDv8f16),
     /* 168396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168398 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168400 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168402 */     GIR_RootConstrainSelectedInstOperands,
     /* 168403 */     // GIR_Coverage, 1164,
     /* 168403 */     GIR_EraseRootFromParent_Done,
     /* 168404 */   // Label 3245: @168404
     /* 168404 */   GIM_Try, /*On fail goto*//*Label 3246*/ GIMT_Encode4(168449), // Rule ID 1165 //
     /* 168409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fabd),
     /* 168417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 168420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 168423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 168426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168438 */     // (intrinsic_wo_chain:{ *:[v2f32] } 576:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FABDv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 168438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABDv2f32),
     /* 168441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168443 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168445 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168447 */     GIR_RootConstrainSelectedInstOperands,
     /* 168448 */     // GIR_Coverage, 1165,
     /* 168448 */     GIR_EraseRootFromParent_Done,
     /* 168449 */   // Label 3246: @168449
     /* 168449 */   GIM_Try, /*On fail goto*//*Label 3247*/ GIMT_Encode4(168494), // Rule ID 1166 //
     /* 168454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fabd),
     /* 168462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 168465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 168468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 168471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168483 */     // (intrinsic_wo_chain:{ *:[v4f32] } 576:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FABDv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 168483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABDv4f32),
     /* 168486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168488 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168490 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168492 */     GIR_RootConstrainSelectedInstOperands,
     /* 168493 */     // GIR_Coverage, 1166,
     /* 168493 */     GIR_EraseRootFromParent_Done,
     /* 168494 */   // Label 3247: @168494
     /* 168494 */   GIM_Try, /*On fail goto*//*Label 3248*/ GIMT_Encode4(168539), // Rule ID 1167 //
     /* 168499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fabd),
     /* 168507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 168510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 168513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 168516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168528 */     // (intrinsic_wo_chain:{ *:[v2f64] } 576:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FABDv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 168528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABDv2f64),
     /* 168531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168533 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168535 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168537 */     GIR_RootConstrainSelectedInstOperands,
     /* 168538 */     // GIR_Coverage, 1167,
     /* 168538 */     GIR_EraseRootFromParent_Done,
     /* 168539 */   // Label 3248: @168539
     /* 168539 */   GIM_Try, /*On fail goto*//*Label 3249*/ GIMT_Encode4(168584), // Rule ID 1169 //
     /* 168544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 168547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facge),
     /* 168552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 168555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 168558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 168561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168573 */     // (intrinsic_wo_chain:{ *:[v4i16] } 577:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FACGEv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 168573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGEv4f16),
     /* 168576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168578 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168580 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168582 */     GIR_RootConstrainSelectedInstOperands,
     /* 168583 */     // GIR_Coverage, 1169,
     /* 168583 */     GIR_EraseRootFromParent_Done,
     /* 168584 */   // Label 3249: @168584
     /* 168584 */   GIM_Try, /*On fail goto*//*Label 3250*/ GIMT_Encode4(168629), // Rule ID 1171 //
     /* 168589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 168592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facge),
     /* 168597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 168600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 168603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 168606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168618 */     // (intrinsic_wo_chain:{ *:[v8i16] } 577:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FACGEv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 168618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGEv8f16),
     /* 168621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168623 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168625 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168627 */     GIR_RootConstrainSelectedInstOperands,
     /* 168628 */     // GIR_Coverage, 1171,
     /* 168628 */     GIR_EraseRootFromParent_Done,
     /* 168629 */   // Label 3250: @168629
     /* 168629 */   GIM_Try, /*On fail goto*//*Label 3251*/ GIMT_Encode4(168674), // Rule ID 1173 //
     /* 168634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facge),
     /* 168642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 168645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 168648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 168651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168663 */     // (intrinsic_wo_chain:{ *:[v2i32] } 577:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FACGEv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 168663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGEv2f32),
     /* 168666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168668 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168670 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168672 */     GIR_RootConstrainSelectedInstOperands,
     /* 168673 */     // GIR_Coverage, 1173,
     /* 168673 */     GIR_EraseRootFromParent_Done,
     /* 168674 */   // Label 3251: @168674
     /* 168674 */   GIM_Try, /*On fail goto*//*Label 3252*/ GIMT_Encode4(168719), // Rule ID 1175 //
     /* 168679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facge),
     /* 168687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 168690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 168693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 168696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168708 */     // (intrinsic_wo_chain:{ *:[v4i32] } 577:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FACGEv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 168708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGEv4f32),
     /* 168711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168713 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168715 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168717 */     GIR_RootConstrainSelectedInstOperands,
     /* 168718 */     // GIR_Coverage, 1175,
     /* 168718 */     GIR_EraseRootFromParent_Done,
     /* 168719 */   // Label 3252: @168719
     /* 168719 */   GIM_Try, /*On fail goto*//*Label 3253*/ GIMT_Encode4(168764), // Rule ID 1177 //
     /* 168724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facge),
     /* 168732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 168735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 168738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 168741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168753 */     // (intrinsic_wo_chain:{ *:[v2i64] } 577:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FACGEv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 168753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGEv2f64),
     /* 168756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168758 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168760 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168762 */     GIR_RootConstrainSelectedInstOperands,
     /* 168763 */     // GIR_Coverage, 1177,
     /* 168763 */     GIR_EraseRootFromParent_Done,
     /* 168764 */   // Label 3253: @168764
     /* 168764 */   GIM_Try, /*On fail goto*//*Label 3254*/ GIMT_Encode4(168809), // Rule ID 1179 //
     /* 168769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 168772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facgt),
     /* 168777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 168780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 168783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 168786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168798 */     // (intrinsic_wo_chain:{ *:[v4i16] } 578:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FACGTv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 168798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGTv4f16),
     /* 168801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168803 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168805 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168807 */     GIR_RootConstrainSelectedInstOperands,
     /* 168808 */     // GIR_Coverage, 1179,
     /* 168808 */     GIR_EraseRootFromParent_Done,
     /* 168809 */   // Label 3254: @168809
     /* 168809 */   GIM_Try, /*On fail goto*//*Label 3255*/ GIMT_Encode4(168854), // Rule ID 1181 //
     /* 168814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 168817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facgt),
     /* 168822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 168825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 168828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 168831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168843 */     // (intrinsic_wo_chain:{ *:[v8i16] } 578:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FACGTv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 168843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGTv8f16),
     /* 168846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168848 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168850 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168852 */     GIR_RootConstrainSelectedInstOperands,
     /* 168853 */     // GIR_Coverage, 1181,
     /* 168853 */     GIR_EraseRootFromParent_Done,
     /* 168854 */   // Label 3255: @168854
     /* 168854 */   GIM_Try, /*On fail goto*//*Label 3256*/ GIMT_Encode4(168899), // Rule ID 1183 //
     /* 168859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facgt),
     /* 168867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 168870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 168873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 168876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168888 */     // (intrinsic_wo_chain:{ *:[v2i32] } 578:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FACGTv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 168888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGTv2f32),
     /* 168891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168893 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168895 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168897 */     GIR_RootConstrainSelectedInstOperands,
     /* 168898 */     // GIR_Coverage, 1183,
     /* 168898 */     GIR_EraseRootFromParent_Done,
     /* 168899 */   // Label 3256: @168899
     /* 168899 */   GIM_Try, /*On fail goto*//*Label 3257*/ GIMT_Encode4(168944), // Rule ID 1185 //
     /* 168904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facgt),
     /* 168912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 168915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 168918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 168921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168933 */     // (intrinsic_wo_chain:{ *:[v4i32] } 578:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FACGTv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 168933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGTv4f32),
     /* 168936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168938 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168940 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168942 */     GIR_RootConstrainSelectedInstOperands,
     /* 168943 */     // GIR_Coverage, 1185,
     /* 168943 */     GIR_EraseRootFromParent_Done,
     /* 168944 */   // Label 3257: @168944
     /* 168944 */   GIM_Try, /*On fail goto*//*Label 3258*/ GIMT_Encode4(168989), // Rule ID 1187 //
     /* 168949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facgt),
     /* 168957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 168960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 168963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 168966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168978 */     // (intrinsic_wo_chain:{ *:[v2i64] } 578:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FACGTv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 168978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGTv2f64),
     /* 168981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168983 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168985 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168987 */     GIR_RootConstrainSelectedInstOperands,
     /* 168988 */     // GIR_Coverage, 1187,
     /* 168988 */     GIR_EraseRootFromParent_Done,
     /* 168989 */   // Label 3258: @168989
     /* 168989 */   GIM_Try, /*On fail goto*//*Label 3259*/ GIMT_Encode4(169034), // Rule ID 1189 //
     /* 168994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 168997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_faddp),
     /* 169002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 169005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 169008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 169011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169023 */     // (intrinsic_wo_chain:{ *:[v4f16] } 579:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FADDPv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 169023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv4f16),
     /* 169026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169028 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169030 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169032 */     GIR_RootConstrainSelectedInstOperands,
     /* 169033 */     // GIR_Coverage, 1189,
     /* 169033 */     GIR_EraseRootFromParent_Done,
     /* 169034 */   // Label 3259: @169034
     /* 169034 */   GIM_Try, /*On fail goto*//*Label 3260*/ GIMT_Encode4(169079), // Rule ID 1191 //
     /* 169039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 169042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_faddp),
     /* 169047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 169050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 169053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 169056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169068 */     // (intrinsic_wo_chain:{ *:[v8f16] } 579:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FADDPv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 169068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv8f16),
     /* 169071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169073 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169075 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169077 */     GIR_RootConstrainSelectedInstOperands,
     /* 169078 */     // GIR_Coverage, 1191,
     /* 169078 */     GIR_EraseRootFromParent_Done,
     /* 169079 */   // Label 3260: @169079
     /* 169079 */   GIM_Try, /*On fail goto*//*Label 3261*/ GIMT_Encode4(169124), // Rule ID 1193 //
     /* 169084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_faddp),
     /* 169092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 169095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 169098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 169101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169113 */     // (intrinsic_wo_chain:{ *:[v2f32] } 579:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FADDPv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 169113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2f32),
     /* 169116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169118 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169120 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169122 */     GIR_RootConstrainSelectedInstOperands,
     /* 169123 */     // GIR_Coverage, 1193,
     /* 169123 */     GIR_EraseRootFromParent_Done,
     /* 169124 */   // Label 3261: @169124
     /* 169124 */   GIM_Try, /*On fail goto*//*Label 3262*/ GIMT_Encode4(169169), // Rule ID 1195 //
     /* 169129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_faddp),
     /* 169137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 169140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 169143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 169146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169158 */     // (intrinsic_wo_chain:{ *:[v4f32] } 579:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FADDPv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 169158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv4f32),
     /* 169161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169163 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169165 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169167 */     GIR_RootConstrainSelectedInstOperands,
     /* 169168 */     // GIR_Coverage, 1195,
     /* 169168 */     GIR_EraseRootFromParent_Done,
     /* 169169 */   // Label 3262: @169169
     /* 169169 */   GIM_Try, /*On fail goto*//*Label 3263*/ GIMT_Encode4(169214), // Rule ID 1197 //
     /* 169174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_faddp),
     /* 169182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 169185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 169188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 169191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169203 */     // (intrinsic_wo_chain:{ *:[v2f64] } 579:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FADDPv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 169203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2f64),
     /* 169206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169208 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169210 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169212 */     GIR_RootConstrainSelectedInstOperands,
     /* 169213 */     // GIR_Coverage, 1197,
     /* 169213 */     GIR_EraseRootFromParent_Done,
     /* 169214 */   // Label 3263: @169214
     /* 169214 */   GIM_Try, /*On fail goto*//*Label 3264*/ GIMT_Encode4(169259), // Rule ID 1233 //
     /* 169219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 169222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxnmp),
     /* 169227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 169230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 169233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 169236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169248 */     // (intrinsic_wo_chain:{ *:[v4f16] } 596:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMAXNMPv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 169248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMPv4f16),
     /* 169251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169253 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169255 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169257 */     GIR_RootConstrainSelectedInstOperands,
     /* 169258 */     // GIR_Coverage, 1233,
     /* 169258 */     GIR_EraseRootFromParent_Done,
     /* 169259 */   // Label 3264: @169259
     /* 169259 */   GIM_Try, /*On fail goto*//*Label 3265*/ GIMT_Encode4(169304), // Rule ID 1234 //
     /* 169264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 169267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxnmp),
     /* 169272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 169275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 169278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 169281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169293 */     // (intrinsic_wo_chain:{ *:[v8f16] } 596:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMAXNMPv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 169293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMPv8f16),
     /* 169296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169298 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169300 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169302 */     GIR_RootConstrainSelectedInstOperands,
     /* 169303 */     // GIR_Coverage, 1234,
     /* 169303 */     GIR_EraseRootFromParent_Done,
     /* 169304 */   // Label 3265: @169304
     /* 169304 */   GIM_Try, /*On fail goto*//*Label 3266*/ GIMT_Encode4(169349), // Rule ID 1235 //
     /* 169309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxnmp),
     /* 169317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 169320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 169323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 169326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169338 */     // (intrinsic_wo_chain:{ *:[v2f32] } 596:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMAXNMPv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 169338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMPv2f32),
     /* 169341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169343 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169345 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169347 */     GIR_RootConstrainSelectedInstOperands,
     /* 169348 */     // GIR_Coverage, 1235,
     /* 169348 */     GIR_EraseRootFromParent_Done,
     /* 169349 */   // Label 3266: @169349
     /* 169349 */   GIM_Try, /*On fail goto*//*Label 3267*/ GIMT_Encode4(169394), // Rule ID 1236 //
     /* 169354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxnmp),
     /* 169362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 169365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 169368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 169371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169383 */     // (intrinsic_wo_chain:{ *:[v4f32] } 596:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMAXNMPv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 169383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMPv4f32),
     /* 169386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169388 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169390 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169392 */     GIR_RootConstrainSelectedInstOperands,
     /* 169393 */     // GIR_Coverage, 1236,
     /* 169393 */     GIR_EraseRootFromParent_Done,
     /* 169394 */   // Label 3267: @169394
     /* 169394 */   GIM_Try, /*On fail goto*//*Label 3268*/ GIMT_Encode4(169439), // Rule ID 1237 //
     /* 169399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxnmp),
     /* 169407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 169410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 169413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 169416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169428 */     // (intrinsic_wo_chain:{ *:[v2f64] } 596:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMAXNMPv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 169428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMPv2f64),
     /* 169431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169433 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169435 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169437 */     GIR_RootConstrainSelectedInstOperands,
     /* 169438 */     // GIR_Coverage, 1237,
     /* 169438 */     GIR_EraseRootFromParent_Done,
     /* 169439 */   // Label 3268: @169439
     /* 169439 */   GIM_Try, /*On fail goto*//*Label 3269*/ GIMT_Encode4(169484), // Rule ID 1248 //
     /* 169444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 169447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxp),
     /* 169452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 169455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 169458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 169461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169473 */     // (intrinsic_wo_chain:{ *:[v4f16] } 598:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMAXPv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 169473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXPv4f16),
     /* 169476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169478 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169480 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169482 */     GIR_RootConstrainSelectedInstOperands,
     /* 169483 */     // GIR_Coverage, 1248,
     /* 169483 */     GIR_EraseRootFromParent_Done,
     /* 169484 */   // Label 3269: @169484
     /* 169484 */   GIM_Try, /*On fail goto*//*Label 3270*/ GIMT_Encode4(169529), // Rule ID 1249 //
     /* 169489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 169492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxp),
     /* 169497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 169500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 169503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 169506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169518 */     // (intrinsic_wo_chain:{ *:[v8f16] } 598:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMAXPv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 169518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXPv8f16),
     /* 169521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169523 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169525 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169527 */     GIR_RootConstrainSelectedInstOperands,
     /* 169528 */     // GIR_Coverage, 1249,
     /* 169528 */     GIR_EraseRootFromParent_Done,
     /* 169529 */   // Label 3270: @169529
     /* 169529 */   GIM_Try, /*On fail goto*//*Label 3271*/ GIMT_Encode4(169574), // Rule ID 1250 //
     /* 169534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxp),
     /* 169542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 169545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 169548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 169551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169563 */     // (intrinsic_wo_chain:{ *:[v2f32] } 598:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMAXPv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 169563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXPv2f32),
     /* 169566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169568 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169570 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169572 */     GIR_RootConstrainSelectedInstOperands,
     /* 169573 */     // GIR_Coverage, 1250,
     /* 169573 */     GIR_EraseRootFromParent_Done,
     /* 169574 */   // Label 3271: @169574
     /* 169574 */   GIM_Try, /*On fail goto*//*Label 3272*/ GIMT_Encode4(169619), // Rule ID 1251 //
     /* 169579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxp),
     /* 169587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 169590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 169593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 169596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169608 */     // (intrinsic_wo_chain:{ *:[v4f32] } 598:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMAXPv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 169608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXPv4f32),
     /* 169611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169613 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169615 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169617 */     GIR_RootConstrainSelectedInstOperands,
     /* 169618 */     // GIR_Coverage, 1251,
     /* 169618 */     GIR_EraseRootFromParent_Done,
     /* 169619 */   // Label 3272: @169619
     /* 169619 */   GIM_Try, /*On fail goto*//*Label 3273*/ GIMT_Encode4(169664), // Rule ID 1252 //
     /* 169624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxp),
     /* 169632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 169635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 169638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 169641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169653 */     // (intrinsic_wo_chain:{ *:[v2f64] } 598:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMAXPv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 169653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXPv2f64),
     /* 169656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169658 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169660 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169662 */     GIR_RootConstrainSelectedInstOperands,
     /* 169663 */     // GIR_Coverage, 1252,
     /* 169663 */     GIR_EraseRootFromParent_Done,
     /* 169664 */   // Label 3273: @169664
     /* 169664 */   GIM_Try, /*On fail goto*//*Label 3274*/ GIMT_Encode4(169709), // Rule ID 1263 //
     /* 169669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 169672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminnmp),
     /* 169677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 169680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 169683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 169686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169698 */     // (intrinsic_wo_chain:{ *:[v4f16] } 602:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMINNMPv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 169698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMPv4f16),
     /* 169701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169703 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169705 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169707 */     GIR_RootConstrainSelectedInstOperands,
     /* 169708 */     // GIR_Coverage, 1263,
     /* 169708 */     GIR_EraseRootFromParent_Done,
     /* 169709 */   // Label 3274: @169709
     /* 169709 */   GIM_Try, /*On fail goto*//*Label 3275*/ GIMT_Encode4(169754), // Rule ID 1264 //
     /* 169714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 169717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminnmp),
     /* 169722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 169725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 169728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 169731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169743 */     // (intrinsic_wo_chain:{ *:[v8f16] } 602:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMINNMPv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 169743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMPv8f16),
     /* 169746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169748 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169750 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169752 */     GIR_RootConstrainSelectedInstOperands,
     /* 169753 */     // GIR_Coverage, 1264,
     /* 169753 */     GIR_EraseRootFromParent_Done,
     /* 169754 */   // Label 3275: @169754
     /* 169754 */   GIM_Try, /*On fail goto*//*Label 3276*/ GIMT_Encode4(169799), // Rule ID 1265 //
     /* 169759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminnmp),
     /* 169767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 169770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 169773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 169776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169788 */     // (intrinsic_wo_chain:{ *:[v2f32] } 602:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMINNMPv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 169788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMPv2f32),
     /* 169791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169793 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169795 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169797 */     GIR_RootConstrainSelectedInstOperands,
     /* 169798 */     // GIR_Coverage, 1265,
     /* 169798 */     GIR_EraseRootFromParent_Done,
     /* 169799 */   // Label 3276: @169799
     /* 169799 */   GIM_Try, /*On fail goto*//*Label 3277*/ GIMT_Encode4(169844), // Rule ID 1266 //
     /* 169804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminnmp),
     /* 169812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 169815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 169818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 169821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169833 */     // (intrinsic_wo_chain:{ *:[v4f32] } 602:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMINNMPv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 169833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMPv4f32),
     /* 169836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169838 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169840 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169842 */     GIR_RootConstrainSelectedInstOperands,
     /* 169843 */     // GIR_Coverage, 1266,
     /* 169843 */     GIR_EraseRootFromParent_Done,
     /* 169844 */   // Label 3277: @169844
     /* 169844 */   GIM_Try, /*On fail goto*//*Label 3278*/ GIMT_Encode4(169889), // Rule ID 1267 //
     /* 169849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminnmp),
     /* 169857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 169860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 169863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 169866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169878 */     // (intrinsic_wo_chain:{ *:[v2f64] } 602:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMINNMPv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 169878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMPv2f64),
     /* 169881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169883 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169885 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169887 */     GIR_RootConstrainSelectedInstOperands,
     /* 169888 */     // GIR_Coverage, 1267,
     /* 169888 */     GIR_EraseRootFromParent_Done,
     /* 169889 */   // Label 3278: @169889
     /* 169889 */   GIM_Try, /*On fail goto*//*Label 3279*/ GIMT_Encode4(169934), // Rule ID 1278 //
     /* 169894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 169897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminp),
     /* 169902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 169905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 169908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 169911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169923 */     // (intrinsic_wo_chain:{ *:[v4f16] } 604:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMINPv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 169923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINPv4f16),
     /* 169926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169928 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169930 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169932 */     GIR_RootConstrainSelectedInstOperands,
     /* 169933 */     // GIR_Coverage, 1278,
     /* 169933 */     GIR_EraseRootFromParent_Done,
     /* 169934 */   // Label 3279: @169934
     /* 169934 */   GIM_Try, /*On fail goto*//*Label 3280*/ GIMT_Encode4(169979), // Rule ID 1279 //
     /* 169939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 169942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminp),
     /* 169947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 169950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 169953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 169956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169968 */     // (intrinsic_wo_chain:{ *:[v8f16] } 604:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMINPv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 169968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINPv8f16),
     /* 169971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169973 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169975 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169977 */     GIR_RootConstrainSelectedInstOperands,
     /* 169978 */     // GIR_Coverage, 1279,
     /* 169978 */     GIR_EraseRootFromParent_Done,
     /* 169979 */   // Label 3280: @169979
     /* 169979 */   GIM_Try, /*On fail goto*//*Label 3281*/ GIMT_Encode4(170024), // Rule ID 1280 //
     /* 169984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminp),
     /* 169992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 169995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 169998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 170001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170013 */     // (intrinsic_wo_chain:{ *:[v2f32] } 604:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMINPv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 170013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINPv2f32),
     /* 170016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170018 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170020 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170022 */     GIR_RootConstrainSelectedInstOperands,
     /* 170023 */     // GIR_Coverage, 1280,
     /* 170023 */     GIR_EraseRootFromParent_Done,
     /* 170024 */   // Label 3281: @170024
     /* 170024 */   GIM_Try, /*On fail goto*//*Label 3282*/ GIMT_Encode4(170069), // Rule ID 1281 //
     /* 170029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminp),
     /* 170037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 170040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 170043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 170046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170058 */     // (intrinsic_wo_chain:{ *:[v4f32] } 604:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMINPv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 170058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINPv4f32),
     /* 170061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170063 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170065 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170067 */     GIR_RootConstrainSelectedInstOperands,
     /* 170068 */     // GIR_Coverage, 1281,
     /* 170068 */     GIR_EraseRootFromParent_Done,
     /* 170069 */   // Label 3282: @170069
     /* 170069 */   GIM_Try, /*On fail goto*//*Label 3283*/ GIMT_Encode4(170114), // Rule ID 1282 //
     /* 170074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminp),
     /* 170082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 170085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 170088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 170091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170103 */     // (intrinsic_wo_chain:{ *:[v2f64] } 604:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMINPv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 170103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINPv2f64),
     /* 170106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170108 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170110 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170112 */     GIR_RootConstrainSelectedInstOperands,
     /* 170113 */     // GIR_Coverage, 1282,
     /* 170113 */     GIR_EraseRootFromParent_Done,
     /* 170114 */   // Label 3283: @170114
     /* 170114 */   GIM_Try, /*On fail goto*//*Label 3284*/ GIMT_Encode4(170159), // Rule ID 1313 //
     /* 170119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 170122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 170127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 170130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 170133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 170136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170148 */     // (intrinsic_wo_chain:{ *:[v4f16] } 610:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMULXv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 170148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv4f16),
     /* 170151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170153 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170155 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170157 */     GIR_RootConstrainSelectedInstOperands,
     /* 170158 */     // GIR_Coverage, 1313,
     /* 170158 */     GIR_EraseRootFromParent_Done,
     /* 170159 */   // Label 3284: @170159
     /* 170159 */   GIM_Try, /*On fail goto*//*Label 3285*/ GIMT_Encode4(170204), // Rule ID 1314 //
     /* 170164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 170167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 170172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 170175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 170178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 170181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170193 */     // (intrinsic_wo_chain:{ *:[v8f16] } 610:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMULXv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 170193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv8f16),
     /* 170196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170198 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170200 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170202 */     GIR_RootConstrainSelectedInstOperands,
     /* 170203 */     // GIR_Coverage, 1314,
     /* 170203 */     GIR_EraseRootFromParent_Done,
     /* 170204 */   // Label 3285: @170204
     /* 170204 */   GIM_Try, /*On fail goto*//*Label 3286*/ GIMT_Encode4(170249), // Rule ID 1315 //
     /* 170209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 170217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 170220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 170223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 170226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170238 */     // (intrinsic_wo_chain:{ *:[v2f32] } 610:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMULXv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 170238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv2f32),
     /* 170241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170243 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170245 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170247 */     GIR_RootConstrainSelectedInstOperands,
     /* 170248 */     // GIR_Coverage, 1315,
     /* 170248 */     GIR_EraseRootFromParent_Done,
     /* 170249 */   // Label 3286: @170249
     /* 170249 */   GIM_Try, /*On fail goto*//*Label 3287*/ GIMT_Encode4(170294), // Rule ID 1316 //
     /* 170254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 170262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 170265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 170268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 170271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170283 */     // (intrinsic_wo_chain:{ *:[v4f32] } 610:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMULXv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 170283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv4f32),
     /* 170286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170288 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170290 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170292 */     GIR_RootConstrainSelectedInstOperands,
     /* 170293 */     // GIR_Coverage, 1316,
     /* 170293 */     GIR_EraseRootFromParent_Done,
     /* 170294 */   // Label 3287: @170294
     /* 170294 */   GIM_Try, /*On fail goto*//*Label 3288*/ GIMT_Encode4(170339), // Rule ID 1317 //
     /* 170299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 170307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 170310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 170313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 170316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170328 */     // (intrinsic_wo_chain:{ *:[v2f64] } 610:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMULXv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 170328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv2f64),
     /* 170331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170333 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170335 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170337 */     GIR_RootConstrainSelectedInstOperands,
     /* 170338 */     // GIR_Coverage, 1317,
     /* 170338 */     GIR_EraseRootFromParent_Done,
     /* 170339 */   // Label 3288: @170339
     /* 170339 */   GIM_Try, /*On fail goto*//*Label 3289*/ GIMT_Encode4(170384), // Rule ID 1328 //
     /* 170344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 170347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecps),
     /* 170352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 170355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 170358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 170361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170373 */     // (intrinsic_wo_chain:{ *:[v4f16] } 633:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FRECPSv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 170373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPSv4f16),
     /* 170376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170378 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170380 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170382 */     GIR_RootConstrainSelectedInstOperands,
     /* 170383 */     // GIR_Coverage, 1328,
     /* 170383 */     GIR_EraseRootFromParent_Done,
     /* 170384 */   // Label 3289: @170384
     /* 170384 */   GIM_Try, /*On fail goto*//*Label 3290*/ GIMT_Encode4(170429), // Rule ID 1329 //
     /* 170389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 170392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecps),
     /* 170397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 170400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 170403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 170406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170418 */     // (intrinsic_wo_chain:{ *:[v8f16] } 633:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FRECPSv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 170418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPSv8f16),
     /* 170421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170423 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170425 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170427 */     GIR_RootConstrainSelectedInstOperands,
     /* 170428 */     // GIR_Coverage, 1329,
     /* 170428 */     GIR_EraseRootFromParent_Done,
     /* 170429 */   // Label 3290: @170429
     /* 170429 */   GIM_Try, /*On fail goto*//*Label 3291*/ GIMT_Encode4(170474), // Rule ID 1330 //
     /* 170434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecps),
     /* 170442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 170445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 170448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 170451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170463 */     // (intrinsic_wo_chain:{ *:[v2f32] } 633:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FRECPSv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 170463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPSv2f32),
     /* 170466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170468 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170470 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170472 */     GIR_RootConstrainSelectedInstOperands,
     /* 170473 */     // GIR_Coverage, 1330,
     /* 170473 */     GIR_EraseRootFromParent_Done,
     /* 170474 */   // Label 3291: @170474
     /* 170474 */   GIM_Try, /*On fail goto*//*Label 3292*/ GIMT_Encode4(170519), // Rule ID 1331 //
     /* 170479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecps),
     /* 170487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 170490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 170493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 170496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170508 */     // (intrinsic_wo_chain:{ *:[v4f32] } 633:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FRECPSv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 170508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPSv4f32),
     /* 170511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170513 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170515 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170517 */     GIR_RootConstrainSelectedInstOperands,
     /* 170518 */     // GIR_Coverage, 1331,
     /* 170518 */     GIR_EraseRootFromParent_Done,
     /* 170519 */   // Label 3292: @170519
     /* 170519 */   GIM_Try, /*On fail goto*//*Label 3293*/ GIMT_Encode4(170564), // Rule ID 1332 //
     /* 170524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecps),
     /* 170532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 170535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 170538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 170541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170553 */     // (intrinsic_wo_chain:{ *:[v2f64] } 633:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FRECPSv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 170553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPSv2f64),
     /* 170556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170558 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170560 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170562 */     GIR_RootConstrainSelectedInstOperands,
     /* 170563 */     // GIR_Coverage, 1332,
     /* 170563 */     GIR_EraseRootFromParent_Done,
     /* 170564 */   // Label 3293: @170564
     /* 170564 */   GIM_Try, /*On fail goto*//*Label 3294*/ GIMT_Encode4(170609), // Rule ID 1333 //
     /* 170569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 170572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrts),
     /* 170577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 170580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 170583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 170586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170598 */     // (intrinsic_wo_chain:{ *:[v4f16] } 640:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FRSQRTSv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 170598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTSv4f16),
     /* 170601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170603 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170605 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170607 */     GIR_RootConstrainSelectedInstOperands,
     /* 170608 */     // GIR_Coverage, 1333,
     /* 170608 */     GIR_EraseRootFromParent_Done,
     /* 170609 */   // Label 3294: @170609
     /* 170609 */   GIM_Try, /*On fail goto*//*Label 3295*/ GIMT_Encode4(170654), // Rule ID 1334 //
     /* 170614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 170617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrts),
     /* 170622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 170625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 170628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 170631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170643 */     // (intrinsic_wo_chain:{ *:[v8f16] } 640:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FRSQRTSv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 170643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTSv8f16),
     /* 170646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170648 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170650 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170652 */     GIR_RootConstrainSelectedInstOperands,
     /* 170653 */     // GIR_Coverage, 1334,
     /* 170653 */     GIR_EraseRootFromParent_Done,
     /* 170654 */   // Label 3295: @170654
     /* 170654 */   GIM_Try, /*On fail goto*//*Label 3296*/ GIMT_Encode4(170699), // Rule ID 1335 //
     /* 170659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrts),
     /* 170667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 170670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 170673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 170676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170688 */     // (intrinsic_wo_chain:{ *:[v2f32] } 640:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FRSQRTSv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 170688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTSv2f32),
     /* 170691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170693 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170695 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170697 */     GIR_RootConstrainSelectedInstOperands,
     /* 170698 */     // GIR_Coverage, 1335,
     /* 170698 */     GIR_EraseRootFromParent_Done,
     /* 170699 */   // Label 3296: @170699
     /* 170699 */   GIM_Try, /*On fail goto*//*Label 3297*/ GIMT_Encode4(170744), // Rule ID 1336 //
     /* 170704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrts),
     /* 170712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 170715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 170718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 170721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170733 */     // (intrinsic_wo_chain:{ *:[v4f32] } 640:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FRSQRTSv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 170733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTSv4f32),
     /* 170736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170738 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170740 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170742 */     GIR_RootConstrainSelectedInstOperands,
     /* 170743 */     // GIR_Coverage, 1336,
     /* 170743 */     GIR_EraseRootFromParent_Done,
     /* 170744 */   // Label 3297: @170744
     /* 170744 */   GIM_Try, /*On fail goto*//*Label 3298*/ GIMT_Encode4(170789), // Rule ID 1337 //
     /* 170749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrts),
     /* 170757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 170760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 170763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 170766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170778 */     // (intrinsic_wo_chain:{ *:[v2f64] } 640:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FRSQRTSv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 170778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTSv2f64),
     /* 170781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170783 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170785 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170787 */     GIR_RootConstrainSelectedInstOperands,
     /* 170788 */     // GIR_Coverage, 1337,
     /* 170788 */     GIR_EraseRootFromParent_Done,
     /* 170789 */   // Label 3298: @170789
     /* 170789 */   GIM_Try, /*On fail goto*//*Label 3299*/ GIMT_Encode4(170834), // Rule ID 1354 //
     /* 170794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_pmul),
     /* 170802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 170805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 170808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 170811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170823 */     // (intrinsic_wo_chain:{ *:[v8i8] } 653:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (PMULv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 170823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMULv8i8),
     /* 170826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170828 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170830 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170832 */     GIR_RootConstrainSelectedInstOperands,
     /* 170833 */     // GIR_Coverage, 1354,
     /* 170833 */     GIR_EraseRootFromParent_Done,
     /* 170834 */   // Label 3299: @170834
     /* 170834 */   GIM_Try, /*On fail goto*//*Label 3300*/ GIMT_Encode4(170879), // Rule ID 1355 //
     /* 170839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_pmul),
     /* 170847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 170850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 170853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 170856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170868 */     // (intrinsic_wo_chain:{ *:[v16i8] } 653:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (PMULv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 170868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMULv16i8),
     /* 170871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170873 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170875 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170877 */     GIR_RootConstrainSelectedInstOperands,
     /* 170878 */     // GIR_Coverage, 1355,
     /* 170878 */     GIR_EraseRootFromParent_Done,
     /* 170879 */   // Label 3300: @170879
     /* 170879 */   GIM_Try, /*On fail goto*//*Label 3301*/ GIMT_Encode4(170924), // Rule ID 1369 //
     /* 170884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 170892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 170895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 170898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 170901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170913 */     // (intrinsic_wo_chain:{ *:[v8i8] } 659:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SABDv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 170913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDv8i8),
     /* 170916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170918 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170920 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170922 */     GIR_RootConstrainSelectedInstOperands,
     /* 170923 */     // GIR_Coverage, 1369,
     /* 170923 */     GIR_EraseRootFromParent_Done,
     /* 170924 */   // Label 3301: @170924
     /* 170924 */   GIM_Try, /*On fail goto*//*Label 3302*/ GIMT_Encode4(170969), // Rule ID 1371 //
     /* 170929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 170937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 170940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 170943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 170946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170958 */     // (intrinsic_wo_chain:{ *:[v16i8] } 659:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SABDv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 170958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDv16i8),
     /* 170961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170963 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170965 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170967 */     GIR_RootConstrainSelectedInstOperands,
     /* 170968 */     // GIR_Coverage, 1371,
     /* 170968 */     GIR_EraseRootFromParent_Done,
     /* 170969 */   // Label 3302: @170969
     /* 170969 */   GIM_Try, /*On fail goto*//*Label 3303*/ GIMT_Encode4(171014), // Rule ID 1373 //
     /* 170974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 170982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 170985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 170988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 170991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171003 */     // (intrinsic_wo_chain:{ *:[v4i16] } 659:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SABDv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 171003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDv4i16),
     /* 171006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171008 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171010 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171012 */     GIR_RootConstrainSelectedInstOperands,
     /* 171013 */     // GIR_Coverage, 1373,
     /* 171013 */     GIR_EraseRootFromParent_Done,
     /* 171014 */   // Label 3303: @171014
     /* 171014 */   GIM_Try, /*On fail goto*//*Label 3304*/ GIMT_Encode4(171059), // Rule ID 1375 //
     /* 171019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 171027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 171030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 171033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 171036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171048 */     // (intrinsic_wo_chain:{ *:[v8i16] } 659:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SABDv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 171048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDv8i16),
     /* 171051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171053 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171055 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171057 */     GIR_RootConstrainSelectedInstOperands,
     /* 171058 */     // GIR_Coverage, 1375,
     /* 171058 */     GIR_EraseRootFromParent_Done,
     /* 171059 */   // Label 3304: @171059
     /* 171059 */   GIM_Try, /*On fail goto*//*Label 3305*/ GIMT_Encode4(171104), // Rule ID 1377 //
     /* 171064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 171072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 171075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 171078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 171081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171093 */     // (intrinsic_wo_chain:{ *:[v2i32] } 659:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SABDv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 171093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDv2i32),
     /* 171096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171098 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171100 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171102 */     GIR_RootConstrainSelectedInstOperands,
     /* 171103 */     // GIR_Coverage, 1377,
     /* 171103 */     GIR_EraseRootFromParent_Done,
     /* 171104 */   // Label 3305: @171104
     /* 171104 */   GIM_Try, /*On fail goto*//*Label 3306*/ GIMT_Encode4(171149), // Rule ID 1379 //
     /* 171109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 171117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 171120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 171123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 171126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171138 */     // (intrinsic_wo_chain:{ *:[v4i32] } 659:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SABDv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 171138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDv4i32),
     /* 171141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171143 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171145 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171147 */     GIR_RootConstrainSelectedInstOperands,
     /* 171148 */     // GIR_Coverage, 1379,
     /* 171148 */     GIR_EraseRootFromParent_Done,
     /* 171149 */   // Label 3306: @171149
     /* 171149 */   GIM_Try, /*On fail goto*//*Label 3307*/ GIMT_Encode4(171194), // Rule ID 1386 //
     /* 171154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_shsub),
     /* 171162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 171165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 171168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 171171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171183 */     // (intrinsic_wo_chain:{ *:[v8i8] } 669:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SHSUBv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 171183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUBv8i8),
     /* 171186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171188 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171190 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171192 */     GIR_RootConstrainSelectedInstOperands,
     /* 171193 */     // GIR_Coverage, 1386,
     /* 171193 */     GIR_EraseRootFromParent_Done,
     /* 171194 */   // Label 3307: @171194
     /* 171194 */   GIM_Try, /*On fail goto*//*Label 3308*/ GIMT_Encode4(171239), // Rule ID 1387 //
     /* 171199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_shsub),
     /* 171207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 171210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 171213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 171216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171228 */     // (intrinsic_wo_chain:{ *:[v16i8] } 669:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SHSUBv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 171228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUBv16i8),
     /* 171231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171233 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171235 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171237 */     GIR_RootConstrainSelectedInstOperands,
     /* 171238 */     // GIR_Coverage, 1387,
     /* 171238 */     GIR_EraseRootFromParent_Done,
     /* 171239 */   // Label 3308: @171239
     /* 171239 */   GIM_Try, /*On fail goto*//*Label 3309*/ GIMT_Encode4(171284), // Rule ID 1388 //
     /* 171244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_shsub),
     /* 171252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 171255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 171258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 171261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171273 */     // (intrinsic_wo_chain:{ *:[v4i16] } 669:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SHSUBv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 171273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUBv4i16),
     /* 171276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171278 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171280 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171282 */     GIR_RootConstrainSelectedInstOperands,
     /* 171283 */     // GIR_Coverage, 1388,
     /* 171283 */     GIR_EraseRootFromParent_Done,
     /* 171284 */   // Label 3309: @171284
     /* 171284 */   GIM_Try, /*On fail goto*//*Label 3310*/ GIMT_Encode4(171329), // Rule ID 1389 //
     /* 171289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_shsub),
     /* 171297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 171300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 171303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 171306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171318 */     // (intrinsic_wo_chain:{ *:[v8i16] } 669:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SHSUBv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 171318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUBv8i16),
     /* 171321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171323 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171325 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171327 */     GIR_RootConstrainSelectedInstOperands,
     /* 171328 */     // GIR_Coverage, 1389,
     /* 171328 */     GIR_EraseRootFromParent_Done,
     /* 171329 */   // Label 3310: @171329
     /* 171329 */   GIM_Try, /*On fail goto*//*Label 3311*/ GIMT_Encode4(171374), // Rule ID 1390 //
     /* 171334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_shsub),
     /* 171342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 171345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 171348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 171351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171363 */     // (intrinsic_wo_chain:{ *:[v2i32] } 669:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SHSUBv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 171363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUBv2i32),
     /* 171366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171368 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171370 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171372 */     GIR_RootConstrainSelectedInstOperands,
     /* 171373 */     // GIR_Coverage, 1390,
     /* 171373 */     GIR_EraseRootFromParent_Done,
     /* 171374 */   // Label 3311: @171374
     /* 171374 */   GIM_Try, /*On fail goto*//*Label 3312*/ GIMT_Encode4(171419), // Rule ID 1391 //
     /* 171379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_shsub),
     /* 171387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 171390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 171393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 171396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171408 */     // (intrinsic_wo_chain:{ *:[v4i32] } 669:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SHSUBv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 171408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUBv4i32),
     /* 171411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171413 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171415 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171417 */     GIR_RootConstrainSelectedInstOperands,
     /* 171418 */     // GIR_Coverage, 1391,
     /* 171418 */     GIR_EraseRootFromParent_Done,
     /* 171419 */   // Label 3312: @171419
     /* 171419 */   GIM_Try, /*On fail goto*//*Label 3313*/ GIMT_Encode4(171464), // Rule ID 1392 //
     /* 171424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxp),
     /* 171432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 171435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 171438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 171441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171453 */     // (intrinsic_wo_chain:{ *:[v8i8] } 671:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SMAXPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 171453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXPv8i8),
     /* 171456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171458 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171460 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171462 */     GIR_RootConstrainSelectedInstOperands,
     /* 171463 */     // GIR_Coverage, 1392,
     /* 171463 */     GIR_EraseRootFromParent_Done,
     /* 171464 */   // Label 3313: @171464
     /* 171464 */   GIM_Try, /*On fail goto*//*Label 3314*/ GIMT_Encode4(171509), // Rule ID 1393 //
     /* 171469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxp),
     /* 171477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 171480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 171483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 171486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171498 */     // (intrinsic_wo_chain:{ *:[v16i8] } 671:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SMAXPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 171498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXPv16i8),
     /* 171501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171503 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171505 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171507 */     GIR_RootConstrainSelectedInstOperands,
     /* 171508 */     // GIR_Coverage, 1393,
     /* 171508 */     GIR_EraseRootFromParent_Done,
     /* 171509 */   // Label 3314: @171509
     /* 171509 */   GIM_Try, /*On fail goto*//*Label 3315*/ GIMT_Encode4(171554), // Rule ID 1394 //
     /* 171514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxp),
     /* 171522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 171525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 171528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 171531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171543 */     // (intrinsic_wo_chain:{ *:[v4i16] } 671:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SMAXPv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 171543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXPv4i16),
     /* 171546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171548 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171550 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171552 */     GIR_RootConstrainSelectedInstOperands,
     /* 171553 */     // GIR_Coverage, 1394,
     /* 171553 */     GIR_EraseRootFromParent_Done,
     /* 171554 */   // Label 3315: @171554
     /* 171554 */   GIM_Try, /*On fail goto*//*Label 3316*/ GIMT_Encode4(171599), // Rule ID 1395 //
     /* 171559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxp),
     /* 171567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 171570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 171573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 171576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171588 */     // (intrinsic_wo_chain:{ *:[v8i16] } 671:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SMAXPv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 171588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXPv8i16),
     /* 171591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171593 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171595 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171597 */     GIR_RootConstrainSelectedInstOperands,
     /* 171598 */     // GIR_Coverage, 1395,
     /* 171598 */     GIR_EraseRootFromParent_Done,
     /* 171599 */   // Label 3316: @171599
     /* 171599 */   GIM_Try, /*On fail goto*//*Label 3317*/ GIMT_Encode4(171644), // Rule ID 1396 //
     /* 171604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxp),
     /* 171612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 171615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 171618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 171621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171633 */     // (intrinsic_wo_chain:{ *:[v2i32] } 671:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SMAXPv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 171633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXPv2i32),
     /* 171636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171638 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171640 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171642 */     GIR_RootConstrainSelectedInstOperands,
     /* 171643 */     // GIR_Coverage, 1396,
     /* 171643 */     GIR_EraseRootFromParent_Done,
     /* 171644 */   // Label 3317: @171644
     /* 171644 */   GIM_Try, /*On fail goto*//*Label 3318*/ GIMT_Encode4(171689), // Rule ID 1397 //
     /* 171649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxp),
     /* 171657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 171660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 171663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 171666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171678 */     // (intrinsic_wo_chain:{ *:[v4i32] } 671:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SMAXPv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 171678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXPv4i32),
     /* 171681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171683 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171685 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171687 */     GIR_RootConstrainSelectedInstOperands,
     /* 171688 */     // GIR_Coverage, 1397,
     /* 171688 */     GIR_EraseRootFromParent_Done,
     /* 171689 */   // Label 3318: @171689
     /* 171689 */   GIM_Try, /*On fail goto*//*Label 3319*/ GIMT_Encode4(171734), // Rule ID 1404 //
     /* 171694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminp),
     /* 171702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 171705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 171708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 171711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171723 */     // (intrinsic_wo_chain:{ *:[v8i8] } 674:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SMINPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 171723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINPv8i8),
     /* 171726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171728 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171730 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171732 */     GIR_RootConstrainSelectedInstOperands,
     /* 171733 */     // GIR_Coverage, 1404,
     /* 171733 */     GIR_EraseRootFromParent_Done,
     /* 171734 */   // Label 3319: @171734
     /* 171734 */   GIM_Try, /*On fail goto*//*Label 3320*/ GIMT_Encode4(171779), // Rule ID 1405 //
     /* 171739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminp),
     /* 171747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 171750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 171753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 171756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171768 */     // (intrinsic_wo_chain:{ *:[v16i8] } 674:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SMINPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 171768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINPv16i8),
     /* 171771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171773 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171775 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171777 */     GIR_RootConstrainSelectedInstOperands,
     /* 171778 */     // GIR_Coverage, 1405,
     /* 171778 */     GIR_EraseRootFromParent_Done,
     /* 171779 */   // Label 3320: @171779
     /* 171779 */   GIM_Try, /*On fail goto*//*Label 3321*/ GIMT_Encode4(171824), // Rule ID 1406 //
     /* 171784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminp),
     /* 171792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 171795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 171798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 171801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171813 */     // (intrinsic_wo_chain:{ *:[v4i16] } 674:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SMINPv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 171813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINPv4i16),
     /* 171816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171818 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171820 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171822 */     GIR_RootConstrainSelectedInstOperands,
     /* 171823 */     // GIR_Coverage, 1406,
     /* 171823 */     GIR_EraseRootFromParent_Done,
     /* 171824 */   // Label 3321: @171824
     /* 171824 */   GIM_Try, /*On fail goto*//*Label 3322*/ GIMT_Encode4(171869), // Rule ID 1407 //
     /* 171829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminp),
     /* 171837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 171840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 171843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 171846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171858 */     // (intrinsic_wo_chain:{ *:[v8i16] } 674:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SMINPv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 171858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINPv8i16),
     /* 171861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171863 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171865 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171867 */     GIR_RootConstrainSelectedInstOperands,
     /* 171868 */     // GIR_Coverage, 1407,
     /* 171868 */     GIR_EraseRootFromParent_Done,
     /* 171869 */   // Label 3322: @171869
     /* 171869 */   GIM_Try, /*On fail goto*//*Label 3323*/ GIMT_Encode4(171914), // Rule ID 1408 //
     /* 171874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminp),
     /* 171882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 171885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 171888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 171891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171903 */     // (intrinsic_wo_chain:{ *:[v2i32] } 674:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SMINPv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 171903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINPv2i32),
     /* 171906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171908 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171910 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171912 */     GIR_RootConstrainSelectedInstOperands,
     /* 171913 */     // GIR_Coverage, 1408,
     /* 171913 */     GIR_EraseRootFromParent_Done,
     /* 171914 */   // Label 3323: @171914
     /* 171914 */   GIM_Try, /*On fail goto*//*Label 3324*/ GIMT_Encode4(171959), // Rule ID 1409 //
     /* 171919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminp),
     /* 171927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 171930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 171933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 171936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171948 */     // (intrinsic_wo_chain:{ *:[v4i32] } 674:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SMINPv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 171948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINPv4i32),
     /* 171951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171953 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171955 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171957 */     GIR_RootConstrainSelectedInstOperands,
     /* 171958 */     // GIR_Coverage, 1409,
     /* 171958 */     GIR_EraseRootFromParent_Done,
     /* 171959 */   // Label 3324: @171959
     /* 171959 */   GIM_Try, /*On fail goto*//*Label 3325*/ GIMT_Encode4(172004), // Rule ID 1416 //
     /* 171964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 171972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 171975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 171978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 171981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171993 */     // (intrinsic_wo_chain:{ *:[v8i8] } 679:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SQADDv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 171993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADDv8i8),
     /* 171996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171998 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172000 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172002 */     GIR_RootConstrainSelectedInstOperands,
     /* 172003 */     // GIR_Coverage, 1416,
     /* 172003 */     GIR_EraseRootFromParent_Done,
     /* 172004 */   // Label 3325: @172004
     /* 172004 */   GIM_Try, /*On fail goto*//*Label 3326*/ GIMT_Encode4(172049), // Rule ID 1417 //
     /* 172009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 172017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 172020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 172023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 172026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172038 */     // (intrinsic_wo_chain:{ *:[v16i8] } 679:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SQADDv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 172038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADDv16i8),
     /* 172041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172043 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172045 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172047 */     GIR_RootConstrainSelectedInstOperands,
     /* 172048 */     // GIR_Coverage, 1417,
     /* 172048 */     GIR_EraseRootFromParent_Done,
     /* 172049 */   // Label 3326: @172049
     /* 172049 */   GIM_Try, /*On fail goto*//*Label 3327*/ GIMT_Encode4(172094), // Rule ID 1418 //
     /* 172054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 172062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 172065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 172068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 172071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172083 */     // (intrinsic_wo_chain:{ *:[v4i16] } 679:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SQADDv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 172083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADDv4i16),
     /* 172086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172088 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172090 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172092 */     GIR_RootConstrainSelectedInstOperands,
     /* 172093 */     // GIR_Coverage, 1418,
     /* 172093 */     GIR_EraseRootFromParent_Done,
     /* 172094 */   // Label 3327: @172094
     /* 172094 */   GIM_Try, /*On fail goto*//*Label 3328*/ GIMT_Encode4(172139), // Rule ID 1419 //
     /* 172099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 172107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 172110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 172113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 172116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172128 */     // (intrinsic_wo_chain:{ *:[v8i16] } 679:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SQADDv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 172128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADDv8i16),
     /* 172131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172133 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172135 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172137 */     GIR_RootConstrainSelectedInstOperands,
     /* 172138 */     // GIR_Coverage, 1419,
     /* 172138 */     GIR_EraseRootFromParent_Done,
     /* 172139 */   // Label 3328: @172139
     /* 172139 */   GIM_Try, /*On fail goto*//*Label 3329*/ GIMT_Encode4(172184), // Rule ID 1420 //
     /* 172144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 172152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 172155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 172158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 172161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172173 */     // (intrinsic_wo_chain:{ *:[v2i32] } 679:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SQADDv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 172173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADDv2i32),
     /* 172176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172178 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172180 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172182 */     GIR_RootConstrainSelectedInstOperands,
     /* 172183 */     // GIR_Coverage, 1420,
     /* 172183 */     GIR_EraseRootFromParent_Done,
     /* 172184 */   // Label 3329: @172184
     /* 172184 */   GIM_Try, /*On fail goto*//*Label 3330*/ GIMT_Encode4(172229), // Rule ID 1421 //
     /* 172189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 172197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 172200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 172203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 172206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172218 */     // (intrinsic_wo_chain:{ *:[v4i32] } 679:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SQADDv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 172218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADDv4i32),
     /* 172221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172223 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172225 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172227 */     GIR_RootConstrainSelectedInstOperands,
     /* 172228 */     // GIR_Coverage, 1421,
     /* 172228 */     GIR_EraseRootFromParent_Done,
     /* 172229 */   // Label 3330: @172229
     /* 172229 */   GIM_Try, /*On fail goto*//*Label 3331*/ GIMT_Encode4(172274), // Rule ID 1422 //
     /* 172234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 172242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 172245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 172248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 172251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172263 */     // (intrinsic_wo_chain:{ *:[v2i64] } 679:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (SQADDv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 172263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADDv2i64),
     /* 172266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172268 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172270 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172272 */     GIR_RootConstrainSelectedInstOperands,
     /* 172273 */     // GIR_Coverage, 1422,
     /* 172273 */     GIR_EraseRootFromParent_Done,
     /* 172274 */   // Label 3331: @172274
     /* 172274 */   GIM_Try, /*On fail goto*//*Label 3332*/ GIMT_Encode4(172319), // Rule ID 1423 //
     /* 172279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 172287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 172290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 172293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 172296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172308 */     // (intrinsic_wo_chain:{ *:[v4i16] } 680:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SQDMULHv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 172308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv4i16),
     /* 172311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172313 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172315 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172317 */     GIR_RootConstrainSelectedInstOperands,
     /* 172318 */     // GIR_Coverage, 1423,
     /* 172318 */     GIR_EraseRootFromParent_Done,
     /* 172319 */   // Label 3332: @172319
     /* 172319 */   GIM_Try, /*On fail goto*//*Label 3333*/ GIMT_Encode4(172364), // Rule ID 1424 //
     /* 172324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 172332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 172335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 172338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 172341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172353 */     // (intrinsic_wo_chain:{ *:[v8i16] } 680:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SQDMULHv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 172353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv8i16),
     /* 172356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172358 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172360 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172362 */     GIR_RootConstrainSelectedInstOperands,
     /* 172363 */     // GIR_Coverage, 1424,
     /* 172363 */     GIR_EraseRootFromParent_Done,
     /* 172364 */   // Label 3333: @172364
     /* 172364 */   GIM_Try, /*On fail goto*//*Label 3334*/ GIMT_Encode4(172409), // Rule ID 1425 //
     /* 172369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 172377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 172380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 172383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 172386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172398 */     // (intrinsic_wo_chain:{ *:[v2i32] } 680:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SQDMULHv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 172398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv2i32),
     /* 172401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172403 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172405 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172407 */     GIR_RootConstrainSelectedInstOperands,
     /* 172408 */     // GIR_Coverage, 1425,
     /* 172408 */     GIR_EraseRootFromParent_Done,
     /* 172409 */   // Label 3334: @172409
     /* 172409 */   GIM_Try, /*On fail goto*//*Label 3335*/ GIMT_Encode4(172454), // Rule ID 1426 //
     /* 172414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 172422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 172425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 172428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 172431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172443 */     // (intrinsic_wo_chain:{ *:[v4i32] } 680:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SQDMULHv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 172443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv4i32),
     /* 172446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172448 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172450 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172452 */     GIR_RootConstrainSelectedInstOperands,
     /* 172453 */     // GIR_Coverage, 1426,
     /* 172453 */     GIR_EraseRootFromParent_Done,
     /* 172454 */   // Label 3335: @172454
     /* 172454 */   GIM_Try, /*On fail goto*//*Label 3336*/ GIMT_Encode4(172499), // Rule ID 1427 //
     /* 172459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 172467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 172470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 172473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 172476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172488 */     // (intrinsic_wo_chain:{ *:[v4i16] } 688:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SQRDMULHv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 172488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv4i16),
     /* 172491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172493 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172495 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172497 */     GIR_RootConstrainSelectedInstOperands,
     /* 172498 */     // GIR_Coverage, 1427,
     /* 172498 */     GIR_EraseRootFromParent_Done,
     /* 172499 */   // Label 3336: @172499
     /* 172499 */   GIM_Try, /*On fail goto*//*Label 3337*/ GIMT_Encode4(172544), // Rule ID 1428 //
     /* 172504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 172512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 172515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 172518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 172521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172533 */     // (intrinsic_wo_chain:{ *:[v8i16] } 688:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SQRDMULHv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 172533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv8i16),
     /* 172536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172538 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172540 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172542 */     GIR_RootConstrainSelectedInstOperands,
     /* 172543 */     // GIR_Coverage, 1428,
     /* 172543 */     GIR_EraseRootFromParent_Done,
     /* 172544 */   // Label 3337: @172544
     /* 172544 */   GIM_Try, /*On fail goto*//*Label 3338*/ GIMT_Encode4(172589), // Rule ID 1429 //
     /* 172549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 172557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 172560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 172563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 172566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172578 */     // (intrinsic_wo_chain:{ *:[v2i32] } 688:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SQRDMULHv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 172578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv2i32),
     /* 172581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172583 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172585 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172587 */     GIR_RootConstrainSelectedInstOperands,
     /* 172588 */     // GIR_Coverage, 1429,
     /* 172588 */     GIR_EraseRootFromParent_Done,
     /* 172589 */   // Label 3338: @172589
     /* 172589 */   GIM_Try, /*On fail goto*//*Label 3339*/ GIMT_Encode4(172634), // Rule ID 1430 //
     /* 172594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 172602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 172605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 172608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 172611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172623 */     // (intrinsic_wo_chain:{ *:[v4i32] } 688:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SQRDMULHv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 172623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv4i32),
     /* 172626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172628 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172630 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172632 */     GIR_RootConstrainSelectedInstOperands,
     /* 172633 */     // GIR_Coverage, 1430,
     /* 172633 */     GIR_EraseRootFromParent_Done,
     /* 172634 */   // Label 3339: @172634
     /* 172634 */   GIM_Try, /*On fail goto*//*Label 3340*/ GIMT_Encode4(172679), // Rule ID 1431 //
     /* 172639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshl),
     /* 172647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 172650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 172653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 172656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172668 */     // (intrinsic_wo_chain:{ *:[v8i8] } 691:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SQRSHLv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 172668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHLv8i8),
     /* 172671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172673 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172675 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172677 */     GIR_RootConstrainSelectedInstOperands,
     /* 172678 */     // GIR_Coverage, 1431,
     /* 172678 */     GIR_EraseRootFromParent_Done,
     /* 172679 */   // Label 3340: @172679
     /* 172679 */   GIM_Try, /*On fail goto*//*Label 3341*/ GIMT_Encode4(172724), // Rule ID 1432 //
     /* 172684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshl),
     /* 172692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 172695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 172698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 172701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172713 */     // (intrinsic_wo_chain:{ *:[v16i8] } 691:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SQRSHLv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 172713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHLv16i8),
     /* 172716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172718 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172720 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172722 */     GIR_RootConstrainSelectedInstOperands,
     /* 172723 */     // GIR_Coverage, 1432,
     /* 172723 */     GIR_EraseRootFromParent_Done,
     /* 172724 */   // Label 3341: @172724
     /* 172724 */   GIM_Try, /*On fail goto*//*Label 3342*/ GIMT_Encode4(172769), // Rule ID 1433 //
     /* 172729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshl),
     /* 172737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 172740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 172743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 172746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172758 */     // (intrinsic_wo_chain:{ *:[v4i16] } 691:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SQRSHLv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 172758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHLv4i16),
     /* 172761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172763 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172765 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172767 */     GIR_RootConstrainSelectedInstOperands,
     /* 172768 */     // GIR_Coverage, 1433,
     /* 172768 */     GIR_EraseRootFromParent_Done,
     /* 172769 */   // Label 3342: @172769
     /* 172769 */   GIM_Try, /*On fail goto*//*Label 3343*/ GIMT_Encode4(172814), // Rule ID 1434 //
     /* 172774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshl),
     /* 172782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 172785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 172788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 172791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172803 */     // (intrinsic_wo_chain:{ *:[v8i16] } 691:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SQRSHLv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 172803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHLv8i16),
     /* 172806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172808 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172810 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172812 */     GIR_RootConstrainSelectedInstOperands,
     /* 172813 */     // GIR_Coverage, 1434,
     /* 172813 */     GIR_EraseRootFromParent_Done,
     /* 172814 */   // Label 3343: @172814
     /* 172814 */   GIM_Try, /*On fail goto*//*Label 3344*/ GIMT_Encode4(172859), // Rule ID 1435 //
     /* 172819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshl),
     /* 172827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 172830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 172833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 172836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172848 */     // (intrinsic_wo_chain:{ *:[v2i32] } 691:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SQRSHLv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 172848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHLv2i32),
     /* 172851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172853 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172855 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172857 */     GIR_RootConstrainSelectedInstOperands,
     /* 172858 */     // GIR_Coverage, 1435,
     /* 172858 */     GIR_EraseRootFromParent_Done,
     /* 172859 */   // Label 3344: @172859
     /* 172859 */   GIM_Try, /*On fail goto*//*Label 3345*/ GIMT_Encode4(172904), // Rule ID 1436 //
     /* 172864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshl),
     /* 172872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 172875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 172878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 172881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172893 */     // (intrinsic_wo_chain:{ *:[v4i32] } 691:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SQRSHLv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 172893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHLv4i32),
     /* 172896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172898 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172900 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172902 */     GIR_RootConstrainSelectedInstOperands,
     /* 172903 */     // GIR_Coverage, 1436,
     /* 172903 */     GIR_EraseRootFromParent_Done,
     /* 172904 */   // Label 3345: @172904
     /* 172904 */   GIM_Try, /*On fail goto*//*Label 3346*/ GIMT_Encode4(172949), // Rule ID 1437 //
     /* 172909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshl),
     /* 172917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 172920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 172923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 172926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172938 */     // (intrinsic_wo_chain:{ *:[v2i64] } 691:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (SQRSHLv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 172938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHLv2i64),
     /* 172941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172943 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172945 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172947 */     GIR_RootConstrainSelectedInstOperands,
     /* 172948 */     // GIR_Coverage, 1437,
     /* 172948 */     GIR_EraseRootFromParent_Done,
     /* 172949 */   // Label 3346: @172949
     /* 172949 */   GIM_Try, /*On fail goto*//*Label 3347*/ GIMT_Encode4(172994), // Rule ID 1438 //
     /* 172954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshl),
     /* 172962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 172965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 172968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 172971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172983 */     // (intrinsic_wo_chain:{ *:[v8i8] } 694:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SQSHLv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 172983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLv8i8),
     /* 172986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172988 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172990 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172992 */     GIR_RootConstrainSelectedInstOperands,
     /* 172993 */     // GIR_Coverage, 1438,
     /* 172993 */     GIR_EraseRootFromParent_Done,
     /* 172994 */   // Label 3347: @172994
     /* 172994 */   GIM_Try, /*On fail goto*//*Label 3348*/ GIMT_Encode4(173039), // Rule ID 1439 //
     /* 172999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshl),
     /* 173007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 173010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 173013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 173016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173028 */     // (intrinsic_wo_chain:{ *:[v16i8] } 694:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SQSHLv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 173028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLv16i8),
     /* 173031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173033 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173035 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173037 */     GIR_RootConstrainSelectedInstOperands,
     /* 173038 */     // GIR_Coverage, 1439,
     /* 173038 */     GIR_EraseRootFromParent_Done,
     /* 173039 */   // Label 3348: @173039
     /* 173039 */   GIM_Try, /*On fail goto*//*Label 3349*/ GIMT_Encode4(173084), // Rule ID 1440 //
     /* 173044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshl),
     /* 173052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 173055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 173058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 173061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173073 */     // (intrinsic_wo_chain:{ *:[v4i16] } 694:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SQSHLv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 173073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLv4i16),
     /* 173076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173078 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173080 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173082 */     GIR_RootConstrainSelectedInstOperands,
     /* 173083 */     // GIR_Coverage, 1440,
     /* 173083 */     GIR_EraseRootFromParent_Done,
     /* 173084 */   // Label 3349: @173084
     /* 173084 */   GIM_Try, /*On fail goto*//*Label 3350*/ GIMT_Encode4(173129), // Rule ID 1441 //
     /* 173089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshl),
     /* 173097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 173100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 173103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 173106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173118 */     // (intrinsic_wo_chain:{ *:[v8i16] } 694:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SQSHLv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 173118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLv8i16),
     /* 173121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173123 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173125 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173127 */     GIR_RootConstrainSelectedInstOperands,
     /* 173128 */     // GIR_Coverage, 1441,
     /* 173128 */     GIR_EraseRootFromParent_Done,
     /* 173129 */   // Label 3350: @173129
     /* 173129 */   GIM_Try, /*On fail goto*//*Label 3351*/ GIMT_Encode4(173174), // Rule ID 1442 //
     /* 173134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshl),
     /* 173142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 173145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 173148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 173151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173163 */     // (intrinsic_wo_chain:{ *:[v2i32] } 694:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SQSHLv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 173163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLv2i32),
     /* 173166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173168 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173170 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173172 */     GIR_RootConstrainSelectedInstOperands,
     /* 173173 */     // GIR_Coverage, 1442,
     /* 173173 */     GIR_EraseRootFromParent_Done,
     /* 173174 */   // Label 3351: @173174
     /* 173174 */   GIM_Try, /*On fail goto*//*Label 3352*/ GIMT_Encode4(173219), // Rule ID 1443 //
     /* 173179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshl),
     /* 173187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 173190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 173193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 173196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173208 */     // (intrinsic_wo_chain:{ *:[v4i32] } 694:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SQSHLv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 173208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLv4i32),
     /* 173211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173213 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173215 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173217 */     GIR_RootConstrainSelectedInstOperands,
     /* 173218 */     // GIR_Coverage, 1443,
     /* 173218 */     GIR_EraseRootFromParent_Done,
     /* 173219 */   // Label 3352: @173219
     /* 173219 */   GIM_Try, /*On fail goto*//*Label 3353*/ GIMT_Encode4(173264), // Rule ID 1444 //
     /* 173224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshl),
     /* 173232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 173235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 173238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 173241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173253 */     // (intrinsic_wo_chain:{ *:[v2i64] } 694:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (SQSHLv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 173253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLv2i64),
     /* 173256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173258 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173260 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173262 */     GIR_RootConstrainSelectedInstOperands,
     /* 173263 */     // GIR_Coverage, 1444,
     /* 173263 */     GIR_EraseRootFromParent_Done,
     /* 173264 */   // Label 3353: @173264
     /* 173264 */   GIM_Try, /*On fail goto*//*Label 3354*/ GIMT_Encode4(173309), // Rule ID 1445 //
     /* 173269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 173277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 173280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 173283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 173286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173298 */     // (intrinsic_wo_chain:{ *:[v8i8] } 698:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SQSUBv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 173298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv8i8),
     /* 173301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173303 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173305 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173307 */     GIR_RootConstrainSelectedInstOperands,
     /* 173308 */     // GIR_Coverage, 1445,
     /* 173308 */     GIR_EraseRootFromParent_Done,
     /* 173309 */   // Label 3354: @173309
     /* 173309 */   GIM_Try, /*On fail goto*//*Label 3355*/ GIMT_Encode4(173354), // Rule ID 1446 //
     /* 173314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 173322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 173325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 173328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 173331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173343 */     // (intrinsic_wo_chain:{ *:[v16i8] } 698:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SQSUBv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 173343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv16i8),
     /* 173346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173348 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173350 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173352 */     GIR_RootConstrainSelectedInstOperands,
     /* 173353 */     // GIR_Coverage, 1446,
     /* 173353 */     GIR_EraseRootFromParent_Done,
     /* 173354 */   // Label 3355: @173354
     /* 173354 */   GIM_Try, /*On fail goto*//*Label 3356*/ GIMT_Encode4(173399), // Rule ID 1447 //
     /* 173359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 173367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 173370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 173373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 173376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173388 */     // (intrinsic_wo_chain:{ *:[v4i16] } 698:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SQSUBv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 173388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv4i16),
     /* 173391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173393 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173395 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173397 */     GIR_RootConstrainSelectedInstOperands,
     /* 173398 */     // GIR_Coverage, 1447,
     /* 173398 */     GIR_EraseRootFromParent_Done,
     /* 173399 */   // Label 3356: @173399
     /* 173399 */   GIM_Try, /*On fail goto*//*Label 3357*/ GIMT_Encode4(173444), // Rule ID 1448 //
     /* 173404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 173412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 173415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 173418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 173421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173433 */     // (intrinsic_wo_chain:{ *:[v8i16] } 698:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SQSUBv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 173433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv8i16),
     /* 173436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173438 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173440 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173442 */     GIR_RootConstrainSelectedInstOperands,
     /* 173443 */     // GIR_Coverage, 1448,
     /* 173443 */     GIR_EraseRootFromParent_Done,
     /* 173444 */   // Label 3357: @173444
     /* 173444 */   GIM_Try, /*On fail goto*//*Label 3358*/ GIMT_Encode4(173489), // Rule ID 1449 //
     /* 173449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 173457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 173460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 173463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 173466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173478 */     // (intrinsic_wo_chain:{ *:[v2i32] } 698:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SQSUBv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 173478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv2i32),
     /* 173481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173483 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173485 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173487 */     GIR_RootConstrainSelectedInstOperands,
     /* 173488 */     // GIR_Coverage, 1449,
     /* 173488 */     GIR_EraseRootFromParent_Done,
     /* 173489 */   // Label 3358: @173489
     /* 173489 */   GIM_Try, /*On fail goto*//*Label 3359*/ GIMT_Encode4(173534), // Rule ID 1450 //
     /* 173494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 173502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 173505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 173508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 173511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173523 */     // (intrinsic_wo_chain:{ *:[v4i32] } 698:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SQSUBv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 173523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv4i32),
     /* 173526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173528 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173530 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173532 */     GIR_RootConstrainSelectedInstOperands,
     /* 173533 */     // GIR_Coverage, 1450,
     /* 173533 */     GIR_EraseRootFromParent_Done,
     /* 173534 */   // Label 3359: @173534
     /* 173534 */   GIM_Try, /*On fail goto*//*Label 3360*/ GIMT_Encode4(173579), // Rule ID 1451 //
     /* 173539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 173547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 173550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 173553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 173556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173568 */     // (intrinsic_wo_chain:{ *:[v2i64] } 698:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (SQSUBv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 173568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv2i64),
     /* 173571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173573 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173575 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173577 */     GIR_RootConstrainSelectedInstOperands,
     /* 173578 */     // GIR_Coverage, 1451,
     /* 173578 */     GIR_EraseRootFromParent_Done,
     /* 173579 */   // Label 3360: @173579
     /* 173579 */   GIM_Try, /*On fail goto*//*Label 3361*/ GIMT_Encode4(173624), // Rule ID 1458 //
     /* 173584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_srshl),
     /* 173592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 173595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 173598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 173601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173613 */     // (intrinsic_wo_chain:{ *:[v8i8] } 702:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SRSHLv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 173613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHLv8i8),
     /* 173616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173618 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173620 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173622 */     GIR_RootConstrainSelectedInstOperands,
     /* 173623 */     // GIR_Coverage, 1458,
     /* 173623 */     GIR_EraseRootFromParent_Done,
     /* 173624 */   // Label 3361: @173624
     /* 173624 */   GIM_Try, /*On fail goto*//*Label 3362*/ GIMT_Encode4(173669), // Rule ID 1459 //
     /* 173629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_srshl),
     /* 173637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 173640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 173643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 173646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173658 */     // (intrinsic_wo_chain:{ *:[v16i8] } 702:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SRSHLv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 173658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHLv16i8),
     /* 173661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173663 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173665 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173667 */     GIR_RootConstrainSelectedInstOperands,
     /* 173668 */     // GIR_Coverage, 1459,
     /* 173668 */     GIR_EraseRootFromParent_Done,
     /* 173669 */   // Label 3362: @173669
     /* 173669 */   GIM_Try, /*On fail goto*//*Label 3363*/ GIMT_Encode4(173714), // Rule ID 1460 //
     /* 173674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_srshl),
     /* 173682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 173685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 173688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 173691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173703 */     // (intrinsic_wo_chain:{ *:[v4i16] } 702:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SRSHLv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 173703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHLv4i16),
     /* 173706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173708 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173710 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173712 */     GIR_RootConstrainSelectedInstOperands,
     /* 173713 */     // GIR_Coverage, 1460,
     /* 173713 */     GIR_EraseRootFromParent_Done,
     /* 173714 */   // Label 3363: @173714
     /* 173714 */   GIM_Try, /*On fail goto*//*Label 3364*/ GIMT_Encode4(173759), // Rule ID 1461 //
     /* 173719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_srshl),
     /* 173727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 173730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 173733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 173736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173748 */     // (intrinsic_wo_chain:{ *:[v8i16] } 702:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SRSHLv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 173748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHLv8i16),
     /* 173751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173753 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173755 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173757 */     GIR_RootConstrainSelectedInstOperands,
     /* 173758 */     // GIR_Coverage, 1461,
     /* 173758 */     GIR_EraseRootFromParent_Done,
     /* 173759 */   // Label 3364: @173759
     /* 173759 */   GIM_Try, /*On fail goto*//*Label 3365*/ GIMT_Encode4(173804), // Rule ID 1462 //
     /* 173764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_srshl),
     /* 173772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 173775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 173778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 173781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173793 */     // (intrinsic_wo_chain:{ *:[v2i32] } 702:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SRSHLv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 173793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHLv2i32),
     /* 173796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173798 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173800 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173802 */     GIR_RootConstrainSelectedInstOperands,
     /* 173803 */     // GIR_Coverage, 1462,
     /* 173803 */     GIR_EraseRootFromParent_Done,
     /* 173804 */   // Label 3365: @173804
     /* 173804 */   GIM_Try, /*On fail goto*//*Label 3366*/ GIMT_Encode4(173849), // Rule ID 1463 //
     /* 173809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_srshl),
     /* 173817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 173820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 173823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 173826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173838 */     // (intrinsic_wo_chain:{ *:[v4i32] } 702:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SRSHLv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 173838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHLv4i32),
     /* 173841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173843 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173845 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173847 */     GIR_RootConstrainSelectedInstOperands,
     /* 173848 */     // GIR_Coverage, 1463,
     /* 173848 */     GIR_EraseRootFromParent_Done,
     /* 173849 */   // Label 3366: @173849
     /* 173849 */   GIM_Try, /*On fail goto*//*Label 3367*/ GIMT_Encode4(173894), // Rule ID 1464 //
     /* 173854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_srshl),
     /* 173862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 173865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 173868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 173871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173883 */     // (intrinsic_wo_chain:{ *:[v2i64] } 702:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (SRSHLv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 173883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHLv2i64),
     /* 173886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173888 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173890 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173892 */     GIR_RootConstrainSelectedInstOperands,
     /* 173893 */     // GIR_Coverage, 1464,
     /* 173893 */     GIR_EraseRootFromParent_Done,
     /* 173894 */   // Label 3367: @173894
     /* 173894 */   GIM_Try, /*On fail goto*//*Label 3368*/ GIMT_Encode4(173939), // Rule ID 1465 //
     /* 173899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sshl),
     /* 173907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 173910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 173913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 173916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173928 */     // (intrinsic_wo_chain:{ *:[v8i8] } 703:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SSHLv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 173928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLv8i8),
     /* 173931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173933 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173935 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173937 */     GIR_RootConstrainSelectedInstOperands,
     /* 173938 */     // GIR_Coverage, 1465,
     /* 173938 */     GIR_EraseRootFromParent_Done,
     /* 173939 */   // Label 3368: @173939
     /* 173939 */   GIM_Try, /*On fail goto*//*Label 3369*/ GIMT_Encode4(173984), // Rule ID 1466 //
     /* 173944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sshl),
     /* 173952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 173955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 173958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 173961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173973 */     // (intrinsic_wo_chain:{ *:[v16i8] } 703:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SSHLv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 173973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLv16i8),
     /* 173976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173978 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173980 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173982 */     GIR_RootConstrainSelectedInstOperands,
     /* 173983 */     // GIR_Coverage, 1466,
     /* 173983 */     GIR_EraseRootFromParent_Done,
     /* 173984 */   // Label 3369: @173984
     /* 173984 */   GIM_Try, /*On fail goto*//*Label 3370*/ GIMT_Encode4(174029), // Rule ID 1467 //
     /* 173989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sshl),
     /* 173997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 174000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 174003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 174006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174018 */     // (intrinsic_wo_chain:{ *:[v4i16] } 703:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SSHLv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 174018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLv4i16),
     /* 174021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174023 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174025 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174027 */     GIR_RootConstrainSelectedInstOperands,
     /* 174028 */     // GIR_Coverage, 1467,
     /* 174028 */     GIR_EraseRootFromParent_Done,
     /* 174029 */   // Label 3370: @174029
     /* 174029 */   GIM_Try, /*On fail goto*//*Label 3371*/ GIMT_Encode4(174074), // Rule ID 1468 //
     /* 174034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sshl),
     /* 174042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 174045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 174048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 174051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174063 */     // (intrinsic_wo_chain:{ *:[v8i16] } 703:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SSHLv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 174063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLv8i16),
     /* 174066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174068 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174070 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174072 */     GIR_RootConstrainSelectedInstOperands,
     /* 174073 */     // GIR_Coverage, 1468,
     /* 174073 */     GIR_EraseRootFromParent_Done,
     /* 174074 */   // Label 3371: @174074
     /* 174074 */   GIM_Try, /*On fail goto*//*Label 3372*/ GIMT_Encode4(174119), // Rule ID 1469 //
     /* 174079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sshl),
     /* 174087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 174090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 174093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 174096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174108 */     // (intrinsic_wo_chain:{ *:[v2i32] } 703:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SSHLv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 174108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLv2i32),
     /* 174111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174113 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174115 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174117 */     GIR_RootConstrainSelectedInstOperands,
     /* 174118 */     // GIR_Coverage, 1469,
     /* 174118 */     GIR_EraseRootFromParent_Done,
     /* 174119 */   // Label 3372: @174119
     /* 174119 */   GIM_Try, /*On fail goto*//*Label 3373*/ GIMT_Encode4(174164), // Rule ID 1470 //
     /* 174124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sshl),
     /* 174132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 174135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 174138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 174141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174153 */     // (intrinsic_wo_chain:{ *:[v4i32] } 703:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SSHLv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 174153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLv4i32),
     /* 174156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174158 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174160 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174162 */     GIR_RootConstrainSelectedInstOperands,
     /* 174163 */     // GIR_Coverage, 1470,
     /* 174163 */     GIR_EraseRootFromParent_Done,
     /* 174164 */   // Label 3373: @174164
     /* 174164 */   GIM_Try, /*On fail goto*//*Label 3374*/ GIMT_Encode4(174209), // Rule ID 1471 //
     /* 174169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sshl),
     /* 174177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 174180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 174183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 174186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174198 */     // (intrinsic_wo_chain:{ *:[v2i64] } 703:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (SSHLv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 174198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLv2i64),
     /* 174201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174203 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174205 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174207 */     GIR_RootConstrainSelectedInstOperands,
     /* 174208 */     // GIR_Coverage, 1471,
     /* 174208 */     GIR_EraseRootFromParent_Done,
     /* 174209 */   // Label 3374: @174209
     /* 174209 */   GIM_Try, /*On fail goto*//*Label 3375*/ GIMT_Encode4(174254), // Rule ID 1492 //
     /* 174214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 174222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 174225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 174228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 174231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174243 */     // (intrinsic_wo_chain:{ *:[v8i8] } 724:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UABDv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 174243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDv8i8),
     /* 174246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174248 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174250 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174252 */     GIR_RootConstrainSelectedInstOperands,
     /* 174253 */     // GIR_Coverage, 1492,
     /* 174253 */     GIR_EraseRootFromParent_Done,
     /* 174254 */   // Label 3375: @174254
     /* 174254 */   GIM_Try, /*On fail goto*//*Label 3376*/ GIMT_Encode4(174299), // Rule ID 1494 //
     /* 174259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 174267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 174270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 174273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 174276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174288 */     // (intrinsic_wo_chain:{ *:[v16i8] } 724:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UABDv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 174288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDv16i8),
     /* 174291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174293 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174295 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174297 */     GIR_RootConstrainSelectedInstOperands,
     /* 174298 */     // GIR_Coverage, 1494,
     /* 174298 */     GIR_EraseRootFromParent_Done,
     /* 174299 */   // Label 3376: @174299
     /* 174299 */   GIM_Try, /*On fail goto*//*Label 3377*/ GIMT_Encode4(174344), // Rule ID 1496 //
     /* 174304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 174312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 174315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 174318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 174321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174333 */     // (intrinsic_wo_chain:{ *:[v4i16] } 724:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UABDv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 174333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDv4i16),
     /* 174336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174338 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174340 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174342 */     GIR_RootConstrainSelectedInstOperands,
     /* 174343 */     // GIR_Coverage, 1496,
     /* 174343 */     GIR_EraseRootFromParent_Done,
     /* 174344 */   // Label 3377: @174344
     /* 174344 */   GIM_Try, /*On fail goto*//*Label 3378*/ GIMT_Encode4(174389), // Rule ID 1498 //
     /* 174349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 174357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 174360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 174363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 174366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174378 */     // (intrinsic_wo_chain:{ *:[v8i16] } 724:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UABDv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 174378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDv8i16),
     /* 174381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174383 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174385 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174387 */     GIR_RootConstrainSelectedInstOperands,
     /* 174388 */     // GIR_Coverage, 1498,
     /* 174388 */     GIR_EraseRootFromParent_Done,
     /* 174389 */   // Label 3378: @174389
     /* 174389 */   GIM_Try, /*On fail goto*//*Label 3379*/ GIMT_Encode4(174434), // Rule ID 1500 //
     /* 174394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 174402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 174405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 174408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 174411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174423 */     // (intrinsic_wo_chain:{ *:[v2i32] } 724:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UABDv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 174423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDv2i32),
     /* 174426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174428 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174430 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174432 */     GIR_RootConstrainSelectedInstOperands,
     /* 174433 */     // GIR_Coverage, 1500,
     /* 174433 */     GIR_EraseRootFromParent_Done,
     /* 174434 */   // Label 3379: @174434
     /* 174434 */   GIM_Try, /*On fail goto*//*Label 3380*/ GIMT_Encode4(174479), // Rule ID 1502 //
     /* 174439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 174447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 174450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 174453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 174456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174468 */     // (intrinsic_wo_chain:{ *:[v4i32] } 724:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UABDv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 174468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDv4i32),
     /* 174471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174473 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174475 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174477 */     GIR_RootConstrainSelectedInstOperands,
     /* 174478 */     // GIR_Coverage, 1502,
     /* 174478 */     GIR_EraseRootFromParent_Done,
     /* 174479 */   // Label 3380: @174479
     /* 174479 */   GIM_Try, /*On fail goto*//*Label 3381*/ GIMT_Encode4(174524), // Rule ID 1509 //
     /* 174484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uhsub),
     /* 174492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 174495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 174498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 174501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174513 */     // (intrinsic_wo_chain:{ *:[v8i8] } 730:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UHSUBv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 174513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUBv8i8),
     /* 174516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174518 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174520 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174522 */     GIR_RootConstrainSelectedInstOperands,
     /* 174523 */     // GIR_Coverage, 1509,
     /* 174523 */     GIR_EraseRootFromParent_Done,
     /* 174524 */   // Label 3381: @174524
     /* 174524 */   GIM_Try, /*On fail goto*//*Label 3382*/ GIMT_Encode4(174569), // Rule ID 1510 //
     /* 174529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uhsub),
     /* 174537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 174540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 174543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 174546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174558 */     // (intrinsic_wo_chain:{ *:[v16i8] } 730:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UHSUBv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 174558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUBv16i8),
     /* 174561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174563 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174565 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174567 */     GIR_RootConstrainSelectedInstOperands,
     /* 174568 */     // GIR_Coverage, 1510,
     /* 174568 */     GIR_EraseRootFromParent_Done,
     /* 174569 */   // Label 3382: @174569
     /* 174569 */   GIM_Try, /*On fail goto*//*Label 3383*/ GIMT_Encode4(174614), // Rule ID 1511 //
     /* 174574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uhsub),
     /* 174582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 174585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 174588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 174591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174603 */     // (intrinsic_wo_chain:{ *:[v4i16] } 730:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UHSUBv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 174603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUBv4i16),
     /* 174606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174608 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174610 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174612 */     GIR_RootConstrainSelectedInstOperands,
     /* 174613 */     // GIR_Coverage, 1511,
     /* 174613 */     GIR_EraseRootFromParent_Done,
     /* 174614 */   // Label 3383: @174614
     /* 174614 */   GIM_Try, /*On fail goto*//*Label 3384*/ GIMT_Encode4(174659), // Rule ID 1512 //
     /* 174619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uhsub),
     /* 174627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 174630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 174633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 174636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174648 */     // (intrinsic_wo_chain:{ *:[v8i16] } 730:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UHSUBv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 174648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUBv8i16),
     /* 174651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174653 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174655 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174657 */     GIR_RootConstrainSelectedInstOperands,
     /* 174658 */     // GIR_Coverage, 1512,
     /* 174658 */     GIR_EraseRootFromParent_Done,
     /* 174659 */   // Label 3384: @174659
     /* 174659 */   GIM_Try, /*On fail goto*//*Label 3385*/ GIMT_Encode4(174704), // Rule ID 1513 //
     /* 174664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uhsub),
     /* 174672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 174675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 174678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 174681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174693 */     // (intrinsic_wo_chain:{ *:[v2i32] } 730:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UHSUBv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 174693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUBv2i32),
     /* 174696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174698 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174700 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174702 */     GIR_RootConstrainSelectedInstOperands,
     /* 174703 */     // GIR_Coverage, 1513,
     /* 174703 */     GIR_EraseRootFromParent_Done,
     /* 174704 */   // Label 3385: @174704
     /* 174704 */   GIM_Try, /*On fail goto*//*Label 3386*/ GIMT_Encode4(174749), // Rule ID 1514 //
     /* 174709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uhsub),
     /* 174717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 174720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 174723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 174726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174738 */     // (intrinsic_wo_chain:{ *:[v4i32] } 730:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UHSUBv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 174738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUBv4i32),
     /* 174741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174743 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174745 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174747 */     GIR_RootConstrainSelectedInstOperands,
     /* 174748 */     // GIR_Coverage, 1514,
     /* 174748 */     GIR_EraseRootFromParent_Done,
     /* 174749 */   // Label 3386: @174749
     /* 174749 */   GIM_Try, /*On fail goto*//*Label 3387*/ GIMT_Encode4(174794), // Rule ID 1515 //
     /* 174754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxp),
     /* 174762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 174765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 174768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 174771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174783 */     // (intrinsic_wo_chain:{ *:[v8i8] } 732:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UMAXPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 174783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXPv8i8),
     /* 174786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174788 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174790 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174792 */     GIR_RootConstrainSelectedInstOperands,
     /* 174793 */     // GIR_Coverage, 1515,
     /* 174793 */     GIR_EraseRootFromParent_Done,
     /* 174794 */   // Label 3387: @174794
     /* 174794 */   GIM_Try, /*On fail goto*//*Label 3388*/ GIMT_Encode4(174839), // Rule ID 1516 //
     /* 174799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxp),
     /* 174807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 174810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 174813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 174816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174828 */     // (intrinsic_wo_chain:{ *:[v16i8] } 732:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UMAXPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 174828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXPv16i8),
     /* 174831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174833 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174835 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174837 */     GIR_RootConstrainSelectedInstOperands,
     /* 174838 */     // GIR_Coverage, 1516,
     /* 174838 */     GIR_EraseRootFromParent_Done,
     /* 174839 */   // Label 3388: @174839
     /* 174839 */   GIM_Try, /*On fail goto*//*Label 3389*/ GIMT_Encode4(174884), // Rule ID 1517 //
     /* 174844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxp),
     /* 174852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 174855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 174858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 174861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174873 */     // (intrinsic_wo_chain:{ *:[v4i16] } 732:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UMAXPv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 174873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXPv4i16),
     /* 174876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174878 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174880 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174882 */     GIR_RootConstrainSelectedInstOperands,
     /* 174883 */     // GIR_Coverage, 1517,
     /* 174883 */     GIR_EraseRootFromParent_Done,
     /* 174884 */   // Label 3389: @174884
     /* 174884 */   GIM_Try, /*On fail goto*//*Label 3390*/ GIMT_Encode4(174929), // Rule ID 1518 //
     /* 174889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxp),
     /* 174897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 174900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 174903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 174906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174918 */     // (intrinsic_wo_chain:{ *:[v8i16] } 732:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UMAXPv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 174918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXPv8i16),
     /* 174921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174923 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174925 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174927 */     GIR_RootConstrainSelectedInstOperands,
     /* 174928 */     // GIR_Coverage, 1518,
     /* 174928 */     GIR_EraseRootFromParent_Done,
     /* 174929 */   // Label 3390: @174929
     /* 174929 */   GIM_Try, /*On fail goto*//*Label 3391*/ GIMT_Encode4(174974), // Rule ID 1519 //
     /* 174934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxp),
     /* 174942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 174945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 174948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 174951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174963 */     // (intrinsic_wo_chain:{ *:[v2i32] } 732:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UMAXPv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 174963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXPv2i32),
     /* 174966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174968 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174970 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174972 */     GIR_RootConstrainSelectedInstOperands,
     /* 174973 */     // GIR_Coverage, 1519,
     /* 174973 */     GIR_EraseRootFromParent_Done,
     /* 174974 */   // Label 3391: @174974
     /* 174974 */   GIM_Try, /*On fail goto*//*Label 3392*/ GIMT_Encode4(175019), // Rule ID 1520 //
     /* 174979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxp),
     /* 174987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 174990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 174993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 174996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175008 */     // (intrinsic_wo_chain:{ *:[v4i32] } 732:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UMAXPv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 175008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXPv4i32),
     /* 175011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175013 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175015 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175017 */     GIR_RootConstrainSelectedInstOperands,
     /* 175018 */     // GIR_Coverage, 1520,
     /* 175018 */     GIR_EraseRootFromParent_Done,
     /* 175019 */   // Label 3392: @175019
     /* 175019 */   GIM_Try, /*On fail goto*//*Label 3393*/ GIMT_Encode4(175064), // Rule ID 1527 //
     /* 175024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminp),
     /* 175032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 175035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 175038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 175041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175053 */     // (intrinsic_wo_chain:{ *:[v8i8] } 735:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UMINPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 175053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINPv8i8),
     /* 175056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175058 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175060 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175062 */     GIR_RootConstrainSelectedInstOperands,
     /* 175063 */     // GIR_Coverage, 1527,
     /* 175063 */     GIR_EraseRootFromParent_Done,
     /* 175064 */   // Label 3393: @175064
     /* 175064 */   GIM_Try, /*On fail goto*//*Label 3394*/ GIMT_Encode4(175109), // Rule ID 1528 //
     /* 175069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminp),
     /* 175077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 175080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 175083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 175086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175098 */     // (intrinsic_wo_chain:{ *:[v16i8] } 735:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UMINPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 175098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINPv16i8),
     /* 175101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175103 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175105 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175107 */     GIR_RootConstrainSelectedInstOperands,
     /* 175108 */     // GIR_Coverage, 1528,
     /* 175108 */     GIR_EraseRootFromParent_Done,
     /* 175109 */   // Label 3394: @175109
     /* 175109 */   GIM_Try, /*On fail goto*//*Label 3395*/ GIMT_Encode4(175154), // Rule ID 1529 //
     /* 175114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminp),
     /* 175122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 175125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 175128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 175131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175143 */     // (intrinsic_wo_chain:{ *:[v4i16] } 735:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UMINPv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 175143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINPv4i16),
     /* 175146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175148 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175150 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175152 */     GIR_RootConstrainSelectedInstOperands,
     /* 175153 */     // GIR_Coverage, 1529,
     /* 175153 */     GIR_EraseRootFromParent_Done,
     /* 175154 */   // Label 3395: @175154
     /* 175154 */   GIM_Try, /*On fail goto*//*Label 3396*/ GIMT_Encode4(175199), // Rule ID 1530 //
     /* 175159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminp),
     /* 175167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 175170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 175173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 175176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175188 */     // (intrinsic_wo_chain:{ *:[v8i16] } 735:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UMINPv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 175188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINPv8i16),
     /* 175191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175193 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175195 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175197 */     GIR_RootConstrainSelectedInstOperands,
     /* 175198 */     // GIR_Coverage, 1530,
     /* 175198 */     GIR_EraseRootFromParent_Done,
     /* 175199 */   // Label 3396: @175199
     /* 175199 */   GIM_Try, /*On fail goto*//*Label 3397*/ GIMT_Encode4(175244), // Rule ID 1531 //
     /* 175204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminp),
     /* 175212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 175215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 175218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 175221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175233 */     // (intrinsic_wo_chain:{ *:[v2i32] } 735:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UMINPv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 175233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINPv2i32),
     /* 175236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175238 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175240 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175242 */     GIR_RootConstrainSelectedInstOperands,
     /* 175243 */     // GIR_Coverage, 1531,
     /* 175243 */     GIR_EraseRootFromParent_Done,
     /* 175244 */   // Label 3397: @175244
     /* 175244 */   GIM_Try, /*On fail goto*//*Label 3398*/ GIMT_Encode4(175289), // Rule ID 1532 //
     /* 175249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminp),
     /* 175257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 175260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 175263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 175266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175278 */     // (intrinsic_wo_chain:{ *:[v4i32] } 735:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UMINPv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 175278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINPv4i32),
     /* 175281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175283 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175285 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175287 */     GIR_RootConstrainSelectedInstOperands,
     /* 175288 */     // GIR_Coverage, 1532,
     /* 175288 */     GIR_EraseRootFromParent_Done,
     /* 175289 */   // Label 3398: @175289
     /* 175289 */   GIM_Try, /*On fail goto*//*Label 3399*/ GIMT_Encode4(175334), // Rule ID 1539 //
     /* 175294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqadd),
     /* 175302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 175305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 175308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 175311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175323 */     // (intrinsic_wo_chain:{ *:[v8i8] } 739:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UQADDv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 175323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADDv8i8),
     /* 175326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175328 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175330 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175332 */     GIR_RootConstrainSelectedInstOperands,
     /* 175333 */     // GIR_Coverage, 1539,
     /* 175333 */     GIR_EraseRootFromParent_Done,
     /* 175334 */   // Label 3399: @175334
     /* 175334 */   GIM_Try, /*On fail goto*//*Label 3400*/ GIMT_Encode4(175379), // Rule ID 1540 //
     /* 175339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqadd),
     /* 175347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 175350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 175353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 175356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175368 */     // (intrinsic_wo_chain:{ *:[v16i8] } 739:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UQADDv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 175368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADDv16i8),
     /* 175371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175373 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175375 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175377 */     GIR_RootConstrainSelectedInstOperands,
     /* 175378 */     // GIR_Coverage, 1540,
     /* 175378 */     GIR_EraseRootFromParent_Done,
     /* 175379 */   // Label 3400: @175379
     /* 175379 */   GIM_Try, /*On fail goto*//*Label 3401*/ GIMT_Encode4(175424), // Rule ID 1541 //
     /* 175384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqadd),
     /* 175392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 175395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 175398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 175401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175413 */     // (intrinsic_wo_chain:{ *:[v4i16] } 739:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UQADDv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 175413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADDv4i16),
     /* 175416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175418 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175420 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175422 */     GIR_RootConstrainSelectedInstOperands,
     /* 175423 */     // GIR_Coverage, 1541,
     /* 175423 */     GIR_EraseRootFromParent_Done,
     /* 175424 */   // Label 3401: @175424
     /* 175424 */   GIM_Try, /*On fail goto*//*Label 3402*/ GIMT_Encode4(175469), // Rule ID 1542 //
     /* 175429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqadd),
     /* 175437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 175440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 175443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 175446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175458 */     // (intrinsic_wo_chain:{ *:[v8i16] } 739:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UQADDv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 175458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADDv8i16),
     /* 175461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175463 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175465 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175467 */     GIR_RootConstrainSelectedInstOperands,
     /* 175468 */     // GIR_Coverage, 1542,
     /* 175468 */     GIR_EraseRootFromParent_Done,
     /* 175469 */   // Label 3402: @175469
     /* 175469 */   GIM_Try, /*On fail goto*//*Label 3403*/ GIMT_Encode4(175514), // Rule ID 1543 //
     /* 175474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqadd),
     /* 175482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 175485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 175488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 175491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175503 */     // (intrinsic_wo_chain:{ *:[v2i32] } 739:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UQADDv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 175503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADDv2i32),
     /* 175506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175508 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175510 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175512 */     GIR_RootConstrainSelectedInstOperands,
     /* 175513 */     // GIR_Coverage, 1543,
     /* 175513 */     GIR_EraseRootFromParent_Done,
     /* 175514 */   // Label 3403: @175514
     /* 175514 */   GIM_Try, /*On fail goto*//*Label 3404*/ GIMT_Encode4(175559), // Rule ID 1544 //
     /* 175519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqadd),
     /* 175527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 175530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 175533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 175536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175548 */     // (intrinsic_wo_chain:{ *:[v4i32] } 739:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UQADDv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 175548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADDv4i32),
     /* 175551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175553 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175555 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175557 */     GIR_RootConstrainSelectedInstOperands,
     /* 175558 */     // GIR_Coverage, 1544,
     /* 175558 */     GIR_EraseRootFromParent_Done,
     /* 175559 */   // Label 3404: @175559
     /* 175559 */   GIM_Try, /*On fail goto*//*Label 3405*/ GIMT_Encode4(175604), // Rule ID 1545 //
     /* 175564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqadd),
     /* 175572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 175575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 175578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 175581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175593 */     // (intrinsic_wo_chain:{ *:[v2i64] } 739:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (UQADDv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 175593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADDv2i64),
     /* 175596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175598 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175600 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175602 */     GIR_RootConstrainSelectedInstOperands,
     /* 175603 */     // GIR_Coverage, 1545,
     /* 175603 */     GIR_EraseRootFromParent_Done,
     /* 175604 */   // Label 3405: @175604
     /* 175604 */   GIM_Try, /*On fail goto*//*Label 3406*/ GIMT_Encode4(175649), // Rule ID 1546 //
     /* 175609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqrshl),
     /* 175617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 175620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 175623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 175626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175638 */     // (intrinsic_wo_chain:{ *:[v8i8] } 740:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UQRSHLv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 175638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHLv8i8),
     /* 175641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175643 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175645 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175647 */     GIR_RootConstrainSelectedInstOperands,
     /* 175648 */     // GIR_Coverage, 1546,
     /* 175648 */     GIR_EraseRootFromParent_Done,
     /* 175649 */   // Label 3406: @175649
     /* 175649 */   GIM_Try, /*On fail goto*//*Label 3407*/ GIMT_Encode4(175694), // Rule ID 1547 //
     /* 175654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqrshl),
     /* 175662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 175665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 175668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 175671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175683 */     // (intrinsic_wo_chain:{ *:[v16i8] } 740:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UQRSHLv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 175683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHLv16i8),
     /* 175686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175688 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175690 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175692 */     GIR_RootConstrainSelectedInstOperands,
     /* 175693 */     // GIR_Coverage, 1547,
     /* 175693 */     GIR_EraseRootFromParent_Done,
     /* 175694 */   // Label 3407: @175694
     /* 175694 */   GIM_Try, /*On fail goto*//*Label 3408*/ GIMT_Encode4(175739), // Rule ID 1548 //
     /* 175699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqrshl),
     /* 175707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 175710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 175713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 175716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175728 */     // (intrinsic_wo_chain:{ *:[v4i16] } 740:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UQRSHLv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 175728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHLv4i16),
     /* 175731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175733 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175735 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175737 */     GIR_RootConstrainSelectedInstOperands,
     /* 175738 */     // GIR_Coverage, 1548,
     /* 175738 */     GIR_EraseRootFromParent_Done,
     /* 175739 */   // Label 3408: @175739
     /* 175739 */   GIM_Try, /*On fail goto*//*Label 3409*/ GIMT_Encode4(175784), // Rule ID 1549 //
     /* 175744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqrshl),
     /* 175752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 175755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 175758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 175761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175773 */     // (intrinsic_wo_chain:{ *:[v8i16] } 740:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UQRSHLv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 175773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHLv8i16),
     /* 175776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175778 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175780 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175782 */     GIR_RootConstrainSelectedInstOperands,
     /* 175783 */     // GIR_Coverage, 1549,
     /* 175783 */     GIR_EraseRootFromParent_Done,
     /* 175784 */   // Label 3409: @175784
     /* 175784 */   GIM_Try, /*On fail goto*//*Label 3410*/ GIMT_Encode4(175829), // Rule ID 1550 //
     /* 175789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqrshl),
     /* 175797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 175800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 175803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 175806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175818 */     // (intrinsic_wo_chain:{ *:[v2i32] } 740:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UQRSHLv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 175818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHLv2i32),
     /* 175821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175823 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175825 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175827 */     GIR_RootConstrainSelectedInstOperands,
     /* 175828 */     // GIR_Coverage, 1550,
     /* 175828 */     GIR_EraseRootFromParent_Done,
     /* 175829 */   // Label 3410: @175829
     /* 175829 */   GIM_Try, /*On fail goto*//*Label 3411*/ GIMT_Encode4(175874), // Rule ID 1551 //
     /* 175834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqrshl),
     /* 175842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 175845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 175848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 175851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175863 */     // (intrinsic_wo_chain:{ *:[v4i32] } 740:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UQRSHLv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 175863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHLv4i32),
     /* 175866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175868 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175870 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175872 */     GIR_RootConstrainSelectedInstOperands,
     /* 175873 */     // GIR_Coverage, 1551,
     /* 175873 */     GIR_EraseRootFromParent_Done,
     /* 175874 */   // Label 3411: @175874
     /* 175874 */   GIM_Try, /*On fail goto*//*Label 3412*/ GIMT_Encode4(175919), // Rule ID 1552 //
     /* 175879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqrshl),
     /* 175887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 175890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 175893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 175896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175908 */     // (intrinsic_wo_chain:{ *:[v2i64] } 740:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (UQRSHLv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 175908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHLv2i64),
     /* 175911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175913 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175915 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175917 */     GIR_RootConstrainSelectedInstOperands,
     /* 175918 */     // GIR_Coverage, 1552,
     /* 175918 */     GIR_EraseRootFromParent_Done,
     /* 175919 */   // Label 3412: @175919
     /* 175919 */   GIM_Try, /*On fail goto*//*Label 3413*/ GIMT_Encode4(175964), // Rule ID 1553 //
     /* 175924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqshl),
     /* 175932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 175935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 175938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 175941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175953 */     // (intrinsic_wo_chain:{ *:[v8i8] } 742:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UQSHLv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 175953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHLv8i8),
     /* 175956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175958 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175960 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175962 */     GIR_RootConstrainSelectedInstOperands,
     /* 175963 */     // GIR_Coverage, 1553,
     /* 175963 */     GIR_EraseRootFromParent_Done,
     /* 175964 */   // Label 3413: @175964
     /* 175964 */   GIM_Try, /*On fail goto*//*Label 3414*/ GIMT_Encode4(176009), // Rule ID 1554 //
     /* 175969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqshl),
     /* 175977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 175980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 175983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 175986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175998 */     // (intrinsic_wo_chain:{ *:[v16i8] } 742:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UQSHLv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 175998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHLv16i8),
     /* 176001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176003 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176005 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176007 */     GIR_RootConstrainSelectedInstOperands,
     /* 176008 */     // GIR_Coverage, 1554,
     /* 176008 */     GIR_EraseRootFromParent_Done,
     /* 176009 */   // Label 3414: @176009
     /* 176009 */   GIM_Try, /*On fail goto*//*Label 3415*/ GIMT_Encode4(176054), // Rule ID 1555 //
     /* 176014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqshl),
     /* 176022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 176025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 176028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 176031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176043 */     // (intrinsic_wo_chain:{ *:[v4i16] } 742:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UQSHLv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 176043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHLv4i16),
     /* 176046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176048 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176050 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176052 */     GIR_RootConstrainSelectedInstOperands,
     /* 176053 */     // GIR_Coverage, 1555,
     /* 176053 */     GIR_EraseRootFromParent_Done,
     /* 176054 */   // Label 3415: @176054
     /* 176054 */   GIM_Try, /*On fail goto*//*Label 3416*/ GIMT_Encode4(176099), // Rule ID 1556 //
     /* 176059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqshl),
     /* 176067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 176070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 176073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 176076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176088 */     // (intrinsic_wo_chain:{ *:[v8i16] } 742:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UQSHLv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 176088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHLv8i16),
     /* 176091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176093 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176095 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176097 */     GIR_RootConstrainSelectedInstOperands,
     /* 176098 */     // GIR_Coverage, 1556,
     /* 176098 */     GIR_EraseRootFromParent_Done,
     /* 176099 */   // Label 3416: @176099
     /* 176099 */   GIM_Try, /*On fail goto*//*Label 3417*/ GIMT_Encode4(176144), // Rule ID 1557 //
     /* 176104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqshl),
     /* 176112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 176115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 176118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 176121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176133 */     // (intrinsic_wo_chain:{ *:[v2i32] } 742:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UQSHLv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 176133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHLv2i32),
     /* 176136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176138 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176140 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176142 */     GIR_RootConstrainSelectedInstOperands,
     /* 176143 */     // GIR_Coverage, 1557,
     /* 176143 */     GIR_EraseRootFromParent_Done,
     /* 176144 */   // Label 3417: @176144
     /* 176144 */   GIM_Try, /*On fail goto*//*Label 3418*/ GIMT_Encode4(176189), // Rule ID 1558 //
     /* 176149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqshl),
     /* 176157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 176160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 176163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 176166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176178 */     // (intrinsic_wo_chain:{ *:[v4i32] } 742:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UQSHLv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 176178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHLv4i32),
     /* 176181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176183 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176185 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176187 */     GIR_RootConstrainSelectedInstOperands,
     /* 176188 */     // GIR_Coverage, 1558,
     /* 176188 */     GIR_EraseRootFromParent_Done,
     /* 176189 */   // Label 3418: @176189
     /* 176189 */   GIM_Try, /*On fail goto*//*Label 3419*/ GIMT_Encode4(176234), // Rule ID 1559 //
     /* 176194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqshl),
     /* 176202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 176205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 176208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 176211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176223 */     // (intrinsic_wo_chain:{ *:[v2i64] } 742:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (UQSHLv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 176223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHLv2i64),
     /* 176226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176228 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176230 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176232 */     GIR_RootConstrainSelectedInstOperands,
     /* 176233 */     // GIR_Coverage, 1559,
     /* 176233 */     GIR_EraseRootFromParent_Done,
     /* 176234 */   // Label 3419: @176234
     /* 176234 */   GIM_Try, /*On fail goto*//*Label 3420*/ GIMT_Encode4(176279), // Rule ID 1560 //
     /* 176239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqsub),
     /* 176247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 176250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 176253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 176256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176268 */     // (intrinsic_wo_chain:{ *:[v8i8] } 744:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UQSUBv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 176268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv8i8),
     /* 176271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176273 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176275 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176277 */     GIR_RootConstrainSelectedInstOperands,
     /* 176278 */     // GIR_Coverage, 1560,
     /* 176278 */     GIR_EraseRootFromParent_Done,
     /* 176279 */   // Label 3420: @176279
     /* 176279 */   GIM_Try, /*On fail goto*//*Label 3421*/ GIMT_Encode4(176324), // Rule ID 1561 //
     /* 176284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqsub),
     /* 176292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 176295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 176298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 176301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176313 */     // (intrinsic_wo_chain:{ *:[v16i8] } 744:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UQSUBv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 176313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv16i8),
     /* 176316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176318 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176320 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176322 */     GIR_RootConstrainSelectedInstOperands,
     /* 176323 */     // GIR_Coverage, 1561,
     /* 176323 */     GIR_EraseRootFromParent_Done,
     /* 176324 */   // Label 3421: @176324
     /* 176324 */   GIM_Try, /*On fail goto*//*Label 3422*/ GIMT_Encode4(176369), // Rule ID 1562 //
     /* 176329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqsub),
     /* 176337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 176340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 176343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 176346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176358 */     // (intrinsic_wo_chain:{ *:[v4i16] } 744:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UQSUBv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 176358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv4i16),
     /* 176361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176363 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176365 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176367 */     GIR_RootConstrainSelectedInstOperands,
     /* 176368 */     // GIR_Coverage, 1562,
     /* 176368 */     GIR_EraseRootFromParent_Done,
     /* 176369 */   // Label 3422: @176369
     /* 176369 */   GIM_Try, /*On fail goto*//*Label 3423*/ GIMT_Encode4(176414), // Rule ID 1563 //
     /* 176374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqsub),
     /* 176382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 176385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 176388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 176391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176403 */     // (intrinsic_wo_chain:{ *:[v8i16] } 744:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UQSUBv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 176403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv8i16),
     /* 176406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176408 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176410 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176412 */     GIR_RootConstrainSelectedInstOperands,
     /* 176413 */     // GIR_Coverage, 1563,
     /* 176413 */     GIR_EraseRootFromParent_Done,
     /* 176414 */   // Label 3423: @176414
     /* 176414 */   GIM_Try, /*On fail goto*//*Label 3424*/ GIMT_Encode4(176459), // Rule ID 1564 //
     /* 176419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqsub),
     /* 176427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 176430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 176433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 176436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176448 */     // (intrinsic_wo_chain:{ *:[v2i32] } 744:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UQSUBv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 176448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv2i32),
     /* 176451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176453 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176455 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176457 */     GIR_RootConstrainSelectedInstOperands,
     /* 176458 */     // GIR_Coverage, 1564,
     /* 176458 */     GIR_EraseRootFromParent_Done,
     /* 176459 */   // Label 3424: @176459
     /* 176459 */   GIM_Try, /*On fail goto*//*Label 3425*/ GIMT_Encode4(176504), // Rule ID 1565 //
     /* 176464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqsub),
     /* 176472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 176475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 176478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 176481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176493 */     // (intrinsic_wo_chain:{ *:[v4i32] } 744:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UQSUBv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 176493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv4i32),
     /* 176496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176498 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176500 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176502 */     GIR_RootConstrainSelectedInstOperands,
     /* 176503 */     // GIR_Coverage, 1565,
     /* 176503 */     GIR_EraseRootFromParent_Done,
     /* 176504 */   // Label 3425: @176504
     /* 176504 */   GIM_Try, /*On fail goto*//*Label 3426*/ GIMT_Encode4(176549), // Rule ID 1566 //
     /* 176509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqsub),
     /* 176517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 176520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 176523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 176526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176538 */     // (intrinsic_wo_chain:{ *:[v2i64] } 744:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (UQSUBv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 176538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv2i64),
     /* 176541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176543 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176545 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176547 */     GIR_RootConstrainSelectedInstOperands,
     /* 176548 */     // GIR_Coverage, 1566,
     /* 176548 */     GIR_EraseRootFromParent_Done,
     /* 176549 */   // Label 3426: @176549
     /* 176549 */   GIM_Try, /*On fail goto*//*Label 3427*/ GIMT_Encode4(176594), // Rule ID 1573 //
     /* 176554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_urshl),
     /* 176562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 176565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 176568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 176571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176583 */     // (intrinsic_wo_chain:{ *:[v8i8] } 748:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (URSHLv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 176583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHLv8i8),
     /* 176586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176588 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176590 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176592 */     GIR_RootConstrainSelectedInstOperands,
     /* 176593 */     // GIR_Coverage, 1573,
     /* 176593 */     GIR_EraseRootFromParent_Done,
     /* 176594 */   // Label 3427: @176594
     /* 176594 */   GIM_Try, /*On fail goto*//*Label 3428*/ GIMT_Encode4(176639), // Rule ID 1574 //
     /* 176599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_urshl),
     /* 176607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 176610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 176613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 176616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176628 */     // (intrinsic_wo_chain:{ *:[v16i8] } 748:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (URSHLv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 176628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHLv16i8),
     /* 176631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176633 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176635 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176637 */     GIR_RootConstrainSelectedInstOperands,
     /* 176638 */     // GIR_Coverage, 1574,
     /* 176638 */     GIR_EraseRootFromParent_Done,
     /* 176639 */   // Label 3428: @176639
     /* 176639 */   GIM_Try, /*On fail goto*//*Label 3429*/ GIMT_Encode4(176684), // Rule ID 1575 //
     /* 176644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_urshl),
     /* 176652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 176655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 176658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 176661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176673 */     // (intrinsic_wo_chain:{ *:[v4i16] } 748:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (URSHLv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 176673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHLv4i16),
     /* 176676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176678 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176680 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176682 */     GIR_RootConstrainSelectedInstOperands,
     /* 176683 */     // GIR_Coverage, 1575,
     /* 176683 */     GIR_EraseRootFromParent_Done,
     /* 176684 */   // Label 3429: @176684
     /* 176684 */   GIM_Try, /*On fail goto*//*Label 3430*/ GIMT_Encode4(176729), // Rule ID 1576 //
     /* 176689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_urshl),
     /* 176697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 176700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 176703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 176706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176718 */     // (intrinsic_wo_chain:{ *:[v8i16] } 748:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (URSHLv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 176718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHLv8i16),
     /* 176721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176723 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176725 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176727 */     GIR_RootConstrainSelectedInstOperands,
     /* 176728 */     // GIR_Coverage, 1576,
     /* 176728 */     GIR_EraseRootFromParent_Done,
     /* 176729 */   // Label 3430: @176729
     /* 176729 */   GIM_Try, /*On fail goto*//*Label 3431*/ GIMT_Encode4(176774), // Rule ID 1577 //
     /* 176734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_urshl),
     /* 176742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 176745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 176748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 176751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176763 */     // (intrinsic_wo_chain:{ *:[v2i32] } 748:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (URSHLv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 176763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHLv2i32),
     /* 176766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176768 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176770 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176772 */     GIR_RootConstrainSelectedInstOperands,
     /* 176773 */     // GIR_Coverage, 1577,
     /* 176773 */     GIR_EraseRootFromParent_Done,
     /* 176774 */   // Label 3431: @176774
     /* 176774 */   GIM_Try, /*On fail goto*//*Label 3432*/ GIMT_Encode4(176819), // Rule ID 1578 //
     /* 176779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_urshl),
     /* 176787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 176790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 176793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 176796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176808 */     // (intrinsic_wo_chain:{ *:[v4i32] } 748:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (URSHLv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 176808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHLv4i32),
     /* 176811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176813 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176815 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176817 */     GIR_RootConstrainSelectedInstOperands,
     /* 176818 */     // GIR_Coverage, 1578,
     /* 176818 */     GIR_EraseRootFromParent_Done,
     /* 176819 */   // Label 3432: @176819
     /* 176819 */   GIM_Try, /*On fail goto*//*Label 3433*/ GIMT_Encode4(176864), // Rule ID 1579 //
     /* 176824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_urshl),
     /* 176832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 176835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 176838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 176841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176853 */     // (intrinsic_wo_chain:{ *:[v2i64] } 748:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (URSHLv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 176853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHLv2i64),
     /* 176856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176858 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176860 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176862 */     GIR_RootConstrainSelectedInstOperands,
     /* 176863 */     // GIR_Coverage, 1579,
     /* 176863 */     GIR_EraseRootFromParent_Done,
     /* 176864 */   // Label 3433: @176864
     /* 176864 */   GIM_Try, /*On fail goto*//*Label 3434*/ GIMT_Encode4(176909), // Rule ID 1580 //
     /* 176869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ushl),
     /* 176877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 176880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 176883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 176886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176898 */     // (intrinsic_wo_chain:{ *:[v8i8] } 751:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (USHLv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 176898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLv8i8),
     /* 176901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176903 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176905 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176907 */     GIR_RootConstrainSelectedInstOperands,
     /* 176908 */     // GIR_Coverage, 1580,
     /* 176908 */     GIR_EraseRootFromParent_Done,
     /* 176909 */   // Label 3434: @176909
     /* 176909 */   GIM_Try, /*On fail goto*//*Label 3435*/ GIMT_Encode4(176954), // Rule ID 1581 //
     /* 176914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ushl),
     /* 176922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 176925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 176928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 176931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176943 */     // (intrinsic_wo_chain:{ *:[v16i8] } 751:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (USHLv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 176943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLv16i8),
     /* 176946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176948 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176950 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176952 */     GIR_RootConstrainSelectedInstOperands,
     /* 176953 */     // GIR_Coverage, 1581,
     /* 176953 */     GIR_EraseRootFromParent_Done,
     /* 176954 */   // Label 3435: @176954
     /* 176954 */   GIM_Try, /*On fail goto*//*Label 3436*/ GIMT_Encode4(176999), // Rule ID 1582 //
     /* 176959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ushl),
     /* 176967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 176970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 176973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 176976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176988 */     // (intrinsic_wo_chain:{ *:[v4i16] } 751:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (USHLv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 176988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLv4i16),
     /* 176991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176993 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176995 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176997 */     GIR_RootConstrainSelectedInstOperands,
     /* 176998 */     // GIR_Coverage, 1582,
     /* 176998 */     GIR_EraseRootFromParent_Done,
     /* 176999 */   // Label 3436: @176999
     /* 176999 */   GIM_Try, /*On fail goto*//*Label 3437*/ GIMT_Encode4(177044), // Rule ID 1583 //
     /* 177004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ushl),
     /* 177012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 177015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 177018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 177021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177033 */     // (intrinsic_wo_chain:{ *:[v8i16] } 751:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (USHLv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 177033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLv8i16),
     /* 177036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177038 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177040 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177042 */     GIR_RootConstrainSelectedInstOperands,
     /* 177043 */     // GIR_Coverage, 1583,
     /* 177043 */     GIR_EraseRootFromParent_Done,
     /* 177044 */   // Label 3437: @177044
     /* 177044 */   GIM_Try, /*On fail goto*//*Label 3438*/ GIMT_Encode4(177089), // Rule ID 1584 //
     /* 177049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ushl),
     /* 177057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 177060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 177063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 177066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177078 */     // (intrinsic_wo_chain:{ *:[v2i32] } 751:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (USHLv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 177078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLv2i32),
     /* 177081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177083 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177085 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177087 */     GIR_RootConstrainSelectedInstOperands,
     /* 177088 */     // GIR_Coverage, 1584,
     /* 177088 */     GIR_EraseRootFromParent_Done,
     /* 177089 */   // Label 3438: @177089
     /* 177089 */   GIM_Try, /*On fail goto*//*Label 3439*/ GIMT_Encode4(177134), // Rule ID 1585 //
     /* 177094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ushl),
     /* 177102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 177105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 177108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 177111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177123 */     // (intrinsic_wo_chain:{ *:[v4i32] } 751:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (USHLv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 177123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLv4i32),
     /* 177126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177128 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177130 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177132 */     GIR_RootConstrainSelectedInstOperands,
     /* 177133 */     // GIR_Coverage, 1585,
     /* 177133 */     GIR_EraseRootFromParent_Done,
     /* 177134 */   // Label 3439: @177134
     /* 177134 */   GIM_Try, /*On fail goto*//*Label 3440*/ GIMT_Encode4(177179), // Rule ID 1586 //
     /* 177139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ushl),
     /* 177147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 177150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 177153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 177156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177168 */     // (intrinsic_wo_chain:{ *:[v2i64] } 751:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (USHLv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 177168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLv2i64),
     /* 177171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177173 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177175 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177177 */     GIR_RootConstrainSelectedInstOperands,
     /* 177178 */     // GIR_Coverage, 1586,
     /* 177178 */     GIR_EraseRootFromParent_Done,
     /* 177179 */   // Label 3440: @177179
     /* 177179 */   GIM_Try, /*On fail goto*//*Label 3441*/ GIMT_Encode4(177224), // Rule ID 1614 //
     /* 177184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sisd_fabd),
     /* 177192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 177195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 177198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 177201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177213 */     // (intrinsic_wo_chain:{ *:[f64] } 785:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FABD64:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 177213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD64),
     /* 177216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177218 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177220 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177222 */     GIR_RootConstrainSelectedInstOperands,
     /* 177223 */     // GIR_Coverage, 1614,
     /* 177223 */     GIR_EraseRootFromParent_Done,
     /* 177224 */   // Label 3441: @177224
     /* 177224 */   GIM_Try, /*On fail goto*//*Label 3442*/ GIMT_Encode4(177269), // Rule ID 1615 //
     /* 177229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sisd_fabd),
     /* 177237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 177240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 177243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 177246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 177250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 177254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 177258 */     // (intrinsic_wo_chain:{ *:[f32] } 785:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FABD32:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 177258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD32),
     /* 177261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177263 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177265 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177267 */     GIR_RootConstrainSelectedInstOperands,
     /* 177268 */     // GIR_Coverage, 1615,
     /* 177268 */     GIR_EraseRootFromParent_Done,
     /* 177269 */   // Label 3442: @177269
     /* 177269 */   GIM_Try, /*On fail goto*//*Label 3443*/ GIMT_Encode4(177314), // Rule ID 1616 //
     /* 177274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 177277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sisd_fabd),
     /* 177282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 177285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 177288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 177291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 177295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 177299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 177303 */     // (intrinsic_wo_chain:{ *:[f16] } 785:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FABD16:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 177303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD16),
     /* 177306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177308 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177310 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177312 */     GIR_RootConstrainSelectedInstOperands,
     /* 177313 */     // GIR_Coverage, 1616,
     /* 177313 */     GIR_EraseRootFromParent_Done,
     /* 177314 */   // Label 3443: @177314
     /* 177314 */   GIM_Try, /*On fail goto*//*Label 3444*/ GIMT_Encode4(177359), // Rule ID 1617 //
     /* 177319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facge),
     /* 177327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 177330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 177333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 177336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177348 */     // (intrinsic_wo_chain:{ *:[i64] } 577:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FACGE64:{ *:[i64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 177348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGE64),
     /* 177351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177353 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177355 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177357 */     GIR_RootConstrainSelectedInstOperands,
     /* 177358 */     // GIR_Coverage, 1617,
     /* 177358 */     GIR_EraseRootFromParent_Done,
     /* 177359 */   // Label 3444: @177359
     /* 177359 */   GIM_Try, /*On fail goto*//*Label 3445*/ GIMT_Encode4(177404), // Rule ID 1618 //
     /* 177364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facge),
     /* 177372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 177375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 177378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 177381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 177385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 177389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 177393 */     // (intrinsic_wo_chain:{ *:[i32] } 577:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FACGE32:{ *:[i32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 177393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGE32),
     /* 177396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177398 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177400 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177402 */     GIR_RootConstrainSelectedInstOperands,
     /* 177403 */     // GIR_Coverage, 1618,
     /* 177403 */     GIR_EraseRootFromParent_Done,
     /* 177404 */   // Label 3445: @177404
     /* 177404 */   GIM_Try, /*On fail goto*//*Label 3446*/ GIMT_Encode4(177449), // Rule ID 1619 //
     /* 177409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facgt),
     /* 177417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 177420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 177423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 177426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177438 */     // (intrinsic_wo_chain:{ *:[i64] } 578:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FACGT64:{ *:[i64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 177438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGT64),
     /* 177441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177443 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177445 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177447 */     GIR_RootConstrainSelectedInstOperands,
     /* 177448 */     // GIR_Coverage, 1619,
     /* 177448 */     GIR_EraseRootFromParent_Done,
     /* 177449 */   // Label 3446: @177449
     /* 177449 */   GIM_Try, /*On fail goto*//*Label 3447*/ GIMT_Encode4(177494), // Rule ID 1620 //
     /* 177454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facgt),
     /* 177462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 177465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 177468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 177471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 177475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 177479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 177483 */     // (intrinsic_wo_chain:{ *:[i32] } 578:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FACGT32:{ *:[i32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 177483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGT32),
     /* 177486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177488 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177490 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177492 */     GIR_RootConstrainSelectedInstOperands,
     /* 177493 */     // GIR_Coverage, 1620,
     /* 177493 */     GIR_EraseRootFromParent_Done,
     /* 177494 */   // Label 3447: @177494
     /* 177494 */   GIM_Try, /*On fail goto*//*Label 3448*/ GIMT_Encode4(177539), // Rule ID 1627 //
     /* 177499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 177502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 177507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 177510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 177513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 177516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177528 */     // (intrinsic_wo_chain:{ *:[f64] } 610:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FMULX64:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 177528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX64),
     /* 177531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177533 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177535 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177537 */     GIR_RootConstrainSelectedInstOperands,
     /* 177538 */     // GIR_Coverage, 1627,
     /* 177538 */     GIR_EraseRootFromParent_Done,
     /* 177539 */   // Label 3448: @177539
     /* 177539 */   GIM_Try, /*On fail goto*//*Label 3449*/ GIMT_Encode4(177584), // Rule ID 1628 //
     /* 177544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 177547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 177552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 177555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 177558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 177561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 177565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 177569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 177573 */     // (intrinsic_wo_chain:{ *:[f32] } 610:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FMULX32:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 177573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX32),
     /* 177576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177578 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177580 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177582 */     GIR_RootConstrainSelectedInstOperands,
     /* 177583 */     // GIR_Coverage, 1628,
     /* 177583 */     GIR_EraseRootFromParent_Done,
     /* 177584 */   // Label 3449: @177584
     /* 177584 */   GIM_Try, /*On fail goto*//*Label 3450*/ GIMT_Encode4(177629), // Rule ID 1629 //
     /* 177589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEONandIsStreamingSafe),
     /* 177592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 177597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 177600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 177603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 177606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 177610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 177614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 177618 */     // (intrinsic_wo_chain:{ *:[f16] } 610:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FMULX16:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 177618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX16),
     /* 177621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177623 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177625 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177627 */     GIR_RootConstrainSelectedInstOperands,
     /* 177628 */     // GIR_Coverage, 1629,
     /* 177628 */     GIR_EraseRootFromParent_Done,
     /* 177629 */   // Label 3450: @177629
     /* 177629 */   GIM_Try, /*On fail goto*//*Label 3451*/ GIMT_Encode4(177674), // Rule ID 1630 //
     /* 177634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 177637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecps),
     /* 177642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 177645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 177648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 177651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177663 */     // (intrinsic_wo_chain:{ *:[f64] } 633:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FRECPS64:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 177663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPS64),
     /* 177666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177668 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177670 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177672 */     GIR_RootConstrainSelectedInstOperands,
     /* 177673 */     // GIR_Coverage, 1630,
     /* 177673 */     GIR_EraseRootFromParent_Done,
     /* 177674 */   // Label 3451: @177674
     /* 177674 */   GIM_Try, /*On fail goto*//*Label 3452*/ GIMT_Encode4(177719), // Rule ID 1631 //
     /* 177679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 177682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecps),
     /* 177687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 177690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 177693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 177696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 177700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 177704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 177708 */     // (intrinsic_wo_chain:{ *:[f32] } 633:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FRECPS32:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 177708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPS32),
     /* 177711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177713 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177715 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177717 */     GIR_RootConstrainSelectedInstOperands,
     /* 177718 */     // GIR_Coverage, 1631,
     /* 177718 */     GIR_EraseRootFromParent_Done,
     /* 177719 */   // Label 3452: @177719
     /* 177719 */   GIM_Try, /*On fail goto*//*Label 3453*/ GIMT_Encode4(177764), // Rule ID 1632 //
     /* 177724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEONandIsStreamingSafe),
     /* 177727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecps),
     /* 177732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 177735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 177738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 177741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 177745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 177749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 177753 */     // (intrinsic_wo_chain:{ *:[f16] } 633:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FRECPS16:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 177753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPS16),
     /* 177756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177758 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177760 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177762 */     GIR_RootConstrainSelectedInstOperands,
     /* 177763 */     // GIR_Coverage, 1632,
     /* 177763 */     GIR_EraseRootFromParent_Done,
     /* 177764 */   // Label 3453: @177764
     /* 177764 */   GIM_Try, /*On fail goto*//*Label 3454*/ GIMT_Encode4(177809), // Rule ID 1633 //
     /* 177769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 177772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrts),
     /* 177777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 177780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 177783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 177786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177798 */     // (intrinsic_wo_chain:{ *:[f64] } 640:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FRSQRTS64:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 177798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTS64),
     /* 177801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177803 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177805 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177807 */     GIR_RootConstrainSelectedInstOperands,
     /* 177808 */     // GIR_Coverage, 1633,
     /* 177808 */     GIR_EraseRootFromParent_Done,
     /* 177809 */   // Label 3454: @177809
     /* 177809 */   GIM_Try, /*On fail goto*//*Label 3455*/ GIMT_Encode4(177854), // Rule ID 1634 //
     /* 177814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 177817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrts),
     /* 177822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 177825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 177828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 177831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 177835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 177839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 177843 */     // (intrinsic_wo_chain:{ *:[f32] } 640:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FRSQRTS32:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 177843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTS32),
     /* 177846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177848 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177850 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177852 */     GIR_RootConstrainSelectedInstOperands,
     /* 177853 */     // GIR_Coverage, 1634,
     /* 177853 */     GIR_EraseRootFromParent_Done,
     /* 177854 */   // Label 3455: @177854
     /* 177854 */   GIM_Try, /*On fail goto*//*Label 3456*/ GIMT_Encode4(177899), // Rule ID 1635 //
     /* 177859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEONandIsStreamingSafe),
     /* 177862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrts),
     /* 177867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 177870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 177873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 177876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 177880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 177884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 177888 */     // (intrinsic_wo_chain:{ *:[f16] } 640:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FRSQRTS16:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 177888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTS16),
     /* 177891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177893 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177895 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177897 */     GIR_RootConstrainSelectedInstOperands,
     /* 177898 */     // GIR_Coverage, 1635,
     /* 177898 */     GIR_EraseRootFromParent_Done,
     /* 177899 */   // Label 3456: @177899
     /* 177899 */   GIM_Try, /*On fail goto*//*Label 3457*/ GIMT_Encode4(177944), // Rule ID 1636 //
     /* 177904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 177912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 177915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 177918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 177921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177933 */     // (intrinsic_wo_chain:{ *:[v1i64] } 679:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (SQADDv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 177933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADDv1i64),
     /* 177936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177938 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177940 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177942 */     GIR_RootConstrainSelectedInstOperands,
     /* 177943 */     // GIR_Coverage, 1636,
     /* 177943 */     GIR_EraseRootFromParent_Done,
     /* 177944 */   // Label 3457: @177944
     /* 177944 */   GIM_Try, /*On fail goto*//*Label 3458*/ GIMT_Encode4(177989), // Rule ID 1637 //
     /* 177949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 177957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 177960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 177963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 177966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 177970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 177974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 177978 */     // (intrinsic_wo_chain:{ *:[i32] } 680:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (SQDMULHv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 177978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv1i32),
     /* 177981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177983 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177985 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177987 */     GIR_RootConstrainSelectedInstOperands,
     /* 177988 */     // GIR_Coverage, 1637,
     /* 177988 */     GIR_EraseRootFromParent_Done,
     /* 177989 */   // Label 3458: @177989
     /* 177989 */   GIM_Try, /*On fail goto*//*Label 3459*/ GIMT_Encode4(178034), // Rule ID 1638 //
     /* 177994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 178002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 178005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 178008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 178011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178023 */     // (intrinsic_wo_chain:{ *:[i32] } 688:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (SQRDMULHv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 178023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv1i32),
     /* 178026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178028 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178030 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178032 */     GIR_RootConstrainSelectedInstOperands,
     /* 178033 */     // GIR_Coverage, 1638,
     /* 178033 */     GIR_EraseRootFromParent_Done,
     /* 178034 */   // Label 3459: @178034
     /* 178034 */   GIM_Try, /*On fail goto*//*Label 3460*/ GIMT_Encode4(178079), // Rule ID 1639 //
     /* 178039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshl),
     /* 178047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 178050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 178053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 178056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178068 */     // (intrinsic_wo_chain:{ *:[v1i64] } 691:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (SQRSHLv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 178068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHLv1i64),
     /* 178071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178073 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178075 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178077 */     GIR_RootConstrainSelectedInstOperands,
     /* 178078 */     // GIR_Coverage, 1639,
     /* 178078 */     GIR_EraseRootFromParent_Done,
     /* 178079 */   // Label 3460: @178079
     /* 178079 */   GIM_Try, /*On fail goto*//*Label 3461*/ GIMT_Encode4(178124), // Rule ID 1640 //
     /* 178084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshl),
     /* 178092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 178095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 178098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 178101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178113 */     // (intrinsic_wo_chain:{ *:[v1i64] } 694:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (SQSHLv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 178113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLv1i64),
     /* 178116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178118 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178120 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178122 */     GIR_RootConstrainSelectedInstOperands,
     /* 178123 */     // GIR_Coverage, 1640,
     /* 178123 */     GIR_EraseRootFromParent_Done,
     /* 178124 */   // Label 3461: @178124
     /* 178124 */   GIM_Try, /*On fail goto*//*Label 3462*/ GIMT_Encode4(178169), // Rule ID 1641 //
     /* 178129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 178137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 178140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 178143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 178146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178158 */     // (intrinsic_wo_chain:{ *:[v1i64] } 698:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (SQSUBv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 178158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv1i64),
     /* 178161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178163 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178165 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178167 */     GIR_RootConstrainSelectedInstOperands,
     /* 178168 */     // GIR_Coverage, 1641,
     /* 178168 */     GIR_EraseRootFromParent_Done,
     /* 178169 */   // Label 3462: @178169
     /* 178169 */   GIM_Try, /*On fail goto*//*Label 3463*/ GIMT_Encode4(178214), // Rule ID 1642 //
     /* 178174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_srshl),
     /* 178182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 178185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 178188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 178191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178203 */     // (intrinsic_wo_chain:{ *:[v1i64] } 702:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (SRSHLv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 178203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHLv1i64),
     /* 178206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178208 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178210 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178212 */     GIR_RootConstrainSelectedInstOperands,
     /* 178213 */     // GIR_Coverage, 1642,
     /* 178213 */     GIR_EraseRootFromParent_Done,
     /* 178214 */   // Label 3463: @178214
     /* 178214 */   GIM_Try, /*On fail goto*//*Label 3464*/ GIMT_Encode4(178259), // Rule ID 1643 //
     /* 178219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sshl),
     /* 178227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 178230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 178233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 178236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178248 */     // (intrinsic_wo_chain:{ *:[v1i64] } 703:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (SSHLv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 178248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLv1i64),
     /* 178251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178253 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178255 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178257 */     GIR_RootConstrainSelectedInstOperands,
     /* 178258 */     // GIR_Coverage, 1643,
     /* 178258 */     GIR_EraseRootFromParent_Done,
     /* 178259 */   // Label 3464: @178259
     /* 178259 */   GIM_Try, /*On fail goto*//*Label 3465*/ GIMT_Encode4(178304), // Rule ID 1645 //
     /* 178264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqadd),
     /* 178272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 178275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 178278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 178281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178293 */     // (intrinsic_wo_chain:{ *:[v1i64] } 739:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (UQADDv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 178293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADDv1i64),
     /* 178296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178298 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178300 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178302 */     GIR_RootConstrainSelectedInstOperands,
     /* 178303 */     // GIR_Coverage, 1645,
     /* 178303 */     GIR_EraseRootFromParent_Done,
     /* 178304 */   // Label 3465: @178304
     /* 178304 */   GIM_Try, /*On fail goto*//*Label 3466*/ GIMT_Encode4(178349), // Rule ID 1646 //
     /* 178309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqrshl),
     /* 178317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 178320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 178323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 178326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178338 */     // (intrinsic_wo_chain:{ *:[v1i64] } 740:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (UQRSHLv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 178338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHLv1i64),
     /* 178341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178343 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178345 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178347 */     GIR_RootConstrainSelectedInstOperands,
     /* 178348 */     // GIR_Coverage, 1646,
     /* 178348 */     GIR_EraseRootFromParent_Done,
     /* 178349 */   // Label 3466: @178349
     /* 178349 */   GIM_Try, /*On fail goto*//*Label 3467*/ GIMT_Encode4(178394), // Rule ID 1647 //
     /* 178354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqshl),
     /* 178362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 178365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 178368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 178371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178383 */     // (intrinsic_wo_chain:{ *:[v1i64] } 742:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (UQSHLv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 178383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHLv1i64),
     /* 178386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178388 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178390 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178392 */     GIR_RootConstrainSelectedInstOperands,
     /* 178393 */     // GIR_Coverage, 1647,
     /* 178393 */     GIR_EraseRootFromParent_Done,
     /* 178394 */   // Label 3467: @178394
     /* 178394 */   GIM_Try, /*On fail goto*//*Label 3468*/ GIMT_Encode4(178439), // Rule ID 1648 //
     /* 178399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqsub),
     /* 178407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 178410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 178413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 178416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178428 */     // (intrinsic_wo_chain:{ *:[v1i64] } 744:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (UQSUBv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 178428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv1i64),
     /* 178431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178433 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178435 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178437 */     GIR_RootConstrainSelectedInstOperands,
     /* 178438 */     // GIR_Coverage, 1648,
     /* 178438 */     GIR_EraseRootFromParent_Done,
     /* 178439 */   // Label 3468: @178439
     /* 178439 */   GIM_Try, /*On fail goto*//*Label 3469*/ GIMT_Encode4(178484), // Rule ID 1649 //
     /* 178444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_urshl),
     /* 178452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 178455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 178458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 178461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178473 */     // (intrinsic_wo_chain:{ *:[v1i64] } 748:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (URSHLv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 178473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHLv1i64),
     /* 178476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178478 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178480 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178482 */     GIR_RootConstrainSelectedInstOperands,
     /* 178483 */     // GIR_Coverage, 1649,
     /* 178483 */     GIR_EraseRootFromParent_Done,
     /* 178484 */   // Label 3469: @178484
     /* 178484 */   GIM_Try, /*On fail goto*//*Label 3470*/ GIMT_Encode4(178529), // Rule ID 1650 //
     /* 178489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ushl),
     /* 178497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 178500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 178503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 178506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178518 */     // (intrinsic_wo_chain:{ *:[v1i64] } 751:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (USHLv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 178518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLv1i64),
     /* 178521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178523 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178525 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178527 */     GIR_RootConstrainSelectedInstOperands,
     /* 178528 */     // GIR_Coverage, 1650,
     /* 178528 */     GIR_EraseRootFromParent_Done,
     /* 178529 */   // Label 3470: @178529
     /* 178529 */   GIM_Try, /*On fail goto*//*Label 3471*/ GIMT_Encode4(178574), // Rule ID 1651 //
     /* 178534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulls_scalar),
     /* 178542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 178545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 178548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 178551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178563 */     // (intrinsic_wo_chain:{ *:[i64] } 684:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (SQDMULLi32:{ *:[i64] } FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 178563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLi32),
     /* 178566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178568 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178570 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178572 */     GIR_RootConstrainSelectedInstOperands,
     /* 178573 */     // GIR_Coverage, 1651,
     /* 178573 */     GIR_EraseRootFromParent_Done,
     /* 178574 */   // Label 3471: @178574
     /* 178574 */   GIM_Try, /*On fail goto*//*Label 3472*/ GIMT_Encode4(178619), // Rule ID 1665 //
     /* 178579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_suqadd),
     /* 178587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 178590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 178593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 178596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178608 */     // (intrinsic_wo_chain:{ *:[i64] } 715:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rd, FPR64:{ *:[i64] }:$Rn)  =>  (SUQADDv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rd, FPR64:{ *:[i64] }:$Rn)
     /* 178608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADDv1i64),
     /* 178611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 178613 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 178615 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 178617 */     GIR_RootConstrainSelectedInstOperands,
     /* 178618 */     // GIR_Coverage, 1665,
     /* 178618 */     GIR_EraseRootFromParent_Done,
     /* 178619 */   // Label 3472: @178619
     /* 178619 */   GIM_Try, /*On fail goto*//*Label 3473*/ GIMT_Encode4(178664), // Rule ID 1666 //
     /* 178624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_suqadd),
     /* 178632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 178635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 178638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 178641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178653 */     // (intrinsic_wo_chain:{ *:[i32] } 715:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rd, FPR32:{ *:[i32] }:$Rn)  =>  (SUQADDv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rd, FPR32:{ *:[i32] }:$Rn)
     /* 178653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADDv1i32),
     /* 178656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 178658 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 178660 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 178662 */     GIR_RootConstrainSelectedInstOperands,
     /* 178663 */     // GIR_Coverage, 1666,
     /* 178663 */     GIR_EraseRootFromParent_Done,
     /* 178664 */   // Label 3473: @178664
     /* 178664 */   GIM_Try, /*On fail goto*//*Label 3474*/ GIMT_Encode4(178709), // Rule ID 1671 //
     /* 178669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_usqadd),
     /* 178677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 178680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 178683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 178686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178698 */     // (intrinsic_wo_chain:{ *:[i64] } 754:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rd, FPR64:{ *:[i64] }:$Rn)  =>  (USQADDv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rd, FPR64:{ *:[i64] }:$Rn)
     /* 178698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADDv1i64),
     /* 178701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 178703 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 178705 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 178707 */     GIR_RootConstrainSelectedInstOperands,
     /* 178708 */     // GIR_Coverage, 1671,
     /* 178708 */     GIR_EraseRootFromParent_Done,
     /* 178709 */   // Label 3474: @178709
     /* 178709 */   GIM_Try, /*On fail goto*//*Label 3475*/ GIMT_Encode4(178754), // Rule ID 1672 //
     /* 178714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_usqadd),
     /* 178722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 178725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 178728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 178731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178743 */     // (intrinsic_wo_chain:{ *:[i32] } 754:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rd, FPR32:{ *:[i32] }:$Rn)  =>  (USQADDv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rd, FPR32:{ *:[i32] }:$Rn)
     /* 178743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADDv1i32),
     /* 178746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 178748 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 178750 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 178752 */     GIR_RootConstrainSelectedInstOperands,
     /* 178753 */     // GIR_Coverage, 1672,
     /* 178753 */     GIR_EraseRootFromParent_Done,
     /* 178754 */   // Label 3475: @178754
     /* 178754 */   GIM_Try, /*On fail goto*//*Label 3476*/ GIMT_Encode4(178799), // Rule ID 1673 //
     /* 178759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addhn),
     /* 178767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 178770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 178773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 178776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 178784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 178788 */     // (intrinsic_wo_chain:{ *:[v8i8] } 569:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (ADDHNv8i16_v8i8:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 178788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv8i16_v8i8),
     /* 178791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178793 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178795 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178797 */     GIR_RootConstrainSelectedInstOperands,
     /* 178798 */     // GIR_Coverage, 1673,
     /* 178798 */     GIR_EraseRootFromParent_Done,
     /* 178799 */   // Label 3476: @178799
     /* 178799 */   GIM_Try, /*On fail goto*//*Label 3477*/ GIMT_Encode4(178844), // Rule ID 1674 //
     /* 178804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addhn),
     /* 178812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 178815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 178818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 178821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 178829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 178833 */     // (intrinsic_wo_chain:{ *:[v4i16] } 569:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (ADDHNv4i32_v4i16:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 178833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv4i32_v4i16),
     /* 178836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178838 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178840 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178842 */     GIR_RootConstrainSelectedInstOperands,
     /* 178843 */     // GIR_Coverage, 1674,
     /* 178843 */     GIR_EraseRootFromParent_Done,
     /* 178844 */   // Label 3477: @178844
     /* 178844 */   GIM_Try, /*On fail goto*//*Label 3478*/ GIMT_Encode4(178889), // Rule ID 1675 //
     /* 178849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addhn),
     /* 178857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 178860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 178863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 178866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 178874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 178878 */     // (intrinsic_wo_chain:{ *:[v2i32] } 569:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (ADDHNv2i64_v2i32:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 178878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv2i64_v2i32),
     /* 178881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178883 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178885 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178887 */     GIR_RootConstrainSelectedInstOperands,
     /* 178888 */     // GIR_Coverage, 1675,
     /* 178888 */     GIR_EraseRootFromParent_Done,
     /* 178889 */   // Label 3478: @178889
     /* 178889 */   GIM_Try, /*On fail goto*//*Label 3479*/ GIMT_Encode4(178934), // Rule ID 1676 //
     /* 178894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_subhn),
     /* 178902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 178905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 178908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 178911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 178919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 178923 */     // (intrinsic_wo_chain:{ *:[v8i8] } 714:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SUBHNv8i16_v8i8:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 178923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv8i16_v8i8),
     /* 178926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178928 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178930 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178932 */     GIR_RootConstrainSelectedInstOperands,
     /* 178933 */     // GIR_Coverage, 1676,
     /* 178933 */     GIR_EraseRootFromParent_Done,
     /* 178934 */   // Label 3479: @178934
     /* 178934 */   GIM_Try, /*On fail goto*//*Label 3480*/ GIMT_Encode4(178979), // Rule ID 1677 //
     /* 178939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_subhn),
     /* 178947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 178950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 178953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 178956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 178964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 178968 */     // (intrinsic_wo_chain:{ *:[v4i16] } 714:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SUBHNv4i32_v4i16:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 178968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv4i32_v4i16),
     /* 178971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178973 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178975 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178977 */     GIR_RootConstrainSelectedInstOperands,
     /* 178978 */     // GIR_Coverage, 1677,
     /* 178978 */     GIR_EraseRootFromParent_Done,
     /* 178979 */   // Label 3480: @178979
     /* 178979 */   GIM_Try, /*On fail goto*//*Label 3481*/ GIMT_Encode4(179024), // Rule ID 1678 //
     /* 178984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_subhn),
     /* 178992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 178995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 178998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 179001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179013 */     // (intrinsic_wo_chain:{ *:[v2i32] } 714:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (SUBHNv2i64_v2i32:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 179013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv2i64_v2i32),
     /* 179016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179018 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179020 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179022 */     GIR_RootConstrainSelectedInstOperands,
     /* 179023 */     // GIR_Coverage, 1678,
     /* 179023 */     GIR_EraseRootFromParent_Done,
     /* 179024 */   // Label 3481: @179024
     /* 179024 */   GIM_Try, /*On fail goto*//*Label 3482*/ GIMT_Encode4(179069), // Rule ID 1679 //
     /* 179029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_raddhn),
     /* 179037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 179040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 179043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 179046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179058 */     // (intrinsic_wo_chain:{ *:[v8i8] } 656:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (RADDHNv8i16_v8i8:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 179058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv8i16_v8i8),
     /* 179061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179063 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179065 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179067 */     GIR_RootConstrainSelectedInstOperands,
     /* 179068 */     // GIR_Coverage, 1679,
     /* 179068 */     GIR_EraseRootFromParent_Done,
     /* 179069 */   // Label 3482: @179069
     /* 179069 */   GIM_Try, /*On fail goto*//*Label 3483*/ GIMT_Encode4(179114), // Rule ID 1680 //
     /* 179074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_raddhn),
     /* 179082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 179085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 179088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 179091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179103 */     // (intrinsic_wo_chain:{ *:[v4i16] } 656:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (RADDHNv4i32_v4i16:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 179103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv4i32_v4i16),
     /* 179106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179108 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179110 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179112 */     GIR_RootConstrainSelectedInstOperands,
     /* 179113 */     // GIR_Coverage, 1680,
     /* 179113 */     GIR_EraseRootFromParent_Done,
     /* 179114 */   // Label 3483: @179114
     /* 179114 */   GIM_Try, /*On fail goto*//*Label 3484*/ GIMT_Encode4(179159), // Rule ID 1681 //
     /* 179119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_raddhn),
     /* 179127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 179130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 179133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 179136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179148 */     // (intrinsic_wo_chain:{ *:[v2i32] } 656:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (RADDHNv2i64_v2i32:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 179148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv2i64_v2i32),
     /* 179151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179153 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179155 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179157 */     GIR_RootConstrainSelectedInstOperands,
     /* 179158 */     // GIR_Coverage, 1681,
     /* 179158 */     GIR_EraseRootFromParent_Done,
     /* 179159 */   // Label 3484: @179159
     /* 179159 */   GIM_Try, /*On fail goto*//*Label 3485*/ GIMT_Encode4(179204), // Rule ID 1682 //
     /* 179164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rsubhn),
     /* 179172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 179175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 179178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 179181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179193 */     // (intrinsic_wo_chain:{ *:[v8i8] } 658:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (RSUBHNv8i16_v8i8:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 179193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNv8i16_v8i8),
     /* 179196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179198 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179200 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179202 */     GIR_RootConstrainSelectedInstOperands,
     /* 179203 */     // GIR_Coverage, 1682,
     /* 179203 */     GIR_EraseRootFromParent_Done,
     /* 179204 */   // Label 3485: @179204
     /* 179204 */   GIM_Try, /*On fail goto*//*Label 3486*/ GIMT_Encode4(179249), // Rule ID 1683 //
     /* 179209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rsubhn),
     /* 179217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 179220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 179223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 179226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179238 */     // (intrinsic_wo_chain:{ *:[v4i16] } 658:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (RSUBHNv4i32_v4i16:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 179238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNv4i32_v4i16),
     /* 179241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179243 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179245 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179247 */     GIR_RootConstrainSelectedInstOperands,
     /* 179248 */     // GIR_Coverage, 1683,
     /* 179248 */     GIR_EraseRootFromParent_Done,
     /* 179249 */   // Label 3486: @179249
     /* 179249 */   GIM_Try, /*On fail goto*//*Label 3487*/ GIMT_Encode4(179294), // Rule ID 1684 //
     /* 179254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rsubhn),
     /* 179262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 179265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 179268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 179271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179283 */     // (intrinsic_wo_chain:{ *:[v2i32] } 658:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (RSUBHNv2i64_v2i32:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 179283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNv2i64_v2i32),
     /* 179286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179288 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179290 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179292 */     GIR_RootConstrainSelectedInstOperands,
     /* 179293 */     // GIR_Coverage, 1684,
     /* 179293 */     GIR_EraseRootFromParent_Done,
     /* 179294 */   // Label 3487: @179294
     /* 179294 */   GIM_Try, /*On fail goto*//*Label 3488*/ GIMT_Encode4(179339), // Rule ID 1750 //
     /* 179299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 179307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 179310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 179313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 179316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179328 */     // (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SQDMULLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 179328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLv4i16_v4i32),
     /* 179331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179333 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179335 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179337 */     GIR_RootConstrainSelectedInstOperands,
     /* 179338 */     // GIR_Coverage, 1750,
     /* 179338 */     GIR_EraseRootFromParent_Done,
     /* 179339 */   // Label 3488: @179339
     /* 179339 */   GIM_Try, /*On fail goto*//*Label 3489*/ GIMT_Encode4(179384), // Rule ID 1752 //
     /* 179344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 179352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 179355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 179358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 179361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179373 */     // (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SQDMULLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 179373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLv2i32_v2i64),
     /* 179376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179378 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179380 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179382 */     GIR_RootConstrainSelectedInstOperands,
     /* 179383 */     // GIR_Coverage, 1752,
     /* 179383 */     GIR_EraseRootFromParent_Done,
     /* 179384 */   // Label 3489: @179384
     /* 179384 */   GIM_Try, /*On fail goto*//*Label 3490*/ GIMT_Encode4(179429), // Rule ID 2303 //
     /* 179389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES),
     /* 179392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_aese),
     /* 179397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 179400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 179403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 179406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179418 */     // (intrinsic_wo_chain:{ *:[v16i8] } 512:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn)  =>  (AESErr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /* 179418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AESErr),
     /* 179421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 179423 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 179425 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 179427 */     GIR_RootConstrainSelectedInstOperands,
     /* 179428 */     // GIR_Coverage, 2303,
     /* 179428 */     GIR_EraseRootFromParent_Done,
     /* 179429 */   // Label 3490: @179429
     /* 179429 */   GIM_Try, /*On fail goto*//*Label 3491*/ GIMT_Encode4(179474), // Rule ID 2304 //
     /* 179434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES),
     /* 179437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_aesd),
     /* 179442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 179445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 179448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 179451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179463 */     // (intrinsic_wo_chain:{ *:[v16i8] } 511:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn)  =>  (AESDrr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /* 179463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AESDrr),
     /* 179466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 179468 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 179470 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 179472 */     GIR_RootConstrainSelectedInstOperands,
     /* 179473 */     // GIR_Coverage, 2304,
     /* 179473 */     GIR_EraseRootFromParent_Done,
     /* 179474 */   // Label 3491: @179474
     /* 179474 */   GIM_Try, /*On fail goto*//*Label 3492*/ GIMT_Encode4(179519), // Rule ID 2315 //
     /* 179479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2),
     /* 179482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha1su1),
     /* 179487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 179490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 179493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 179496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179508 */     // (intrinsic_wo_chain:{ *:[v4i32] } 525:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn)  =>  (SHA1SU1rr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /* 179508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA1SU1rr),
     /* 179511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 179513 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 179515 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 179517 */     GIR_RootConstrainSelectedInstOperands,
     /* 179518 */     // GIR_Coverage, 2315,
     /* 179518 */     GIR_EraseRootFromParent_Done,
     /* 179519 */   // Label 3492: @179519
     /* 179519 */   GIM_Try, /*On fail goto*//*Label 3493*/ GIMT_Encode4(179564), // Rule ID 2316 //
     /* 179524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2),
     /* 179527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha256su0),
     /* 179532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 179535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 179538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 179541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179553 */     // (intrinsic_wo_chain:{ *:[v4i32] } 528:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn)  =>  (SHA256SU0rr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /* 179553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA256SU0rr),
     /* 179556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 179558 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 179560 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 179562 */     GIR_RootConstrainSelectedInstOperands,
     /* 179563 */     // GIR_Coverage, 2316,
     /* 179563 */     GIR_EraseRootFromParent_Done,
     /* 179564 */   // Label 3493: @179564
     /* 179564 */   GIM_Try, /*On fail goto*//*Label 3494*/ GIMT_Encode4(179609), // Rule ID 2339 //
     /* 179569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 179572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fscale),
     /* 179577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 179580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 179583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 179586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179598 */     // (intrinsic_wo_chain:{ *:[v4f16] } 631:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (FSCALEv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 179598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSCALEv4f16),
     /* 179601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179603 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179605 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179607 */     GIR_RootConstrainSelectedInstOperands,
     /* 179608 */     // GIR_Coverage, 2339,
     /* 179608 */     GIR_EraseRootFromParent_Done,
     /* 179609 */   // Label 3494: @179609
     /* 179609 */   GIM_Try, /*On fail goto*//*Label 3495*/ GIMT_Encode4(179654), // Rule ID 2340 //
     /* 179614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 179617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fscale),
     /* 179622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 179625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 179628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 179631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179643 */     // (intrinsic_wo_chain:{ *:[v8f16] } 631:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (FSCALEv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 179643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSCALEv8f16),
     /* 179646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179648 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179650 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179652 */     GIR_RootConstrainSelectedInstOperands,
     /* 179653 */     // GIR_Coverage, 2340,
     /* 179653 */     GIR_EraseRootFromParent_Done,
     /* 179654 */   // Label 3495: @179654
     /* 179654 */   GIM_Try, /*On fail goto*//*Label 3496*/ GIMT_Encode4(179699), // Rule ID 2341 //
     /* 179659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 179662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fscale),
     /* 179667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 179670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 179673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 179676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179688 */     // (intrinsic_wo_chain:{ *:[v2f32] } 631:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (FSCALEv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 179688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSCALEv2f32),
     /* 179691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179693 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179695 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179697 */     GIR_RootConstrainSelectedInstOperands,
     /* 179698 */     // GIR_Coverage, 2341,
     /* 179698 */     GIR_EraseRootFromParent_Done,
     /* 179699 */   // Label 3496: @179699
     /* 179699 */   GIM_Try, /*On fail goto*//*Label 3497*/ GIMT_Encode4(179744), // Rule ID 2342 //
     /* 179704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 179707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fscale),
     /* 179712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 179715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 179718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 179721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179733 */     // (intrinsic_wo_chain:{ *:[v4f32] } 631:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (FSCALEv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 179733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSCALEv4f32),
     /* 179736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179738 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179740 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179742 */     GIR_RootConstrainSelectedInstOperands,
     /* 179743 */     // GIR_Coverage, 2342,
     /* 179743 */     GIR_EraseRootFromParent_Done,
     /* 179744 */   // Label 3497: @179744
     /* 179744 */   GIM_Try, /*On fail goto*//*Label 3498*/ GIMT_Encode4(179789), // Rule ID 2343 //
     /* 179749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 179752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fscale),
     /* 179757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 179760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 179763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 179766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179778 */     // (intrinsic_wo_chain:{ *:[v2f64] } 631:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (FSCALEv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 179778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSCALEv2f64),
     /* 179781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179783 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179785 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179787 */     GIR_RootConstrainSelectedInstOperands,
     /* 179788 */     // GIR_Coverage, 2343,
     /* 179788 */     GIR_EraseRootFromParent_Done,
     /* 179789 */   // Label 3498: @179789
     /* 179789 */   GIM_Try, /*On fail goto*//*Label 3499*/ GIMT_Encode4(179834), // Rule ID 2344 //
     /* 179794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 179797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_famax),
     /* 179802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 179805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 179808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 179811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179823 */     // (intrinsic_wo_chain:{ *:[v4f16] } 581:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FAMAXv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 179823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAXv4f16),
     /* 179826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179828 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179830 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179832 */     GIR_RootConstrainSelectedInstOperands,
     /* 179833 */     // GIR_Coverage, 2344,
     /* 179833 */     GIR_EraseRootFromParent_Done,
     /* 179834 */   // Label 3499: @179834
     /* 179834 */   GIM_Try, /*On fail goto*//*Label 3500*/ GIMT_Encode4(179879), // Rule ID 2347 //
     /* 179839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 179842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_famax),
     /* 179847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 179850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 179853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 179856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179868 */     // (intrinsic_wo_chain:{ *:[v8f16] } 581:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FAMAXv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 179868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAXv8f16),
     /* 179871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179873 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179875 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179877 */     GIR_RootConstrainSelectedInstOperands,
     /* 179878 */     // GIR_Coverage, 2347,
     /* 179878 */     GIR_EraseRootFromParent_Done,
     /* 179879 */   // Label 3500: @179879
     /* 179879 */   GIM_Try, /*On fail goto*//*Label 3501*/ GIMT_Encode4(179924), // Rule ID 2350 //
     /* 179884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 179887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_famax),
     /* 179892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 179895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 179898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 179901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179913 */     // (intrinsic_wo_chain:{ *:[v2f32] } 581:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FAMAXv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 179913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAXv2f32),
     /* 179916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179918 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179920 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179922 */     GIR_RootConstrainSelectedInstOperands,
     /* 179923 */     // GIR_Coverage, 2350,
     /* 179923 */     GIR_EraseRootFromParent_Done,
     /* 179924 */   // Label 3501: @179924
     /* 179924 */   GIM_Try, /*On fail goto*//*Label 3502*/ GIMT_Encode4(179969), // Rule ID 2353 //
     /* 179929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 179932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_famax),
     /* 179937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 179940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 179943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 179946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179958 */     // (intrinsic_wo_chain:{ *:[v4f32] } 581:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FAMAXv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 179958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAXv4f32),
     /* 179961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179963 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179965 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179967 */     GIR_RootConstrainSelectedInstOperands,
     /* 179968 */     // GIR_Coverage, 2353,
     /* 179968 */     GIR_EraseRootFromParent_Done,
     /* 179969 */   // Label 3502: @179969
     /* 179969 */   GIM_Try, /*On fail goto*//*Label 3503*/ GIMT_Encode4(180014), // Rule ID 2356 //
     /* 179974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 179977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_famax),
     /* 179982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 179985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 179988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 179991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180003 */     // (intrinsic_wo_chain:{ *:[v2f64] } 581:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FAMAXv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 180003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAXv2f64),
     /* 180006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180008 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180010 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180012 */     GIR_RootConstrainSelectedInstOperands,
     /* 180013 */     // GIR_Coverage, 2356,
     /* 180013 */     GIR_EraseRootFromParent_Done,
     /* 180014 */   // Label 3503: @180014
     /* 180014 */   GIM_Try, /*On fail goto*//*Label 3504*/ GIMT_Encode4(180059), // Rule ID 2359 //
     /* 180019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 180022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_famin),
     /* 180027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 180030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 180033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 180036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180048 */     // (intrinsic_wo_chain:{ *:[v4f16] } 582:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FAMINv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 180048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMINv4f16),
     /* 180051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180053 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180055 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180057 */     GIR_RootConstrainSelectedInstOperands,
     /* 180058 */     // GIR_Coverage, 2359,
     /* 180058 */     GIR_EraseRootFromParent_Done,
     /* 180059 */   // Label 3504: @180059
     /* 180059 */   GIM_Try, /*On fail goto*//*Label 3505*/ GIMT_Encode4(180104), // Rule ID 2362 //
     /* 180064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 180067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_famin),
     /* 180072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 180075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 180078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 180081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180093 */     // (intrinsic_wo_chain:{ *:[v8f16] } 582:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FAMINv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 180093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMINv8f16),
     /* 180096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180098 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180100 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180102 */     GIR_RootConstrainSelectedInstOperands,
     /* 180103 */     // GIR_Coverage, 2362,
     /* 180103 */     GIR_EraseRootFromParent_Done,
     /* 180104 */   // Label 3505: @180104
     /* 180104 */   GIM_Try, /*On fail goto*//*Label 3506*/ GIMT_Encode4(180149), // Rule ID 2365 //
     /* 180109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 180112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_famin),
     /* 180117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 180120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 180123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 180126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180138 */     // (intrinsic_wo_chain:{ *:[v2f32] } 582:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FAMINv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 180138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMINv2f32),
     /* 180141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180143 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180145 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180147 */     GIR_RootConstrainSelectedInstOperands,
     /* 180148 */     // GIR_Coverage, 2365,
     /* 180148 */     GIR_EraseRootFromParent_Done,
     /* 180149 */   // Label 3506: @180149
     /* 180149 */   GIM_Try, /*On fail goto*//*Label 3507*/ GIMT_Encode4(180194), // Rule ID 2368 //
     /* 180154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 180157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_famin),
     /* 180162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 180165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 180168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 180171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180183 */     // (intrinsic_wo_chain:{ *:[v4f32] } 582:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FAMINv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 180183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMINv4f32),
     /* 180186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180188 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180190 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180192 */     GIR_RootConstrainSelectedInstOperands,
     /* 180193 */     // GIR_Coverage, 2368,
     /* 180193 */     GIR_EraseRootFromParent_Done,
     /* 180194 */   // Label 3507: @180194
     /* 180194 */   GIM_Try, /*On fail goto*//*Label 3508*/ GIMT_Encode4(180239), // Rule ID 2371 //
     /* 180199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 180202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_famin),
     /* 180207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 180210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 180213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 180216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180228 */     // (intrinsic_wo_chain:{ *:[v2f64] } 582:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FAMINv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 180228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMINv2f64),
     /* 180231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180233 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180235 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180237 */     GIR_RootConstrainSelectedInstOperands,
     /* 180238 */     // GIR_Coverage, 2371,
     /* 180238 */     GIR_EraseRootFromParent_Done,
     /* 180239 */   // Label 3508: @180239
     /* 180239 */   GIM_Try, /*On fail goto*//*Label 3509*/ GIMT_Encode4(180284), // Rule ID 2508 //
     /* 180244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 180247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 180252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 180255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 180258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 180261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180273 */     // (intrinsic_wo_chain:{ *:[i64] } 679:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (SQADDv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 180273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADDv1i64),
     /* 180276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180278 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180280 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180282 */     GIR_RootConstrainSelectedInstOperands,
     /* 180283 */     // GIR_Coverage, 2508,
     /* 180283 */     GIR_EraseRootFromParent_Done,
     /* 180284 */   // Label 3509: @180284
     /* 180284 */   GIM_Try, /*On fail goto*//*Label 3510*/ GIMT_Encode4(180329), // Rule ID 2509 //
     /* 180289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 180292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 180297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 180300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 180303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 180306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 180310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 180314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 180318 */     // (intrinsic_wo_chain:{ *:[i32] } 679:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (SQADDv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 180318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADDv1i32),
     /* 180321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180323 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180325 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180327 */     GIR_RootConstrainSelectedInstOperands,
     /* 180328 */     // GIR_Coverage, 2509,
     /* 180328 */     GIR_EraseRootFromParent_Done,
     /* 180329 */   // Label 3510: @180329
     /* 180329 */   GIM_Try, /*On fail goto*//*Label 3511*/ GIMT_Encode4(180374), // Rule ID 2510 //
     /* 180334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 180337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sisd_fabd),
     /* 180342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 180345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 180348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 180351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180363 */     // (intrinsic_wo_chain:{ *:[v1f64] } 785:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FABD64:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 180363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD64),
     /* 180366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180368 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180370 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180372 */     GIR_RootConstrainSelectedInstOperands,
     /* 180373 */     // GIR_Coverage, 2510,
     /* 180373 */     GIR_EraseRootFromParent_Done,
     /* 180374 */   // Label 3511: @180374
     /* 180374 */   GIM_Try, /*On fail goto*//*Label 3512*/ GIMT_Encode4(180419), // Rule ID 2511 //
     /* 180379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 180382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facge),
     /* 180387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 180390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 180393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 180396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180408 */     // (intrinsic_wo_chain:{ *:[v1i64] } 577:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FACGE64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 180408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGE64),
     /* 180411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180413 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180415 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180417 */     GIR_RootConstrainSelectedInstOperands,
     /* 180418 */     // GIR_Coverage, 2511,
     /* 180418 */     GIR_EraseRootFromParent_Done,
     /* 180419 */   // Label 3512: @180419
     /* 180419 */   GIM_Try, /*On fail goto*//*Label 3513*/ GIMT_Encode4(180464), // Rule ID 2516 //
     /* 180424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 180427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_suqadd),
     /* 180432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 180435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 180438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 180441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180453 */     // (intrinsic_wo_chain:{ *:[v1i64] } 715:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn)  =>  (SUQADDv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn)
     /* 180453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADDv1i64),
     /* 180456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 180458 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 180460 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 180462 */     GIR_RootConstrainSelectedInstOperands,
     /* 180463 */     // GIR_Coverage, 2516,
     /* 180463 */     GIR_EraseRootFromParent_Done,
     /* 180464 */   // Label 3513: @180464
     /* 180464 */   GIM_Try, /*On fail goto*//*Label 3514*/ GIMT_Encode4(180509), // Rule ID 2634 //
     /* 180469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 180472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincp_n32),
     /* 180477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 180480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 180483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 180486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 180490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 180494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 180498 */     // (intrinsic_wo_chain:{ *:[i32] } 2011:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, PPRAny:{ *:[nxv16i1] }:$Pg)  =>  (UQINCP_WP_B:{ *:[i32] } PPRAny:{ *:[nxv16i1] }:$Pg, ?:{ *:[i32] }:$Rn)
     /* 180498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCP_WP_B),
     /* 180501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 180503 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 180505 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180507 */     GIR_RootConstrainSelectedInstOperands,
     /* 180508 */     // GIR_Coverage, 2634,
     /* 180508 */     GIR_EraseRootFromParent_Done,
     /* 180509 */   // Label 3514: @180509
     /* 180509 */   GIM_Try, /*On fail goto*//*Label 3515*/ GIMT_Encode4(180554), // Rule ID 2635 //
     /* 180514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 180517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincp_n32),
     /* 180522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 180525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 180528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 180531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 180535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 180539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 180543 */     // (intrinsic_wo_chain:{ *:[i32] } 2011:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, PPRAny:{ *:[nxv8i1] }:$Pg)  =>  (UQINCP_WP_H:{ *:[i32] } PPRAny:{ *:[nxv8i1] }:$Pg, ?:{ *:[i32] }:$Rn)
     /* 180543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCP_WP_H),
     /* 180546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 180548 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 180550 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180552 */     GIR_RootConstrainSelectedInstOperands,
     /* 180553 */     // GIR_Coverage, 2635,
     /* 180553 */     GIR_EraseRootFromParent_Done,
     /* 180554 */   // Label 3515: @180554
     /* 180554 */   GIM_Try, /*On fail goto*//*Label 3516*/ GIMT_Encode4(180599), // Rule ID 2636 //
     /* 180559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 180562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincp_n32),
     /* 180567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 180570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 180573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 180576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 180580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 180584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 180588 */     // (intrinsic_wo_chain:{ *:[i32] } 2011:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, PPRAny:{ *:[nxv4i1] }:$Pg)  =>  (UQINCP_WP_S:{ *:[i32] } PPRAny:{ *:[nxv4i1] }:$Pg, ?:{ *:[i32] }:$Rn)
     /* 180588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCP_WP_S),
     /* 180591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 180593 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 180595 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180597 */     GIR_RootConstrainSelectedInstOperands,
     /* 180598 */     // GIR_Coverage, 2636,
     /* 180598 */     GIR_EraseRootFromParent_Done,
     /* 180599 */   // Label 3516: @180599
     /* 180599 */   GIM_Try, /*On fail goto*//*Label 3517*/ GIMT_Encode4(180644), // Rule ID 2637 //
     /* 180604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 180607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincp_n32),
     /* 180612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 180615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 180618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 180621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 180625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 180629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 180633 */     // (intrinsic_wo_chain:{ *:[i32] } 2011:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, PPRAny:{ *:[nxv2i1] }:$Pg)  =>  (UQINCP_WP_D:{ *:[i32] } PPRAny:{ *:[nxv2i1] }:$Pg, ?:{ *:[i32] }:$Rn)
     /* 180633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCP_WP_D),
     /* 180636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 180638 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 180640 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180642 */     GIR_RootConstrainSelectedInstOperands,
     /* 180643 */     // GIR_Coverage, 2637,
     /* 180643 */     GIR_EraseRootFromParent_Done,
     /* 180644 */   // Label 3517: @180644
     /* 180644 */   GIM_Try, /*On fail goto*//*Label 3518*/ GIMT_Encode4(180689), // Rule ID 2638 //
     /* 180649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 180652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincp_n64),
     /* 180657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 180660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 180663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 180666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 180670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 180674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 180678 */     // (intrinsic_wo_chain:{ *:[i64] } 1801:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv16i1] }:$Pg)  =>  (SQINCP_XP_B:{ *:[i64] } PPRAny:{ *:[nxv16i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 180678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCP_XP_B),
     /* 180681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 180683 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 180685 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180687 */     GIR_RootConstrainSelectedInstOperands,
     /* 180688 */     // GIR_Coverage, 2638,
     /* 180688 */     GIR_EraseRootFromParent_Done,
     /* 180689 */   // Label 3518: @180689
     /* 180689 */   GIM_Try, /*On fail goto*//*Label 3519*/ GIMT_Encode4(180734), // Rule ID 2639 //
     /* 180694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 180697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincp_n64),
     /* 180702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 180705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 180708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 180711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 180715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 180719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 180723 */     // (intrinsic_wo_chain:{ *:[i64] } 1801:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv8i1] }:$Pg)  =>  (SQINCP_XP_H:{ *:[i64] } PPRAny:{ *:[nxv8i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 180723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCP_XP_H),
     /* 180726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 180728 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 180730 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180732 */     GIR_RootConstrainSelectedInstOperands,
     /* 180733 */     // GIR_Coverage, 2639,
     /* 180733 */     GIR_EraseRootFromParent_Done,
     /* 180734 */   // Label 3519: @180734
     /* 180734 */   GIM_Try, /*On fail goto*//*Label 3520*/ GIMT_Encode4(180779), // Rule ID 2640 //
     /* 180739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 180742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincp_n64),
     /* 180747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 180750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 180753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 180756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 180760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 180764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 180768 */     // (intrinsic_wo_chain:{ *:[i64] } 1801:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv4i1] }:$Pg)  =>  (SQINCP_XP_S:{ *:[i64] } PPRAny:{ *:[nxv4i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 180768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCP_XP_S),
     /* 180771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 180773 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 180775 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180777 */     GIR_RootConstrainSelectedInstOperands,
     /* 180778 */     // GIR_Coverage, 2640,
     /* 180778 */     GIR_EraseRootFromParent_Done,
     /* 180779 */   // Label 3520: @180779
     /* 180779 */   GIM_Try, /*On fail goto*//*Label 3521*/ GIMT_Encode4(180824), // Rule ID 2641 //
     /* 180784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 180787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincp_n64),
     /* 180792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 180795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 180798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 180801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 180805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 180809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 180813 */     // (intrinsic_wo_chain:{ *:[i64] } 1801:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv2i1] }:$Pg)  =>  (SQINCP_XP_D:{ *:[i64] } PPRAny:{ *:[nxv2i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 180813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCP_XP_D),
     /* 180816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 180818 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 180820 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180822 */     GIR_RootConstrainSelectedInstOperands,
     /* 180823 */     // GIR_Coverage, 2641,
     /* 180823 */     GIR_EraseRootFromParent_Done,
     /* 180824 */   // Label 3521: @180824
     /* 180824 */   GIM_Try, /*On fail goto*//*Label 3522*/ GIMT_Encode4(180869), // Rule ID 3805 //
     /* 180829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 180832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha512su0),
     /* 180837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 180840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 180843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 180846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180858 */     // (intrinsic_wo_chain:{ *:[v2i64] } 532:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)  =>  (SHA512SU0:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)
     /* 180858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA512SU0),
     /* 180861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vdst]
     /* 180863 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /* 180865 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /* 180867 */     GIR_RootConstrainSelectedInstOperands,
     /* 180868 */     // GIR_Coverage, 3805,
     /* 180868 */     GIR_EraseRootFromParent_Done,
     /* 180869 */   // Label 3522: @180869
     /* 180869 */   GIM_Try, /*On fail goto*//*Label 3523*/ GIMT_Encode4(180914), // Rule ID 3833 //
     /* 180874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 180877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_rax1),
     /* 180882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 180885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 180888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 180891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180903 */     // (intrinsic_wo_chain:{ *:[v2i64] } 519:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)  =>  (RAX1:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)
     /* 180903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RAX1),
     /* 180906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 180908 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /* 180910 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /* 180912 */     GIR_RootConstrainSelectedInstOperands,
     /* 180913 */     // GIR_Coverage, 3833,
     /* 180913 */     GIR_EraseRootFromParent_Done,
     /* 180914 */   // Label 3523: @180914
     /* 180914 */   GIM_Try, /*On fail goto*//*Label 3524*/ GIMT_Encode4(180959), // Rule ID 3843 //
     /* 180919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /* 180922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sm4ekey),
     /* 180927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 180930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 180933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 180936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180948 */     // (intrinsic_wo_chain:{ *:[v4i32] } 542:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)  =>  (SM4ENCKEY:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)
     /* 180948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SM4ENCKEY),
     /* 180951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 180953 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /* 180955 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /* 180957 */     GIR_RootConstrainSelectedInstOperands,
     /* 180958 */     // GIR_Coverage, 3843,
     /* 180958 */     GIR_EraseRootFromParent_Done,
     /* 180959 */   // Label 3524: @180959
     /* 180959 */   GIM_Try, /*On fail goto*//*Label 3525*/ GIMT_Encode4(181004), // Rule ID 3844 //
     /* 180964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /* 180967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sm4e),
     /* 180972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 180975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 180978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 180981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180993 */     // (intrinsic_wo_chain:{ *:[v4i32] } 541:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)  =>  (SM4E:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)
     /* 180993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SM4E),
     /* 180996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vdst]
     /* 180998 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /* 181000 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /* 181002 */     GIR_RootConstrainSelectedInstOperands,
     /* 181003 */     // GIR_Coverage, 3844,
     /* 181003 */     GIR_EraseRootFromParent_Done,
     /* 181004 */   // Label 3525: @181004
     /* 181004 */   GIM_Try, /*On fail goto*//*Label 3526*/ GIMT_Encode4(181052), // Rule ID 3845 //
     /* 181009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 181012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcadd_rot90),
     /* 181017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 181020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 181023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 181026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181038 */     // (intrinsic_wo_chain:{ *:[v4f16] } 756:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FCADDv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm, 0:{ *:[i32] })
     /* 181038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCADDv4f16),
     /* 181041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 181043 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181045 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 181047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 181050 */     GIR_RootConstrainSelectedInstOperands,
     /* 181051 */     // GIR_Coverage, 3845,
     /* 181051 */     GIR_EraseRootFromParent_Done,
     /* 181052 */   // Label 3526: @181052
     /* 181052 */   GIM_Try, /*On fail goto*//*Label 3527*/ GIMT_Encode4(181100), // Rule ID 3846 //
     /* 181057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 181060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcadd_rot270),
     /* 181065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 181068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 181071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 181074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181086 */     // (intrinsic_wo_chain:{ *:[v4f16] } 755:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FCADDv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm, 1:{ *:[i32] })
     /* 181086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCADDv4f16),
     /* 181089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 181091 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181093 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 181095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 181098 */     GIR_RootConstrainSelectedInstOperands,
     /* 181099 */     // GIR_Coverage, 3846,
     /* 181099 */     GIR_EraseRootFromParent_Done,
     /* 181100 */   // Label 3527: @181100
     /* 181100 */   GIM_Try, /*On fail goto*//*Label 3528*/ GIMT_Encode4(181148), // Rule ID 3847 //
     /* 181105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 181108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcadd_rot90),
     /* 181113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 181116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 181119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 181122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181134 */     // (intrinsic_wo_chain:{ *:[v8f16] } 756:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCADDv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm, 0:{ *:[i32] })
     /* 181134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCADDv8f16),
     /* 181137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 181139 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181141 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 181143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 181146 */     GIR_RootConstrainSelectedInstOperands,
     /* 181147 */     // GIR_Coverage, 3847,
     /* 181147 */     GIR_EraseRootFromParent_Done,
     /* 181148 */   // Label 3528: @181148
     /* 181148 */   GIM_Try, /*On fail goto*//*Label 3529*/ GIMT_Encode4(181196), // Rule ID 3848 //
     /* 181153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 181156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcadd_rot270),
     /* 181161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 181164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 181167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 181170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181182 */     // (intrinsic_wo_chain:{ *:[v8f16] } 755:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCADDv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm, 1:{ *:[i32] })
     /* 181182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCADDv8f16),
     /* 181185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 181187 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181189 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 181191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 181194 */     GIR_RootConstrainSelectedInstOperands,
     /* 181195 */     // GIR_Coverage, 3848,
     /* 181195 */     GIR_EraseRootFromParent_Done,
     /* 181196 */   // Label 3529: @181196
     /* 181196 */   GIM_Try, /*On fail goto*//*Label 3530*/ GIMT_Encode4(181244), // Rule ID 3849 //
     /* 181201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 181204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcadd_rot90),
     /* 181209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 181212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 181215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 181218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181230 */     // (intrinsic_wo_chain:{ *:[v2f32] } 756:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FCADDv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm, 0:{ *:[i32] })
     /* 181230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCADDv2f32),
     /* 181233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 181235 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181237 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 181239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 181242 */     GIR_RootConstrainSelectedInstOperands,
     /* 181243 */     // GIR_Coverage, 3849,
     /* 181243 */     GIR_EraseRootFromParent_Done,
     /* 181244 */   // Label 3530: @181244
     /* 181244 */   GIM_Try, /*On fail goto*//*Label 3531*/ GIMT_Encode4(181292), // Rule ID 3850 //
     /* 181249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 181252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcadd_rot270),
     /* 181257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 181260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 181263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 181266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181278 */     // (intrinsic_wo_chain:{ *:[v2f32] } 755:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FCADDv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm, 1:{ *:[i32] })
     /* 181278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCADDv2f32),
     /* 181281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 181283 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181285 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 181287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 181290 */     GIR_RootConstrainSelectedInstOperands,
     /* 181291 */     // GIR_Coverage, 3850,
     /* 181291 */     GIR_EraseRootFromParent_Done,
     /* 181292 */   // Label 3531: @181292
     /* 181292 */   GIM_Try, /*On fail goto*//*Label 3532*/ GIMT_Encode4(181340), // Rule ID 3851 //
     /* 181297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 181300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcadd_rot90),
     /* 181305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 181308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 181311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 181314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181326 */     // (intrinsic_wo_chain:{ *:[v4f32] } 756:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FCADDv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, 0:{ *:[i32] })
     /* 181326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCADDv4f32),
     /* 181329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 181331 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181333 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 181335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 181338 */     GIR_RootConstrainSelectedInstOperands,
     /* 181339 */     // GIR_Coverage, 3851,
     /* 181339 */     GIR_EraseRootFromParent_Done,
     /* 181340 */   // Label 3532: @181340
     /* 181340 */   GIM_Try, /*On fail goto*//*Label 3533*/ GIMT_Encode4(181388), // Rule ID 3852 //
     /* 181345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 181348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcadd_rot270),
     /* 181353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 181356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 181359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 181362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181374 */     // (intrinsic_wo_chain:{ *:[v4f32] } 755:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FCADDv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, 1:{ *:[i32] })
     /* 181374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCADDv4f32),
     /* 181377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 181379 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181381 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 181383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 181386 */     GIR_RootConstrainSelectedInstOperands,
     /* 181387 */     // GIR_Coverage, 3852,
     /* 181387 */     GIR_EraseRootFromParent_Done,
     /* 181388 */   // Label 3533: @181388
     /* 181388 */   GIM_Try, /*On fail goto*//*Label 3534*/ GIMT_Encode4(181436), // Rule ID 3853 //
     /* 181393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 181396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcadd_rot90),
     /* 181401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 181404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 181407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 181410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181422 */     // (intrinsic_wo_chain:{ *:[v2f64] } 756:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FCADDv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, 0:{ *:[i32] })
     /* 181422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCADDv2f64),
     /* 181425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 181427 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181429 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 181431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 181434 */     GIR_RootConstrainSelectedInstOperands,
     /* 181435 */     // GIR_Coverage, 3853,
     /* 181435 */     GIR_EraseRootFromParent_Done,
     /* 181436 */   // Label 3534: @181436
     /* 181436 */   GIM_Try, /*On fail goto*//*Label 3535*/ GIMT_Encode4(181484), // Rule ID 3854 //
     /* 181441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 181444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcadd_rot270),
     /* 181449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 181452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 181455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 181458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181470 */     // (intrinsic_wo_chain:{ *:[v2f64] } 755:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FCADDv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, 1:{ *:[i32] })
     /* 181470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCADDv2f64),
     /* 181473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 181475 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181477 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 181479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 181482 */     GIR_RootConstrainSelectedInstOperands,
     /* 181483 */     // GIR_Coverage, 3854,
     /* 181483 */     GIR_EraseRootFromParent_Done,
     /* 181484 */   // Label 3535: @181484
     /* 181484 */   GIM_Try, /*On fail goto*//*Label 3536*/ GIMT_Encode4(181526), // Rule ID 3919 //
     /* 181489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_udiv),
     /* 181494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 181497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 181500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 181503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 181507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 181511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 181515 */     // (intrinsic_wo_chain:{ *:[i32] } 2155:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (UDIVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 181515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDIVWr),
     /* 181518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 181520 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181522 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 181524 */     GIR_RootConstrainSelectedInstOperands,
     /* 181525 */     // GIR_Coverage, 3919,
     /* 181525 */     GIR_EraseRootFromParent_Done,
     /* 181526 */   // Label 3536: @181526
     /* 181526 */   GIM_Try, /*On fail goto*//*Label 3537*/ GIMT_Encode4(181568), // Rule ID 3920 //
     /* 181531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_udiv),
     /* 181536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 181539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 181542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 181545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 181549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 181553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 181557 */     // (intrinsic_wo_chain:{ *:[i64] } 2155:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (UDIVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 181557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDIVXr),
     /* 181560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 181562 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181564 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 181566 */     GIR_RootConstrainSelectedInstOperands,
     /* 181567 */     // GIR_Coverage, 3920,
     /* 181567 */     GIR_EraseRootFromParent_Done,
     /* 181568 */   // Label 3537: @181568
     /* 181568 */   GIM_Try, /*On fail goto*//*Label 3538*/ GIMT_Encode4(181610), // Rule ID 3921 //
     /* 181573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sdiv),
     /* 181578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 181581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 181584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 181587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 181591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 181595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 181599 */     // (intrinsic_wo_chain:{ *:[i32] } 779:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (SDIVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 181599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDIVWr),
     /* 181602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 181604 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181606 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 181608 */     GIR_RootConstrainSelectedInstOperands,
     /* 181609 */     // GIR_Coverage, 3921,
     /* 181609 */     GIR_EraseRootFromParent_Done,
     /* 181610 */   // Label 3538: @181610
     /* 181610 */   GIM_Try, /*On fail goto*//*Label 3539*/ GIMT_Encode4(181652), // Rule ID 3922 //
     /* 181615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sdiv),
     /* 181620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 181623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 181626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 181629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 181633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 181637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 181641 */     // (intrinsic_wo_chain:{ *:[i64] } 779:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (SDIVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 181641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDIVXr),
     /* 181644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 181646 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181648 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 181650 */     GIR_RootConstrainSelectedInstOperands,
     /* 181651 */     // GIR_Coverage, 3922,
     /* 181651 */     GIR_EraseRootFromParent_Done,
     /* 181652 */   // Label 3539: @181652
     /* 181652 */   GIM_Try, /*On fail goto*//*Label 3540*/ GIMT_Encode4(181694), // Rule ID 5192 //
     /* 181657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fabd),
     /* 181662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 181665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 181668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 181671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181683 */     // (intrinsic_wo_chain:{ *:[v1f64] } 576:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FABD64:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 181683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD64),
     /* 181686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 181688 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181690 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 181692 */     GIR_RootConstrainSelectedInstOperands,
     /* 181693 */     // GIR_Coverage, 5192,
     /* 181693 */     GIR_EraseRootFromParent_Done,
     /* 181694 */   // Label 3540: @181694
     /* 181694 */   GIM_Try, /*On fail goto*//*Label 3541*/ GIMT_Encode4(181739), // Rule ID 5196 //
     /* 181699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 181702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facgt),
     /* 181707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 181710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 181713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 181716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181728 */     // (intrinsic_wo_chain:{ *:[v1i64] } 578:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FACGT64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 181728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGT64),
     /* 181731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 181733 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181735 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 181737 */     GIR_RootConstrainSelectedInstOperands,
     /* 181738 */     // GIR_Coverage, 5196,
     /* 181738 */     GIR_EraseRootFromParent_Done,
     /* 181739 */   // Label 3541: @181739
     /* 181739 */   GIM_Try, /*On fail goto*//*Label 3542*/ GIMT_Encode4(181784), // Rule ID 5200 //
     /* 181744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 181747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 181752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 181755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 181758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 181761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181773 */     // (intrinsic_wo_chain:{ *:[v1f64] } 610:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FMULX64:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 181773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX64),
     /* 181776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 181778 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181780 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 181782 */     GIR_RootConstrainSelectedInstOperands,
     /* 181783 */     // GIR_Coverage, 5200,
     /* 181783 */     GIR_EraseRootFromParent_Done,
     /* 181784 */   // Label 3542: @181784
     /* 181784 */   GIM_Try, /*On fail goto*//*Label 3543*/ GIMT_Encode4(181829), // Rule ID 5201 //
     /* 181789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 181792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecps),
     /* 181797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 181800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 181803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 181806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181818 */     // (intrinsic_wo_chain:{ *:[v1f64] } 633:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FRECPS64:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 181818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPS64),
     /* 181821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 181823 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181825 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 181827 */     GIR_RootConstrainSelectedInstOperands,
     /* 181828 */     // GIR_Coverage, 5201,
     /* 181828 */     GIR_EraseRootFromParent_Done,
     /* 181829 */   // Label 3543: @181829
     /* 181829 */   GIM_Try, /*On fail goto*//*Label 3544*/ GIMT_Encode4(181874), // Rule ID 5202 //
     /* 181834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 181837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrts),
     /* 181842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 181845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 181848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 181851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181863 */     // (intrinsic_wo_chain:{ *:[v1f64] } 640:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FRSQRTS64:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 181863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTS64),
     /* 181866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 181868 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181870 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 181872 */     GIR_RootConstrainSelectedInstOperands,
     /* 181873 */     // GIR_Coverage, 5202,
     /* 181873 */     GIR_EraseRootFromParent_Done,
     /* 181874 */   // Label 3544: @181874
     /* 181874 */   GIM_Try, /*On fail goto*//*Label 3545*/ GIMT_Encode4(181919), // Rule ID 5203 //
     /* 181879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 181882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshl),
     /* 181887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 181890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 181893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 181896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181908 */     // (intrinsic_wo_chain:{ *:[i64] } 691:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (SQRSHLv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 181908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHLv1i64),
     /* 181911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 181913 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181915 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 181917 */     GIR_RootConstrainSelectedInstOperands,
     /* 181918 */     // GIR_Coverage, 5203,
     /* 181918 */     GIR_EraseRootFromParent_Done,
     /* 181919 */   // Label 3545: @181919
     /* 181919 */   GIM_Try, /*On fail goto*//*Label 3546*/ GIMT_Encode4(181964), // Rule ID 5204 //
     /* 181924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 181927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshl),
     /* 181932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 181935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 181938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 181941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 181945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 181949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 181953 */     // (intrinsic_wo_chain:{ *:[i32] } 691:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (SQRSHLv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 181953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHLv1i32),
     /* 181956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 181958 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181960 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 181962 */     GIR_RootConstrainSelectedInstOperands,
     /* 181963 */     // GIR_Coverage, 5204,
     /* 181963 */     GIR_EraseRootFromParent_Done,
     /* 181964 */   // Label 3546: @181964
     /* 181964 */   GIM_Try, /*On fail goto*//*Label 3547*/ GIMT_Encode4(182009), // Rule ID 5205 //
     /* 181969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 181972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshl),
     /* 181977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 181980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 181983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 181986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181998 */     // (intrinsic_wo_chain:{ *:[i64] } 694:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (SQSHLv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 181998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLv1i64),
     /* 182001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182003 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182005 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182007 */     GIR_RootConstrainSelectedInstOperands,
     /* 182008 */     // GIR_Coverage, 5205,
     /* 182008 */     GIR_EraseRootFromParent_Done,
     /* 182009 */   // Label 3547: @182009
     /* 182009 */   GIM_Try, /*On fail goto*//*Label 3548*/ GIMT_Encode4(182054), // Rule ID 5206 //
     /* 182014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 182017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshl),
     /* 182022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 182025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 182028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 182031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 182035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 182039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 182043 */     // (intrinsic_wo_chain:{ *:[i32] } 694:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (SQSHLv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 182043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLv1i32),
     /* 182046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182048 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182050 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182052 */     GIR_RootConstrainSelectedInstOperands,
     /* 182053 */     // GIR_Coverage, 5206,
     /* 182053 */     GIR_EraseRootFromParent_Done,
     /* 182054 */   // Label 3548: @182054
     /* 182054 */   GIM_Try, /*On fail goto*//*Label 3549*/ GIMT_Encode4(182099), // Rule ID 5207 //
     /* 182059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 182062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 182067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 182070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 182073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 182076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182088 */     // (intrinsic_wo_chain:{ *:[i64] } 698:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (SQSUBv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 182088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv1i64),
     /* 182091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182093 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182095 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182097 */     GIR_RootConstrainSelectedInstOperands,
     /* 182098 */     // GIR_Coverage, 5207,
     /* 182098 */     GIR_EraseRootFromParent_Done,
     /* 182099 */   // Label 3549: @182099
     /* 182099 */   GIM_Try, /*On fail goto*//*Label 3550*/ GIMT_Encode4(182144), // Rule ID 5208 //
     /* 182104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 182107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 182112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 182115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 182118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 182121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 182125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 182129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 182133 */     // (intrinsic_wo_chain:{ *:[i32] } 698:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (SQSUBv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 182133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv1i32),
     /* 182136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182138 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182140 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182142 */     GIR_RootConstrainSelectedInstOperands,
     /* 182143 */     // GIR_Coverage, 5208,
     /* 182143 */     GIR_EraseRootFromParent_Done,
     /* 182144 */   // Label 3550: @182144
     /* 182144 */   GIM_Try, /*On fail goto*//*Label 3551*/ GIMT_Encode4(182189), // Rule ID 5209 //
     /* 182149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 182152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqadd),
     /* 182157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 182160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 182163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 182166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182178 */     // (intrinsic_wo_chain:{ *:[i64] } 739:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (UQADDv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 182178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADDv1i64),
     /* 182181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182183 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182185 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182187 */     GIR_RootConstrainSelectedInstOperands,
     /* 182188 */     // GIR_Coverage, 5209,
     /* 182188 */     GIR_EraseRootFromParent_Done,
     /* 182189 */   // Label 3551: @182189
     /* 182189 */   GIM_Try, /*On fail goto*//*Label 3552*/ GIMT_Encode4(182234), // Rule ID 5210 //
     /* 182194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 182197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqadd),
     /* 182202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 182205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 182208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 182211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 182215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 182219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 182223 */     // (intrinsic_wo_chain:{ *:[i32] } 739:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (UQADDv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 182223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADDv1i32),
     /* 182226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182228 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182230 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182232 */     GIR_RootConstrainSelectedInstOperands,
     /* 182233 */     // GIR_Coverage, 5210,
     /* 182233 */     GIR_EraseRootFromParent_Done,
     /* 182234 */   // Label 3552: @182234
     /* 182234 */   GIM_Try, /*On fail goto*//*Label 3553*/ GIMT_Encode4(182279), // Rule ID 5211 //
     /* 182239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 182242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqrshl),
     /* 182247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 182250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 182253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 182256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182268 */     // (intrinsic_wo_chain:{ *:[i64] } 740:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (UQRSHLv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 182268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHLv1i64),
     /* 182271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182273 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182275 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182277 */     GIR_RootConstrainSelectedInstOperands,
     /* 182278 */     // GIR_Coverage, 5211,
     /* 182278 */     GIR_EraseRootFromParent_Done,
     /* 182279 */   // Label 3553: @182279
     /* 182279 */   GIM_Try, /*On fail goto*//*Label 3554*/ GIMT_Encode4(182324), // Rule ID 5212 //
     /* 182284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 182287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqrshl),
     /* 182292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 182295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 182298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 182301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 182305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 182309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 182313 */     // (intrinsic_wo_chain:{ *:[i32] } 740:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (UQRSHLv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 182313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHLv1i32),
     /* 182316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182318 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182320 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182322 */     GIR_RootConstrainSelectedInstOperands,
     /* 182323 */     // GIR_Coverage, 5212,
     /* 182323 */     GIR_EraseRootFromParent_Done,
     /* 182324 */   // Label 3554: @182324
     /* 182324 */   GIM_Try, /*On fail goto*//*Label 3555*/ GIMT_Encode4(182369), // Rule ID 5213 //
     /* 182329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 182332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqshl),
     /* 182337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 182340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 182343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 182346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182358 */     // (intrinsic_wo_chain:{ *:[i64] } 742:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (UQSHLv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 182358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHLv1i64),
     /* 182361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182363 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182365 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182367 */     GIR_RootConstrainSelectedInstOperands,
     /* 182368 */     // GIR_Coverage, 5213,
     /* 182368 */     GIR_EraseRootFromParent_Done,
     /* 182369 */   // Label 3555: @182369
     /* 182369 */   GIM_Try, /*On fail goto*//*Label 3556*/ GIMT_Encode4(182414), // Rule ID 5214 //
     /* 182374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 182377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqshl),
     /* 182382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 182385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 182388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 182391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 182395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 182399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 182403 */     // (intrinsic_wo_chain:{ *:[i32] } 742:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (UQSHLv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 182403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHLv1i32),
     /* 182406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182408 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182410 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182412 */     GIR_RootConstrainSelectedInstOperands,
     /* 182413 */     // GIR_Coverage, 5214,
     /* 182413 */     GIR_EraseRootFromParent_Done,
     /* 182414 */   // Label 3556: @182414
     /* 182414 */   GIM_Try, /*On fail goto*//*Label 3557*/ GIMT_Encode4(182459), // Rule ID 5215 //
     /* 182419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 182422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqsub),
     /* 182427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 182430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 182433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 182436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182448 */     // (intrinsic_wo_chain:{ *:[i64] } 744:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (UQSUBv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 182448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv1i64),
     /* 182451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182453 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182455 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182457 */     GIR_RootConstrainSelectedInstOperands,
     /* 182458 */     // GIR_Coverage, 5215,
     /* 182458 */     GIR_EraseRootFromParent_Done,
     /* 182459 */   // Label 3557: @182459
     /* 182459 */   GIM_Try, /*On fail goto*//*Label 3558*/ GIMT_Encode4(182504), // Rule ID 5216 //
     /* 182464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 182467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqsub),
     /* 182472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 182475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 182478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 182481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 182485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 182489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 182493 */     // (intrinsic_wo_chain:{ *:[i32] } 744:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (UQSUBv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 182493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv1i32),
     /* 182496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182498 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182500 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182502 */     GIR_RootConstrainSelectedInstOperands,
     /* 182503 */     // GIR_Coverage, 5216,
     /* 182503 */     GIR_EraseRootFromParent_Done,
     /* 182504 */   // Label 3558: @182504
     /* 182504 */   GIM_Try, /*On fail goto*//*Label 3559*/ GIMT_Encode4(182549), // Rule ID 5235 //
     /* 182509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 182512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_usqadd),
     /* 182517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 182520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 182523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 182526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182538 */     // (intrinsic_wo_chain:{ *:[v1i64] } 754:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn)  =>  (USQADDv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn)
     /* 182538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADDv1i64),
     /* 182541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 182543 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 182545 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 182547 */     GIR_RootConstrainSelectedInstOperands,
     /* 182548 */     // GIR_Coverage, 5235,
     /* 182548 */     GIR_EraseRootFromParent_Done,
     /* 182549 */   // Label 3559: @182549
     /* 182549 */   GIM_Try, /*On fail goto*//*Label 3560*/ GIMT_Encode4(182591), // Rule ID 5569 //
     /* 182554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_tbl1),
     /* 182559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 182562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 182565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 182568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 182576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182580 */     // (intrinsic_wo_chain:{ *:[v8i8] } 716:{ *:[iPTR] }, VecListOne128:{ *:[v16i8] }:$Rn, V64:{ *:[v8i8] }:$Ri)  =>  (TBLv8i8One:{ *:[v8i8] } VecListOne128:{ *:[v16i8] }:$Rn, V64:{ *:[v8i8] }:$Ri)
     /* 182580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBLv8i8One),
     /* 182583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 182585 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182587 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ri
     /* 182589 */     GIR_RootConstrainSelectedInstOperands,
     /* 182590 */     // GIR_Coverage, 5569,
     /* 182590 */     GIR_EraseRootFromParent_Done,
     /* 182591 */   // Label 3560: @182591
     /* 182591 */   GIM_Try, /*On fail goto*//*Label 3561*/ GIMT_Encode4(182633), // Rule ID 5570 //
     /* 182596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_tbl1),
     /* 182601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 182604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 182607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 182610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 182614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 182618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 182622 */     // (intrinsic_wo_chain:{ *:[v16i8] } 716:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Ri, V128:{ *:[v16i8] }:$Rn)  =>  (TBLv16i8One:{ *:[v16i8] } V128:{ *:[v16i8] }:$Ri, V128:{ *:[v16i8] }:$Rn)
     /* 182622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBLv16i8One),
     /* 182625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 182627 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ri
     /* 182629 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 182631 */     GIR_RootConstrainSelectedInstOperands,
     /* 182632 */     // GIR_Coverage, 5570,
     /* 182632 */     GIR_EraseRootFromParent_Done,
     /* 182633 */   // Label 3561: @182633
     /* 182633 */   GIM_Try, /*On fail goto*//*Label 3562*/ GIMT_Encode4(182730), // Rule ID 6257 //
     /* 182638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facge),
     /* 182643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 182646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 182649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 182652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 182656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 182660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 182664 */     // (intrinsic_wo_chain:{ *:[i32] } 577:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), (FACGE16:{ *:[i16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm), hsub:{ *:[i32] })
     /* 182664 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 182667 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::FACGE16),
     /* 182671 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 182676 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 182680 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // Rm
     /* 182684 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 182686 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 182689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 182693 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 182698 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 182700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 182703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 182705 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 182708 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 182711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 182714 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 182719 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 182724 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 182729 */     // GIR_Coverage, 6257,
     /* 182729 */     GIR_EraseRootFromParent_Done,
     /* 182730 */   // Label 3562: @182730
     /* 182730 */   GIM_Try, /*On fail goto*//*Label 3563*/ GIMT_Encode4(182827), // Rule ID 6258 //
     /* 182735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facgt),
     /* 182740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 182743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 182746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 182749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 182753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 182757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 182761 */     // (intrinsic_wo_chain:{ *:[i32] } 578:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), (FACGT16:{ *:[i16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm), hsub:{ *:[i32] })
     /* 182761 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 182764 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::FACGT16),
     /* 182768 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 182773 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 182777 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // Rm
     /* 182781 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 182783 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 182786 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 182790 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 182795 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 182797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 182800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 182802 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 182805 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 182808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 182811 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 182816 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 182821 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 182826 */     // GIR_Coverage, 6258,
     /* 182826 */     GIR_EraseRootFromParent_Done,
     /* 182827 */   // Label 3563: @182827
     /* 182827 */   GIM_Try, /*On fail goto*//*Label 3564*/ GIMT_Encode4(182869), // Rule ID 6903 //
     /* 182832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sshl),
     /* 182837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 182840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 182843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 182846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182858 */     // (intrinsic_wo_chain:{ *:[i64] } 703:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (SSHLv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 182858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLv1i64),
     /* 182861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182863 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182865 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182867 */     GIR_RootConstrainSelectedInstOperands,
     /* 182868 */     // GIR_Coverage, 6903,
     /* 182868 */     GIR_EraseRootFromParent_Done,
     /* 182869 */   // Label 3564: @182869
     /* 182869 */   GIM_Try, /*On fail goto*//*Label 3565*/ GIMT_Encode4(182911), // Rule ID 6904 //
     /* 182874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ushl),
     /* 182879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 182882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 182885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 182888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182900 */     // (intrinsic_wo_chain:{ *:[i64] } 751:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (USHLv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 182900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLv1i64),
     /* 182903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182905 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182907 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182909 */     GIR_RootConstrainSelectedInstOperands,
     /* 182910 */     // GIR_Coverage, 6904,
     /* 182910 */     GIR_EraseRootFromParent_Done,
     /* 182911 */   // Label 3565: @182911
     /* 182911 */   GIM_Try, /*On fail goto*//*Label 3566*/ GIMT_Encode4(182953), // Rule ID 6905 //
     /* 182916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_srshl),
     /* 182921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 182924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 182927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 182930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182942 */     // (intrinsic_wo_chain:{ *:[i64] } 702:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (SRSHLv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 182942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHLv1i64),
     /* 182945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182947 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182949 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182951 */     GIR_RootConstrainSelectedInstOperands,
     /* 182952 */     // GIR_Coverage, 6905,
     /* 182952 */     GIR_EraseRootFromParent_Done,
     /* 182953 */   // Label 3566: @182953
     /* 182953 */   GIM_Try, /*On fail goto*//*Label 3567*/ GIMT_Encode4(182995), // Rule ID 6906 //
     /* 182958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_urshl),
     /* 182963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 182966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 182969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 182972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182984 */     // (intrinsic_wo_chain:{ *:[i64] } 748:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (URSHLv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 182984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHLv1i64),
     /* 182987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182989 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182991 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182993 */     GIR_RootConstrainSelectedInstOperands,
     /* 182994 */     // GIR_Coverage, 6906,
     /* 182994 */     GIR_EraseRootFromParent_Done,
     /* 182995 */   // Label 3567: @182995
     /* 182995 */   GIM_Try, /*On fail goto*//*Label 3568*/ GIMT_Encode4(183043), // Rule ID 6946 //
     /* 183000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_blend),
     /* 183005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 183008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 183011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 183014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 183018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 183022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 183026 */     // (intrinsic_wo_chain:{ *:[i64] } 294:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, GPR64:{ *:[i64] }:$Rn)  =>  (BFMXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rd, GPR64:{ *:[i64] }:$Rn, 16:{ *:[i64] }, 15:{ *:[i64] })
     /* 183026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BFMXri),
     /* 183029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 183031 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 183033 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 183035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 183038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 183041 */     GIR_RootConstrainSelectedInstOperands,
     /* 183042 */     // GIR_Coverage, 6946,
     /* 183042 */     GIR_EraseRootFromParent_Done,
     /* 183043 */   // Label 3568: @183043
     /* 183043 */   GIM_Try, /*On fail goto*//*Label 3569*/ GIMT_Encode4(183088), // Rule ID 9968 //
     /* 183048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 183051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincp_n64),
     /* 183056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 183059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 183062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 183065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 183069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 183073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 183077 */     // (intrinsic_wo_chain:{ *:[i64] } 2012:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv16i1] }:$Pg)  =>  (UQINCP_XP_B:{ *:[i64] } PPRAny:{ *:[nxv16i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 183077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCP_XP_B),
     /* 183080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 183082 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 183084 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183086 */     GIR_RootConstrainSelectedInstOperands,
     /* 183087 */     // GIR_Coverage, 9968,
     /* 183087 */     GIR_EraseRootFromParent_Done,
     /* 183088 */   // Label 3569: @183088
     /* 183088 */   GIM_Try, /*On fail goto*//*Label 3570*/ GIMT_Encode4(183133), // Rule ID 9969 //
     /* 183093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 183096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincp_n64),
     /* 183101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 183104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 183107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 183110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 183114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 183118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 183122 */     // (intrinsic_wo_chain:{ *:[i64] } 2012:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv8i1] }:$Pg)  =>  (UQINCP_XP_H:{ *:[i64] } PPRAny:{ *:[nxv8i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 183122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCP_XP_H),
     /* 183125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 183127 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 183129 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183131 */     GIR_RootConstrainSelectedInstOperands,
     /* 183132 */     // GIR_Coverage, 9969,
     /* 183132 */     GIR_EraseRootFromParent_Done,
     /* 183133 */   // Label 3570: @183133
     /* 183133 */   GIM_Try, /*On fail goto*//*Label 3571*/ GIMT_Encode4(183178), // Rule ID 9970 //
     /* 183138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 183141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincp_n64),
     /* 183146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 183149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 183152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 183155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 183159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 183163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 183167 */     // (intrinsic_wo_chain:{ *:[i64] } 2012:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv4i1] }:$Pg)  =>  (UQINCP_XP_S:{ *:[i64] } PPRAny:{ *:[nxv4i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 183167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCP_XP_S),
     /* 183170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 183172 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 183174 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183176 */     GIR_RootConstrainSelectedInstOperands,
     /* 183177 */     // GIR_Coverage, 9970,
     /* 183177 */     GIR_EraseRootFromParent_Done,
     /* 183178 */   // Label 3571: @183178
     /* 183178 */   GIM_Try, /*On fail goto*//*Label 3572*/ GIMT_Encode4(183223), // Rule ID 9971 //
     /* 183183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 183186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincp_n64),
     /* 183191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 183194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 183197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 183200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 183204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 183208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 183212 */     // (intrinsic_wo_chain:{ *:[i64] } 2012:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv2i1] }:$Pg)  =>  (UQINCP_XP_D:{ *:[i64] } PPRAny:{ *:[nxv2i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 183212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCP_XP_D),
     /* 183215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 183217 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 183219 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183221 */     GIR_RootConstrainSelectedInstOperands,
     /* 183222 */     // GIR_Coverage, 9971,
     /* 183222 */     GIR_EraseRootFromParent_Done,
     /* 183223 */   // Label 3572: @183223
     /* 183223 */   GIM_Try, /*On fail goto*//*Label 3573*/ GIMT_Encode4(183268), // Rule ID 9980 //
     /* 183228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 183231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecp_n64),
     /* 183236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 183239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 183242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 183245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 183249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 183253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 183257 */     // (intrinsic_wo_chain:{ *:[i64] } 1767:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv16i1] }:$Pg)  =>  (SQDECP_XP_B:{ *:[i64] } PPRAny:{ *:[nxv16i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 183257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECP_XP_B),
     /* 183260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 183262 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 183264 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183266 */     GIR_RootConstrainSelectedInstOperands,
     /* 183267 */     // GIR_Coverage, 9980,
     /* 183267 */     GIR_EraseRootFromParent_Done,
     /* 183268 */   // Label 3573: @183268
     /* 183268 */   GIM_Try, /*On fail goto*//*Label 3574*/ GIMT_Encode4(183313), // Rule ID 9981 //
     /* 183273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 183276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecp_n64),
     /* 183281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 183284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 183287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 183290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 183294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 183298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 183302 */     // (intrinsic_wo_chain:{ *:[i64] } 1767:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv8i1] }:$Pg)  =>  (SQDECP_XP_H:{ *:[i64] } PPRAny:{ *:[nxv8i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 183302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECP_XP_H),
     /* 183305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 183307 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 183309 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183311 */     GIR_RootConstrainSelectedInstOperands,
     /* 183312 */     // GIR_Coverage, 9981,
     /* 183312 */     GIR_EraseRootFromParent_Done,
     /* 183313 */   // Label 3574: @183313
     /* 183313 */   GIM_Try, /*On fail goto*//*Label 3575*/ GIMT_Encode4(183358), // Rule ID 9982 //
     /* 183318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 183321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecp_n64),
     /* 183326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 183329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 183332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 183335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 183339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 183343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 183347 */     // (intrinsic_wo_chain:{ *:[i64] } 1767:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv4i1] }:$Pg)  =>  (SQDECP_XP_S:{ *:[i64] } PPRAny:{ *:[nxv4i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 183347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECP_XP_S),
     /* 183350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 183352 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 183354 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183356 */     GIR_RootConstrainSelectedInstOperands,
     /* 183357 */     // GIR_Coverage, 9982,
     /* 183357 */     GIR_EraseRootFromParent_Done,
     /* 183358 */   // Label 3575: @183358
     /* 183358 */   GIM_Try, /*On fail goto*//*Label 3576*/ GIMT_Encode4(183403), // Rule ID 9983 //
     /* 183363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 183366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecp_n64),
     /* 183371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 183374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 183377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 183380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 183384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 183388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 183392 */     // (intrinsic_wo_chain:{ *:[i64] } 1767:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv2i1] }:$Pg)  =>  (SQDECP_XP_D:{ *:[i64] } PPRAny:{ *:[nxv2i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 183392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECP_XP_D),
     /* 183395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 183397 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 183399 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183401 */     GIR_RootConstrainSelectedInstOperands,
     /* 183402 */     // GIR_Coverage, 9983,
     /* 183402 */     GIR_EraseRootFromParent_Done,
     /* 183403 */   // Label 3576: @183403
     /* 183403 */   GIM_Try, /*On fail goto*//*Label 3577*/ GIMT_Encode4(183448), // Rule ID 9984 //
     /* 183408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 183411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecp_n32),
     /* 183416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 183419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 183422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 183425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 183429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 183433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 183437 */     // (intrinsic_wo_chain:{ *:[i32] } 1997:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, PPRAny:{ *:[nxv16i1] }:$Pg)  =>  (UQDECP_WP_B:{ *:[i32] } PPRAny:{ *:[nxv16i1] }:$Pg, ?:{ *:[i32] }:$Rn)
     /* 183437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECP_WP_B),
     /* 183440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 183442 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 183444 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183446 */     GIR_RootConstrainSelectedInstOperands,
     /* 183447 */     // GIR_Coverage, 9984,
     /* 183447 */     GIR_EraseRootFromParent_Done,
     /* 183448 */   // Label 3577: @183448
     /* 183448 */   GIM_Try, /*On fail goto*//*Label 3578*/ GIMT_Encode4(183493), // Rule ID 9985 //
     /* 183453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 183456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecp_n32),
     /* 183461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 183464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 183467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 183470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 183474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 183478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 183482 */     // (intrinsic_wo_chain:{ *:[i32] } 1997:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, PPRAny:{ *:[nxv8i1] }:$Pg)  =>  (UQDECP_WP_H:{ *:[i32] } PPRAny:{ *:[nxv8i1] }:$Pg, ?:{ *:[i32] }:$Rn)
     /* 183482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECP_WP_H),
     /* 183485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 183487 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 183489 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183491 */     GIR_RootConstrainSelectedInstOperands,
     /* 183492 */     // GIR_Coverage, 9985,
     /* 183492 */     GIR_EraseRootFromParent_Done,
     /* 183493 */   // Label 3578: @183493
     /* 183493 */   GIM_Try, /*On fail goto*//*Label 3579*/ GIMT_Encode4(183538), // Rule ID 9986 //
     /* 183498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 183501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecp_n32),
     /* 183506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 183509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 183512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 183515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 183519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 183523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 183527 */     // (intrinsic_wo_chain:{ *:[i32] } 1997:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, PPRAny:{ *:[nxv4i1] }:$Pg)  =>  (UQDECP_WP_S:{ *:[i32] } PPRAny:{ *:[nxv4i1] }:$Pg, ?:{ *:[i32] }:$Rn)
     /* 183527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECP_WP_S),
     /* 183530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 183532 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 183534 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183536 */     GIR_RootConstrainSelectedInstOperands,
     /* 183537 */     // GIR_Coverage, 9986,
     /* 183537 */     GIR_EraseRootFromParent_Done,
     /* 183538 */   // Label 3579: @183538
     /* 183538 */   GIM_Try, /*On fail goto*//*Label 3580*/ GIMT_Encode4(183583), // Rule ID 9987 //
     /* 183543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 183546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecp_n32),
     /* 183551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 183554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 183557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 183560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 183564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 183568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 183572 */     // (intrinsic_wo_chain:{ *:[i32] } 1997:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, PPRAny:{ *:[nxv2i1] }:$Pg)  =>  (UQDECP_WP_D:{ *:[i32] } PPRAny:{ *:[nxv2i1] }:$Pg, ?:{ *:[i32] }:$Rn)
     /* 183572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECP_WP_D),
     /* 183575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 183577 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 183579 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183581 */     GIR_RootConstrainSelectedInstOperands,
     /* 183582 */     // GIR_Coverage, 9987,
     /* 183582 */     GIR_EraseRootFromParent_Done,
     /* 183583 */   // Label 3580: @183583
     /* 183583 */   GIM_Try, /*On fail goto*//*Label 3581*/ GIMT_Encode4(183628), // Rule ID 9988 //
     /* 183588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 183591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecp_n64),
     /* 183596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 183599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 183602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 183605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 183609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 183613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 183617 */     // (intrinsic_wo_chain:{ *:[i64] } 1998:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv16i1] }:$Pg)  =>  (UQDECP_XP_B:{ *:[i64] } PPRAny:{ *:[nxv16i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 183617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECP_XP_B),
     /* 183620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 183622 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 183624 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183626 */     GIR_RootConstrainSelectedInstOperands,
     /* 183627 */     // GIR_Coverage, 9988,
     /* 183627 */     GIR_EraseRootFromParent_Done,
     /* 183628 */   // Label 3581: @183628
     /* 183628 */   GIM_Try, /*On fail goto*//*Label 3582*/ GIMT_Encode4(183673), // Rule ID 9989 //
     /* 183633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 183636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecp_n64),
     /* 183641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 183644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 183647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 183650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 183654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 183658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 183662 */     // (intrinsic_wo_chain:{ *:[i64] } 1998:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv8i1] }:$Pg)  =>  (UQDECP_XP_H:{ *:[i64] } PPRAny:{ *:[nxv8i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 183662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECP_XP_H),
     /* 183665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 183667 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 183669 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183671 */     GIR_RootConstrainSelectedInstOperands,
     /* 183672 */     // GIR_Coverage, 9989,
     /* 183672 */     GIR_EraseRootFromParent_Done,
     /* 183673 */   // Label 3582: @183673
     /* 183673 */   GIM_Try, /*On fail goto*//*Label 3583*/ GIMT_Encode4(183718), // Rule ID 9990 //
     /* 183678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 183681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecp_n64),
     /* 183686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 183689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 183692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 183695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 183699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 183703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 183707 */     // (intrinsic_wo_chain:{ *:[i64] } 1998:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv4i1] }:$Pg)  =>  (UQDECP_XP_S:{ *:[i64] } PPRAny:{ *:[nxv4i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 183707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECP_XP_S),
     /* 183710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 183712 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 183714 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183716 */     GIR_RootConstrainSelectedInstOperands,
     /* 183717 */     // GIR_Coverage, 9990,
     /* 183717 */     GIR_EraseRootFromParent_Done,
     /* 183718 */   // Label 3583: @183718
     /* 183718 */   GIM_Try, /*On fail goto*//*Label 3584*/ GIMT_Encode4(183763), // Rule ID 9991 //
     /* 183723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 183726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecp_n64),
     /* 183731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 183734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 183737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 183740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 183744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 183748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 183752 */     // (intrinsic_wo_chain:{ *:[i64] } 1998:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv2i1] }:$Pg)  =>  (UQDECP_XP_D:{ *:[i64] } PPRAny:{ *:[nxv2i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 183752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECP_XP_D),
     /* 183755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 183757 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 183759 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183761 */     GIR_RootConstrainSelectedInstOperands,
     /* 183762 */     // GIR_Coverage, 9991,
     /* 183762 */     GIR_EraseRootFromParent_Done,
     /* 183763 */   // Label 3584: @183763
     /* 183763 */   GIM_Try, /*On fail goto*//*Label 3585*/ GIMT_Encode4(183809), // Rule ID 138 //
     /* 183768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMTE),
     /* 183771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_gmi),
     /* 183776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 183779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 183782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 183786 */     // MIs[0] Rn
     /* 183786 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 183790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 183794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 183798 */     // (intrinsic_wo_chain:{ *:[i64] } 555:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (GMI:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 183798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::GMI),
     /* 183801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 183803 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183805 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 183807 */     GIR_RootConstrainSelectedInstOperands,
     /* 183808 */     // GIR_Coverage, 138,
     /* 183808 */     GIR_EraseRootFromParent_Done,
     /* 183809 */   // Label 3585: @183809
     /* 183809 */   GIM_Try, /*On fail goto*//*Label 3586*/ GIMT_Encode4(183856), // Rule ID 139 //
     /* 183814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMTE),
     /* 183817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_subp),
     /* 183822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 183825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 183829 */     // MIs[0] Rn
     /* 183829 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 183833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 183837 */     // MIs[0] Rm
     /* 183837 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 183841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 183845 */     // (intrinsic_wo_chain:{ *:[i64] } 1228:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$Rn, GPR64sp:{ *:[i64] }:$Rm)  =>  (SUBP:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64sp:{ *:[i64] }:$Rm)
     /* 183845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBP),
     /* 183848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 183850 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183852 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 183854 */     GIR_RootConstrainSelectedInstOperands,
     /* 183855 */     // GIR_Coverage, 139,
     /* 183855 */     GIR_EraseRootFromParent_Done,
     /* 183856 */   // Label 3586: @183856
     /* 183856 */   GIM_Try, /*On fail goto*//*Label 3587*/ GIMT_Encode4(183893), // Rule ID 2399 //
     /* 183861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 183864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip1_b16),
     /* 183869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 183872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 183875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 183878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 183882 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2137:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (ZIP1_PPP_H:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 183882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_PPP_H),
     /* 183885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 183887 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 183889 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 183891 */     GIR_RootConstrainSelectedInstOperands,
     /* 183892 */     // GIR_Coverage, 2399,
     /* 183892 */     GIR_EraseRootFromParent_Done,
     /* 183893 */   // Label 3587: @183893
     /* 183893 */   GIM_Try, /*On fail goto*//*Label 3588*/ GIMT_Encode4(183930), // Rule ID 2400 //
     /* 183898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 183901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip1_b32),
     /* 183906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 183909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 183912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 183915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 183919 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2138:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (ZIP1_PPP_S:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 183919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_PPP_S),
     /* 183922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 183924 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 183926 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 183928 */     GIR_RootConstrainSelectedInstOperands,
     /* 183929 */     // GIR_Coverage, 2400,
     /* 183929 */     GIR_EraseRootFromParent_Done,
     /* 183930 */   // Label 3588: @183930
     /* 183930 */   GIM_Try, /*On fail goto*//*Label 3589*/ GIMT_Encode4(183967), // Rule ID 2401 //
     /* 183935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 183938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip1_b64),
     /* 183943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 183946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 183949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 183952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 183956 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2139:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (ZIP1_PPP_D:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 183956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_PPP_D),
     /* 183959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 183961 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 183963 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 183965 */     GIR_RootConstrainSelectedInstOperands,
     /* 183966 */     // GIR_Coverage, 2401,
     /* 183966 */     GIR_EraseRootFromParent_Done,
     /* 183967 */   // Label 3589: @183967
     /* 183967 */   GIM_Try, /*On fail goto*//*Label 3590*/ GIMT_Encode4(184004), // Rule ID 2403 //
     /* 183972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 183975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip2_b16),
     /* 183980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 183983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 183986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 183989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 183993 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2142:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (ZIP2_PPP_H:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 183993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_PPP_H),
     /* 183996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 183998 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 184000 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 184002 */     GIR_RootConstrainSelectedInstOperands,
     /* 184003 */     // GIR_Coverage, 2403,
     /* 184003 */     GIR_EraseRootFromParent_Done,
     /* 184004 */   // Label 3590: @184004
     /* 184004 */   GIM_Try, /*On fail goto*//*Label 3591*/ GIMT_Encode4(184041), // Rule ID 2404 //
     /* 184009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip2_b32),
     /* 184017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 184020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 184023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 184026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184030 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2143:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (ZIP2_PPP_S:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 184030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_PPP_S),
     /* 184033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 184035 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 184037 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 184039 */     GIR_RootConstrainSelectedInstOperands,
     /* 184040 */     // GIR_Coverage, 2404,
     /* 184040 */     GIR_EraseRootFromParent_Done,
     /* 184041 */   // Label 3591: @184041
     /* 184041 */   GIM_Try, /*On fail goto*//*Label 3592*/ GIMT_Encode4(184078), // Rule ID 2405 //
     /* 184046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip2_b64),
     /* 184054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 184057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 184060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 184063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184067 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2144:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (ZIP2_PPP_D:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 184067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_PPP_D),
     /* 184070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 184072 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 184074 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 184076 */     GIR_RootConstrainSelectedInstOperands,
     /* 184077 */     // GIR_Coverage, 2405,
     /* 184077 */     GIR_EraseRootFromParent_Done,
     /* 184078 */   // Label 3592: @184078
     /* 184078 */   GIM_Try, /*On fail goto*//*Label 3593*/ GIMT_Encode4(184115), // Rule ID 2407 //
     /* 184083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp1_b16),
     /* 184091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 184094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 184097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 184100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184104 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2063:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (UZP1_PPP_H:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 184104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1_PPP_H),
     /* 184107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 184109 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 184111 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 184113 */     GIR_RootConstrainSelectedInstOperands,
     /* 184114 */     // GIR_Coverage, 2407,
     /* 184114 */     GIR_EraseRootFromParent_Done,
     /* 184115 */   // Label 3593: @184115
     /* 184115 */   GIM_Try, /*On fail goto*//*Label 3594*/ GIMT_Encode4(184152), // Rule ID 2408 //
     /* 184120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp1_b32),
     /* 184128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 184131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 184134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 184137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184141 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2064:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (UZP1_PPP_S:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 184141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1_PPP_S),
     /* 184144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 184146 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 184148 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 184150 */     GIR_RootConstrainSelectedInstOperands,
     /* 184151 */     // GIR_Coverage, 2408,
     /* 184151 */     GIR_EraseRootFromParent_Done,
     /* 184152 */   // Label 3594: @184152
     /* 184152 */   GIM_Try, /*On fail goto*//*Label 3595*/ GIMT_Encode4(184189), // Rule ID 2409 //
     /* 184157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp1_b64),
     /* 184165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 184168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 184171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 184174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184178 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2065:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (UZP1_PPP_D:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 184178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1_PPP_D),
     /* 184181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 184183 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 184185 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 184187 */     GIR_RootConstrainSelectedInstOperands,
     /* 184188 */     // GIR_Coverage, 2409,
     /* 184188 */     GIR_EraseRootFromParent_Done,
     /* 184189 */   // Label 3595: @184189
     /* 184189 */   GIM_Try, /*On fail goto*//*Label 3596*/ GIMT_Encode4(184226), // Rule ID 2411 //
     /* 184194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp2_b16),
     /* 184202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 184205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 184208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 184211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184215 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2068:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (UZP2_PPP_H:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 184215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2_PPP_H),
     /* 184218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 184220 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 184222 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 184224 */     GIR_RootConstrainSelectedInstOperands,
     /* 184225 */     // GIR_Coverage, 2411,
     /* 184225 */     GIR_EraseRootFromParent_Done,
     /* 184226 */   // Label 3596: @184226
     /* 184226 */   GIM_Try, /*On fail goto*//*Label 3597*/ GIMT_Encode4(184263), // Rule ID 2412 //
     /* 184231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp2_b32),
     /* 184239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 184242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 184245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 184248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184252 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2069:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (UZP2_PPP_S:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 184252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2_PPP_S),
     /* 184255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 184257 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 184259 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 184261 */     GIR_RootConstrainSelectedInstOperands,
     /* 184262 */     // GIR_Coverage, 2412,
     /* 184262 */     GIR_EraseRootFromParent_Done,
     /* 184263 */   // Label 3597: @184263
     /* 184263 */   GIM_Try, /*On fail goto*//*Label 3598*/ GIMT_Encode4(184300), // Rule ID 2413 //
     /* 184268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp2_b64),
     /* 184276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 184279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 184282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 184285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184289 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2070:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (UZP2_PPP_D:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 184289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2_PPP_D),
     /* 184292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 184294 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 184296 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 184298 */     GIR_RootConstrainSelectedInstOperands,
     /* 184299 */     // GIR_Coverage, 2413,
     /* 184299 */     GIR_EraseRootFromParent_Done,
     /* 184300 */   // Label 3598: @184300
     /* 184300 */   GIM_Try, /*On fail goto*//*Label 3599*/ GIMT_Encode4(184337), // Rule ID 2415 //
     /* 184305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn1_b16),
     /* 184313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 184316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 184319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 184322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184326 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1907:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (TRN1_PPP_H:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 184326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN1_PPP_H),
     /* 184329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 184331 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 184333 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 184335 */     GIR_RootConstrainSelectedInstOperands,
     /* 184336 */     // GIR_Coverage, 2415,
     /* 184336 */     GIR_EraseRootFromParent_Done,
     /* 184337 */   // Label 3599: @184337
     /* 184337 */   GIM_Try, /*On fail goto*//*Label 3600*/ GIMT_Encode4(184374), // Rule ID 2416 //
     /* 184342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn1_b32),
     /* 184350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 184353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 184356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 184359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184363 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1908:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (TRN1_PPP_S:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 184363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN1_PPP_S),
     /* 184366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 184368 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 184370 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 184372 */     GIR_RootConstrainSelectedInstOperands,
     /* 184373 */     // GIR_Coverage, 2416,
     /* 184373 */     GIR_EraseRootFromParent_Done,
     /* 184374 */   // Label 3600: @184374
     /* 184374 */   GIM_Try, /*On fail goto*//*Label 3601*/ GIMT_Encode4(184411), // Rule ID 2417 //
     /* 184379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn1_b64),
     /* 184387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 184390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 184393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 184396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184400 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1909:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (TRN1_PPP_D:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 184400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN1_PPP_D),
     /* 184403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 184405 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 184407 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 184409 */     GIR_RootConstrainSelectedInstOperands,
     /* 184410 */     // GIR_Coverage, 2417,
     /* 184410 */     GIR_EraseRootFromParent_Done,
     /* 184411 */   // Label 3601: @184411
     /* 184411 */   GIM_Try, /*On fail goto*//*Label 3602*/ GIMT_Encode4(184448), // Rule ID 2419 //
     /* 184416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn2_b16),
     /* 184424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 184427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 184430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 184433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184437 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1912:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (TRN2_PPP_H:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 184437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN2_PPP_H),
     /* 184440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 184442 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 184444 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 184446 */     GIR_RootConstrainSelectedInstOperands,
     /* 184447 */     // GIR_Coverage, 2419,
     /* 184447 */     GIR_EraseRootFromParent_Done,
     /* 184448 */   // Label 3602: @184448
     /* 184448 */   GIM_Try, /*On fail goto*//*Label 3603*/ GIMT_Encode4(184485), // Rule ID 2420 //
     /* 184453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn2_b32),
     /* 184461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 184464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 184467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 184470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184474 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1913:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (TRN2_PPP_S:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 184474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN2_PPP_S),
     /* 184477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 184479 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 184481 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 184483 */     GIR_RootConstrainSelectedInstOperands,
     /* 184484 */     // GIR_Coverage, 2420,
     /* 184484 */     GIR_EraseRootFromParent_Done,
     /* 184485 */   // Label 3603: @184485
     /* 184485 */   GIM_Try, /*On fail goto*//*Label 3604*/ GIMT_Encode4(184522), // Rule ID 2421 //
     /* 184490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn2_b64),
     /* 184498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 184501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 184504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 184507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184511 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1914:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (TRN2_PPP_D:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 184511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN2_PPP_D),
     /* 184514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 184516 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 184518 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 184520 */     GIR_RootConstrainSelectedInstOperands,
     /* 184521 */     // GIR_Coverage, 2421,
     /* 184521 */     GIR_EraseRootFromParent_Done,
     /* 184522 */   // Label 3604: @184522
     /* 184522 */   GIM_Try, /*On fail goto*//*Label 3605*/ GIMT_Encode4(184559), // Rule ID 2422 //
     /* 184527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2),
     /* 184530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_histseg),
     /* 184535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 184538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 184541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 184544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 184548 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1532:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (HISTSEG_ZZZ:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)
     /* 184548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::HISTSEG_ZZZ),
     /* 184551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 184553 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 184555 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 184557 */     GIR_RootConstrainSelectedInstOperands,
     /* 184558 */     // GIR_Coverage, 2422,
     /* 184558 */     GIR_EraseRootFromParent_Done,
     /* 184559 */   // Label 3605: @184559
     /* 184559 */   GIM_Try, /*On fail goto*//*Label 3606*/ GIMT_Encode4(184599), // Rule ID 2621 //
     /* 184564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pfirst),
     /* 184572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 184575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 184578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 184581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184585 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1611:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2)  =>  (PFIRST_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /* 184585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PFIRST_B),
     /* 184588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pdn]
     /* 184590 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 184592 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 184594 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 184597 */     GIR_RootConstrainSelectedInstOperands,
     /* 184598 */     // GIR_Coverage, 2621,
     /* 184598 */     GIR_EraseRootFromParent_Done,
     /* 184599 */   // Label 3606: @184599
     /* 184599 */   GIM_Try, /*On fail goto*//*Label 3607*/ GIMT_Encode4(184639), // Rule ID 2622 //
     /* 184604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pnext),
     /* 184612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 184615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 184618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 184621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184625 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1619:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2)  =>  (PNEXT_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /* 184625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PNEXT_B),
     /* 184628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pdn]
     /* 184630 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 184632 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 184634 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 184637 */     GIR_RootConstrainSelectedInstOperands,
     /* 184638 */     // GIR_Coverage, 2622,
     /* 184638 */     GIR_EraseRootFromParent_Done,
     /* 184639 */   // Label 3607: @184639
     /* 184639 */   GIM_Try, /*On fail goto*//*Label 3608*/ GIMT_Encode4(184679), // Rule ID 2623 //
     /* 184644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pnext),
     /* 184652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 184655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 184658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 184661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184665 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1619:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (PNEXT_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 184665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PNEXT_H),
     /* 184668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pdn]
     /* 184670 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 184672 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 184674 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 184677 */     GIR_RootConstrainSelectedInstOperands,
     /* 184678 */     // GIR_Coverage, 2623,
     /* 184678 */     GIR_EraseRootFromParent_Done,
     /* 184679 */   // Label 3608: @184679
     /* 184679 */   GIM_Try, /*On fail goto*//*Label 3609*/ GIMT_Encode4(184719), // Rule ID 2624 //
     /* 184684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pnext),
     /* 184692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 184695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 184698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 184701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184705 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1619:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (PNEXT_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 184705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PNEXT_S),
     /* 184708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pdn]
     /* 184710 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 184712 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 184714 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 184717 */     GIR_RootConstrainSelectedInstOperands,
     /* 184718 */     // GIR_Coverage, 2624,
     /* 184718 */     GIR_EraseRootFromParent_Done,
     /* 184719 */   // Label 3609: @184719
     /* 184719 */   GIM_Try, /*On fail goto*//*Label 3610*/ GIMT_Encode4(184759), // Rule ID 2625 //
     /* 184724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pnext),
     /* 184732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 184735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 184738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 184741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184745 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1619:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (PNEXT_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 184745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PNEXT_D),
     /* 184748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pdn]
     /* 184750 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 184752 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 184754 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 184757 */     GIR_RootConstrainSelectedInstOperands,
     /* 184758 */     // GIR_Coverage, 2625,
     /* 184758 */     GIR_EraseRootFromParent_Done,
     /* 184759 */   // Label 3610: @184759
     /* 184759 */   GIM_Try, /*On fail goto*//*Label 3611*/ GIMT_Encode4(184796), // Rule ID 2642 //
     /* 184764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincp),
     /* 184772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 184775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 184778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 184781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 184785 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1799:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (SQINCP_ZP_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 184785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCP_ZP_H),
     /* 184788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 184790 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 184792 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 184794 */     GIR_RootConstrainSelectedInstOperands,
     /* 184795 */     // GIR_Coverage, 2642,
     /* 184795 */     GIR_EraseRootFromParent_Done,
     /* 184796 */   // Label 3611: @184796
     /* 184796 */   GIM_Try, /*On fail goto*//*Label 3612*/ GIMT_Encode4(184833), // Rule ID 2643 //
     /* 184801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincp),
     /* 184809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 184812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 184815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 184818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 184822 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1799:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (SQINCP_ZP_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 184822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCP_ZP_S),
     /* 184825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 184827 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 184829 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 184831 */     GIR_RootConstrainSelectedInstOperands,
     /* 184832 */     // GIR_Coverage, 2643,
     /* 184832 */     GIR_EraseRootFromParent_Done,
     /* 184833 */   // Label 3612: @184833
     /* 184833 */   GIM_Try, /*On fail goto*//*Label 3613*/ GIMT_Encode4(184870), // Rule ID 2644 //
     /* 184838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincp),
     /* 184846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 184849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 184852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 184855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 184859 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1799:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (SQINCP_ZP_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 184859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCP_ZP_D),
     /* 184862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 184864 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 184866 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 184868 */     GIR_RootConstrainSelectedInstOperands,
     /* 184869 */     // GIR_Coverage, 2644,
     /* 184869 */     GIR_EraseRootFromParent_Done,
     /* 184870 */   // Label 3613: @184870
     /* 184870 */   GIM_Try, /*On fail goto*//*Label 3614*/ GIMT_Encode4(184907), // Rule ID 2645 //
     /* 184875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /* 184883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 184886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 184889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 184892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184896 */     // (intrinsic_wo_chain:{ *:[i64] } 1321:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2)  =>  (CNTP_XPP_B:{ *:[i64] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /* 184896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNTP_XPP_B),
     /* 184899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 184901 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 184903 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 184905 */     GIR_RootConstrainSelectedInstOperands,
     /* 184906 */     // GIR_Coverage, 2645,
     /* 184906 */     GIR_EraseRootFromParent_Done,
     /* 184907 */   // Label 3614: @184907
     /* 184907 */   GIM_Try, /*On fail goto*//*Label 3615*/ GIMT_Encode4(184944), // Rule ID 2646 //
     /* 184912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /* 184920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 184923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 184926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 184929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184933 */     // (intrinsic_wo_chain:{ *:[i64] } 1321:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (CNTP_XPP_H:{ *:[i64] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 184933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNTP_XPP_H),
     /* 184936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 184938 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 184940 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 184942 */     GIR_RootConstrainSelectedInstOperands,
     /* 184943 */     // GIR_Coverage, 2646,
     /* 184943 */     GIR_EraseRootFromParent_Done,
     /* 184944 */   // Label 3615: @184944
     /* 184944 */   GIM_Try, /*On fail goto*//*Label 3616*/ GIMT_Encode4(184981), // Rule ID 2647 //
     /* 184949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /* 184957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 184960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 184963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 184966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184970 */     // (intrinsic_wo_chain:{ *:[i64] } 1321:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (CNTP_XPP_S:{ *:[i64] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 184970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNTP_XPP_S),
     /* 184973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 184975 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 184977 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 184979 */     GIR_RootConstrainSelectedInstOperands,
     /* 184980 */     // GIR_Coverage, 2647,
     /* 184980 */     GIR_EraseRootFromParent_Done,
     /* 184981 */   // Label 3616: @184981
     /* 184981 */   GIM_Try, /*On fail goto*//*Label 3617*/ GIMT_Encode4(185018), // Rule ID 2648 //
     /* 184986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /* 184994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 184997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 185000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 185003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 185007 */     // (intrinsic_wo_chain:{ *:[i64] } 1321:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (CNTP_XPP_D:{ *:[i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 185007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNTP_XPP_D),
     /* 185010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 185012 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185014 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185016 */     GIR_RootConstrainSelectedInstOperands,
     /* 185017 */     // GIR_Coverage, 2648,
     /* 185017 */     GIR_EraseRootFromParent_Done,
     /* 185018 */   // Label 3617: @185018
     /* 185018 */   GIM_Try, /*On fail goto*//*Label 3618*/ GIMT_Encode4(185055), // Rule ID 2826 //
     /* 185023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 185026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ftsmul_x),
     /* 185031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 185034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 185037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 185040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185044 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1529:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (FTSMUL_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 185044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FTSMUL_ZZZ_H),
     /* 185047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185049 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185051 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185053 */     GIR_RootConstrainSelectedInstOperands,
     /* 185054 */     // GIR_Coverage, 2826,
     /* 185054 */     GIR_EraseRootFromParent_Done,
     /* 185055 */   // Label 3618: @185055
     /* 185055 */   GIM_Try, /*On fail goto*//*Label 3619*/ GIMT_Encode4(185092), // Rule ID 2827 //
     /* 185060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 185063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ftsmul_x),
     /* 185068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 185071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 185074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 185077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185081 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1529:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (FTSMUL_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 185081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FTSMUL_ZZZ_S),
     /* 185084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185086 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185088 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185090 */     GIR_RootConstrainSelectedInstOperands,
     /* 185091 */     // GIR_Coverage, 2827,
     /* 185091 */     GIR_EraseRootFromParent_Done,
     /* 185092 */   // Label 3619: @185092
     /* 185092 */   GIM_Try, /*On fail goto*//*Label 3620*/ GIMT_Encode4(185129), // Rule ID 2828 //
     /* 185097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 185100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ftsmul_x),
     /* 185105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 185108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 185111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 185114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185118 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1529:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (FTSMUL_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 185118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FTSMUL_ZZZ_D),
     /* 185121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185123 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185125 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185127 */     GIR_RootConstrainSelectedInstOperands,
     /* 185128 */     // GIR_Coverage, 2828,
     /* 185128 */     GIR_EraseRootFromParent_Done,
     /* 185129 */   // Label 3620: @185129
     /* 185129 */   GIM_Try, /*On fail goto*//*Label 3621*/ GIMT_Encode4(185166), // Rule ID 2999 //
     /* 185134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmulh),
     /* 185142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 185145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 185148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 185151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185155 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1781:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SQDMULH_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 185155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULH_ZZZ_B),
     /* 185158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185160 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185162 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185164 */     GIR_RootConstrainSelectedInstOperands,
     /* 185165 */     // GIR_Coverage, 2999,
     /* 185165 */     GIR_EraseRootFromParent_Done,
     /* 185166 */   // Label 3621: @185166
     /* 185166 */   GIM_Try, /*On fail goto*//*Label 3622*/ GIMT_Encode4(185203), // Rule ID 3000 //
     /* 185171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmulh),
     /* 185179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 185182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 185185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 185188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185192 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1781:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SQDMULH_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 185192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULH_ZZZ_H),
     /* 185195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185197 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185199 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185201 */     GIR_RootConstrainSelectedInstOperands,
     /* 185202 */     // GIR_Coverage, 3000,
     /* 185202 */     GIR_EraseRootFromParent_Done,
     /* 185203 */   // Label 3622: @185203
     /* 185203 */   GIM_Try, /*On fail goto*//*Label 3623*/ GIMT_Encode4(185240), // Rule ID 3001 //
     /* 185208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmulh),
     /* 185216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 185219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 185222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 185225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185229 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1781:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SQDMULH_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 185229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULH_ZZZ_S),
     /* 185232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185234 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185236 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185238 */     GIR_RootConstrainSelectedInstOperands,
     /* 185239 */     // GIR_Coverage, 3001,
     /* 185239 */     GIR_EraseRootFromParent_Done,
     /* 185240 */   // Label 3623: @185240
     /* 185240 */   GIM_Try, /*On fail goto*//*Label 3624*/ GIMT_Encode4(185277), // Rule ID 3002 //
     /* 185245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmulh),
     /* 185253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 185256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 185259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 185262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185266 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1781:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SQDMULH_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 185266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULH_ZZZ_D),
     /* 185269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185271 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185273 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185275 */     GIR_RootConstrainSelectedInstOperands,
     /* 185276 */     // GIR_Coverage, 3002,
     /* 185276 */     GIR_EraseRootFromParent_Done,
     /* 185277 */   // Label 3624: @185277
     /* 185277 */   GIM_Try, /*On fail goto*//*Label 3625*/ GIMT_Encode4(185314), // Rule ID 3003 //
     /* 185282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmul),
     /* 185290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 185293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 185296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 185299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185303 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1616:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (PMUL_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 185303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMUL_ZZZ_B),
     /* 185306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185308 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185310 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185312 */     GIR_RootConstrainSelectedInstOperands,
     /* 185313 */     // GIR_Coverage, 3003,
     /* 185313 */     GIR_EraseRootFromParent_Done,
     /* 185314 */   // Label 3625: @185314
     /* 185314 */   GIM_Try, /*On fail goto*//*Label 3626*/ GIMT_Encode4(185351), // Rule ID 3025 //
     /* 185319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saddlb),
     /* 185327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 185330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 185333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 185336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185340 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1674:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SADDLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 185340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLB_ZZZ_H),
     /* 185343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185345 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185347 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185349 */     GIR_RootConstrainSelectedInstOperands,
     /* 185350 */     // GIR_Coverage, 3025,
     /* 185350 */     GIR_EraseRootFromParent_Done,
     /* 185351 */   // Label 3626: @185351
     /* 185351 */   GIM_Try, /*On fail goto*//*Label 3627*/ GIMT_Encode4(185388), // Rule ID 3026 //
     /* 185356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saddlb),
     /* 185364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 185367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 185370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 185373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185377 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1674:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SADDLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 185377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLB_ZZZ_S),
     /* 185380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185382 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185384 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185386 */     GIR_RootConstrainSelectedInstOperands,
     /* 185387 */     // GIR_Coverage, 3026,
     /* 185387 */     GIR_EraseRootFromParent_Done,
     /* 185388 */   // Label 3627: @185388
     /* 185388 */   GIM_Try, /*On fail goto*//*Label 3628*/ GIMT_Encode4(185425), // Rule ID 3027 //
     /* 185393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saddlb),
     /* 185401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 185404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 185407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 185410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185414 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1674:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SADDLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 185414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLB_ZZZ_D),
     /* 185417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185419 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185421 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185423 */     GIR_RootConstrainSelectedInstOperands,
     /* 185424 */     // GIR_Coverage, 3027,
     /* 185424 */     GIR_EraseRootFromParent_Done,
     /* 185425 */   // Label 3628: @185425
     /* 185425 */   GIM_Try, /*On fail goto*//*Label 3629*/ GIMT_Encode4(185462), // Rule ID 3031 //
     /* 185430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_AES_HasSVEAES),
     /* 185433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmullb_pair),
     /* 185438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 185441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 185444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 185447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185451 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1617:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (PMULLB_ZZZ_Q:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 185451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMULLB_ZZZ_Q),
     /* 185454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185456 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185458 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185460 */     GIR_RootConstrainSelectedInstOperands,
     /* 185461 */     // GIR_Coverage, 3031,
     /* 185461 */     GIR_EraseRootFromParent_Done,
     /* 185462 */   // Label 3629: @185462
     /* 185462 */   GIM_Try, /*On fail goto*//*Label 3630*/ GIMT_Encode4(185499), // Rule ID 3032 //
     /* 185467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmullb_pair),
     /* 185475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 185478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 185481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 185484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185488 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1617:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (PMULLB_ZZZ_H:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 185488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMULLB_ZZZ_H),
     /* 185491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185493 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185495 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185497 */     GIR_RootConstrainSelectedInstOperands,
     /* 185498 */     // GIR_Coverage, 3032,
     /* 185498 */     GIR_EraseRootFromParent_Done,
     /* 185499 */   // Label 3630: @185499
     /* 185499 */   GIM_Try, /*On fail goto*//*Label 3631*/ GIMT_Encode4(185536), // Rule ID 3033 //
     /* 185504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmullb_pair),
     /* 185512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 185515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 185518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 185521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185525 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1617:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (PMULLB_ZZZ_D:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 185525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMULLB_ZZZ_D),
     /* 185528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185530 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185532 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185534 */     GIR_RootConstrainSelectedInstOperands,
     /* 185535 */     // GIR_Coverage, 3033,
     /* 185535 */     GIR_EraseRootFromParent_Done,
     /* 185536 */   // Label 3631: @185536
     /* 185536 */   GIM_Try, /*On fail goto*//*Label 3632*/ GIMT_Encode4(185573), // Rule ID 3034 //
     /* 185541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 185544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bext_x),
     /* 185549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 185552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 185555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 185558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185562 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1259:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (BEXT_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 185562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BEXT_ZZZ_B),
     /* 185565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185567 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185569 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185571 */     GIR_RootConstrainSelectedInstOperands,
     /* 185572 */     // GIR_Coverage, 3034,
     /* 185572 */     GIR_EraseRootFromParent_Done,
     /* 185573 */   // Label 3632: @185573
     /* 185573 */   GIM_Try, /*On fail goto*//*Label 3633*/ GIMT_Encode4(185610), // Rule ID 3035 //
     /* 185578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 185581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bext_x),
     /* 185586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 185589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 185592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 185595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185599 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1259:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (BEXT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 185599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BEXT_ZZZ_H),
     /* 185602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185604 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185606 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185608 */     GIR_RootConstrainSelectedInstOperands,
     /* 185609 */     // GIR_Coverage, 3035,
     /* 185609 */     GIR_EraseRootFromParent_Done,
     /* 185610 */   // Label 3633: @185610
     /* 185610 */   GIM_Try, /*On fail goto*//*Label 3634*/ GIMT_Encode4(185647), // Rule ID 3036 //
     /* 185615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 185618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bext_x),
     /* 185623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 185626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 185629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 185632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185636 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1259:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (BEXT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 185636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BEXT_ZZZ_S),
     /* 185639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185641 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185643 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185645 */     GIR_RootConstrainSelectedInstOperands,
     /* 185646 */     // GIR_Coverage, 3036,
     /* 185646 */     GIR_EraseRootFromParent_Done,
     /* 185647 */   // Label 3634: @185647
     /* 185647 */   GIM_Try, /*On fail goto*//*Label 3635*/ GIMT_Encode4(185684), // Rule ID 3037 //
     /* 185652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 185655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bext_x),
     /* 185660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 185663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 185666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 185669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185673 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1259:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (BEXT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 185673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BEXT_ZZZ_D),
     /* 185676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185678 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185680 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185682 */     GIR_RootConstrainSelectedInstOperands,
     /* 185683 */     // GIR_Coverage, 3037,
     /* 185683 */     GIR_EraseRootFromParent_Done,
     /* 185684 */   // Label 3635: @185684
     /* 185684 */   GIM_Try, /*On fail goto*//*Label 3636*/ GIMT_Encode4(185721), // Rule ID 3038 //
     /* 185689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saddlbt),
     /* 185697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 185700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 185703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 185706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185710 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1675:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SADDLBT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 185710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLBT_ZZZ_H),
     /* 185713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185715 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185717 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185719 */     GIR_RootConstrainSelectedInstOperands,
     /* 185720 */     // GIR_Coverage, 3038,
     /* 185720 */     GIR_EraseRootFromParent_Done,
     /* 185721 */   // Label 3636: @185721
     /* 185721 */   GIM_Try, /*On fail goto*//*Label 3637*/ GIMT_Encode4(185758), // Rule ID 3039 //
     /* 185726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saddlbt),
     /* 185734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 185737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 185740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 185743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185747 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1675:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SADDLBT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 185747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLBT_ZZZ_S),
     /* 185750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185752 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185754 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185756 */     GIR_RootConstrainSelectedInstOperands,
     /* 185757 */     // GIR_Coverage, 3039,
     /* 185757 */     GIR_EraseRootFromParent_Done,
     /* 185758 */   // Label 3637: @185758
     /* 185758 */   GIM_Try, /*On fail goto*//*Label 3638*/ GIMT_Encode4(185795), // Rule ID 3040 //
     /* 185763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saddlbt),
     /* 185771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 185774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 185777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 185780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185784 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1675:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SADDLBT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 185784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLBT_ZZZ_D),
     /* 185787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185789 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185791 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185793 */     GIR_RootConstrainSelectedInstOperands,
     /* 185794 */     // GIR_Coverage, 3040,
     /* 185794 */     GIR_EraseRootFromParent_Done,
     /* 185795 */   // Label 3638: @185795
     /* 185795 */   GIM_Try, /*On fail goto*//*Label 3639*/ GIMT_Encode4(185832), // Rule ID 3087 //
     /* 185800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addhnb),
     /* 185808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 185811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 185814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 185817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185821 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1236:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ADDHNB_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 185821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNB_ZZZ_B),
     /* 185824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185826 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185828 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185830 */     GIR_RootConstrainSelectedInstOperands,
     /* 185831 */     // GIR_Coverage, 3087,
     /* 185831 */     GIR_EraseRootFromParent_Done,
     /* 185832 */   // Label 3639: @185832
     /* 185832 */   GIM_Try, /*On fail goto*//*Label 3640*/ GIMT_Encode4(185869), // Rule ID 3088 //
     /* 185837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addhnb),
     /* 185845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 185848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 185851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 185854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185858 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1236:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ADDHNB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 185858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNB_ZZZ_H),
     /* 185861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185863 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185865 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185867 */     GIR_RootConstrainSelectedInstOperands,
     /* 185868 */     // GIR_Coverage, 3088,
     /* 185868 */     GIR_EraseRootFromParent_Done,
     /* 185869 */   // Label 3640: @185869
     /* 185869 */   GIM_Try, /*On fail goto*//*Label 3641*/ GIMT_Encode4(185906), // Rule ID 3089 //
     /* 185874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addhnb),
     /* 185882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 185885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 185888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 185891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185895 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1236:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ADDHNB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 185895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNB_ZZZ_S),
     /* 185898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185900 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185902 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185904 */     GIR_RootConstrainSelectedInstOperands,
     /* 185905 */     // GIR_Coverage, 3089,
     /* 185905 */     GIR_EraseRootFromParent_Done,
     /* 185906 */   // Label 3641: @185906
     /* 185906 */   GIM_Try, /*On fail goto*//*Label 3642*/ GIMT_Encode4(185943), // Rule ID 3096 //
     /* 185911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtnt),
     /* 185919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 185922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 185925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 185928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185932 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1838:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SQXTNT_ZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 185932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTNT_ZZ_B),
     /* 185935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185937 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185939 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185941 */     GIR_RootConstrainSelectedInstOperands,
     /* 185942 */     // GIR_Coverage, 3096,
     /* 185942 */     GIR_EraseRootFromParent_Done,
     /* 185943 */   // Label 3642: @185943
     /* 185943 */   GIM_Try, /*On fail goto*//*Label 3643*/ GIMT_Encode4(185980), // Rule ID 3097 //
     /* 185948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtnt),
     /* 185956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 185959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 185962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 185965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185969 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1838:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SQXTNT_ZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 185969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTNT_ZZ_H),
     /* 185972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185974 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185976 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185978 */     GIR_RootConstrainSelectedInstOperands,
     /* 185979 */     // GIR_Coverage, 3097,
     /* 185979 */     GIR_EraseRootFromParent_Done,
     /* 185980 */   // Label 3643: @185980
     /* 185980 */   GIM_Try, /*On fail goto*//*Label 3644*/ GIMT_Encode4(186017), // Rule ID 3098 //
     /* 185985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtnt),
     /* 185993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 185996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 185999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 186002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186006 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1838:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SQXTNT_ZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 186006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTNT_ZZ_S),
     /* 186009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186011 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186013 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186015 */     GIR_RootConstrainSelectedInstOperands,
     /* 186016 */     // GIR_Coverage, 3098,
     /* 186016 */     GIR_EraseRootFromParent_Done,
     /* 186017 */   // Label 3644: @186017
     /* 186017 */   GIM_Try, /*On fail goto*//*Label 3645*/ GIMT_Encode4(186057), // Rule ID 3202 //
     /* 186022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 186025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelt),
     /* 186030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 186033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 186036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 186039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 186043 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2118:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELT_PWW_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 186043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELT_PWW_B),
     /* 186046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 186048 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186050 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186052 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 186055 */     GIR_RootConstrainSelectedInstOperands,
     /* 186056 */     // GIR_Coverage, 3202,
     /* 186056 */     GIR_EraseRootFromParent_Done,
     /* 186057 */   // Label 3645: @186057
     /* 186057 */   GIM_Try, /*On fail goto*//*Label 3646*/ GIMT_Encode4(186097), // Rule ID 3203 //
     /* 186062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 186065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelt),
     /* 186070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 186073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 186076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 186079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 186083 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2118:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELT_PWW_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 186083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELT_PWW_H),
     /* 186086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 186088 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186090 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186092 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 186095 */     GIR_RootConstrainSelectedInstOperands,
     /* 186096 */     // GIR_Coverage, 3203,
     /* 186096 */     GIR_EraseRootFromParent_Done,
     /* 186097 */   // Label 3646: @186097
     /* 186097 */   GIM_Try, /*On fail goto*//*Label 3647*/ GIMT_Encode4(186137), // Rule ID 3204 //
     /* 186102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 186105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelt),
     /* 186110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 186113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 186116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 186119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 186123 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2118:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELT_PWW_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 186123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELT_PWW_S),
     /* 186126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 186128 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186130 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186132 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 186135 */     GIR_RootConstrainSelectedInstOperands,
     /* 186136 */     // GIR_Coverage, 3204,
     /* 186136 */     GIR_EraseRootFromParent_Done,
     /* 186137 */   // Label 3647: @186137
     /* 186137 */   GIM_Try, /*On fail goto*//*Label 3648*/ GIMT_Encode4(186177), // Rule ID 3205 //
     /* 186142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 186145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelt),
     /* 186150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 186153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 186156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 186159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 186163 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2118:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELT_PWW_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 186163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELT_PWW_D),
     /* 186166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 186168 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186170 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186172 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 186175 */     GIR_RootConstrainSelectedInstOperands,
     /* 186176 */     // GIR_Coverage, 3205,
     /* 186176 */     GIR_EraseRootFromParent_Done,
     /* 186177 */   // Label 3648: @186177
     /* 186177 */   GIM_Try, /*On fail goto*//*Label 3649*/ GIMT_Encode4(186217), // Rule ID 3210 //
     /* 186182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 186185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelt),
     /* 186190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 186193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 186196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 186199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 186203 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2118:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELT_PXX_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 186203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELT_PXX_B),
     /* 186206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 186208 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186210 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186212 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 186215 */     GIR_RootConstrainSelectedInstOperands,
     /* 186216 */     // GIR_Coverage, 3210,
     /* 186216 */     GIR_EraseRootFromParent_Done,
     /* 186217 */   // Label 3649: @186217
     /* 186217 */   GIM_Try, /*On fail goto*//*Label 3650*/ GIMT_Encode4(186257), // Rule ID 3211 //
     /* 186222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 186225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelt),
     /* 186230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 186233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 186236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 186239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 186243 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2118:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELT_PXX_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 186243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELT_PXX_H),
     /* 186246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 186248 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186250 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186252 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 186255 */     GIR_RootConstrainSelectedInstOperands,
     /* 186256 */     // GIR_Coverage, 3211,
     /* 186256 */     GIR_EraseRootFromParent_Done,
     /* 186257 */   // Label 3650: @186257
     /* 186257 */   GIM_Try, /*On fail goto*//*Label 3651*/ GIMT_Encode4(186297), // Rule ID 3212 //
     /* 186262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 186265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelt),
     /* 186270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 186273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 186276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 186279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 186283 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2118:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELT_PXX_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 186283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELT_PXX_S),
     /* 186286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 186288 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186290 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186292 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 186295 */     GIR_RootConstrainSelectedInstOperands,
     /* 186296 */     // GIR_Coverage, 3212,
     /* 186296 */     GIR_EraseRootFromParent_Done,
     /* 186297 */   // Label 3651: @186297
     /* 186297 */   GIM_Try, /*On fail goto*//*Label 3652*/ GIMT_Encode4(186337), // Rule ID 3213 //
     /* 186302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 186305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelt),
     /* 186310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 186313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 186316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 186319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 186323 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2118:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELT_PXX_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 186323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELT_PXX_D),
     /* 186326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 186328 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186330 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186332 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 186335 */     GIR_RootConstrainSelectedInstOperands,
     /* 186336 */     // GIR_Coverage, 3213,
     /* 186336 */     GIR_EraseRootFromParent_Done,
     /* 186337 */   // Label 3652: @186337
     /* 186337 */   GIM_Try, /*On fail goto*//*Label 3653*/ GIMT_Encode4(186374), // Rule ID 3402 //
     /* 186342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE_or_SME2p2),
     /* 186345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_compact),
     /* 186350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 186353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 186356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 186359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186363 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1327:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (COMPACT_ZPZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 186363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::COMPACT_ZPZ_S),
     /* 186366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186368 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186370 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186372 */     GIR_RootConstrainSelectedInstOperands,
     /* 186373 */     // GIR_Coverage, 3402,
     /* 186373 */     GIR_EraseRootFromParent_Done,
     /* 186374 */   // Label 3653: @186374
     /* 186374 */   GIM_Try, /*On fail goto*//*Label 3654*/ GIMT_Encode4(186411), // Rule ID 3403 //
     /* 186379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE_or_SME2p2),
     /* 186382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_compact),
     /* 186387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 186390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 186393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 186396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186400 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1327:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (COMPACT_ZPZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 186400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::COMPACT_ZPZ_S),
     /* 186403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186405 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186407 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186409 */     GIR_RootConstrainSelectedInstOperands,
     /* 186410 */     // GIR_Coverage, 3403,
     /* 186410 */     GIR_EraseRootFromParent_Done,
     /* 186411 */   // Label 3654: @186411
     /* 186411 */   GIM_Try, /*On fail goto*//*Label 3655*/ GIMT_Encode4(186448), // Rule ID 3404 //
     /* 186416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE_or_SME2p2),
     /* 186419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_compact),
     /* 186424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 186427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 186430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 186433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186437 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1327:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (COMPACT_ZPZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 186437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::COMPACT_ZPZ_D),
     /* 186440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186442 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186444 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186446 */     GIR_RootConstrainSelectedInstOperands,
     /* 186447 */     // GIR_Coverage, 3404,
     /* 186447 */     GIR_EraseRootFromParent_Done,
     /* 186448 */   // Label 3655: @186448
     /* 186448 */   GIM_Try, /*On fail goto*//*Label 3656*/ GIMT_Encode4(186485), // Rule ID 3405 //
     /* 186453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE_or_SME2p2),
     /* 186456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_compact),
     /* 186461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 186464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 186467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 186470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186474 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1327:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (COMPACT_ZPZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 186474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::COMPACT_ZPZ_D),
     /* 186477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186479 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186481 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186483 */     GIR_RootConstrainSelectedInstOperands,
     /* 186484 */     // GIR_Coverage, 3405,
     /* 186484 */     GIR_EraseRootFromParent_Done,
     /* 186485 */   // Label 3656: @186485
     /* 186485 */   GIM_Try, /*On fail goto*//*Label 3657*/ GIMT_Encode4(186522), // Rule ID 3427 //
     /* 186490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 186493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ftssel_x),
     /* 186498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 186501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 186504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 186507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186511 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1530:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (FTSSEL_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 186511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FTSSEL_ZZZ_H),
     /* 186514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186516 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186518 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186520 */     GIR_RootConstrainSelectedInstOperands,
     /* 186521 */     // GIR_Coverage, 3427,
     /* 186521 */     GIR_EraseRootFromParent_Done,
     /* 186522 */   // Label 3657: @186522
     /* 186522 */   GIM_Try, /*On fail goto*//*Label 3658*/ GIMT_Encode4(186559), // Rule ID 3428 //
     /* 186527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 186530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ftssel_x),
     /* 186535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 186538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 186541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 186544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186548 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1530:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (FTSSEL_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 186548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FTSSEL_ZZZ_S),
     /* 186551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186553 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186555 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186557 */     GIR_RootConstrainSelectedInstOperands,
     /* 186558 */     // GIR_Coverage, 3428,
     /* 186558 */     GIR_EraseRootFromParent_Done,
     /* 186559 */   // Label 3658: @186559
     /* 186559 */   GIM_Try, /*On fail goto*//*Label 3659*/ GIMT_Encode4(186596), // Rule ID 3429 //
     /* 186564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 186567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ftssel_x),
     /* 186572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 186575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 186578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 186581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186585 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1530:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (FTSSEL_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 186585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FTSSEL_ZZZ_D),
     /* 186588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186590 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186592 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186594 */     GIR_RootConstrainSelectedInstOperands,
     /* 186595 */     // GIR_Coverage, 3429,
     /* 186595 */     GIR_EraseRootFromParent_Done,
     /* 186596 */   // Label 3659: @186596
     /* 186596 */   GIM_Try, /*On fail goto*//*Label 3660*/ GIMT_Encode4(186633), // Rule ID 3451 //
     /* 186601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 186604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_brka_z),
     /* 186609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 186612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 186615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 186618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 186622 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1280:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2)  =>  (BRKA_PPzP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /* 186622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BRKA_PPzP),
     /* 186625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 186627 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186629 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186631 */     GIR_RootConstrainSelectedInstOperands,
     /* 186632 */     // GIR_Coverage, 3451,
     /* 186632 */     GIR_EraseRootFromParent_Done,
     /* 186633 */   // Label 3660: @186633
     /* 186633 */   GIM_Try, /*On fail goto*//*Label 3661*/ GIMT_Encode4(186670), // Rule ID 3456 //
     /* 186638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2SM4),
     /* 186641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sm4ekey),
     /* 186646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 186649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 186652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 186655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186659 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1710:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SM4EKEY_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 186659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SM4EKEY_ZZZ_S),
     /* 186662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186664 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186666 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186668 */     GIR_RootConstrainSelectedInstOperands,
     /* 186669 */     // GIR_Coverage, 3456,
     /* 186669 */     GIR_EraseRootFromParent_Done,
     /* 186670 */   // Label 3661: @186670
     /* 186670 */   GIM_Try, /*On fail goto*//*Label 3662*/ GIMT_Encode4(186707), // Rule ID 3457 //
     /* 186675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_AES_HasSVEAES),
     /* 186678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_aese),
     /* 186683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 186686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 186689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 186692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186696 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1245:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (AESE_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 186696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AESE_ZZZ_B),
     /* 186699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 186701 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186703 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186705 */     GIR_RootConstrainSelectedInstOperands,
     /* 186706 */     // GIR_Coverage, 3457,
     /* 186706 */     GIR_EraseRootFromParent_Done,
     /* 186707 */   // Label 3662: @186707
     /* 186707 */   GIM_Try, /*On fail goto*//*Label 3663*/ GIMT_Encode4(186744), // Rule ID 3466 //
     /* 186712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 186715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip1q),
     /* 186720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 186723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 186726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 186729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186733 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2140:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (ZIP1_ZZZ_Q:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 186733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_Q),
     /* 186736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186738 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186740 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186742 */     GIR_RootConstrainSelectedInstOperands,
     /* 186743 */     // GIR_Coverage, 3466,
     /* 186743 */     GIR_EraseRootFromParent_Done,
     /* 186744 */   // Label 3663: @186744
     /* 186744 */   GIM_Try, /*On fail goto*//*Label 3664*/ GIMT_Encode4(186781), // Rule ID 3467 //
     /* 186749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 186752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip1q),
     /* 186757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 186760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 186763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 186766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186770 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2140:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ZIP1_ZZZ_Q:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 186770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_Q),
     /* 186773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186775 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186777 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186779 */     GIR_RootConstrainSelectedInstOperands,
     /* 186780 */     // GIR_Coverage, 3467,
     /* 186780 */     GIR_EraseRootFromParent_Done,
     /* 186781 */   // Label 3664: @186781
     /* 186781 */   GIM_Try, /*On fail goto*//*Label 3665*/ GIMT_Encode4(186818), // Rule ID 3468 //
     /* 186786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 186789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip1q),
     /* 186794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 186797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 186800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 186803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186807 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 2140:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (ZIP1_ZZZ_Q:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 186807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_Q),
     /* 186810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186812 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186814 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186816 */     GIR_RootConstrainSelectedInstOperands,
     /* 186817 */     // GIR_Coverage, 3468,
     /* 186817 */     GIR_EraseRootFromParent_Done,
     /* 186818 */   // Label 3665: @186818
     /* 186818 */   GIM_Try, /*On fail goto*//*Label 3666*/ GIMT_Encode4(186855), // Rule ID 3469 //
     /* 186823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 186826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip1q),
     /* 186831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 186834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 186837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 186840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186844 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2140:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ZIP1_ZZZ_Q:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 186844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_Q),
     /* 186847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186849 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186851 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186853 */     GIR_RootConstrainSelectedInstOperands,
     /* 186854 */     // GIR_Coverage, 3469,
     /* 186854 */     GIR_EraseRootFromParent_Done,
     /* 186855 */   // Label 3666: @186855
     /* 186855 */   GIM_Try, /*On fail goto*//*Label 3667*/ GIMT_Encode4(186892), // Rule ID 3470 //
     /* 186860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 186863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip1q),
     /* 186868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 186871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 186874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 186877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186881 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 2140:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (ZIP1_ZZZ_Q:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 186881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_Q),
     /* 186884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186886 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186888 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186890 */     GIR_RootConstrainSelectedInstOperands,
     /* 186891 */     // GIR_Coverage, 3470,
     /* 186891 */     GIR_EraseRootFromParent_Done,
     /* 186892 */   // Label 3667: @186892
     /* 186892 */   GIM_Try, /*On fail goto*//*Label 3668*/ GIMT_Encode4(186929), // Rule ID 3471 //
     /* 186897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 186900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip1q),
     /* 186905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 186908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 186911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 186914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186918 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2140:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ZIP1_ZZZ_Q:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 186918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_Q),
     /* 186921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186923 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186925 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186927 */     GIR_RootConstrainSelectedInstOperands,
     /* 186928 */     // GIR_Coverage, 3471,
     /* 186928 */     GIR_EraseRootFromParent_Done,
     /* 186929 */   // Label 3668: @186929
     /* 186929 */   GIM_Try, /*On fail goto*//*Label 3669*/ GIMT_Encode4(186966), // Rule ID 3472 //
     /* 186934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 186937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip1q),
     /* 186942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 186945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 186948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 186951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186955 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 2140:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (ZIP1_ZZZ_Q:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 186955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_Q),
     /* 186958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186960 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186962 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186964 */     GIR_RootConstrainSelectedInstOperands,
     /* 186965 */     // GIR_Coverage, 3472,
     /* 186965 */     GIR_EraseRootFromParent_Done,
     /* 186966 */   // Label 3669: @186966
     /* 186966 */   GIM_Try, /*On fail goto*//*Label 3670*/ GIMT_Encode4(187003), // Rule ID 3527 //
     /* 186971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 186974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_faddqv),
     /* 186979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 186982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 186985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 186988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 186992 */     // (intrinsic_wo_chain:{ *:[v8f16] } 1353:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (FADDQV_H:{ *:[v8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 186992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDQV_H),
     /* 186995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 186997 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186999 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187001 */     GIR_RootConstrainSelectedInstOperands,
     /* 187002 */     // GIR_Coverage, 3527,
     /* 187002 */     GIR_EraseRootFromParent_Done,
     /* 187003 */   // Label 3670: @187003
     /* 187003 */   GIM_Try, /*On fail goto*//*Label 3671*/ GIMT_Encode4(187040), // Rule ID 3528 //
     /* 187008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 187011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_faddqv),
     /* 187016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 187019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 187022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 187025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 187029 */     // (intrinsic_wo_chain:{ *:[v4f32] } 1353:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (FADDQV_S:{ *:[v4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 187029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDQV_S),
     /* 187032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 187034 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187036 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187038 */     GIR_RootConstrainSelectedInstOperands,
     /* 187039 */     // GIR_Coverage, 3528,
     /* 187039 */     GIR_EraseRootFromParent_Done,
     /* 187040 */   // Label 3671: @187040
     /* 187040 */   GIM_Try, /*On fail goto*//*Label 3672*/ GIMT_Encode4(187077), // Rule ID 3529 //
     /* 187045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 187048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_faddqv),
     /* 187053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 187056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 187059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 187062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 187066 */     // (intrinsic_wo_chain:{ *:[v2f64] } 1353:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (FADDQV_D:{ *:[v2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 187066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDQV_D),
     /* 187069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 187071 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187073 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187075 */     GIR_RootConstrainSelectedInstOperands,
     /* 187076 */     // GIR_Coverage, 3529,
     /* 187076 */     GIR_EraseRootFromParent_Done,
     /* 187077 */   // Label 3672: @187077
     /* 187077 */   GIM_Try, /*On fail goto*//*Label 3673*/ GIMT_Encode4(187114), // Rule ID 3559 //
     /* 187082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 187085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orqv),
     /* 187090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 187093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 187096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 187099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 187103 */     // (intrinsic_wo_chain:{ *:[v16i8] } 1604:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (ORQV_VPZ_B:{ *:[v16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 187103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORQV_VPZ_B),
     /* 187106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 187108 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187110 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187112 */     GIR_RootConstrainSelectedInstOperands,
     /* 187113 */     // GIR_Coverage, 3559,
     /* 187113 */     GIR_EraseRootFromParent_Done,
     /* 187114 */   // Label 3673: @187114
     /* 187114 */   GIM_Try, /*On fail goto*//*Label 3674*/ GIMT_Encode4(187151), // Rule ID 3560 //
     /* 187119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 187122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orqv),
     /* 187127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 187130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 187133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 187136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 187140 */     // (intrinsic_wo_chain:{ *:[v8i16] } 1604:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ORQV_VPZ_H:{ *:[v8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 187140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORQV_VPZ_H),
     /* 187143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 187145 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187147 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187149 */     GIR_RootConstrainSelectedInstOperands,
     /* 187150 */     // GIR_Coverage, 3560,
     /* 187150 */     GIR_EraseRootFromParent_Done,
     /* 187151 */   // Label 3674: @187151
     /* 187151 */   GIM_Try, /*On fail goto*//*Label 3675*/ GIMT_Encode4(187188), // Rule ID 3561 //
     /* 187156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 187159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orqv),
     /* 187164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 187167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 187170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 187173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 187177 */     // (intrinsic_wo_chain:{ *:[v4i32] } 1604:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ORQV_VPZ_S:{ *:[v4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 187177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORQV_VPZ_S),
     /* 187180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 187182 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187184 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187186 */     GIR_RootConstrainSelectedInstOperands,
     /* 187187 */     // GIR_Coverage, 3561,
     /* 187187 */     GIR_EraseRootFromParent_Done,
     /* 187188 */   // Label 3675: @187188
     /* 187188 */   GIM_Try, /*On fail goto*//*Label 3676*/ GIMT_Encode4(187225), // Rule ID 3562 //
     /* 187193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 187196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orqv),
     /* 187201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 187204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 187207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 187210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 187214 */     // (intrinsic_wo_chain:{ *:[v2i64] } 1604:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ORQV_VPZ_D:{ *:[v2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 187214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORQV_VPZ_D),
     /* 187217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 187219 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187221 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187223 */     GIR_RootConstrainSelectedInstOperands,
     /* 187224 */     // GIR_Coverage, 3562,
     /* 187224 */     GIR_EraseRootFromParent_Done,
     /* 187225 */   // Label 3676: @187225
     /* 187225 */   GIM_Try, /*On fail goto*//*Label 3677*/ GIMT_Encode4(187262), // Rule ID 3563 //
     /* 187230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 187233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq1),
     /* 187238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 187241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 187244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 187247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187251 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2148:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (ZIPQ1_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 187251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ1_ZZZ_B),
     /* 187254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187256 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187258 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187260 */     GIR_RootConstrainSelectedInstOperands,
     /* 187261 */     // GIR_Coverage, 3563,
     /* 187261 */     GIR_EraseRootFromParent_Done,
     /* 187262 */   // Label 3677: @187262
     /* 187262 */   GIM_Try, /*On fail goto*//*Label 3678*/ GIMT_Encode4(187299), // Rule ID 3564 //
     /* 187267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 187270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq1),
     /* 187275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 187278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 187281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 187284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187288 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2148:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ZIPQ1_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 187288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ1_ZZZ_H),
     /* 187291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187293 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187295 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187297 */     GIR_RootConstrainSelectedInstOperands,
     /* 187298 */     // GIR_Coverage, 3564,
     /* 187298 */     GIR_EraseRootFromParent_Done,
     /* 187299 */   // Label 3678: @187299
     /* 187299 */   GIM_Try, /*On fail goto*//*Label 3679*/ GIMT_Encode4(187336), // Rule ID 3565 //
     /* 187304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 187307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq1),
     /* 187312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 187315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 187318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 187321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187325 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2148:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ZIPQ1_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 187325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ1_ZZZ_S),
     /* 187328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187330 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187332 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187334 */     GIR_RootConstrainSelectedInstOperands,
     /* 187335 */     // GIR_Coverage, 3565,
     /* 187335 */     GIR_EraseRootFromParent_Done,
     /* 187336 */   // Label 3679: @187336
     /* 187336 */   GIM_Try, /*On fail goto*//*Label 3680*/ GIMT_Encode4(187373), // Rule ID 3566 //
     /* 187341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 187344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq1),
     /* 187349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 187352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 187355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 187358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187362 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2148:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ZIPQ1_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 187362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ1_ZZZ_D),
     /* 187365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187367 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187369 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187371 */     GIR_RootConstrainSelectedInstOperands,
     /* 187372 */     // GIR_Coverage, 3566,
     /* 187372 */     GIR_EraseRootFromParent_Done,
     /* 187373 */   // Label 3680: @187373
     /* 187373 */   GIM_Try, /*On fail goto*//*Label 3681*/ GIMT_Encode4(187410), // Rule ID 3567 //
     /* 187378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 187381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq1),
     /* 187386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 187389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 187392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 187395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187399 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 2148:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (ZIPQ1_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 187399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ1_ZZZ_H),
     /* 187402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187404 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187406 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187408 */     GIR_RootConstrainSelectedInstOperands,
     /* 187409 */     // GIR_Coverage, 3567,
     /* 187409 */     GIR_EraseRootFromParent_Done,
     /* 187410 */   // Label 3681: @187410
     /* 187410 */   GIM_Try, /*On fail goto*//*Label 3682*/ GIMT_Encode4(187447), // Rule ID 3568 //
     /* 187415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 187418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq1),
     /* 187423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 187426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 187429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 187432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187436 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 2148:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (ZIPQ1_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 187436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ1_ZZZ_S),
     /* 187439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187441 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187443 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187445 */     GIR_RootConstrainSelectedInstOperands,
     /* 187446 */     // GIR_Coverage, 3568,
     /* 187446 */     GIR_EraseRootFromParent_Done,
     /* 187447 */   // Label 3682: @187447
     /* 187447 */   GIM_Try, /*On fail goto*//*Label 3683*/ GIMT_Encode4(187484), // Rule ID 3569 //
     /* 187452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 187455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq1),
     /* 187460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 187463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 187466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 187469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187473 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 2148:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (ZIPQ1_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 187473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ1_ZZZ_D),
     /* 187476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187478 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187480 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187482 */     GIR_RootConstrainSelectedInstOperands,
     /* 187483 */     // GIR_Coverage, 3569,
     /* 187483 */     GIR_EraseRootFromParent_Done,
     /* 187484 */   // Label 3683: @187484
     /* 187484 */   GIM_Try, /*On fail goto*//*Label 3684*/ GIMT_Encode4(187521), // Rule ID 3570 //
     /* 187489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 187492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tblq),
     /* 187497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 187500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 187503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 187506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187510 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1903:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (TBLQ_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 187510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBLQ_ZZZ_B),
     /* 187513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187515 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187517 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187519 */     GIR_RootConstrainSelectedInstOperands,
     /* 187520 */     // GIR_Coverage, 3570,
     /* 187520 */     GIR_EraseRootFromParent_Done,
     /* 187521 */   // Label 3684: @187521
     /* 187521 */   GIM_Try, /*On fail goto*//*Label 3685*/ GIMT_Encode4(187558), // Rule ID 3571 //
     /* 187526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 187529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tblq),
     /* 187534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 187537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 187540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 187543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187547 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1903:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (TBLQ_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 187547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBLQ_ZZZ_H),
     /* 187550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187552 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187554 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187556 */     GIR_RootConstrainSelectedInstOperands,
     /* 187557 */     // GIR_Coverage, 3571,
     /* 187557 */     GIR_EraseRootFromParent_Done,
     /* 187558 */   // Label 3685: @187558
     /* 187558 */   GIM_Try, /*On fail goto*//*Label 3686*/ GIMT_Encode4(187595), // Rule ID 3572 //
     /* 187563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 187566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tblq),
     /* 187571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 187574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 187577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 187580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187584 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1903:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (TBLQ_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 187584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBLQ_ZZZ_S),
     /* 187587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187589 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187591 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187593 */     GIR_RootConstrainSelectedInstOperands,
     /* 187594 */     // GIR_Coverage, 3572,
     /* 187594 */     GIR_EraseRootFromParent_Done,
     /* 187595 */   // Label 3686: @187595
     /* 187595 */   GIM_Try, /*On fail goto*//*Label 3687*/ GIMT_Encode4(187632), // Rule ID 3573 //
     /* 187600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 187603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tblq),
     /* 187608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 187611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 187614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 187617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187621 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1903:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (TBLQ_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 187621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBLQ_ZZZ_D),
     /* 187624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187626 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187628 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187630 */     GIR_RootConstrainSelectedInstOperands,
     /* 187631 */     // GIR_Coverage, 3573,
     /* 187631 */     GIR_EraseRootFromParent_Done,
     /* 187632 */   // Label 3687: @187632
     /* 187632 */   GIM_Try, /*On fail goto*//*Label 3688*/ GIMT_Encode4(187669), // Rule ID 3574 //
     /* 187637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 187640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tblq),
     /* 187645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 187648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 187651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 187654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187658 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1903:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (TBLQ_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 187658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBLQ_ZZZ_H),
     /* 187661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187663 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187665 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187667 */     GIR_RootConstrainSelectedInstOperands,
     /* 187668 */     // GIR_Coverage, 3574,
     /* 187668 */     GIR_EraseRootFromParent_Done,
     /* 187669 */   // Label 3688: @187669
     /* 187669 */   GIM_Try, /*On fail goto*//*Label 3689*/ GIMT_Encode4(187706), // Rule ID 3575 //
     /* 187674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 187677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tblq),
     /* 187682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 187685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 187688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 187691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187695 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1903:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (TBLQ_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 187695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBLQ_ZZZ_S),
     /* 187698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187700 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187702 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187704 */     GIR_RootConstrainSelectedInstOperands,
     /* 187705 */     // GIR_Coverage, 3575,
     /* 187705 */     GIR_EraseRootFromParent_Done,
     /* 187706 */   // Label 3689: @187706
     /* 187706 */   GIM_Try, /*On fail goto*//*Label 3690*/ GIMT_Encode4(187743), // Rule ID 3576 //
     /* 187711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 187714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tblq),
     /* 187719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 187722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 187725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 187728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187732 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1903:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (TBLQ_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 187732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBLQ_ZZZ_D),
     /* 187735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187737 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187739 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187741 */     GIR_RootConstrainSelectedInstOperands,
     /* 187742 */     // GIR_Coverage, 3576,
     /* 187742 */     GIR_EraseRootFromParent_Done,
     /* 187743 */   // Label 3690: @187743
     /* 187743 */   GIM_Try, /*On fail goto*//*Label 3691*/ GIMT_Encode4(187780), // Rule ID 8351 //
     /* 187748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 187751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_brkb_z),
     /* 187756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 187759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 187762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 187765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 187769 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1282:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2)  =>  (BRKB_PPzP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /* 187769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BRKB_PPzP),
     /* 187772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 187774 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187776 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187778 */     GIR_RootConstrainSelectedInstOperands,
     /* 187779 */     // GIR_Coverage, 8351,
     /* 187779 */     GIR_EraseRootFromParent_Done,
     /* 187780 */   // Label 3691: @187780
     /* 187780 */   GIM_Try, /*On fail goto*//*Label 3692*/ GIMT_Encode4(187817), // Rule ID 8827 //
     /* 187785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 187788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adrb),
     /* 187793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 187796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 187799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 187802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187806 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1240:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ADR_LSL_ZZZ_S_0:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 187806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_LSL_ZZZ_S_0),
     /* 187809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187811 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187813 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187815 */     GIR_RootConstrainSelectedInstOperands,
     /* 187816 */     // GIR_Coverage, 8827,
     /* 187816 */     GIR_EraseRootFromParent_Done,
     /* 187817 */   // Label 3692: @187817
     /* 187817 */   GIM_Try, /*On fail goto*//*Label 3693*/ GIMT_Encode4(187854), // Rule ID 8828 //
     /* 187822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 187825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adrh),
     /* 187830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 187833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 187836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 187839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187843 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1242:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ADR_LSL_ZZZ_S_1:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 187843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_LSL_ZZZ_S_1),
     /* 187846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187848 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187850 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187852 */     GIR_RootConstrainSelectedInstOperands,
     /* 187853 */     // GIR_Coverage, 8828,
     /* 187853 */     GIR_EraseRootFromParent_Done,
     /* 187854 */   // Label 3693: @187854
     /* 187854 */   GIM_Try, /*On fail goto*//*Label 3694*/ GIMT_Encode4(187891), // Rule ID 8829 //
     /* 187859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 187862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adrw),
     /* 187867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 187870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 187873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 187876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187880 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1243:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ADR_LSL_ZZZ_S_2:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 187880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_LSL_ZZZ_S_2),
     /* 187883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187885 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187887 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187889 */     GIR_RootConstrainSelectedInstOperands,
     /* 187890 */     // GIR_Coverage, 8829,
     /* 187890 */     GIR_EraseRootFromParent_Done,
     /* 187891 */   // Label 3694: @187891
     /* 187891 */   GIM_Try, /*On fail goto*//*Label 3695*/ GIMT_Encode4(187928), // Rule ID 8830 //
     /* 187896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 187899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adrd),
     /* 187904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 187907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 187910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 187913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187917 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1241:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ADR_LSL_ZZZ_S_3:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 187917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_LSL_ZZZ_S_3),
     /* 187920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187922 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187924 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187926 */     GIR_RootConstrainSelectedInstOperands,
     /* 187927 */     // GIR_Coverage, 8830,
     /* 187927 */     GIR_EraseRootFromParent_Done,
     /* 187928 */   // Label 3695: @187928
     /* 187928 */   GIM_Try, /*On fail goto*//*Label 3696*/ GIMT_Encode4(187965), // Rule ID 8831 //
     /* 187933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 187936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adrb),
     /* 187941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 187944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 187947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 187950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187954 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1240:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ADR_LSL_ZZZ_D_0:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 187954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_LSL_ZZZ_D_0),
     /* 187957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187959 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187961 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187963 */     GIR_RootConstrainSelectedInstOperands,
     /* 187964 */     // GIR_Coverage, 8831,
     /* 187964 */     GIR_EraseRootFromParent_Done,
     /* 187965 */   // Label 3696: @187965
     /* 187965 */   GIM_Try, /*On fail goto*//*Label 3697*/ GIMT_Encode4(188002), // Rule ID 8832 //
     /* 187970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 187973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adrh),
     /* 187978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 187981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 187984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 187987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187991 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1242:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ADR_LSL_ZZZ_D_1:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 187991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_LSL_ZZZ_D_1),
     /* 187994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187996 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187998 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188000 */     GIR_RootConstrainSelectedInstOperands,
     /* 188001 */     // GIR_Coverage, 8832,
     /* 188001 */     GIR_EraseRootFromParent_Done,
     /* 188002 */   // Label 3697: @188002
     /* 188002 */   GIM_Try, /*On fail goto*//*Label 3698*/ GIMT_Encode4(188039), // Rule ID 8833 //
     /* 188007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 188010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adrw),
     /* 188015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 188018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 188021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 188024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188028 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1243:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ADR_LSL_ZZZ_D_2:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 188028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_LSL_ZZZ_D_2),
     /* 188031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188033 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188035 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188037 */     GIR_RootConstrainSelectedInstOperands,
     /* 188038 */     // GIR_Coverage, 8833,
     /* 188038 */     GIR_EraseRootFromParent_Done,
     /* 188039 */   // Label 3698: @188039
     /* 188039 */   GIM_Try, /*On fail goto*//*Label 3699*/ GIMT_Encode4(188076), // Rule ID 8834 //
     /* 188044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 188047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adrd),
     /* 188052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 188055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 188058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 188061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188065 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1241:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ADR_LSL_ZZZ_D_3:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 188065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_LSL_ZZZ_D_3),
     /* 188068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188070 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188072 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188074 */     GIR_RootConstrainSelectedInstOperands,
     /* 188075 */     // GIR_Coverage, 8834,
     /* 188075 */     GIR_EraseRootFromParent_Done,
     /* 188076 */   // Label 3699: @188076
     /* 188076 */   GIM_Try, /*On fail goto*//*Label 3700*/ GIMT_Encode4(188116), // Rule ID 9834 //
     /* 188081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 188084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilele),
     /* 188089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 188092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 188095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 188098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188102 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2100:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELE_PWW_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 188102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELE_PWW_B),
     /* 188105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188107 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188109 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188111 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188114 */     GIR_RootConstrainSelectedInstOperands,
     /* 188115 */     // GIR_Coverage, 9834,
     /* 188115 */     GIR_EraseRootFromParent_Done,
     /* 188116 */   // Label 3700: @188116
     /* 188116 */   GIM_Try, /*On fail goto*//*Label 3701*/ GIMT_Encode4(188156), // Rule ID 9835 //
     /* 188121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 188124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilele),
     /* 188129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 188132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 188135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 188138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188142 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2100:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELE_PWW_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 188142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELE_PWW_H),
     /* 188145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188147 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188149 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188151 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188154 */     GIR_RootConstrainSelectedInstOperands,
     /* 188155 */     // GIR_Coverage, 9835,
     /* 188155 */     GIR_EraseRootFromParent_Done,
     /* 188156 */   // Label 3701: @188156
     /* 188156 */   GIM_Try, /*On fail goto*//*Label 3702*/ GIMT_Encode4(188196), // Rule ID 9836 //
     /* 188161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 188164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilele),
     /* 188169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 188172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 188175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 188178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188182 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2100:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELE_PWW_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 188182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELE_PWW_S),
     /* 188185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188187 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188189 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188191 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188194 */     GIR_RootConstrainSelectedInstOperands,
     /* 188195 */     // GIR_Coverage, 9836,
     /* 188195 */     GIR_EraseRootFromParent_Done,
     /* 188196 */   // Label 3702: @188196
     /* 188196 */   GIM_Try, /*On fail goto*//*Label 3703*/ GIMT_Encode4(188236), // Rule ID 9837 //
     /* 188201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 188204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilele),
     /* 188209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 188212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 188215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 188218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188222 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2100:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELE_PWW_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 188222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELE_PWW_D),
     /* 188225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188227 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188229 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188231 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188234 */     GIR_RootConstrainSelectedInstOperands,
     /* 188235 */     // GIR_Coverage, 9837,
     /* 188235 */     GIR_EraseRootFromParent_Done,
     /* 188236 */   // Label 3703: @188236
     /* 188236 */   GIM_Try, /*On fail goto*//*Label 3704*/ GIMT_Encode4(188276), // Rule ID 9838 //
     /* 188241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 188244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelo),
     /* 188249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 188252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 188255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 188258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188262 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2106:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELO_PWW_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 188262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELO_PWW_B),
     /* 188265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188267 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188269 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188271 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188274 */     GIR_RootConstrainSelectedInstOperands,
     /* 188275 */     // GIR_Coverage, 9838,
     /* 188275 */     GIR_EraseRootFromParent_Done,
     /* 188276 */   // Label 3704: @188276
     /* 188276 */   GIM_Try, /*On fail goto*//*Label 3705*/ GIMT_Encode4(188316), // Rule ID 9839 //
     /* 188281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 188284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelo),
     /* 188289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 188292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 188295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 188298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188302 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2106:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELO_PWW_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 188302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELO_PWW_H),
     /* 188305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188307 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188309 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188311 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188314 */     GIR_RootConstrainSelectedInstOperands,
     /* 188315 */     // GIR_Coverage, 9839,
     /* 188315 */     GIR_EraseRootFromParent_Done,
     /* 188316 */   // Label 3705: @188316
     /* 188316 */   GIM_Try, /*On fail goto*//*Label 3706*/ GIMT_Encode4(188356), // Rule ID 9840 //
     /* 188321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 188324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelo),
     /* 188329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 188332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 188335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 188338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188342 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2106:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELO_PWW_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 188342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELO_PWW_S),
     /* 188345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188347 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188349 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188351 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188354 */     GIR_RootConstrainSelectedInstOperands,
     /* 188355 */     // GIR_Coverage, 9840,
     /* 188355 */     GIR_EraseRootFromParent_Done,
     /* 188356 */   // Label 3706: @188356
     /* 188356 */   GIM_Try, /*On fail goto*//*Label 3707*/ GIMT_Encode4(188396), // Rule ID 9841 //
     /* 188361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 188364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelo),
     /* 188369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 188372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 188375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 188378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188382 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2106:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELO_PWW_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 188382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELO_PWW_D),
     /* 188385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188387 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188389 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188391 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188394 */     GIR_RootConstrainSelectedInstOperands,
     /* 188395 */     // GIR_Coverage, 9841,
     /* 188395 */     GIR_EraseRootFromParent_Done,
     /* 188396 */   // Label 3707: @188396
     /* 188396 */   GIM_Try, /*On fail goto*//*Label 3708*/ GIMT_Encode4(188436), // Rule ID 9846 //
     /* 188401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 188404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilels),
     /* 188409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 188412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 188415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 188418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188422 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2112:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELS_PWW_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 188422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PWW_B),
     /* 188425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188427 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188429 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188431 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188434 */     GIR_RootConstrainSelectedInstOperands,
     /* 188435 */     // GIR_Coverage, 9846,
     /* 188435 */     GIR_EraseRootFromParent_Done,
     /* 188436 */   // Label 3708: @188436
     /* 188436 */   GIM_Try, /*On fail goto*//*Label 3709*/ GIMT_Encode4(188476), // Rule ID 9847 //
     /* 188441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 188444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilels),
     /* 188449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 188452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 188455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 188458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188462 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2112:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELS_PWW_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 188462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PWW_H),
     /* 188465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188467 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188469 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188471 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188474 */     GIR_RootConstrainSelectedInstOperands,
     /* 188475 */     // GIR_Coverage, 9847,
     /* 188475 */     GIR_EraseRootFromParent_Done,
     /* 188476 */   // Label 3709: @188476
     /* 188476 */   GIM_Try, /*On fail goto*//*Label 3710*/ GIMT_Encode4(188516), // Rule ID 9848 //
     /* 188481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 188484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilels),
     /* 188489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 188492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 188495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 188498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188502 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2112:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELS_PWW_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 188502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PWW_S),
     /* 188505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188507 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188509 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188511 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188514 */     GIR_RootConstrainSelectedInstOperands,
     /* 188515 */     // GIR_Coverage, 9848,
     /* 188515 */     GIR_EraseRootFromParent_Done,
     /* 188516 */   // Label 3710: @188516
     /* 188516 */   GIM_Try, /*On fail goto*//*Label 3711*/ GIMT_Encode4(188556), // Rule ID 9849 //
     /* 188521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 188524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilels),
     /* 188529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 188532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 188535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 188538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188542 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2112:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELS_PWW_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 188542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PWW_D),
     /* 188545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188547 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188549 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188551 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188554 */     GIR_RootConstrainSelectedInstOperands,
     /* 188555 */     // GIR_Coverage, 9849,
     /* 188555 */     GIR_EraseRootFromParent_Done,
     /* 188556 */   // Label 3711: @188556
     /* 188556 */   GIM_Try, /*On fail goto*//*Label 3712*/ GIMT_Encode4(188596), // Rule ID 9850 //
     /* 188561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 188564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilele),
     /* 188569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 188572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 188575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 188578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188582 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2100:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELE_PXX_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 188582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELE_PXX_B),
     /* 188585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188587 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188589 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188591 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188594 */     GIR_RootConstrainSelectedInstOperands,
     /* 188595 */     // GIR_Coverage, 9850,
     /* 188595 */     GIR_EraseRootFromParent_Done,
     /* 188596 */   // Label 3712: @188596
     /* 188596 */   GIM_Try, /*On fail goto*//*Label 3713*/ GIMT_Encode4(188636), // Rule ID 9851 //
     /* 188601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 188604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilele),
     /* 188609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 188612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 188615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 188618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188622 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2100:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELE_PXX_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 188622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELE_PXX_H),
     /* 188625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188627 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188629 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188631 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188634 */     GIR_RootConstrainSelectedInstOperands,
     /* 188635 */     // GIR_Coverage, 9851,
     /* 188635 */     GIR_EraseRootFromParent_Done,
     /* 188636 */   // Label 3713: @188636
     /* 188636 */   GIM_Try, /*On fail goto*//*Label 3714*/ GIMT_Encode4(188676), // Rule ID 9852 //
     /* 188641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 188644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilele),
     /* 188649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 188652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 188655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 188658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188662 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2100:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELE_PXX_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 188662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELE_PXX_S),
     /* 188665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188667 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188669 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188671 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188674 */     GIR_RootConstrainSelectedInstOperands,
     /* 188675 */     // GIR_Coverage, 9852,
     /* 188675 */     GIR_EraseRootFromParent_Done,
     /* 188676 */   // Label 3714: @188676
     /* 188676 */   GIM_Try, /*On fail goto*//*Label 3715*/ GIMT_Encode4(188716), // Rule ID 9853 //
     /* 188681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 188684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilele),
     /* 188689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 188692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 188695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 188698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188702 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2100:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELE_PXX_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 188702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELE_PXX_D),
     /* 188705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188707 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188709 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188711 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188714 */     GIR_RootConstrainSelectedInstOperands,
     /* 188715 */     // GIR_Coverage, 9853,
     /* 188715 */     GIR_EraseRootFromParent_Done,
     /* 188716 */   // Label 3715: @188716
     /* 188716 */   GIM_Try, /*On fail goto*//*Label 3716*/ GIMT_Encode4(188756), // Rule ID 9854 //
     /* 188721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 188724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelo),
     /* 188729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 188732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 188735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 188738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188742 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2106:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELO_PXX_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 188742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELO_PXX_B),
     /* 188745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188747 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188749 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188751 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188754 */     GIR_RootConstrainSelectedInstOperands,
     /* 188755 */     // GIR_Coverage, 9854,
     /* 188755 */     GIR_EraseRootFromParent_Done,
     /* 188756 */   // Label 3716: @188756
     /* 188756 */   GIM_Try, /*On fail goto*//*Label 3717*/ GIMT_Encode4(188796), // Rule ID 9855 //
     /* 188761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 188764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelo),
     /* 188769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 188772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 188775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 188778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188782 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2106:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELO_PXX_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 188782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELO_PXX_H),
     /* 188785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188787 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188789 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188791 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188794 */     GIR_RootConstrainSelectedInstOperands,
     /* 188795 */     // GIR_Coverage, 9855,
     /* 188795 */     GIR_EraseRootFromParent_Done,
     /* 188796 */   // Label 3717: @188796
     /* 188796 */   GIM_Try, /*On fail goto*//*Label 3718*/ GIMT_Encode4(188836), // Rule ID 9856 //
     /* 188801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 188804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelo),
     /* 188809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 188812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 188815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 188818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188822 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2106:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELO_PXX_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 188822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELO_PXX_S),
     /* 188825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188827 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188829 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188831 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188834 */     GIR_RootConstrainSelectedInstOperands,
     /* 188835 */     // GIR_Coverage, 9856,
     /* 188835 */     GIR_EraseRootFromParent_Done,
     /* 188836 */   // Label 3718: @188836
     /* 188836 */   GIM_Try, /*On fail goto*//*Label 3719*/ GIMT_Encode4(188876), // Rule ID 9857 //
     /* 188841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 188844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelo),
     /* 188849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 188852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 188855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 188858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188862 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2106:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELO_PXX_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 188862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELO_PXX_D),
     /* 188865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188867 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188869 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188871 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188874 */     GIR_RootConstrainSelectedInstOperands,
     /* 188875 */     // GIR_Coverage, 9857,
     /* 188875 */     GIR_EraseRootFromParent_Done,
     /* 188876 */   // Label 3719: @188876
     /* 188876 */   GIM_Try, /*On fail goto*//*Label 3720*/ GIMT_Encode4(188916), // Rule ID 9862 //
     /* 188881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 188884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilels),
     /* 188889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 188892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 188895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 188898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188902 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2112:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELS_PXX_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 188902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_B),
     /* 188905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188907 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188909 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188911 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188914 */     GIR_RootConstrainSelectedInstOperands,
     /* 188915 */     // GIR_Coverage, 9862,
     /* 188915 */     GIR_EraseRootFromParent_Done,
     /* 188916 */   // Label 3720: @188916
     /* 188916 */   GIM_Try, /*On fail goto*//*Label 3721*/ GIMT_Encode4(188956), // Rule ID 9863 //
     /* 188921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 188924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilels),
     /* 188929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 188932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 188935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 188938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188942 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2112:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELS_PXX_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 188942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_H),
     /* 188945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188947 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188949 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188951 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188954 */     GIR_RootConstrainSelectedInstOperands,
     /* 188955 */     // GIR_Coverage, 9863,
     /* 188955 */     GIR_EraseRootFromParent_Done,
     /* 188956 */   // Label 3721: @188956
     /* 188956 */   GIM_Try, /*On fail goto*//*Label 3722*/ GIMT_Encode4(188996), // Rule ID 9864 //
     /* 188961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 188964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilels),
     /* 188969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 188972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 188975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 188978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188982 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2112:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELS_PXX_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 188982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_S),
     /* 188985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188987 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188989 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188991 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188994 */     GIR_RootConstrainSelectedInstOperands,
     /* 188995 */     // GIR_Coverage, 9864,
     /* 188995 */     GIR_EraseRootFromParent_Done,
     /* 188996 */   // Label 3722: @188996
     /* 188996 */   GIM_Try, /*On fail goto*//*Label 3723*/ GIMT_Encode4(189036), // Rule ID 9865 //
     /* 189001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilels),
     /* 189009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 189012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 189015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 189018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189022 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2112:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELS_PXX_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 189022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_D),
     /* 189025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189027 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189029 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189031 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189034 */     GIR_RootConstrainSelectedInstOperands,
     /* 189035 */     // GIR_Coverage, 9865,
     /* 189035 */     GIR_EraseRootFromParent_Done,
     /* 189036 */   // Label 3723: @189036
     /* 189036 */   GIM_Try, /*On fail goto*//*Label 3724*/ GIMT_Encode4(189073), // Rule ID 10024 //
     /* 189041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincp),
     /* 189049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 189052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 189055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 189058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 189062 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2010:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (UQINCP_ZP_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 189062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCP_ZP_H),
     /* 189065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 189067 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189069 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189071 */     GIR_RootConstrainSelectedInstOperands,
     /* 189072 */     // GIR_Coverage, 10024,
     /* 189072 */     GIR_EraseRootFromParent_Done,
     /* 189073 */   // Label 3724: @189073
     /* 189073 */   GIM_Try, /*On fail goto*//*Label 3725*/ GIMT_Encode4(189110), // Rule ID 10025 //
     /* 189078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincp),
     /* 189086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 189089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 189092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 189095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 189099 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2010:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (UQINCP_ZP_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 189099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCP_ZP_S),
     /* 189102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 189104 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189106 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189108 */     GIR_RootConstrainSelectedInstOperands,
     /* 189109 */     // GIR_Coverage, 10025,
     /* 189109 */     GIR_EraseRootFromParent_Done,
     /* 189110 */   // Label 3725: @189110
     /* 189110 */   GIM_Try, /*On fail goto*//*Label 3726*/ GIMT_Encode4(189147), // Rule ID 10026 //
     /* 189115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincp),
     /* 189123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 189126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 189129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 189132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 189136 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2010:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (UQINCP_ZP_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 189136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCP_ZP_D),
     /* 189139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 189141 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189143 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189145 */     GIR_RootConstrainSelectedInstOperands,
     /* 189146 */     // GIR_Coverage, 10026,
     /* 189146 */     GIR_EraseRootFromParent_Done,
     /* 189147 */   // Label 3726: @189147
     /* 189147 */   GIM_Try, /*On fail goto*//*Label 3727*/ GIMT_Encode4(189184), // Rule ID 10027 //
     /* 189152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecp),
     /* 189160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 189163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 189166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 189169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 189173 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1765:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (SQDECP_ZP_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 189173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECP_ZP_H),
     /* 189176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 189178 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189180 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189182 */     GIR_RootConstrainSelectedInstOperands,
     /* 189183 */     // GIR_Coverage, 10027,
     /* 189183 */     GIR_EraseRootFromParent_Done,
     /* 189184 */   // Label 3727: @189184
     /* 189184 */   GIM_Try, /*On fail goto*//*Label 3728*/ GIMT_Encode4(189221), // Rule ID 10028 //
     /* 189189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecp),
     /* 189197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 189200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 189203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 189206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 189210 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1765:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (SQDECP_ZP_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 189210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECP_ZP_S),
     /* 189213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 189215 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189217 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189219 */     GIR_RootConstrainSelectedInstOperands,
     /* 189220 */     // GIR_Coverage, 10028,
     /* 189220 */     GIR_EraseRootFromParent_Done,
     /* 189221 */   // Label 3728: @189221
     /* 189221 */   GIM_Try, /*On fail goto*//*Label 3729*/ GIMT_Encode4(189258), // Rule ID 10029 //
     /* 189226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecp),
     /* 189234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 189237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 189240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 189243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 189247 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1765:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (SQDECP_ZP_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 189247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECP_ZP_D),
     /* 189250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 189252 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189254 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189256 */     GIR_RootConstrainSelectedInstOperands,
     /* 189257 */     // GIR_Coverage, 10029,
     /* 189257 */     GIR_EraseRootFromParent_Done,
     /* 189258 */   // Label 3729: @189258
     /* 189258 */   GIM_Try, /*On fail goto*//*Label 3730*/ GIMT_Encode4(189295), // Rule ID 10030 //
     /* 189263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecp),
     /* 189271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 189274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 189277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 189280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 189284 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1996:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (UQDECP_ZP_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 189284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECP_ZP_H),
     /* 189287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 189289 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189291 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189293 */     GIR_RootConstrainSelectedInstOperands,
     /* 189294 */     // GIR_Coverage, 10030,
     /* 189294 */     GIR_EraseRootFromParent_Done,
     /* 189295 */   // Label 3730: @189295
     /* 189295 */   GIM_Try, /*On fail goto*//*Label 3731*/ GIMT_Encode4(189332), // Rule ID 10031 //
     /* 189300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecp),
     /* 189308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 189311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 189314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 189317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 189321 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1996:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (UQDECP_ZP_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 189321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECP_ZP_S),
     /* 189324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 189326 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189328 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189330 */     GIR_RootConstrainSelectedInstOperands,
     /* 189331 */     // GIR_Coverage, 10031,
     /* 189331 */     GIR_EraseRootFromParent_Done,
     /* 189332 */   // Label 3731: @189332
     /* 189332 */   GIM_Try, /*On fail goto*//*Label 3732*/ GIMT_Encode4(189369), // Rule ID 10032 //
     /* 189337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecp),
     /* 189345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 189348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 189351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 189354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 189358 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1996:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (UQDECP_ZP_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 189358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECP_ZP_D),
     /* 189361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 189363 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189365 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189367 */     GIR_RootConstrainSelectedInstOperands,
     /* 189368 */     // GIR_Coverage, 10032,
     /* 189368 */     GIR_EraseRootFromParent_Done,
     /* 189369 */   // Label 3732: @189369
     /* 189369 */   GIM_Try, /*On fail goto*//*Label 3733*/ GIMT_Encode4(189406), // Rule ID 11200 //
     /* 189374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 189377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip2q),
     /* 189382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 189385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 189388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 189391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 189395 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2145:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (ZIP2_ZZZ_Q:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 189395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_Q),
     /* 189398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 189400 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189402 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189404 */     GIR_RootConstrainSelectedInstOperands,
     /* 189405 */     // GIR_Coverage, 11200,
     /* 189405 */     GIR_EraseRootFromParent_Done,
     /* 189406 */   // Label 3733: @189406
     /* 189406 */   GIM_Try, /*On fail goto*//*Label 3734*/ GIMT_Encode4(189443), // Rule ID 11201 //
     /* 189411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 189414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip2q),
     /* 189419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 189422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 189425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 189428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 189432 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2145:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ZIP2_ZZZ_Q:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 189432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_Q),
     /* 189435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 189437 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189439 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189441 */     GIR_RootConstrainSelectedInstOperands,
     /* 189442 */     // GIR_Coverage, 11201,
     /* 189442 */     GIR_EraseRootFromParent_Done,
     /* 189443 */   // Label 3734: @189443
     /* 189443 */   GIM_Try, /*On fail goto*//*Label 3735*/ GIMT_Encode4(189480), // Rule ID 11202 //
     /* 189448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 189451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip2q),
     /* 189456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 189459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 189462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 189465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 189469 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 2145:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (ZIP2_ZZZ_Q:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 189469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_Q),
     /* 189472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 189474 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189476 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189478 */     GIR_RootConstrainSelectedInstOperands,
     /* 189479 */     // GIR_Coverage, 11202,
     /* 189479 */     GIR_EraseRootFromParent_Done,
     /* 189480 */   // Label 3735: @189480
     /* 189480 */   GIM_Try, /*On fail goto*//*Label 3736*/ GIMT_Encode4(189517), // Rule ID 11203 //
     /* 189485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 189488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip2q),
     /* 189493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 189496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 189499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 189502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 189506 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2145:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ZIP2_ZZZ_Q:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 189506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_Q),
     /* 189509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 189511 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189513 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189515 */     GIR_RootConstrainSelectedInstOperands,
     /* 189516 */     // GIR_Coverage, 11203,
     /* 189516 */     GIR_EraseRootFromParent_Done,
     /* 189517 */   // Label 3736: @189517
     /* 189517 */   GIM_Try, /*On fail goto*//*Label 3737*/ GIMT_Encode4(189554), // Rule ID 11204 //
     /* 189522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 189525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip2q),
     /* 189530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 189533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 189536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 189539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 189543 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 2145:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (ZIP2_ZZZ_Q:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 189543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_Q),
     /* 189546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 189548 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189550 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189552 */     GIR_RootConstrainSelectedInstOperands,
     /* 189553 */     // GIR_Coverage, 11204,
     /* 189553 */     GIR_EraseRootFromParent_Done,
     /* 189554 */   // Label 3737: @189554
     /* 189554 */   GIM_Try, /*On fail goto*//*Label 3738*/ GIMT_Encode4(189591), // Rule ID 11205 //
     /* 189559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 189562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip2q),
     /* 189567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 189570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 189573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 189576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 189580 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2145:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ZIP2_ZZZ_Q:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 189580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_Q),
     /* 189583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 189585 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189587 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189589 */     GIR_RootConstrainSelectedInstOperands,
     /* 189590 */     // GIR_Coverage, 11205,
     /* 189590 */     GIR_EraseRootFromParent_Done,
     /* 189591 */   // Label 3738: @189591
     /* 189591 */   GIM_Try, /*On fail goto*//*Label 3739*/ GIMT_Encode4(189628), // Rule ID 11206 //
     /* 189596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 189599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip2q),
     /* 189604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 189607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 189610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 189613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 189617 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 2145:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (ZIP2_ZZZ_Q:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 189617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_Q),
     /* 189620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 189622 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189624 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189626 */     GIR_RootConstrainSelectedInstOperands,
     /* 189627 */     // GIR_Coverage, 11206,
     /* 189627 */     GIR_EraseRootFromParent_Done,
     /* 189628 */   // Label 3739: @189628
     /* 189628 */   GIM_Try, /*On fail goto*//*Label 3740*/ GIMT_Encode4(189665), // Rule ID 11207 //
     /* 189633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 189636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp1q),
     /* 189641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 189644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 189647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 189650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 189654 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2066:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UZP1_ZZZ_Q:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 189654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_Q),
     /* 189657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 189659 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189661 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189663 */     GIR_RootConstrainSelectedInstOperands,
     /* 189664 */     // GIR_Coverage, 11207,
     /* 189664 */     GIR_EraseRootFromParent_Done,
     /* 189665 */   // Label 3740: @189665
     /* 189665 */   GIM_Try, /*On fail goto*//*Label 3741*/ GIMT_Encode4(189702), // Rule ID 11208 //
     /* 189670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 189673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp1q),
     /* 189678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 189681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 189684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 189687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 189691 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2066:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UZP1_ZZZ_Q:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 189691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_Q),
     /* 189694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 189696 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189698 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189700 */     GIR_RootConstrainSelectedInstOperands,
     /* 189701 */     // GIR_Coverage, 11208,
     /* 189701 */     GIR_EraseRootFromParent_Done,
     /* 189702 */   // Label 3741: @189702
     /* 189702 */   GIM_Try, /*On fail goto*//*Label 3742*/ GIMT_Encode4(189739), // Rule ID 11209 //
     /* 189707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 189710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp1q),
     /* 189715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 189718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 189721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 189724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 189728 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 2066:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (UZP1_ZZZ_Q:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 189728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_Q),
     /* 189731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 189733 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189735 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189737 */     GIR_RootConstrainSelectedInstOperands,
     /* 189738 */     // GIR_Coverage, 11209,
     /* 189738 */     GIR_EraseRootFromParent_Done,
     /* 189739 */   // Label 3742: @189739
     /* 189739 */   GIM_Try, /*On fail goto*//*Label 3743*/ GIMT_Encode4(189776), // Rule ID 11210 //
     /* 189744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 189747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp1q),
     /* 189752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 189755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 189758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 189761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 189765 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2066:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UZP1_ZZZ_Q:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 189765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_Q),
     /* 189768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 189770 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189772 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189774 */     GIR_RootConstrainSelectedInstOperands,
     /* 189775 */     // GIR_Coverage, 11210,
     /* 189775 */     GIR_EraseRootFromParent_Done,
     /* 189776 */   // Label 3743: @189776
     /* 189776 */   GIM_Try, /*On fail goto*//*Label 3744*/ GIMT_Encode4(189813), // Rule ID 11211 //
     /* 189781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 189784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp1q),
     /* 189789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 189792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 189795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 189798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 189802 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 2066:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (UZP1_ZZZ_Q:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 189802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_Q),
     /* 189805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 189807 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189809 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189811 */     GIR_RootConstrainSelectedInstOperands,
     /* 189812 */     // GIR_Coverage, 11211,
     /* 189812 */     GIR_EraseRootFromParent_Done,
     /* 189813 */   // Label 3744: @189813
     /* 189813 */   GIM_Try, /*On fail goto*//*Label 3745*/ GIMT_Encode4(189850), // Rule ID 11212 //
     /* 189818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 189821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp1q),
     /* 189826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 189829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 189832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 189835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 189839 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2066:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (UZP1_ZZZ_Q:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 189839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_Q),
     /* 189842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 189844 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189846 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189848 */     GIR_RootConstrainSelectedInstOperands,
     /* 189849 */     // GIR_Coverage, 11212,
     /* 189849 */     GIR_EraseRootFromParent_Done,
     /* 189850 */   // Label 3745: @189850
     /* 189850 */   GIM_Try, /*On fail goto*//*Label 3746*/ GIMT_Encode4(189887), // Rule ID 11213 //
     /* 189855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 189858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp1q),
     /* 189863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 189866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 189869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 189872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 189876 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 2066:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (UZP1_ZZZ_Q:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 189876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_Q),
     /* 189879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 189881 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189883 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189885 */     GIR_RootConstrainSelectedInstOperands,
     /* 189886 */     // GIR_Coverage, 11213,
     /* 189886 */     GIR_EraseRootFromParent_Done,
     /* 189887 */   // Label 3746: @189887
     /* 189887 */   GIM_Try, /*On fail goto*//*Label 3747*/ GIMT_Encode4(189924), // Rule ID 11214 //
     /* 189892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 189895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp2q),
     /* 189900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 189903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 189906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 189909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 189913 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2071:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UZP2_ZZZ_Q:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 189913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_Q),
     /* 189916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 189918 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189920 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189922 */     GIR_RootConstrainSelectedInstOperands,
     /* 189923 */     // GIR_Coverage, 11214,
     /* 189923 */     GIR_EraseRootFromParent_Done,
     /* 189924 */   // Label 3747: @189924
     /* 189924 */   GIM_Try, /*On fail goto*//*Label 3748*/ GIMT_Encode4(189961), // Rule ID 11215 //
     /* 189929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 189932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp2q),
     /* 189937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 189940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 189943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 189946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 189950 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2071:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UZP2_ZZZ_Q:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 189950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_Q),
     /* 189953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 189955 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189957 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189959 */     GIR_RootConstrainSelectedInstOperands,
     /* 189960 */     // GIR_Coverage, 11215,
     /* 189960 */     GIR_EraseRootFromParent_Done,
     /* 189961 */   // Label 3748: @189961
     /* 189961 */   GIM_Try, /*On fail goto*//*Label 3749*/ GIMT_Encode4(189998), // Rule ID 11216 //
     /* 189966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 189969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp2q),
     /* 189974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 189977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 189980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 189983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 189987 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 2071:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (UZP2_ZZZ_Q:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 189987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_Q),
     /* 189990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 189992 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189994 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189996 */     GIR_RootConstrainSelectedInstOperands,
     /* 189997 */     // GIR_Coverage, 11216,
     /* 189997 */     GIR_EraseRootFromParent_Done,
     /* 189998 */   // Label 3749: @189998
     /* 189998 */   GIM_Try, /*On fail goto*//*Label 3750*/ GIMT_Encode4(190035), // Rule ID 11217 //
     /* 190003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp2q),
     /* 190011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 190014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 190017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 190020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190024 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2071:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UZP2_ZZZ_Q:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 190024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_Q),
     /* 190027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190029 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190031 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190033 */     GIR_RootConstrainSelectedInstOperands,
     /* 190034 */     // GIR_Coverage, 11217,
     /* 190034 */     GIR_EraseRootFromParent_Done,
     /* 190035 */   // Label 3750: @190035
     /* 190035 */   GIM_Try, /*On fail goto*//*Label 3751*/ GIMT_Encode4(190072), // Rule ID 11218 //
     /* 190040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp2q),
     /* 190048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 190051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 190054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 190057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190061 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 2071:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (UZP2_ZZZ_Q:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 190061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_Q),
     /* 190064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190066 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190068 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190070 */     GIR_RootConstrainSelectedInstOperands,
     /* 190071 */     // GIR_Coverage, 11218,
     /* 190071 */     GIR_EraseRootFromParent_Done,
     /* 190072 */   // Label 3751: @190072
     /* 190072 */   GIM_Try, /*On fail goto*//*Label 3752*/ GIMT_Encode4(190109), // Rule ID 11219 //
     /* 190077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp2q),
     /* 190085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 190088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 190091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 190094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190098 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2071:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (UZP2_ZZZ_Q:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 190098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_Q),
     /* 190101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190103 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190105 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190107 */     GIR_RootConstrainSelectedInstOperands,
     /* 190108 */     // GIR_Coverage, 11219,
     /* 190108 */     GIR_EraseRootFromParent_Done,
     /* 190109 */   // Label 3752: @190109
     /* 190109 */   GIM_Try, /*On fail goto*//*Label 3753*/ GIMT_Encode4(190146), // Rule ID 11220 //
     /* 190114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp2q),
     /* 190122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 190125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 190128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 190131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190135 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 2071:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (UZP2_ZZZ_Q:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 190135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_Q),
     /* 190138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190140 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190142 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190144 */     GIR_RootConstrainSelectedInstOperands,
     /* 190145 */     // GIR_Coverage, 11220,
     /* 190145 */     GIR_EraseRootFromParent_Done,
     /* 190146 */   // Label 3753: @190146
     /* 190146 */   GIM_Try, /*On fail goto*//*Label 3754*/ GIMT_Encode4(190183), // Rule ID 11221 //
     /* 190151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn1q),
     /* 190159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 190162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 190165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 190168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190172 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1910:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (TRN1_ZZZ_Q:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 190172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_Q),
     /* 190175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190177 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190179 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190181 */     GIR_RootConstrainSelectedInstOperands,
     /* 190182 */     // GIR_Coverage, 11221,
     /* 190182 */     GIR_EraseRootFromParent_Done,
     /* 190183 */   // Label 3754: @190183
     /* 190183 */   GIM_Try, /*On fail goto*//*Label 3755*/ GIMT_Encode4(190220), // Rule ID 11222 //
     /* 190188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn1q),
     /* 190196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 190199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 190202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 190205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190209 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1910:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (TRN1_ZZZ_Q:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 190209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_Q),
     /* 190212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190214 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190216 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190218 */     GIR_RootConstrainSelectedInstOperands,
     /* 190219 */     // GIR_Coverage, 11222,
     /* 190219 */     GIR_EraseRootFromParent_Done,
     /* 190220 */   // Label 3755: @190220
     /* 190220 */   GIM_Try, /*On fail goto*//*Label 3756*/ GIMT_Encode4(190257), // Rule ID 11223 //
     /* 190225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn1q),
     /* 190233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 190236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 190239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 190242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190246 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1910:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (TRN1_ZZZ_Q:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 190246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_Q),
     /* 190249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190251 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190253 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190255 */     GIR_RootConstrainSelectedInstOperands,
     /* 190256 */     // GIR_Coverage, 11223,
     /* 190256 */     GIR_EraseRootFromParent_Done,
     /* 190257 */   // Label 3756: @190257
     /* 190257 */   GIM_Try, /*On fail goto*//*Label 3757*/ GIMT_Encode4(190294), // Rule ID 11224 //
     /* 190262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn1q),
     /* 190270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 190273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 190276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 190279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190283 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1910:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (TRN1_ZZZ_Q:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 190283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_Q),
     /* 190286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190288 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190290 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190292 */     GIR_RootConstrainSelectedInstOperands,
     /* 190293 */     // GIR_Coverage, 11224,
     /* 190293 */     GIR_EraseRootFromParent_Done,
     /* 190294 */   // Label 3757: @190294
     /* 190294 */   GIM_Try, /*On fail goto*//*Label 3758*/ GIMT_Encode4(190331), // Rule ID 11225 //
     /* 190299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn1q),
     /* 190307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 190310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 190313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 190316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190320 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1910:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (TRN1_ZZZ_Q:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 190320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_Q),
     /* 190323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190325 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190327 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190329 */     GIR_RootConstrainSelectedInstOperands,
     /* 190330 */     // GIR_Coverage, 11225,
     /* 190330 */     GIR_EraseRootFromParent_Done,
     /* 190331 */   // Label 3758: @190331
     /* 190331 */   GIM_Try, /*On fail goto*//*Label 3759*/ GIMT_Encode4(190368), // Rule ID 11226 //
     /* 190336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn1q),
     /* 190344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 190347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 190350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 190353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190357 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1910:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (TRN1_ZZZ_Q:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 190357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_Q),
     /* 190360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190362 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190364 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190366 */     GIR_RootConstrainSelectedInstOperands,
     /* 190367 */     // GIR_Coverage, 11226,
     /* 190367 */     GIR_EraseRootFromParent_Done,
     /* 190368 */   // Label 3759: @190368
     /* 190368 */   GIM_Try, /*On fail goto*//*Label 3760*/ GIMT_Encode4(190405), // Rule ID 11227 //
     /* 190373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn1q),
     /* 190381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 190384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 190387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 190390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190394 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1910:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (TRN1_ZZZ_Q:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 190394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_Q),
     /* 190397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190399 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190401 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190403 */     GIR_RootConstrainSelectedInstOperands,
     /* 190404 */     // GIR_Coverage, 11227,
     /* 190404 */     GIR_EraseRootFromParent_Done,
     /* 190405 */   // Label 3760: @190405
     /* 190405 */   GIM_Try, /*On fail goto*//*Label 3761*/ GIMT_Encode4(190442), // Rule ID 11228 //
     /* 190410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn2q),
     /* 190418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 190421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 190424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 190427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190431 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1915:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (TRN2_ZZZ_Q:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 190431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_Q),
     /* 190434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190436 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190438 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190440 */     GIR_RootConstrainSelectedInstOperands,
     /* 190441 */     // GIR_Coverage, 11228,
     /* 190441 */     GIR_EraseRootFromParent_Done,
     /* 190442 */   // Label 3761: @190442
     /* 190442 */   GIM_Try, /*On fail goto*//*Label 3762*/ GIMT_Encode4(190479), // Rule ID 11229 //
     /* 190447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn2q),
     /* 190455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 190458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 190461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 190464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190468 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1915:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (TRN2_ZZZ_Q:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 190468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_Q),
     /* 190471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190473 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190475 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190477 */     GIR_RootConstrainSelectedInstOperands,
     /* 190478 */     // GIR_Coverage, 11229,
     /* 190478 */     GIR_EraseRootFromParent_Done,
     /* 190479 */   // Label 3762: @190479
     /* 190479 */   GIM_Try, /*On fail goto*//*Label 3763*/ GIMT_Encode4(190516), // Rule ID 11230 //
     /* 190484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn2q),
     /* 190492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 190495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 190498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 190501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190505 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1915:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (TRN2_ZZZ_Q:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 190505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_Q),
     /* 190508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190510 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190512 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190514 */     GIR_RootConstrainSelectedInstOperands,
     /* 190515 */     // GIR_Coverage, 11230,
     /* 190515 */     GIR_EraseRootFromParent_Done,
     /* 190516 */   // Label 3763: @190516
     /* 190516 */   GIM_Try, /*On fail goto*//*Label 3764*/ GIMT_Encode4(190553), // Rule ID 11231 //
     /* 190521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn2q),
     /* 190529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 190532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 190535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 190538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190542 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1915:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (TRN2_ZZZ_Q:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 190542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_Q),
     /* 190545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190547 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190549 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190551 */     GIR_RootConstrainSelectedInstOperands,
     /* 190552 */     // GIR_Coverage, 11231,
     /* 190552 */     GIR_EraseRootFromParent_Done,
     /* 190553 */   // Label 3764: @190553
     /* 190553 */   GIM_Try, /*On fail goto*//*Label 3765*/ GIMT_Encode4(190590), // Rule ID 11232 //
     /* 190558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn2q),
     /* 190566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 190569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 190572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 190575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190579 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1915:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (TRN2_ZZZ_Q:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 190579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_Q),
     /* 190582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190584 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190586 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190588 */     GIR_RootConstrainSelectedInstOperands,
     /* 190589 */     // GIR_Coverage, 11232,
     /* 190589 */     GIR_EraseRootFromParent_Done,
     /* 190590 */   // Label 3765: @190590
     /* 190590 */   GIM_Try, /*On fail goto*//*Label 3766*/ GIMT_Encode4(190627), // Rule ID 11233 //
     /* 190595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn2q),
     /* 190603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 190606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 190609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 190612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190616 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1915:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (TRN2_ZZZ_Q:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 190616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_Q),
     /* 190619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190621 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190623 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190625 */     GIR_RootConstrainSelectedInstOperands,
     /* 190626 */     // GIR_Coverage, 11233,
     /* 190626 */     GIR_EraseRootFromParent_Done,
     /* 190627 */   // Label 3766: @190627
     /* 190627 */   GIM_Try, /*On fail goto*//*Label 3767*/ GIMT_Encode4(190664), // Rule ID 11234 //
     /* 190632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn2q),
     /* 190640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 190643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 190646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 190649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190653 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1915:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (TRN2_ZZZ_Q:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 190653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_Q),
     /* 190656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190658 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190660 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190662 */     GIR_RootConstrainSelectedInstOperands,
     /* 190663 */     // GIR_Coverage, 11234,
     /* 190663 */     GIR_EraseRootFromParent_Done,
     /* 190664 */   // Label 3767: @190664
     /* 190664 */   GIM_Try, /*On fail goto*//*Label 3768*/ GIMT_Encode4(190701), // Rule ID 11254 //
     /* 190669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 190672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmulh),
     /* 190677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 190680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 190683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 190686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190690 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1812:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SQRDMULH_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 190690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULH_ZZZ_B),
     /* 190693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190695 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190697 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190699 */     GIR_RootConstrainSelectedInstOperands,
     /* 190700 */     // GIR_Coverage, 11254,
     /* 190700 */     GIR_EraseRootFromParent_Done,
     /* 190701 */   // Label 3768: @190701
     /* 190701 */   GIM_Try, /*On fail goto*//*Label 3769*/ GIMT_Encode4(190738), // Rule ID 11255 //
     /* 190706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 190709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmulh),
     /* 190714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 190717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 190720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 190723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190727 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1812:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SQRDMULH_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 190727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULH_ZZZ_H),
     /* 190730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190732 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190734 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190736 */     GIR_RootConstrainSelectedInstOperands,
     /* 190737 */     // GIR_Coverage, 11255,
     /* 190737 */     GIR_EraseRootFromParent_Done,
     /* 190738 */   // Label 3769: @190738
     /* 190738 */   GIM_Try, /*On fail goto*//*Label 3770*/ GIMT_Encode4(190775), // Rule ID 11256 //
     /* 190743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 190746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmulh),
     /* 190751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 190754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 190757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 190760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190764 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1812:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SQRDMULH_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 190764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULH_ZZZ_S),
     /* 190767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190769 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190771 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190773 */     GIR_RootConstrainSelectedInstOperands,
     /* 190774 */     // GIR_Coverage, 11256,
     /* 190774 */     GIR_EraseRootFromParent_Done,
     /* 190775 */   // Label 3770: @190775
     /* 190775 */   GIM_Try, /*On fail goto*//*Label 3771*/ GIMT_Encode4(190812), // Rule ID 11257 //
     /* 190780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 190783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmulh),
     /* 190788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 190791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 190794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 190797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190801 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1812:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SQRDMULH_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 190801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULH_ZZZ_D),
     /* 190804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190806 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190808 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190810 */     GIR_RootConstrainSelectedInstOperands,
     /* 190811 */     // GIR_Coverage, 11257,
     /* 190811 */     GIR_EraseRootFromParent_Done,
     /* 190812 */   // Label 3771: @190812
     /* 190812 */   GIM_Try, /*On fail goto*//*Label 3772*/ GIMT_Encode4(190849), // Rule ID 11545 //
     /* 190817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 190820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saddlt),
     /* 190825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 190828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 190831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 190834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190838 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1676:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SADDLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 190838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLT_ZZZ_H),
     /* 190841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190843 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190845 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190847 */     GIR_RootConstrainSelectedInstOperands,
     /* 190848 */     // GIR_Coverage, 11545,
     /* 190848 */     GIR_EraseRootFromParent_Done,
     /* 190849 */   // Label 3772: @190849
     /* 190849 */   GIM_Try, /*On fail goto*//*Label 3773*/ GIMT_Encode4(190886), // Rule ID 11546 //
     /* 190854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 190857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saddlt),
     /* 190862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 190865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 190868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 190871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190875 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1676:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SADDLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 190875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLT_ZZZ_S),
     /* 190878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190880 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190882 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190884 */     GIR_RootConstrainSelectedInstOperands,
     /* 190885 */     // GIR_Coverage, 11546,
     /* 190885 */     GIR_EraseRootFromParent_Done,
     /* 190886 */   // Label 3773: @190886
     /* 190886 */   GIM_Try, /*On fail goto*//*Label 3774*/ GIMT_Encode4(190923), // Rule ID 11547 //
     /* 190891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 190894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saddlt),
     /* 190899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 190902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 190905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 190908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190912 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1676:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SADDLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 190912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLT_ZZZ_D),
     /* 190915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190917 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190919 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190921 */     GIR_RootConstrainSelectedInstOperands,
     /* 190922 */     // GIR_Coverage, 11547,
     /* 190922 */     GIR_EraseRootFromParent_Done,
     /* 190923 */   // Label 3774: @190923
     /* 190923 */   GIM_Try, /*On fail goto*//*Label 3775*/ GIMT_Encode4(190960), // Rule ID 11548 //
     /* 190928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 190931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uaddlb),
     /* 190936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 190939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 190942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 190945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190949 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1924:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UADDLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 190949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLB_ZZZ_H),
     /* 190952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190954 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190956 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190958 */     GIR_RootConstrainSelectedInstOperands,
     /* 190959 */     // GIR_Coverage, 11548,
     /* 190959 */     GIR_EraseRootFromParent_Done,
     /* 190960 */   // Label 3775: @190960
     /* 190960 */   GIM_Try, /*On fail goto*//*Label 3776*/ GIMT_Encode4(190997), // Rule ID 11549 //
     /* 190965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 190968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uaddlb),
     /* 190973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 190976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 190979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 190982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190986 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1924:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UADDLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 190986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLB_ZZZ_S),
     /* 190989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190991 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190993 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190995 */     GIR_RootConstrainSelectedInstOperands,
     /* 190996 */     // GIR_Coverage, 11549,
     /* 190996 */     GIR_EraseRootFromParent_Done,
     /* 190997 */   // Label 3776: @190997
     /* 190997 */   GIM_Try, /*On fail goto*//*Label 3777*/ GIMT_Encode4(191034), // Rule ID 11550 //
     /* 191002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uaddlb),
     /* 191010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 191013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 191016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 191019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191023 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1924:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UADDLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 191023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLB_ZZZ_D),
     /* 191026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191028 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191030 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191032 */     GIR_RootConstrainSelectedInstOperands,
     /* 191033 */     // GIR_Coverage, 11550,
     /* 191033 */     GIR_EraseRootFromParent_Done,
     /* 191034 */   // Label 3777: @191034
     /* 191034 */   GIM_Try, /*On fail goto*//*Label 3778*/ GIMT_Encode4(191071), // Rule ID 11551 //
     /* 191039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uaddlt),
     /* 191047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 191050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 191053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 191056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191060 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1925:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UADDLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 191060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLT_ZZZ_H),
     /* 191063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191065 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191067 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191069 */     GIR_RootConstrainSelectedInstOperands,
     /* 191070 */     // GIR_Coverage, 11551,
     /* 191070 */     GIR_EraseRootFromParent_Done,
     /* 191071 */   // Label 3778: @191071
     /* 191071 */   GIM_Try, /*On fail goto*//*Label 3779*/ GIMT_Encode4(191108), // Rule ID 11552 //
     /* 191076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uaddlt),
     /* 191084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 191087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 191090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 191093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191097 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1925:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UADDLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 191097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLT_ZZZ_S),
     /* 191100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191102 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191104 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191106 */     GIR_RootConstrainSelectedInstOperands,
     /* 191107 */     // GIR_Coverage, 11552,
     /* 191107 */     GIR_EraseRootFromParent_Done,
     /* 191108 */   // Label 3779: @191108
     /* 191108 */   GIM_Try, /*On fail goto*//*Label 3780*/ GIMT_Encode4(191145), // Rule ID 11553 //
     /* 191113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uaddlt),
     /* 191121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 191124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 191127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 191130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191134 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1925:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UADDLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 191134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLT_ZZZ_D),
     /* 191137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191139 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191141 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191143 */     GIR_RootConstrainSelectedInstOperands,
     /* 191144 */     // GIR_Coverage, 11553,
     /* 191144 */     GIR_EraseRootFromParent_Done,
     /* 191145 */   // Label 3780: @191145
     /* 191145 */   GIM_Try, /*On fail goto*//*Label 3781*/ GIMT_Encode4(191182), // Rule ID 11554 //
     /* 191150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssublb),
     /* 191158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 191161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 191164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 191167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191171 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1853:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SSUBLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 191171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLB_ZZZ_H),
     /* 191174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191176 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191178 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191180 */     GIR_RootConstrainSelectedInstOperands,
     /* 191181 */     // GIR_Coverage, 11554,
     /* 191181 */     GIR_EraseRootFromParent_Done,
     /* 191182 */   // Label 3781: @191182
     /* 191182 */   GIM_Try, /*On fail goto*//*Label 3782*/ GIMT_Encode4(191219), // Rule ID 11555 //
     /* 191187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssublb),
     /* 191195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 191198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 191201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 191204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191208 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1853:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SSUBLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 191208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLB_ZZZ_S),
     /* 191211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191213 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191215 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191217 */     GIR_RootConstrainSelectedInstOperands,
     /* 191218 */     // GIR_Coverage, 11555,
     /* 191218 */     GIR_EraseRootFromParent_Done,
     /* 191219 */   // Label 3782: @191219
     /* 191219 */   GIM_Try, /*On fail goto*//*Label 3783*/ GIMT_Encode4(191256), // Rule ID 11556 //
     /* 191224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssublb),
     /* 191232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 191235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 191238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 191241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191245 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1853:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SSUBLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 191245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLB_ZZZ_D),
     /* 191248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191250 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191252 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191254 */     GIR_RootConstrainSelectedInstOperands,
     /* 191255 */     // GIR_Coverage, 11556,
     /* 191255 */     GIR_EraseRootFromParent_Done,
     /* 191256 */   // Label 3783: @191256
     /* 191256 */   GIM_Try, /*On fail goto*//*Label 3784*/ GIMT_Encode4(191293), // Rule ID 11557 //
     /* 191261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssublt),
     /* 191269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 191272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 191275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 191278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191282 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1855:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SSUBLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 191282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLT_ZZZ_H),
     /* 191285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191287 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191289 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191291 */     GIR_RootConstrainSelectedInstOperands,
     /* 191292 */     // GIR_Coverage, 11557,
     /* 191292 */     GIR_EraseRootFromParent_Done,
     /* 191293 */   // Label 3784: @191293
     /* 191293 */   GIM_Try, /*On fail goto*//*Label 3785*/ GIMT_Encode4(191330), // Rule ID 11558 //
     /* 191298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssublt),
     /* 191306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 191309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 191312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 191315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191319 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1855:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SSUBLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 191319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLT_ZZZ_S),
     /* 191322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191324 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191326 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191328 */     GIR_RootConstrainSelectedInstOperands,
     /* 191329 */     // GIR_Coverage, 11558,
     /* 191329 */     GIR_EraseRootFromParent_Done,
     /* 191330 */   // Label 3785: @191330
     /* 191330 */   GIM_Try, /*On fail goto*//*Label 3786*/ GIMT_Encode4(191367), // Rule ID 11559 //
     /* 191335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssublt),
     /* 191343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 191346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 191349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 191352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191356 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1855:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SSUBLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 191356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLT_ZZZ_D),
     /* 191359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191361 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191363 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191365 */     GIR_RootConstrainSelectedInstOperands,
     /* 191366 */     // GIR_Coverage, 11559,
     /* 191366 */     GIR_EraseRootFromParent_Done,
     /* 191367 */   // Label 3786: @191367
     /* 191367 */   GIM_Try, /*On fail goto*//*Label 3787*/ GIMT_Encode4(191404), // Rule ID 11560 //
     /* 191372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usublb),
     /* 191380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 191383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 191386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 191389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191393 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2049:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (USUBLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 191393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLB_ZZZ_H),
     /* 191396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191398 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191400 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191402 */     GIR_RootConstrainSelectedInstOperands,
     /* 191403 */     // GIR_Coverage, 11560,
     /* 191403 */     GIR_EraseRootFromParent_Done,
     /* 191404 */   // Label 3787: @191404
     /* 191404 */   GIM_Try, /*On fail goto*//*Label 3788*/ GIMT_Encode4(191441), // Rule ID 11561 //
     /* 191409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usublb),
     /* 191417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 191420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 191423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 191426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191430 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2049:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (USUBLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 191430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLB_ZZZ_S),
     /* 191433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191435 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191437 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191439 */     GIR_RootConstrainSelectedInstOperands,
     /* 191440 */     // GIR_Coverage, 11561,
     /* 191440 */     GIR_EraseRootFromParent_Done,
     /* 191441 */   // Label 3788: @191441
     /* 191441 */   GIM_Try, /*On fail goto*//*Label 3789*/ GIMT_Encode4(191478), // Rule ID 11562 //
     /* 191446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usublb),
     /* 191454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 191457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 191460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 191463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191467 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2049:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (USUBLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 191467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLB_ZZZ_D),
     /* 191470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191472 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191474 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191476 */     GIR_RootConstrainSelectedInstOperands,
     /* 191477 */     // GIR_Coverage, 11562,
     /* 191477 */     GIR_EraseRootFromParent_Done,
     /* 191478 */   // Label 3789: @191478
     /* 191478 */   GIM_Try, /*On fail goto*//*Label 3790*/ GIMT_Encode4(191515), // Rule ID 11563 //
     /* 191483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usublt),
     /* 191491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 191494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 191497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 191500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191504 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2050:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (USUBLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 191504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLT_ZZZ_H),
     /* 191507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191509 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191511 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191513 */     GIR_RootConstrainSelectedInstOperands,
     /* 191514 */     // GIR_Coverage, 11563,
     /* 191514 */     GIR_EraseRootFromParent_Done,
     /* 191515 */   // Label 3790: @191515
     /* 191515 */   GIM_Try, /*On fail goto*//*Label 3791*/ GIMT_Encode4(191552), // Rule ID 11564 //
     /* 191520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usublt),
     /* 191528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 191531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 191534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 191537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191541 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2050:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (USUBLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 191541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLT_ZZZ_S),
     /* 191544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191546 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191548 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191550 */     GIR_RootConstrainSelectedInstOperands,
     /* 191551 */     // GIR_Coverage, 11564,
     /* 191551 */     GIR_EraseRootFromParent_Done,
     /* 191552 */   // Label 3791: @191552
     /* 191552 */   GIM_Try, /*On fail goto*//*Label 3792*/ GIMT_Encode4(191589), // Rule ID 11565 //
     /* 191557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usublt),
     /* 191565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 191568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 191571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 191574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191578 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2050:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (USUBLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 191578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLT_ZZZ_D),
     /* 191581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191583 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191585 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191587 */     GIR_RootConstrainSelectedInstOperands,
     /* 191588 */     // GIR_Coverage, 11565,
     /* 191588 */     GIR_EraseRootFromParent_Done,
     /* 191589 */   // Label 3792: @191589
     /* 191589 */   GIM_Try, /*On fail goto*//*Label 3793*/ GIMT_Encode4(191626), // Rule ID 11566 //
     /* 191594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabdlb),
     /* 191602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 191605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 191608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 191611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191615 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1671:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SABDLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 191615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLB_ZZZ_H),
     /* 191618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191620 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191622 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191624 */     GIR_RootConstrainSelectedInstOperands,
     /* 191625 */     // GIR_Coverage, 11566,
     /* 191625 */     GIR_EraseRootFromParent_Done,
     /* 191626 */   // Label 3793: @191626
     /* 191626 */   GIM_Try, /*On fail goto*//*Label 3794*/ GIMT_Encode4(191663), // Rule ID 11567 //
     /* 191631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabdlb),
     /* 191639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 191642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 191645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 191648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191652 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1671:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SABDLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 191652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLB_ZZZ_S),
     /* 191655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191657 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191659 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191661 */     GIR_RootConstrainSelectedInstOperands,
     /* 191662 */     // GIR_Coverage, 11567,
     /* 191662 */     GIR_EraseRootFromParent_Done,
     /* 191663 */   // Label 3794: @191663
     /* 191663 */   GIM_Try, /*On fail goto*//*Label 3795*/ GIMT_Encode4(191700), // Rule ID 11568 //
     /* 191668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabdlb),
     /* 191676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 191679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 191682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 191685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191689 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1671:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SABDLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 191689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLB_ZZZ_D),
     /* 191692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191694 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191696 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191698 */     GIR_RootConstrainSelectedInstOperands,
     /* 191699 */     // GIR_Coverage, 11568,
     /* 191699 */     GIR_EraseRootFromParent_Done,
     /* 191700 */   // Label 3795: @191700
     /* 191700 */   GIM_Try, /*On fail goto*//*Label 3796*/ GIMT_Encode4(191737), // Rule ID 11569 //
     /* 191705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabdlt),
     /* 191713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 191716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 191719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 191722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191726 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1672:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SABDLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 191726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLT_ZZZ_H),
     /* 191729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191731 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191733 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191735 */     GIR_RootConstrainSelectedInstOperands,
     /* 191736 */     // GIR_Coverage, 11569,
     /* 191736 */     GIR_EraseRootFromParent_Done,
     /* 191737 */   // Label 3796: @191737
     /* 191737 */   GIM_Try, /*On fail goto*//*Label 3797*/ GIMT_Encode4(191774), // Rule ID 11570 //
     /* 191742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabdlt),
     /* 191750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 191753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 191756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 191759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191763 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1672:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SABDLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 191763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLT_ZZZ_S),
     /* 191766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191768 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191770 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191772 */     GIR_RootConstrainSelectedInstOperands,
     /* 191773 */     // GIR_Coverage, 11570,
     /* 191773 */     GIR_EraseRootFromParent_Done,
     /* 191774 */   // Label 3797: @191774
     /* 191774 */   GIM_Try, /*On fail goto*//*Label 3798*/ GIMT_Encode4(191811), // Rule ID 11571 //
     /* 191779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabdlt),
     /* 191787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 191790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 191793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 191796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191800 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1672:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SABDLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 191800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLT_ZZZ_D),
     /* 191803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191805 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191807 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191809 */     GIR_RootConstrainSelectedInstOperands,
     /* 191810 */     // GIR_Coverage, 11571,
     /* 191810 */     GIR_EraseRootFromParent_Done,
     /* 191811 */   // Label 3798: @191811
     /* 191811 */   GIM_Try, /*On fail goto*//*Label 3799*/ GIMT_Encode4(191848), // Rule ID 11572 //
     /* 191816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabdlb),
     /* 191824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 191827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 191830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 191833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191837 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1921:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UABDLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 191837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLB_ZZZ_H),
     /* 191840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191842 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191844 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191846 */     GIR_RootConstrainSelectedInstOperands,
     /* 191847 */     // GIR_Coverage, 11572,
     /* 191847 */     GIR_EraseRootFromParent_Done,
     /* 191848 */   // Label 3799: @191848
     /* 191848 */   GIM_Try, /*On fail goto*//*Label 3800*/ GIMT_Encode4(191885), // Rule ID 11573 //
     /* 191853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabdlb),
     /* 191861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 191864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 191867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 191870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191874 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1921:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UABDLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 191874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLB_ZZZ_S),
     /* 191877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191879 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191881 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191883 */     GIR_RootConstrainSelectedInstOperands,
     /* 191884 */     // GIR_Coverage, 11573,
     /* 191884 */     GIR_EraseRootFromParent_Done,
     /* 191885 */   // Label 3800: @191885
     /* 191885 */   GIM_Try, /*On fail goto*//*Label 3801*/ GIMT_Encode4(191922), // Rule ID 11574 //
     /* 191890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabdlb),
     /* 191898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 191901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 191904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 191907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191911 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1921:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UABDLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 191911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLB_ZZZ_D),
     /* 191914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191916 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191918 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191920 */     GIR_RootConstrainSelectedInstOperands,
     /* 191921 */     // GIR_Coverage, 11574,
     /* 191921 */     GIR_EraseRootFromParent_Done,
     /* 191922 */   // Label 3801: @191922
     /* 191922 */   GIM_Try, /*On fail goto*//*Label 3802*/ GIMT_Encode4(191959), // Rule ID 11575 //
     /* 191927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabdlt),
     /* 191935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 191938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 191941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 191944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191948 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1922:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UABDLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 191948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLT_ZZZ_H),
     /* 191951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191953 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191955 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191957 */     GIR_RootConstrainSelectedInstOperands,
     /* 191958 */     // GIR_Coverage, 11575,
     /* 191958 */     GIR_EraseRootFromParent_Done,
     /* 191959 */   // Label 3802: @191959
     /* 191959 */   GIM_Try, /*On fail goto*//*Label 3803*/ GIMT_Encode4(191996), // Rule ID 11576 //
     /* 191964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabdlt),
     /* 191972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 191975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 191978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 191981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191985 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1922:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UABDLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 191985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLT_ZZZ_S),
     /* 191988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191990 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191992 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191994 */     GIR_RootConstrainSelectedInstOperands,
     /* 191995 */     // GIR_Coverage, 11576,
     /* 191995 */     GIR_EraseRootFromParent_Done,
     /* 191996 */   // Label 3803: @191996
     /* 191996 */   GIM_Try, /*On fail goto*//*Label 3804*/ GIMT_Encode4(192033), // Rule ID 11577 //
     /* 192001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabdlt),
     /* 192009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 192012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 192015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 192018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192022 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1922:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UABDLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 192022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLT_ZZZ_D),
     /* 192025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192027 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192029 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192031 */     GIR_RootConstrainSelectedInstOperands,
     /* 192032 */     // GIR_Coverage, 11577,
     /* 192032 */     GIR_EraseRootFromParent_Done,
     /* 192033 */   // Label 3804: @192033
     /* 192033 */   GIM_Try, /*On fail goto*//*Label 3805*/ GIMT_Encode4(192070), // Rule ID 11587 //
     /* 192038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssubwb),
     /* 192046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 192049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 192052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 192055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192059 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1857:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SSUBWB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 192059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWB_ZZZ_H),
     /* 192062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192064 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192066 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192068 */     GIR_RootConstrainSelectedInstOperands,
     /* 192069 */     // GIR_Coverage, 11587,
     /* 192069 */     GIR_EraseRootFromParent_Done,
     /* 192070 */   // Label 3805: @192070
     /* 192070 */   GIM_Try, /*On fail goto*//*Label 3806*/ GIMT_Encode4(192107), // Rule ID 11588 //
     /* 192075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssubwb),
     /* 192083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 192086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 192089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 192092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192096 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1857:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SSUBWB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 192096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWB_ZZZ_S),
     /* 192099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192101 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192103 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192105 */     GIR_RootConstrainSelectedInstOperands,
     /* 192106 */     // GIR_Coverage, 11588,
     /* 192106 */     GIR_EraseRootFromParent_Done,
     /* 192107 */   // Label 3806: @192107
     /* 192107 */   GIM_Try, /*On fail goto*//*Label 3807*/ GIMT_Encode4(192144), // Rule ID 11589 //
     /* 192112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssubwb),
     /* 192120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 192123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 192126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 192129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192133 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1857:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SSUBWB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 192133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWB_ZZZ_D),
     /* 192136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192138 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192140 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192142 */     GIR_RootConstrainSelectedInstOperands,
     /* 192143 */     // GIR_Coverage, 11589,
     /* 192143 */     GIR_EraseRootFromParent_Done,
     /* 192144 */   // Label 3807: @192144
     /* 192144 */   GIM_Try, /*On fail goto*//*Label 3808*/ GIMT_Encode4(192181), // Rule ID 11590 //
     /* 192149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssubwt),
     /* 192157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 192160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 192163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 192166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192170 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1858:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SSUBWT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 192170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWT_ZZZ_H),
     /* 192173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192175 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192177 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192179 */     GIR_RootConstrainSelectedInstOperands,
     /* 192180 */     // GIR_Coverage, 11590,
     /* 192180 */     GIR_EraseRootFromParent_Done,
     /* 192181 */   // Label 3808: @192181
     /* 192181 */   GIM_Try, /*On fail goto*//*Label 3809*/ GIMT_Encode4(192218), // Rule ID 11591 //
     /* 192186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssubwt),
     /* 192194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 192197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 192200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 192203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192207 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1858:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SSUBWT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 192207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWT_ZZZ_S),
     /* 192210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192212 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192214 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192216 */     GIR_RootConstrainSelectedInstOperands,
     /* 192217 */     // GIR_Coverage, 11591,
     /* 192217 */     GIR_EraseRootFromParent_Done,
     /* 192218 */   // Label 3809: @192218
     /* 192218 */   GIM_Try, /*On fail goto*//*Label 3810*/ GIMT_Encode4(192255), // Rule ID 11592 //
     /* 192223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssubwt),
     /* 192231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 192234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 192237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 192240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192244 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1858:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SSUBWT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 192244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWT_ZZZ_D),
     /* 192247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192249 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192251 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192253 */     GIR_RootConstrainSelectedInstOperands,
     /* 192254 */     // GIR_Coverage, 11592,
     /* 192254 */     GIR_EraseRootFromParent_Done,
     /* 192255 */   // Label 3810: @192255
     /* 192255 */   GIM_Try, /*On fail goto*//*Label 3811*/ GIMT_Encode4(192292), // Rule ID 11593 //
     /* 192260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usubwb),
     /* 192268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 192271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 192274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 192277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192281 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2051:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (USUBWB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 192281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWB_ZZZ_H),
     /* 192284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192286 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192288 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192290 */     GIR_RootConstrainSelectedInstOperands,
     /* 192291 */     // GIR_Coverage, 11593,
     /* 192291 */     GIR_EraseRootFromParent_Done,
     /* 192292 */   // Label 3811: @192292
     /* 192292 */   GIM_Try, /*On fail goto*//*Label 3812*/ GIMT_Encode4(192329), // Rule ID 11594 //
     /* 192297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usubwb),
     /* 192305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 192308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 192311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 192314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192318 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2051:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (USUBWB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 192318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWB_ZZZ_S),
     /* 192321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192323 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192325 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192327 */     GIR_RootConstrainSelectedInstOperands,
     /* 192328 */     // GIR_Coverage, 11594,
     /* 192328 */     GIR_EraseRootFromParent_Done,
     /* 192329 */   // Label 3812: @192329
     /* 192329 */   GIM_Try, /*On fail goto*//*Label 3813*/ GIMT_Encode4(192366), // Rule ID 11595 //
     /* 192334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usubwb),
     /* 192342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 192345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 192348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 192351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192355 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2051:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (USUBWB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 192355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWB_ZZZ_D),
     /* 192358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192360 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192362 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192364 */     GIR_RootConstrainSelectedInstOperands,
     /* 192365 */     // GIR_Coverage, 11595,
     /* 192365 */     GIR_EraseRootFromParent_Done,
     /* 192366 */   // Label 3813: @192366
     /* 192366 */   GIM_Try, /*On fail goto*//*Label 3814*/ GIMT_Encode4(192403), // Rule ID 11596 //
     /* 192371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usubwt),
     /* 192379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 192382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 192385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 192388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192392 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2052:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (USUBWT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 192392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWT_ZZZ_H),
     /* 192395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192397 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192399 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192401 */     GIR_RootConstrainSelectedInstOperands,
     /* 192402 */     // GIR_Coverage, 11596,
     /* 192402 */     GIR_EraseRootFromParent_Done,
     /* 192403 */   // Label 3814: @192403
     /* 192403 */   GIM_Try, /*On fail goto*//*Label 3815*/ GIMT_Encode4(192440), // Rule ID 11597 //
     /* 192408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usubwt),
     /* 192416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 192419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 192422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 192425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192429 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2052:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (USUBWT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 192429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWT_ZZZ_S),
     /* 192432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192434 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192436 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192438 */     GIR_RootConstrainSelectedInstOperands,
     /* 192439 */     // GIR_Coverage, 11597,
     /* 192439 */     GIR_EraseRootFromParent_Done,
     /* 192440 */   // Label 3815: @192440
     /* 192440 */   GIM_Try, /*On fail goto*//*Label 3816*/ GIMT_Encode4(192477), // Rule ID 11598 //
     /* 192445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usubwt),
     /* 192453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 192456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 192459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 192462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192466 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2052:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (USUBWT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 192466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWT_ZZZ_D),
     /* 192469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192471 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192473 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192475 */     GIR_RootConstrainSelectedInstOperands,
     /* 192476 */     // GIR_Coverage, 11598,
     /* 192476 */     GIR_EraseRootFromParent_Done,
     /* 192477 */   // Label 3816: @192477
     /* 192477 */   GIM_Try, /*On fail goto*//*Label 3817*/ GIMT_Encode4(192514), // Rule ID 11599 //
     /* 192482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmullb),
     /* 192490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 192493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 192496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 192499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192503 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1787:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SQDMULLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 192503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLB_ZZZ_H),
     /* 192506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192508 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192510 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192512 */     GIR_RootConstrainSelectedInstOperands,
     /* 192513 */     // GIR_Coverage, 11599,
     /* 192513 */     GIR_EraseRootFromParent_Done,
     /* 192514 */   // Label 3817: @192514
     /* 192514 */   GIM_Try, /*On fail goto*//*Label 3818*/ GIMT_Encode4(192551), // Rule ID 11600 //
     /* 192519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmullb),
     /* 192527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 192530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 192533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 192536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192540 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1787:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SQDMULLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 192540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLB_ZZZ_S),
     /* 192543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192545 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192547 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192549 */     GIR_RootConstrainSelectedInstOperands,
     /* 192550 */     // GIR_Coverage, 11600,
     /* 192550 */     GIR_EraseRootFromParent_Done,
     /* 192551 */   // Label 3818: @192551
     /* 192551 */   GIM_Try, /*On fail goto*//*Label 3819*/ GIMT_Encode4(192588), // Rule ID 11601 //
     /* 192556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmullb),
     /* 192564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 192567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 192570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 192573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192577 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1787:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SQDMULLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 192577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLB_ZZZ_D),
     /* 192580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192582 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192584 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192586 */     GIR_RootConstrainSelectedInstOperands,
     /* 192587 */     // GIR_Coverage, 11601,
     /* 192587 */     GIR_EraseRootFromParent_Done,
     /* 192588 */   // Label 3819: @192588
     /* 192588 */   GIM_Try, /*On fail goto*//*Label 3820*/ GIMT_Encode4(192625), // Rule ID 11602 //
     /* 192593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmullt),
     /* 192601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 192604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 192607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 192610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192614 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1789:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SQDMULLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 192614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLT_ZZZ_H),
     /* 192617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192619 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192621 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192623 */     GIR_RootConstrainSelectedInstOperands,
     /* 192624 */     // GIR_Coverage, 11602,
     /* 192624 */     GIR_EraseRootFromParent_Done,
     /* 192625 */   // Label 3820: @192625
     /* 192625 */   GIM_Try, /*On fail goto*//*Label 3821*/ GIMT_Encode4(192662), // Rule ID 11603 //
     /* 192630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmullt),
     /* 192638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 192641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 192644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 192647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192651 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1789:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SQDMULLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 192651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLT_ZZZ_S),
     /* 192654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192656 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192658 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192660 */     GIR_RootConstrainSelectedInstOperands,
     /* 192661 */     // GIR_Coverage, 11603,
     /* 192661 */     GIR_EraseRootFromParent_Done,
     /* 192662 */   // Label 3821: @192662
     /* 192662 */   GIM_Try, /*On fail goto*//*Label 3822*/ GIMT_Encode4(192699), // Rule ID 11604 //
     /* 192667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmullt),
     /* 192675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 192678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 192681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 192684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192688 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1789:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SQDMULLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 192688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLT_ZZZ_D),
     /* 192691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192693 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192695 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192697 */     GIR_RootConstrainSelectedInstOperands,
     /* 192698 */     // GIR_Coverage, 11604,
     /* 192698 */     GIR_EraseRootFromParent_Done,
     /* 192699 */   // Label 3822: @192699
     /* 192699 */   GIM_Try, /*On fail goto*//*Label 3823*/ GIMT_Encode4(192736), // Rule ID 11605 //
     /* 192704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smullb),
     /* 192712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 192715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 192718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 192721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192725 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1740:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SMULLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 192725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLB_ZZZ_H),
     /* 192728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192730 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192732 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192734 */     GIR_RootConstrainSelectedInstOperands,
     /* 192735 */     // GIR_Coverage, 11605,
     /* 192735 */     GIR_EraseRootFromParent_Done,
     /* 192736 */   // Label 3823: @192736
     /* 192736 */   GIM_Try, /*On fail goto*//*Label 3824*/ GIMT_Encode4(192773), // Rule ID 11606 //
     /* 192741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smullb),
     /* 192749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 192752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 192755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 192758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192762 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1740:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SMULLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 192762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLB_ZZZ_S),
     /* 192765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192767 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192769 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192771 */     GIR_RootConstrainSelectedInstOperands,
     /* 192772 */     // GIR_Coverage, 11606,
     /* 192772 */     GIR_EraseRootFromParent_Done,
     /* 192773 */   // Label 3824: @192773
     /* 192773 */   GIM_Try, /*On fail goto*//*Label 3825*/ GIMT_Encode4(192810), // Rule ID 11607 //
     /* 192778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smullb),
     /* 192786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 192789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 192792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 192795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192799 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1740:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SMULLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 192799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLB_ZZZ_D),
     /* 192802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192804 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192806 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192808 */     GIR_RootConstrainSelectedInstOperands,
     /* 192809 */     // GIR_Coverage, 11607,
     /* 192809 */     GIR_EraseRootFromParent_Done,
     /* 192810 */   // Label 3825: @192810
     /* 192810 */   GIM_Try, /*On fail goto*//*Label 3826*/ GIMT_Encode4(192847), // Rule ID 11608 //
     /* 192815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smullt),
     /* 192823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 192826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 192829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 192832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192836 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1742:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SMULLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 192836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLT_ZZZ_H),
     /* 192839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192841 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192843 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192845 */     GIR_RootConstrainSelectedInstOperands,
     /* 192846 */     // GIR_Coverage, 11608,
     /* 192846 */     GIR_EraseRootFromParent_Done,
     /* 192847 */   // Label 3826: @192847
     /* 192847 */   GIM_Try, /*On fail goto*//*Label 3827*/ GIMT_Encode4(192884), // Rule ID 11609 //
     /* 192852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smullt),
     /* 192860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 192863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 192866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 192869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192873 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1742:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SMULLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 192873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLT_ZZZ_S),
     /* 192876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192878 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192880 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192882 */     GIR_RootConstrainSelectedInstOperands,
     /* 192883 */     // GIR_Coverage, 11609,
     /* 192883 */     GIR_EraseRootFromParent_Done,
     /* 192884 */   // Label 3827: @192884
     /* 192884 */   GIM_Try, /*On fail goto*//*Label 3828*/ GIMT_Encode4(192921), // Rule ID 11610 //
     /* 192889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smullt),
     /* 192897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 192900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 192903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 192906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192910 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1742:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SMULLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 192910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLT_ZZZ_D),
     /* 192913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192915 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192917 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192919 */     GIR_RootConstrainSelectedInstOperands,
     /* 192920 */     // GIR_Coverage, 11610,
     /* 192920 */     GIR_EraseRootFromParent_Done,
     /* 192921 */   // Label 3828: @192921
     /* 192921 */   GIM_Try, /*On fail goto*//*Label 3829*/ GIMT_Encode4(192958), // Rule ID 11611 //
     /* 192926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umullb),
     /* 192934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 192937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 192940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 192943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192947 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1978:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UMULLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 192947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLB_ZZZ_H),
     /* 192950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192952 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192954 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192956 */     GIR_RootConstrainSelectedInstOperands,
     /* 192957 */     // GIR_Coverage, 11611,
     /* 192957 */     GIR_EraseRootFromParent_Done,
     /* 192958 */   // Label 3829: @192958
     /* 192958 */   GIM_Try, /*On fail goto*//*Label 3830*/ GIMT_Encode4(192995), // Rule ID 11612 //
     /* 192963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umullb),
     /* 192971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 192974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 192977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 192980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192984 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1978:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UMULLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 192984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLB_ZZZ_S),
     /* 192987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192989 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192991 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192993 */     GIR_RootConstrainSelectedInstOperands,
     /* 192994 */     // GIR_Coverage, 11612,
     /* 192994 */     GIR_EraseRootFromParent_Done,
     /* 192995 */   // Label 3830: @192995
     /* 192995 */   GIM_Try, /*On fail goto*//*Label 3831*/ GIMT_Encode4(193032), // Rule ID 11613 //
     /* 193000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umullb),
     /* 193008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 193011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 193014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 193017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193021 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1978:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UMULLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 193021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLB_ZZZ_D),
     /* 193024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193026 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193028 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193030 */     GIR_RootConstrainSelectedInstOperands,
     /* 193031 */     // GIR_Coverage, 11613,
     /* 193031 */     GIR_EraseRootFromParent_Done,
     /* 193032 */   // Label 3831: @193032
     /* 193032 */   GIM_Try, /*On fail goto*//*Label 3832*/ GIMT_Encode4(193069), // Rule ID 11614 //
     /* 193037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umullt),
     /* 193045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 193048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 193051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 193054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193058 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1980:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UMULLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 193058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLT_ZZZ_H),
     /* 193061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193063 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193065 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193067 */     GIR_RootConstrainSelectedInstOperands,
     /* 193068 */     // GIR_Coverage, 11614,
     /* 193068 */     GIR_EraseRootFromParent_Done,
     /* 193069 */   // Label 3832: @193069
     /* 193069 */   GIM_Try, /*On fail goto*//*Label 3833*/ GIMT_Encode4(193106), // Rule ID 11615 //
     /* 193074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umullt),
     /* 193082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 193085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 193088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 193091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193095 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1980:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UMULLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 193095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLT_ZZZ_S),
     /* 193098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193100 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193102 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193104 */     GIR_RootConstrainSelectedInstOperands,
     /* 193105 */     // GIR_Coverage, 11615,
     /* 193105 */     GIR_EraseRootFromParent_Done,
     /* 193106 */   // Label 3833: @193106
     /* 193106 */   GIM_Try, /*On fail goto*//*Label 3834*/ GIMT_Encode4(193143), // Rule ID 11616 //
     /* 193111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umullt),
     /* 193119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 193122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 193125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 193128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193132 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1980:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UMULLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 193132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLT_ZZZ_D),
     /* 193135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193137 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193139 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193141 */     GIR_RootConstrainSelectedInstOperands,
     /* 193142 */     // GIR_Coverage, 11616,
     /* 193142 */     GIR_EraseRootFromParent_Done,
     /* 193143 */   // Label 3834: @193143
     /* 193143 */   GIM_Try, /*On fail goto*//*Label 3835*/ GIMT_Encode4(193180), // Rule ID 11617 //
     /* 193148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmullt_pair),
     /* 193156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 193159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 193162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 193165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193169 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1618:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (PMULLT_ZZZ_H:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 193169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMULLT_ZZZ_H),
     /* 193172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193174 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193176 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193178 */     GIR_RootConstrainSelectedInstOperands,
     /* 193179 */     // GIR_Coverage, 11617,
     /* 193179 */     GIR_EraseRootFromParent_Done,
     /* 193180 */   // Label 3835: @193180
     /* 193180 */   GIM_Try, /*On fail goto*//*Label 3836*/ GIMT_Encode4(193217), // Rule ID 11618 //
     /* 193185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmullt_pair),
     /* 193193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 193196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 193199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 193202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193206 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1618:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (PMULLT_ZZZ_D:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 193206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMULLT_ZZZ_D),
     /* 193209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193211 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193213 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193215 */     GIR_RootConstrainSelectedInstOperands,
     /* 193216 */     // GIR_Coverage, 11618,
     /* 193216 */     GIR_EraseRootFromParent_Done,
     /* 193217 */   // Label 3836: @193217
     /* 193217 */   GIM_Try, /*On fail goto*//*Label 3837*/ GIMT_Encode4(193254), // Rule ID 11719 //
     /* 193222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_raddhnb),
     /* 193230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 193233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 193236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 193239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193243 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1648:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (RADDHNB_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 193243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNB_ZZZ_B),
     /* 193246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193248 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193250 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193252 */     GIR_RootConstrainSelectedInstOperands,
     /* 193253 */     // GIR_Coverage, 11719,
     /* 193253 */     GIR_EraseRootFromParent_Done,
     /* 193254 */   // Label 3837: @193254
     /* 193254 */   GIM_Try, /*On fail goto*//*Label 3838*/ GIMT_Encode4(193291), // Rule ID 11720 //
     /* 193259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_raddhnb),
     /* 193267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 193270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 193273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 193276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193280 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1648:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (RADDHNB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 193280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNB_ZZZ_H),
     /* 193283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193285 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193287 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193289 */     GIR_RootConstrainSelectedInstOperands,
     /* 193290 */     // GIR_Coverage, 11720,
     /* 193290 */     GIR_EraseRootFromParent_Done,
     /* 193291 */   // Label 3838: @193291
     /* 193291 */   GIM_Try, /*On fail goto*//*Label 3839*/ GIMT_Encode4(193328), // Rule ID 11721 //
     /* 193296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_raddhnb),
     /* 193304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 193307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 193310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 193313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193317 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1648:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (RADDHNB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 193317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNB_ZZZ_S),
     /* 193320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193322 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193324 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193326 */     GIR_RootConstrainSelectedInstOperands,
     /* 193327 */     // GIR_Coverage, 11721,
     /* 193327 */     GIR_EraseRootFromParent_Done,
     /* 193328 */   // Label 3839: @193328
     /* 193328 */   GIM_Try, /*On fail goto*//*Label 3840*/ GIMT_Encode4(193365), // Rule ID 11722 //
     /* 193333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_subhnb),
     /* 193341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 193344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 193347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 193350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193354 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1889:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SUBHNB_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 193354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNB_ZZZ_B),
     /* 193357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193359 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193361 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193363 */     GIR_RootConstrainSelectedInstOperands,
     /* 193364 */     // GIR_Coverage, 11722,
     /* 193364 */     GIR_EraseRootFromParent_Done,
     /* 193365 */   // Label 3840: @193365
     /* 193365 */   GIM_Try, /*On fail goto*//*Label 3841*/ GIMT_Encode4(193402), // Rule ID 11723 //
     /* 193370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_subhnb),
     /* 193378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 193381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 193384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 193387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193391 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1889:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SUBHNB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 193391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNB_ZZZ_H),
     /* 193394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193396 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193398 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193400 */     GIR_RootConstrainSelectedInstOperands,
     /* 193401 */     // GIR_Coverage, 11723,
     /* 193401 */     GIR_EraseRootFromParent_Done,
     /* 193402 */   // Label 3841: @193402
     /* 193402 */   GIM_Try, /*On fail goto*//*Label 3842*/ GIMT_Encode4(193439), // Rule ID 11724 //
     /* 193407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_subhnb),
     /* 193415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 193418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 193421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 193424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193428 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1889:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SUBHNB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 193428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNB_ZZZ_S),
     /* 193431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193433 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193435 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193437 */     GIR_RootConstrainSelectedInstOperands,
     /* 193438 */     // GIR_Coverage, 11724,
     /* 193438 */     GIR_EraseRootFromParent_Done,
     /* 193439 */   // Label 3842: @193439
     /* 193439 */   GIM_Try, /*On fail goto*//*Label 3843*/ GIMT_Encode4(193476), // Rule ID 11725 //
     /* 193444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rsubhnb),
     /* 193452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 193455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 193458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 193461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193465 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1664:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (RSUBHNB_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 193465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNB_ZZZ_B),
     /* 193468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193470 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193472 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193474 */     GIR_RootConstrainSelectedInstOperands,
     /* 193475 */     // GIR_Coverage, 11725,
     /* 193475 */     GIR_EraseRootFromParent_Done,
     /* 193476 */   // Label 3843: @193476
     /* 193476 */   GIM_Try, /*On fail goto*//*Label 3844*/ GIMT_Encode4(193513), // Rule ID 11726 //
     /* 193481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rsubhnb),
     /* 193489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 193492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 193495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 193498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193502 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1664:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (RSUBHNB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 193502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNB_ZZZ_H),
     /* 193505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193507 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193509 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193511 */     GIR_RootConstrainSelectedInstOperands,
     /* 193512 */     // GIR_Coverage, 11726,
     /* 193512 */     GIR_EraseRootFromParent_Done,
     /* 193513 */   // Label 3844: @193513
     /* 193513 */   GIM_Try, /*On fail goto*//*Label 3845*/ GIMT_Encode4(193550), // Rule ID 11727 //
     /* 193518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rsubhnb),
     /* 193526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 193529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 193532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 193535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193539 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1664:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (RSUBHNB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 193539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNB_ZZZ_S),
     /* 193542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193544 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193546 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193548 */     GIR_RootConstrainSelectedInstOperands,
     /* 193549 */     // GIR_Coverage, 11727,
     /* 193549 */     GIR_EraseRootFromParent_Done,
     /* 193550 */   // Label 3845: @193550
     /* 193550 */   GIM_Try, /*On fail goto*//*Label 3846*/ GIMT_Encode4(193587), // Rule ID 11743 //
     /* 193555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqxtnt),
     /* 193563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 193566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 193569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 193572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193576 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2031:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UQXTNT_ZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 193576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQXTNT_ZZ_B),
     /* 193579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193581 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193583 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193585 */     GIR_RootConstrainSelectedInstOperands,
     /* 193586 */     // GIR_Coverage, 11743,
     /* 193586 */     GIR_EraseRootFromParent_Done,
     /* 193587 */   // Label 3846: @193587
     /* 193587 */   GIM_Try, /*On fail goto*//*Label 3847*/ GIMT_Encode4(193624), // Rule ID 11744 //
     /* 193592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqxtnt),
     /* 193600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 193603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 193606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 193609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193613 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2031:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UQXTNT_ZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 193613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQXTNT_ZZ_H),
     /* 193616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193618 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193620 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193622 */     GIR_RootConstrainSelectedInstOperands,
     /* 193623 */     // GIR_Coverage, 11744,
     /* 193623 */     GIR_EraseRootFromParent_Done,
     /* 193624 */   // Label 3847: @193624
     /* 193624 */   GIM_Try, /*On fail goto*//*Label 3848*/ GIMT_Encode4(193661), // Rule ID 11745 //
     /* 193629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqxtnt),
     /* 193637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 193640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 193643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 193646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193650 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2031:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (UQXTNT_ZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 193650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQXTNT_ZZ_S),
     /* 193653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193655 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193657 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193659 */     GIR_RootConstrainSelectedInstOperands,
     /* 193660 */     // GIR_Coverage, 11745,
     /* 193660 */     GIR_EraseRootFromParent_Done,
     /* 193661 */   // Label 3848: @193661
     /* 193661 */   GIM_Try, /*On fail goto*//*Label 3849*/ GIMT_Encode4(193698), // Rule ID 11746 //
     /* 193666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtunt),
     /* 193674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 193677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 193680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 193683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193687 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1840:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SQXTUNT_ZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 193687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTUNT_ZZ_B),
     /* 193690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193692 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193694 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193696 */     GIR_RootConstrainSelectedInstOperands,
     /* 193697 */     // GIR_Coverage, 11746,
     /* 193697 */     GIR_EraseRootFromParent_Done,
     /* 193698 */   // Label 3849: @193698
     /* 193698 */   GIM_Try, /*On fail goto*//*Label 3850*/ GIMT_Encode4(193735), // Rule ID 11747 //
     /* 193703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtunt),
     /* 193711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 193714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 193717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 193720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193724 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1840:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SQXTUNT_ZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 193724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTUNT_ZZ_H),
     /* 193727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193729 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193731 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193733 */     GIR_RootConstrainSelectedInstOperands,
     /* 193734 */     // GIR_Coverage, 11747,
     /* 193734 */     GIR_EraseRootFromParent_Done,
     /* 193735 */   // Label 3850: @193735
     /* 193735 */   GIM_Try, /*On fail goto*//*Label 3851*/ GIMT_Encode4(193772), // Rule ID 11748 //
     /* 193740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtunt),
     /* 193748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 193751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 193754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 193757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193761 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1840:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SQXTUNT_ZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 193761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTUNT_ZZ_S),
     /* 193764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193766 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193768 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193770 */     GIR_RootConstrainSelectedInstOperands,
     /* 193771 */     // GIR_Coverage, 11748,
     /* 193771 */     GIR_EraseRootFromParent_Done,
     /* 193772 */   // Label 3851: @193772
     /* 193772 */   GIM_Try, /*On fail goto*//*Label 3852*/ GIMT_Encode4(193809), // Rule ID 11764 //
     /* 193777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssublbt),
     /* 193785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 193788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 193791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 193794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193798 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1854:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SSUBLBT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 193798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLBT_ZZZ_H),
     /* 193801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193803 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193805 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193807 */     GIR_RootConstrainSelectedInstOperands,
     /* 193808 */     // GIR_Coverage, 11764,
     /* 193808 */     GIR_EraseRootFromParent_Done,
     /* 193809 */   // Label 3852: @193809
     /* 193809 */   GIM_Try, /*On fail goto*//*Label 3853*/ GIMT_Encode4(193846), // Rule ID 11765 //
     /* 193814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssublbt),
     /* 193822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 193825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 193828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 193831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193835 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1854:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SSUBLBT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 193835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLBT_ZZZ_S),
     /* 193838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193840 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193842 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193844 */     GIR_RootConstrainSelectedInstOperands,
     /* 193845 */     // GIR_Coverage, 11765,
     /* 193845 */     GIR_EraseRootFromParent_Done,
     /* 193846 */   // Label 3853: @193846
     /* 193846 */   GIM_Try, /*On fail goto*//*Label 3854*/ GIMT_Encode4(193883), // Rule ID 11766 //
     /* 193851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssublbt),
     /* 193859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 193862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 193865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 193868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193872 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1854:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SSUBLBT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 193872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLBT_ZZZ_D),
     /* 193875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193877 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193879 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193881 */     GIR_RootConstrainSelectedInstOperands,
     /* 193882 */     // GIR_Coverage, 11766,
     /* 193882 */     GIR_EraseRootFromParent_Done,
     /* 193883 */   // Label 3854: @193883
     /* 193883 */   GIM_Try, /*On fail goto*//*Label 3855*/ GIMT_Encode4(193920), // Rule ID 11767 //
     /* 193888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssubltb),
     /* 193896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 193899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 193902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 193905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193909 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1856:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SSUBLTB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 193909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLTB_ZZZ_H),
     /* 193912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193914 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193916 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193918 */     GIR_RootConstrainSelectedInstOperands,
     /* 193919 */     // GIR_Coverage, 11767,
     /* 193919 */     GIR_EraseRootFromParent_Done,
     /* 193920 */   // Label 3855: @193920
     /* 193920 */   GIM_Try, /*On fail goto*//*Label 3856*/ GIMT_Encode4(193957), // Rule ID 11768 //
     /* 193925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssubltb),
     /* 193933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 193936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 193939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 193942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193946 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1856:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SSUBLTB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 193946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLTB_ZZZ_S),
     /* 193949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193951 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193953 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193955 */     GIR_RootConstrainSelectedInstOperands,
     /* 193956 */     // GIR_Coverage, 11768,
     /* 193956 */     GIR_EraseRootFromParent_Done,
     /* 193957 */   // Label 3856: @193957
     /* 193957 */   GIM_Try, /*On fail goto*//*Label 3857*/ GIMT_Encode4(193994), // Rule ID 11769 //
     /* 193962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssubltb),
     /* 193970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 193973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 193976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 193979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193983 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1856:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SSUBLTB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 193983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLTB_ZZZ_D),
     /* 193986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193988 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193990 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193992 */     GIR_RootConstrainSelectedInstOperands,
     /* 193993 */     // GIR_Coverage, 11769,
     /* 193993 */     GIR_EraseRootFromParent_Done,
     /* 193994 */   // Label 3857: @193994
     /* 193994 */   GIM_Try, /*On fail goto*//*Label 3858*/ GIMT_Encode4(194034), // Rule ID 11844 //
     /* 193999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilege),
     /* 194007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 194010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 194013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 194016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 194020 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2076:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEGE_PWW_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 194020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGE_PWW_B),
     /* 194023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 194025 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194027 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194029 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 194032 */     GIR_RootConstrainSelectedInstOperands,
     /* 194033 */     // GIR_Coverage, 11844,
     /* 194033 */     GIR_EraseRootFromParent_Done,
     /* 194034 */   // Label 3858: @194034
     /* 194034 */   GIM_Try, /*On fail goto*//*Label 3859*/ GIMT_Encode4(194074), // Rule ID 11845 //
     /* 194039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilege),
     /* 194047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 194050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 194053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 194056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 194060 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2076:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEGE_PWW_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 194060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGE_PWW_H),
     /* 194063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 194065 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194067 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194069 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 194072 */     GIR_RootConstrainSelectedInstOperands,
     /* 194073 */     // GIR_Coverage, 11845,
     /* 194073 */     GIR_EraseRootFromParent_Done,
     /* 194074 */   // Label 3859: @194074
     /* 194074 */   GIM_Try, /*On fail goto*//*Label 3860*/ GIMT_Encode4(194114), // Rule ID 11846 //
     /* 194079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilege),
     /* 194087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 194090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 194093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 194096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 194100 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2076:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEGE_PWW_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 194100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGE_PWW_S),
     /* 194103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 194105 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194107 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194109 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 194112 */     GIR_RootConstrainSelectedInstOperands,
     /* 194113 */     // GIR_Coverage, 11846,
     /* 194113 */     GIR_EraseRootFromParent_Done,
     /* 194114 */   // Label 3860: @194114
     /* 194114 */   GIM_Try, /*On fail goto*//*Label 3861*/ GIMT_Encode4(194154), // Rule ID 11847 //
     /* 194119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilege),
     /* 194127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 194130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 194133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 194136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 194140 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2076:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEGE_PWW_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 194140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGE_PWW_D),
     /* 194143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 194145 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194147 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194149 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 194152 */     GIR_RootConstrainSelectedInstOperands,
     /* 194153 */     // GIR_Coverage, 11847,
     /* 194153 */     GIR_EraseRootFromParent_Done,
     /* 194154 */   // Label 3861: @194154
     /* 194154 */   GIM_Try, /*On fail goto*//*Label 3862*/ GIMT_Encode4(194194), // Rule ID 11848 //
     /* 194159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilegt),
     /* 194167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 194170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 194173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 194176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 194180 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2082:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEGT_PWW_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 194180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGT_PWW_B),
     /* 194183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 194185 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194187 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194189 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 194192 */     GIR_RootConstrainSelectedInstOperands,
     /* 194193 */     // GIR_Coverage, 11848,
     /* 194193 */     GIR_EraseRootFromParent_Done,
     /* 194194 */   // Label 3862: @194194
     /* 194194 */   GIM_Try, /*On fail goto*//*Label 3863*/ GIMT_Encode4(194234), // Rule ID 11849 //
     /* 194199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilegt),
     /* 194207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 194210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 194213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 194216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 194220 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2082:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEGT_PWW_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 194220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGT_PWW_H),
     /* 194223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 194225 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194227 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194229 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 194232 */     GIR_RootConstrainSelectedInstOperands,
     /* 194233 */     // GIR_Coverage, 11849,
     /* 194233 */     GIR_EraseRootFromParent_Done,
     /* 194234 */   // Label 3863: @194234
     /* 194234 */   GIM_Try, /*On fail goto*//*Label 3864*/ GIMT_Encode4(194274), // Rule ID 11850 //
     /* 194239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilegt),
     /* 194247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 194250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 194253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 194256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 194260 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2082:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEGT_PWW_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 194260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGT_PWW_S),
     /* 194263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 194265 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194267 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194269 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 194272 */     GIR_RootConstrainSelectedInstOperands,
     /* 194273 */     // GIR_Coverage, 11850,
     /* 194273 */     GIR_EraseRootFromParent_Done,
     /* 194274 */   // Label 3864: @194274
     /* 194274 */   GIM_Try, /*On fail goto*//*Label 3865*/ GIMT_Encode4(194314), // Rule ID 11851 //
     /* 194279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilegt),
     /* 194287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 194290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 194293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 194296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 194300 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2082:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEGT_PWW_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 194300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGT_PWW_D),
     /* 194303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 194305 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194307 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194309 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 194312 */     GIR_RootConstrainSelectedInstOperands,
     /* 194313 */     // GIR_Coverage, 11851,
     /* 194313 */     GIR_EraseRootFromParent_Done,
     /* 194314 */   // Label 3865: @194314
     /* 194314 */   GIM_Try, /*On fail goto*//*Label 3866*/ GIMT_Encode4(194354), // Rule ID 11856 //
     /* 194319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehs),
     /* 194327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 194330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 194333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 194336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 194340 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2094:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEHS_PWW_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 194340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHS_PWW_B),
     /* 194343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 194345 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194347 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194349 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 194352 */     GIR_RootConstrainSelectedInstOperands,
     /* 194353 */     // GIR_Coverage, 11856,
     /* 194353 */     GIR_EraseRootFromParent_Done,
     /* 194354 */   // Label 3866: @194354
     /* 194354 */   GIM_Try, /*On fail goto*//*Label 3867*/ GIMT_Encode4(194394), // Rule ID 11857 //
     /* 194359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehs),
     /* 194367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 194370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 194373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 194376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 194380 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2094:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEHS_PWW_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 194380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHS_PWW_H),
     /* 194383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 194385 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194387 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194389 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 194392 */     GIR_RootConstrainSelectedInstOperands,
     /* 194393 */     // GIR_Coverage, 11857,
     /* 194393 */     GIR_EraseRootFromParent_Done,
     /* 194394 */   // Label 3867: @194394
     /* 194394 */   GIM_Try, /*On fail goto*//*Label 3868*/ GIMT_Encode4(194434), // Rule ID 11858 //
     /* 194399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehs),
     /* 194407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 194410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 194413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 194416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 194420 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2094:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEHS_PWW_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 194420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHS_PWW_S),
     /* 194423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 194425 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194427 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194429 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 194432 */     GIR_RootConstrainSelectedInstOperands,
     /* 194433 */     // GIR_Coverage, 11858,
     /* 194433 */     GIR_EraseRootFromParent_Done,
     /* 194434 */   // Label 3868: @194434
     /* 194434 */   GIM_Try, /*On fail goto*//*Label 3869*/ GIMT_Encode4(194474), // Rule ID 11859 //
     /* 194439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehs),
     /* 194447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 194450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 194453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 194456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 194460 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2094:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEHS_PWW_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 194460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHS_PWW_D),
     /* 194463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 194465 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194467 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194469 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 194472 */     GIR_RootConstrainSelectedInstOperands,
     /* 194473 */     // GIR_Coverage, 11859,
     /* 194473 */     GIR_EraseRootFromParent_Done,
     /* 194474 */   // Label 3869: @194474
     /* 194474 */   GIM_Try, /*On fail goto*//*Label 3870*/ GIMT_Encode4(194514), // Rule ID 11860 //
     /* 194479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehi),
     /* 194487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 194490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 194493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 194496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 194500 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2088:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEHI_PWW_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 194500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHI_PWW_B),
     /* 194503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 194505 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194507 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194509 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 194512 */     GIR_RootConstrainSelectedInstOperands,
     /* 194513 */     // GIR_Coverage, 11860,
     /* 194513 */     GIR_EraseRootFromParent_Done,
     /* 194514 */   // Label 3870: @194514
     /* 194514 */   GIM_Try, /*On fail goto*//*Label 3871*/ GIMT_Encode4(194554), // Rule ID 11861 //
     /* 194519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehi),
     /* 194527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 194530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 194533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 194536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 194540 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2088:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEHI_PWW_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 194540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHI_PWW_H),
     /* 194543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 194545 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194547 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194549 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 194552 */     GIR_RootConstrainSelectedInstOperands,
     /* 194553 */     // GIR_Coverage, 11861,
     /* 194553 */     GIR_EraseRootFromParent_Done,
     /* 194554 */   // Label 3871: @194554
     /* 194554 */   GIM_Try, /*On fail goto*//*Label 3872*/ GIMT_Encode4(194594), // Rule ID 11862 //
     /* 194559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehi),
     /* 194567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 194570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 194573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 194576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 194580 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2088:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEHI_PWW_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 194580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHI_PWW_S),
     /* 194583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 194585 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194587 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194589 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 194592 */     GIR_RootConstrainSelectedInstOperands,
     /* 194593 */     // GIR_Coverage, 11862,
     /* 194593 */     GIR_EraseRootFromParent_Done,
     /* 194594 */   // Label 3872: @194594
     /* 194594 */   GIM_Try, /*On fail goto*//*Label 3873*/ GIMT_Encode4(194634), // Rule ID 11863 //
     /* 194599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehi),
     /* 194607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 194610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 194613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 194616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 194620 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2088:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEHI_PWW_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 194620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHI_PWW_D),
     /* 194623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 194625 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194627 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194629 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 194632 */     GIR_RootConstrainSelectedInstOperands,
     /* 194633 */     // GIR_Coverage, 11863,
     /* 194633 */     GIR_EraseRootFromParent_Done,
     /* 194634 */   // Label 3873: @194634
     /* 194634 */   GIM_Try, /*On fail goto*//*Label 3874*/ GIMT_Encode4(194674), // Rule ID 11868 //
     /* 194639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilege),
     /* 194647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 194650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 194653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 194656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 194660 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2076:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEGE_PXX_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 194660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGE_PXX_B),
     /* 194663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 194665 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194667 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194669 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 194672 */     GIR_RootConstrainSelectedInstOperands,
     /* 194673 */     // GIR_Coverage, 11868,
     /* 194673 */     GIR_EraseRootFromParent_Done,
     /* 194674 */   // Label 3874: @194674
     /* 194674 */   GIM_Try, /*On fail goto*//*Label 3875*/ GIMT_Encode4(194714), // Rule ID 11869 //
     /* 194679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilege),
     /* 194687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 194690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 194693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 194696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 194700 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2076:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEGE_PXX_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 194700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGE_PXX_H),
     /* 194703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 194705 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194707 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194709 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 194712 */     GIR_RootConstrainSelectedInstOperands,
     /* 194713 */     // GIR_Coverage, 11869,
     /* 194713 */     GIR_EraseRootFromParent_Done,
     /* 194714 */   // Label 3875: @194714
     /* 194714 */   GIM_Try, /*On fail goto*//*Label 3876*/ GIMT_Encode4(194754), // Rule ID 11870 //
     /* 194719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilege),
     /* 194727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 194730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 194733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 194736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 194740 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2076:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEGE_PXX_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 194740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGE_PXX_S),
     /* 194743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 194745 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194747 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194749 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 194752 */     GIR_RootConstrainSelectedInstOperands,
     /* 194753 */     // GIR_Coverage, 11870,
     /* 194753 */     GIR_EraseRootFromParent_Done,
     /* 194754 */   // Label 3876: @194754
     /* 194754 */   GIM_Try, /*On fail goto*//*Label 3877*/ GIMT_Encode4(194794), // Rule ID 11871 //
     /* 194759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilege),
     /* 194767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 194770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 194773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 194776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 194780 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2076:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEGE_PXX_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 194780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGE_PXX_D),
     /* 194783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 194785 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194787 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194789 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 194792 */     GIR_RootConstrainSelectedInstOperands,
     /* 194793 */     // GIR_Coverage, 11871,
     /* 194793 */     GIR_EraseRootFromParent_Done,
     /* 194794 */   // Label 3877: @194794
     /* 194794 */   GIM_Try, /*On fail goto*//*Label 3878*/ GIMT_Encode4(194834), // Rule ID 11872 //
     /* 194799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilegt),
     /* 194807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 194810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 194813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 194816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 194820 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2082:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEGT_PXX_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 194820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGT_PXX_B),
     /* 194823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 194825 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194827 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194829 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 194832 */     GIR_RootConstrainSelectedInstOperands,
     /* 194833 */     // GIR_Coverage, 11872,
     /* 194833 */     GIR_EraseRootFromParent_Done,
     /* 194834 */   // Label 3878: @194834
     /* 194834 */   GIM_Try, /*On fail goto*//*Label 3879*/ GIMT_Encode4(194874), // Rule ID 11873 //
     /* 194839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilegt),
     /* 194847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 194850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 194853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 194856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 194860 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2082:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEGT_PXX_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 194860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGT_PXX_H),
     /* 194863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 194865 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194867 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194869 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 194872 */     GIR_RootConstrainSelectedInstOperands,
     /* 194873 */     // GIR_Coverage, 11873,
     /* 194873 */     GIR_EraseRootFromParent_Done,
     /* 194874 */   // Label 3879: @194874
     /* 194874 */   GIM_Try, /*On fail goto*//*Label 3880*/ GIMT_Encode4(194914), // Rule ID 11874 //
     /* 194879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilegt),
     /* 194887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 194890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 194893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 194896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 194900 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2082:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEGT_PXX_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 194900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGT_PXX_S),
     /* 194903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 194905 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194907 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194909 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 194912 */     GIR_RootConstrainSelectedInstOperands,
     /* 194913 */     // GIR_Coverage, 11874,
     /* 194913 */     GIR_EraseRootFromParent_Done,
     /* 194914 */   // Label 3880: @194914
     /* 194914 */   GIM_Try, /*On fail goto*//*Label 3881*/ GIMT_Encode4(194954), // Rule ID 11875 //
     /* 194919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilegt),
     /* 194927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 194930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 194933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 194936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 194940 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2082:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEGT_PXX_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 194940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGT_PXX_D),
     /* 194943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 194945 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194947 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194949 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 194952 */     GIR_RootConstrainSelectedInstOperands,
     /* 194953 */     // GIR_Coverage, 11875,
     /* 194953 */     GIR_EraseRootFromParent_Done,
     /* 194954 */   // Label 3881: @194954
     /* 194954 */   GIM_Try, /*On fail goto*//*Label 3882*/ GIMT_Encode4(194994), // Rule ID 11880 //
     /* 194959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehs),
     /* 194967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 194970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 194973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 194976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 194980 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2094:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEHS_PXX_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 194980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHS_PXX_B),
     /* 194983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 194985 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194987 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194989 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 194992 */     GIR_RootConstrainSelectedInstOperands,
     /* 194993 */     // GIR_Coverage, 11880,
     /* 194993 */     GIR_EraseRootFromParent_Done,
     /* 194994 */   // Label 3882: @194994
     /* 194994 */   GIM_Try, /*On fail goto*//*Label 3883*/ GIMT_Encode4(195034), // Rule ID 11881 //
     /* 194999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehs),
     /* 195007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 195010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 195013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 195016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195020 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2094:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEHS_PXX_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 195020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHS_PXX_H),
     /* 195023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195025 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195027 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195029 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195032 */     GIR_RootConstrainSelectedInstOperands,
     /* 195033 */     // GIR_Coverage, 11881,
     /* 195033 */     GIR_EraseRootFromParent_Done,
     /* 195034 */   // Label 3883: @195034
     /* 195034 */   GIM_Try, /*On fail goto*//*Label 3884*/ GIMT_Encode4(195074), // Rule ID 11882 //
     /* 195039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehs),
     /* 195047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 195050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 195053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 195056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195060 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2094:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEHS_PXX_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 195060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHS_PXX_S),
     /* 195063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195065 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195067 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195069 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195072 */     GIR_RootConstrainSelectedInstOperands,
     /* 195073 */     // GIR_Coverage, 11882,
     /* 195073 */     GIR_EraseRootFromParent_Done,
     /* 195074 */   // Label 3884: @195074
     /* 195074 */   GIM_Try, /*On fail goto*//*Label 3885*/ GIMT_Encode4(195114), // Rule ID 11883 //
     /* 195079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehs),
     /* 195087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 195090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 195093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 195096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195100 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2094:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEHS_PXX_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 195100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHS_PXX_D),
     /* 195103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195105 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195107 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195109 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195112 */     GIR_RootConstrainSelectedInstOperands,
     /* 195113 */     // GIR_Coverage, 11883,
     /* 195113 */     GIR_EraseRootFromParent_Done,
     /* 195114 */   // Label 3885: @195114
     /* 195114 */   GIM_Try, /*On fail goto*//*Label 3886*/ GIMT_Encode4(195154), // Rule ID 11884 //
     /* 195119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehi),
     /* 195127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 195130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 195133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 195136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195140 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2088:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEHI_PXX_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 195140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHI_PXX_B),
     /* 195143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195145 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195147 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195149 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195152 */     GIR_RootConstrainSelectedInstOperands,
     /* 195153 */     // GIR_Coverage, 11884,
     /* 195153 */     GIR_EraseRootFromParent_Done,
     /* 195154 */   // Label 3886: @195154
     /* 195154 */   GIM_Try, /*On fail goto*//*Label 3887*/ GIMT_Encode4(195194), // Rule ID 11885 //
     /* 195159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehi),
     /* 195167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 195170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 195173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 195176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195180 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2088:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEHI_PXX_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 195180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHI_PXX_H),
     /* 195183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195185 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195187 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195189 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195192 */     GIR_RootConstrainSelectedInstOperands,
     /* 195193 */     // GIR_Coverage, 11885,
     /* 195193 */     GIR_EraseRootFromParent_Done,
     /* 195194 */   // Label 3887: @195194
     /* 195194 */   GIM_Try, /*On fail goto*//*Label 3888*/ GIMT_Encode4(195234), // Rule ID 11886 //
     /* 195199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehi),
     /* 195207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 195210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 195213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 195216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195220 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2088:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEHI_PXX_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 195220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHI_PXX_S),
     /* 195223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195225 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195227 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195229 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195232 */     GIR_RootConstrainSelectedInstOperands,
     /* 195233 */     // GIR_Coverage, 11886,
     /* 195233 */     GIR_EraseRootFromParent_Done,
     /* 195234 */   // Label 3888: @195234
     /* 195234 */   GIM_Try, /*On fail goto*//*Label 3889*/ GIMT_Encode4(195274), // Rule ID 11887 //
     /* 195239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehi),
     /* 195247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 195250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 195253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 195256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195260 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2088:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEHI_PXX_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 195260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHI_PXX_D),
     /* 195263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195265 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195267 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195269 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195272 */     GIR_RootConstrainSelectedInstOperands,
     /* 195273 */     // GIR_Coverage, 11887,
     /* 195273 */     GIR_EraseRootFromParent_Done,
     /* 195274 */   // Label 3889: @195274
     /* 195274 */   GIM_Try, /*On fail goto*//*Label 3890*/ GIMT_Encode4(195311), // Rule ID 11896 //
     /* 195279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_AES_HasSVEAES),
     /* 195282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_aesd),
     /* 195287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 195290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 195293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 195296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 195300 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1244:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (AESD_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 195300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AESD_ZZZ_B),
     /* 195303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 195305 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195307 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195309 */     GIR_RootConstrainSelectedInstOperands,
     /* 195310 */     // GIR_Coverage, 11896,
     /* 195310 */     GIR_EraseRootFromParent_Done,
     /* 195311 */   // Label 3890: @195311
     /* 195311 */   GIM_Try, /*On fail goto*//*Label 3891*/ GIMT_Encode4(195348), // Rule ID 11898 //
     /* 195316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_AES_HasSVEAES),
     /* 195319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmullt_pair),
     /* 195324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 195327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 195330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 195333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 195337 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1618:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (PMULLT_ZZZ_Q:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 195337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMULLT_ZZZ_Q),
     /* 195340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 195342 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195344 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195346 */     GIR_RootConstrainSelectedInstOperands,
     /* 195347 */     // GIR_Coverage, 11898,
     /* 195347 */     GIR_EraseRootFromParent_Done,
     /* 195348 */   // Label 3891: @195348
     /* 195348 */   GIM_Try, /*On fail goto*//*Label 3892*/ GIMT_Encode4(195385), // Rule ID 11899 //
     /* 195353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2SM4),
     /* 195356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sm4e),
     /* 195361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 195364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 195367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 195370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 195374 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1709:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SM4E_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 195374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SM4E_ZZZ_S),
     /* 195377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 195379 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195381 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195383 */     GIR_RootConstrainSelectedInstOperands,
     /* 195384 */     // GIR_Coverage, 11899,
     /* 195384 */     GIR_EraseRootFromParent_Done,
     /* 195385 */   // Label 3892: @195385
     /* 195385 */   GIM_Try, /*On fail goto*//*Label 3893*/ GIMT_Encode4(195422), // Rule ID 11900 //
     /* 195390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2SHA3),
     /* 195393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rax1),
     /* 195398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 195401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 195404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 195407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 195411 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1650:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (RAX1_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 195411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RAX1_ZZZ_D),
     /* 195414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 195416 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195418 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195420 */     GIR_RootConstrainSelectedInstOperands,
     /* 195421 */     // GIR_Coverage, 11900,
     /* 195421 */     GIR_EraseRootFromParent_Done,
     /* 195422 */   // Label 3893: @195422
     /* 195422 */   GIM_Try, /*On fail goto*//*Label 3894*/ GIMT_Encode4(195459), // Rule ID 11901 //
     /* 195427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 195430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bdep_x),
     /* 195435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 195438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 195441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 195444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 195448 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1258:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (BDEP_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 195448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BDEP_ZZZ_B),
     /* 195451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 195453 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195455 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195457 */     GIR_RootConstrainSelectedInstOperands,
     /* 195458 */     // GIR_Coverage, 11901,
     /* 195458 */     GIR_EraseRootFromParent_Done,
     /* 195459 */   // Label 3894: @195459
     /* 195459 */   GIM_Try, /*On fail goto*//*Label 3895*/ GIMT_Encode4(195496), // Rule ID 11902 //
     /* 195464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 195467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bdep_x),
     /* 195472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 195475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 195478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 195481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 195485 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1258:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (BDEP_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 195485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BDEP_ZZZ_H),
     /* 195488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 195490 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195492 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195494 */     GIR_RootConstrainSelectedInstOperands,
     /* 195495 */     // GIR_Coverage, 11902,
     /* 195495 */     GIR_EraseRootFromParent_Done,
     /* 195496 */   // Label 3895: @195496
     /* 195496 */   GIM_Try, /*On fail goto*//*Label 3896*/ GIMT_Encode4(195533), // Rule ID 11903 //
     /* 195501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 195504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bdep_x),
     /* 195509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 195512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 195515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 195518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 195522 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1258:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (BDEP_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 195522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BDEP_ZZZ_S),
     /* 195525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 195527 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195529 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195531 */     GIR_RootConstrainSelectedInstOperands,
     /* 195532 */     // GIR_Coverage, 11903,
     /* 195532 */     GIR_EraseRootFromParent_Done,
     /* 195533 */   // Label 3896: @195533
     /* 195533 */   GIM_Try, /*On fail goto*//*Label 3897*/ GIMT_Encode4(195570), // Rule ID 11904 //
     /* 195538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 195541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bdep_x),
     /* 195546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 195549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 195552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 195555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 195559 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1258:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (BDEP_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 195559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BDEP_ZZZ_D),
     /* 195562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 195564 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195566 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195568 */     GIR_RootConstrainSelectedInstOperands,
     /* 195569 */     // GIR_Coverage, 11904,
     /* 195569 */     GIR_EraseRootFromParent_Done,
     /* 195570 */   // Label 3897: @195570
     /* 195570 */   GIM_Try, /*On fail goto*//*Label 3898*/ GIMT_Encode4(195607), // Rule ID 11905 //
     /* 195575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 195578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bgrp_x),
     /* 195583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 195586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 195589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 195592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 195596 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1275:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (BGRP_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 195596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BGRP_ZZZ_B),
     /* 195599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 195601 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195603 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195605 */     GIR_RootConstrainSelectedInstOperands,
     /* 195606 */     // GIR_Coverage, 11905,
     /* 195606 */     GIR_EraseRootFromParent_Done,
     /* 195607 */   // Label 3898: @195607
     /* 195607 */   GIM_Try, /*On fail goto*//*Label 3899*/ GIMT_Encode4(195644), // Rule ID 11906 //
     /* 195612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 195615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bgrp_x),
     /* 195620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 195623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 195626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 195629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 195633 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1275:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (BGRP_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 195633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BGRP_ZZZ_H),
     /* 195636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 195638 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195640 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195642 */     GIR_RootConstrainSelectedInstOperands,
     /* 195643 */     // GIR_Coverage, 11906,
     /* 195643 */     GIR_EraseRootFromParent_Done,
     /* 195644 */   // Label 3899: @195644
     /* 195644 */   GIM_Try, /*On fail goto*//*Label 3900*/ GIMT_Encode4(195681), // Rule ID 11907 //
     /* 195649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 195652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bgrp_x),
     /* 195657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 195660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 195663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 195666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 195670 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1275:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (BGRP_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 195670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BGRP_ZZZ_S),
     /* 195673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 195675 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195677 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195679 */     GIR_RootConstrainSelectedInstOperands,
     /* 195680 */     // GIR_Coverage, 11907,
     /* 195680 */     GIR_EraseRootFromParent_Done,
     /* 195681 */   // Label 3900: @195681
     /* 195681 */   GIM_Try, /*On fail goto*//*Label 3901*/ GIMT_Encode4(195718), // Rule ID 11908 //
     /* 195686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 195689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bgrp_x),
     /* 195694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 195697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 195700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 195703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 195707 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1275:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (BGRP_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 195707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BGRP_ZZZ_D),
     /* 195710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 195712 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195714 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195716 */     GIR_RootConstrainSelectedInstOperands,
     /* 195717 */     // GIR_Coverage, 11908,
     /* 195717 */     GIR_EraseRootFromParent_Done,
     /* 195718 */   // Label 3901: @195718
     /* 195718 */   GIM_Try, /*On fail goto*//*Label 3902*/ GIMT_Encode4(195755), // Rule ID 12021 //
     /* 195723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 195726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnmqv),
     /* 195731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 195734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 195737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 195740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 195744 */     // (intrinsic_wo_chain:{ *:[v8f16] } 1424:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (FMAXNMQV_H:{ *:[v8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 195744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMQV_H),
     /* 195747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 195749 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195751 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195753 */     GIR_RootConstrainSelectedInstOperands,
     /* 195754 */     // GIR_Coverage, 12021,
     /* 195754 */     GIR_EraseRootFromParent_Done,
     /* 195755 */   // Label 3902: @195755
     /* 195755 */   GIM_Try, /*On fail goto*//*Label 3903*/ GIMT_Encode4(195792), // Rule ID 12022 //
     /* 195760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 195763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnmqv),
     /* 195768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 195771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 195774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 195777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 195781 */     // (intrinsic_wo_chain:{ *:[v4f32] } 1424:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (FMAXNMQV_S:{ *:[v4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 195781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMQV_S),
     /* 195784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 195786 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195788 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195790 */     GIR_RootConstrainSelectedInstOperands,
     /* 195791 */     // GIR_Coverage, 12022,
     /* 195791 */     GIR_EraseRootFromParent_Done,
     /* 195792 */   // Label 3903: @195792
     /* 195792 */   GIM_Try, /*On fail goto*//*Label 3904*/ GIMT_Encode4(195829), // Rule ID 12023 //
     /* 195797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 195800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnmqv),
     /* 195805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 195808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 195811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 195814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 195818 */     // (intrinsic_wo_chain:{ *:[v2f64] } 1424:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (FMAXNMQV_D:{ *:[v2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 195818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMQV_D),
     /* 195821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 195823 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195825 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195827 */     GIR_RootConstrainSelectedInstOperands,
     /* 195828 */     // GIR_Coverage, 12023,
     /* 195828 */     GIR_EraseRootFromParent_Done,
     /* 195829 */   // Label 3904: @195829
     /* 195829 */   GIM_Try, /*On fail goto*//*Label 3905*/ GIMT_Encode4(195866), // Rule ID 12024 //
     /* 195834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 195837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnmqv),
     /* 195842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 195845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 195848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 195851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 195855 */     // (intrinsic_wo_chain:{ *:[v8f16] } 1442:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (FMINNMQV_H:{ *:[v8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 195855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMQV_H),
     /* 195858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 195860 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195862 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195864 */     GIR_RootConstrainSelectedInstOperands,
     /* 195865 */     // GIR_Coverage, 12024,
     /* 195865 */     GIR_EraseRootFromParent_Done,
     /* 195866 */   // Label 3905: @195866
     /* 195866 */   GIM_Try, /*On fail goto*//*Label 3906*/ GIMT_Encode4(195903), // Rule ID 12025 //
     /* 195871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 195874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnmqv),
     /* 195879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 195882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 195885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 195888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 195892 */     // (intrinsic_wo_chain:{ *:[v4f32] } 1442:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (FMINNMQV_S:{ *:[v4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 195892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMQV_S),
     /* 195895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 195897 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195899 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195901 */     GIR_RootConstrainSelectedInstOperands,
     /* 195902 */     // GIR_Coverage, 12025,
     /* 195902 */     GIR_EraseRootFromParent_Done,
     /* 195903 */   // Label 3906: @195903
     /* 195903 */   GIM_Try, /*On fail goto*//*Label 3907*/ GIMT_Encode4(195940), // Rule ID 12026 //
     /* 195908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 195911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnmqv),
     /* 195916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 195919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 195922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 195925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 195929 */     // (intrinsic_wo_chain:{ *:[v2f64] } 1442:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (FMINNMQV_D:{ *:[v2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 195929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMQV_D),
     /* 195932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 195934 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195936 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195938 */     GIR_RootConstrainSelectedInstOperands,
     /* 195939 */     // GIR_Coverage, 12026,
     /* 195939 */     GIR_EraseRootFromParent_Done,
     /* 195940 */   // Label 3907: @195940
     /* 195940 */   GIM_Try, /*On fail goto*//*Label 3908*/ GIMT_Encode4(195977), // Rule ID 12027 //
     /* 195945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 195948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxqv),
     /* 195953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 195956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 195959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 195962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 195966 */     // (intrinsic_wo_chain:{ *:[v8f16] } 1427:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (FMAXQV_H:{ *:[v8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 195966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXQV_H),
     /* 195969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 195971 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195973 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195975 */     GIR_RootConstrainSelectedInstOperands,
     /* 195976 */     // GIR_Coverage, 12027,
     /* 195976 */     GIR_EraseRootFromParent_Done,
     /* 195977 */   // Label 3908: @195977
     /* 195977 */   GIM_Try, /*On fail goto*//*Label 3909*/ GIMT_Encode4(196014), // Rule ID 12028 //
     /* 195982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 195985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxqv),
     /* 195990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 195993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 195996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 195999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196003 */     // (intrinsic_wo_chain:{ *:[v4f32] } 1427:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (FMAXQV_S:{ *:[v4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 196003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXQV_S),
     /* 196006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196008 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196010 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196012 */     GIR_RootConstrainSelectedInstOperands,
     /* 196013 */     // GIR_Coverage, 12028,
     /* 196013 */     GIR_EraseRootFromParent_Done,
     /* 196014 */   // Label 3909: @196014
     /* 196014 */   GIM_Try, /*On fail goto*//*Label 3910*/ GIMT_Encode4(196051), // Rule ID 12029 //
     /* 196019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxqv),
     /* 196027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 196030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 196033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 196036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196040 */     // (intrinsic_wo_chain:{ *:[v2f64] } 1427:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (FMAXQV_D:{ *:[v2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 196040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXQV_D),
     /* 196043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196045 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196047 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196049 */     GIR_RootConstrainSelectedInstOperands,
     /* 196050 */     // GIR_Coverage, 12029,
     /* 196050 */     GIR_EraseRootFromParent_Done,
     /* 196051 */   // Label 3910: @196051
     /* 196051 */   GIM_Try, /*On fail goto*//*Label 3911*/ GIMT_Encode4(196088), // Rule ID 12030 //
     /* 196056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminqv),
     /* 196064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 196067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 196070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 196073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196077 */     // (intrinsic_wo_chain:{ *:[v8f16] } 1445:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (FMINQV_H:{ *:[v8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 196077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINQV_H),
     /* 196080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196082 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196084 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196086 */     GIR_RootConstrainSelectedInstOperands,
     /* 196087 */     // GIR_Coverage, 12030,
     /* 196087 */     GIR_EraseRootFromParent_Done,
     /* 196088 */   // Label 3911: @196088
     /* 196088 */   GIM_Try, /*On fail goto*//*Label 3912*/ GIMT_Encode4(196125), // Rule ID 12031 //
     /* 196093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminqv),
     /* 196101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 196104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 196107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 196110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196114 */     // (intrinsic_wo_chain:{ *:[v4f32] } 1445:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (FMINQV_S:{ *:[v4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 196114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINQV_S),
     /* 196117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196119 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196121 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196123 */     GIR_RootConstrainSelectedInstOperands,
     /* 196124 */     // GIR_Coverage, 12031,
     /* 196124 */     GIR_EraseRootFromParent_Done,
     /* 196125 */   // Label 3912: @196125
     /* 196125 */   GIM_Try, /*On fail goto*//*Label 3913*/ GIMT_Encode4(196162), // Rule ID 12032 //
     /* 196130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminqv),
     /* 196138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 196141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 196144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 196147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196151 */     // (intrinsic_wo_chain:{ *:[v2f64] } 1445:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (FMINQV_D:{ *:[v2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 196151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINQV_D),
     /* 196154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196156 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196158 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196160 */     GIR_RootConstrainSelectedInstOperands,
     /* 196161 */     // GIR_Coverage, 12032,
     /* 196161 */     GIR_EraseRootFromParent_Done,
     /* 196162 */   // Label 3913: @196162
     /* 196162 */   GIM_Try, /*On fail goto*//*Label 3914*/ GIMT_Encode4(196199), // Rule ID 12033 //
     /* 196167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eorqv),
     /* 196175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 196178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 196181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 196184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196188 */     // (intrinsic_wo_chain:{ *:[v16i8] } 1339:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (EORQV_VPZ_B:{ *:[v16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 196188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORQV_VPZ_B),
     /* 196191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196193 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196195 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196197 */     GIR_RootConstrainSelectedInstOperands,
     /* 196198 */     // GIR_Coverage, 12033,
     /* 196198 */     GIR_EraseRootFromParent_Done,
     /* 196199 */   // Label 3914: @196199
     /* 196199 */   GIM_Try, /*On fail goto*//*Label 3915*/ GIMT_Encode4(196236), // Rule ID 12034 //
     /* 196204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eorqv),
     /* 196212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 196215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 196218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 196221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196225 */     // (intrinsic_wo_chain:{ *:[v8i16] } 1339:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (EORQV_VPZ_H:{ *:[v8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 196225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORQV_VPZ_H),
     /* 196228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196230 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196232 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196234 */     GIR_RootConstrainSelectedInstOperands,
     /* 196235 */     // GIR_Coverage, 12034,
     /* 196235 */     GIR_EraseRootFromParent_Done,
     /* 196236 */   // Label 3915: @196236
     /* 196236 */   GIM_Try, /*On fail goto*//*Label 3916*/ GIMT_Encode4(196273), // Rule ID 12035 //
     /* 196241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eorqv),
     /* 196249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 196252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 196255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 196258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196262 */     // (intrinsic_wo_chain:{ *:[v4i32] } 1339:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (EORQV_VPZ_S:{ *:[v4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 196262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORQV_VPZ_S),
     /* 196265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196267 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196269 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196271 */     GIR_RootConstrainSelectedInstOperands,
     /* 196272 */     // GIR_Coverage, 12035,
     /* 196272 */     GIR_EraseRootFromParent_Done,
     /* 196273 */   // Label 3916: @196273
     /* 196273 */   GIM_Try, /*On fail goto*//*Label 3917*/ GIMT_Encode4(196310), // Rule ID 12036 //
     /* 196278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eorqv),
     /* 196286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 196289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 196292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 196295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196299 */     // (intrinsic_wo_chain:{ *:[v2i64] } 1339:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (EORQV_VPZ_D:{ *:[v2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 196299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORQV_VPZ_D),
     /* 196302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196304 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196306 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196308 */     GIR_RootConstrainSelectedInstOperands,
     /* 196309 */     // GIR_Coverage, 12036,
     /* 196309 */     GIR_EraseRootFromParent_Done,
     /* 196310 */   // Label 3917: @196310
     /* 196310 */   GIM_Try, /*On fail goto*//*Label 3918*/ GIMT_Encode4(196347), // Rule ID 12037 //
     /* 196315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_andqv),
     /* 196323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 196326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 196329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 196332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196336 */     // (intrinsic_wo_chain:{ *:[v16i8] } 1251:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (ANDQV_VPZ_B:{ *:[v16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 196336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ANDQV_VPZ_B),
     /* 196339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196341 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196343 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196345 */     GIR_RootConstrainSelectedInstOperands,
     /* 196346 */     // GIR_Coverage, 12037,
     /* 196346 */     GIR_EraseRootFromParent_Done,
     /* 196347 */   // Label 3918: @196347
     /* 196347 */   GIM_Try, /*On fail goto*//*Label 3919*/ GIMT_Encode4(196384), // Rule ID 12038 //
     /* 196352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_andqv),
     /* 196360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 196363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 196366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 196369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196373 */     // (intrinsic_wo_chain:{ *:[v8i16] } 1251:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ANDQV_VPZ_H:{ *:[v8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 196373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ANDQV_VPZ_H),
     /* 196376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196378 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196380 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196382 */     GIR_RootConstrainSelectedInstOperands,
     /* 196383 */     // GIR_Coverage, 12038,
     /* 196383 */     GIR_EraseRootFromParent_Done,
     /* 196384 */   // Label 3919: @196384
     /* 196384 */   GIM_Try, /*On fail goto*//*Label 3920*/ GIMT_Encode4(196421), // Rule ID 12039 //
     /* 196389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_andqv),
     /* 196397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 196400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 196403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 196406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196410 */     // (intrinsic_wo_chain:{ *:[v4i32] } 1251:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ANDQV_VPZ_S:{ *:[v4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 196410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ANDQV_VPZ_S),
     /* 196413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196415 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196417 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196419 */     GIR_RootConstrainSelectedInstOperands,
     /* 196420 */     // GIR_Coverage, 12039,
     /* 196420 */     GIR_EraseRootFromParent_Done,
     /* 196421 */   // Label 3920: @196421
     /* 196421 */   GIM_Try, /*On fail goto*//*Label 3921*/ GIMT_Encode4(196458), // Rule ID 12040 //
     /* 196426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_andqv),
     /* 196434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 196437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 196440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 196443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196447 */     // (intrinsic_wo_chain:{ *:[v2i64] } 1251:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ANDQV_VPZ_D:{ *:[v2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 196447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ANDQV_VPZ_D),
     /* 196450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196452 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196454 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196456 */     GIR_RootConstrainSelectedInstOperands,
     /* 196457 */     // GIR_Coverage, 12040,
     /* 196457 */     GIR_EraseRootFromParent_Done,
     /* 196458 */   // Label 3921: @196458
     /* 196458 */   GIM_Try, /*On fail goto*//*Label 3922*/ GIMT_Encode4(196495), // Rule ID 12041 //
     /* 196463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addqv),
     /* 196471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 196474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 196477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 196480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196484 */     // (intrinsic_wo_chain:{ *:[v16i8] } 1239:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (ADDQV_VPZ_B:{ *:[v16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 196484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDQV_VPZ_B),
     /* 196487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196489 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196491 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196493 */     GIR_RootConstrainSelectedInstOperands,
     /* 196494 */     // GIR_Coverage, 12041,
     /* 196494 */     GIR_EraseRootFromParent_Done,
     /* 196495 */   // Label 3922: @196495
     /* 196495 */   GIM_Try, /*On fail goto*//*Label 3923*/ GIMT_Encode4(196532), // Rule ID 12042 //
     /* 196500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addqv),
     /* 196508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 196511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 196514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 196517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196521 */     // (intrinsic_wo_chain:{ *:[v8i16] } 1239:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ADDQV_VPZ_H:{ *:[v8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 196521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDQV_VPZ_H),
     /* 196524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196526 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196528 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196530 */     GIR_RootConstrainSelectedInstOperands,
     /* 196531 */     // GIR_Coverage, 12042,
     /* 196531 */     GIR_EraseRootFromParent_Done,
     /* 196532 */   // Label 3923: @196532
     /* 196532 */   GIM_Try, /*On fail goto*//*Label 3924*/ GIMT_Encode4(196569), // Rule ID 12043 //
     /* 196537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addqv),
     /* 196545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 196548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 196551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 196554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196558 */     // (intrinsic_wo_chain:{ *:[v4i32] } 1239:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ADDQV_VPZ_S:{ *:[v4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 196558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDQV_VPZ_S),
     /* 196561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196563 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196565 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196567 */     GIR_RootConstrainSelectedInstOperands,
     /* 196568 */     // GIR_Coverage, 12043,
     /* 196568 */     GIR_EraseRootFromParent_Done,
     /* 196569 */   // Label 3924: @196569
     /* 196569 */   GIM_Try, /*On fail goto*//*Label 3925*/ GIMT_Encode4(196606), // Rule ID 12044 //
     /* 196574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addqv),
     /* 196582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 196585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 196588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 196591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196595 */     // (intrinsic_wo_chain:{ *:[v2i64] } 1239:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ADDQV_VPZ_D:{ *:[v2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 196595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDQV_VPZ_D),
     /* 196598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196600 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196602 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196604 */     GIR_RootConstrainSelectedInstOperands,
     /* 196605 */     // GIR_Coverage, 12044,
     /* 196605 */     GIR_EraseRootFromParent_Done,
     /* 196606 */   // Label 3925: @196606
     /* 196606 */   GIM_Try, /*On fail goto*//*Label 3926*/ GIMT_Encode4(196643), // Rule ID 12045 //
     /* 196611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smaxqv),
     /* 196619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 196622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 196625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 196628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196632 */     // (intrinsic_wo_chain:{ *:[v16i8] } 1718:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SMAXQV_VPZ_B:{ *:[v16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 196632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXQV_VPZ_B),
     /* 196635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196637 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196639 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196641 */     GIR_RootConstrainSelectedInstOperands,
     /* 196642 */     // GIR_Coverage, 12045,
     /* 196642 */     GIR_EraseRootFromParent_Done,
     /* 196643 */   // Label 3926: @196643
     /* 196643 */   GIM_Try, /*On fail goto*//*Label 3927*/ GIMT_Encode4(196680), // Rule ID 12046 //
     /* 196648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smaxqv),
     /* 196656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 196659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 196662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 196665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196669 */     // (intrinsic_wo_chain:{ *:[v8i16] } 1718:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SMAXQV_VPZ_H:{ *:[v8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 196669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXQV_VPZ_H),
     /* 196672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196674 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196676 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196678 */     GIR_RootConstrainSelectedInstOperands,
     /* 196679 */     // GIR_Coverage, 12046,
     /* 196679 */     GIR_EraseRootFromParent_Done,
     /* 196680 */   // Label 3927: @196680
     /* 196680 */   GIM_Try, /*On fail goto*//*Label 3928*/ GIMT_Encode4(196717), // Rule ID 12047 //
     /* 196685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smaxqv),
     /* 196693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 196696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 196699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 196702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196706 */     // (intrinsic_wo_chain:{ *:[v4i32] } 1718:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SMAXQV_VPZ_S:{ *:[v4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 196706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXQV_VPZ_S),
     /* 196709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196711 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196713 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196715 */     GIR_RootConstrainSelectedInstOperands,
     /* 196716 */     // GIR_Coverage, 12047,
     /* 196716 */     GIR_EraseRootFromParent_Done,
     /* 196717 */   // Label 3928: @196717
     /* 196717 */   GIM_Try, /*On fail goto*//*Label 3929*/ GIMT_Encode4(196754), // Rule ID 12048 //
     /* 196722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smaxqv),
     /* 196730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 196733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 196736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 196739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196743 */     // (intrinsic_wo_chain:{ *:[v2i64] } 1718:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SMAXQV_VPZ_D:{ *:[v2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 196743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXQV_VPZ_D),
     /* 196746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196748 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196750 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196752 */     GIR_RootConstrainSelectedInstOperands,
     /* 196753 */     // GIR_Coverage, 12048,
     /* 196753 */     GIR_EraseRootFromParent_Done,
     /* 196754 */   // Label 3929: @196754
     /* 196754 */   GIM_Try, /*On fail goto*//*Label 3930*/ GIMT_Encode4(196791), // Rule ID 12049 //
     /* 196759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umaxqv),
     /* 196767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 196770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 196773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 196776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196780 */     // (intrinsic_wo_chain:{ *:[v16i8] } 1956:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UMAXQV_VPZ_B:{ *:[v16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 196780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXQV_VPZ_B),
     /* 196783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196785 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196787 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196789 */     GIR_RootConstrainSelectedInstOperands,
     /* 196790 */     // GIR_Coverage, 12049,
     /* 196790 */     GIR_EraseRootFromParent_Done,
     /* 196791 */   // Label 3930: @196791
     /* 196791 */   GIM_Try, /*On fail goto*//*Label 3931*/ GIMT_Encode4(196828), // Rule ID 12050 //
     /* 196796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umaxqv),
     /* 196804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 196807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 196810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 196813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196817 */     // (intrinsic_wo_chain:{ *:[v8i16] } 1956:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UMAXQV_VPZ_H:{ *:[v8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 196817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXQV_VPZ_H),
     /* 196820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196822 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196824 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196826 */     GIR_RootConstrainSelectedInstOperands,
     /* 196827 */     // GIR_Coverage, 12050,
     /* 196827 */     GIR_EraseRootFromParent_Done,
     /* 196828 */   // Label 3931: @196828
     /* 196828 */   GIM_Try, /*On fail goto*//*Label 3932*/ GIMT_Encode4(196865), // Rule ID 12051 //
     /* 196833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umaxqv),
     /* 196841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 196844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 196847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 196850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196854 */     // (intrinsic_wo_chain:{ *:[v4i32] } 1956:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UMAXQV_VPZ_S:{ *:[v4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 196854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXQV_VPZ_S),
     /* 196857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196859 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196861 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196863 */     GIR_RootConstrainSelectedInstOperands,
     /* 196864 */     // GIR_Coverage, 12051,
     /* 196864 */     GIR_EraseRootFromParent_Done,
     /* 196865 */   // Label 3932: @196865
     /* 196865 */   GIM_Try, /*On fail goto*//*Label 3933*/ GIMT_Encode4(196902), // Rule ID 12052 //
     /* 196870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umaxqv),
     /* 196878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 196881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 196884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 196887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196891 */     // (intrinsic_wo_chain:{ *:[v2i64] } 1956:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (UMAXQV_VPZ_D:{ *:[v2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 196891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXQV_VPZ_D),
     /* 196894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196896 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196898 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196900 */     GIR_RootConstrainSelectedInstOperands,
     /* 196901 */     // GIR_Coverage, 12052,
     /* 196901 */     GIR_EraseRootFromParent_Done,
     /* 196902 */   // Label 3933: @196902
     /* 196902 */   GIM_Try, /*On fail goto*//*Label 3934*/ GIMT_Encode4(196939), // Rule ID 12053 //
     /* 196907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sminqv),
     /* 196915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 196918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 196921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 196924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196928 */     // (intrinsic_wo_chain:{ *:[v16i8] } 1727:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SMINQV_VPZ_B:{ *:[v16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 196928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINQV_VPZ_B),
     /* 196931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196933 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196935 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196937 */     GIR_RootConstrainSelectedInstOperands,
     /* 196938 */     // GIR_Coverage, 12053,
     /* 196938 */     GIR_EraseRootFromParent_Done,
     /* 196939 */   // Label 3934: @196939
     /* 196939 */   GIM_Try, /*On fail goto*//*Label 3935*/ GIMT_Encode4(196976), // Rule ID 12054 //
     /* 196944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sminqv),
     /* 196952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 196955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 196958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 196961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196965 */     // (intrinsic_wo_chain:{ *:[v8i16] } 1727:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SMINQV_VPZ_H:{ *:[v8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 196965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINQV_VPZ_H),
     /* 196968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196970 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196972 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196974 */     GIR_RootConstrainSelectedInstOperands,
     /* 196975 */     // GIR_Coverage, 12054,
     /* 196975 */     GIR_EraseRootFromParent_Done,
     /* 196976 */   // Label 3935: @196976
     /* 196976 */   GIM_Try, /*On fail goto*//*Label 3936*/ GIMT_Encode4(197013), // Rule ID 12055 //
     /* 196981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sminqv),
     /* 196989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 196992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 196995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 196998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197002 */     // (intrinsic_wo_chain:{ *:[v4i32] } 1727:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SMINQV_VPZ_S:{ *:[v4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 197002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINQV_VPZ_S),
     /* 197005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197007 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197009 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197011 */     GIR_RootConstrainSelectedInstOperands,
     /* 197012 */     // GIR_Coverage, 12055,
     /* 197012 */     GIR_EraseRootFromParent_Done,
     /* 197013 */   // Label 3936: @197013
     /* 197013 */   GIM_Try, /*On fail goto*//*Label 3937*/ GIMT_Encode4(197050), // Rule ID 12056 //
     /* 197018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sminqv),
     /* 197026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 197029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 197032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 197035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197039 */     // (intrinsic_wo_chain:{ *:[v2i64] } 1727:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SMINQV_VPZ_D:{ *:[v2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 197039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINQV_VPZ_D),
     /* 197042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197044 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197046 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197048 */     GIR_RootConstrainSelectedInstOperands,
     /* 197049 */     // GIR_Coverage, 12056,
     /* 197049 */     GIR_EraseRootFromParent_Done,
     /* 197050 */   // Label 3937: @197050
     /* 197050 */   GIM_Try, /*On fail goto*//*Label 3938*/ GIMT_Encode4(197087), // Rule ID 12057 //
     /* 197055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uminqv),
     /* 197063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 197066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 197069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 197072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197076 */     // (intrinsic_wo_chain:{ *:[v16i8] } 1965:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UMINQV_VPZ_B:{ *:[v16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 197076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINQV_VPZ_B),
     /* 197079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197081 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197083 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197085 */     GIR_RootConstrainSelectedInstOperands,
     /* 197086 */     // GIR_Coverage, 12057,
     /* 197086 */     GIR_EraseRootFromParent_Done,
     /* 197087 */   // Label 3938: @197087
     /* 197087 */   GIM_Try, /*On fail goto*//*Label 3939*/ GIMT_Encode4(197124), // Rule ID 12058 //
     /* 197092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uminqv),
     /* 197100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 197103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 197106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 197109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197113 */     // (intrinsic_wo_chain:{ *:[v8i16] } 1965:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UMINQV_VPZ_H:{ *:[v8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 197113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINQV_VPZ_H),
     /* 197116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197118 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197120 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197122 */     GIR_RootConstrainSelectedInstOperands,
     /* 197123 */     // GIR_Coverage, 12058,
     /* 197123 */     GIR_EraseRootFromParent_Done,
     /* 197124 */   // Label 3939: @197124
     /* 197124 */   GIM_Try, /*On fail goto*//*Label 3940*/ GIMT_Encode4(197161), // Rule ID 12059 //
     /* 197129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uminqv),
     /* 197137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 197140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 197143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 197146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197150 */     // (intrinsic_wo_chain:{ *:[v4i32] } 1965:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UMINQV_VPZ_S:{ *:[v4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 197150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINQV_VPZ_S),
     /* 197153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197155 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197157 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197159 */     GIR_RootConstrainSelectedInstOperands,
     /* 197160 */     // GIR_Coverage, 12059,
     /* 197160 */     GIR_EraseRootFromParent_Done,
     /* 197161 */   // Label 3940: @197161
     /* 197161 */   GIM_Try, /*On fail goto*//*Label 3941*/ GIMT_Encode4(197198), // Rule ID 12060 //
     /* 197166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uminqv),
     /* 197174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 197177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 197180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 197183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197187 */     // (intrinsic_wo_chain:{ *:[v2i64] } 1965:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (UMINQV_VPZ_D:{ *:[v2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 197187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINQV_VPZ_D),
     /* 197190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197192 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197194 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197196 */     GIR_RootConstrainSelectedInstOperands,
     /* 197197 */     // GIR_Coverage, 12060,
     /* 197197 */     GIR_EraseRootFromParent_Done,
     /* 197198 */   // Label 3941: @197198
     /* 197198 */   GIM_Try, /*On fail goto*//*Label 3942*/ GIMT_Encode4(197235), // Rule ID 12061 //
     /* 197203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq2),
     /* 197211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 197214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 197217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 197220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 197224 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2149:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (ZIPQ2_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 197224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ2_ZZZ_B),
     /* 197227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 197229 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197231 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197233 */     GIR_RootConstrainSelectedInstOperands,
     /* 197234 */     // GIR_Coverage, 12061,
     /* 197234 */     GIR_EraseRootFromParent_Done,
     /* 197235 */   // Label 3942: @197235
     /* 197235 */   GIM_Try, /*On fail goto*//*Label 3943*/ GIMT_Encode4(197272), // Rule ID 12062 //
     /* 197240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq2),
     /* 197248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 197251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 197254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 197257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 197261 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2149:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ZIPQ2_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 197261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ2_ZZZ_H),
     /* 197264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 197266 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197268 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197270 */     GIR_RootConstrainSelectedInstOperands,
     /* 197271 */     // GIR_Coverage, 12062,
     /* 197271 */     GIR_EraseRootFromParent_Done,
     /* 197272 */   // Label 3943: @197272
     /* 197272 */   GIM_Try, /*On fail goto*//*Label 3944*/ GIMT_Encode4(197309), // Rule ID 12063 //
     /* 197277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq2),
     /* 197285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 197288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 197291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 197294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 197298 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2149:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ZIPQ2_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 197298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ2_ZZZ_S),
     /* 197301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 197303 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197305 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197307 */     GIR_RootConstrainSelectedInstOperands,
     /* 197308 */     // GIR_Coverage, 12063,
     /* 197308 */     GIR_EraseRootFromParent_Done,
     /* 197309 */   // Label 3944: @197309
     /* 197309 */   GIM_Try, /*On fail goto*//*Label 3945*/ GIMT_Encode4(197346), // Rule ID 12064 //
     /* 197314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq2),
     /* 197322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 197325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 197328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 197331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 197335 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2149:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ZIPQ2_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 197335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ2_ZZZ_D),
     /* 197338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 197340 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197342 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197344 */     GIR_RootConstrainSelectedInstOperands,
     /* 197345 */     // GIR_Coverage, 12064,
     /* 197345 */     GIR_EraseRootFromParent_Done,
     /* 197346 */   // Label 3945: @197346
     /* 197346 */   GIM_Try, /*On fail goto*//*Label 3946*/ GIMT_Encode4(197383), // Rule ID 12065 //
     /* 197351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq2),
     /* 197359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 197362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 197365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 197368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 197372 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 2149:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (ZIPQ2_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 197372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ2_ZZZ_H),
     /* 197375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 197377 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197379 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197381 */     GIR_RootConstrainSelectedInstOperands,
     /* 197382 */     // GIR_Coverage, 12065,
     /* 197382 */     GIR_EraseRootFromParent_Done,
     /* 197383 */   // Label 3946: @197383
     /* 197383 */   GIM_Try, /*On fail goto*//*Label 3947*/ GIMT_Encode4(197420), // Rule ID 12066 //
     /* 197388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq2),
     /* 197396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 197399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 197402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 197405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 197409 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 2149:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (ZIPQ2_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 197409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ2_ZZZ_S),
     /* 197412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 197414 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197416 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197418 */     GIR_RootConstrainSelectedInstOperands,
     /* 197419 */     // GIR_Coverage, 12066,
     /* 197419 */     GIR_EraseRootFromParent_Done,
     /* 197420 */   // Label 3947: @197420
     /* 197420 */   GIM_Try, /*On fail goto*//*Label 3948*/ GIMT_Encode4(197457), // Rule ID 12067 //
     /* 197425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq2),
     /* 197433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 197436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 197439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 197442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 197446 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 2149:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (ZIPQ2_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 197446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ2_ZZZ_D),
     /* 197449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 197451 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197453 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197455 */     GIR_RootConstrainSelectedInstOperands,
     /* 197456 */     // GIR_Coverage, 12067,
     /* 197456 */     GIR_EraseRootFromParent_Done,
     /* 197457 */   // Label 3948: @197457
     /* 197457 */   GIM_Try, /*On fail goto*//*Label 3949*/ GIMT_Encode4(197494), // Rule ID 12068 //
     /* 197462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq1),
     /* 197470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 197473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 197476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 197479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 197483 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2074:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UZPQ1_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 197483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ1_ZZZ_B),
     /* 197486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 197488 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197490 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197492 */     GIR_RootConstrainSelectedInstOperands,
     /* 197493 */     // GIR_Coverage, 12068,
     /* 197493 */     GIR_EraseRootFromParent_Done,
     /* 197494 */   // Label 3949: @197494
     /* 197494 */   GIM_Try, /*On fail goto*//*Label 3950*/ GIMT_Encode4(197531), // Rule ID 12069 //
     /* 197499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq1),
     /* 197507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 197510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 197513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 197516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 197520 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2074:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UZPQ1_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 197520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ1_ZZZ_H),
     /* 197523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 197525 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197527 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197529 */     GIR_RootConstrainSelectedInstOperands,
     /* 197530 */     // GIR_Coverage, 12069,
     /* 197530 */     GIR_EraseRootFromParent_Done,
     /* 197531 */   // Label 3950: @197531
     /* 197531 */   GIM_Try, /*On fail goto*//*Label 3951*/ GIMT_Encode4(197568), // Rule ID 12070 //
     /* 197536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq1),
     /* 197544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 197547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 197550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 197553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 197557 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2074:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UZPQ1_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 197557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ1_ZZZ_S),
     /* 197560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 197562 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197564 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197566 */     GIR_RootConstrainSelectedInstOperands,
     /* 197567 */     // GIR_Coverage, 12070,
     /* 197567 */     GIR_EraseRootFromParent_Done,
     /* 197568 */   // Label 3951: @197568
     /* 197568 */   GIM_Try, /*On fail goto*//*Label 3952*/ GIMT_Encode4(197605), // Rule ID 12071 //
     /* 197573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq1),
     /* 197581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 197584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 197587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 197590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 197594 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2074:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (UZPQ1_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 197594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ1_ZZZ_D),
     /* 197597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 197599 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197601 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197603 */     GIR_RootConstrainSelectedInstOperands,
     /* 197604 */     // GIR_Coverage, 12071,
     /* 197604 */     GIR_EraseRootFromParent_Done,
     /* 197605 */   // Label 3952: @197605
     /* 197605 */   GIM_Try, /*On fail goto*//*Label 3953*/ GIMT_Encode4(197642), // Rule ID 12072 //
     /* 197610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq1),
     /* 197618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 197621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 197624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 197627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 197631 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 2074:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (UZPQ1_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 197631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ1_ZZZ_H),
     /* 197634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 197636 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197638 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197640 */     GIR_RootConstrainSelectedInstOperands,
     /* 197641 */     // GIR_Coverage, 12072,
     /* 197641 */     GIR_EraseRootFromParent_Done,
     /* 197642 */   // Label 3953: @197642
     /* 197642 */   GIM_Try, /*On fail goto*//*Label 3954*/ GIMT_Encode4(197679), // Rule ID 12073 //
     /* 197647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq1),
     /* 197655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 197658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 197661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 197664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 197668 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 2074:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (UZPQ1_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 197668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ1_ZZZ_S),
     /* 197671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 197673 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197675 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197677 */     GIR_RootConstrainSelectedInstOperands,
     /* 197678 */     // GIR_Coverage, 12073,
     /* 197678 */     GIR_EraseRootFromParent_Done,
     /* 197679 */   // Label 3954: @197679
     /* 197679 */   GIM_Try, /*On fail goto*//*Label 3955*/ GIMT_Encode4(197716), // Rule ID 12074 //
     /* 197684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq1),
     /* 197692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 197695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 197698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 197701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 197705 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 2074:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (UZPQ1_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 197705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ1_ZZZ_D),
     /* 197708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 197710 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197712 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197714 */     GIR_RootConstrainSelectedInstOperands,
     /* 197715 */     // GIR_Coverage, 12074,
     /* 197715 */     GIR_EraseRootFromParent_Done,
     /* 197716 */   // Label 3955: @197716
     /* 197716 */   GIM_Try, /*On fail goto*//*Label 3956*/ GIMT_Encode4(197753), // Rule ID 12075 //
     /* 197721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq2),
     /* 197729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 197732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 197735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 197738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 197742 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2075:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UZPQ2_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 197742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ2_ZZZ_B),
     /* 197745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 197747 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197749 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197751 */     GIR_RootConstrainSelectedInstOperands,
     /* 197752 */     // GIR_Coverage, 12075,
     /* 197752 */     GIR_EraseRootFromParent_Done,
     /* 197753 */   // Label 3956: @197753
     /* 197753 */   GIM_Try, /*On fail goto*//*Label 3957*/ GIMT_Encode4(197790), // Rule ID 12076 //
     /* 197758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq2),
     /* 197766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 197769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 197772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 197775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 197779 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2075:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UZPQ2_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 197779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ2_ZZZ_H),
     /* 197782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 197784 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197786 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197788 */     GIR_RootConstrainSelectedInstOperands,
     /* 197789 */     // GIR_Coverage, 12076,
     /* 197789 */     GIR_EraseRootFromParent_Done,
     /* 197790 */   // Label 3957: @197790
     /* 197790 */   GIM_Try, /*On fail goto*//*Label 3958*/ GIMT_Encode4(197827), // Rule ID 12077 //
     /* 197795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq2),
     /* 197803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 197806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 197809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 197812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 197816 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2075:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UZPQ2_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 197816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ2_ZZZ_S),
     /* 197819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 197821 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197823 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197825 */     GIR_RootConstrainSelectedInstOperands,
     /* 197826 */     // GIR_Coverage, 12077,
     /* 197826 */     GIR_EraseRootFromParent_Done,
     /* 197827 */   // Label 3958: @197827
     /* 197827 */   GIM_Try, /*On fail goto*//*Label 3959*/ GIMT_Encode4(197864), // Rule ID 12078 //
     /* 197832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq2),
     /* 197840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 197843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 197846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 197849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 197853 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2075:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (UZPQ2_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 197853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ2_ZZZ_D),
     /* 197856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 197858 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197860 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197862 */     GIR_RootConstrainSelectedInstOperands,
     /* 197863 */     // GIR_Coverage, 12078,
     /* 197863 */     GIR_EraseRootFromParent_Done,
     /* 197864 */   // Label 3959: @197864
     /* 197864 */   GIM_Try, /*On fail goto*//*Label 3960*/ GIMT_Encode4(197901), // Rule ID 12079 //
     /* 197869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq2),
     /* 197877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 197880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 197883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 197886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 197890 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 2075:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (UZPQ2_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 197890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ2_ZZZ_H),
     /* 197893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 197895 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197897 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197899 */     GIR_RootConstrainSelectedInstOperands,
     /* 197900 */     // GIR_Coverage, 12079,
     /* 197900 */     GIR_EraseRootFromParent_Done,
     /* 197901 */   // Label 3960: @197901
     /* 197901 */   GIM_Try, /*On fail goto*//*Label 3961*/ GIMT_Encode4(197938), // Rule ID 12080 //
     /* 197906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq2),
     /* 197914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 197917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 197920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 197923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 197927 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 2075:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (UZPQ2_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 197927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ2_ZZZ_S),
     /* 197930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 197932 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197934 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197936 */     GIR_RootConstrainSelectedInstOperands,
     /* 197937 */     // GIR_Coverage, 12080,
     /* 197937 */     GIR_EraseRootFromParent_Done,
     /* 197938 */   // Label 3961: @197938
     /* 197938 */   GIM_Try, /*On fail goto*//*Label 3962*/ GIMT_Encode4(197975), // Rule ID 12081 //
     /* 197943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq2),
     /* 197951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 197954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 197957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 197960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 197964 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 2075:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (UZPQ2_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 197964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ2_ZZZ_D),
     /* 197967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 197969 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197971 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197973 */     GIR_RootConstrainSelectedInstOperands,
     /* 197974 */     // GIR_Coverage, 12081,
     /* 197974 */     GIR_EraseRootFromParent_Done,
     /* 197975 */   // Label 3962: @197975
     /* 197975 */   GIM_Try, /*On fail goto*//*Label 3963*/ GIMT_Encode4(198017), // Rule ID 3218 //
     /* 197980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 197983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilewr_b),
     /* 197988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 197991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 197995 */     // MIs[0] Op1
     /* 197995 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 197999 */     // MIs[0] Op2
     /* 197999 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 198003 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2128:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEWR_PXX_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 198003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEWR_PXX_B),
     /* 198006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 198008 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198010 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198012 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 198015 */     GIR_RootConstrainSelectedInstOperands,
     /* 198016 */     // GIR_Coverage, 3218,
     /* 198016 */     GIR_EraseRootFromParent_Done,
     /* 198017 */   // Label 3963: @198017
     /* 198017 */   GIM_Try, /*On fail goto*//*Label 3964*/ GIMT_Encode4(198059), // Rule ID 3219 //
     /* 198022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 198025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilewr_h),
     /* 198030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 198033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 198037 */     // MIs[0] Op1
     /* 198037 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 198041 */     // MIs[0] Op2
     /* 198041 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 198045 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2130:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEWR_PXX_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 198045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEWR_PXX_H),
     /* 198048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 198050 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198052 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198054 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 198057 */     GIR_RootConstrainSelectedInstOperands,
     /* 198058 */     // GIR_Coverage, 3219,
     /* 198058 */     GIR_EraseRootFromParent_Done,
     /* 198059 */   // Label 3964: @198059
     /* 198059 */   GIM_Try, /*On fail goto*//*Label 3965*/ GIMT_Encode4(198101), // Rule ID 3220 //
     /* 198064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 198067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilewr_s),
     /* 198072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 198075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 198079 */     // MIs[0] Op1
     /* 198079 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 198083 */     // MIs[0] Op2
     /* 198083 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 198087 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2131:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEWR_PXX_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 198087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEWR_PXX_S),
     /* 198090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 198092 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198094 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198096 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 198099 */     GIR_RootConstrainSelectedInstOperands,
     /* 198100 */     // GIR_Coverage, 3220,
     /* 198100 */     GIR_EraseRootFromParent_Done,
     /* 198101 */   // Label 3965: @198101
     /* 198101 */   GIM_Try, /*On fail goto*//*Label 3966*/ GIMT_Encode4(198143), // Rule ID 3221 //
     /* 198106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 198109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilewr_d),
     /* 198114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 198117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 198121 */     // MIs[0] Op1
     /* 198121 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 198125 */     // MIs[0] Op2
     /* 198125 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 198129 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2129:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEWR_PXX_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 198129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEWR_PXX_D),
     /* 198132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 198134 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198136 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198138 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 198141 */     GIR_RootConstrainSelectedInstOperands,
     /* 198142 */     // GIR_Coverage, 3221,
     /* 198142 */     GIR_EraseRootFromParent_Done,
     /* 198143 */   // Label 3966: @198143
     /* 198143 */   GIM_Try, /*On fail goto*//*Label 3967*/ GIMT_Encode4(198185), // Rule ID 11892 //
     /* 198148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 198151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilerw_b),
     /* 198156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 198159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 198163 */     // MIs[0] Op1
     /* 198163 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 198167 */     // MIs[0] Op2
     /* 198167 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 198171 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2124:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILERW_PXX_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 198171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILERW_PXX_B),
     /* 198174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 198176 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198178 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198180 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 198183 */     GIR_RootConstrainSelectedInstOperands,
     /* 198184 */     // GIR_Coverage, 11892,
     /* 198184 */     GIR_EraseRootFromParent_Done,
     /* 198185 */   // Label 3967: @198185
     /* 198185 */   GIM_Try, /*On fail goto*//*Label 3968*/ GIMT_Encode4(198227), // Rule ID 11893 //
     /* 198190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 198193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilerw_h),
     /* 198198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 198201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 198205 */     // MIs[0] Op1
     /* 198205 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 198209 */     // MIs[0] Op2
     /* 198209 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 198213 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2126:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILERW_PXX_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 198213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILERW_PXX_H),
     /* 198216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 198218 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198220 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198222 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 198225 */     GIR_RootConstrainSelectedInstOperands,
     /* 198226 */     // GIR_Coverage, 11893,
     /* 198226 */     GIR_EraseRootFromParent_Done,
     /* 198227 */   // Label 3968: @198227
     /* 198227 */   GIM_Try, /*On fail goto*//*Label 3969*/ GIMT_Encode4(198269), // Rule ID 11894 //
     /* 198232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 198235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilerw_s),
     /* 198240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 198243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 198247 */     // MIs[0] Op1
     /* 198247 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 198251 */     // MIs[0] Op2
     /* 198251 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 198255 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2127:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILERW_PXX_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 198255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILERW_PXX_S),
     /* 198258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 198260 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198262 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198264 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 198267 */     GIR_RootConstrainSelectedInstOperands,
     /* 198268 */     // GIR_Coverage, 11894,
     /* 198268 */     GIR_EraseRootFromParent_Done,
     /* 198269 */   // Label 3969: @198269
     /* 198269 */   GIM_Try, /*On fail goto*//*Label 3970*/ GIMT_Encode4(198311), // Rule ID 11895 //
     /* 198274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 198277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilerw_d),
     /* 198282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 198285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 198289 */     // MIs[0] Op1
     /* 198289 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 198293 */     // MIs[0] Op2
     /* 198293 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 198297 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2125:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILERW_PXX_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 198297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILERW_PXX_D),
     /* 198300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 198302 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198304 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198306 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 198309 */     GIR_RootConstrainSelectedInstOperands,
     /* 198310 */     // GIR_Coverage, 11895,
     /* 198310 */     GIR_EraseRootFromParent_Done,
     /* 198311 */   // Label 3970: @198311
     /* 198311 */   GIM_Reject,
     /* 198312 */ // Label 3017: @198312
     /* 198312 */ GIM_Try, /*On fail goto*//*Label 3971*/ GIMT_Encode4(242095),
     /* 198317 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/5,
     /* 198320 */   GIM_Try, /*On fail goto*//*Label 3972*/ GIMT_Encode4(198433), // Rule ID 2069 //
     /* 198325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 198328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 198333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 198336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 198339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 198342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 198345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 198349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 198353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 198357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 198361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 198365 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 198369 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 198373 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 198377 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 198381 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 198385 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 198390 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 198394 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 198398 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 198402 */     // MIs[3] Operand 1
     /* 198402 */     // No operand predicates
     /* 198402 */     // MIs[1] Operand 2
     /* 198402 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 198413 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 198415 */     // (intrinsic_wo_chain:{ *:[v4i16] } 686:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }))  =>  (SQRDMLAHv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 198415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv4i16_indexed),
     /* 198418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198420 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 198422 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 198424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 198428 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 198431 */     GIR_RootConstrainSelectedInstOperands,
     /* 198432 */     // GIR_Coverage, 2069,
     /* 198432 */     GIR_EraseRootFromParent_Done,
     /* 198433 */   // Label 3972: @198433
     /* 198433 */   GIM_Try, /*On fail goto*//*Label 3973*/ GIMT_Encode4(198546), // Rule ID 2076 //
     /* 198438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 198441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 198446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 198449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 198452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 198455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 198458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 198462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 198466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 198470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 198474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 198478 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 198482 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 198486 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 198490 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 198494 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 198498 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 198503 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 198507 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 198511 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 198515 */     // MIs[3] Operand 1
     /* 198515 */     // No operand predicates
     /* 198515 */     // MIs[1] Operand 2
     /* 198515 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 198526 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 198528 */     // (intrinsic_wo_chain:{ *:[v4i16] } 687:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }))  =>  (SQRDMLSHv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 198528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv4i16_indexed),
     /* 198531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198533 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 198535 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 198537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 198541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 198544 */     GIR_RootConstrainSelectedInstOperands,
     /* 198545 */     // GIR_Coverage, 2076,
     /* 198545 */     GIR_EraseRootFromParent_Done,
     /* 198546 */   // Label 3973: @198546
     /* 198546 */   GIM_Try, /*On fail goto*//*Label 3974*/ GIMT_Encode4(198659), // Rule ID 2072 //
     /* 198551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 198554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 198559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 198562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 198565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 198568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s32,
     /* 198571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 198575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 198579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 198583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 198587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 198591 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 198595 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 198599 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 198603 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 198607 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 198611 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 198616 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 198620 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 198624 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 198628 */     // MIs[3] Operand 1
     /* 198628 */     // No operand predicates
     /* 198628 */     // MIs[1] Operand 2
     /* 198628 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 198639 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 198641 */     // (intrinsic_wo_chain:{ *:[v2i32] } 686:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }))  =>  (SQRDMLAHv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 198641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv2i32_indexed),
     /* 198644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198646 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 198648 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 198650 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 198654 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 198657 */     GIR_RootConstrainSelectedInstOperands,
     /* 198658 */     // GIR_Coverage, 2072,
     /* 198658 */     GIR_EraseRootFromParent_Done,
     /* 198659 */   // Label 3974: @198659
     /* 198659 */   GIM_Try, /*On fail goto*//*Label 3975*/ GIMT_Encode4(198772), // Rule ID 2079 //
     /* 198664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 198667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 198672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 198675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 198678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 198681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s32,
     /* 198684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 198688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 198692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 198696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 198700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 198704 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 198708 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 198712 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 198716 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 198720 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 198724 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 198729 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 198733 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 198737 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 198741 */     // MIs[3] Operand 1
     /* 198741 */     // No operand predicates
     /* 198741 */     // MIs[1] Operand 2
     /* 198741 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 198752 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 198754 */     // (intrinsic_wo_chain:{ *:[v2i32] } 687:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }))  =>  (SQRDMLSHv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 198754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv2i32_indexed),
     /* 198757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198759 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 198761 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 198763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 198767 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 198770 */     GIR_RootConstrainSelectedInstOperands,
     /* 198771 */     // GIR_Coverage, 2079,
     /* 198771 */     GIR_EraseRootFromParent_Done,
     /* 198772 */   // Label 3975: @198772
     /* 198772 */   GIM_Try, /*On fail goto*//*Label 3976*/ GIMT_Encode4(198877), // Rule ID 3859 //
     /* 198777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 198780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot0),
     /* 198785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 198788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 198791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 198794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 198797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 198801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 198805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 198809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 198813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 198817 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 198821 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 198825 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 198829 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 198833 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 198837 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 198842 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 198846 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 198850 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 198854 */     // MIs[3] Operand 1
     /* 198854 */     // No operand predicates
     /* 198854 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 198856 */     // (intrinsic_wo_chain:{ *:[v4f16] } 757:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (bitconvert:{ *:[v4f16] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)))  =>  (FCMLAv4f16_indexed:{ *:[v4f16] } ?:{ *:[v4f16] }:$Rd, ?:{ *:[v4f16] }:$Rn, ?:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 0:{ *:[i32] })
     /* 198856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f16_indexed),
     /* 198859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198861 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 198863 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 198865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 198869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 198872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 198875 */     GIR_RootConstrainSelectedInstOperands,
     /* 198876 */     // GIR_Coverage, 3859,
     /* 198876 */     GIR_EraseRootFromParent_Done,
     /* 198877 */   // Label 3976: @198877
     /* 198877 */   GIM_Try, /*On fail goto*//*Label 3977*/ GIMT_Encode4(198982), // Rule ID 3860 //
     /* 198882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 198885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot90),
     /* 198890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 198893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 198896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 198899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 198902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 198906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 198910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 198914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 198918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 198922 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 198926 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 198930 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 198934 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 198938 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 198942 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 198947 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 198951 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 198955 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 198959 */     // MIs[3] Operand 1
     /* 198959 */     // No operand predicates
     /* 198959 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 198961 */     // (intrinsic_wo_chain:{ *:[v4f16] } 760:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (bitconvert:{ *:[v4f16] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)))  =>  (FCMLAv4f16_indexed:{ *:[v4f16] } ?:{ *:[v4f16] }:$Rd, ?:{ *:[v4f16] }:$Rn, ?:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 1:{ *:[i32] })
     /* 198961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f16_indexed),
     /* 198964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 198966 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 198968 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 198970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 198974 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 198977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 198980 */     GIR_RootConstrainSelectedInstOperands,
     /* 198981 */     // GIR_Coverage, 3860,
     /* 198981 */     GIR_EraseRootFromParent_Done,
     /* 198982 */   // Label 3977: @198982
     /* 198982 */   GIM_Try, /*On fail goto*//*Label 3978*/ GIMT_Encode4(199087), // Rule ID 3861 //
     /* 198987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 198990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot180),
     /* 198995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 198998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 199001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 199004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 199007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 199023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 199027 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 199031 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 199035 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 199039 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 199043 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 199047 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 199052 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 199056 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 199060 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 199064 */     // MIs[3] Operand 1
     /* 199064 */     // No operand predicates
     /* 199064 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 199066 */     // (intrinsic_wo_chain:{ *:[v4f16] } 758:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (bitconvert:{ *:[v4f16] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)))  =>  (FCMLAv4f16_indexed:{ *:[v4f16] } ?:{ *:[v4f16] }:$Rd, ?:{ *:[v4f16] }:$Rn, ?:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 2:{ *:[i32] })
     /* 199066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f16_indexed),
     /* 199069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199071 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 199073 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 199075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 199079 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 199082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 199085 */     GIR_RootConstrainSelectedInstOperands,
     /* 199086 */     // GIR_Coverage, 3861,
     /* 199086 */     GIR_EraseRootFromParent_Done,
     /* 199087 */   // Label 3978: @199087
     /* 199087 */   GIM_Try, /*On fail goto*//*Label 3979*/ GIMT_Encode4(199192), // Rule ID 3862 //
     /* 199092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 199095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot270),
     /* 199100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 199103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 199106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 199109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 199112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 199128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 199132 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 199136 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 199140 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 199144 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 199148 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 199152 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 199157 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 199161 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 199165 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 199169 */     // MIs[3] Operand 1
     /* 199169 */     // No operand predicates
     /* 199169 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 199171 */     // (intrinsic_wo_chain:{ *:[v4f16] } 759:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (bitconvert:{ *:[v4f16] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)))  =>  (FCMLAv4f16_indexed:{ *:[v4f16] } ?:{ *:[v4f16] }:$Rd, ?:{ *:[v4f16] }:$Rn, ?:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 3:{ *:[i32] })
     /* 199171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f16_indexed),
     /* 199174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199176 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 199178 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 199180 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 199184 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 199187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 199190 */     GIR_RootConstrainSelectedInstOperands,
     /* 199191 */     // GIR_Coverage, 3862,
     /* 199191 */     GIR_EraseRootFromParent_Done,
     /* 199192 */   // Label 3979: @199192
     /* 199192 */   GIM_Try, /*On fail goto*//*Label 3980*/ GIMT_Encode4(199297), // Rule ID 3867 //
     /* 199197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 199200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot0),
     /* 199205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 199208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 199211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 199214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 199217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 199221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 199225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 199229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 199233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 199237 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 199241 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 199245 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 199249 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 199253 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 199257 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 199262 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 199266 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 199270 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 199274 */     // MIs[3] Operand 1
     /* 199274 */     // No operand predicates
     /* 199274 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 199276 */     // (intrinsic_wo_chain:{ *:[v8f16] } 757:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (bitconvert:{ *:[v8f16] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (FCMLAv8f16_indexed:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rd, ?:{ *:[v8f16] }:$Rn, ?:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 0:{ *:[i32] })
     /* 199276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv8f16_indexed),
     /* 199279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199281 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 199283 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 199285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 199289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 199292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 199295 */     GIR_RootConstrainSelectedInstOperands,
     /* 199296 */     // GIR_Coverage, 3867,
     /* 199296 */     GIR_EraseRootFromParent_Done,
     /* 199297 */   // Label 3980: @199297
     /* 199297 */   GIM_Try, /*On fail goto*//*Label 3981*/ GIMT_Encode4(199402), // Rule ID 3868 //
     /* 199302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 199305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot90),
     /* 199310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 199313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 199316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 199319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 199322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 199326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 199330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 199334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 199338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 199342 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 199346 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 199350 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 199354 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 199358 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 199362 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 199367 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 199371 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 199375 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 199379 */     // MIs[3] Operand 1
     /* 199379 */     // No operand predicates
     /* 199379 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 199381 */     // (intrinsic_wo_chain:{ *:[v8f16] } 760:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (bitconvert:{ *:[v8f16] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (FCMLAv8f16_indexed:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rd, ?:{ *:[v8f16] }:$Rn, ?:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 1:{ *:[i32] })
     /* 199381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv8f16_indexed),
     /* 199384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199386 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 199388 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 199390 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 199394 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 199397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 199400 */     GIR_RootConstrainSelectedInstOperands,
     /* 199401 */     // GIR_Coverage, 3868,
     /* 199401 */     GIR_EraseRootFromParent_Done,
     /* 199402 */   // Label 3981: @199402
     /* 199402 */   GIM_Try, /*On fail goto*//*Label 3982*/ GIMT_Encode4(199507), // Rule ID 3869 //
     /* 199407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 199410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot180),
     /* 199415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 199418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 199421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 199424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 199427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 199431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 199435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 199439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 199443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 199447 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 199451 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 199455 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 199459 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 199463 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 199467 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 199472 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 199476 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 199480 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 199484 */     // MIs[3] Operand 1
     /* 199484 */     // No operand predicates
     /* 199484 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 199486 */     // (intrinsic_wo_chain:{ *:[v8f16] } 758:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (bitconvert:{ *:[v8f16] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (FCMLAv8f16_indexed:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rd, ?:{ *:[v8f16] }:$Rn, ?:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 2:{ *:[i32] })
     /* 199486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv8f16_indexed),
     /* 199489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199491 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 199493 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 199495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 199499 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 199502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 199505 */     GIR_RootConstrainSelectedInstOperands,
     /* 199506 */     // GIR_Coverage, 3869,
     /* 199506 */     GIR_EraseRootFromParent_Done,
     /* 199507 */   // Label 3982: @199507
     /* 199507 */   GIM_Try, /*On fail goto*//*Label 3983*/ GIMT_Encode4(199612), // Rule ID 3870 //
     /* 199512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 199515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot270),
     /* 199520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 199523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 199526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 199529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 199532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 199536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 199540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 199544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 199548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 199552 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 199556 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 199560 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 199564 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 199568 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 199572 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 199577 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 199581 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 199585 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 199589 */     // MIs[3] Operand 1
     /* 199589 */     // No operand predicates
     /* 199589 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 199591 */     // (intrinsic_wo_chain:{ *:[v8f16] } 759:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (bitconvert:{ *:[v8f16] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (FCMLAv8f16_indexed:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rd, ?:{ *:[v8f16] }:$Rn, ?:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 3:{ *:[i32] })
     /* 199591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv8f16_indexed),
     /* 199594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199596 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 199598 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 199600 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 199604 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 199607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 199610 */     GIR_RootConstrainSelectedInstOperands,
     /* 199611 */     // GIR_Coverage, 3870,
     /* 199611 */     GIR_EraseRootFromParent_Done,
     /* 199612 */   // Label 3983: @199612
     /* 199612 */   GIM_Try, /*On fail goto*//*Label 3984*/ GIMT_Encode4(199717), // Rule ID 3883 //
     /* 199617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 199620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot0),
     /* 199625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 199628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 199631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 199634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 199637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 199641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 199645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 199649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 199653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 199657 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 199661 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 199665 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 199669 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 199673 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 199677 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 199682 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 199686 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 199690 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 199694 */     // MIs[3] Operand 1
     /* 199694 */     // No operand predicates
     /* 199694 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 199696 */     // (intrinsic_wo_chain:{ *:[v4f32] } 757:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (bitconvert:{ *:[v4f32] } (AArch64duplane64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)))  =>  (FCMLAv4f32_indexed:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v4f32] }:$Rn, ?:{ *:[v2i64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 0:{ *:[i32] })
     /* 199696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f32_indexed),
     /* 199699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199701 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 199703 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 199705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 199709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 199712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 199715 */     GIR_RootConstrainSelectedInstOperands,
     /* 199716 */     // GIR_Coverage, 3883,
     /* 199716 */     GIR_EraseRootFromParent_Done,
     /* 199717 */   // Label 3984: @199717
     /* 199717 */   GIM_Try, /*On fail goto*//*Label 3985*/ GIMT_Encode4(199822), // Rule ID 3884 //
     /* 199722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 199725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot90),
     /* 199730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 199733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 199736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 199739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 199742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 199746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 199750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 199754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 199758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 199762 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 199766 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 199770 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 199774 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 199778 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 199782 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 199787 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 199791 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 199795 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 199799 */     // MIs[3] Operand 1
     /* 199799 */     // No operand predicates
     /* 199799 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 199801 */     // (intrinsic_wo_chain:{ *:[v4f32] } 760:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (bitconvert:{ *:[v4f32] } (AArch64duplane64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)))  =>  (FCMLAv4f32_indexed:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v4f32] }:$Rn, ?:{ *:[v2i64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 1:{ *:[i32] })
     /* 199801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f32_indexed),
     /* 199804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199806 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 199808 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 199810 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 199814 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 199817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 199820 */     GIR_RootConstrainSelectedInstOperands,
     /* 199821 */     // GIR_Coverage, 3884,
     /* 199821 */     GIR_EraseRootFromParent_Done,
     /* 199822 */   // Label 3985: @199822
     /* 199822 */   GIM_Try, /*On fail goto*//*Label 3986*/ GIMT_Encode4(199927), // Rule ID 3885 //
     /* 199827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 199830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot180),
     /* 199835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 199838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 199841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 199844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 199847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 199851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 199855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 199859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 199863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 199867 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 199871 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 199875 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 199879 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 199883 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 199887 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 199892 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 199896 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 199900 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 199904 */     // MIs[3] Operand 1
     /* 199904 */     // No operand predicates
     /* 199904 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 199906 */     // (intrinsic_wo_chain:{ *:[v4f32] } 758:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (bitconvert:{ *:[v4f32] } (AArch64duplane64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)))  =>  (FCMLAv4f32_indexed:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v4f32] }:$Rn, ?:{ *:[v2i64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 2:{ *:[i32] })
     /* 199906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f32_indexed),
     /* 199909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199911 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 199913 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 199915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 199919 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 199922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 199925 */     GIR_RootConstrainSelectedInstOperands,
     /* 199926 */     // GIR_Coverage, 3885,
     /* 199926 */     GIR_EraseRootFromParent_Done,
     /* 199927 */   // Label 3986: @199927
     /* 199927 */   GIM_Try, /*On fail goto*//*Label 3987*/ GIMT_Encode4(200032), // Rule ID 3886 //
     /* 199932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 199935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot270),
     /* 199940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 199943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 199946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 199949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 199952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 199956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 199960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 199964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 199968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 199972 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 199976 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 199980 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 199984 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 199988 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 199992 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 199997 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 200001 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 200005 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 200009 */     // MIs[3] Operand 1
     /* 200009 */     // No operand predicates
     /* 200009 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 200011 */     // (intrinsic_wo_chain:{ *:[v4f32] } 759:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (bitconvert:{ *:[v4f32] } (AArch64duplane64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)))  =>  (FCMLAv4f32_indexed:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v4f32] }:$Rn, ?:{ *:[v2i64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 3:{ *:[i32] })
     /* 200011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f32_indexed),
     /* 200014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200016 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 200018 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 200020 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 200024 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 200027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 200030 */     GIR_RootConstrainSelectedInstOperands,
     /* 200031 */     // GIR_Coverage, 3886,
     /* 200031 */     GIR_EraseRootFromParent_Done,
     /* 200032 */   // Label 3987: @200032
     /* 200032 */   GIM_Try, /*On fail goto*//*Label 3988*/ GIMT_Encode4(200086), // Rule ID 59 //
     /* 200037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 200040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_sign),
     /* 200045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 200048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 200051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 200054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 200058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 200062 */     // MIs[0] Operand 3
     /* 200062 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(0),
     /* 200073 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 200077 */     // (intrinsic_wo_chain:{ *:[i64] } 296:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 0:{ *:[i32] }, 0:{ *:[i64] })  =>  (PACIZA:{ *:[i64] } GPR64:{ *:[i64] }:$Rd)
     /* 200077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PACIZA),
     /* 200080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200082 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 200084 */     GIR_RootConstrainSelectedInstOperands,
     /* 200085 */     // GIR_Coverage, 59,
     /* 200085 */     GIR_EraseRootFromParent_Done,
     /* 200086 */   // Label 3988: @200086
     /* 200086 */   GIM_Try, /*On fail goto*//*Label 3989*/ GIMT_Encode4(200140), // Rule ID 60 //
     /* 200091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 200094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_sign),
     /* 200099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 200102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 200105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 200108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 200112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 200116 */     // MIs[0] Operand 3
     /* 200116 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(2),
     /* 200127 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 200131 */     // (intrinsic_wo_chain:{ *:[i64] } 296:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 2:{ *:[i32] }, 0:{ *:[i64] })  =>  (PACDZA:{ *:[i64] } GPR64:{ *:[i64] }:$Rd)
     /* 200131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PACDZA),
     /* 200134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200136 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 200138 */     GIR_RootConstrainSelectedInstOperands,
     /* 200139 */     // GIR_Coverage, 60,
     /* 200139 */     GIR_EraseRootFromParent_Done,
     /* 200140 */   // Label 3989: @200140
     /* 200140 */   GIM_Try, /*On fail goto*//*Label 3990*/ GIMT_Encode4(200194), // Rule ID 61 //
     /* 200145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 200148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_sign),
     /* 200153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 200156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 200159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 200162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 200166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 200170 */     // MIs[0] Operand 3
     /* 200170 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(1),
     /* 200181 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 200185 */     // (intrinsic_wo_chain:{ *:[i64] } 296:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 1:{ *:[i32] }, 0:{ *:[i64] })  =>  (PACIZB:{ *:[i64] } GPR64:{ *:[i64] }:$Rd)
     /* 200185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PACIZB),
     /* 200188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200190 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 200192 */     GIR_RootConstrainSelectedInstOperands,
     /* 200193 */     // GIR_Coverage, 61,
     /* 200193 */     GIR_EraseRootFromParent_Done,
     /* 200194 */   // Label 3990: @200194
     /* 200194 */   GIM_Try, /*On fail goto*//*Label 3991*/ GIMT_Encode4(200248), // Rule ID 62 //
     /* 200199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 200202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_sign),
     /* 200207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 200210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 200213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 200216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 200220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 200224 */     // MIs[0] Operand 3
     /* 200224 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(3),
     /* 200235 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 200239 */     // (intrinsic_wo_chain:{ *:[i64] } 296:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 3:{ *:[i32] }, 0:{ *:[i64] })  =>  (PACDZB:{ *:[i64] } GPR64:{ *:[i64] }:$Rd)
     /* 200239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PACDZB),
     /* 200242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200244 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 200246 */     GIR_RootConstrainSelectedInstOperands,
     /* 200247 */     // GIR_Coverage, 62,
     /* 200247 */     GIR_EraseRootFromParent_Done,
     /* 200248 */   // Label 3991: @200248
     /* 200248 */   GIM_Try, /*On fail goto*//*Label 3992*/ GIMT_Encode4(200304), // Rule ID 2652 //
     /* 200253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 200256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqinch),
     /* 200261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 200264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 200267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 200271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 200275 */     // MIs[0] pattern
     /* 200275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 200278 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 200283 */     // MIs[0] imm4
     /* 200283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 200286 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 200291 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1796:{ *:[iPTR] }, ZPR16:{ *:[nxv8i16] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQINCH_ZPiI:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 200291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCH_ZPiI),
     /* 200294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 200296 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 200298 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 200300 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 200302 */     GIR_RootConstrainSelectedInstOperands,
     /* 200303 */     // GIR_Coverage, 2652,
     /* 200303 */     GIR_EraseRootFromParent_Done,
     /* 200304 */   // Label 3992: @200304
     /* 200304 */   GIM_Try, /*On fail goto*//*Label 3993*/ GIMT_Encode4(200360), // Rule ID 2661 //
     /* 200309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 200312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincb_n32),
     /* 200317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 200320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 200323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 200327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 200331 */     // MIs[0] pattern
     /* 200331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 200334 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 200339 */     // MIs[0] imm4
     /* 200339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 200342 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 200347 */     // (intrinsic_wo_chain:{ *:[i32] } 2002:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQINCB_WPiI:{ *:[i32] } ?:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 200347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCB_WPiI),
     /* 200350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 200352 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 200354 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 200356 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 200358 */     GIR_RootConstrainSelectedInstOperands,
     /* 200359 */     // GIR_Coverage, 2661,
     /* 200359 */     GIR_EraseRootFromParent_Done,
     /* 200360 */   // Label 3993: @200360
     /* 200360 */   GIM_Try, /*On fail goto*//*Label 3994*/ GIMT_Encode4(200416), // Rule ID 2662 //
     /* 200365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 200368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincb_n64),
     /* 200373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 200376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 200379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 200383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 200387 */     // MIs[0] pattern
     /* 200387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 200390 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 200395 */     // MIs[0] imm4
     /* 200395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 200398 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 200403 */     // (intrinsic_wo_chain:{ *:[i64] } 1792:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQINCB_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 200403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCB_XPiI),
     /* 200406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 200408 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 200410 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 200412 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 200414 */     GIR_RootConstrainSelectedInstOperands,
     /* 200415 */     // GIR_Coverage, 2662,
     /* 200415 */     GIR_EraseRootFromParent_Done,
     /* 200416 */   // Label 3994: @200416
     /* 200416 */   GIM_Try, /*On fail goto*//*Label 3995*/ GIMT_Encode4(200472), // Rule ID 9923 //
     /* 200421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 200424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecb_n32),
     /* 200429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 200432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 200435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 200439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 200443 */     // MIs[0] pattern
     /* 200443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 200446 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 200451 */     // MIs[0] imm4
     /* 200451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 200454 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 200459 */     // (intrinsic_wo_chain:{ *:[i32] } 1988:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQDECB_WPiI:{ *:[i32] } ?:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 200459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECB_WPiI),
     /* 200462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 200464 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 200466 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 200468 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 200470 */     GIR_RootConstrainSelectedInstOperands,
     /* 200471 */     // GIR_Coverage, 9923,
     /* 200471 */     GIR_EraseRootFromParent_Done,
     /* 200472 */   // Label 3995: @200472
     /* 200472 */   GIM_Try, /*On fail goto*//*Label 3996*/ GIMT_Encode4(200528), // Rule ID 9924 //
     /* 200477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 200480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincb_n64),
     /* 200485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 200488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 200491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 200495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 200499 */     // MIs[0] pattern
     /* 200499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 200502 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 200507 */     // MIs[0] imm4
     /* 200507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 200510 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 200515 */     // (intrinsic_wo_chain:{ *:[i64] } 2003:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQINCB_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 200515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCB_XPiI),
     /* 200518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 200520 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 200522 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 200524 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 200526 */     GIR_RootConstrainSelectedInstOperands,
     /* 200527 */     // GIR_Coverage, 9924,
     /* 200527 */     GIR_EraseRootFromParent_Done,
     /* 200528 */   // Label 3996: @200528
     /* 200528 */   GIM_Try, /*On fail goto*//*Label 3997*/ GIMT_Encode4(200584), // Rule ID 9925 //
     /* 200533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 200536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecb_n64),
     /* 200541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 200544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 200547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 200551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 200555 */     // MIs[0] pattern
     /* 200555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 200558 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 200563 */     // MIs[0] imm4
     /* 200563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 200566 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 200571 */     // (intrinsic_wo_chain:{ *:[i64] } 1758:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQDECB_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 200571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECB_XPiI),
     /* 200574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 200576 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 200578 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 200580 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 200582 */     GIR_RootConstrainSelectedInstOperands,
     /* 200583 */     // GIR_Coverage, 9925,
     /* 200583 */     GIR_EraseRootFromParent_Done,
     /* 200584 */   // Label 3997: @200584
     /* 200584 */   GIM_Try, /*On fail goto*//*Label 3998*/ GIMT_Encode4(200640), // Rule ID 9926 //
     /* 200589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 200592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecb_n64),
     /* 200597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 200600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 200603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 200607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 200611 */     // MIs[0] pattern
     /* 200611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 200614 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 200619 */     // MIs[0] imm4
     /* 200619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 200622 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 200627 */     // (intrinsic_wo_chain:{ *:[i64] } 1989:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQDECB_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 200627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECB_XPiI),
     /* 200630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 200632 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 200634 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 200636 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 200638 */     GIR_RootConstrainSelectedInstOperands,
     /* 200639 */     // GIR_Coverage, 9926,
     /* 200639 */     GIR_EraseRootFromParent_Done,
     /* 200640 */   // Label 3998: @200640
     /* 200640 */   GIM_Try, /*On fail goto*//*Label 3999*/ GIMT_Encode4(200696), // Rule ID 9929 //
     /* 200645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 200648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqinch_n32),
     /* 200653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 200656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 200659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 200663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 200667 */     // MIs[0] pattern
     /* 200667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 200670 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 200675 */     // MIs[0] imm4
     /* 200675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 200678 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 200683 */     // (intrinsic_wo_chain:{ *:[i32] } 2008:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQINCH_WPiI:{ *:[i32] } ?:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 200683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCH_WPiI),
     /* 200686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 200688 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 200690 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 200692 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 200694 */     GIR_RootConstrainSelectedInstOperands,
     /* 200695 */     // GIR_Coverage, 9929,
     /* 200695 */     GIR_EraseRootFromParent_Done,
     /* 200696 */   // Label 3999: @200696
     /* 200696 */   GIM_Try, /*On fail goto*//*Label 4000*/ GIMT_Encode4(200752), // Rule ID 9932 //
     /* 200701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 200704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdech_n32),
     /* 200709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 200712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 200715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 200719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 200723 */     // MIs[0] pattern
     /* 200723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 200726 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 200731 */     // MIs[0] imm4
     /* 200731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 200734 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 200739 */     // (intrinsic_wo_chain:{ *:[i32] } 1994:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQDECH_WPiI:{ *:[i32] } ?:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 200739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECH_WPiI),
     /* 200742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 200744 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 200746 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 200748 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 200750 */     GIR_RootConstrainSelectedInstOperands,
     /* 200751 */     // GIR_Coverage, 9932,
     /* 200751 */     GIR_EraseRootFromParent_Done,
     /* 200752 */   // Label 4000: @200752
     /* 200752 */   GIM_Try, /*On fail goto*//*Label 4001*/ GIMT_Encode4(200808), // Rule ID 9933 //
     /* 200757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 200760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqinch_n64),
     /* 200765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 200768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 200771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 200775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 200779 */     // MIs[0] pattern
     /* 200779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 200782 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 200787 */     // MIs[0] imm4
     /* 200787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 200790 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 200795 */     // (intrinsic_wo_chain:{ *:[i64] } 1798:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQINCH_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 200795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCH_XPiI),
     /* 200798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 200800 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 200802 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 200804 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 200806 */     GIR_RootConstrainSelectedInstOperands,
     /* 200807 */     // GIR_Coverage, 9933,
     /* 200807 */     GIR_EraseRootFromParent_Done,
     /* 200808 */   // Label 4001: @200808
     /* 200808 */   GIM_Try, /*On fail goto*//*Label 4002*/ GIMT_Encode4(200864), // Rule ID 9934 //
     /* 200813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 200816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqinch_n64),
     /* 200821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 200824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 200827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 200831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 200835 */     // MIs[0] pattern
     /* 200835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 200838 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 200843 */     // MIs[0] imm4
     /* 200843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 200846 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 200851 */     // (intrinsic_wo_chain:{ *:[i64] } 2009:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQINCH_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 200851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCH_XPiI),
     /* 200854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 200856 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 200858 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 200860 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 200862 */     GIR_RootConstrainSelectedInstOperands,
     /* 200863 */     // GIR_Coverage, 9934,
     /* 200863 */     GIR_EraseRootFromParent_Done,
     /* 200864 */   // Label 4002: @200864
     /* 200864 */   GIM_Try, /*On fail goto*//*Label 4003*/ GIMT_Encode4(200920), // Rule ID 9935 //
     /* 200869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 200872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdech_n64),
     /* 200877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 200880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 200883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 200887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 200891 */     // MIs[0] pattern
     /* 200891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 200894 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 200899 */     // MIs[0] imm4
     /* 200899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 200902 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 200907 */     // (intrinsic_wo_chain:{ *:[i64] } 1764:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQDECH_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 200907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECH_XPiI),
     /* 200910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 200912 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 200914 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 200916 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 200918 */     GIR_RootConstrainSelectedInstOperands,
     /* 200919 */     // GIR_Coverage, 9935,
     /* 200919 */     GIR_EraseRootFromParent_Done,
     /* 200920 */   // Label 4003: @200920
     /* 200920 */   GIM_Try, /*On fail goto*//*Label 4004*/ GIMT_Encode4(200976), // Rule ID 9936 //
     /* 200925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 200928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdech_n64),
     /* 200933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 200936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 200939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 200943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 200947 */     // MIs[0] pattern
     /* 200947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 200950 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 200955 */     // MIs[0] imm4
     /* 200955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 200958 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 200963 */     // (intrinsic_wo_chain:{ *:[i64] } 1995:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQDECH_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 200963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECH_XPiI),
     /* 200966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 200968 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 200970 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 200972 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 200974 */     GIR_RootConstrainSelectedInstOperands,
     /* 200975 */     // GIR_Coverage, 9936,
     /* 200975 */     GIR_EraseRootFromParent_Done,
     /* 200976 */   // Label 4004: @200976
     /* 200976 */   GIM_Try, /*On fail goto*//*Label 4005*/ GIMT_Encode4(201032), // Rule ID 9939 //
     /* 200981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 200984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincw_n32),
     /* 200989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 200992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 200995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 200999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 201003 */     // MIs[0] pattern
     /* 201003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201006 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201011 */     // MIs[0] imm4
     /* 201011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201014 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201019 */     // (intrinsic_wo_chain:{ *:[i32] } 2014:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQINCW_WPiI:{ *:[i32] } ?:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCW_WPiI),
     /* 201022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 201024 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 201026 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201028 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201030 */     GIR_RootConstrainSelectedInstOperands,
     /* 201031 */     // GIR_Coverage, 9939,
     /* 201031 */     GIR_EraseRootFromParent_Done,
     /* 201032 */   // Label 4005: @201032
     /* 201032 */   GIM_Try, /*On fail goto*//*Label 4006*/ GIMT_Encode4(201088), // Rule ID 9942 //
     /* 201037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecw_n32),
     /* 201045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 201048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 201051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 201055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 201059 */     // MIs[0] pattern
     /* 201059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201062 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201067 */     // MIs[0] imm4
     /* 201067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201070 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201075 */     // (intrinsic_wo_chain:{ *:[i32] } 2000:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQDECW_WPiI:{ *:[i32] } ?:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECW_WPiI),
     /* 201078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 201080 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 201082 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201084 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201086 */     GIR_RootConstrainSelectedInstOperands,
     /* 201087 */     // GIR_Coverage, 9942,
     /* 201087 */     GIR_EraseRootFromParent_Done,
     /* 201088 */   // Label 4006: @201088
     /* 201088 */   GIM_Try, /*On fail goto*//*Label 4007*/ GIMT_Encode4(201144), // Rule ID 9943 //
     /* 201093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincw_n64),
     /* 201101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 201104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 201107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201115 */     // MIs[0] pattern
     /* 201115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201118 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201123 */     // MIs[0] imm4
     /* 201123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201126 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201131 */     // (intrinsic_wo_chain:{ *:[i64] } 1804:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQINCW_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCW_XPiI),
     /* 201134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 201136 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 201138 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201140 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201142 */     GIR_RootConstrainSelectedInstOperands,
     /* 201143 */     // GIR_Coverage, 9943,
     /* 201143 */     GIR_EraseRootFromParent_Done,
     /* 201144 */   // Label 4007: @201144
     /* 201144 */   GIM_Try, /*On fail goto*//*Label 4008*/ GIMT_Encode4(201200), // Rule ID 9944 //
     /* 201149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincw_n64),
     /* 201157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 201160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 201163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201171 */     // MIs[0] pattern
     /* 201171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201174 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201179 */     // MIs[0] imm4
     /* 201179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201182 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201187 */     // (intrinsic_wo_chain:{ *:[i64] } 2015:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQINCW_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCW_XPiI),
     /* 201190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 201192 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 201194 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201196 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201198 */     GIR_RootConstrainSelectedInstOperands,
     /* 201199 */     // GIR_Coverage, 9944,
     /* 201199 */     GIR_EraseRootFromParent_Done,
     /* 201200 */   // Label 4008: @201200
     /* 201200 */   GIM_Try, /*On fail goto*//*Label 4009*/ GIMT_Encode4(201256), // Rule ID 9945 //
     /* 201205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecw_n64),
     /* 201213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 201216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 201219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201227 */     // MIs[0] pattern
     /* 201227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201230 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201235 */     // MIs[0] imm4
     /* 201235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201238 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201243 */     // (intrinsic_wo_chain:{ *:[i64] } 1770:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQDECW_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECW_XPiI),
     /* 201246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 201248 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 201250 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201252 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201254 */     GIR_RootConstrainSelectedInstOperands,
     /* 201255 */     // GIR_Coverage, 9945,
     /* 201255 */     GIR_EraseRootFromParent_Done,
     /* 201256 */   // Label 4009: @201256
     /* 201256 */   GIM_Try, /*On fail goto*//*Label 4010*/ GIMT_Encode4(201312), // Rule ID 9946 //
     /* 201261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecw_n64),
     /* 201269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 201272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 201275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201283 */     // MIs[0] pattern
     /* 201283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201286 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201291 */     // MIs[0] imm4
     /* 201291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201294 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201299 */     // (intrinsic_wo_chain:{ *:[i64] } 2001:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQDECW_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECW_XPiI),
     /* 201302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 201304 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 201306 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201308 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201310 */     GIR_RootConstrainSelectedInstOperands,
     /* 201311 */     // GIR_Coverage, 9946,
     /* 201311 */     GIR_EraseRootFromParent_Done,
     /* 201312 */   // Label 4010: @201312
     /* 201312 */   GIM_Try, /*On fail goto*//*Label 4011*/ GIMT_Encode4(201368), // Rule ID 9949 //
     /* 201317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincd_n32),
     /* 201325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 201328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 201331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 201335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 201339 */     // MIs[0] pattern
     /* 201339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201342 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201347 */     // MIs[0] imm4
     /* 201347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201350 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201355 */     // (intrinsic_wo_chain:{ *:[i32] } 2005:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQINCD_WPiI:{ *:[i32] } ?:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCD_WPiI),
     /* 201358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 201360 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 201362 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201364 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201366 */     GIR_RootConstrainSelectedInstOperands,
     /* 201367 */     // GIR_Coverage, 9949,
     /* 201367 */     GIR_EraseRootFromParent_Done,
     /* 201368 */   // Label 4011: @201368
     /* 201368 */   GIM_Try, /*On fail goto*//*Label 4012*/ GIMT_Encode4(201424), // Rule ID 9952 //
     /* 201373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecd_n32),
     /* 201381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 201384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 201387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 201391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 201395 */     // MIs[0] pattern
     /* 201395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201398 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201403 */     // MIs[0] imm4
     /* 201403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201406 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201411 */     // (intrinsic_wo_chain:{ *:[i32] } 1991:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQDECD_WPiI:{ *:[i32] } ?:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECD_WPiI),
     /* 201414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 201416 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 201418 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201420 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201422 */     GIR_RootConstrainSelectedInstOperands,
     /* 201423 */     // GIR_Coverage, 9952,
     /* 201423 */     GIR_EraseRootFromParent_Done,
     /* 201424 */   // Label 4012: @201424
     /* 201424 */   GIM_Try, /*On fail goto*//*Label 4013*/ GIMT_Encode4(201480), // Rule ID 9953 //
     /* 201429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincd_n64),
     /* 201437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 201440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 201443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201451 */     // MIs[0] pattern
     /* 201451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201454 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201459 */     // MIs[0] imm4
     /* 201459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201462 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201467 */     // (intrinsic_wo_chain:{ *:[i64] } 1795:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQINCD_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCD_XPiI),
     /* 201470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 201472 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 201474 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201476 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201478 */     GIR_RootConstrainSelectedInstOperands,
     /* 201479 */     // GIR_Coverage, 9953,
     /* 201479 */     GIR_EraseRootFromParent_Done,
     /* 201480 */   // Label 4013: @201480
     /* 201480 */   GIM_Try, /*On fail goto*//*Label 4014*/ GIMT_Encode4(201536), // Rule ID 9954 //
     /* 201485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincd_n64),
     /* 201493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 201496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 201499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201507 */     // MIs[0] pattern
     /* 201507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201510 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201515 */     // MIs[0] imm4
     /* 201515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201518 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201523 */     // (intrinsic_wo_chain:{ *:[i64] } 2006:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQINCD_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCD_XPiI),
     /* 201526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 201528 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 201530 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201532 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201534 */     GIR_RootConstrainSelectedInstOperands,
     /* 201535 */     // GIR_Coverage, 9954,
     /* 201535 */     GIR_EraseRootFromParent_Done,
     /* 201536 */   // Label 4014: @201536
     /* 201536 */   GIM_Try, /*On fail goto*//*Label 4015*/ GIMT_Encode4(201592), // Rule ID 9955 //
     /* 201541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecd_n64),
     /* 201549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 201552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 201555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201563 */     // MIs[0] pattern
     /* 201563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201566 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201571 */     // MIs[0] imm4
     /* 201571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201574 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201579 */     // (intrinsic_wo_chain:{ *:[i64] } 1761:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQDECD_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECD_XPiI),
     /* 201582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 201584 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 201586 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201588 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201590 */     GIR_RootConstrainSelectedInstOperands,
     /* 201591 */     // GIR_Coverage, 9955,
     /* 201591 */     GIR_EraseRootFromParent_Done,
     /* 201592 */   // Label 4015: @201592
     /* 201592 */   GIM_Try, /*On fail goto*//*Label 4016*/ GIMT_Encode4(201648), // Rule ID 9956 //
     /* 201597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecd_n64),
     /* 201605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 201608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 201611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201619 */     // MIs[0] pattern
     /* 201619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201622 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201627 */     // MIs[0] imm4
     /* 201627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201630 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201635 */     // (intrinsic_wo_chain:{ *:[i64] } 1992:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQDECD_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECD_XPiI),
     /* 201638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 201640 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 201642 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201644 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201646 */     GIR_RootConstrainSelectedInstOperands,
     /* 201647 */     // GIR_Coverage, 9956,
     /* 201647 */     GIR_EraseRootFromParent_Done,
     /* 201648 */   // Label 4016: @201648
     /* 201648 */   GIM_Try, /*On fail goto*//*Label 4017*/ GIMT_Encode4(201704), // Rule ID 9957 //
     /* 201653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqinch),
     /* 201661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 201664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 201667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 201671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 201675 */     // MIs[0] pattern
     /* 201675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201678 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201683 */     // MIs[0] imm4
     /* 201683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201686 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201691 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2007:{ *:[iPTR] }, ZPR16:{ *:[nxv8i16] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQINCH_ZPiI:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCH_ZPiI),
     /* 201694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 201696 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 201698 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201700 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201702 */     GIR_RootConstrainSelectedInstOperands,
     /* 201703 */     // GIR_Coverage, 9957,
     /* 201703 */     GIR_EraseRootFromParent_Done,
     /* 201704 */   // Label 4017: @201704
     /* 201704 */   GIM_Try, /*On fail goto*//*Label 4018*/ GIMT_Encode4(201760), // Rule ID 9958 //
     /* 201709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdech),
     /* 201717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 201720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 201723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 201727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 201731 */     // MIs[0] pattern
     /* 201731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201734 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201739 */     // MIs[0] imm4
     /* 201739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201742 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201747 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1762:{ *:[iPTR] }, ZPR16:{ *:[nxv8i16] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQDECH_ZPiI:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECH_ZPiI),
     /* 201750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 201752 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 201754 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201756 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201758 */     GIR_RootConstrainSelectedInstOperands,
     /* 201759 */     // GIR_Coverage, 9958,
     /* 201759 */     GIR_EraseRootFromParent_Done,
     /* 201760 */   // Label 4018: @201760
     /* 201760 */   GIM_Try, /*On fail goto*//*Label 4019*/ GIMT_Encode4(201816), // Rule ID 9959 //
     /* 201765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdech),
     /* 201773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 201776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 201779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 201783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 201787 */     // MIs[0] pattern
     /* 201787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201790 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201795 */     // MIs[0] imm4
     /* 201795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201798 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201803 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1993:{ *:[iPTR] }, ZPR16:{ *:[nxv8i16] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQDECH_ZPiI:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECH_ZPiI),
     /* 201806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 201808 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 201810 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201812 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201814 */     GIR_RootConstrainSelectedInstOperands,
     /* 201815 */     // GIR_Coverage, 9959,
     /* 201815 */     GIR_EraseRootFromParent_Done,
     /* 201816 */   // Label 4019: @201816
     /* 201816 */   GIM_Try, /*On fail goto*//*Label 4020*/ GIMT_Encode4(201872), // Rule ID 9960 //
     /* 201821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincw),
     /* 201829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 201832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 201835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 201839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 201843 */     // MIs[0] pattern
     /* 201843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201846 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201851 */     // MIs[0] imm4
     /* 201851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201854 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201859 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1802:{ *:[iPTR] }, ZPR32:{ *:[nxv4i32] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQINCW_ZPiI:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCW_ZPiI),
     /* 201862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 201864 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 201866 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201868 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201870 */     GIR_RootConstrainSelectedInstOperands,
     /* 201871 */     // GIR_Coverage, 9960,
     /* 201871 */     GIR_EraseRootFromParent_Done,
     /* 201872 */   // Label 4020: @201872
     /* 201872 */   GIM_Try, /*On fail goto*//*Label 4021*/ GIMT_Encode4(201928), // Rule ID 9961 //
     /* 201877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincw),
     /* 201885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 201888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 201891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 201895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 201899 */     // MIs[0] pattern
     /* 201899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201902 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201907 */     // MIs[0] imm4
     /* 201907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201910 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201915 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2013:{ *:[iPTR] }, ZPR32:{ *:[nxv4i32] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQINCW_ZPiI:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCW_ZPiI),
     /* 201918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 201920 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 201922 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201924 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201926 */     GIR_RootConstrainSelectedInstOperands,
     /* 201927 */     // GIR_Coverage, 9961,
     /* 201927 */     GIR_EraseRootFromParent_Done,
     /* 201928 */   // Label 4021: @201928
     /* 201928 */   GIM_Try, /*On fail goto*//*Label 4022*/ GIMT_Encode4(201984), // Rule ID 9962 //
     /* 201933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecw),
     /* 201941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 201944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 201947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 201951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 201955 */     // MIs[0] pattern
     /* 201955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201958 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201963 */     // MIs[0] imm4
     /* 201963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201966 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201971 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1768:{ *:[iPTR] }, ZPR32:{ *:[nxv4i32] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQDECW_ZPiI:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECW_ZPiI),
     /* 201974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 201976 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 201978 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201980 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201982 */     GIR_RootConstrainSelectedInstOperands,
     /* 201983 */     // GIR_Coverage, 9962,
     /* 201983 */     GIR_EraseRootFromParent_Done,
     /* 201984 */   // Label 4022: @201984
     /* 201984 */   GIM_Try, /*On fail goto*//*Label 4023*/ GIMT_Encode4(202040), // Rule ID 9963 //
     /* 201989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecw),
     /* 201997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 202000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 202003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202011 */     // MIs[0] pattern
     /* 202011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 202014 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 202019 */     // MIs[0] imm4
     /* 202019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202022 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 202027 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1999:{ *:[iPTR] }, ZPR32:{ *:[nxv4i32] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQDECW_ZPiI:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 202027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECW_ZPiI),
     /* 202030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 202032 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 202034 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 202036 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 202038 */     GIR_RootConstrainSelectedInstOperands,
     /* 202039 */     // GIR_Coverage, 9963,
     /* 202039 */     GIR_EraseRootFromParent_Done,
     /* 202040 */   // Label 4023: @202040
     /* 202040 */   GIM_Try, /*On fail goto*//*Label 4024*/ GIMT_Encode4(202096), // Rule ID 9964 //
     /* 202045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 202048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincd),
     /* 202053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 202056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 202059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202067 */     // MIs[0] pattern
     /* 202067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 202070 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 202075 */     // MIs[0] imm4
     /* 202075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202078 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 202083 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1793:{ *:[iPTR] }, ZPR64:{ *:[nxv2i64] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQINCD_ZPiI:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 202083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCD_ZPiI),
     /* 202086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 202088 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 202090 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 202092 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 202094 */     GIR_RootConstrainSelectedInstOperands,
     /* 202095 */     // GIR_Coverage, 9964,
     /* 202095 */     GIR_EraseRootFromParent_Done,
     /* 202096 */   // Label 4024: @202096
     /* 202096 */   GIM_Try, /*On fail goto*//*Label 4025*/ GIMT_Encode4(202152), // Rule ID 9965 //
     /* 202101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 202104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincd),
     /* 202109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 202112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 202115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202123 */     // MIs[0] pattern
     /* 202123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 202126 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 202131 */     // MIs[0] imm4
     /* 202131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202134 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 202139 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2004:{ *:[iPTR] }, ZPR64:{ *:[nxv2i64] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQINCD_ZPiI:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 202139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCD_ZPiI),
     /* 202142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 202144 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 202146 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 202148 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 202150 */     GIR_RootConstrainSelectedInstOperands,
     /* 202151 */     // GIR_Coverage, 9965,
     /* 202151 */     GIR_EraseRootFromParent_Done,
     /* 202152 */   // Label 4025: @202152
     /* 202152 */   GIM_Try, /*On fail goto*//*Label 4026*/ GIMT_Encode4(202208), // Rule ID 9966 //
     /* 202157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 202160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecd),
     /* 202165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 202168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 202171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202179 */     // MIs[0] pattern
     /* 202179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 202182 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 202187 */     // MIs[0] imm4
     /* 202187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202190 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 202195 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1759:{ *:[iPTR] }, ZPR64:{ *:[nxv2i64] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQDECD_ZPiI:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 202195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECD_ZPiI),
     /* 202198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 202200 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 202202 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 202204 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 202206 */     GIR_RootConstrainSelectedInstOperands,
     /* 202207 */     // GIR_Coverage, 9966,
     /* 202207 */     GIR_EraseRootFromParent_Done,
     /* 202208 */   // Label 4026: @202208
     /* 202208 */   GIM_Try, /*On fail goto*//*Label 4027*/ GIMT_Encode4(202264), // Rule ID 9967 //
     /* 202213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 202216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecd),
     /* 202221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 202224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 202227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202235 */     // MIs[0] pattern
     /* 202235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 202238 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 202243 */     // MIs[0] imm4
     /* 202243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202246 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 202251 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1990:{ *:[iPTR] }, ZPR64:{ *:[nxv2i64] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQDECD_ZPiI:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 202251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECD_ZPiI),
     /* 202254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 202256 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 202258 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 202260 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 202262 */     GIR_RootConstrainSelectedInstOperands,
     /* 202263 */     // GIR_Coverage, 9967,
     /* 202263 */     GIR_EraseRootFromParent_Done,
     /* 202264 */   // Label 4027: @202264
     /* 202264 */   GIM_Try, /*On fail goto*//*Label 4028*/ GIMT_Encode4(202354), // Rule ID 47 //
     /* 202269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 202272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlal),
     /* 202277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 202280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 202283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 202286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 202289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 202293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 202297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 202301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 202305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 202309 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 202313 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 202317 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 202322 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 202326 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 202330 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 202334 */     // MIs[2] Operand 1
     /* 202334 */     // No operand predicates
     /* 202334 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 202336 */     // (intrinsic_wo_chain:{ *:[v2f32] } 606:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMLALlanev4f16:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 202336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALlanev4f16),
     /* 202339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 202341 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 202343 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 202345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 202349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 202352 */     GIR_RootConstrainSelectedInstOperands,
     /* 202353 */     // GIR_Coverage, 47,
     /* 202353 */     GIR_EraseRootFromParent_Done,
     /* 202354 */   // Label 4028: @202354
     /* 202354 */   GIM_Try, /*On fail goto*//*Label 4029*/ GIMT_Encode4(202444), // Rule ID 48 //
     /* 202359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 202362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlal),
     /* 202367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 202370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 202373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 202376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 202379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 202383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 202387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 202391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 202395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 202399 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 202403 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 202407 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 202412 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 202416 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 202420 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 202424 */     // MIs[2] Operand 1
     /* 202424 */     // No operand predicates
     /* 202424 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 202426 */     // (intrinsic_wo_chain:{ *:[v4f32] } 606:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMLALlanev8f16:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 202426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALlanev8f16),
     /* 202429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 202431 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 202433 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 202435 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 202439 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 202442 */     GIR_RootConstrainSelectedInstOperands,
     /* 202443 */     // GIR_Coverage, 48,
     /* 202443 */     GIR_EraseRootFromParent_Done,
     /* 202444 */   // Label 4029: @202444
     /* 202444 */   GIM_Try, /*On fail goto*//*Label 4030*/ GIMT_Encode4(202534), // Rule ID 49 //
     /* 202449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 202452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlsl),
     /* 202457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 202460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 202463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 202466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 202469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 202473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 202477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 202481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 202485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 202489 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 202493 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 202497 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 202502 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 202506 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 202510 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 202514 */     // MIs[2] Operand 1
     /* 202514 */     // No operand predicates
     /* 202514 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 202516 */     // (intrinsic_wo_chain:{ *:[v2f32] } 608:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMLSLlanev4f16:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 202516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSLlanev4f16),
     /* 202519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 202521 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 202523 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 202525 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 202529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 202532 */     GIR_RootConstrainSelectedInstOperands,
     /* 202533 */     // GIR_Coverage, 49,
     /* 202533 */     GIR_EraseRootFromParent_Done,
     /* 202534 */   // Label 4030: @202534
     /* 202534 */   GIM_Try, /*On fail goto*//*Label 4031*/ GIMT_Encode4(202624), // Rule ID 50 //
     /* 202539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 202542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlsl),
     /* 202547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 202550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 202553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 202556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 202559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 202563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 202567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 202571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 202575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 202579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 202583 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 202587 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 202592 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 202596 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 202600 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 202604 */     // MIs[2] Operand 1
     /* 202604 */     // No operand predicates
     /* 202604 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 202606 */     // (intrinsic_wo_chain:{ *:[v4f32] } 608:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMLSLlanev8f16:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 202606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSLlanev8f16),
     /* 202609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 202611 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 202613 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 202615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 202619 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 202622 */     GIR_RootConstrainSelectedInstOperands,
     /* 202623 */     // GIR_Coverage, 50,
     /* 202623 */     GIR_EraseRootFromParent_Done,
     /* 202624 */   // Label 4031: @202624
     /* 202624 */   GIM_Try, /*On fail goto*//*Label 4032*/ GIMT_Encode4(202714), // Rule ID 51 //
     /* 202629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 202632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlal2),
     /* 202637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 202640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 202643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 202646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 202649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 202653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 202657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 202661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 202665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 202669 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 202673 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 202677 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 202682 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 202686 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 202690 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 202694 */     // MIs[2] Operand 1
     /* 202694 */     // No operand predicates
     /* 202694 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 202696 */     // (intrinsic_wo_chain:{ *:[v2f32] } 607:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMLAL2lanev4f16:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 202696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAL2lanev4f16),
     /* 202699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 202701 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 202703 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 202705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 202709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 202712 */     GIR_RootConstrainSelectedInstOperands,
     /* 202713 */     // GIR_Coverage, 51,
     /* 202713 */     GIR_EraseRootFromParent_Done,
     /* 202714 */   // Label 4032: @202714
     /* 202714 */   GIM_Try, /*On fail goto*//*Label 4033*/ GIMT_Encode4(202804), // Rule ID 52 //
     /* 202719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 202722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlal2),
     /* 202727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 202730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 202733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 202736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 202739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 202743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 202747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 202751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 202755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 202759 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 202763 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 202767 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 202772 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 202776 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 202780 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 202784 */     // MIs[2] Operand 1
     /* 202784 */     // No operand predicates
     /* 202784 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 202786 */     // (intrinsic_wo_chain:{ *:[v4f32] } 607:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMLAL2lanev8f16:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 202786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAL2lanev8f16),
     /* 202789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 202791 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 202793 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 202795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 202799 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 202802 */     GIR_RootConstrainSelectedInstOperands,
     /* 202803 */     // GIR_Coverage, 52,
     /* 202803 */     GIR_EraseRootFromParent_Done,
     /* 202804 */   // Label 4033: @202804
     /* 202804 */   GIM_Try, /*On fail goto*//*Label 4034*/ GIMT_Encode4(202894), // Rule ID 53 //
     /* 202809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 202812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlsl2),
     /* 202817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 202820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 202823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 202826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 202829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 202833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 202837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 202841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 202845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 202849 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 202853 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 202857 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 202862 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 202866 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 202870 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 202874 */     // MIs[2] Operand 1
     /* 202874 */     // No operand predicates
     /* 202874 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 202876 */     // (intrinsic_wo_chain:{ *:[v2f32] } 609:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMLSL2lanev4f16:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 202876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSL2lanev4f16),
     /* 202879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 202881 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 202883 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 202885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 202889 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 202892 */     GIR_RootConstrainSelectedInstOperands,
     /* 202893 */     // GIR_Coverage, 53,
     /* 202893 */     GIR_EraseRootFromParent_Done,
     /* 202894 */   // Label 4034: @202894
     /* 202894 */   GIM_Try, /*On fail goto*//*Label 4035*/ GIMT_Encode4(202984), // Rule ID 54 //
     /* 202899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 202902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlsl2),
     /* 202907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 202910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 202913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 202916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 202919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 202923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 202927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 202931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 202935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 202939 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 202943 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 202947 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 202952 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 202956 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 202960 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 202964 */     // MIs[2] Operand 1
     /* 202964 */     // No operand predicates
     /* 202964 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 202966 */     // (intrinsic_wo_chain:{ *:[v4f32] } 609:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMLSL2lanev8f16:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 202966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSL2lanev8f16),
     /* 202969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 202971 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 202973 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 202975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 202979 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 202982 */     GIR_RootConstrainSelectedInstOperands,
     /* 202983 */     // GIR_Coverage, 54,
     /* 202983 */     GIR_EraseRootFromParent_Done,
     /* 202984 */   // Label 4035: @202984
     /* 202984 */   GIM_Try, /*On fail goto*//*Label 4036*/ GIMT_Encode4(203074), // Rule ID 2070 //
     /* 202989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 202992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 202997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 203000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 203003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 203006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 203009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 203025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 203029 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 203033 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 203037 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 203042 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 203046 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 203050 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 203054 */     // MIs[2] Operand 1
     /* 203054 */     // No operand predicates
     /* 203054 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 203056 */     // (intrinsic_wo_chain:{ *:[v4i16] } 686:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (SQRDMLAHv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 203056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv4i16_indexed),
     /* 203059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203061 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 203063 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 203065 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 203069 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 203072 */     GIR_RootConstrainSelectedInstOperands,
     /* 203073 */     // GIR_Coverage, 2070,
     /* 203073 */     GIR_EraseRootFromParent_Done,
     /* 203074 */   // Label 4036: @203074
     /* 203074 */   GIM_Try, /*On fail goto*//*Label 4037*/ GIMT_Encode4(203164), // Rule ID 2071 //
     /* 203079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 203082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 203087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 203090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 203093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 203096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 203099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 203115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 203119 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 203123 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 203127 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 203132 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 203136 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 203140 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 203144 */     // MIs[2] Operand 1
     /* 203144 */     // No operand predicates
     /* 203144 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 203146 */     // (intrinsic_wo_chain:{ *:[v8i16] } 686:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (SQRDMLAHv8i16_indexed:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 203146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv8i16_indexed),
     /* 203149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203151 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 203153 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 203155 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 203159 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 203162 */     GIR_RootConstrainSelectedInstOperands,
     /* 203163 */     // GIR_Coverage, 2071,
     /* 203163 */     GIR_EraseRootFromParent_Done,
     /* 203164 */   // Label 4037: @203164
     /* 203164 */   GIM_Try, /*On fail goto*//*Label 4038*/ GIMT_Encode4(203254), // Rule ID 2077 //
     /* 203169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 203172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 203177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 203180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 203183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 203186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 203189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 203205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 203209 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 203213 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 203217 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 203222 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 203226 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 203230 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 203234 */     // MIs[2] Operand 1
     /* 203234 */     // No operand predicates
     /* 203234 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 203236 */     // (intrinsic_wo_chain:{ *:[v4i16] } 687:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (SQRDMLSHv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 203236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv4i16_indexed),
     /* 203239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203241 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 203243 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 203245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 203249 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 203252 */     GIR_RootConstrainSelectedInstOperands,
     /* 203253 */     // GIR_Coverage, 2077,
     /* 203253 */     GIR_EraseRootFromParent_Done,
     /* 203254 */   // Label 4038: @203254
     /* 203254 */   GIM_Try, /*On fail goto*//*Label 4039*/ GIMT_Encode4(203344), // Rule ID 2078 //
     /* 203259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 203262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 203267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 203270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 203273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 203276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 203279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 203295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 203299 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 203303 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 203307 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 203312 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 203316 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 203320 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 203324 */     // MIs[2] Operand 1
     /* 203324 */     // No operand predicates
     /* 203324 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 203326 */     // (intrinsic_wo_chain:{ *:[v8i16] } 687:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (SQRDMLSHv8i16_indexed:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 203326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv8i16_indexed),
     /* 203329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203331 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 203333 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 203335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 203339 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 203342 */     GIR_RootConstrainSelectedInstOperands,
     /* 203343 */     // GIR_Coverage, 2078,
     /* 203343 */     GIR_EraseRootFromParent_Done,
     /* 203344 */   // Label 4039: @203344
     /* 203344 */   GIM_Try, /*On fail goto*//*Label 4040*/ GIMT_Encode4(203434), // Rule ID 2073 //
     /* 203349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 203352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 203357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 203360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 203363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 203366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s32,
     /* 203369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 203385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 203389 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 203393 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 203397 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 203406 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 203410 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 203414 */     // MIs[2] Operand 1
     /* 203414 */     // No operand predicates
     /* 203414 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 203416 */     // (intrinsic_wo_chain:{ *:[v2i32] } 686:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQRDMLAHv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 203416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv2i32_indexed),
     /* 203419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203421 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 203423 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 203425 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 203429 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 203432 */     GIR_RootConstrainSelectedInstOperands,
     /* 203433 */     // GIR_Coverage, 2073,
     /* 203433 */     GIR_EraseRootFromParent_Done,
     /* 203434 */   // Label 4040: @203434
     /* 203434 */   GIM_Try, /*On fail goto*//*Label 4041*/ GIMT_Encode4(203524), // Rule ID 2074 //
     /* 203439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 203442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 203447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 203450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 203453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 203456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 203459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 203475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 203479 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 203483 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 203487 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203492 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 203496 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 203500 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 203504 */     // MIs[2] Operand 1
     /* 203504 */     // No operand predicates
     /* 203504 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 203506 */     // (intrinsic_wo_chain:{ *:[v4i32] } 686:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQRDMLAHv4i32_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 203506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv4i32_indexed),
     /* 203509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203511 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 203513 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 203515 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 203519 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 203522 */     GIR_RootConstrainSelectedInstOperands,
     /* 203523 */     // GIR_Coverage, 2074,
     /* 203523 */     GIR_EraseRootFromParent_Done,
     /* 203524 */   // Label 4041: @203524
     /* 203524 */   GIM_Try, /*On fail goto*//*Label 4042*/ GIMT_Encode4(203614), // Rule ID 2080 //
     /* 203529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 203532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 203537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 203540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 203543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 203546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s32,
     /* 203549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 203565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 203569 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 203573 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 203577 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203582 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 203586 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 203590 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 203594 */     // MIs[2] Operand 1
     /* 203594 */     // No operand predicates
     /* 203594 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 203596 */     // (intrinsic_wo_chain:{ *:[v2i32] } 687:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQRDMLSHv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 203596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv2i32_indexed),
     /* 203599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203601 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 203603 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 203605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 203609 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 203612 */     GIR_RootConstrainSelectedInstOperands,
     /* 203613 */     // GIR_Coverage, 2080,
     /* 203613 */     GIR_EraseRootFromParent_Done,
     /* 203614 */   // Label 4042: @203614
     /* 203614 */   GIM_Try, /*On fail goto*//*Label 4043*/ GIMT_Encode4(203704), // Rule ID 2081 //
     /* 203619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 203622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 203627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 203630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 203633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 203636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 203639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 203655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 203659 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 203663 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 203667 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203672 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 203676 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 203680 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 203684 */     // MIs[2] Operand 1
     /* 203684 */     // No operand predicates
     /* 203684 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 203686 */     // (intrinsic_wo_chain:{ *:[v4i32] } 687:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQRDMLSHv4i32_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 203686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv4i32_indexed),
     /* 203689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203691 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 203693 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 203695 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 203699 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 203702 */     GIR_RootConstrainSelectedInstOperands,
     /* 203703 */     // GIR_Coverage, 2081,
     /* 203703 */     GIR_EraseRootFromParent_Done,
     /* 203704 */   // Label 4043: @203704
     /* 203704 */   GIM_Try, /*On fail goto*//*Label 4044*/ GIMT_Encode4(203794), // Rule ID 2075 //
     /* 203709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 203712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 203717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 203720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 203723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 203726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 203729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 203733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 203737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 203741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 203745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 203749 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 203753 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 203757 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203762 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 203766 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 203770 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 203774 */     // MIs[2] Operand 1
     /* 203774 */     // No operand predicates
     /* 203774 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 203776 */     // (intrinsic_wo_chain:{ *:[i32] } 686:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rd, FPR32Op:{ *:[i32] }:$Rn, (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQRDMLAHv1i32_indexed:{ *:[i32] } FPR32Op:{ *:[i32] }:$Rd, FPR32Op:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 203776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv1i32_indexed),
     /* 203779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203781 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 203783 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 203785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 203789 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 203792 */     GIR_RootConstrainSelectedInstOperands,
     /* 203793 */     // GIR_Coverage, 2075,
     /* 203793 */     GIR_EraseRootFromParent_Done,
     /* 203794 */   // Label 4044: @203794
     /* 203794 */   GIM_Try, /*On fail goto*//*Label 4045*/ GIMT_Encode4(203884), // Rule ID 2082 //
     /* 203799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 203802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 203807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 203810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 203813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 203816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 203819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 203823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 203827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 203831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 203835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 203839 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 203843 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 203847 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203852 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 203856 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 203860 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 203864 */     // MIs[2] Operand 1
     /* 203864 */     // No operand predicates
     /* 203864 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 203866 */     // (intrinsic_wo_chain:{ *:[i32] } 687:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rd, FPR32Op:{ *:[i32] }:$Rn, (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQRDMLSHv1i32_indexed:{ *:[i32] } FPR32Op:{ *:[i32] }:$Rd, FPR32Op:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 203866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv1i32_indexed),
     /* 203869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203871 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 203873 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 203875 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 203879 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 203882 */     GIR_RootConstrainSelectedInstOperands,
     /* 203883 */     // GIR_Coverage, 2082,
     /* 203883 */     GIR_EraseRootFromParent_Done,
     /* 203884 */   // Label 4045: @203884
     /* 203884 */   GIM_Try, /*On fail goto*//*Label 4046*/ GIMT_Encode4(203961), // Rule ID 2781 //
     /* 203889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 203892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fadd),
     /* 203897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 203900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 203903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 203906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 203909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 203913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 203917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 203921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 203925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 203929 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 203933 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 203937 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 203941 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 203945 */     // MIs[2] Operand 1
     /* 203945 */     // No operand predicates
     /* 203945 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 203947 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1349:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_half>>))  =>  (FADD_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 0:{ *:[i32] })
     /* 203947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZPmI_H),
     /* 203950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 203952 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 203954 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 203956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 203959 */     GIR_RootConstrainSelectedInstOperands,
     /* 203960 */     // GIR_Coverage, 2781,
     /* 203960 */     GIR_EraseRootFromParent_Done,
     /* 203961 */   // Label 4046: @203961
     /* 203961 */   GIM_Try, /*On fail goto*//*Label 4047*/ GIMT_Encode4(204038), // Rule ID 2782 //
     /* 203966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 203969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fadd),
     /* 203974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 203977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 203980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 203983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 203986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 203990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 203994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 203998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 204002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 204006 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 204010 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 204014 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 204018 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 204022 */     // MIs[2] Operand 1
     /* 204022 */     // No operand predicates
     /* 204022 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 204024 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1349:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_one>>))  =>  (FADD_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 1:{ *:[i32] })
     /* 204024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZPmI_H),
     /* 204027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 204029 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 204031 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 204033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 204036 */     GIR_RootConstrainSelectedInstOperands,
     /* 204037 */     // GIR_Coverage, 2782,
     /* 204037 */     GIR_EraseRootFromParent_Done,
     /* 204038 */   // Label 4047: @204038
     /* 204038 */   GIM_Try, /*On fail goto*//*Label 4048*/ GIMT_Encode4(204115), // Rule ID 2783 //
     /* 204043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 204046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fadd),
     /* 204051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 204054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 204057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 204060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 204063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 204071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 204079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 204083 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 204087 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 204091 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 204095 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 204099 */     // MIs[2] Operand 1
     /* 204099 */     // No operand predicates
     /* 204099 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 204101 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1349:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_half>>))  =>  (FADD_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 0:{ *:[i32] })
     /* 204101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZPmI_S),
     /* 204104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 204106 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 204108 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 204110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 204113 */     GIR_RootConstrainSelectedInstOperands,
     /* 204114 */     // GIR_Coverage, 2783,
     /* 204114 */     GIR_EraseRootFromParent_Done,
     /* 204115 */   // Label 4048: @204115
     /* 204115 */   GIM_Try, /*On fail goto*//*Label 4049*/ GIMT_Encode4(204192), // Rule ID 2784 //
     /* 204120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 204123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fadd),
     /* 204128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 204131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 204134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 204137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 204140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 204148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 204156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 204160 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 204164 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 204168 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 204172 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 204176 */     // MIs[2] Operand 1
     /* 204176 */     // No operand predicates
     /* 204176 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 204178 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1349:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_one>>))  =>  (FADD_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 1:{ *:[i32] })
     /* 204178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZPmI_S),
     /* 204181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 204183 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 204185 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 204187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 204190 */     GIR_RootConstrainSelectedInstOperands,
     /* 204191 */     // GIR_Coverage, 2784,
     /* 204191 */     GIR_EraseRootFromParent_Done,
     /* 204192 */   // Label 4049: @204192
     /* 204192 */   GIM_Try, /*On fail goto*//*Label 4050*/ GIMT_Encode4(204269), // Rule ID 2785 //
     /* 204197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 204200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fadd),
     /* 204205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 204208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 204211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 204214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 204217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 204225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 204233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 204237 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 204241 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 204245 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 204249 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 204253 */     // MIs[2] Operand 1
     /* 204253 */     // No operand predicates
     /* 204253 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 204255 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1349:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_half>>))  =>  (FADD_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 0:{ *:[i32] })
     /* 204255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZPmI_D),
     /* 204258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 204260 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 204262 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 204264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 204267 */     GIR_RootConstrainSelectedInstOperands,
     /* 204268 */     // GIR_Coverage, 2785,
     /* 204268 */     GIR_EraseRootFromParent_Done,
     /* 204269 */   // Label 4050: @204269
     /* 204269 */   GIM_Try, /*On fail goto*//*Label 4051*/ GIMT_Encode4(204346), // Rule ID 2786 //
     /* 204274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 204277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fadd),
     /* 204282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 204285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 204288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 204291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 204294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 204302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 204310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 204314 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 204318 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 204322 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 204326 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 204330 */     // MIs[2] Operand 1
     /* 204330 */     // No operand predicates
     /* 204330 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 204332 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1349:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_one>>))  =>  (FADD_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 1:{ *:[i32] })
     /* 204332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZPmI_D),
     /* 204335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 204337 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 204339 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 204341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 204344 */     GIR_RootConstrainSelectedInstOperands,
     /* 204345 */     // GIR_Coverage, 2786,
     /* 204345 */     GIR_EraseRootFromParent_Done,
     /* 204346 */   // Label 4051: @204346
     /* 204346 */   GIM_Try, /*On fail goto*//*Label 4052*/ GIMT_Encode4(204423), // Rule ID 7810 //
     /* 204351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 204354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsub),
     /* 204359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 204362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 204365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 204368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 204371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 204379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 204387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 204391 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 204395 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 204399 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 204403 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 204407 */     // MIs[2] Operand 1
     /* 204407 */     // No operand predicates
     /* 204407 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 204409 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1525:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_half>>))  =>  (FSUB_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 0:{ *:[i32] })
     /* 204409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZPmI_H),
     /* 204412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 204414 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 204416 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 204418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 204421 */     GIR_RootConstrainSelectedInstOperands,
     /* 204422 */     // GIR_Coverage, 7810,
     /* 204422 */     GIR_EraseRootFromParent_Done,
     /* 204423 */   // Label 4052: @204423
     /* 204423 */   GIM_Try, /*On fail goto*//*Label 4053*/ GIMT_Encode4(204500), // Rule ID 7811 //
     /* 204428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 204431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsub),
     /* 204436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 204439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 204442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 204445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 204448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 204456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 204464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 204468 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 204472 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 204476 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 204480 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 204484 */     // MIs[2] Operand 1
     /* 204484 */     // No operand predicates
     /* 204484 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 204486 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1525:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_one>>))  =>  (FSUB_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 1:{ *:[i32] })
     /* 204486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZPmI_H),
     /* 204489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 204491 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 204493 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 204495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 204498 */     GIR_RootConstrainSelectedInstOperands,
     /* 204499 */     // GIR_Coverage, 7811,
     /* 204499 */     GIR_EraseRootFromParent_Done,
     /* 204500 */   // Label 4053: @204500
     /* 204500 */   GIM_Try, /*On fail goto*//*Label 4054*/ GIMT_Encode4(204577), // Rule ID 7812 //
     /* 204505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 204508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsub),
     /* 204513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 204516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 204519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 204522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 204525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 204533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 204541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 204545 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 204549 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 204553 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 204557 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 204561 */     // MIs[2] Operand 1
     /* 204561 */     // No operand predicates
     /* 204561 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 204563 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1525:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_half>>))  =>  (FSUB_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 0:{ *:[i32] })
     /* 204563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZPmI_S),
     /* 204566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 204568 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 204570 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 204572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 204575 */     GIR_RootConstrainSelectedInstOperands,
     /* 204576 */     // GIR_Coverage, 7812,
     /* 204576 */     GIR_EraseRootFromParent_Done,
     /* 204577 */   // Label 4054: @204577
     /* 204577 */   GIM_Try, /*On fail goto*//*Label 4055*/ GIMT_Encode4(204654), // Rule ID 7813 //
     /* 204582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 204585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsub),
     /* 204590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 204593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 204596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 204599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 204602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 204610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 204618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 204622 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 204626 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 204630 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 204634 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 204638 */     // MIs[2] Operand 1
     /* 204638 */     // No operand predicates
     /* 204638 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 204640 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1525:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_one>>))  =>  (FSUB_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 1:{ *:[i32] })
     /* 204640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZPmI_S),
     /* 204643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 204645 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 204647 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 204649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 204652 */     GIR_RootConstrainSelectedInstOperands,
     /* 204653 */     // GIR_Coverage, 7813,
     /* 204653 */     GIR_EraseRootFromParent_Done,
     /* 204654 */   // Label 4055: @204654
     /* 204654 */   GIM_Try, /*On fail goto*//*Label 4056*/ GIMT_Encode4(204731), // Rule ID 7814 //
     /* 204659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 204662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsub),
     /* 204667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 204670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 204673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 204676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 204679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 204687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 204695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 204699 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 204703 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 204707 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 204711 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 204715 */     // MIs[2] Operand 1
     /* 204715 */     // No operand predicates
     /* 204715 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 204717 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1525:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_half>>))  =>  (FSUB_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 0:{ *:[i32] })
     /* 204717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZPmI_D),
     /* 204720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 204722 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 204724 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 204726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 204729 */     GIR_RootConstrainSelectedInstOperands,
     /* 204730 */     // GIR_Coverage, 7814,
     /* 204730 */     GIR_EraseRootFromParent_Done,
     /* 204731 */   // Label 4056: @204731
     /* 204731 */   GIM_Try, /*On fail goto*//*Label 4057*/ GIMT_Encode4(204808), // Rule ID 7815 //
     /* 204736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 204739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsub),
     /* 204744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 204747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 204750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 204753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 204756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 204764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 204772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 204776 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 204780 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 204784 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 204788 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 204792 */     // MIs[2] Operand 1
     /* 204792 */     // No operand predicates
     /* 204792 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 204794 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1525:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_one>>))  =>  (FSUB_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 1:{ *:[i32] })
     /* 204794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZPmI_D),
     /* 204797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 204799 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 204801 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 204803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 204806 */     GIR_RootConstrainSelectedInstOperands,
     /* 204807 */     // GIR_Coverage, 7815,
     /* 204807 */     GIR_EraseRootFromParent_Done,
     /* 204808 */   // Label 4057: @204808
     /* 204808 */   GIM_Try, /*On fail goto*//*Label 4058*/ GIMT_Encode4(204885), // Rule ID 7816 //
     /* 204813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 204816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmul),
     /* 204821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 204824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 204827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 204830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 204833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 204841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 204849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 204853 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 204857 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 204861 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 204865 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 204869 */     // MIs[2] Operand 1
     /* 204869 */     // No operand predicates
     /* 204869 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 204871 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1463:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_half>>))  =>  (FMUL_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 0:{ *:[i32] })
     /* 204871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZPmI_H),
     /* 204874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 204876 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 204878 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 204880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 204883 */     GIR_RootConstrainSelectedInstOperands,
     /* 204884 */     // GIR_Coverage, 7816,
     /* 204884 */     GIR_EraseRootFromParent_Done,
     /* 204885 */   // Label 4058: @204885
     /* 204885 */   GIM_Try, /*On fail goto*//*Label 4059*/ GIMT_Encode4(204962), // Rule ID 7817 //
     /* 204890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 204893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmul),
     /* 204898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 204901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 204904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 204907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 204910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 204918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 204926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 204930 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 204934 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 204938 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 204942 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_two),
     /* 204946 */     // MIs[2] Operand 1
     /* 204946 */     // No operand predicates
     /* 204946 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 204948 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1463:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_two>>))  =>  (FMUL_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 1:{ *:[i32] })
     /* 204948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZPmI_H),
     /* 204951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 204953 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 204955 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 204957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 204960 */     GIR_RootConstrainSelectedInstOperands,
     /* 204961 */     // GIR_Coverage, 7817,
     /* 204961 */     GIR_EraseRootFromParent_Done,
     /* 204962 */   // Label 4059: @204962
     /* 204962 */   GIM_Try, /*On fail goto*//*Label 4060*/ GIMT_Encode4(205039), // Rule ID 7818 //
     /* 204967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 204970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmul),
     /* 204975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 204978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 204981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 204984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 204987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 204995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 205003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 205007 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 205011 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 205015 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 205019 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 205023 */     // MIs[2] Operand 1
     /* 205023 */     // No operand predicates
     /* 205023 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 205025 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1463:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_half>>))  =>  (FMUL_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 0:{ *:[i32] })
     /* 205025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZPmI_S),
     /* 205028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 205030 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 205032 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 205034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 205037 */     GIR_RootConstrainSelectedInstOperands,
     /* 205038 */     // GIR_Coverage, 7818,
     /* 205038 */     GIR_EraseRootFromParent_Done,
     /* 205039 */   // Label 4060: @205039
     /* 205039 */   GIM_Try, /*On fail goto*//*Label 4061*/ GIMT_Encode4(205116), // Rule ID 7819 //
     /* 205044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 205047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmul),
     /* 205052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 205055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 205058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 205061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 205064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 205072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 205080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 205084 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 205088 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 205092 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 205096 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_two),
     /* 205100 */     // MIs[2] Operand 1
     /* 205100 */     // No operand predicates
     /* 205100 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 205102 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1463:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_two>>))  =>  (FMUL_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 1:{ *:[i32] })
     /* 205102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZPmI_S),
     /* 205105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 205107 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 205109 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 205111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 205114 */     GIR_RootConstrainSelectedInstOperands,
     /* 205115 */     // GIR_Coverage, 7819,
     /* 205115 */     GIR_EraseRootFromParent_Done,
     /* 205116 */   // Label 4061: @205116
     /* 205116 */   GIM_Try, /*On fail goto*//*Label 4062*/ GIMT_Encode4(205193), // Rule ID 7820 //
     /* 205121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 205124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmul),
     /* 205129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 205132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 205135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 205138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 205141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 205149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 205157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 205161 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 205165 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 205169 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 205173 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 205177 */     // MIs[2] Operand 1
     /* 205177 */     // No operand predicates
     /* 205177 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 205179 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1463:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_half>>))  =>  (FMUL_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 0:{ *:[i32] })
     /* 205179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZPmI_D),
     /* 205182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 205184 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 205186 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 205188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 205191 */     GIR_RootConstrainSelectedInstOperands,
     /* 205192 */     // GIR_Coverage, 7820,
     /* 205192 */     GIR_EraseRootFromParent_Done,
     /* 205193 */   // Label 4062: @205193
     /* 205193 */   GIM_Try, /*On fail goto*//*Label 4063*/ GIMT_Encode4(205270), // Rule ID 7821 //
     /* 205198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 205201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmul),
     /* 205206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 205209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 205212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 205215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 205218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 205226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 205234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 205238 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 205242 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 205246 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 205250 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_two),
     /* 205254 */     // MIs[2] Operand 1
     /* 205254 */     // No operand predicates
     /* 205254 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 205256 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1463:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_two>>))  =>  (FMUL_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 1:{ *:[i32] })
     /* 205256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZPmI_D),
     /* 205259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 205261 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 205263 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 205265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 205268 */     GIR_RootConstrainSelectedInstOperands,
     /* 205269 */     // GIR_Coverage, 7821,
     /* 205269 */     GIR_EraseRootFromParent_Done,
     /* 205270 */   // Label 4063: @205270
     /* 205270 */   GIM_Try, /*On fail goto*//*Label 4064*/ GIMT_Encode4(205347), // Rule ID 7822 //
     /* 205275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 205278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsubr),
     /* 205283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 205286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 205289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 205292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 205295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 205303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 205311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 205315 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 205319 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 205323 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 205327 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 205331 */     // MIs[2] Operand 1
     /* 205331 */     // No operand predicates
     /* 205331 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 205333 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1527:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_half>>))  =>  (FSUBR_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 0:{ *:[i32] })
     /* 205333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUBR_ZPmI_H),
     /* 205336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 205338 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 205340 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 205342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 205345 */     GIR_RootConstrainSelectedInstOperands,
     /* 205346 */     // GIR_Coverage, 7822,
     /* 205346 */     GIR_EraseRootFromParent_Done,
     /* 205347 */   // Label 4064: @205347
     /* 205347 */   GIM_Try, /*On fail goto*//*Label 4065*/ GIMT_Encode4(205424), // Rule ID 7823 //
     /* 205352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 205355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsubr),
     /* 205360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 205363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 205366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 205369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 205372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 205380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 205388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 205392 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 205396 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 205400 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 205404 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 205408 */     // MIs[2] Operand 1
     /* 205408 */     // No operand predicates
     /* 205408 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 205410 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1527:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_one>>))  =>  (FSUBR_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 1:{ *:[i32] })
     /* 205410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUBR_ZPmI_H),
     /* 205413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 205415 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 205417 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 205419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 205422 */     GIR_RootConstrainSelectedInstOperands,
     /* 205423 */     // GIR_Coverage, 7823,
     /* 205423 */     GIR_EraseRootFromParent_Done,
     /* 205424 */   // Label 4065: @205424
     /* 205424 */   GIM_Try, /*On fail goto*//*Label 4066*/ GIMT_Encode4(205501), // Rule ID 7824 //
     /* 205429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 205432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsubr),
     /* 205437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 205440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 205443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 205446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 205449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 205457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 205465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 205469 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 205473 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 205477 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 205481 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 205485 */     // MIs[2] Operand 1
     /* 205485 */     // No operand predicates
     /* 205485 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 205487 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1527:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_half>>))  =>  (FSUBR_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 0:{ *:[i32] })
     /* 205487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUBR_ZPmI_S),
     /* 205490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 205492 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 205494 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 205496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 205499 */     GIR_RootConstrainSelectedInstOperands,
     /* 205500 */     // GIR_Coverage, 7824,
     /* 205500 */     GIR_EraseRootFromParent_Done,
     /* 205501 */   // Label 4066: @205501
     /* 205501 */   GIM_Try, /*On fail goto*//*Label 4067*/ GIMT_Encode4(205578), // Rule ID 7825 //
     /* 205506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 205509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsubr),
     /* 205514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 205517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 205520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 205523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 205526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 205534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 205542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 205546 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 205550 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 205554 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 205558 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 205562 */     // MIs[2] Operand 1
     /* 205562 */     // No operand predicates
     /* 205562 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 205564 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1527:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_one>>))  =>  (FSUBR_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 1:{ *:[i32] })
     /* 205564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUBR_ZPmI_S),
     /* 205567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 205569 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 205571 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 205573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 205576 */     GIR_RootConstrainSelectedInstOperands,
     /* 205577 */     // GIR_Coverage, 7825,
     /* 205577 */     GIR_EraseRootFromParent_Done,
     /* 205578 */   // Label 4067: @205578
     /* 205578 */   GIM_Try, /*On fail goto*//*Label 4068*/ GIMT_Encode4(205655), // Rule ID 7826 //
     /* 205583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 205586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsubr),
     /* 205591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 205594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 205597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 205600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 205603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 205611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 205619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 205623 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 205627 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 205631 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 205635 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 205639 */     // MIs[2] Operand 1
     /* 205639 */     // No operand predicates
     /* 205639 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 205641 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1527:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_half>>))  =>  (FSUBR_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 0:{ *:[i32] })
     /* 205641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUBR_ZPmI_D),
     /* 205644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 205646 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 205648 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 205650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 205653 */     GIR_RootConstrainSelectedInstOperands,
     /* 205654 */     // GIR_Coverage, 7826,
     /* 205654 */     GIR_EraseRootFromParent_Done,
     /* 205655 */   // Label 4068: @205655
     /* 205655 */   GIM_Try, /*On fail goto*//*Label 4069*/ GIMT_Encode4(205732), // Rule ID 7827 //
     /* 205660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 205663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsubr),
     /* 205668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 205671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 205674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 205677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 205680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 205688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205692 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 205696 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 205700 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 205704 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 205708 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 205712 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 205716 */     // MIs[2] Operand 1
     /* 205716 */     // No operand predicates
     /* 205716 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 205718 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1527:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_one>>))  =>  (FSUBR_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 1:{ *:[i32] })
     /* 205718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUBR_ZPmI_D),
     /* 205721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 205723 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 205725 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 205727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 205730 */     GIR_RootConstrainSelectedInstOperands,
     /* 205731 */     // GIR_Coverage, 7827,
     /* 205731 */     GIR_EraseRootFromParent_Done,
     /* 205732 */   // Label 4069: @205732
     /* 205732 */   GIM_Try, /*On fail goto*//*Label 4070*/ GIMT_Encode4(205809), // Rule ID 7828 //
     /* 205737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 205740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnm),
     /* 205745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 205748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 205751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 205754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 205757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 205765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 205773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 205777 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 205781 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 205785 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 205789 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 205793 */     // MIs[2] Operand 1
     /* 205793 */     // No operand predicates
     /* 205793 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 205795 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1417:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm0>>))  =>  (FMAXNM_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 0:{ *:[i32] })
     /* 205795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNM_ZPmI_H),
     /* 205798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 205800 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 205802 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 205804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 205807 */     GIR_RootConstrainSelectedInstOperands,
     /* 205808 */     // GIR_Coverage, 7828,
     /* 205808 */     GIR_EraseRootFromParent_Done,
     /* 205809 */   // Label 4070: @205809
     /* 205809 */   GIM_Try, /*On fail goto*//*Label 4071*/ GIMT_Encode4(205886), // Rule ID 7829 //
     /* 205814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 205817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnm),
     /* 205822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 205825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 205828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 205831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 205834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 205842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 205850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 205854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 205858 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 205862 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 205866 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 205870 */     // MIs[2] Operand 1
     /* 205870 */     // No operand predicates
     /* 205870 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 205872 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1417:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_one>>))  =>  (FMAXNM_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 1:{ *:[i32] })
     /* 205872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNM_ZPmI_H),
     /* 205875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 205877 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 205879 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 205881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 205884 */     GIR_RootConstrainSelectedInstOperands,
     /* 205885 */     // GIR_Coverage, 7829,
     /* 205885 */     GIR_EraseRootFromParent_Done,
     /* 205886 */   // Label 4071: @205886
     /* 205886 */   GIM_Try, /*On fail goto*//*Label 4072*/ GIMT_Encode4(205963), // Rule ID 7830 //
     /* 205891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 205894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnm),
     /* 205899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 205902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 205905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 205908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 205911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 205919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 205927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 205931 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 205935 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 205939 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 205943 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 205947 */     // MIs[2] Operand 1
     /* 205947 */     // No operand predicates
     /* 205947 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 205949 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1417:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm0>>))  =>  (FMAXNM_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 0:{ *:[i32] })
     /* 205949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNM_ZPmI_S),
     /* 205952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 205954 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 205956 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 205958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 205961 */     GIR_RootConstrainSelectedInstOperands,
     /* 205962 */     // GIR_Coverage, 7830,
     /* 205962 */     GIR_EraseRootFromParent_Done,
     /* 205963 */   // Label 4072: @205963
     /* 205963 */   GIM_Try, /*On fail goto*//*Label 4073*/ GIMT_Encode4(206040), // Rule ID 7831 //
     /* 205968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 205971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnm),
     /* 205976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 205979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 205982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 205985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 205988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 205996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 206004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 206008 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 206012 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 206016 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 206020 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 206024 */     // MIs[2] Operand 1
     /* 206024 */     // No operand predicates
     /* 206024 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 206026 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1417:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_one>>))  =>  (FMAXNM_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 1:{ *:[i32] })
     /* 206026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNM_ZPmI_S),
     /* 206029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 206031 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 206033 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 206035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 206038 */     GIR_RootConstrainSelectedInstOperands,
     /* 206039 */     // GIR_Coverage, 7831,
     /* 206039 */     GIR_EraseRootFromParent_Done,
     /* 206040 */   // Label 4073: @206040
     /* 206040 */   GIM_Try, /*On fail goto*//*Label 4074*/ GIMT_Encode4(206117), // Rule ID 7832 //
     /* 206045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnm),
     /* 206053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 206056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 206059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 206062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 206065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 206073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 206081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 206085 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 206089 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 206093 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 206097 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 206101 */     // MIs[2] Operand 1
     /* 206101 */     // No operand predicates
     /* 206101 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 206103 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1417:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm0>>))  =>  (FMAXNM_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 0:{ *:[i32] })
     /* 206103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNM_ZPmI_D),
     /* 206106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 206108 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 206110 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 206112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 206115 */     GIR_RootConstrainSelectedInstOperands,
     /* 206116 */     // GIR_Coverage, 7832,
     /* 206116 */     GIR_EraseRootFromParent_Done,
     /* 206117 */   // Label 4074: @206117
     /* 206117 */   GIM_Try, /*On fail goto*//*Label 4075*/ GIMT_Encode4(206194), // Rule ID 7833 //
     /* 206122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnm),
     /* 206130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 206133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 206136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 206139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 206142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 206150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 206158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 206162 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 206166 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 206170 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 206174 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 206178 */     // MIs[2] Operand 1
     /* 206178 */     // No operand predicates
     /* 206178 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 206180 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1417:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_one>>))  =>  (FMAXNM_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 1:{ *:[i32] })
     /* 206180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNM_ZPmI_D),
     /* 206183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 206185 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 206187 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 206189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 206192 */     GIR_RootConstrainSelectedInstOperands,
     /* 206193 */     // GIR_Coverage, 7833,
     /* 206193 */     GIR_EraseRootFromParent_Done,
     /* 206194 */   // Label 4075: @206194
     /* 206194 */   GIM_Try, /*On fail goto*//*Label 4076*/ GIMT_Encode4(206271), // Rule ID 7834 //
     /* 206199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnm),
     /* 206207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 206210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 206213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 206216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 206219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 206227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 206235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 206239 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 206243 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 206247 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 206251 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 206255 */     // MIs[2] Operand 1
     /* 206255 */     // No operand predicates
     /* 206255 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 206257 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1435:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm0>>))  =>  (FMINNM_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 0:{ *:[i32] })
     /* 206257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNM_ZPmI_H),
     /* 206260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 206262 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 206264 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 206266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 206269 */     GIR_RootConstrainSelectedInstOperands,
     /* 206270 */     // GIR_Coverage, 7834,
     /* 206270 */     GIR_EraseRootFromParent_Done,
     /* 206271 */   // Label 4076: @206271
     /* 206271 */   GIM_Try, /*On fail goto*//*Label 4077*/ GIMT_Encode4(206348), // Rule ID 7835 //
     /* 206276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnm),
     /* 206284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 206287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 206290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 206293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 206296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 206304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 206312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 206316 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 206320 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 206324 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 206328 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 206332 */     // MIs[2] Operand 1
     /* 206332 */     // No operand predicates
     /* 206332 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 206334 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1435:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_one>>))  =>  (FMINNM_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 1:{ *:[i32] })
     /* 206334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNM_ZPmI_H),
     /* 206337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 206339 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 206341 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 206343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 206346 */     GIR_RootConstrainSelectedInstOperands,
     /* 206347 */     // GIR_Coverage, 7835,
     /* 206347 */     GIR_EraseRootFromParent_Done,
     /* 206348 */   // Label 4077: @206348
     /* 206348 */   GIM_Try, /*On fail goto*//*Label 4078*/ GIMT_Encode4(206425), // Rule ID 7836 //
     /* 206353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnm),
     /* 206361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 206364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 206367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 206370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 206373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 206381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 206389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 206393 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 206397 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 206401 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 206405 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 206409 */     // MIs[2] Operand 1
     /* 206409 */     // No operand predicates
     /* 206409 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 206411 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1435:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm0>>))  =>  (FMINNM_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 0:{ *:[i32] })
     /* 206411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNM_ZPmI_S),
     /* 206414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 206416 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 206418 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 206420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 206423 */     GIR_RootConstrainSelectedInstOperands,
     /* 206424 */     // GIR_Coverage, 7836,
     /* 206424 */     GIR_EraseRootFromParent_Done,
     /* 206425 */   // Label 4078: @206425
     /* 206425 */   GIM_Try, /*On fail goto*//*Label 4079*/ GIMT_Encode4(206502), // Rule ID 7837 //
     /* 206430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnm),
     /* 206438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 206441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 206444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 206447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 206450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 206458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 206466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 206470 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 206474 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 206478 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 206482 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 206486 */     // MIs[2] Operand 1
     /* 206486 */     // No operand predicates
     /* 206486 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 206488 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1435:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_one>>))  =>  (FMINNM_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 1:{ *:[i32] })
     /* 206488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNM_ZPmI_S),
     /* 206491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 206493 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 206495 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 206497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 206500 */     GIR_RootConstrainSelectedInstOperands,
     /* 206501 */     // GIR_Coverage, 7837,
     /* 206501 */     GIR_EraseRootFromParent_Done,
     /* 206502 */   // Label 4079: @206502
     /* 206502 */   GIM_Try, /*On fail goto*//*Label 4080*/ GIMT_Encode4(206579), // Rule ID 7838 //
     /* 206507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnm),
     /* 206515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 206518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 206521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 206524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 206527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 206535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 206543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 206547 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 206551 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 206555 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 206559 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 206563 */     // MIs[2] Operand 1
     /* 206563 */     // No operand predicates
     /* 206563 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 206565 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1435:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm0>>))  =>  (FMINNM_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 0:{ *:[i32] })
     /* 206565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNM_ZPmI_D),
     /* 206568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 206570 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 206572 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 206574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 206577 */     GIR_RootConstrainSelectedInstOperands,
     /* 206578 */     // GIR_Coverage, 7838,
     /* 206578 */     GIR_EraseRootFromParent_Done,
     /* 206579 */   // Label 4080: @206579
     /* 206579 */   GIM_Try, /*On fail goto*//*Label 4081*/ GIMT_Encode4(206656), // Rule ID 7839 //
     /* 206584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnm),
     /* 206592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 206595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 206598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 206601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 206604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 206612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 206620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 206624 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 206628 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 206632 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 206636 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 206640 */     // MIs[2] Operand 1
     /* 206640 */     // No operand predicates
     /* 206640 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 206642 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1435:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_one>>))  =>  (FMINNM_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 1:{ *:[i32] })
     /* 206642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNM_ZPmI_D),
     /* 206645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 206647 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 206649 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 206651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 206654 */     GIR_RootConstrainSelectedInstOperands,
     /* 206655 */     // GIR_Coverage, 7839,
     /* 206655 */     GIR_EraseRootFromParent_Done,
     /* 206656 */   // Label 4081: @206656
     /* 206656 */   GIM_Try, /*On fail goto*//*Label 4082*/ GIMT_Encode4(206733), // Rule ID 7840 //
     /* 206661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmax),
     /* 206669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 206672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 206675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 206678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 206681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 206689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 206697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 206701 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 206705 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 206709 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 206713 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 206717 */     // MIs[2] Operand 1
     /* 206717 */     // No operand predicates
     /* 206717 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 206719 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1411:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm0>>))  =>  (FMAX_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 0:{ *:[i32] })
     /* 206719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAX_ZPmI_H),
     /* 206722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 206724 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 206726 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 206728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 206731 */     GIR_RootConstrainSelectedInstOperands,
     /* 206732 */     // GIR_Coverage, 7840,
     /* 206732 */     GIR_EraseRootFromParent_Done,
     /* 206733 */   // Label 4082: @206733
     /* 206733 */   GIM_Try, /*On fail goto*//*Label 4083*/ GIMT_Encode4(206810), // Rule ID 7841 //
     /* 206738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmax),
     /* 206746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 206749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 206752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 206755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 206758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 206766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 206774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 206778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 206782 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 206786 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 206790 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 206794 */     // MIs[2] Operand 1
     /* 206794 */     // No operand predicates
     /* 206794 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 206796 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1411:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_one>>))  =>  (FMAX_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 1:{ *:[i32] })
     /* 206796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAX_ZPmI_H),
     /* 206799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 206801 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 206803 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 206805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 206808 */     GIR_RootConstrainSelectedInstOperands,
     /* 206809 */     // GIR_Coverage, 7841,
     /* 206809 */     GIR_EraseRootFromParent_Done,
     /* 206810 */   // Label 4083: @206810
     /* 206810 */   GIM_Try, /*On fail goto*//*Label 4084*/ GIMT_Encode4(206887), // Rule ID 7842 //
     /* 206815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmax),
     /* 206823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 206826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 206829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 206832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 206835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 206843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 206851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 206855 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 206859 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 206863 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 206867 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 206871 */     // MIs[2] Operand 1
     /* 206871 */     // No operand predicates
     /* 206871 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 206873 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1411:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm0>>))  =>  (FMAX_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 0:{ *:[i32] })
     /* 206873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAX_ZPmI_S),
     /* 206876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 206878 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 206880 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 206882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 206885 */     GIR_RootConstrainSelectedInstOperands,
     /* 206886 */     // GIR_Coverage, 7842,
     /* 206886 */     GIR_EraseRootFromParent_Done,
     /* 206887 */   // Label 4084: @206887
     /* 206887 */   GIM_Try, /*On fail goto*//*Label 4085*/ GIMT_Encode4(206964), // Rule ID 7843 //
     /* 206892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmax),
     /* 206900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 206903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 206906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 206909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 206912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 206920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 206928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 206932 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 206936 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 206940 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 206944 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 206948 */     // MIs[2] Operand 1
     /* 206948 */     // No operand predicates
     /* 206948 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 206950 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1411:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_one>>))  =>  (FMAX_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 1:{ *:[i32] })
     /* 206950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAX_ZPmI_S),
     /* 206953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 206955 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 206957 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 206959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 206962 */     GIR_RootConstrainSelectedInstOperands,
     /* 206963 */     // GIR_Coverage, 7843,
     /* 206963 */     GIR_EraseRootFromParent_Done,
     /* 206964 */   // Label 4085: @206964
     /* 206964 */   GIM_Try, /*On fail goto*//*Label 4086*/ GIMT_Encode4(207041), // Rule ID 7844 //
     /* 206969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmax),
     /* 206977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 206980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 206983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 206986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 206989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 206997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 207005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 207009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 207013 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 207017 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 207021 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 207025 */     // MIs[2] Operand 1
     /* 207025 */     // No operand predicates
     /* 207025 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 207027 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1411:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm0>>))  =>  (FMAX_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 0:{ *:[i32] })
     /* 207027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAX_ZPmI_D),
     /* 207030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 207032 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 207034 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 207036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 207039 */     GIR_RootConstrainSelectedInstOperands,
     /* 207040 */     // GIR_Coverage, 7844,
     /* 207040 */     GIR_EraseRootFromParent_Done,
     /* 207041 */   // Label 4086: @207041
     /* 207041 */   GIM_Try, /*On fail goto*//*Label 4087*/ GIMT_Encode4(207118), // Rule ID 7845 //
     /* 207046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 207049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmax),
     /* 207054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 207057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 207060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 207063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 207066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 207074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 207082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 207086 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 207090 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 207094 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 207098 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 207102 */     // MIs[2] Operand 1
     /* 207102 */     // No operand predicates
     /* 207102 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 207104 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1411:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_one>>))  =>  (FMAX_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 1:{ *:[i32] })
     /* 207104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAX_ZPmI_D),
     /* 207107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 207109 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 207111 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 207113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 207116 */     GIR_RootConstrainSelectedInstOperands,
     /* 207117 */     // GIR_Coverage, 7845,
     /* 207117 */     GIR_EraseRootFromParent_Done,
     /* 207118 */   // Label 4087: @207118
     /* 207118 */   GIM_Try, /*On fail goto*//*Label 4088*/ GIMT_Encode4(207195), // Rule ID 7846 //
     /* 207123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 207126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmin),
     /* 207131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 207134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 207137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 207140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 207143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 207151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 207159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 207163 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 207167 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 207171 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 207175 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 207179 */     // MIs[2] Operand 1
     /* 207179 */     // No operand predicates
     /* 207179 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 207181 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1429:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm0>>))  =>  (FMIN_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 0:{ *:[i32] })
     /* 207181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMIN_ZPmI_H),
     /* 207184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 207186 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 207188 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 207190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 207193 */     GIR_RootConstrainSelectedInstOperands,
     /* 207194 */     // GIR_Coverage, 7846,
     /* 207194 */     GIR_EraseRootFromParent_Done,
     /* 207195 */   // Label 4088: @207195
     /* 207195 */   GIM_Try, /*On fail goto*//*Label 4089*/ GIMT_Encode4(207272), // Rule ID 7847 //
     /* 207200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 207203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmin),
     /* 207208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 207211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 207214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 207217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 207220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 207228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 207236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 207240 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 207244 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 207248 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 207252 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 207256 */     // MIs[2] Operand 1
     /* 207256 */     // No operand predicates
     /* 207256 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 207258 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1429:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_one>>))  =>  (FMIN_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 1:{ *:[i32] })
     /* 207258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMIN_ZPmI_H),
     /* 207261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 207263 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 207265 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 207267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 207270 */     GIR_RootConstrainSelectedInstOperands,
     /* 207271 */     // GIR_Coverage, 7847,
     /* 207271 */     GIR_EraseRootFromParent_Done,
     /* 207272 */   // Label 4089: @207272
     /* 207272 */   GIM_Try, /*On fail goto*//*Label 4090*/ GIMT_Encode4(207349), // Rule ID 7848 //
     /* 207277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 207280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmin),
     /* 207285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 207288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 207291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 207294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 207297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 207305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 207313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 207317 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 207321 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 207325 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 207329 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 207333 */     // MIs[2] Operand 1
     /* 207333 */     // No operand predicates
     /* 207333 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 207335 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1429:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm0>>))  =>  (FMIN_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 0:{ *:[i32] })
     /* 207335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMIN_ZPmI_S),
     /* 207338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 207340 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 207342 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 207344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 207347 */     GIR_RootConstrainSelectedInstOperands,
     /* 207348 */     // GIR_Coverage, 7848,
     /* 207348 */     GIR_EraseRootFromParent_Done,
     /* 207349 */   // Label 4090: @207349
     /* 207349 */   GIM_Try, /*On fail goto*//*Label 4091*/ GIMT_Encode4(207426), // Rule ID 7849 //
     /* 207354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 207357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmin),
     /* 207362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 207365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 207368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 207371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 207374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 207382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 207390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 207394 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 207398 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 207402 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 207406 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 207410 */     // MIs[2] Operand 1
     /* 207410 */     // No operand predicates
     /* 207410 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 207412 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1429:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_one>>))  =>  (FMIN_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 1:{ *:[i32] })
     /* 207412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMIN_ZPmI_S),
     /* 207415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 207417 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 207419 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 207421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 207424 */     GIR_RootConstrainSelectedInstOperands,
     /* 207425 */     // GIR_Coverage, 7849,
     /* 207425 */     GIR_EraseRootFromParent_Done,
     /* 207426 */   // Label 4091: @207426
     /* 207426 */   GIM_Try, /*On fail goto*//*Label 4092*/ GIMT_Encode4(207503), // Rule ID 7850 //
     /* 207431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 207434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmin),
     /* 207439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 207442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 207445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 207448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 207451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 207459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 207467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 207471 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 207475 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 207479 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 207483 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 207487 */     // MIs[2] Operand 1
     /* 207487 */     // No operand predicates
     /* 207487 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 207489 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1429:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm0>>))  =>  (FMIN_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 0:{ *:[i32] })
     /* 207489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMIN_ZPmI_D),
     /* 207492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 207494 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 207496 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 207498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 207501 */     GIR_RootConstrainSelectedInstOperands,
     /* 207502 */     // GIR_Coverage, 7850,
     /* 207502 */     GIR_EraseRootFromParent_Done,
     /* 207503 */   // Label 4092: @207503
     /* 207503 */   GIM_Try, /*On fail goto*//*Label 4093*/ GIMT_Encode4(207580), // Rule ID 7851 //
     /* 207508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 207511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmin),
     /* 207516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 207519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 207522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 207525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 207528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 207536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 207544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 207548 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 207552 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 207556 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 207560 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 207564 */     // MIs[2] Operand 1
     /* 207564 */     // No operand predicates
     /* 207564 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 207566 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1429:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_one>>))  =>  (FMIN_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 1:{ *:[i32] })
     /* 207566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMIN_ZPmI_D),
     /* 207569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 207571 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 207573 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 207575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 207578 */     GIR_RootConstrainSelectedInstOperands,
     /* 207579 */     // GIR_Coverage, 7851,
     /* 207579 */     GIR_EraseRootFromParent_Done,
     /* 207580 */   // Label 4093: @207580
     /* 207580 */   GIM_Try, /*On fail goto*//*Label 4094*/ GIMT_Encode4(207636), // Rule ID 55 //
     /* 207585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 207588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_sign),
     /* 207593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 207596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 207599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 207602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 207606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 207610 */     // MIs[0] Operand 3
     /* 207610 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(0),
     /* 207621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 207625 */     // (intrinsic_wo_chain:{ *:[i64] } 296:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 0:{ *:[i32] }, GPR64sp:{ *:[i64] }:$Rn)  =>  (PACIA:{ *:[i64] } GPR64:{ *:[i64] }:$Rd, GPR64sp:{ *:[i64] }:$Rn)
     /* 207625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PACIA),
     /* 207628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 207630 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 207632 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rn
     /* 207634 */     GIR_RootConstrainSelectedInstOperands,
     /* 207635 */     // GIR_Coverage, 55,
     /* 207635 */     GIR_EraseRootFromParent_Done,
     /* 207636 */   // Label 4094: @207636
     /* 207636 */   GIM_Try, /*On fail goto*//*Label 4095*/ GIMT_Encode4(207692), // Rule ID 56 //
     /* 207641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 207644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_sign),
     /* 207649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 207652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 207655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 207658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 207662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 207666 */     // MIs[0] Operand 3
     /* 207666 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(1),
     /* 207677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 207681 */     // (intrinsic_wo_chain:{ *:[i64] } 296:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 1:{ *:[i32] }, GPR64sp:{ *:[i64] }:$Rn)  =>  (PACIB:{ *:[i64] } GPR64:{ *:[i64] }:$Rd, GPR64sp:{ *:[i64] }:$Rn)
     /* 207681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PACIB),
     /* 207684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 207686 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 207688 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rn
     /* 207690 */     GIR_RootConstrainSelectedInstOperands,
     /* 207691 */     // GIR_Coverage, 56,
     /* 207691 */     GIR_EraseRootFromParent_Done,
     /* 207692 */   // Label 4095: @207692
     /* 207692 */   GIM_Try, /*On fail goto*//*Label 4096*/ GIMT_Encode4(207748), // Rule ID 57 //
     /* 207697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 207700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_sign),
     /* 207705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 207708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 207711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 207714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 207718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 207722 */     // MIs[0] Operand 3
     /* 207722 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(2),
     /* 207733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 207737 */     // (intrinsic_wo_chain:{ *:[i64] } 296:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 2:{ *:[i32] }, GPR64sp:{ *:[i64] }:$Rn)  =>  (PACDA:{ *:[i64] } GPR64:{ *:[i64] }:$Rd, GPR64sp:{ *:[i64] }:$Rn)
     /* 207737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PACDA),
     /* 207740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 207742 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 207744 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rn
     /* 207746 */     GIR_RootConstrainSelectedInstOperands,
     /* 207747 */     // GIR_Coverage, 57,
     /* 207747 */     GIR_EraseRootFromParent_Done,
     /* 207748 */   // Label 4096: @207748
     /* 207748 */   GIM_Try, /*On fail goto*//*Label 4097*/ GIMT_Encode4(207804), // Rule ID 58 //
     /* 207753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 207756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_sign),
     /* 207761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 207764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 207767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 207770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 207774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 207778 */     // MIs[0] Operand 3
     /* 207778 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(3),
     /* 207789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 207793 */     // (intrinsic_wo_chain:{ *:[i64] } 296:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 3:{ *:[i32] }, GPR64sp:{ *:[i64] }:$Rn)  =>  (PACDB:{ *:[i64] } GPR64:{ *:[i64] }:$Rd, GPR64sp:{ *:[i64] }:$Rn)
     /* 207793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PACDB),
     /* 207796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 207798 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 207800 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rn
     /* 207802 */     GIR_RootConstrainSelectedInstOperands,
     /* 207803 */     // GIR_Coverage, 58,
     /* 207803 */     GIR_EraseRootFromParent_Done,
     /* 207804 */   // Label 4097: @207804
     /* 207804 */   GIM_Try, /*On fail goto*//*Label 4098*/ GIMT_Encode4(207859), // Rule ID 2799 //
     /* 207809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 207812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ftmad_x),
     /* 207817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 207820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 207823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 207826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207838 */     // MIs[0] imm
     /* 207838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 207841 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 207846 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1528:{ *:[iPTR] }, ZPR16:{ *:[nxv8f16] }:$Zn, ZPR16:{ *:[nxv8f16] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$imm)  =>  (FTMAD_ZZI_H:{ *:[nxv8f16] } ZPR16:{ *:[nxv8f16] }:$Zn, ZPR16:{ *:[nxv8f16] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$imm)
     /* 207846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FTMAD_ZZI_H),
     /* 207849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 207851 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 207853 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 207855 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /* 207857 */     GIR_RootConstrainSelectedInstOperands,
     /* 207858 */     // GIR_Coverage, 2799,
     /* 207858 */     GIR_EraseRootFromParent_Done,
     /* 207859 */   // Label 4098: @207859
     /* 207859 */   GIM_Try, /*On fail goto*//*Label 4099*/ GIMT_Encode4(207914), // Rule ID 2800 //
     /* 207864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 207867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ftmad_x),
     /* 207872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 207875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 207878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 207881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207893 */     // MIs[0] imm
     /* 207893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 207896 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 207901 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1528:{ *:[iPTR] }, ZPR32:{ *:[nxv4f32] }:$Zn, ZPR32:{ *:[nxv4f32] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$imm)  =>  (FTMAD_ZZI_S:{ *:[nxv4f32] } ZPR32:{ *:[nxv4f32] }:$Zn, ZPR32:{ *:[nxv4f32] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$imm)
     /* 207901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FTMAD_ZZI_S),
     /* 207904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 207906 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 207908 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 207910 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /* 207912 */     GIR_RootConstrainSelectedInstOperands,
     /* 207913 */     // GIR_Coverage, 2800,
     /* 207913 */     GIR_EraseRootFromParent_Done,
     /* 207914 */   // Label 4099: @207914
     /* 207914 */   GIM_Try, /*On fail goto*//*Label 4100*/ GIMT_Encode4(207969), // Rule ID 2801 //
     /* 207919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 207922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ftmad_x),
     /* 207927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 207930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 207933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 207936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207948 */     // MIs[0] imm
     /* 207948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 207951 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 207956 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1528:{ *:[iPTR] }, ZPR64:{ *:[nxv2f64] }:$Zn, ZPR64:{ *:[nxv2f64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$imm)  =>  (FTMAD_ZZI_D:{ *:[nxv2f64] } ZPR64:{ *:[nxv2f64] }:$Zn, ZPR64:{ *:[nxv2f64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$imm)
     /* 207956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FTMAD_ZZI_D),
     /* 207959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 207961 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 207963 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 207965 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /* 207967 */     GIR_RootConstrainSelectedInstOperands,
     /* 207968 */     // GIR_Coverage, 2801,
     /* 207968 */     GIR_EraseRootFromParent_Done,
     /* 207969 */   // Label 4100: @207969
     /* 207969 */   GIM_Try, /*On fail goto*//*Label 4101*/ GIMT_Encode4(208024), // Rule ID 3552 //
     /* 207974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 207977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_vector_lane_merging),
     /* 207982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 207985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 207988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 207991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 208003 */     // MIs[0] Idx
     /* 208003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 208006 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_1_1),
     /* 208011 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1614:{ *:[iPTR] }, ZPRAny:{ *:[nxv8i16] }:$Zd, PPR16:{ *:[nxv8i1] }:$Pn, (timm:{ *:[i32] })<<P:Predicate_timm32_1_1>>:$Idx)  =>  (PMOV_ZIP_H:{ *:[nxv8i16] } ZPRAny:{ *:[nxv8i16] }:$Zd, (timm:{ *:[i32] })<<P:Predicate_timm32_1_1>>:$Idx, PPR16:{ *:[nxv8i1] }:$Pn)
     /* 208011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_ZIP_H),
     /* 208014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 208016 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zd
     /* 208018 */     GIR_RootToRootCopy, /*OpIdx*/4, // Idx
     /* 208020 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pn
     /* 208022 */     GIR_RootConstrainSelectedInstOperands,
     /* 208023 */     // GIR_Coverage, 3552,
     /* 208023 */     GIR_EraseRootFromParent_Done,
     /* 208024 */   // Label 4101: @208024
     /* 208024 */   GIM_Try, /*On fail goto*//*Label 4102*/ GIMT_Encode4(208079), // Rule ID 3553 //
     /* 208029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 208032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_vector_lane_merging),
     /* 208037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 208040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 208043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 208046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 208058 */     // MIs[0] Idx
     /* 208058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 208061 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_1_3),
     /* 208066 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1614:{ *:[iPTR] }, ZPRAny:{ *:[nxv4i32] }:$Zd, PPR32:{ *:[nxv4i1] }:$Pn, (timm:{ *:[i32] })<<P:Predicate_timm32_1_3>>:$Idx)  =>  (PMOV_ZIP_S:{ *:[nxv4i32] } ZPRAny:{ *:[nxv4i32] }:$Zd, (timm:{ *:[i32] })<<P:Predicate_timm32_1_3>>:$Idx, PPR32:{ *:[nxv4i1] }:$Pn)
     /* 208066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_ZIP_S),
     /* 208069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 208071 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zd
     /* 208073 */     GIR_RootToRootCopy, /*OpIdx*/4, // Idx
     /* 208075 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pn
     /* 208077 */     GIR_RootConstrainSelectedInstOperands,
     /* 208078 */     // GIR_Coverage, 3553,
     /* 208078 */     GIR_EraseRootFromParent_Done,
     /* 208079 */   // Label 4102: @208079
     /* 208079 */   GIM_Try, /*On fail goto*//*Label 4103*/ GIMT_Encode4(208134), // Rule ID 3554 //
     /* 208084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 208087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_vector_lane_merging),
     /* 208092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 208095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 208098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 208101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 208113 */     // MIs[0] Idx
     /* 208113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 208116 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_1_7),
     /* 208121 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1614:{ *:[iPTR] }, ZPRAny:{ *:[nxv2i64] }:$Zd, PPR64:{ *:[nxv2i1] }:$Pn, (timm:{ *:[i32] })<<P:Predicate_timm32_1_7>>:$Idx)  =>  (PMOV_ZIP_D:{ *:[nxv2i64] } ZPRAny:{ *:[nxv2i64] }:$Zd, (timm:{ *:[i32] })<<P:Predicate_timm32_1_7>>:$Idx, PPR64:{ *:[nxv2i1] }:$Pn)
     /* 208121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_ZIP_D),
     /* 208124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 208126 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zd
     /* 208128 */     GIR_RootToRootCopy, /*OpIdx*/4, // Idx
     /* 208130 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pn
     /* 208132 */     GIR_RootConstrainSelectedInstOperands,
     /* 208133 */     // GIR_Coverage, 3554,
     /* 208133 */     GIR_EraseRootFromParent_Done,
     /* 208134 */   // Label 4103: @208134
     /* 208134 */   GIM_Try, /*On fail goto*//*Label 4104*/ GIMT_Encode4(208189), // Rule ID 3834 //
     /* 208139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 208142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_xar),
     /* 208147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 208150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 208153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 208156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208168 */     // MIs[0] imm
     /* 208168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 208171 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm0_63),
     /* 208176 */     // (intrinsic_wo_chain:{ *:[v2i64] } 543:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm, (timm:{ *:[i64] })<<P:Predicate_timm0_63>>:$imm)  =>  (XAR:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm, (timm:{ *:[i64] })<<P:Predicate_timm0_63>>:$imm)
     /* 208176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XAR),
     /* 208179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 208181 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /* 208183 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /* 208185 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /* 208187 */     GIR_RootConstrainSelectedInstOperands,
     /* 208188 */     // GIR_Coverage, 3834,
     /* 208188 */     GIR_EraseRootFromParent_Done,
     /* 208189 */   // Label 4104: @208189
     /* 208189 */   GIM_Try, /*On fail goto*//*Label 4105*/ GIMT_Encode4(208236), // Rule ID 2853 //
     /* 208194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 208197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmul_lane),
     /* 208202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 208205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 208208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 208211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208215 */     // MIs[0] idx
     /* 208215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 208218 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 208223 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1464:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$idx)  =>  (FMUL_ZZZI_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$idx)
     /* 208223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZZZI_H),
     /* 208226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 208228 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 208230 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 208232 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 208234 */     GIR_RootConstrainSelectedInstOperands,
     /* 208235 */     // GIR_Coverage, 2853,
     /* 208235 */     GIR_EraseRootFromParent_Done,
     /* 208236 */   // Label 4105: @208236
     /* 208236 */   GIM_Try, /*On fail goto*//*Label 4106*/ GIMT_Encode4(208283), // Rule ID 2854 //
     /* 208241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 208244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmul_lane),
     /* 208249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 208252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 208255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 208258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208262 */     // MIs[0] idx
     /* 208262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 208265 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 208270 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1464:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)  =>  (FMUL_ZZZI_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 208270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZZZI_S),
     /* 208273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 208275 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 208277 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 208279 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 208281 */     GIR_RootConstrainSelectedInstOperands,
     /* 208282 */     // GIR_Coverage, 2854,
     /* 208282 */     GIR_EraseRootFromParent_Done,
     /* 208283 */   // Label 4106: @208283
     /* 208283 */   GIM_Try, /*On fail goto*//*Label 4107*/ GIMT_Encode4(208330), // Rule ID 2855 //
     /* 208288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 208291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmul_lane),
     /* 208296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 208299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 208302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 208305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208309 */     // MIs[0] idx
     /* 208309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 208312 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 208317 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1464:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$idx)  =>  (FMUL_ZZZI_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$idx)
     /* 208317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZZZI_D),
     /* 208320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 208322 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 208324 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 208326 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 208328 */     GIR_RootConstrainSelectedInstOperands,
     /* 208329 */     // GIR_Coverage, 2855,
     /* 208329 */     GIR_EraseRootFromParent_Done,
     /* 208330 */   // Label 4107: @208330
     /* 208330 */   GIM_Try, /*On fail goto*//*Label 4108*/ GIMT_Encode4(208377), // Rule ID 3004 //
     /* 208335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 208338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mul_lane),
     /* 208343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 208346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 208349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 208352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208356 */     // MIs[0] Op3
     /* 208356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 208359 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 208364 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1595:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)  =>  (MUL_ZZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)
     /* 208364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MUL_ZZZI_H),
     /* 208367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 208369 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 208371 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 208373 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 208375 */     GIR_RootConstrainSelectedInstOperands,
     /* 208376 */     // GIR_Coverage, 3004,
     /* 208376 */     GIR_EraseRootFromParent_Done,
     /* 208377 */   // Label 4108: @208377
     /* 208377 */   GIM_Try, /*On fail goto*//*Label 4109*/ GIMT_Encode4(208424), // Rule ID 3005 //
     /* 208382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 208385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mul_lane),
     /* 208390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 208393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 208396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 208399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208403 */     // MIs[0] Op3
     /* 208403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 208406 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 208411 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1595:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)  =>  (MUL_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)
     /* 208411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MUL_ZZZI_S),
     /* 208414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 208416 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 208418 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 208420 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 208422 */     GIR_RootConstrainSelectedInstOperands,
     /* 208423 */     // GIR_Coverage, 3005,
     /* 208423 */     GIR_EraseRootFromParent_Done,
     /* 208424 */   // Label 4109: @208424
     /* 208424 */   GIM_Try, /*On fail goto*//*Label 4110*/ GIMT_Encode4(208471), // Rule ID 3006 //
     /* 208429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 208432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mul_lane),
     /* 208437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 208440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 208443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 208446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208450 */     // MIs[0] Op3
     /* 208450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 208453 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 208458 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1595:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op3)  =>  (MUL_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op3)
     /* 208458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MUL_ZZZI_D),
     /* 208461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 208463 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 208465 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 208467 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 208469 */     GIR_RootConstrainSelectedInstOperands,
     /* 208470 */     // GIR_Coverage, 3006,
     /* 208470 */     GIR_EraseRootFromParent_Done,
     /* 208471 */   // Label 4110: @208471
     /* 208471 */   GIM_Try, /*On fail goto*//*Label 4111*/ GIMT_Encode4(208518), // Rule ID 3007 //
     /* 208476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 208479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smullb_lane),
     /* 208484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 208487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 208490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 208493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208497 */     // MIs[0] Op3
     /* 208497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 208500 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 208505 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1741:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)  =>  (SMULLB_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)
     /* 208505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLB_ZZZI_S),
     /* 208508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 208510 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 208512 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 208514 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 208516 */     GIR_RootConstrainSelectedInstOperands,
     /* 208517 */     // GIR_Coverage, 3007,
     /* 208517 */     GIR_EraseRootFromParent_Done,
     /* 208518 */   // Label 4111: @208518
     /* 208518 */   GIM_Try, /*On fail goto*//*Label 4112*/ GIMT_Encode4(208565), // Rule ID 3008 //
     /* 208523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 208526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smullb_lane),
     /* 208531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 208534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 208537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 208540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208544 */     // MIs[0] Op3
     /* 208544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 208547 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 208552 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1741:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)  =>  (SMULLB_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)
     /* 208552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLB_ZZZI_D),
     /* 208555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 208557 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 208559 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 208561 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 208563 */     GIR_RootConstrainSelectedInstOperands,
     /* 208564 */     // GIR_Coverage, 3008,
     /* 208564 */     GIR_EraseRootFromParent_Done,
     /* 208565 */   // Label 4112: @208565
     /* 208565 */   GIM_Try, /*On fail goto*//*Label 4113*/ GIMT_Encode4(208612), // Rule ID 3056 //
     /* 208570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 208573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssra),
     /* 208578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 208581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 208584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 208587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208591 */     // MIs[0] Op3
     /* 208591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 208594 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 208599 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1852:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (SSRA_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 208599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRA_ZZI_B),
     /* 208602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 208604 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 208606 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 208608 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 208610 */     GIR_RootConstrainSelectedInstOperands,
     /* 208611 */     // GIR_Coverage, 3056,
     /* 208611 */     GIR_EraseRootFromParent_Done,
     /* 208612 */   // Label 4113: @208612
     /* 208612 */   GIM_Try, /*On fail goto*//*Label 4114*/ GIMT_Encode4(208659), // Rule ID 3058 //
     /* 208617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 208620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssra),
     /* 208625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 208628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 208631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 208634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208638 */     // MIs[0] Op3
     /* 208638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 208641 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 208646 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1852:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (SSRA_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 208646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRA_ZZI_H),
     /* 208649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 208651 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 208653 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 208655 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 208657 */     GIR_RootConstrainSelectedInstOperands,
     /* 208658 */     // GIR_Coverage, 3058,
     /* 208658 */     GIR_EraseRootFromParent_Done,
     /* 208659 */   // Label 4114: @208659
     /* 208659 */   GIM_Try, /*On fail goto*//*Label 4115*/ GIMT_Encode4(208706), // Rule ID 3060 //
     /* 208664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 208667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssra),
     /* 208672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 208675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 208678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 208681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208685 */     // MIs[0] Op3
     /* 208685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 208688 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 208693 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1852:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (SSRA_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 208693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRA_ZZI_S),
     /* 208696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 208698 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 208700 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 208702 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 208704 */     GIR_RootConstrainSelectedInstOperands,
     /* 208705 */     // GIR_Coverage, 3060,
     /* 208705 */     GIR_EraseRootFromParent_Done,
     /* 208706 */   // Label 4115: @208706
     /* 208706 */   GIM_Try, /*On fail goto*//*Label 4116*/ GIMT_Encode4(208753), // Rule ID 3062 //
     /* 208711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 208714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssra),
     /* 208719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 208722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 208725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 208728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208732 */     // MIs[0] Op3
     /* 208732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 208735 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR64),
     /* 208740 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1852:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)  =>  (SSRA_ZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)
     /* 208740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRA_ZZI_D),
     /* 208743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 208745 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 208747 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 208749 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 208751 */     GIR_RootConstrainSelectedInstOperands,
     /* 208752 */     // GIR_Coverage, 3062,
     /* 208752 */     GIR_EraseRootFromParent_Done,
     /* 208753 */   // Label 4116: @208753
     /* 208753 */   GIM_Try, /*On fail goto*//*Label 4117*/ GIMT_Encode4(208800), // Rule ID 3084 //
     /* 208758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 208761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrunt),
     /* 208766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 208769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 208772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 208775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208779 */     // MIs[0] Op3
     /* 208779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 208782 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 208787 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1832:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (SQSHRUNT_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 208787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRUNT_ZZI_B),
     /* 208790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 208792 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 208794 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 208796 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 208798 */     GIR_RootConstrainSelectedInstOperands,
     /* 208799 */     // GIR_Coverage, 3084,
     /* 208799 */     GIR_EraseRootFromParent_Done,
     /* 208800 */   // Label 4117: @208800
     /* 208800 */   GIM_Try, /*On fail goto*//*Label 4118*/ GIMT_Encode4(208847), // Rule ID 3085 //
     /* 208805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 208808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrunt),
     /* 208813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 208816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 208819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 208822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208826 */     // MIs[0] Op3
     /* 208826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 208829 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 208834 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1832:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (SQSHRUNT_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 208834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRUNT_ZZI_H),
     /* 208837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 208839 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 208841 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 208843 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 208845 */     GIR_RootConstrainSelectedInstOperands,
     /* 208846 */     // GIR_Coverage, 3085,
     /* 208846 */     GIR_EraseRootFromParent_Done,
     /* 208847 */   // Label 4118: @208847
     /* 208847 */   GIM_Try, /*On fail goto*//*Label 4119*/ GIMT_Encode4(208894), // Rule ID 3086 //
     /* 208852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 208855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrunt),
     /* 208860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 208863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 208866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 208869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208873 */     // MIs[0] Op3
     /* 208873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 208876 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 208881 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1832:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (SQSHRUNT_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 208881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRUNT_ZZI_S),
     /* 208884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 208886 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 208888 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 208890 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 208892 */     GIR_RootConstrainSelectedInstOperands,
     /* 208893 */     // GIR_Coverage, 3086,
     /* 208893 */     GIR_EraseRootFromParent_Done,
     /* 208894 */   // Label 4119: @208894
     /* 208894 */   GIM_Try, /*On fail goto*//*Label 4120*/ GIMT_Encode4(208941), // Rule ID 3155 //
     /* 208899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 208902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_xar),
     /* 208907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 208910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 208913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 208916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208920 */     // MIs[0] Op3
     /* 208920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 208923 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 208928 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2133:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (XAR_ZZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 208928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XAR_ZZZI_B),
     /* 208931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 208933 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 208935 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 208937 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 208939 */     GIR_RootConstrainSelectedInstOperands,
     /* 208940 */     // GIR_Coverage, 3155,
     /* 208940 */     GIR_EraseRootFromParent_Done,
     /* 208941 */   // Label 4120: @208941
     /* 208941 */   GIM_Try, /*On fail goto*//*Label 4121*/ GIMT_Encode4(208988), // Rule ID 3156 //
     /* 208946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 208949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_xar),
     /* 208954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 208957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 208960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 208963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208967 */     // MIs[0] Op3
     /* 208967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 208970 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 208975 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2133:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (XAR_ZZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 208975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XAR_ZZZI_H),
     /* 208978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 208980 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 208982 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 208984 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 208986 */     GIR_RootConstrainSelectedInstOperands,
     /* 208987 */     // GIR_Coverage, 3156,
     /* 208987 */     GIR_EraseRootFromParent_Done,
     /* 208988 */   // Label 4121: @208988
     /* 208988 */   GIM_Try, /*On fail goto*//*Label 4122*/ GIMT_Encode4(209035), // Rule ID 3157 //
     /* 208993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 208996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_xar),
     /* 209001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 209004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 209007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 209010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209014 */     // MIs[0] Op3
     /* 209014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209017 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 209022 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2133:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (XAR_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 209022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XAR_ZZZI_S),
     /* 209025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 209027 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209029 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209031 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209033 */     GIR_RootConstrainSelectedInstOperands,
     /* 209034 */     // GIR_Coverage, 3157,
     /* 209034 */     GIR_EraseRootFromParent_Done,
     /* 209035 */   // Label 4122: @209035
     /* 209035 */   GIM_Try, /*On fail goto*//*Label 4123*/ GIMT_Encode4(209082), // Rule ID 3158 //
     /* 209040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_xar),
     /* 209048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 209051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 209054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 209057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209061 */     // MIs[0] Op3
     /* 209061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209064 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR64),
     /* 209069 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2133:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)  =>  (XAR_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)
     /* 209069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XAR_ZZZI_D),
     /* 209072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 209074 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209076 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209078 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209080 */     GIR_RootConstrainSelectedInstOperands,
     /* 209081 */     // GIR_Coverage, 3158,
     /* 209081 */     GIR_EraseRootFromParent_Done,
     /* 209082 */   // Label 4123: @209082
     /* 209082 */   GIM_Try, /*On fail goto*//*Label 4124*/ GIMT_Encode4(209129), // Rule ID 3537 //
     /* 209087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 209090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_extq),
     /* 209095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 209098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 209101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 209104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209108 */     // MIs[0] Op3
     /* 209108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209111 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_15),
     /* 209116 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1343:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_15>>:$Op3)  =>  (EXTQ_ZZI:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_15>>:$Op3)
     /* 209116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTQ_ZZI),
     /* 209119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 209121 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209123 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209125 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209127 */     GIR_RootConstrainSelectedInstOperands,
     /* 209128 */     // GIR_Coverage, 3537,
     /* 209128 */     GIR_EraseRootFromParent_Done,
     /* 209129 */   // Label 4124: @209129
     /* 209129 */   GIM_Try, /*On fail goto*//*Label 4125*/ GIMT_Encode4(209176), // Rule ID 3585 //
     /* 209134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT_HasSVE2_or_SME2),
     /* 209137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_luti2_lane),
     /* 209142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 209145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 209148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 209151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209155 */     // MIs[0] Op3
     /* 209155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209158 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 209163 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1582:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$Op3)  =>  (LUTI2_ZZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$Op3)
     /* 209163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUTI2_ZZZI_B),
     /* 209166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 209168 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209170 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209172 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209174 */     GIR_RootConstrainSelectedInstOperands,
     /* 209175 */     // GIR_Coverage, 3585,
     /* 209175 */     GIR_EraseRootFromParent_Done,
     /* 209176 */   // Label 4125: @209176
     /* 209176 */   GIM_Try, /*On fail goto*//*Label 4126*/ GIMT_Encode4(209223), // Rule ID 3586 //
     /* 209181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT_HasSVE2_or_SME2),
     /* 209184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_luti2_lane),
     /* 209189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 209192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 209195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 209198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209202 */     // MIs[0] Op3
     /* 209202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209205 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 209210 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1582:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$Op3)  =>  (LUTI2_ZZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$Op3)
     /* 209210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUTI2_ZZZI_H),
     /* 209213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 209215 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209217 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209219 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209221 */     GIR_RootConstrainSelectedInstOperands,
     /* 209222 */     // GIR_Coverage, 3586,
     /* 209222 */     GIR_EraseRootFromParent_Done,
     /* 209223 */   // Label 4126: @209223
     /* 209223 */   GIM_Try, /*On fail goto*//*Label 4127*/ GIMT_Encode4(209270), // Rule ID 3587 //
     /* 209228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT_HasSVE2_or_SME2),
     /* 209231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_luti2_lane),
     /* 209236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 209239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 209242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 209245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209249 */     // MIs[0] Op3
     /* 209249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209252 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 209257 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1582:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$Op3)  =>  (LUTI2_ZZZI_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$Op3)
     /* 209257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUTI2_ZZZI_H),
     /* 209260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 209262 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209264 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209266 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209268 */     GIR_RootConstrainSelectedInstOperands,
     /* 209269 */     // GIR_Coverage, 3587,
     /* 209269 */     GIR_EraseRootFromParent_Done,
     /* 209270 */   // Label 4127: @209270
     /* 209270 */   GIM_Try, /*On fail goto*//*Label 4128*/ GIMT_Encode4(209317), // Rule ID 3588 //
     /* 209275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT_HasSVE2_or_SME2),
     /* 209278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_luti4_lane),
     /* 209283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 209286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 209289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 209292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209296 */     // MIs[0] Op3
     /* 209296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209299 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_1),
     /* 209304 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1583:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_1>>:$Op3)  =>  (LUTI4_ZZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_1>>:$Op3)
     /* 209304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUTI4_ZZZI_B),
     /* 209307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 209309 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209311 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209313 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209315 */     GIR_RootConstrainSelectedInstOperands,
     /* 209316 */     // GIR_Coverage, 3588,
     /* 209316 */     GIR_EraseRootFromParent_Done,
     /* 209317 */   // Label 4128: @209317
     /* 209317 */   GIM_Try, /*On fail goto*//*Label 4129*/ GIMT_Encode4(209364), // Rule ID 3589 //
     /* 209322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT_HasSVE2_or_SME2),
     /* 209325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_luti4_lane),
     /* 209330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 209333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 209336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 209339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209343 */     // MIs[0] Op3
     /* 209343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209346 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 209351 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1583:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$Op3)  =>  (LUTI4_ZZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$Op3)
     /* 209351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUTI4_ZZZI_H),
     /* 209354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 209356 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209358 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209360 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209362 */     GIR_RootConstrainSelectedInstOperands,
     /* 209363 */     // GIR_Coverage, 3589,
     /* 209363 */     GIR_EraseRootFromParent_Done,
     /* 209364 */   // Label 4129: @209364
     /* 209364 */   GIM_Try, /*On fail goto*//*Label 4130*/ GIMT_Encode4(209411), // Rule ID 3590 //
     /* 209369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT_HasSVE2_or_SME2),
     /* 209372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_luti4_lane),
     /* 209377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 209380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 209383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 209386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209390 */     // MIs[0] Op3
     /* 209390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209393 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 209398 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1583:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$Op3)  =>  (LUTI4_ZZZI_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$Op3)
     /* 209398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUTI4_ZZZI_H),
     /* 209401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 209403 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209405 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209407 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209409 */     GIR_RootConstrainSelectedInstOperands,
     /* 209410 */     // GIR_Coverage, 3590,
     /* 209410 */     GIR_EraseRootFromParent_Done,
     /* 209411 */   // Label 4130: @209411
     /* 209411 */   GIM_Try, /*On fail goto*//*Label 4131*/ GIMT_Encode4(209458), // Rule ID 11248 //
     /* 209416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmulh_lane),
     /* 209424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 209427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 209430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 209433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209437 */     // MIs[0] Op3
     /* 209437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209440 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 209445 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1782:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)  =>  (SQDMULH_ZZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)
     /* 209445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULH_ZZZI_H),
     /* 209448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 209450 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209452 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209454 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209456 */     GIR_RootConstrainSelectedInstOperands,
     /* 209457 */     // GIR_Coverage, 11248,
     /* 209457 */     GIR_EraseRootFromParent_Done,
     /* 209458 */   // Label 4131: @209458
     /* 209458 */   GIM_Try, /*On fail goto*//*Label 4132*/ GIMT_Encode4(209505), // Rule ID 11249 //
     /* 209463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmulh_lane),
     /* 209471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 209474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 209477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 209480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209484 */     // MIs[0] Op3
     /* 209484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209487 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 209492 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1782:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)  =>  (SQDMULH_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)
     /* 209492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULH_ZZZI_S),
     /* 209495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 209497 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209499 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209501 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209503 */     GIR_RootConstrainSelectedInstOperands,
     /* 209504 */     // GIR_Coverage, 11249,
     /* 209504 */     GIR_EraseRootFromParent_Done,
     /* 209505 */   // Label 4132: @209505
     /* 209505 */   GIM_Try, /*On fail goto*//*Label 4133*/ GIMT_Encode4(209552), // Rule ID 11250 //
     /* 209510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmulh_lane),
     /* 209518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 209521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 209524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 209527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209531 */     // MIs[0] Op3
     /* 209531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209534 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 209539 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1782:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op3)  =>  (SQDMULH_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op3)
     /* 209539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULH_ZZZI_D),
     /* 209542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 209544 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209546 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209548 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209550 */     GIR_RootConstrainSelectedInstOperands,
     /* 209551 */     // GIR_Coverage, 11250,
     /* 209551 */     GIR_EraseRootFromParent_Done,
     /* 209552 */   // Label 4133: @209552
     /* 209552 */   GIM_Try, /*On fail goto*//*Label 4134*/ GIMT_Encode4(209599), // Rule ID 11251 //
     /* 209557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmulh_lane),
     /* 209565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 209568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 209571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 209574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209578 */     // MIs[0] Op3
     /* 209578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209581 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 209586 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1813:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)  =>  (SQRDMULH_ZZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)
     /* 209586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULH_ZZZI_H),
     /* 209589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 209591 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209593 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209595 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209597 */     GIR_RootConstrainSelectedInstOperands,
     /* 209598 */     // GIR_Coverage, 11251,
     /* 209598 */     GIR_EraseRootFromParent_Done,
     /* 209599 */   // Label 4134: @209599
     /* 209599 */   GIM_Try, /*On fail goto*//*Label 4135*/ GIMT_Encode4(209646), // Rule ID 11252 //
     /* 209604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmulh_lane),
     /* 209612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 209615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 209618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 209621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209625 */     // MIs[0] Op3
     /* 209625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209628 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 209633 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1813:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)  =>  (SQRDMULH_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)
     /* 209633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULH_ZZZI_S),
     /* 209636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 209638 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209640 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209642 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209644 */     GIR_RootConstrainSelectedInstOperands,
     /* 209645 */     // GIR_Coverage, 11252,
     /* 209645 */     GIR_EraseRootFromParent_Done,
     /* 209646 */   // Label 4135: @209646
     /* 209646 */   GIM_Try, /*On fail goto*//*Label 4136*/ GIMT_Encode4(209693), // Rule ID 11253 //
     /* 209651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmulh_lane),
     /* 209659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 209662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 209665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 209668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209672 */     // MIs[0] Op3
     /* 209672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209675 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 209680 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1813:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op3)  =>  (SQRDMULH_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op3)
     /* 209680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULH_ZZZI_D),
     /* 209683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 209685 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209687 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209689 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209691 */     GIR_RootConstrainSelectedInstOperands,
     /* 209692 */     // GIR_Coverage, 11253,
     /* 209692 */     GIR_EraseRootFromParent_Done,
     /* 209693 */   // Label 4136: @209693
     /* 209693 */   GIM_Try, /*On fail goto*//*Label 4137*/ GIMT_Encode4(209740), // Rule ID 11276 //
     /* 209698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smullt_lane),
     /* 209706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 209709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 209712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 209715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209719 */     // MIs[0] Op3
     /* 209719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209722 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 209727 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1743:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)  =>  (SMULLT_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)
     /* 209727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLT_ZZZI_S),
     /* 209730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 209732 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209734 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209736 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209738 */     GIR_RootConstrainSelectedInstOperands,
     /* 209739 */     // GIR_Coverage, 11276,
     /* 209739 */     GIR_EraseRootFromParent_Done,
     /* 209740 */   // Label 4137: @209740
     /* 209740 */   GIM_Try, /*On fail goto*//*Label 4138*/ GIMT_Encode4(209787), // Rule ID 11277 //
     /* 209745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smullt_lane),
     /* 209753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 209756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 209759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 209762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209766 */     // MIs[0] Op3
     /* 209766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209769 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 209774 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1743:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)  =>  (SMULLT_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)
     /* 209774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLT_ZZZI_D),
     /* 209777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 209779 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209781 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209783 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209785 */     GIR_RootConstrainSelectedInstOperands,
     /* 209786 */     // GIR_Coverage, 11277,
     /* 209786 */     GIR_EraseRootFromParent_Done,
     /* 209787 */   // Label 4138: @209787
     /* 209787 */   GIM_Try, /*On fail goto*//*Label 4139*/ GIMT_Encode4(209834), // Rule ID 11278 //
     /* 209792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umullb_lane),
     /* 209800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 209803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 209806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 209809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209813 */     // MIs[0] Op3
     /* 209813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209816 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 209821 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1979:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)  =>  (UMULLB_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)
     /* 209821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLB_ZZZI_S),
     /* 209824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 209826 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209828 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209830 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209832 */     GIR_RootConstrainSelectedInstOperands,
     /* 209833 */     // GIR_Coverage, 11278,
     /* 209833 */     GIR_EraseRootFromParent_Done,
     /* 209834 */   // Label 4139: @209834
     /* 209834 */   GIM_Try, /*On fail goto*//*Label 4140*/ GIMT_Encode4(209881), // Rule ID 11279 //
     /* 209839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umullb_lane),
     /* 209847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 209850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 209853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 209856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209860 */     // MIs[0] Op3
     /* 209860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209863 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 209868 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1979:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)  =>  (UMULLB_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)
     /* 209868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLB_ZZZI_D),
     /* 209871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 209873 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209875 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209877 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209879 */     GIR_RootConstrainSelectedInstOperands,
     /* 209880 */     // GIR_Coverage, 11279,
     /* 209880 */     GIR_EraseRootFromParent_Done,
     /* 209881 */   // Label 4140: @209881
     /* 209881 */   GIM_Try, /*On fail goto*//*Label 4141*/ GIMT_Encode4(209928), // Rule ID 11280 //
     /* 209886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umullt_lane),
     /* 209894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 209897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 209900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 209903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209907 */     // MIs[0] Op3
     /* 209907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209910 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 209915 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1981:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)  =>  (UMULLT_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)
     /* 209915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLT_ZZZI_S),
     /* 209918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 209920 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209922 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209924 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209926 */     GIR_RootConstrainSelectedInstOperands,
     /* 209927 */     // GIR_Coverage, 11280,
     /* 209927 */     GIR_EraseRootFromParent_Done,
     /* 209928 */   // Label 4141: @209928
     /* 209928 */   GIM_Try, /*On fail goto*//*Label 4142*/ GIMT_Encode4(209975), // Rule ID 11281 //
     /* 209933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umullt_lane),
     /* 209941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 209944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 209947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 209950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209954 */     // MIs[0] Op3
     /* 209954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209957 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 209962 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1981:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)  =>  (UMULLT_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)
     /* 209962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLT_ZZZI_D),
     /* 209965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 209967 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209969 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209971 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209973 */     GIR_RootConstrainSelectedInstOperands,
     /* 209974 */     // GIR_Coverage, 11281,
     /* 209974 */     GIR_EraseRootFromParent_Done,
     /* 209975 */   // Label 4142: @209975
     /* 209975 */   GIM_Try, /*On fail goto*//*Label 4143*/ GIMT_Encode4(210022), // Rule ID 11282 //
     /* 209980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmullb_lane),
     /* 209988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 209991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 209994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 209997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210001 */     // MIs[0] Op3
     /* 210001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210004 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 210009 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1788:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)  =>  (SQDMULLB_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)
     /* 210009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLB_ZZZI_S),
     /* 210012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 210014 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210016 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210018 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210020 */     GIR_RootConstrainSelectedInstOperands,
     /* 210021 */     // GIR_Coverage, 11282,
     /* 210021 */     GIR_EraseRootFromParent_Done,
     /* 210022 */   // Label 4143: @210022
     /* 210022 */   GIM_Try, /*On fail goto*//*Label 4144*/ GIMT_Encode4(210069), // Rule ID 11283 //
     /* 210027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmullb_lane),
     /* 210035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 210038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 210041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 210044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210048 */     // MIs[0] Op3
     /* 210048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210051 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 210056 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1788:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)  =>  (SQDMULLB_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)
     /* 210056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLB_ZZZI_D),
     /* 210059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 210061 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210063 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210065 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210067 */     GIR_RootConstrainSelectedInstOperands,
     /* 210068 */     // GIR_Coverage, 11283,
     /* 210068 */     GIR_EraseRootFromParent_Done,
     /* 210069 */   // Label 4144: @210069
     /* 210069 */   GIM_Try, /*On fail goto*//*Label 4145*/ GIMT_Encode4(210116), // Rule ID 11284 //
     /* 210074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmullt_lane),
     /* 210082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 210085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 210088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 210091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210095 */     // MIs[0] Op3
     /* 210095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210098 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 210103 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1790:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)  =>  (SQDMULLT_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)
     /* 210103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLT_ZZZI_S),
     /* 210106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 210108 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210110 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210112 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210114 */     GIR_RootConstrainSelectedInstOperands,
     /* 210115 */     // GIR_Coverage, 11284,
     /* 210115 */     GIR_EraseRootFromParent_Done,
     /* 210116 */   // Label 4145: @210116
     /* 210116 */   GIM_Try, /*On fail goto*//*Label 4146*/ GIMT_Encode4(210163), // Rule ID 11285 //
     /* 210121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmullt_lane),
     /* 210129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 210132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 210135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 210138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210142 */     // MIs[0] Op3
     /* 210142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210145 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 210150 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1790:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)  =>  (SQDMULLT_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)
     /* 210150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLT_ZZZI_D),
     /* 210153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 210155 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210157 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210159 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210161 */     GIR_RootConstrainSelectedInstOperands,
     /* 210162 */     // GIR_Coverage, 11285,
     /* 210162 */     GIR_EraseRootFromParent_Done,
     /* 210163 */   // Label 4146: @210163
     /* 210163 */   GIM_Try, /*On fail goto*//*Label 4147*/ GIMT_Encode4(210210), // Rule ID 11529 //
     /* 210168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srshr),
     /* 210176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 210179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 210182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 210185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210189 */     // MIs[0] Op3
     /* 210189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210192 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 210197 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1848:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (SRSHR_ZPmI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 210197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHR_ZPmI_B),
     /* 210200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 210202 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210204 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210206 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210208 */     GIR_RootConstrainSelectedInstOperands,
     /* 210209 */     // GIR_Coverage, 11529,
     /* 210209 */     GIR_EraseRootFromParent_Done,
     /* 210210 */   // Label 4147: @210210
     /* 210210 */   GIM_Try, /*On fail goto*//*Label 4148*/ GIMT_Encode4(210257), // Rule ID 11530 //
     /* 210215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srshr),
     /* 210223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 210226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 210229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 210232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210236 */     // MIs[0] Op3
     /* 210236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210239 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 210244 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1848:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (SRSHR_ZPmI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 210244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHR_ZPmI_H),
     /* 210247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 210249 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210251 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210253 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210255 */     GIR_RootConstrainSelectedInstOperands,
     /* 210256 */     // GIR_Coverage, 11530,
     /* 210256 */     GIR_EraseRootFromParent_Done,
     /* 210257 */   // Label 4148: @210257
     /* 210257 */   GIM_Try, /*On fail goto*//*Label 4149*/ GIMT_Encode4(210304), // Rule ID 11531 //
     /* 210262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srshr),
     /* 210270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 210273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 210276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 210279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210283 */     // MIs[0] Op3
     /* 210283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210286 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 210291 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1848:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (SRSHR_ZPmI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 210291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHR_ZPmI_S),
     /* 210294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 210296 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210298 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210300 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210302 */     GIR_RootConstrainSelectedInstOperands,
     /* 210303 */     // GIR_Coverage, 11531,
     /* 210303 */     GIR_EraseRootFromParent_Done,
     /* 210304 */   // Label 4149: @210304
     /* 210304 */   GIM_Try, /*On fail goto*//*Label 4150*/ GIMT_Encode4(210351), // Rule ID 11532 //
     /* 210309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srshr),
     /* 210317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 210320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 210323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 210326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210330 */     // MIs[0] Op3
     /* 210330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210333 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR64),
     /* 210338 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1848:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)  =>  (SRSHR_ZPmI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)
     /* 210338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHR_ZPmI_D),
     /* 210341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 210343 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210345 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210347 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210349 */     GIR_RootConstrainSelectedInstOperands,
     /* 210350 */     // GIR_Coverage, 11532,
     /* 210350 */     GIR_EraseRootFromParent_Done,
     /* 210351 */   // Label 4150: @210351
     /* 210351 */   GIM_Try, /*On fail goto*//*Label 4151*/ GIMT_Encode4(210398), // Rule ID 11533 //
     /* 210356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urshr),
     /* 210364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 210367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 210370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 210373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210377 */     // MIs[0] Op3
     /* 210377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210380 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 210385 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2039:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (URSHR_ZPmI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 210385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHR_ZPmI_B),
     /* 210388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 210390 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210392 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210394 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210396 */     GIR_RootConstrainSelectedInstOperands,
     /* 210397 */     // GIR_Coverage, 11533,
     /* 210397 */     GIR_EraseRootFromParent_Done,
     /* 210398 */   // Label 4151: @210398
     /* 210398 */   GIM_Try, /*On fail goto*//*Label 4152*/ GIMT_Encode4(210445), // Rule ID 11535 //
     /* 210403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urshr),
     /* 210411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 210414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 210417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 210420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210424 */     // MIs[0] Op3
     /* 210424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210427 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 210432 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2039:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (URSHR_ZPmI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 210432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHR_ZPmI_H),
     /* 210435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 210437 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210439 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210441 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210443 */     GIR_RootConstrainSelectedInstOperands,
     /* 210444 */     // GIR_Coverage, 11535,
     /* 210444 */     GIR_EraseRootFromParent_Done,
     /* 210445 */   // Label 4152: @210445
     /* 210445 */   GIM_Try, /*On fail goto*//*Label 4153*/ GIMT_Encode4(210492), // Rule ID 11537 //
     /* 210450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urshr),
     /* 210458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 210461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 210464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 210467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210471 */     // MIs[0] Op3
     /* 210471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210474 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 210479 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2039:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (URSHR_ZPmI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 210479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHR_ZPmI_S),
     /* 210482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 210484 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210486 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210488 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210490 */     GIR_RootConstrainSelectedInstOperands,
     /* 210491 */     // GIR_Coverage, 11537,
     /* 210491 */     GIR_EraseRootFromParent_Done,
     /* 210492 */   // Label 4153: @210492
     /* 210492 */   GIM_Try, /*On fail goto*//*Label 4154*/ GIMT_Encode4(210539), // Rule ID 11539 //
     /* 210497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urshr),
     /* 210505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 210508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 210511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 210514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210518 */     // MIs[0] Op3
     /* 210518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210521 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR64),
     /* 210526 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2039:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)  =>  (URSHR_ZPmI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)
     /* 210526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHR_ZPmI_D),
     /* 210529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 210531 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210533 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210535 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210537 */     GIR_RootConstrainSelectedInstOperands,
     /* 210538 */     // GIR_Coverage, 11539,
     /* 210538 */     GIR_EraseRootFromParent_Done,
     /* 210539 */   // Label 4154: @210539
     /* 210539 */   GIM_Try, /*On fail goto*//*Label 4155*/ GIMT_Encode4(210586), // Rule ID 11541 //
     /* 210544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshlu),
     /* 210552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 210555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 210558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 210561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210565 */     // MIs[0] Op3
     /* 210565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210568 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL8),
     /* 210573 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1828:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL8>>:$Op3)  =>  (SQSHLU_ZPmI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL8>>:$Op3)
     /* 210573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLU_ZPmI_B),
     /* 210576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 210578 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210580 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210582 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210584 */     GIR_RootConstrainSelectedInstOperands,
     /* 210585 */     // GIR_Coverage, 11541,
     /* 210585 */     GIR_EraseRootFromParent_Done,
     /* 210586 */   // Label 4155: @210586
     /* 210586 */   GIM_Try, /*On fail goto*//*Label 4156*/ GIMT_Encode4(210633), // Rule ID 11542 //
     /* 210591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshlu),
     /* 210599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 210602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 210605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 210608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210612 */     // MIs[0] Op3
     /* 210612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210615 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL16),
     /* 210620 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1828:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL16>>:$Op3)  =>  (SQSHLU_ZPmI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL16>>:$Op3)
     /* 210620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLU_ZPmI_H),
     /* 210623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 210625 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210627 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210629 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210631 */     GIR_RootConstrainSelectedInstOperands,
     /* 210632 */     // GIR_Coverage, 11542,
     /* 210632 */     GIR_EraseRootFromParent_Done,
     /* 210633 */   // Label 4156: @210633
     /* 210633 */   GIM_Try, /*On fail goto*//*Label 4157*/ GIMT_Encode4(210680), // Rule ID 11543 //
     /* 210638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshlu),
     /* 210646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 210649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 210652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 210655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210659 */     // MIs[0] Op3
     /* 210659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210662 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL32),
     /* 210667 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1828:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL32>>:$Op3)  =>  (SQSHLU_ZPmI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL32>>:$Op3)
     /* 210667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLU_ZPmI_S),
     /* 210670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 210672 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210674 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210676 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210678 */     GIR_RootConstrainSelectedInstOperands,
     /* 210679 */     // GIR_Coverage, 11543,
     /* 210679 */     GIR_EraseRootFromParent_Done,
     /* 210680 */   // Label 4157: @210680
     /* 210680 */   GIM_Try, /*On fail goto*//*Label 4158*/ GIMT_Encode4(210727), // Rule ID 11544 //
     /* 210685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshlu),
     /* 210693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 210696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 210699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 210702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210706 */     // MIs[0] Op3
     /* 210706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210709 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL64),
     /* 210714 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1828:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL64>>:$Op3)  =>  (SQSHLU_ZPmI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL64>>:$Op3)
     /* 210714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLU_ZPmI_D),
     /* 210717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 210719 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210721 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210723 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210725 */     GIR_RootConstrainSelectedInstOperands,
     /* 210726 */     // GIR_Coverage, 11544,
     /* 210726 */     GIR_EraseRootFromParent_Done,
     /* 210727 */   // Label 4158: @210727
     /* 210727 */   GIM_Try, /*On fail goto*//*Label 4159*/ GIMT_Encode4(210774), // Rule ID 11619 //
     /* 210732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usra),
     /* 210740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 210743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 210746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 210749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210753 */     // MIs[0] Op3
     /* 210753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210756 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 210761 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2048:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (USRA_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 210761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRA_ZZI_B),
     /* 210764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 210766 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210768 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210770 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210772 */     GIR_RootConstrainSelectedInstOperands,
     /* 210773 */     // GIR_Coverage, 11619,
     /* 210773 */     GIR_EraseRootFromParent_Done,
     /* 210774 */   // Label 4159: @210774
     /* 210774 */   GIM_Try, /*On fail goto*//*Label 4160*/ GIMT_Encode4(210821), // Rule ID 11621 //
     /* 210779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usra),
     /* 210787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 210790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 210793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 210796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210800 */     // MIs[0] Op3
     /* 210800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210803 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 210808 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2048:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (USRA_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 210808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRA_ZZI_H),
     /* 210811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 210813 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210815 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210817 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210819 */     GIR_RootConstrainSelectedInstOperands,
     /* 210820 */     // GIR_Coverage, 11621,
     /* 210820 */     GIR_EraseRootFromParent_Done,
     /* 210821 */   // Label 4160: @210821
     /* 210821 */   GIM_Try, /*On fail goto*//*Label 4161*/ GIMT_Encode4(210868), // Rule ID 11623 //
     /* 210826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usra),
     /* 210834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 210837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 210840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 210843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210847 */     // MIs[0] Op3
     /* 210847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210850 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 210855 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2048:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (USRA_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 210855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRA_ZZI_S),
     /* 210858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 210860 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210862 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210864 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210866 */     GIR_RootConstrainSelectedInstOperands,
     /* 210867 */     // GIR_Coverage, 11623,
     /* 210867 */     GIR_EraseRootFromParent_Done,
     /* 210868 */   // Label 4161: @210868
     /* 210868 */   GIM_Try, /*On fail goto*//*Label 4162*/ GIMT_Encode4(210915), // Rule ID 11625 //
     /* 210873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usra),
     /* 210881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 210884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 210887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 210890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210894 */     // MIs[0] Op3
     /* 210894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210897 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR64),
     /* 210902 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2048:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)  =>  (USRA_ZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)
     /* 210902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRA_ZZI_D),
     /* 210905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 210907 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210909 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210911 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210913 */     GIR_RootConstrainSelectedInstOperands,
     /* 210914 */     // GIR_Coverage, 11625,
     /* 210914 */     GIR_EraseRootFromParent_Done,
     /* 210915 */   // Label 4162: @210915
     /* 210915 */   GIM_Try, /*On fail goto*//*Label 4163*/ GIMT_Encode4(210962), // Rule ID 11627 //
     /* 210920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srsra),
     /* 210928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 210931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 210934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 210937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210941 */     // MIs[0] Op3
     /* 210941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210944 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 210949 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1849:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (SRSRA_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 210949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSRA_ZZI_B),
     /* 210952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 210954 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210956 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210958 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210960 */     GIR_RootConstrainSelectedInstOperands,
     /* 210961 */     // GIR_Coverage, 11627,
     /* 210961 */     GIR_EraseRootFromParent_Done,
     /* 210962 */   // Label 4163: @210962
     /* 210962 */   GIM_Try, /*On fail goto*//*Label 4164*/ GIMT_Encode4(211009), // Rule ID 11628 //
     /* 210967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srsra),
     /* 210975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 210978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 210981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 210984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210988 */     // MIs[0] Op3
     /* 210988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210991 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 210996 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1849:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (SRSRA_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 210996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSRA_ZZI_H),
     /* 210999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 211001 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211003 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211005 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211007 */     GIR_RootConstrainSelectedInstOperands,
     /* 211008 */     // GIR_Coverage, 11628,
     /* 211008 */     GIR_EraseRootFromParent_Done,
     /* 211009 */   // Label 4164: @211009
     /* 211009 */   GIM_Try, /*On fail goto*//*Label 4165*/ GIMT_Encode4(211056), // Rule ID 11629 //
     /* 211014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srsra),
     /* 211022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 211025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 211028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 211031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211035 */     // MIs[0] Op3
     /* 211035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211038 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 211043 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1849:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (SRSRA_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 211043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSRA_ZZI_S),
     /* 211046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 211048 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211050 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211052 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211054 */     GIR_RootConstrainSelectedInstOperands,
     /* 211055 */     // GIR_Coverage, 11629,
     /* 211055 */     GIR_EraseRootFromParent_Done,
     /* 211056 */   // Label 4165: @211056
     /* 211056 */   GIM_Try, /*On fail goto*//*Label 4166*/ GIMT_Encode4(211103), // Rule ID 11630 //
     /* 211061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srsra),
     /* 211069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 211072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 211075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 211078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211082 */     // MIs[0] Op3
     /* 211082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211085 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR64),
     /* 211090 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1849:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)  =>  (SRSRA_ZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)
     /* 211090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSRA_ZZI_D),
     /* 211093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 211095 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211097 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211099 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211101 */     GIR_RootConstrainSelectedInstOperands,
     /* 211102 */     // GIR_Coverage, 11630,
     /* 211102 */     GIR_EraseRootFromParent_Done,
     /* 211103 */   // Label 4166: @211103
     /* 211103 */   GIM_Try, /*On fail goto*//*Label 4167*/ GIMT_Encode4(211150), // Rule ID 11635 //
     /* 211108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ursra),
     /* 211116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 211119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 211122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 211125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211129 */     // MIs[0] Op3
     /* 211129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211132 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 211137 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2041:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (URSRA_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 211137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSRA_ZZI_B),
     /* 211140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 211142 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211144 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211146 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211148 */     GIR_RootConstrainSelectedInstOperands,
     /* 211149 */     // GIR_Coverage, 11635,
     /* 211149 */     GIR_EraseRootFromParent_Done,
     /* 211150 */   // Label 4167: @211150
     /* 211150 */   GIM_Try, /*On fail goto*//*Label 4168*/ GIMT_Encode4(211197), // Rule ID 11636 //
     /* 211155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ursra),
     /* 211163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 211166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 211169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 211172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211176 */     // MIs[0] Op3
     /* 211176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211179 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 211184 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2041:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (URSRA_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 211184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSRA_ZZI_H),
     /* 211187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 211189 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211191 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211193 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211195 */     GIR_RootConstrainSelectedInstOperands,
     /* 211196 */     // GIR_Coverage, 11636,
     /* 211196 */     GIR_EraseRootFromParent_Done,
     /* 211197 */   // Label 4168: @211197
     /* 211197 */   GIM_Try, /*On fail goto*//*Label 4169*/ GIMT_Encode4(211244), // Rule ID 11637 //
     /* 211202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ursra),
     /* 211210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 211213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 211216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 211219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211223 */     // MIs[0] Op3
     /* 211223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211226 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 211231 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2041:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (URSRA_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 211231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSRA_ZZI_S),
     /* 211234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 211236 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211238 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211240 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211242 */     GIR_RootConstrainSelectedInstOperands,
     /* 211243 */     // GIR_Coverage, 11637,
     /* 211243 */     GIR_EraseRootFromParent_Done,
     /* 211244 */   // Label 4169: @211244
     /* 211244 */   GIM_Try, /*On fail goto*//*Label 4170*/ GIMT_Encode4(211291), // Rule ID 11638 //
     /* 211249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ursra),
     /* 211257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 211260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 211263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 211266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211270 */     // MIs[0] Op3
     /* 211270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211273 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR64),
     /* 211278 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2041:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)  =>  (URSRA_ZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)
     /* 211278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSRA_ZZI_D),
     /* 211281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 211283 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211285 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211287 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211289 */     GIR_RootConstrainSelectedInstOperands,
     /* 211290 */     // GIR_Coverage, 11638,
     /* 211290 */     GIR_EraseRootFromParent_Done,
     /* 211291 */   // Label 4170: @211291
     /* 211291 */   GIM_Try, /*On fail goto*//*Label 4171*/ GIMT_Encode4(211338), // Rule ID 11698 //
     /* 211296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrunt),
     /* 211304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 211307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 211310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 211313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211317 */     // MIs[0] Op3
     /* 211317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211320 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 211325 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1826:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (SQRSHRUNT_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 211325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRUNT_ZZI_B),
     /* 211328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 211330 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211332 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211334 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211336 */     GIR_RootConstrainSelectedInstOperands,
     /* 211337 */     // GIR_Coverage, 11698,
     /* 211337 */     GIR_EraseRootFromParent_Done,
     /* 211338 */   // Label 4171: @211338
     /* 211338 */   GIM_Try, /*On fail goto*//*Label 4172*/ GIMT_Encode4(211385), // Rule ID 11699 //
     /* 211343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrunt),
     /* 211351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 211354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 211357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 211360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211364 */     // MIs[0] Op3
     /* 211364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211367 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 211372 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1826:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (SQRSHRUNT_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 211372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRUNT_ZZI_H),
     /* 211375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 211377 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211379 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211381 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211383 */     GIR_RootConstrainSelectedInstOperands,
     /* 211384 */     // GIR_Coverage, 11699,
     /* 211384 */     GIR_EraseRootFromParent_Done,
     /* 211385 */   // Label 4172: @211385
     /* 211385 */   GIM_Try, /*On fail goto*//*Label 4173*/ GIMT_Encode4(211432), // Rule ID 11700 //
     /* 211390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrunt),
     /* 211398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 211401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 211404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 211407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211411 */     // MIs[0] Op3
     /* 211411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211414 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 211419 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1826:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (SQRSHRUNT_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 211419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRUNT_ZZI_S),
     /* 211422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 211424 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211426 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211428 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211430 */     GIR_RootConstrainSelectedInstOperands,
     /* 211431 */     // GIR_Coverage, 11700,
     /* 211431 */     GIR_EraseRootFromParent_Done,
     /* 211432 */   // Label 4173: @211432
     /* 211432 */   GIM_Try, /*On fail goto*//*Label 4174*/ GIMT_Encode4(211479), // Rule ID 11701 //
     /* 211437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shrnt),
     /* 211445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 211448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 211451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 211454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211458 */     // MIs[0] Op3
     /* 211458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211461 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 211466 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1705:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (SHRNT_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 211466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNT_ZZI_B),
     /* 211469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 211471 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211473 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211475 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211477 */     GIR_RootConstrainSelectedInstOperands,
     /* 211478 */     // GIR_Coverage, 11701,
     /* 211478 */     GIR_EraseRootFromParent_Done,
     /* 211479 */   // Label 4174: @211479
     /* 211479 */   GIM_Try, /*On fail goto*//*Label 4175*/ GIMT_Encode4(211526), // Rule ID 11702 //
     /* 211484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shrnt),
     /* 211492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 211495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 211498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 211501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211505 */     // MIs[0] Op3
     /* 211505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211508 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 211513 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1705:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (SHRNT_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 211513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNT_ZZI_H),
     /* 211516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 211518 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211520 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211522 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211524 */     GIR_RootConstrainSelectedInstOperands,
     /* 211525 */     // GIR_Coverage, 11702,
     /* 211525 */     GIR_EraseRootFromParent_Done,
     /* 211526 */   // Label 4175: @211526
     /* 211526 */   GIM_Try, /*On fail goto*//*Label 4176*/ GIMT_Encode4(211573), // Rule ID 11703 //
     /* 211531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shrnt),
     /* 211539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 211542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 211545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 211548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211552 */     // MIs[0] Op3
     /* 211552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211555 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 211560 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1705:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (SHRNT_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 211560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNT_ZZI_S),
     /* 211563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 211565 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211567 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211569 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211571 */     GIR_RootConstrainSelectedInstOperands,
     /* 211572 */     // GIR_Coverage, 11703,
     /* 211572 */     GIR_EraseRootFromParent_Done,
     /* 211573 */   // Label 4176: @211573
     /* 211573 */   GIM_Try, /*On fail goto*//*Label 4177*/ GIMT_Encode4(211620), // Rule ID 11704 //
     /* 211578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rshrnt),
     /* 211586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 211589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 211592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 211595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211599 */     // MIs[0] Op3
     /* 211599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211602 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 211607 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1663:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (RSHRNT_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 211607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNT_ZZI_B),
     /* 211610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 211612 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211614 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211616 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211618 */     GIR_RootConstrainSelectedInstOperands,
     /* 211619 */     // GIR_Coverage, 11704,
     /* 211619 */     GIR_EraseRootFromParent_Done,
     /* 211620 */   // Label 4177: @211620
     /* 211620 */   GIM_Try, /*On fail goto*//*Label 4178*/ GIMT_Encode4(211667), // Rule ID 11705 //
     /* 211625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rshrnt),
     /* 211633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 211636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 211639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 211642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211646 */     // MIs[0] Op3
     /* 211646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211649 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 211654 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1663:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (RSHRNT_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 211654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNT_ZZI_H),
     /* 211657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 211659 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211661 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211663 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211665 */     GIR_RootConstrainSelectedInstOperands,
     /* 211666 */     // GIR_Coverage, 11705,
     /* 211666 */     GIR_EraseRootFromParent_Done,
     /* 211667 */   // Label 4178: @211667
     /* 211667 */   GIM_Try, /*On fail goto*//*Label 4179*/ GIMT_Encode4(211714), // Rule ID 11706 //
     /* 211672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rshrnt),
     /* 211680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 211683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 211686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 211689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211693 */     // MIs[0] Op3
     /* 211693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211696 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 211701 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1663:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (RSHRNT_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 211701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNT_ZZI_S),
     /* 211704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 211706 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211708 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211710 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211712 */     GIR_RootConstrainSelectedInstOperands,
     /* 211713 */     // GIR_Coverage, 11706,
     /* 211713 */     GIR_EraseRootFromParent_Done,
     /* 211714 */   // Label 4179: @211714
     /* 211714 */   GIM_Try, /*On fail goto*//*Label 4180*/ GIMT_Encode4(211761), // Rule ID 11707 //
     /* 211719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrnt),
     /* 211727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 211730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 211733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 211736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211740 */     // MIs[0] Op3
     /* 211740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211743 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 211748 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1830:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (SQSHRNT_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 211748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRNT_ZZI_B),
     /* 211751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 211753 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211755 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211757 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211759 */     GIR_RootConstrainSelectedInstOperands,
     /* 211760 */     // GIR_Coverage, 11707,
     /* 211760 */     GIR_EraseRootFromParent_Done,
     /* 211761 */   // Label 4180: @211761
     /* 211761 */   GIM_Try, /*On fail goto*//*Label 4181*/ GIMT_Encode4(211808), // Rule ID 11708 //
     /* 211766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrnt),
     /* 211774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 211777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 211780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 211783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211787 */     // MIs[0] Op3
     /* 211787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211790 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 211795 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1830:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (SQSHRNT_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 211795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRNT_ZZI_H),
     /* 211798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 211800 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211802 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211804 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211806 */     GIR_RootConstrainSelectedInstOperands,
     /* 211807 */     // GIR_Coverage, 11708,
     /* 211807 */     GIR_EraseRootFromParent_Done,
     /* 211808 */   // Label 4181: @211808
     /* 211808 */   GIM_Try, /*On fail goto*//*Label 4182*/ GIMT_Encode4(211855), // Rule ID 11709 //
     /* 211813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrnt),
     /* 211821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 211824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 211827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 211830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211834 */     // MIs[0] Op3
     /* 211834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211837 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 211842 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1830:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (SQSHRNT_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 211842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRNT_ZZI_S),
     /* 211845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 211847 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211849 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211851 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211853 */     GIR_RootConstrainSelectedInstOperands,
     /* 211854 */     // GIR_Coverage, 11709,
     /* 211854 */     GIR_EraseRootFromParent_Done,
     /* 211855 */   // Label 4182: @211855
     /* 211855 */   GIM_Try, /*On fail goto*//*Label 4183*/ GIMT_Encode4(211902), // Rule ID 11710 //
     /* 211860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrnt),
     /* 211868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 211871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 211874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 211877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211881 */     // MIs[0] Op3
     /* 211881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211884 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 211889 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1820:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (SQRSHRNT_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 211889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRNT_ZZI_B),
     /* 211892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 211894 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211896 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211898 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211900 */     GIR_RootConstrainSelectedInstOperands,
     /* 211901 */     // GIR_Coverage, 11710,
     /* 211901 */     GIR_EraseRootFromParent_Done,
     /* 211902 */   // Label 4183: @211902
     /* 211902 */   GIM_Try, /*On fail goto*//*Label 4184*/ GIMT_Encode4(211949), // Rule ID 11711 //
     /* 211907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrnt),
     /* 211915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 211918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 211921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 211924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211928 */     // MIs[0] Op3
     /* 211928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211931 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 211936 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1820:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (SQRSHRNT_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 211936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRNT_ZZI_H),
     /* 211939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 211941 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211943 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211945 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211947 */     GIR_RootConstrainSelectedInstOperands,
     /* 211948 */     // GIR_Coverage, 11711,
     /* 211948 */     GIR_EraseRootFromParent_Done,
     /* 211949 */   // Label 4184: @211949
     /* 211949 */   GIM_Try, /*On fail goto*//*Label 4185*/ GIMT_Encode4(211996), // Rule ID 11712 //
     /* 211954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrnt),
     /* 211962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 211965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 211968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 211971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211975 */     // MIs[0] Op3
     /* 211975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211978 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 211983 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1820:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (SQRSHRNT_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 211983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRNT_ZZI_S),
     /* 211986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 211988 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211990 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211992 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211994 */     GIR_RootConstrainSelectedInstOperands,
     /* 211995 */     // GIR_Coverage, 11712,
     /* 211995 */     GIR_EraseRootFromParent_Done,
     /* 211996 */   // Label 4185: @211996
     /* 211996 */   GIM_Try, /*On fail goto*//*Label 4186*/ GIMT_Encode4(212043), // Rule ID 11713 //
     /* 212001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqshrnt),
     /* 212009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 212012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 212015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 212018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212022 */     // MIs[0] Op3
     /* 212022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212025 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 212030 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2025:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (UQSHRNT_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 212030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHRNT_ZZI_B),
     /* 212033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212035 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212037 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212039 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212041 */     GIR_RootConstrainSelectedInstOperands,
     /* 212042 */     // GIR_Coverage, 11713,
     /* 212042 */     GIR_EraseRootFromParent_Done,
     /* 212043 */   // Label 4186: @212043
     /* 212043 */   GIM_Try, /*On fail goto*//*Label 4187*/ GIMT_Encode4(212090), // Rule ID 11714 //
     /* 212048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqshrnt),
     /* 212056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 212059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 212062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 212065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212069 */     // MIs[0] Op3
     /* 212069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212072 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 212077 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2025:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (UQSHRNT_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 212077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHRNT_ZZI_H),
     /* 212080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212082 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212084 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212086 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212088 */     GIR_RootConstrainSelectedInstOperands,
     /* 212089 */     // GIR_Coverage, 11714,
     /* 212089 */     GIR_EraseRootFromParent_Done,
     /* 212090 */   // Label 4187: @212090
     /* 212090 */   GIM_Try, /*On fail goto*//*Label 4188*/ GIMT_Encode4(212137), // Rule ID 11715 //
     /* 212095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqshrnt),
     /* 212103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 212106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 212109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 212112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212116 */     // MIs[0] Op3
     /* 212116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212119 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 212124 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2025:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (UQSHRNT_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 212124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHRNT_ZZI_S),
     /* 212127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212129 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212131 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212133 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212135 */     GIR_RootConstrainSelectedInstOperands,
     /* 212136 */     // GIR_Coverage, 11715,
     /* 212136 */     GIR_EraseRootFromParent_Done,
     /* 212137 */   // Label 4188: @212137
     /* 212137 */   GIM_Try, /*On fail goto*//*Label 4189*/ GIMT_Encode4(212184), // Rule ID 11716 //
     /* 212142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqrshrnt),
     /* 212150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 212153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 212156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 212159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212163 */     // MIs[0] Op3
     /* 212163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212166 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 212171 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2022:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (UQRSHRNT_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 212171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHRNT_ZZI_B),
     /* 212174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212176 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212178 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212180 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212182 */     GIR_RootConstrainSelectedInstOperands,
     /* 212183 */     // GIR_Coverage, 11716,
     /* 212183 */     GIR_EraseRootFromParent_Done,
     /* 212184 */   // Label 4189: @212184
     /* 212184 */   GIM_Try, /*On fail goto*//*Label 4190*/ GIMT_Encode4(212231), // Rule ID 11717 //
     /* 212189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqrshrnt),
     /* 212197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 212200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 212203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 212206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212210 */     // MIs[0] Op3
     /* 212210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212213 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 212218 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2022:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (UQRSHRNT_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 212218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHRNT_ZZI_H),
     /* 212221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212223 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212225 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212227 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212229 */     GIR_RootConstrainSelectedInstOperands,
     /* 212230 */     // GIR_Coverage, 11717,
     /* 212230 */     GIR_EraseRootFromParent_Done,
     /* 212231 */   // Label 4190: @212231
     /* 212231 */   GIM_Try, /*On fail goto*//*Label 4191*/ GIMT_Encode4(212278), // Rule ID 11718 //
     /* 212236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqrshrnt),
     /* 212244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 212247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 212250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 212253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212257 */     // MIs[0] Op3
     /* 212257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212260 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 212265 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2022:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (UQRSHRNT_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 212265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHRNT_ZZI_S),
     /* 212268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212270 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212272 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212274 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212276 */     GIR_RootConstrainSelectedInstOperands,
     /* 212277 */     // GIR_Coverage, 11718,
     /* 212277 */     GIR_EraseRootFromParent_Done,
     /* 212278 */   // Label 4191: @212278
     /* 212278 */   GIM_Try, /*On fail goto*//*Label 4192*/ GIMT_Encode4(212345), // Rule ID 2604 //
     /* 212283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urecpe),
     /* 212291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 212294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 212297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 212300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 212303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 212311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 212315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 212317 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2032:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (URECPE_ZPmZ_S_UNDEF:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 212317 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 212320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 212324 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 212329 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 212331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URECPE_ZPmZ_S_UNDEF),
     /* 212334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212336 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 212339 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 212341 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 212343 */     GIR_RootConstrainSelectedInstOperands,
     /* 212344 */     // GIR_Coverage, 2604,
     /* 212344 */     GIR_EraseRootFromParent_Done,
     /* 212345 */   // Label 4192: @212345
     /* 212345 */   GIM_Try, /*On fail goto*//*Label 4193*/ GIMT_Encode4(212412), // Rule ID 7649 //
     /* 212350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 212353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cls),
     /* 212358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 212361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 212364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 212367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 212370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 212378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 212382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 212384 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1296:{ *:[iPTR] }, (undef:{ *:[nxv16i8] }), nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (CLS_ZPmZ_B_UNDEF:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 212384 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 212387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 212391 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 212396 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 212398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLS_ZPmZ_B_UNDEF),
     /* 212401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212403 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 212406 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 212408 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 212410 */     GIR_RootConstrainSelectedInstOperands,
     /* 212411 */     // GIR_Coverage, 7649,
     /* 212411 */     GIR_EraseRootFromParent_Done,
     /* 212412 */   // Label 4193: @212412
     /* 212412 */   GIM_Try, /*On fail goto*//*Label 4194*/ GIMT_Encode4(212479), // Rule ID 7651 //
     /* 212417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 212420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cls),
     /* 212425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 212428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 212431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 212434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 212437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 212445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 212449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 212451 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1296:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (CLS_ZPmZ_H_UNDEF:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 212451 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 212454 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 212458 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 212463 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 212465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLS_ZPmZ_H_UNDEF),
     /* 212468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212470 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 212473 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 212475 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 212477 */     GIR_RootConstrainSelectedInstOperands,
     /* 212478 */     // GIR_Coverage, 7651,
     /* 212478 */     GIR_EraseRootFromParent_Done,
     /* 212479 */   // Label 4194: @212479
     /* 212479 */   GIM_Try, /*On fail goto*//*Label 4195*/ GIMT_Encode4(212546), // Rule ID 7653 //
     /* 212484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 212487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cls),
     /* 212492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 212495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 212498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 212501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 212504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 212512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 212516 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 212518 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1296:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (CLS_ZPmZ_S_UNDEF:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 212518 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 212521 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 212525 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 212530 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 212532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLS_ZPmZ_S_UNDEF),
     /* 212535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212537 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 212540 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 212542 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 212544 */     GIR_RootConstrainSelectedInstOperands,
     /* 212545 */     // GIR_Coverage, 7653,
     /* 212545 */     GIR_EraseRootFromParent_Done,
     /* 212546 */   // Label 4195: @212546
     /* 212546 */   GIM_Try, /*On fail goto*//*Label 4196*/ GIMT_Encode4(212613), // Rule ID 7655 //
     /* 212551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 212554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cls),
     /* 212559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 212562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 212565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 212568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 212571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 212579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 212583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 212585 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1296:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (CLS_ZPmZ_D_UNDEF:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 212585 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 212588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 212592 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 212597 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 212599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLS_ZPmZ_D_UNDEF),
     /* 212602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212604 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 212607 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 212609 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 212611 */     GIR_RootConstrainSelectedInstOperands,
     /* 212612 */     // GIR_Coverage, 7655,
     /* 212612 */     GIR_EraseRootFromParent_Done,
     /* 212613 */   // Label 4196: @212613
     /* 212613 */   GIM_Try, /*On fail goto*//*Label 4197*/ GIMT_Encode4(212680), // Rule ID 7685 //
     /* 212618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 212621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnot),
     /* 212626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 212629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 212632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 212635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 212638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 212646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 212650 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 212652 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1316:{ *:[iPTR] }, (undef:{ *:[nxv16i8] }), nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (CNOT_ZPmZ_B_UNDEF:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 212652 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 212655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 212659 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 212664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 212666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNOT_ZPmZ_B_UNDEF),
     /* 212669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212671 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 212674 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 212676 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 212678 */     GIR_RootConstrainSelectedInstOperands,
     /* 212679 */     // GIR_Coverage, 7685,
     /* 212679 */     GIR_EraseRootFromParent_Done,
     /* 212680 */   // Label 4197: @212680
     /* 212680 */   GIM_Try, /*On fail goto*//*Label 4198*/ GIMT_Encode4(212747), // Rule ID 7687 //
     /* 212685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 212688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnot),
     /* 212693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 212696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 212699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 212702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 212705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 212713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 212717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 212719 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1316:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (CNOT_ZPmZ_H_UNDEF:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 212719 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 212722 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 212726 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 212731 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 212733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNOT_ZPmZ_H_UNDEF),
     /* 212736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212738 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 212741 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 212743 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 212745 */     GIR_RootConstrainSelectedInstOperands,
     /* 212746 */     // GIR_Coverage, 7687,
     /* 212746 */     GIR_EraseRootFromParent_Done,
     /* 212747 */   // Label 4198: @212747
     /* 212747 */   GIM_Try, /*On fail goto*//*Label 4199*/ GIMT_Encode4(212814), // Rule ID 7689 //
     /* 212752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 212755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnot),
     /* 212760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 212763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 212766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 212769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 212772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 212780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 212784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 212786 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1316:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (CNOT_ZPmZ_S_UNDEF:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 212786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 212789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 212793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 212798 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 212800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNOT_ZPmZ_S_UNDEF),
     /* 212803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212805 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 212808 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 212810 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 212812 */     GIR_RootConstrainSelectedInstOperands,
     /* 212813 */     // GIR_Coverage, 7689,
     /* 212813 */     GIR_EraseRootFromParent_Done,
     /* 212814 */   // Label 4199: @212814
     /* 212814 */   GIM_Try, /*On fail goto*//*Label 4200*/ GIMT_Encode4(212881), // Rule ID 7691 //
     /* 212819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 212822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnot),
     /* 212827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 212830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 212833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 212836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 212839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 212847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 212851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 212853 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1316:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (CNOT_ZPmZ_D_UNDEF:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 212853 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 212856 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 212860 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 212865 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 212867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNOT_ZPmZ_D_UNDEF),
     /* 212870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212872 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 212875 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 212877 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 212879 */     GIR_RootConstrainSelectedInstOperands,
     /* 212880 */     // GIR_Coverage, 7691,
     /* 212880 */     GIR_EraseRootFromParent_Done,
     /* 212881 */   // Label 4200: @212881
     /* 212881 */   GIM_Try, /*On fail goto*//*Label 4201*/ GIMT_Encode4(212948), // Rule ID 7697 //
     /* 212886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 212889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_not),
     /* 212894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 212897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 212900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 212903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 212906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 212914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 212918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 212920 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1602:{ *:[iPTR] }, (undef:{ *:[nxv16i8] }), nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (NOT_ZPmZ_B_UNDEF:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 212920 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 212923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 212927 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 212932 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 212934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOT_ZPmZ_B_UNDEF),
     /* 212937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212939 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 212942 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 212944 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 212946 */     GIR_RootConstrainSelectedInstOperands,
     /* 212947 */     // GIR_Coverage, 7697,
     /* 212947 */     GIR_EraseRootFromParent_Done,
     /* 212948 */   // Label 4201: @212948
     /* 212948 */   GIM_Try, /*On fail goto*//*Label 4202*/ GIMT_Encode4(213015), // Rule ID 7699 //
     /* 212953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 212956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_not),
     /* 212961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 212964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 212967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 212970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 212973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 212981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 212985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 212987 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1602:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (NOT_ZPmZ_H_UNDEF:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 212987 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 212990 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 212994 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 212999 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 213001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOT_ZPmZ_H_UNDEF),
     /* 213004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213006 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 213009 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 213011 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 213013 */     GIR_RootConstrainSelectedInstOperands,
     /* 213014 */     // GIR_Coverage, 7699,
     /* 213014 */     GIR_EraseRootFromParent_Done,
     /* 213015 */   // Label 4202: @213015
     /* 213015 */   GIM_Try, /*On fail goto*//*Label 4203*/ GIMT_Encode4(213082), // Rule ID 7701 //
     /* 213020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 213023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_not),
     /* 213028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 213031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 213034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 213037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 213040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 213052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213054 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1602:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (NOT_ZPmZ_S_UNDEF:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 213054 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 213057 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 213061 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 213066 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 213068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOT_ZPmZ_S_UNDEF),
     /* 213071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213073 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 213076 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 213078 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 213080 */     GIR_RootConstrainSelectedInstOperands,
     /* 213081 */     // GIR_Coverage, 7701,
     /* 213081 */     GIR_EraseRootFromParent_Done,
     /* 213082 */   // Label 4203: @213082
     /* 213082 */   GIM_Try, /*On fail goto*//*Label 4204*/ GIMT_Encode4(213149), // Rule ID 7703 //
     /* 213087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 213090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_not),
     /* 213095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 213098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 213101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 213104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 213107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 213119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213121 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1602:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (NOT_ZPmZ_D_UNDEF:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 213121 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 213124 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 213128 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 213133 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 213135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOT_ZPmZ_D_UNDEF),
     /* 213138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213140 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 213143 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 213145 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 213147 */     GIR_RootConstrainSelectedInstOperands,
     /* 213148 */     // GIR_Coverage, 7703,
     /* 213148 */     GIR_EraseRootFromParent_Done,
     /* 213149 */   // Label 4204: @213149
     /* 213149 */   GIM_Try, /*On fail goto*//*Label 4205*/ GIMT_Encode4(213216), // Rule ID 11411 //
     /* 213154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 213157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ursqrte),
     /* 213162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 213165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 213168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 213171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 213174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 213186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213188 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2040:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (URSQRTE_ZPmZ_S_UNDEF:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 213188 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 213191 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 213195 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 213200 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 213202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSQRTE_ZPmZ_S_UNDEF),
     /* 213205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213207 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 213210 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 213212 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 213214 */     GIR_RootConstrainSelectedInstOperands,
     /* 213215 */     // GIR_Coverage, 11411,
     /* 213215 */     GIR_EraseRootFromParent_Done,
     /* 213216 */   // Label 4205: @213216
     /* 213216 */   GIM_Try, /*On fail goto*//*Label 4206*/ GIMT_Encode4(213283), // Rule ID 11413 //
     /* 213221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 213224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqabs),
     /* 213229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 213232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 213235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 213238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 213241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 213253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213255 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1745:{ *:[iPTR] }, (undef:{ *:[nxv16i8] }), nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SQABS_ZPmZ_B_UNDEF:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 213255 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 213258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 213262 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 213267 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 213269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABS_ZPmZ_B_UNDEF),
     /* 213272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213274 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 213277 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 213279 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 213281 */     GIR_RootConstrainSelectedInstOperands,
     /* 213282 */     // GIR_Coverage, 11413,
     /* 213282 */     GIR_EraseRootFromParent_Done,
     /* 213283 */   // Label 4206: @213283
     /* 213283 */   GIM_Try, /*On fail goto*//*Label 4207*/ GIMT_Encode4(213350), // Rule ID 11415 //
     /* 213288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 213291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqabs),
     /* 213296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 213299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 213302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 213305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 213308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 213320 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213322 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1745:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SQABS_ZPmZ_H_UNDEF:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 213322 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 213325 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 213329 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 213334 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 213336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABS_ZPmZ_H_UNDEF),
     /* 213339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213341 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 213344 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 213346 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 213348 */     GIR_RootConstrainSelectedInstOperands,
     /* 213349 */     // GIR_Coverage, 11415,
     /* 213349 */     GIR_EraseRootFromParent_Done,
     /* 213350 */   // Label 4207: @213350
     /* 213350 */   GIM_Try, /*On fail goto*//*Label 4208*/ GIMT_Encode4(213417), // Rule ID 11417 //
     /* 213355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 213358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqabs),
     /* 213363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 213366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 213369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 213372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 213375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 213387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213389 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1745:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SQABS_ZPmZ_S_UNDEF:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 213389 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 213392 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 213396 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 213401 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 213403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABS_ZPmZ_S_UNDEF),
     /* 213406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213408 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 213411 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 213413 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 213415 */     GIR_RootConstrainSelectedInstOperands,
     /* 213416 */     // GIR_Coverage, 11417,
     /* 213416 */     GIR_EraseRootFromParent_Done,
     /* 213417 */   // Label 4208: @213417
     /* 213417 */   GIM_Try, /*On fail goto*//*Label 4209*/ GIMT_Encode4(213484), // Rule ID 11419 //
     /* 213422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 213425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqabs),
     /* 213430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 213433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 213436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 213439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 213442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 213454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213456 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1745:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SQABS_ZPmZ_D_UNDEF:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 213456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 213459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 213463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 213468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 213470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABS_ZPmZ_D_UNDEF),
     /* 213473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 213478 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 213480 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 213482 */     GIR_RootConstrainSelectedInstOperands,
     /* 213483 */     // GIR_Coverage, 11419,
     /* 213483 */     GIR_EraseRootFromParent_Done,
     /* 213484 */   // Label 4209: @213484
     /* 213484 */   GIM_Try, /*On fail goto*//*Label 4210*/ GIMT_Encode4(213551), // Rule ID 11425 //
     /* 213489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 213492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqneg),
     /* 213497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 213500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 213503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 213506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 213509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 213521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213523 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1805:{ *:[iPTR] }, (undef:{ *:[nxv16i8] }), nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SQNEG_ZPmZ_B_UNDEF:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 213523 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 213526 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 213530 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 213535 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 213537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEG_ZPmZ_B_UNDEF),
     /* 213540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213542 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 213545 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 213547 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 213549 */     GIR_RootConstrainSelectedInstOperands,
     /* 213550 */     // GIR_Coverage, 11425,
     /* 213550 */     GIR_EraseRootFromParent_Done,
     /* 213551 */   // Label 4210: @213551
     /* 213551 */   GIM_Try, /*On fail goto*//*Label 4211*/ GIMT_Encode4(213618), // Rule ID 11427 //
     /* 213556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 213559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqneg),
     /* 213564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 213567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 213570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 213573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 213576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 213588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213590 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1805:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SQNEG_ZPmZ_H_UNDEF:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 213590 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 213593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 213597 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 213602 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 213604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEG_ZPmZ_H_UNDEF),
     /* 213607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213609 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 213612 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 213614 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 213616 */     GIR_RootConstrainSelectedInstOperands,
     /* 213617 */     // GIR_Coverage, 11427,
     /* 213617 */     GIR_EraseRootFromParent_Done,
     /* 213618 */   // Label 4211: @213618
     /* 213618 */   GIM_Try, /*On fail goto*//*Label 4212*/ GIMT_Encode4(213685), // Rule ID 11429 //
     /* 213623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 213626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqneg),
     /* 213631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 213634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 213637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 213640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 213643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 213655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213657 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1805:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SQNEG_ZPmZ_S_UNDEF:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 213657 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 213660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 213664 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 213669 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 213671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEG_ZPmZ_S_UNDEF),
     /* 213674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213676 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 213679 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 213681 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 213683 */     GIR_RootConstrainSelectedInstOperands,
     /* 213684 */     // GIR_Coverage, 11429,
     /* 213684 */     GIR_EraseRootFromParent_Done,
     /* 213685 */   // Label 4212: @213685
     /* 213685 */   GIM_Try, /*On fail goto*//*Label 4213*/ GIMT_Encode4(213752), // Rule ID 11431 //
     /* 213690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 213693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqneg),
     /* 213698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 213701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 213704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 213707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 213710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 213722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213724 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1805:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SQNEG_ZPmZ_D_UNDEF:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 213724 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 213727 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 213731 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 213736 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 213738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEG_ZPmZ_D_UNDEF),
     /* 213741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213743 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 213746 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 213748 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 213750 */     GIR_RootConstrainSelectedInstOperands,
     /* 213751 */     // GIR_Coverage, 11431,
     /* 213751 */     GIR_EraseRootFromParent_Done,
     /* 213752 */   // Label 4213: @213752
     /* 213752 */   GIM_Try, /*On fail goto*//*Label 4214*/ GIMT_Encode4(213806), // Rule ID 30 //
     /* 213757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulInt8),
     /* 213760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smmla),
     /* 213765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 213768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 213771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 213774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 213777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 213781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 213785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 213789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 213793 */     // (intrinsic_wo_chain:{ *:[v4i32] } 676:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SMMLA:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 213793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMMLA),
     /* 213796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 213798 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 213800 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 213802 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 213804 */     GIR_RootConstrainSelectedInstOperands,
     /* 213805 */     // GIR_Coverage, 30,
     /* 213805 */     GIR_EraseRootFromParent_Done,
     /* 213806 */   // Label 4214: @213806
     /* 213806 */   GIM_Try, /*On fail goto*//*Label 4215*/ GIMT_Encode4(213860), // Rule ID 31 //
     /* 213811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulInt8),
     /* 213814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ummla),
     /* 213819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 213822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 213825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 213828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 213831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 213835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 213839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 213843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 213847 */     // (intrinsic_wo_chain:{ *:[v4i32] } 737:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UMMLA:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 213847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMMLA),
     /* 213850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 213852 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 213854 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 213856 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 213858 */     GIR_RootConstrainSelectedInstOperands,
     /* 213859 */     // GIR_Coverage, 31,
     /* 213859 */     GIR_EraseRootFromParent_Done,
     /* 213860 */   // Label 4215: @213860
     /* 213860 */   GIM_Try, /*On fail goto*//*Label 4216*/ GIMT_Encode4(213914), // Rule ID 32 //
     /* 213865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulInt8),
     /* 213868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_usmmla),
     /* 213873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 213876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 213879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 213882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 213885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 213889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 213893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 213897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 213901 */     // (intrinsic_wo_chain:{ *:[v4i32] } 753:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (USMMLA:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 213901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USMMLA),
     /* 213904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 213906 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 213908 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 213910 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 213912 */     GIR_RootConstrainSelectedInstOperands,
     /* 213913 */     // GIR_Coverage, 32,
     /* 213913 */     GIR_EraseRootFromParent_Done,
     /* 213914 */   // Label 4216: @213914
     /* 213914 */   GIM_Try, /*On fail goto*//*Label 4217*/ GIMT_Encode4(213968), // Rule ID 39 //
     /* 213919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 213922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlal),
     /* 213927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 213930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 213933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 213936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 213939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 213943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 213947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 213951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 213955 */     // (intrinsic_wo_chain:{ *:[v2f32] } 606:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMLALv4f16:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 213955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALv4f16),
     /* 213958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 213960 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 213962 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 213964 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 213966 */     GIR_RootConstrainSelectedInstOperands,
     /* 213967 */     // GIR_Coverage, 39,
     /* 213967 */     GIR_EraseRootFromParent_Done,
     /* 213968 */   // Label 4217: @213968
     /* 213968 */   GIM_Try, /*On fail goto*//*Label 4218*/ GIMT_Encode4(214022), // Rule ID 40 //
     /* 213973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 213976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlal),
     /* 213981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 213984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 213987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 213990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 213993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 213997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214009 */     // (intrinsic_wo_chain:{ *:[v4f32] } 606:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMLALv8f16:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 214009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALv8f16),
     /* 214012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214014 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 214016 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 214018 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 214020 */     GIR_RootConstrainSelectedInstOperands,
     /* 214021 */     // GIR_Coverage, 40,
     /* 214021 */     GIR_EraseRootFromParent_Done,
     /* 214022 */   // Label 4218: @214022
     /* 214022 */   GIM_Try, /*On fail goto*//*Label 4219*/ GIMT_Encode4(214076), // Rule ID 41 //
     /* 214027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 214030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlsl),
     /* 214035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 214038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 214041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 214044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 214047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 214051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 214055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 214059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 214063 */     // (intrinsic_wo_chain:{ *:[v2f32] } 608:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMLSLv4f16:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 214063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSLv4f16),
     /* 214066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214068 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 214070 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 214072 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 214074 */     GIR_RootConstrainSelectedInstOperands,
     /* 214075 */     // GIR_Coverage, 41,
     /* 214075 */     GIR_EraseRootFromParent_Done,
     /* 214076 */   // Label 4219: @214076
     /* 214076 */   GIM_Try, /*On fail goto*//*Label 4220*/ GIMT_Encode4(214130), // Rule ID 42 //
     /* 214081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 214084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlsl),
     /* 214089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 214092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 214095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 214098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 214101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214117 */     // (intrinsic_wo_chain:{ *:[v4f32] } 608:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMLSLv8f16:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 214117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSLv8f16),
     /* 214120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214122 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 214124 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 214126 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 214128 */     GIR_RootConstrainSelectedInstOperands,
     /* 214129 */     // GIR_Coverage, 42,
     /* 214129 */     GIR_EraseRootFromParent_Done,
     /* 214130 */   // Label 4220: @214130
     /* 214130 */   GIM_Try, /*On fail goto*//*Label 4221*/ GIMT_Encode4(214184), // Rule ID 43 //
     /* 214135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 214138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlal2),
     /* 214143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 214146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 214149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 214152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 214155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 214159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 214163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 214167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 214171 */     // (intrinsic_wo_chain:{ *:[v2f32] } 607:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMLAL2v4f16:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 214171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAL2v4f16),
     /* 214174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214176 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 214178 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 214180 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 214182 */     GIR_RootConstrainSelectedInstOperands,
     /* 214183 */     // GIR_Coverage, 43,
     /* 214183 */     GIR_EraseRootFromParent_Done,
     /* 214184 */   // Label 4221: @214184
     /* 214184 */   GIM_Try, /*On fail goto*//*Label 4222*/ GIMT_Encode4(214238), // Rule ID 44 //
     /* 214189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 214192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlal2),
     /* 214197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 214200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 214203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 214206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 214209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214225 */     // (intrinsic_wo_chain:{ *:[v4f32] } 607:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMLAL2v8f16:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 214225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAL2v8f16),
     /* 214228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214230 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 214232 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 214234 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 214236 */     GIR_RootConstrainSelectedInstOperands,
     /* 214237 */     // GIR_Coverage, 44,
     /* 214237 */     GIR_EraseRootFromParent_Done,
     /* 214238 */   // Label 4222: @214238
     /* 214238 */   GIM_Try, /*On fail goto*//*Label 4223*/ GIMT_Encode4(214292), // Rule ID 45 //
     /* 214243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 214246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlsl2),
     /* 214251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 214254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 214257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 214260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 214263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 214267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 214271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 214275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 214279 */     // (intrinsic_wo_chain:{ *:[v2f32] } 609:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMLSL2v4f16:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 214279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSL2v4f16),
     /* 214282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214284 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 214286 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 214288 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 214290 */     GIR_RootConstrainSelectedInstOperands,
     /* 214291 */     // GIR_Coverage, 45,
     /* 214291 */     GIR_EraseRootFromParent_Done,
     /* 214292 */   // Label 4223: @214292
     /* 214292 */   GIM_Try, /*On fail goto*//*Label 4224*/ GIMT_Encode4(214346), // Rule ID 46 //
     /* 214297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 214300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlsl2),
     /* 214305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 214308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 214311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 214314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 214317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214333 */     // (intrinsic_wo_chain:{ *:[v4f32] } 609:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMLSL2v8f16:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 214333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSL2v8f16),
     /* 214336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214338 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 214340 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 214342 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 214344 */     GIR_RootConstrainSelectedInstOperands,
     /* 214345 */     // GIR_Coverage, 46,
     /* 214345 */     GIR_EraseRootFromParent_Done,
     /* 214346 */   // Label 4224: @214346
     /* 214346 */   GIM_Try, /*On fail goto*//*Label 4225*/ GIMT_Encode4(214400), // Rule ID 1587 //
     /* 214351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 214354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 214359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 214362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 214365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 214368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 214371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 214375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 214379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 214383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 214387 */     // (intrinsic_wo_chain:{ *:[v4i16] } 686:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SQRDMLAHv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 214387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv4i16),
     /* 214390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214392 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 214394 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 214396 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 214398 */     GIR_RootConstrainSelectedInstOperands,
     /* 214399 */     // GIR_Coverage, 1587,
     /* 214399 */     GIR_EraseRootFromParent_Done,
     /* 214400 */   // Label 4225: @214400
     /* 214400 */   GIM_Try, /*On fail goto*//*Label 4226*/ GIMT_Encode4(214454), // Rule ID 1588 //
     /* 214405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 214408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 214413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 214416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 214419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 214422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 214425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214441 */     // (intrinsic_wo_chain:{ *:[v8i16] } 686:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SQRDMLAHv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 214441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv8i16),
     /* 214444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214446 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 214448 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 214450 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 214452 */     GIR_RootConstrainSelectedInstOperands,
     /* 214453 */     // GIR_Coverage, 1588,
     /* 214453 */     GIR_EraseRootFromParent_Done,
     /* 214454 */   // Label 4226: @214454
     /* 214454 */   GIM_Try, /*On fail goto*//*Label 4227*/ GIMT_Encode4(214508), // Rule ID 1589 //
     /* 214459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 214462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 214467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 214470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 214473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 214476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s32,
     /* 214479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 214483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 214487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 214491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 214495 */     // (intrinsic_wo_chain:{ *:[v2i32] } 686:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SQRDMLAHv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 214495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv2i32),
     /* 214498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214500 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 214502 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 214504 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 214506 */     GIR_RootConstrainSelectedInstOperands,
     /* 214507 */     // GIR_Coverage, 1589,
     /* 214507 */     GIR_EraseRootFromParent_Done,
     /* 214508 */   // Label 4227: @214508
     /* 214508 */   GIM_Try, /*On fail goto*//*Label 4228*/ GIMT_Encode4(214562), // Rule ID 1590 //
     /* 214513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 214516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 214521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 214524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 214527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 214530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 214533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214549 */     // (intrinsic_wo_chain:{ *:[v4i32] } 686:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SQRDMLAHv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 214549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv4i32),
     /* 214552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214554 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 214556 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 214558 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 214560 */     GIR_RootConstrainSelectedInstOperands,
     /* 214561 */     // GIR_Coverage, 1590,
     /* 214561 */     GIR_EraseRootFromParent_Done,
     /* 214562 */   // Label 4228: @214562
     /* 214562 */   GIM_Try, /*On fail goto*//*Label 4229*/ GIMT_Encode4(214616), // Rule ID 1591 //
     /* 214567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 214570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 214575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 214578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 214581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 214584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 214587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 214591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 214595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 214599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 214603 */     // (intrinsic_wo_chain:{ *:[v4i16] } 687:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SQRDMLSHv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 214603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv4i16),
     /* 214606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214608 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 214610 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 214612 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 214614 */     GIR_RootConstrainSelectedInstOperands,
     /* 214615 */     // GIR_Coverage, 1591,
     /* 214615 */     GIR_EraseRootFromParent_Done,
     /* 214616 */   // Label 4229: @214616
     /* 214616 */   GIM_Try, /*On fail goto*//*Label 4230*/ GIMT_Encode4(214670), // Rule ID 1592 //
     /* 214621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 214624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 214629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 214632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 214635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 214638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 214641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214657 */     // (intrinsic_wo_chain:{ *:[v8i16] } 687:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SQRDMLSHv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 214657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv8i16),
     /* 214660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214662 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 214664 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 214666 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 214668 */     GIR_RootConstrainSelectedInstOperands,
     /* 214669 */     // GIR_Coverage, 1592,
     /* 214669 */     GIR_EraseRootFromParent_Done,
     /* 214670 */   // Label 4230: @214670
     /* 214670 */   GIM_Try, /*On fail goto*//*Label 4231*/ GIMT_Encode4(214724), // Rule ID 1593 //
     /* 214675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 214678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 214683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 214686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 214689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 214692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s32,
     /* 214695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 214699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 214703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 214707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 214711 */     // (intrinsic_wo_chain:{ *:[v2i32] } 687:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SQRDMLSHv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 214711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv2i32),
     /* 214714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214716 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 214718 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 214720 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 214722 */     GIR_RootConstrainSelectedInstOperands,
     /* 214723 */     // GIR_Coverage, 1593,
     /* 214723 */     GIR_EraseRootFromParent_Done,
     /* 214724 */   // Label 4231: @214724
     /* 214724 */   GIM_Try, /*On fail goto*//*Label 4232*/ GIMT_Encode4(214778), // Rule ID 1594 //
     /* 214729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 214732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 214737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 214740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 214743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 214746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 214749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214765 */     // (intrinsic_wo_chain:{ *:[v4i32] } 687:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SQRDMLSHv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 214765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv4i32),
     /* 214768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214770 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 214772 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 214774 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 214776 */     GIR_RootConstrainSelectedInstOperands,
     /* 214777 */     // GIR_Coverage, 1594,
     /* 214777 */     GIR_EraseRootFromParent_Done,
     /* 214778 */   // Label 4232: @214778
     /* 214778 */   GIM_Try, /*On fail goto*//*Label 4233*/ GIMT_Encode4(214832), // Rule ID 2307 //
     /* 214783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2),
     /* 214786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha1c),
     /* 214791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 214794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 214797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 214800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 214803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 214815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214819 */     // (intrinsic_wo_chain:{ *:[v4i32] } 520:{ *:[iPTR] }, FPR128:{ *:[v4i32] }:$Rd, FPR32:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SHA1Crrr:{ *:[v4i32] } FPR128:{ *:[v4i32] }:$Rd, FPR32:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 214819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA1Crrr),
     /* 214822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214824 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 214826 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 214828 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 214830 */     GIR_RootConstrainSelectedInstOperands,
     /* 214831 */     // GIR_Coverage, 2307,
     /* 214831 */     GIR_EraseRootFromParent_Done,
     /* 214832 */   // Label 4233: @214832
     /* 214832 */   GIM_Try, /*On fail goto*//*Label 4234*/ GIMT_Encode4(214886), // Rule ID 2308 //
     /* 214837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2),
     /* 214840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha1p),
     /* 214845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 214848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 214851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 214854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 214857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 214869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214873 */     // (intrinsic_wo_chain:{ *:[v4i32] } 523:{ *:[iPTR] }, FPR128:{ *:[v4i32] }:$Rd, FPR32:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SHA1Prrr:{ *:[v4i32] } FPR128:{ *:[v4i32] }:$Rd, FPR32:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 214873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA1Prrr),
     /* 214876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214878 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 214880 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 214882 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 214884 */     GIR_RootConstrainSelectedInstOperands,
     /* 214885 */     // GIR_Coverage, 2308,
     /* 214885 */     GIR_EraseRootFromParent_Done,
     /* 214886 */   // Label 4234: @214886
     /* 214886 */   GIM_Try, /*On fail goto*//*Label 4235*/ GIMT_Encode4(214940), // Rule ID 2309 //
     /* 214891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2),
     /* 214894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha1m),
     /* 214899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 214902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 214905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 214908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 214911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 214923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214927 */     // (intrinsic_wo_chain:{ *:[v4i32] } 522:{ *:[iPTR] }, FPR128:{ *:[v4i32] }:$Rd, FPR32:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SHA1Mrrr:{ *:[v4i32] } FPR128:{ *:[v4i32] }:$Rd, FPR32:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 214927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA1Mrrr),
     /* 214930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214932 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 214934 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 214936 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 214938 */     GIR_RootConstrainSelectedInstOperands,
     /* 214939 */     // GIR_Coverage, 2309,
     /* 214939 */     GIR_EraseRootFromParent_Done,
     /* 214940 */   // Label 4235: @214940
     /* 214940 */   GIM_Try, /*On fail goto*//*Label 4236*/ GIMT_Encode4(214994), // Rule ID 2310 //
     /* 214945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2),
     /* 214948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha1su0),
     /* 214953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 214956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 214959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 214962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 214965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214981 */     // (intrinsic_wo_chain:{ *:[v4i32] } 524:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SHA1SU0rrr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 214981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA1SU0rrr),
     /* 214984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214986 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 214988 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 214990 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 214992 */     GIR_RootConstrainSelectedInstOperands,
     /* 214993 */     // GIR_Coverage, 2310,
     /* 214993 */     GIR_EraseRootFromParent_Done,
     /* 214994 */   // Label 4236: @214994
     /* 214994 */   GIM_Try, /*On fail goto*//*Label 4237*/ GIMT_Encode4(215048), // Rule ID 2311 //
     /* 214999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2),
     /* 215002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha256h),
     /* 215007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 215010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 215013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 215016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 215019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215035 */     // (intrinsic_wo_chain:{ *:[v4i32] } 526:{ *:[iPTR] }, FPR128:{ *:[v4i32] }:$Rd, FPR128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SHA256Hrrr:{ *:[v4i32] } FPR128:{ *:[v4i32] }:$Rd, FPR128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 215035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA256Hrrr),
     /* 215038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215040 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 215042 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 215044 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 215046 */     GIR_RootConstrainSelectedInstOperands,
     /* 215047 */     // GIR_Coverage, 2311,
     /* 215047 */     GIR_EraseRootFromParent_Done,
     /* 215048 */   // Label 4237: @215048
     /* 215048 */   GIM_Try, /*On fail goto*//*Label 4238*/ GIMT_Encode4(215102), // Rule ID 2312 //
     /* 215053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2),
     /* 215056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha256h2),
     /* 215061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 215064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 215067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 215070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 215073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215089 */     // (intrinsic_wo_chain:{ *:[v4i32] } 527:{ *:[iPTR] }, FPR128:{ *:[v4i32] }:$Rd, FPR128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SHA256H2rrr:{ *:[v4i32] } FPR128:{ *:[v4i32] }:$Rd, FPR128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 215089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA256H2rrr),
     /* 215092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215094 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 215096 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 215098 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 215100 */     GIR_RootConstrainSelectedInstOperands,
     /* 215101 */     // GIR_Coverage, 2312,
     /* 215101 */     GIR_EraseRootFromParent_Done,
     /* 215102 */   // Label 4238: @215102
     /* 215102 */   GIM_Try, /*On fail goto*//*Label 4239*/ GIMT_Encode4(215156), // Rule ID 2313 //
     /* 215107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2),
     /* 215110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha256su1),
     /* 215115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 215118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 215121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 215124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 215127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215143 */     // (intrinsic_wo_chain:{ *:[v4i32] } 529:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SHA256SU1rrr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 215143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA256SU1rrr),
     /* 215146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215148 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 215150 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 215152 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 215154 */     GIR_RootConstrainSelectedInstOperands,
     /* 215155 */     // GIR_Coverage, 2313,
     /* 215155 */     GIR_EraseRootFromParent_Done,
     /* 215156 */   // Label 4239: @215156
     /* 215156 */   GIM_Try, /*On fail goto*//*Label 4240*/ GIMT_Encode4(215213), // Rule ID 3640 //
     /* 215161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 215164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_psel),
     /* 215169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 215172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 215175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 215178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 215181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 215185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 215189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 215193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::MatrixIndexGPR32_12_15RegClassID),
     /* 215197 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1637:{ *:[iPTR] }, PPRAny:{ *:[nxv16i1] }:$Pn, PPR8:{ *:[nxv16i1] }:$Pm, MatrixIndexGPR32Op12_15:{ *:[i32] }:$idx)  =>  (PSEL_PPPRI_B:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv16i1] }:$Pm, ?:{ *:[i32] }:$idx, 0:{ *:[i32] })
     /* 215197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PSEL_PPPRI_B),
     /* 215200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 215202 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 215204 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 215206 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 215208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 215211 */     GIR_RootConstrainSelectedInstOperands,
     /* 215212 */     // GIR_Coverage, 3640,
     /* 215212 */     GIR_EraseRootFromParent_Done,
     /* 215213 */   // Label 4240: @215213
     /* 215213 */   GIM_Try, /*On fail goto*//*Label 4241*/ GIMT_Encode4(215270), // Rule ID 3641 //
     /* 215218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 215221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_psel),
     /* 215226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 215229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 215232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 215235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 215238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 215242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 215246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 215250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::MatrixIndexGPR32_12_15RegClassID),
     /* 215254 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1637:{ *:[iPTR] }, PPRAny:{ *:[nxv16i1] }:$Pn, PPR16:{ *:[nxv8i1] }:$Pm, MatrixIndexGPR32Op12_15:{ *:[i32] }:$idx)  =>  (PSEL_PPPRI_H:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[i32] }:$idx, 0:{ *:[i32] })
     /* 215254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PSEL_PPPRI_H),
     /* 215257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 215259 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 215261 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 215263 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 215265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 215268 */     GIR_RootConstrainSelectedInstOperands,
     /* 215269 */     // GIR_Coverage, 3641,
     /* 215269 */     GIR_EraseRootFromParent_Done,
     /* 215270 */   // Label 4241: @215270
     /* 215270 */   GIM_Try, /*On fail goto*//*Label 4242*/ GIMT_Encode4(215327), // Rule ID 3642 //
     /* 215275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 215278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_psel),
     /* 215283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 215286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 215289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 215292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 215295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 215299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 215303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 215307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::MatrixIndexGPR32_12_15RegClassID),
     /* 215311 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1637:{ *:[iPTR] }, PPRAny:{ *:[nxv16i1] }:$Pn, PPR32:{ *:[nxv4i1] }:$Pm, MatrixIndexGPR32Op12_15:{ *:[i32] }:$idx)  =>  (PSEL_PPPRI_S:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv4i1] }:$Pm, ?:{ *:[i32] }:$idx, 0:{ *:[i32] })
     /* 215311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PSEL_PPPRI_S),
     /* 215314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 215316 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 215318 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 215320 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 215322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 215325 */     GIR_RootConstrainSelectedInstOperands,
     /* 215326 */     // GIR_Coverage, 3642,
     /* 215326 */     GIR_EraseRootFromParent_Done,
     /* 215327 */   // Label 4242: @215327
     /* 215327 */   GIM_Try, /*On fail goto*//*Label 4243*/ GIMT_Encode4(215384), // Rule ID 3643 //
     /* 215332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 215335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_psel),
     /* 215340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 215343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 215346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 215349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 215352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 215356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 215360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 215364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::MatrixIndexGPR32_12_15RegClassID),
     /* 215368 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1637:{ *:[iPTR] }, PPRAny:{ *:[nxv16i1] }:$Pn, PPR64:{ *:[nxv2i1] }:$Pm, MatrixIndexGPR32Op12_15:{ *:[i32] }:$idx)  =>  (PSEL_PPPRI_D:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv2i1] }:$Pm, ?:{ *:[i32] }:$idx, 0:{ *:[i32] })
     /* 215368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PSEL_PPPRI_D),
     /* 215371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 215373 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 215375 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 215377 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 215379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 215382 */     GIR_RootConstrainSelectedInstOperands,
     /* 215383 */     // GIR_Coverage, 3643,
     /* 215383 */     GIR_EraseRootFromParent_Done,
     /* 215384 */   // Label 4243: @215384
     /* 215384 */   GIM_Try, /*On fail goto*//*Label 4244*/ GIMT_Encode4(215438), // Rule ID 3806 //
     /* 215389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 215392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha512h),
     /* 215397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 215400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 215403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 215406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 215409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215425 */     // (intrinsic_wo_chain:{ *:[v2i64] } 530:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)  =>  (SHA512H:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)
     /* 215425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA512H),
     /* 215428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vdst]
     /* 215430 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 215432 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 215434 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 215436 */     GIR_RootConstrainSelectedInstOperands,
     /* 215437 */     // GIR_Coverage, 3806,
     /* 215437 */     GIR_EraseRootFromParent_Done,
     /* 215438 */   // Label 4244: @215438
     /* 215438 */   GIM_Try, /*On fail goto*//*Label 4245*/ GIMT_Encode4(215492), // Rule ID 3807 //
     /* 215443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 215446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha512h2),
     /* 215451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 215454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 215457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 215460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 215463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215479 */     // (intrinsic_wo_chain:{ *:[v2i64] } 531:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)  =>  (SHA512H2:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)
     /* 215479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA512H2),
     /* 215482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vdst]
     /* 215484 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 215486 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 215488 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 215490 */     GIR_RootConstrainSelectedInstOperands,
     /* 215491 */     // GIR_Coverage, 3807,
     /* 215491 */     GIR_EraseRootFromParent_Done,
     /* 215492 */   // Label 4245: @215492
     /* 215492 */   GIM_Try, /*On fail goto*//*Label 4246*/ GIMT_Encode4(215546), // Rule ID 3808 //
     /* 215497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 215500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha512su1),
     /* 215505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 215508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 215511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 215514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 215517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215533 */     // (intrinsic_wo_chain:{ *:[v2i64] } 533:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)  =>  (SHA512SU1:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)
     /* 215533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA512SU1),
     /* 215536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vdst]
     /* 215538 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 215540 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 215542 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 215544 */     GIR_RootConstrainSelectedInstOperands,
     /* 215545 */     // GIR_Coverage, 3808,
     /* 215545 */     GIR_EraseRootFromParent_Done,
     /* 215546 */   // Label 4246: @215546
     /* 215546 */   GIM_Try, /*On fail goto*//*Label 4247*/ GIMT_Encode4(215600), // Rule ID 3809 //
     /* 215551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 215554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_eor3u),
     /* 215559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 215562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 215565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 215568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 215571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215587 */     // (intrinsic_wo_chain:{ *:[v16i8] } 518:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Vd, V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm)  =>  (EOR3:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vd, V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm)
     /* 215587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /* 215590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 215592 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 215594 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 215596 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 215598 */     GIR_RootConstrainSelectedInstOperands,
     /* 215599 */     // GIR_Coverage, 3809,
     /* 215599 */     GIR_EraseRootFromParent_Done,
     /* 215600 */   // Label 4247: @215600
     /* 215600 */   GIM_Try, /*On fail goto*//*Label 4248*/ GIMT_Encode4(215654), // Rule ID 3810 //
     /* 215605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 215608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_eor3u),
     /* 215613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 215616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 215619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 215622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 215625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215641 */     // (intrinsic_wo_chain:{ *:[v8i16] } 518:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Vd, V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm)  =>  (EOR3:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vd, V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm)
     /* 215641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /* 215644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 215646 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 215648 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 215650 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 215652 */     GIR_RootConstrainSelectedInstOperands,
     /* 215653 */     // GIR_Coverage, 3810,
     /* 215653 */     GIR_EraseRootFromParent_Done,
     /* 215654 */   // Label 4248: @215654
     /* 215654 */   GIM_Try, /*On fail goto*//*Label 4249*/ GIMT_Encode4(215708), // Rule ID 3811 //
     /* 215659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 215662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_eor3u),
     /* 215667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 215670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 215673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 215676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 215679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215695 */     // (intrinsic_wo_chain:{ *:[v4i32] } 518:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)  =>  (EOR3:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)
     /* 215695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /* 215698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 215700 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 215702 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 215704 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 215706 */     GIR_RootConstrainSelectedInstOperands,
     /* 215707 */     // GIR_Coverage, 3811,
     /* 215707 */     GIR_EraseRootFromParent_Done,
     /* 215708 */   // Label 4249: @215708
     /* 215708 */   GIM_Try, /*On fail goto*//*Label 4250*/ GIMT_Encode4(215762), // Rule ID 3812 //
     /* 215713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 215716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_eor3u),
     /* 215721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 215724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 215727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 215730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 215733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215749 */     // (intrinsic_wo_chain:{ *:[v2i64] } 518:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)  =>  (EOR3:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)
     /* 215749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /* 215752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 215754 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 215756 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 215758 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 215760 */     GIR_RootConstrainSelectedInstOperands,
     /* 215761 */     // GIR_Coverage, 3812,
     /* 215761 */     GIR_EraseRootFromParent_Done,
     /* 215762 */   // Label 4250: @215762
     /* 215762 */   GIM_Try, /*On fail goto*//*Label 4251*/ GIMT_Encode4(215816), // Rule ID 3821 //
     /* 215767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 215770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_bcaxu),
     /* 215775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 215778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 215781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 215784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 215787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215803 */     // (intrinsic_wo_chain:{ *:[v16i8] } 516:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Vd, V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm)  =>  (BCAX:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vd, V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm)
     /* 215803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /* 215806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 215808 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 215810 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 215812 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 215814 */     GIR_RootConstrainSelectedInstOperands,
     /* 215815 */     // GIR_Coverage, 3821,
     /* 215815 */     GIR_EraseRootFromParent_Done,
     /* 215816 */   // Label 4251: @215816
     /* 215816 */   GIM_Try, /*On fail goto*//*Label 4252*/ GIMT_Encode4(215870), // Rule ID 3822 //
     /* 215821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 215824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_bcaxu),
     /* 215829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 215832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 215835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 215838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 215841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215857 */     // (intrinsic_wo_chain:{ *:[v8i16] } 516:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Vd, V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm)  =>  (BCAX:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vd, V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm)
     /* 215857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /* 215860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 215862 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 215864 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 215866 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 215868 */     GIR_RootConstrainSelectedInstOperands,
     /* 215869 */     // GIR_Coverage, 3822,
     /* 215869 */     GIR_EraseRootFromParent_Done,
     /* 215870 */   // Label 4252: @215870
     /* 215870 */   GIM_Try, /*On fail goto*//*Label 4253*/ GIMT_Encode4(215924), // Rule ID 3823 //
     /* 215875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 215878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_bcaxu),
     /* 215883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 215886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 215889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 215892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 215895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215911 */     // (intrinsic_wo_chain:{ *:[v4i32] } 516:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)  =>  (BCAX:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)
     /* 215911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /* 215914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 215916 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 215918 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 215920 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 215922 */     GIR_RootConstrainSelectedInstOperands,
     /* 215923 */     // GIR_Coverage, 3823,
     /* 215923 */     GIR_EraseRootFromParent_Done,
     /* 215924 */   // Label 4253: @215924
     /* 215924 */   GIM_Try, /*On fail goto*//*Label 4254*/ GIMT_Encode4(215978), // Rule ID 3824 //
     /* 215929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 215932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_bcaxu),
     /* 215937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 215940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 215943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 215946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 215949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215965 */     // (intrinsic_wo_chain:{ *:[v2i64] } 516:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)  =>  (BCAX:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)
     /* 215965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /* 215968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 215970 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 215972 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 215974 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 215976 */     GIR_RootConstrainSelectedInstOperands,
     /* 215977 */     // GIR_Coverage, 3824,
     /* 215977 */     GIR_EraseRootFromParent_Done,
     /* 215978 */   // Label 4254: @215978
     /* 215978 */   GIM_Try, /*On fail goto*//*Label 4255*/ GIMT_Encode4(216032), // Rule ID 3825 //
     /* 215983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 215986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_eor3s),
     /* 215991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 215994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 215997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 216000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 216003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216019 */     // (intrinsic_wo_chain:{ *:[v16i8] } 517:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Vd, V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm)  =>  (EOR3:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vd, V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm)
     /* 216019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /* 216022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 216024 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 216026 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 216028 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 216030 */     GIR_RootConstrainSelectedInstOperands,
     /* 216031 */     // GIR_Coverage, 3825,
     /* 216031 */     GIR_EraseRootFromParent_Done,
     /* 216032 */   // Label 4255: @216032
     /* 216032 */   GIM_Try, /*On fail goto*//*Label 4256*/ GIMT_Encode4(216086), // Rule ID 3826 //
     /* 216037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 216040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_eor3s),
     /* 216045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 216048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 216051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 216054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 216057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216073 */     // (intrinsic_wo_chain:{ *:[v8i16] } 517:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Vd, V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm)  =>  (EOR3:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vd, V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm)
     /* 216073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /* 216076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 216078 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 216080 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 216082 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 216084 */     GIR_RootConstrainSelectedInstOperands,
     /* 216085 */     // GIR_Coverage, 3826,
     /* 216085 */     GIR_EraseRootFromParent_Done,
     /* 216086 */   // Label 4256: @216086
     /* 216086 */   GIM_Try, /*On fail goto*//*Label 4257*/ GIMT_Encode4(216140), // Rule ID 3827 //
     /* 216091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 216094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_eor3s),
     /* 216099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 216102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 216105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 216108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 216111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216127 */     // (intrinsic_wo_chain:{ *:[v4i32] } 517:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)  =>  (EOR3:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)
     /* 216127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /* 216130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 216132 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 216134 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 216136 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 216138 */     GIR_RootConstrainSelectedInstOperands,
     /* 216139 */     // GIR_Coverage, 3827,
     /* 216139 */     GIR_EraseRootFromParent_Done,
     /* 216140 */   // Label 4257: @216140
     /* 216140 */   GIM_Try, /*On fail goto*//*Label 4258*/ GIMT_Encode4(216194), // Rule ID 3828 //
     /* 216145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 216148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_eor3s),
     /* 216153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 216156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 216159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 216162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 216165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216181 */     // (intrinsic_wo_chain:{ *:[v2i64] } 517:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)  =>  (EOR3:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)
     /* 216181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /* 216184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 216186 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 216188 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 216190 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 216192 */     GIR_RootConstrainSelectedInstOperands,
     /* 216193 */     // GIR_Coverage, 3828,
     /* 216193 */     GIR_EraseRootFromParent_Done,
     /* 216194 */   // Label 4258: @216194
     /* 216194 */   GIM_Try, /*On fail goto*//*Label 4259*/ GIMT_Encode4(216248), // Rule ID 3829 //
     /* 216199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 216202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_bcaxs),
     /* 216207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 216210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 216213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 216216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 216219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216235 */     // (intrinsic_wo_chain:{ *:[v16i8] } 515:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Vd, V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm)  =>  (BCAX:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vd, V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm)
     /* 216235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /* 216238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 216240 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 216242 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 216244 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 216246 */     GIR_RootConstrainSelectedInstOperands,
     /* 216247 */     // GIR_Coverage, 3829,
     /* 216247 */     GIR_EraseRootFromParent_Done,
     /* 216248 */   // Label 4259: @216248
     /* 216248 */   GIM_Try, /*On fail goto*//*Label 4260*/ GIMT_Encode4(216302), // Rule ID 3830 //
     /* 216253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 216256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_bcaxs),
     /* 216261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 216264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 216267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 216270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 216273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216289 */     // (intrinsic_wo_chain:{ *:[v8i16] } 515:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Vd, V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm)  =>  (BCAX:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vd, V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm)
     /* 216289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /* 216292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 216294 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 216296 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 216298 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 216300 */     GIR_RootConstrainSelectedInstOperands,
     /* 216301 */     // GIR_Coverage, 3830,
     /* 216301 */     GIR_EraseRootFromParent_Done,
     /* 216302 */   // Label 4260: @216302
     /* 216302 */   GIM_Try, /*On fail goto*//*Label 4261*/ GIMT_Encode4(216356), // Rule ID 3831 //
     /* 216307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 216310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_bcaxs),
     /* 216315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 216318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 216321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 216324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 216327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216343 */     // (intrinsic_wo_chain:{ *:[v4i32] } 515:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)  =>  (BCAX:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)
     /* 216343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /* 216346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 216348 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 216350 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 216352 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 216354 */     GIR_RootConstrainSelectedInstOperands,
     /* 216355 */     // GIR_Coverage, 3831,
     /* 216355 */     GIR_EraseRootFromParent_Done,
     /* 216356 */   // Label 4261: @216356
     /* 216356 */   GIM_Try, /*On fail goto*//*Label 4262*/ GIMT_Encode4(216410), // Rule ID 3832 //
     /* 216361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 216364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_bcaxs),
     /* 216369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 216372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 216375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 216378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 216381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216397 */     // (intrinsic_wo_chain:{ *:[v2i64] } 515:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)  =>  (BCAX:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)
     /* 216397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /* 216400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 216402 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 216404 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 216406 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 216408 */     GIR_RootConstrainSelectedInstOperands,
     /* 216409 */     // GIR_Coverage, 3832,
     /* 216409 */     GIR_EraseRootFromParent_Done,
     /* 216410 */   // Label 4262: @216410
     /* 216410 */   GIM_Try, /*On fail goto*//*Label 4263*/ GIMT_Encode4(216464), // Rule ID 3836 //
     /* 216415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /* 216418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sm3ss1),
     /* 216423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 216426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 216429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 216432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 216435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216451 */     // (intrinsic_wo_chain:{ *:[v4i32] } 536:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, V128:{ *:[v4i32] }:$Va)  =>  (SM3SS1:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, V128:{ *:[v4i32] }:$Va)
     /* 216451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SM3SS1),
     /* 216454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 216456 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /* 216458 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /* 216460 */     GIR_RootToRootCopy, /*OpIdx*/4, // Va
     /* 216462 */     GIR_RootConstrainSelectedInstOperands,
     /* 216463 */     // GIR_Coverage, 3836,
     /* 216463 */     GIR_EraseRootFromParent_Done,
     /* 216464 */   // Label 4263: @216464
     /* 216464 */   GIM_Try, /*On fail goto*//*Label 4264*/ GIMT_Encode4(216518), // Rule ID 3837 //
     /* 216469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /* 216472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sm3partw1),
     /* 216477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 216480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 216483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 216486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 216489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216505 */     // (intrinsic_wo_chain:{ *:[v4i32] } 534:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)  =>  (SM3PARTW1:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)
     /* 216505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SM3PARTW1),
     /* 216508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vdst]
     /* 216510 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 216512 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 216514 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 216516 */     GIR_RootConstrainSelectedInstOperands,
     /* 216517 */     // GIR_Coverage, 3837,
     /* 216517 */     GIR_EraseRootFromParent_Done,
     /* 216518 */   // Label 4264: @216518
     /* 216518 */   GIM_Try, /*On fail goto*//*Label 4265*/ GIMT_Encode4(216572), // Rule ID 3838 //
     /* 216523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /* 216526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sm3partw2),
     /* 216531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 216534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 216537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 216540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 216543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216559 */     // (intrinsic_wo_chain:{ *:[v4i32] } 535:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)  =>  (SM3PARTW2:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)
     /* 216559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SM3PARTW2),
     /* 216562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vdst]
     /* 216564 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 216566 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 216568 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 216570 */     GIR_RootConstrainSelectedInstOperands,
     /* 216571 */     // GIR_Coverage, 3838,
     /* 216571 */     GIR_EraseRootFromParent_Done,
     /* 216572 */   // Label 4265: @216572
     /* 216572 */   GIM_Try, /*On fail goto*//*Label 4266*/ GIMT_Encode4(216629), // Rule ID 3855 //
     /* 216577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 216580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot0),
     /* 216585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 216588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 216591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 216594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 216597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 216601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 216605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 216609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 216613 */     // (intrinsic_wo_chain:{ *:[v4f16] } 757:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FCMLAv4f16:{ *:[v4f16] } ?:{ *:[v4f16] }:$Rd, ?:{ *:[v4f16] }:$Rn, ?:{ *:[v4f16] }:$Rm, 0:{ *:[i32] })
     /* 216613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f16),
     /* 216616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 216618 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 216620 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 216622 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 216624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 216627 */     GIR_RootConstrainSelectedInstOperands,
     /* 216628 */     // GIR_Coverage, 3855,
     /* 216628 */     GIR_EraseRootFromParent_Done,
     /* 216629 */   // Label 4266: @216629
     /* 216629 */   GIM_Try, /*On fail goto*//*Label 4267*/ GIMT_Encode4(216686), // Rule ID 3856 //
     /* 216634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 216637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot90),
     /* 216642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 216645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 216648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 216651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 216654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 216658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 216662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 216666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 216670 */     // (intrinsic_wo_chain:{ *:[v4f16] } 760:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FCMLAv4f16:{ *:[v4f16] } ?:{ *:[v4f16] }:$Rd, ?:{ *:[v4f16] }:$Rn, ?:{ *:[v4f16] }:$Rm, 1:{ *:[i32] })
     /* 216670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f16),
     /* 216673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 216675 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 216677 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 216679 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 216681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 216684 */     GIR_RootConstrainSelectedInstOperands,
     /* 216685 */     // GIR_Coverage, 3856,
     /* 216685 */     GIR_EraseRootFromParent_Done,
     /* 216686 */   // Label 4267: @216686
     /* 216686 */   GIM_Try, /*On fail goto*//*Label 4268*/ GIMT_Encode4(216743), // Rule ID 3857 //
     /* 216691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 216694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot180),
     /* 216699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 216702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 216705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 216708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 216711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 216715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 216719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 216723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 216727 */     // (intrinsic_wo_chain:{ *:[v4f16] } 758:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FCMLAv4f16:{ *:[v4f16] } ?:{ *:[v4f16] }:$Rd, ?:{ *:[v4f16] }:$Rn, ?:{ *:[v4f16] }:$Rm, 2:{ *:[i32] })
     /* 216727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f16),
     /* 216730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 216732 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 216734 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 216736 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 216738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 216741 */     GIR_RootConstrainSelectedInstOperands,
     /* 216742 */     // GIR_Coverage, 3857,
     /* 216742 */     GIR_EraseRootFromParent_Done,
     /* 216743 */   // Label 4268: @216743
     /* 216743 */   GIM_Try, /*On fail goto*//*Label 4269*/ GIMT_Encode4(216800), // Rule ID 3858 //
     /* 216748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 216751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot270),
     /* 216756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 216759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 216762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 216765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 216768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 216772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 216776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 216780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 216784 */     // (intrinsic_wo_chain:{ *:[v4f16] } 759:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FCMLAv4f16:{ *:[v4f16] } ?:{ *:[v4f16] }:$Rd, ?:{ *:[v4f16] }:$Rn, ?:{ *:[v4f16] }:$Rm, 3:{ *:[i32] })
     /* 216784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f16),
     /* 216787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 216789 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 216791 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 216793 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 216795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 216798 */     GIR_RootConstrainSelectedInstOperands,
     /* 216799 */     // GIR_Coverage, 3858,
     /* 216799 */     GIR_EraseRootFromParent_Done,
     /* 216800 */   // Label 4269: @216800
     /* 216800 */   GIM_Try, /*On fail goto*//*Label 4270*/ GIMT_Encode4(216857), // Rule ID 3863 //
     /* 216805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 216808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot0),
     /* 216813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 216816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 216819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 216822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 216825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216841 */     // (intrinsic_wo_chain:{ *:[v8f16] } 757:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCMLAv8f16:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rd, ?:{ *:[v8f16] }:$Rn, ?:{ *:[v8f16] }:$Rm, 0:{ *:[i32] })
     /* 216841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv8f16),
     /* 216844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 216846 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 216848 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 216850 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 216852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 216855 */     GIR_RootConstrainSelectedInstOperands,
     /* 216856 */     // GIR_Coverage, 3863,
     /* 216856 */     GIR_EraseRootFromParent_Done,
     /* 216857 */   // Label 4270: @216857
     /* 216857 */   GIM_Try, /*On fail goto*//*Label 4271*/ GIMT_Encode4(216914), // Rule ID 3864 //
     /* 216862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 216865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot90),
     /* 216870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 216873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 216876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 216879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 216882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216898 */     // (intrinsic_wo_chain:{ *:[v8f16] } 760:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCMLAv8f16:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rd, ?:{ *:[v8f16] }:$Rn, ?:{ *:[v8f16] }:$Rm, 1:{ *:[i32] })
     /* 216898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv8f16),
     /* 216901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 216903 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 216905 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 216907 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 216909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 216912 */     GIR_RootConstrainSelectedInstOperands,
     /* 216913 */     // GIR_Coverage, 3864,
     /* 216913 */     GIR_EraseRootFromParent_Done,
     /* 216914 */   // Label 4271: @216914
     /* 216914 */   GIM_Try, /*On fail goto*//*Label 4272*/ GIMT_Encode4(216971), // Rule ID 3865 //
     /* 216919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 216922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot180),
     /* 216927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 216930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 216933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 216936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 216939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216955 */     // (intrinsic_wo_chain:{ *:[v8f16] } 758:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCMLAv8f16:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rd, ?:{ *:[v8f16] }:$Rn, ?:{ *:[v8f16] }:$Rm, 2:{ *:[i32] })
     /* 216955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv8f16),
     /* 216958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 216960 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 216962 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 216964 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 216966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 216969 */     GIR_RootConstrainSelectedInstOperands,
     /* 216970 */     // GIR_Coverage, 3865,
     /* 216970 */     GIR_EraseRootFromParent_Done,
     /* 216971 */   // Label 4272: @216971
     /* 216971 */   GIM_Try, /*On fail goto*//*Label 4273*/ GIMT_Encode4(217028), // Rule ID 3866 //
     /* 216976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 216979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot270),
     /* 216984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 216987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 216990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 216993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 216996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217012 */     // (intrinsic_wo_chain:{ *:[v8f16] } 759:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCMLAv8f16:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rd, ?:{ *:[v8f16] }:$Rn, ?:{ *:[v8f16] }:$Rm, 3:{ *:[i32] })
     /* 217012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv8f16),
     /* 217015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217017 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 217019 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 217021 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 217023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 217026 */     GIR_RootConstrainSelectedInstOperands,
     /* 217027 */     // GIR_Coverage, 3866,
     /* 217027 */     GIR_EraseRootFromParent_Done,
     /* 217028 */   // Label 4273: @217028
     /* 217028 */   GIM_Try, /*On fail goto*//*Label 4274*/ GIMT_Encode4(217085), // Rule ID 3871 //
     /* 217033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 217036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot0),
     /* 217041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 217044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 217047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 217050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s32,
     /* 217053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217069 */     // (intrinsic_wo_chain:{ *:[v2f32] } 757:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FCMLAv2f32:{ *:[v2f32] } ?:{ *:[v2f32] }:$Rd, ?:{ *:[v2f32] }:$Rn, ?:{ *:[v2f32] }:$Rm, 0:{ *:[i32] })
     /* 217069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv2f32),
     /* 217072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217074 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 217076 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 217078 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 217080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 217083 */     GIR_RootConstrainSelectedInstOperands,
     /* 217084 */     // GIR_Coverage, 3871,
     /* 217084 */     GIR_EraseRootFromParent_Done,
     /* 217085 */   // Label 4274: @217085
     /* 217085 */   GIM_Try, /*On fail goto*//*Label 4275*/ GIMT_Encode4(217142), // Rule ID 3872 //
     /* 217090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 217093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot90),
     /* 217098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 217101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 217104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 217107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s32,
     /* 217110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217126 */     // (intrinsic_wo_chain:{ *:[v2f32] } 760:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FCMLAv2f32:{ *:[v2f32] } ?:{ *:[v2f32] }:$Rd, ?:{ *:[v2f32] }:$Rn, ?:{ *:[v2f32] }:$Rm, 1:{ *:[i32] })
     /* 217126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv2f32),
     /* 217129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217131 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 217133 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 217135 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 217137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 217140 */     GIR_RootConstrainSelectedInstOperands,
     /* 217141 */     // GIR_Coverage, 3872,
     /* 217141 */     GIR_EraseRootFromParent_Done,
     /* 217142 */   // Label 4275: @217142
     /* 217142 */   GIM_Try, /*On fail goto*//*Label 4276*/ GIMT_Encode4(217199), // Rule ID 3873 //
     /* 217147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 217150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot180),
     /* 217155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 217158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 217161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 217164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s32,
     /* 217167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217183 */     // (intrinsic_wo_chain:{ *:[v2f32] } 758:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FCMLAv2f32:{ *:[v2f32] } ?:{ *:[v2f32] }:$Rd, ?:{ *:[v2f32] }:$Rn, ?:{ *:[v2f32] }:$Rm, 2:{ *:[i32] })
     /* 217183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv2f32),
     /* 217186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217188 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 217190 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 217192 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 217194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 217197 */     GIR_RootConstrainSelectedInstOperands,
     /* 217198 */     // GIR_Coverage, 3873,
     /* 217198 */     GIR_EraseRootFromParent_Done,
     /* 217199 */   // Label 4276: @217199
     /* 217199 */   GIM_Try, /*On fail goto*//*Label 4277*/ GIMT_Encode4(217256), // Rule ID 3874 //
     /* 217204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 217207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot270),
     /* 217212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 217215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 217218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 217221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s32,
     /* 217224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217240 */     // (intrinsic_wo_chain:{ *:[v2f32] } 759:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FCMLAv2f32:{ *:[v2f32] } ?:{ *:[v2f32] }:$Rd, ?:{ *:[v2f32] }:$Rn, ?:{ *:[v2f32] }:$Rm, 3:{ *:[i32] })
     /* 217240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv2f32),
     /* 217243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217245 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 217247 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 217249 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 217251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 217254 */     GIR_RootConstrainSelectedInstOperands,
     /* 217255 */     // GIR_Coverage, 3874,
     /* 217255 */     GIR_EraseRootFromParent_Done,
     /* 217256 */   // Label 4277: @217256
     /* 217256 */   GIM_Try, /*On fail goto*//*Label 4278*/ GIMT_Encode4(217313), // Rule ID 3875 //
     /* 217261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 217264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot0),
     /* 217269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 217272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 217275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 217278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 217281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217297 */     // (intrinsic_wo_chain:{ *:[v4f32] } 757:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FCMLAv4f32:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v4f32] }:$Rn, ?:{ *:[v4f32] }:$Rm, 0:{ *:[i32] })
     /* 217297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f32),
     /* 217300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217302 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 217304 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 217306 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 217308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 217311 */     GIR_RootConstrainSelectedInstOperands,
     /* 217312 */     // GIR_Coverage, 3875,
     /* 217312 */     GIR_EraseRootFromParent_Done,
     /* 217313 */   // Label 4278: @217313
     /* 217313 */   GIM_Try, /*On fail goto*//*Label 4279*/ GIMT_Encode4(217370), // Rule ID 3876 //
     /* 217318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 217321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot90),
     /* 217326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 217329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 217332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 217335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 217338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217354 */     // (intrinsic_wo_chain:{ *:[v4f32] } 760:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FCMLAv4f32:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v4f32] }:$Rn, ?:{ *:[v4f32] }:$Rm, 1:{ *:[i32] })
     /* 217354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f32),
     /* 217357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217359 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 217361 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 217363 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 217365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 217368 */     GIR_RootConstrainSelectedInstOperands,
     /* 217369 */     // GIR_Coverage, 3876,
     /* 217369 */     GIR_EraseRootFromParent_Done,
     /* 217370 */   // Label 4279: @217370
     /* 217370 */   GIM_Try, /*On fail goto*//*Label 4280*/ GIMT_Encode4(217427), // Rule ID 3877 //
     /* 217375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 217378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot180),
     /* 217383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 217386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 217389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 217392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 217395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217411 */     // (intrinsic_wo_chain:{ *:[v4f32] } 758:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FCMLAv4f32:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v4f32] }:$Rn, ?:{ *:[v4f32] }:$Rm, 2:{ *:[i32] })
     /* 217411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f32),
     /* 217414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217416 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 217418 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 217420 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 217422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 217425 */     GIR_RootConstrainSelectedInstOperands,
     /* 217426 */     // GIR_Coverage, 3877,
     /* 217426 */     GIR_EraseRootFromParent_Done,
     /* 217427 */   // Label 4280: @217427
     /* 217427 */   GIM_Try, /*On fail goto*//*Label 4281*/ GIMT_Encode4(217484), // Rule ID 3878 //
     /* 217432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 217435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot270),
     /* 217440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 217443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 217446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 217449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 217452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217468 */     // (intrinsic_wo_chain:{ *:[v4f32] } 759:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FCMLAv4f32:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v4f32] }:$Rn, ?:{ *:[v4f32] }:$Rm, 3:{ *:[i32] })
     /* 217468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f32),
     /* 217471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217473 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 217475 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 217477 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 217479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 217482 */     GIR_RootConstrainSelectedInstOperands,
     /* 217483 */     // GIR_Coverage, 3878,
     /* 217483 */     GIR_EraseRootFromParent_Done,
     /* 217484 */   // Label 4281: @217484
     /* 217484 */   GIM_Try, /*On fail goto*//*Label 4282*/ GIMT_Encode4(217541), // Rule ID 3879 //
     /* 217489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 217492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot0),
     /* 217497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 217500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 217503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 217506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 217509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217525 */     // (intrinsic_wo_chain:{ *:[v2f64] } 757:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FCMLAv2f64:{ *:[v2f64] } ?:{ *:[v2f64] }:$Rd, ?:{ *:[v2f64] }:$Rn, ?:{ *:[v2f64] }:$Rm, 0:{ *:[i32] })
     /* 217525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv2f64),
     /* 217528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217530 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 217532 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 217534 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 217536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 217539 */     GIR_RootConstrainSelectedInstOperands,
     /* 217540 */     // GIR_Coverage, 3879,
     /* 217540 */     GIR_EraseRootFromParent_Done,
     /* 217541 */   // Label 4282: @217541
     /* 217541 */   GIM_Try, /*On fail goto*//*Label 4283*/ GIMT_Encode4(217598), // Rule ID 3880 //
     /* 217546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 217549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot90),
     /* 217554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 217557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 217560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 217563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 217566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217582 */     // (intrinsic_wo_chain:{ *:[v2f64] } 760:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FCMLAv2f64:{ *:[v2f64] } ?:{ *:[v2f64] }:$Rd, ?:{ *:[v2f64] }:$Rn, ?:{ *:[v2f64] }:$Rm, 1:{ *:[i32] })
     /* 217582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv2f64),
     /* 217585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217587 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 217589 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 217591 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 217593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 217596 */     GIR_RootConstrainSelectedInstOperands,
     /* 217597 */     // GIR_Coverage, 3880,
     /* 217597 */     GIR_EraseRootFromParent_Done,
     /* 217598 */   // Label 4283: @217598
     /* 217598 */   GIM_Try, /*On fail goto*//*Label 4284*/ GIMT_Encode4(217655), // Rule ID 3881 //
     /* 217603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 217606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot180),
     /* 217611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 217614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 217617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 217620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 217623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217639 */     // (intrinsic_wo_chain:{ *:[v2f64] } 758:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FCMLAv2f64:{ *:[v2f64] } ?:{ *:[v2f64] }:$Rd, ?:{ *:[v2f64] }:$Rn, ?:{ *:[v2f64] }:$Rm, 2:{ *:[i32] })
     /* 217639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv2f64),
     /* 217642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217644 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 217646 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 217648 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 217650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 217653 */     GIR_RootConstrainSelectedInstOperands,
     /* 217654 */     // GIR_Coverage, 3881,
     /* 217654 */     GIR_EraseRootFromParent_Done,
     /* 217655 */   // Label 4284: @217655
     /* 217655 */   GIM_Try, /*On fail goto*//*Label 4285*/ GIMT_Encode4(217712), // Rule ID 3882 //
     /* 217660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 217663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot270),
     /* 217668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 217671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 217674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 217677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 217680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217696 */     // (intrinsic_wo_chain:{ *:[v2f64] } 759:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FCMLAv2f64:{ *:[v2f64] } ?:{ *:[v2f64] }:$Rd, ?:{ *:[v2f64] }:$Rn, ?:{ *:[v2f64] }:$Rm, 3:{ *:[i32] })
     /* 217696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv2f64),
     /* 217699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217701 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 217703 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 217705 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 217707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 217710 */     GIR_RootConstrainSelectedInstOperands,
     /* 217711 */     // GIR_Coverage, 3882,
     /* 217711 */     GIR_EraseRootFromParent_Done,
     /* 217712 */   // Label 4285: @217712
     /* 217712 */   GIM_Try, /*On fail goto*//*Label 4286*/ GIMT_Encode4(217766), // Rule ID 5217 //
     /* 217717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRDM),
     /* 217720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 217725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 217728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 217731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 217734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 217737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 217741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 217745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 217749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 217753 */     // (intrinsic_wo_chain:{ *:[i32] } 686:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rd, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (SQRDMLAHv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rd, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 217753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv1i32),
     /* 217756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217758 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 217760 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 217762 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 217764 */     GIR_RootConstrainSelectedInstOperands,
     /* 217765 */     // GIR_Coverage, 5217,
     /* 217765 */     GIR_EraseRootFromParent_Done,
     /* 217766 */   // Label 4286: @217766
     /* 217766 */   GIM_Try, /*On fail goto*//*Label 4287*/ GIMT_Encode4(217820), // Rule ID 5218 //
     /* 217771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRDM),
     /* 217774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 217779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 217782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 217785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 217788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 217791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 217795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 217799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 217803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 217807 */     // (intrinsic_wo_chain:{ *:[i32] } 687:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rd, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (SQRDMLSHv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rd, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 217807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv1i32),
     /* 217810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217812 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 217814 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 217816 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 217818 */     GIR_RootConstrainSelectedInstOperands,
     /* 217819 */     // GIR_Coverage, 5218,
     /* 217819 */     GIR_EraseRootFromParent_Done,
     /* 217820 */   // Label 4287: @217820
     /* 217820 */   GIM_Try, /*On fail goto*//*Label 4288*/ GIMT_Encode4(217871), // Rule ID 5571 //
     /* 217825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_tbx1),
     /* 217830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 217833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 217836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 217839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s8,
     /* 217842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217858 */     // (intrinsic_wo_chain:{ *:[v8i8] } 720:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rd, VecListOne128:{ *:[v16i8] }:$Rn, V64:{ *:[v8i8] }:$Ri)  =>  (TBXv8i8One:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, VecListOne128:{ *:[v16i8] }:$Rn, V64:{ *:[v8i8] }:$Ri)
     /* 217858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBXv8i8One),
     /* 217861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217863 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 217865 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 217867 */     GIR_RootToRootCopy, /*OpIdx*/4, // Ri
     /* 217869 */     GIR_RootConstrainSelectedInstOperands,
     /* 217870 */     // GIR_Coverage, 5571,
     /* 217870 */     GIR_EraseRootFromParent_Done,
     /* 217871 */   // Label 4288: @217871
     /* 217871 */   GIM_Try, /*On fail goto*//*Label 4289*/ GIMT_Encode4(217922), // Rule ID 5572 //
     /* 217876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_tbx1),
     /* 217881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 217884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 217887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 217890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 217893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217909 */     // (intrinsic_wo_chain:{ *:[v16i8] } 720:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Ri, V128:{ *:[v16i8] }:$Rn)  =>  (TBXv16i8One:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Ri, V128:{ *:[v16i8] }:$Rn)
     /* 217909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBXv16i8One),
     /* 217912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217914 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 217916 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ri
     /* 217918 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rn
     /* 217920 */     GIR_RootConstrainSelectedInstOperands,
     /* 217921 */     // GIR_Coverage, 5572,
     /* 217921 */     GIR_EraseRootFromParent_Done,
     /* 217922 */   // Label 4289: @217922
     /* 217922 */   GIM_Try, /*On fail goto*//*Label 4290*/ GIMT_Encode4(217964), // Rule ID 2699 //
     /* 217927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 217930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbx),
     /* 217935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 217938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 217941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 217944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 217947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 217951 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1904:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (TBX_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 217951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBX_ZZZ_B),
     /* 217954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 217956 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 217958 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 217960 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 217962 */     GIR_RootConstrainSelectedInstOperands,
     /* 217963 */     // GIR_Coverage, 2699,
     /* 217963 */     GIR_EraseRootFromParent_Done,
     /* 217964 */   // Label 4290: @217964
     /* 217964 */   GIM_Try, /*On fail goto*//*Label 4291*/ GIMT_Encode4(218006), // Rule ID 2700 //
     /* 217969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 217972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbx),
     /* 217977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 217980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 217983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 217986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 217989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 217993 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1904:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (TBX_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 217993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBX_ZZZ_H),
     /* 217996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 217998 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218000 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218002 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218004 */     GIR_RootConstrainSelectedInstOperands,
     /* 218005 */     // GIR_Coverage, 2700,
     /* 218005 */     GIR_EraseRootFromParent_Done,
     /* 218006 */   // Label 4291: @218006
     /* 218006 */   GIM_Try, /*On fail goto*//*Label 4292*/ GIMT_Encode4(218048), // Rule ID 2701 //
     /* 218011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 218014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbx),
     /* 218019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 218022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 218025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 218028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 218031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218035 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1904:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (TBX_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 218035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBX_ZZZ_S),
     /* 218038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 218040 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218042 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218044 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218046 */     GIR_RootConstrainSelectedInstOperands,
     /* 218047 */     // GIR_Coverage, 2701,
     /* 218047 */     GIR_EraseRootFromParent_Done,
     /* 218048 */   // Label 4292: @218048
     /* 218048 */   GIM_Try, /*On fail goto*//*Label 4293*/ GIMT_Encode4(218090), // Rule ID 2702 //
     /* 218053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 218056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbx),
     /* 218061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 218064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 218067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 218070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 218073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218077 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1904:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (TBX_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 218077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBX_ZZZ_D),
     /* 218080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 218082 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218084 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218086 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218088 */     GIR_RootConstrainSelectedInstOperands,
     /* 218089 */     // GIR_Coverage, 2702,
     /* 218089 */     GIR_EraseRootFromParent_Done,
     /* 218090 */   // Label 4293: @218090
     /* 218090 */   GIM_Try, /*On fail goto*//*Label 4294*/ GIMT_Encode4(218132), // Rule ID 2703 //
     /* 218095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 218098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbx),
     /* 218103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 218106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 218109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 218112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 218115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218119 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1904:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (TBX_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 218119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBX_ZZZ_H),
     /* 218122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 218124 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218126 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218128 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218130 */     GIR_RootConstrainSelectedInstOperands,
     /* 218131 */     // GIR_Coverage, 2703,
     /* 218131 */     GIR_EraseRootFromParent_Done,
     /* 218132 */   // Label 4294: @218132
     /* 218132 */   GIM_Try, /*On fail goto*//*Label 4295*/ GIMT_Encode4(218174), // Rule ID 2704 //
     /* 218137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 218140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbx),
     /* 218145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 218148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 218151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 218154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 218157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218161 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1904:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (TBX_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 218161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBX_ZZZ_S),
     /* 218164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 218166 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218168 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218170 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218172 */     GIR_RootConstrainSelectedInstOperands,
     /* 218173 */     // GIR_Coverage, 2704,
     /* 218173 */     GIR_EraseRootFromParent_Done,
     /* 218174 */   // Label 4295: @218174
     /* 218174 */   GIM_Try, /*On fail goto*//*Label 4296*/ GIMT_Encode4(218216), // Rule ID 2705 //
     /* 218179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 218182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbx),
     /* 218187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 218190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 218193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 218196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 218199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218203 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1904:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (TBX_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 218203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBX_ZZZ_D),
     /* 218206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 218208 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218210 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218212 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218214 */     GIR_RootConstrainSelectedInstOperands,
     /* 218215 */     // GIR_Coverage, 2705,
     /* 218215 */     GIR_EraseRootFromParent_Done,
     /* 218216 */   // Label 4296: @218216
     /* 218216 */   GIM_Try, /*On fail goto*//*Label 4297*/ GIMT_Encode4(218258), // Rule ID 2744 //
     /* 218221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 218224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_and_z),
     /* 218229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 218232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 218235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 218238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 218241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 218245 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1250:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (AND_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 218245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /* 218248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 218250 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218252 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218254 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218256 */     GIR_RootConstrainSelectedInstOperands,
     /* 218257 */     // GIR_Coverage, 2744,
     /* 218257 */     GIR_EraseRootFromParent_Done,
     /* 218258 */   // Label 4297: @218258
     /* 218258 */   GIM_Try, /*On fail goto*//*Label 4298*/ GIMT_Encode4(218300), // Rule ID 2745 //
     /* 218263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 218266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_and_z),
     /* 218271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 218274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 218277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 218280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 218283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 218287 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1250:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2, nxv8i1:{ *:[nxv8i1] }:$Op3)  =>  (AND_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2, ?:{ *:[nxv8i1] }:$Op3)
     /* 218287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /* 218290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 218292 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218294 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218296 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218298 */     GIR_RootConstrainSelectedInstOperands,
     /* 218299 */     // GIR_Coverage, 2745,
     /* 218299 */     GIR_EraseRootFromParent_Done,
     /* 218300 */   // Label 4298: @218300
     /* 218300 */   GIM_Try, /*On fail goto*//*Label 4299*/ GIMT_Encode4(218342), // Rule ID 2746 //
     /* 218305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 218308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_and_z),
     /* 218313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 218316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 218319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 218322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 218325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 218329 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1250:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i1:{ *:[nxv4i1] }:$Op3)  =>  (AND_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i1] }:$Op3)
     /* 218329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /* 218332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 218334 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218336 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218338 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218340 */     GIR_RootConstrainSelectedInstOperands,
     /* 218341 */     // GIR_Coverage, 2746,
     /* 218341 */     GIR_EraseRootFromParent_Done,
     /* 218342 */   // Label 4299: @218342
     /* 218342 */   GIM_Try, /*On fail goto*//*Label 4300*/ GIMT_Encode4(218384), // Rule ID 2747 //
     /* 218347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 218350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_and_z),
     /* 218355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 218358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 218361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 218364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 218367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 218371 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1250:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i1:{ *:[nxv2i1] }:$Op3)  =>  (AND_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i1] }:$Op3)
     /* 218371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /* 218374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 218376 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218378 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218380 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218382 */     GIR_RootConstrainSelectedInstOperands,
     /* 218383 */     // GIR_Coverage, 2747,
     /* 218383 */     GIR_EraseRootFromParent_Done,
     /* 218384 */   // Label 4300: @218384
     /* 218384 */   GIM_Try, /*On fail goto*//*Label 4301*/ GIMT_Encode4(218426), // Rule ID 2748 //
     /* 218389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 218392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_and_z),
     /* 218397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 218400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 218403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 218406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 218409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 218413 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 1250:{ *:[iPTR] }, nxv1i1:{ *:[nxv1i1] }:$Op1, nxv1i1:{ *:[nxv1i1] }:$Op2, nxv1i1:{ *:[nxv1i1] }:$Op3)  =>  (AND_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2, ?:{ *:[nxv1i1] }:$Op3)
     /* 218413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /* 218416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 218418 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218420 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218422 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218424 */     GIR_RootConstrainSelectedInstOperands,
     /* 218425 */     // GIR_Coverage, 2748,
     /* 218425 */     GIR_EraseRootFromParent_Done,
     /* 218426 */   // Label 4301: @218426
     /* 218426 */   GIM_Try, /*On fail goto*//*Label 4302*/ GIMT_Encode4(218468), // Rule ID 2787 //
     /* 218431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 218434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fadd),
     /* 218439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 218442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 218445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 218448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 218451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218455 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1349:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FADD_ZPmZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 218455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZPmZ_H),
     /* 218458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 218460 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218462 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218464 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218466 */     GIR_RootConstrainSelectedInstOperands,
     /* 218467 */     // GIR_Coverage, 2787,
     /* 218467 */     GIR_EraseRootFromParent_Done,
     /* 218468 */   // Label 4302: @218468
     /* 218468 */   GIM_Try, /*On fail goto*//*Label 4303*/ GIMT_Encode4(218510), // Rule ID 2789 //
     /* 218473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 218476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fadd),
     /* 218481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 218484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 218487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 218490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 218493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218497 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1349:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FADD_ZPmZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 218497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZPmZ_S),
     /* 218500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 218502 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218504 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218506 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218508 */     GIR_RootConstrainSelectedInstOperands,
     /* 218509 */     // GIR_Coverage, 2789,
     /* 218509 */     GIR_EraseRootFromParent_Done,
     /* 218510 */   // Label 4303: @218510
     /* 218510 */   GIM_Try, /*On fail goto*//*Label 4304*/ GIMT_Encode4(218552), // Rule ID 2791 //
     /* 218515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 218518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fadd),
     /* 218523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 218526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 218529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 218532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 218535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218539 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1349:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FADD_ZPmZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 218539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZPmZ_D),
     /* 218542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 218544 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218546 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218548 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218550 */     GIR_RootConstrainSelectedInstOperands,
     /* 218551 */     // GIR_Coverage, 2791,
     /* 218551 */     GIR_EraseRootFromParent_Done,
     /* 218552 */   // Label 4304: @218552
     /* 218552 */   GIM_Try, /*On fail goto*//*Label 4305*/ GIMT_Encode4(218594), // Rule ID 2793 //
     /* 218557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 218560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fscale),
     /* 218565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 218568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 218571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 218574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 218577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218581 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1523:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (FSCALE_ZPmZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 218581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSCALE_ZPmZ_H),
     /* 218584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 218586 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218588 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218590 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218592 */     GIR_RootConstrainSelectedInstOperands,
     /* 218593 */     // GIR_Coverage, 2793,
     /* 218593 */     GIR_EraseRootFromParent_Done,
     /* 218594 */   // Label 4305: @218594
     /* 218594 */   GIM_Try, /*On fail goto*//*Label 4306*/ GIMT_Encode4(218636), // Rule ID 2794 //
     /* 218599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 218602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fscale),
     /* 218607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 218610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 218613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 218616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 218619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218623 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1523:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (FSCALE_ZPmZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 218623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSCALE_ZPmZ_S),
     /* 218626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 218628 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218630 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218632 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218634 */     GIR_RootConstrainSelectedInstOperands,
     /* 218635 */     // GIR_Coverage, 2794,
     /* 218635 */     GIR_EraseRootFromParent_Done,
     /* 218636 */   // Label 4306: @218636
     /* 218636 */   GIM_Try, /*On fail goto*//*Label 4307*/ GIMT_Encode4(218678), // Rule ID 2795 //
     /* 218641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 218644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fscale),
     /* 218649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 218652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 218655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 218658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 218661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218665 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1523:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (FSCALE_ZPmZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 218665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSCALE_ZPmZ_D),
     /* 218668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 218670 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218672 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218674 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218676 */     GIR_RootConstrainSelectedInstOperands,
     /* 218677 */     // GIR_Coverage, 2795,
     /* 218677 */     GIR_EraseRootFromParent_Done,
     /* 218678 */   // Label 4307: @218678
     /* 218678 */   GIM_Try, /*On fail goto*//*Label 4308*/ GIMT_Encode4(218720), // Rule ID 2864 //
     /* 218683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 218686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtnt_f16f32),
     /* 218691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 218694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 218697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 218700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 218703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218707 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1385:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FCVTNT_ZPmZ_StoH:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 218707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNT_ZPmZ_StoH),
     /* 218710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 218712 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218714 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218716 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218718 */     GIR_RootConstrainSelectedInstOperands,
     /* 218719 */     // GIR_Coverage, 2864,
     /* 218719 */     GIR_EraseRootFromParent_Done,
     /* 218720 */   // Label 4308: @218720
     /* 218720 */   GIM_Try, /*On fail goto*//*Label 4309*/ GIMT_Encode4(218762), // Rule ID 2865 //
     /* 218725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 218728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtnt_f32f64),
     /* 218733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 218736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 218739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 218742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 218745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218749 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1386:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FCVTNT_ZPmZ_DtoS:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 218749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNT_ZPmZ_DtoS),
     /* 218752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 218754 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218756 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218758 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218760 */     GIR_RootConstrainSelectedInstOperands,
     /* 218761 */     // GIR_Coverage, 2865,
     /* 218761 */     GIR_EraseRootFromParent_Done,
     /* 218762 */   // Label 4309: @218762
     /* 218762 */   GIM_Try, /*On fail goto*//*Label 4310*/ GIMT_Encode4(218804), // Rule ID 2866 //
     /* 218767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 218770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtlt_f32f16),
     /* 218775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 218778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 218781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 218784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 218787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218791 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1381:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FCVTLT_ZPmZ_HtoS:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 218791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTLT_ZPmZ_HtoS),
     /* 218794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 218796 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218798 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218800 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218802 */     GIR_RootConstrainSelectedInstOperands,
     /* 218803 */     // GIR_Coverage, 2866,
     /* 218803 */     GIR_EraseRootFromParent_Done,
     /* 218804 */   // Label 4310: @218804
     /* 218804 */   GIM_Try, /*On fail goto*//*Label 4311*/ GIMT_Encode4(218846), // Rule ID 2867 //
     /* 218809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 218812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtlt_f64f32),
     /* 218817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 218820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 218823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 218826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 218829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218833 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1382:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FCVTLT_ZPmZ_StoD:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 218833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTLT_ZPmZ_StoD),
     /* 218836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 218838 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218840 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218842 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218844 */     GIR_RootConstrainSelectedInstOperands,
     /* 218845 */     // GIR_Coverage, 2867,
     /* 218845 */     GIR_EraseRootFromParent_Done,
     /* 218846 */   // Label 4311: @218846
     /* 218846 */   GIM_Try, /*On fail goto*//*Label 4312*/ GIMT_Encode4(218888), // Rule ID 2868 //
     /* 218851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 218854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtxnt_f32f64),
     /* 218859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 218862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 218865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 218868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 218871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218875 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1388:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FCVTXNT_ZPmZ_DtoS:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 218875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTXNT_ZPmZ_DtoS),
     /* 218878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 218880 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218882 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218884 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218886 */     GIR_RootConstrainSelectedInstOperands,
     /* 218887 */     // GIR_Coverage, 2868,
     /* 218887 */     GIR_EraseRootFromParent_Done,
     /* 218888 */   // Label 4312: @218888
     /* 218888 */   GIM_Try, /*On fail goto*//*Label 4313*/ GIMT_Encode4(218930), // Rule ID 2869 //
     /* 218893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 218896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_faddp),
     /* 218901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 218904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 218907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 218910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 218913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218917 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1352:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FADDP_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 218917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDP_ZPmZZ_H),
     /* 218920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 218922 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218924 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218926 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218928 */     GIR_RootConstrainSelectedInstOperands,
     /* 218929 */     // GIR_Coverage, 2869,
     /* 218929 */     GIR_EraseRootFromParent_Done,
     /* 218930 */   // Label 4313: @218930
     /* 218930 */   GIM_Try, /*On fail goto*//*Label 4314*/ GIMT_Encode4(218972), // Rule ID 2870 //
     /* 218935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 218938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_faddp),
     /* 218943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 218946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 218949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 218952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 218955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218959 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1352:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FADDP_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 218959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDP_ZPmZZ_S),
     /* 218962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 218964 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218966 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218968 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218970 */     GIR_RootConstrainSelectedInstOperands,
     /* 218971 */     // GIR_Coverage, 2870,
     /* 218971 */     GIR_EraseRootFromParent_Done,
     /* 218972 */   // Label 4314: @218972
     /* 218972 */   GIM_Try, /*On fail goto*//*Label 4315*/ GIMT_Encode4(219014), // Rule ID 2871 //
     /* 218977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 218980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_faddp),
     /* 218985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 218988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 218991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 218994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 218997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219001 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1352:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FADDP_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 219001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDP_ZPmZZ_D),
     /* 219004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 219006 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219008 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219010 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219012 */     GIR_RootConstrainSelectedInstOperands,
     /* 219013 */     // GIR_Coverage, 2871,
     /* 219013 */     GIR_EraseRootFromParent_Done,
     /* 219014 */   // Label 4315: @219014
     /* 219014 */   GIM_Try, /*On fail goto*//*Label 4316*/ GIMT_Encode4(219056), // Rule ID 2882 //
     /* 219019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvt_f32f16),
     /* 219027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 219030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 219033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 219036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 219039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219043 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1374:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FCVT_ZPmZ_HtoS:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 219043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVT_ZPmZ_HtoS),
     /* 219046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 219048 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219050 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219052 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219054 */     GIR_RootConstrainSelectedInstOperands,
     /* 219055 */     // GIR_Coverage, 2882,
     /* 219055 */     GIR_EraseRootFromParent_Done,
     /* 219056 */   // Label 4316: @219056
     /* 219056 */   GIM_Try, /*On fail goto*//*Label 4317*/ GIMT_Encode4(219098), // Rule ID 2884 //
     /* 219061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvt_f16f32),
     /* 219069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 219072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 219075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 219078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 219081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219085 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1372:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FCVT_ZPmZ_StoH:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 219085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVT_ZPmZ_StoH),
     /* 219088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 219090 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219092 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219094 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219096 */     GIR_RootConstrainSelectedInstOperands,
     /* 219097 */     // GIR_Coverage, 2884,
     /* 219097 */     GIR_EraseRootFromParent_Done,
     /* 219098 */   // Label 4317: @219098
     /* 219098 */   GIM_Try, /*On fail goto*//*Label 4318*/ GIMT_Encode4(219140), // Rule ID 2892 //
     /* 219103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 219106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_flogb),
     /* 219111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 219114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 219117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 219120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 219123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219127 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1409:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FLOGB_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i1] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 219127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FLOGB_ZPmZ_H),
     /* 219130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 219132 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219134 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219136 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219138 */     GIR_RootConstrainSelectedInstOperands,
     /* 219139 */     // GIR_Coverage, 2892,
     /* 219139 */     GIR_EraseRootFromParent_Done,
     /* 219140 */   // Label 4318: @219140
     /* 219140 */   GIM_Try, /*On fail goto*//*Label 4319*/ GIMT_Encode4(219182), // Rule ID 2893 //
     /* 219145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 219148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_flogb),
     /* 219153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 219156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 219159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 219162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 219165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219169 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1409:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FLOGB_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 219169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FLOGB_ZPmZ_S),
     /* 219172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 219174 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219176 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219178 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219180 */     GIR_RootConstrainSelectedInstOperands,
     /* 219181 */     // GIR_Coverage, 2893,
     /* 219181 */     GIR_EraseRootFromParent_Done,
     /* 219182 */   // Label 4319: @219182
     /* 219182 */   GIM_Try, /*On fail goto*//*Label 4320*/ GIMT_Encode4(219224), // Rule ID 2894 //
     /* 219187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 219190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_flogb),
     /* 219195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 219198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 219201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 219204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 219207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219211 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1409:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FLOGB_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 219211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FLOGB_ZPmZ_D),
     /* 219214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 219216 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219218 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219220 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219222 */     GIR_RootConstrainSelectedInstOperands,
     /* 219223 */     // GIR_Coverage, 2894,
     /* 219223 */     GIR_EraseRootFromParent_Done,
     /* 219224 */   // Label 4320: @219224
     /* 219224 */   GIM_Try, /*On fail goto*//*Label 4321*/ GIMT_Encode4(219266), // Rule ID 2898 //
     /* 219229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 219232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtx_f32f64),
     /* 219237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 219240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 219243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 219246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 219249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219253 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1387:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FCVTX_ZPmZ_DtoS:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 219253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTX_ZPmZ_DtoS),
     /* 219256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 219258 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219260 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219262 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219264 */     GIR_RootConstrainSelectedInstOperands,
     /* 219265 */     // GIR_Coverage, 2898,
     /* 219265 */     GIR_EraseRootFromParent_Done,
     /* 219266 */   // Label 4321: @219266
     /* 219266 */   GIM_Try, /*On fail goto*//*Label 4322*/ GIMT_Encode4(219308), // Rule ID 2943 //
     /* 219271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sdiv),
     /* 219279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 219282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 219285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 219288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 219291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219295 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1692:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SDIV_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 219295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDIV_ZPmZ_S),
     /* 219298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 219300 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219302 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219304 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219306 */     GIR_RootConstrainSelectedInstOperands,
     /* 219307 */     // GIR_Coverage, 2943,
     /* 219307 */     GIR_EraseRootFromParent_Done,
     /* 219308 */   // Label 4322: @219308
     /* 219308 */   GIM_Try, /*On fail goto*//*Label 4323*/ GIMT_Encode4(219350), // Rule ID 2944 //
     /* 219313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sdiv),
     /* 219321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 219324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 219327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 219330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 219333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219337 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1692:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SDIV_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 219337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDIV_ZPmZ_D),
     /* 219340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 219342 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219344 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219346 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219348 */     GIR_RootConstrainSelectedInstOperands,
     /* 219349 */     // GIR_Coverage, 2944,
     /* 219349 */     GIR_EraseRootFromParent_Done,
     /* 219350 */   // Label 4323: @219350
     /* 219350 */   GIM_Try, /*On fail goto*//*Label 4324*/ GIMT_Encode4(219392), // Rule ID 2973 //
     /* 219355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 219358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlah),
     /* 219363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 219366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 219369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 219372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 219375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219379 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1808:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQRDMLAH_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 219379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAH_ZZZ_B),
     /* 219382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 219384 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219386 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219388 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219390 */     GIR_RootConstrainSelectedInstOperands,
     /* 219391 */     // GIR_Coverage, 2973,
     /* 219391 */     GIR_EraseRootFromParent_Done,
     /* 219392 */   // Label 4324: @219392
     /* 219392 */   GIM_Try, /*On fail goto*//*Label 4325*/ GIMT_Encode4(219434), // Rule ID 2974 //
     /* 219397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 219400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlah),
     /* 219405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 219408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 219411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 219414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 219417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219421 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1808:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQRDMLAH_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 219421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAH_ZZZ_H),
     /* 219424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 219426 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219428 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219430 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219432 */     GIR_RootConstrainSelectedInstOperands,
     /* 219433 */     // GIR_Coverage, 2974,
     /* 219433 */     GIR_EraseRootFromParent_Done,
     /* 219434 */   // Label 4325: @219434
     /* 219434 */   GIM_Try, /*On fail goto*//*Label 4326*/ GIMT_Encode4(219476), // Rule ID 2975 //
     /* 219439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 219442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlah),
     /* 219447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 219450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 219453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 219456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 219459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219463 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1808:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQRDMLAH_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 219463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAH_ZZZ_S),
     /* 219466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 219468 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219470 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219472 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219474 */     GIR_RootConstrainSelectedInstOperands,
     /* 219475 */     // GIR_Coverage, 2975,
     /* 219475 */     GIR_EraseRootFromParent_Done,
     /* 219476 */   // Label 4326: @219476
     /* 219476 */   GIM_Try, /*On fail goto*//*Label 4327*/ GIMT_Encode4(219518), // Rule ID 2976 //
     /* 219481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 219484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlah),
     /* 219489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 219492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 219495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 219498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 219501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219505 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1808:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SQRDMLAH_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 219505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAH_ZZZ_D),
     /* 219508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 219510 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219512 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219514 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219516 */     GIR_RootConstrainSelectedInstOperands,
     /* 219517 */     // GIR_Coverage, 2976,
     /* 219517 */     GIR_EraseRootFromParent_Done,
     /* 219518 */   // Label 4327: @219518
     /* 219518 */   GIM_Try, /*On fail goto*//*Label 4328*/ GIMT_Encode4(219560), // Rule ID 2977 //
     /* 219523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 219526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlalb),
     /* 219531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 219534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 219537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 219540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 219543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219547 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1729:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SMLALB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 219547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALB_ZZZ_H),
     /* 219550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 219552 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219554 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219556 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219558 */     GIR_RootConstrainSelectedInstOperands,
     /* 219559 */     // GIR_Coverage, 2977,
     /* 219559 */     GIR_EraseRootFromParent_Done,
     /* 219560 */   // Label 4328: @219560
     /* 219560 */   GIM_Try, /*On fail goto*//*Label 4329*/ GIMT_Encode4(219602), // Rule ID 2978 //
     /* 219565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 219568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlalb),
     /* 219573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 219576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 219579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 219582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 219585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219589 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1729:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SMLALB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 219589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALB_ZZZ_S),
     /* 219592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 219594 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219596 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219598 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219600 */     GIR_RootConstrainSelectedInstOperands,
     /* 219601 */     // GIR_Coverage, 2978,
     /* 219601 */     GIR_EraseRootFromParent_Done,
     /* 219602 */   // Label 4329: @219602
     /* 219602 */   GIM_Try, /*On fail goto*//*Label 4330*/ GIMT_Encode4(219644), // Rule ID 2979 //
     /* 219607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 219610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlalb),
     /* 219615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 219618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 219621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 219624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 219627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219631 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1729:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SMLALB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 219631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALB_ZZZ_D),
     /* 219634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 219636 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219638 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219640 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219642 */     GIR_RootConstrainSelectedInstOperands,
     /* 219643 */     // GIR_Coverage, 2979,
     /* 219643 */     GIR_EraseRootFromParent_Done,
     /* 219644 */   // Label 4330: @219644
     /* 219644 */   GIM_Try, /*On fail goto*//*Label 4331*/ GIMT_Encode4(219686), // Rule ID 3009 //
     /* 219649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 219652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shadd),
     /* 219657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 219660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 219663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 219666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 219669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219673 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1703:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SHADD_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 219673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHADD_ZPmZ_B),
     /* 219676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 219678 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219680 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219682 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219684 */     GIR_RootConstrainSelectedInstOperands,
     /* 219685 */     // GIR_Coverage, 3009,
     /* 219685 */     GIR_EraseRootFromParent_Done,
     /* 219686 */   // Label 4331: @219686
     /* 219686 */   GIM_Try, /*On fail goto*//*Label 4332*/ GIMT_Encode4(219728), // Rule ID 3011 //
     /* 219691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 219694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shadd),
     /* 219699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 219702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 219705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 219708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 219711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219715 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1703:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SHADD_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 219715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHADD_ZPmZ_H),
     /* 219718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 219720 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219722 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219724 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219726 */     GIR_RootConstrainSelectedInstOperands,
     /* 219727 */     // GIR_Coverage, 3011,
     /* 219727 */     GIR_EraseRootFromParent_Done,
     /* 219728 */   // Label 4332: @219728
     /* 219728 */   GIM_Try, /*On fail goto*//*Label 4333*/ GIMT_Encode4(219770), // Rule ID 3013 //
     /* 219733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 219736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shadd),
     /* 219741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 219744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 219747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 219750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 219753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219757 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1703:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SHADD_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 219757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHADD_ZPmZ_S),
     /* 219760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 219762 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219764 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219766 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219768 */     GIR_RootConstrainSelectedInstOperands,
     /* 219769 */     // GIR_Coverage, 3013,
     /* 219769 */     GIR_EraseRootFromParent_Done,
     /* 219770 */   // Label 4333: @219770
     /* 219770 */   GIM_Try, /*On fail goto*//*Label 4334*/ GIMT_Encode4(219812), // Rule ID 3015 //
     /* 219775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 219778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shadd),
     /* 219783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 219786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 219789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 219792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 219795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219799 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1703:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SHADD_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 219799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHADD_ZPmZ_D),
     /* 219802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 219804 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219806 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219808 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219810 */     GIR_RootConstrainSelectedInstOperands,
     /* 219811 */     // GIR_Coverage, 3015,
     /* 219811 */     GIR_EraseRootFromParent_Done,
     /* 219812 */   // Label 4334: @219812
     /* 219812 */   GIM_Try, /*On fail goto*//*Label 4335*/ GIMT_Encode4(219854), // Rule ID 3017 //
     /* 219817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 219820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sadalp),
     /* 219825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 219828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 219831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 219834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 219837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219841 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1673:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SADALP_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 219841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALP_ZPmZ_H),
     /* 219844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 219846 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219848 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219850 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219852 */     GIR_RootConstrainSelectedInstOperands,
     /* 219853 */     // GIR_Coverage, 3017,
     /* 219853 */     GIR_EraseRootFromParent_Done,
     /* 219854 */   // Label 4335: @219854
     /* 219854 */   GIM_Try, /*On fail goto*//*Label 4336*/ GIMT_Encode4(219896), // Rule ID 3018 //
     /* 219859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 219862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sadalp),
     /* 219867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 219870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 219873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 219876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 219879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219883 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1673:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SADALP_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 219883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALP_ZPmZ_S),
     /* 219886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 219888 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219890 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219892 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219894 */     GIR_RootConstrainSelectedInstOperands,
     /* 219895 */     // GIR_Coverage, 3018,
     /* 219895 */     GIR_EraseRootFromParent_Done,
     /* 219896 */   // Label 4336: @219896
     /* 219896 */   GIM_Try, /*On fail goto*//*Label 4337*/ GIMT_Encode4(219938), // Rule ID 3019 //
     /* 219901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 219904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sadalp),
     /* 219909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 219912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 219915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 219918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 219921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219925 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1673:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SADALP_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 219925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALP_ZPmZ_D),
     /* 219928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 219930 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219932 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219934 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219936 */     GIR_RootConstrainSelectedInstOperands,
     /* 219937 */     // GIR_Coverage, 3019,
     /* 219937 */     GIR_EraseRootFromParent_Done,
     /* 219938 */   // Label 4337: @219938
     /* 219938 */   GIM_Try, /*On fail goto*//*Label 4338*/ GIMT_Encode4(219980), // Rule ID 3020 //
     /* 219943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 219946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urecpe),
     /* 219951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 219954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 219957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 219960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 219963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219967 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2032:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (URECPE_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 219967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URECPE_ZPmZ_S),
     /* 219970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 219972 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219974 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219976 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219978 */     GIR_RootConstrainSelectedInstOperands,
     /* 219979 */     // GIR_Coverage, 3020,
     /* 219979 */     GIR_EraseRootFromParent_Done,
     /* 219980 */   // Label 4338: @219980
     /* 219980 */   GIM_Try, /*On fail goto*//*Label 4339*/ GIMT_Encode4(220022), // Rule ID 3021 //
     /* 219985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 219988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqabs),
     /* 219993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 219996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 219999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 220002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 220005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220009 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1745:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQABS_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 220009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABS_ZPmZ_B),
     /* 220012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 220014 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220016 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220018 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220020 */     GIR_RootConstrainSelectedInstOperands,
     /* 220021 */     // GIR_Coverage, 3021,
     /* 220021 */     GIR_EraseRootFromParent_Done,
     /* 220022 */   // Label 4339: @220022
     /* 220022 */   GIM_Try, /*On fail goto*//*Label 4340*/ GIMT_Encode4(220064), // Rule ID 3022 //
     /* 220027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqabs),
     /* 220035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 220038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 220041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 220044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 220047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220051 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1745:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQABS_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i1] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 220051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABS_ZPmZ_H),
     /* 220054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 220056 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220058 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220060 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220062 */     GIR_RootConstrainSelectedInstOperands,
     /* 220063 */     // GIR_Coverage, 3022,
     /* 220063 */     GIR_EraseRootFromParent_Done,
     /* 220064 */   // Label 4340: @220064
     /* 220064 */   GIM_Try, /*On fail goto*//*Label 4341*/ GIMT_Encode4(220106), // Rule ID 3023 //
     /* 220069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqabs),
     /* 220077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 220080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 220083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 220086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 220089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220093 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1745:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQABS_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 220093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABS_ZPmZ_S),
     /* 220096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 220098 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220100 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220102 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220104 */     GIR_RootConstrainSelectedInstOperands,
     /* 220105 */     // GIR_Coverage, 3023,
     /* 220105 */     GIR_EraseRootFromParent_Done,
     /* 220106 */   // Label 4341: @220106
     /* 220106 */   GIM_Try, /*On fail goto*//*Label 4342*/ GIMT_Encode4(220148), // Rule ID 3024 //
     /* 220111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqabs),
     /* 220119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 220122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 220125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 220128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 220131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220135 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1745:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SQABS_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 220135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABS_ZPmZ_D),
     /* 220138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 220140 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220142 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220144 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220146 */     GIR_RootConstrainSelectedInstOperands,
     /* 220147 */     // GIR_Coverage, 3024,
     /* 220147 */     GIR_EraseRootFromParent_Done,
     /* 220148 */   // Label 4342: @220148
     /* 220148 */   GIM_Try, /*On fail goto*//*Label 4343*/ GIMT_Encode4(220190), // Rule ID 3041 //
     /* 220153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eorbt),
     /* 220161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 220164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 220167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 220170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 220173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220177 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1338:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (EORBT_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 220177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORBT_ZZZ_B),
     /* 220180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 220182 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220184 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220186 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220188 */     GIR_RootConstrainSelectedInstOperands,
     /* 220189 */     // GIR_Coverage, 3041,
     /* 220189 */     GIR_EraseRootFromParent_Done,
     /* 220190 */   // Label 4343: @220190
     /* 220190 */   GIM_Try, /*On fail goto*//*Label 4344*/ GIMT_Encode4(220232), // Rule ID 3042 //
     /* 220195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eorbt),
     /* 220203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 220206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 220209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 220212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 220215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220219 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1338:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (EORBT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 220219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORBT_ZZZ_H),
     /* 220222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 220224 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220226 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220228 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220230 */     GIR_RootConstrainSelectedInstOperands,
     /* 220231 */     // GIR_Coverage, 3042,
     /* 220231 */     GIR_EraseRootFromParent_Done,
     /* 220232 */   // Label 4344: @220232
     /* 220232 */   GIM_Try, /*On fail goto*//*Label 4345*/ GIMT_Encode4(220274), // Rule ID 3043 //
     /* 220237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eorbt),
     /* 220245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 220248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 220251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 220254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 220257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220261 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1338:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (EORBT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 220261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORBT_ZZZ_S),
     /* 220264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 220266 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220268 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220270 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220272 */     GIR_RootConstrainSelectedInstOperands,
     /* 220273 */     // GIR_Coverage, 3043,
     /* 220273 */     GIR_EraseRootFromParent_Done,
     /* 220274 */   // Label 4345: @220274
     /* 220274 */   GIM_Try, /*On fail goto*//*Label 4346*/ GIMT_Encode4(220316), // Rule ID 3044 //
     /* 220279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eorbt),
     /* 220287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 220290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 220293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 220296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 220299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220303 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1338:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (EORBT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 220303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORBT_ZZZ_D),
     /* 220306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 220308 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220310 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220312 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220314 */     GIR_RootConstrainSelectedInstOperands,
     /* 220315 */     // GIR_Coverage, 3044,
     /* 220315 */     GIR_EraseRootFromParent_Done,
     /* 220316 */   // Label 4346: @220316
     /* 220316 */   GIM_Try, /*On fail goto*//*Label 4347*/ GIMT_Encode4(220358), // Rule ID 3068 //
     /* 220321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saba),
     /* 220329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 220332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 220335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 220338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 220341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220345 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1666:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SABA_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 220345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABA_ZZZ_B),
     /* 220348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 220350 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220352 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220354 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220356 */     GIR_RootConstrainSelectedInstOperands,
     /* 220357 */     // GIR_Coverage, 3068,
     /* 220357 */     GIR_EraseRootFromParent_Done,
     /* 220358 */   // Label 4347: @220358
     /* 220358 */   GIM_Try, /*On fail goto*//*Label 4348*/ GIMT_Encode4(220400), // Rule ID 3070 //
     /* 220363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saba),
     /* 220371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 220374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 220377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 220380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 220383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220387 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1666:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SABA_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 220387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABA_ZZZ_H),
     /* 220390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 220392 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220394 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220396 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220398 */     GIR_RootConstrainSelectedInstOperands,
     /* 220399 */     // GIR_Coverage, 3070,
     /* 220399 */     GIR_EraseRootFromParent_Done,
     /* 220400 */   // Label 4348: @220400
     /* 220400 */   GIM_Try, /*On fail goto*//*Label 4349*/ GIMT_Encode4(220442), // Rule ID 3072 //
     /* 220405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saba),
     /* 220413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 220416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 220419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 220422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 220425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220429 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1666:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SABA_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 220429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABA_ZZZ_S),
     /* 220432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 220434 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220436 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220438 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220440 */     GIR_RootConstrainSelectedInstOperands,
     /* 220441 */     // GIR_Coverage, 3072,
     /* 220441 */     GIR_EraseRootFromParent_Done,
     /* 220442 */   // Label 4349: @220442
     /* 220442 */   GIM_Try, /*On fail goto*//*Label 4350*/ GIMT_Encode4(220484), // Rule ID 3074 //
     /* 220447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saba),
     /* 220455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 220458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 220461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 220464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 220467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220471 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1666:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SABA_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 220471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABA_ZZZ_D),
     /* 220474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 220476 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220478 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220480 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220482 */     GIR_RootConstrainSelectedInstOperands,
     /* 220483 */     // GIR_Coverage, 3074,
     /* 220483 */     GIR_EraseRootFromParent_Done,
     /* 220484 */   // Label 4350: @220484
     /* 220484 */   GIM_Try, /*On fail goto*//*Label 4351*/ GIMT_Encode4(220526), // Rule ID 3076 //
     /* 220489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabalb),
     /* 220497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 220500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 220503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 220506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 220509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220513 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1667:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SABALB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 220513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALB_ZZZ_H),
     /* 220516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 220518 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220520 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220522 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220524 */     GIR_RootConstrainSelectedInstOperands,
     /* 220525 */     // GIR_Coverage, 3076,
     /* 220525 */     GIR_EraseRootFromParent_Done,
     /* 220526 */   // Label 4351: @220526
     /* 220526 */   GIM_Try, /*On fail goto*//*Label 4352*/ GIMT_Encode4(220568), // Rule ID 3077 //
     /* 220531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabalb),
     /* 220539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 220542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 220545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 220548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 220551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220555 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1667:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SABALB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 220555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALB_ZZZ_S),
     /* 220558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 220560 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220562 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220564 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220566 */     GIR_RootConstrainSelectedInstOperands,
     /* 220567 */     // GIR_Coverage, 3077,
     /* 220567 */     GIR_EraseRootFromParent_Done,
     /* 220568 */   // Label 4352: @220568
     /* 220568 */   GIM_Try, /*On fail goto*//*Label 4353*/ GIMT_Encode4(220610), // Rule ID 3078 //
     /* 220573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabalb),
     /* 220581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 220584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 220587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 220590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 220593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220597 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1667:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SABALB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 220597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALB_ZZZ_D),
     /* 220600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 220602 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220604 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220606 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220608 */     GIR_RootConstrainSelectedInstOperands,
     /* 220609 */     // GIR_Coverage, 3078,
     /* 220609 */     GIR_EraseRootFromParent_Done,
     /* 220610 */   // Label 4353: @220610
     /* 220610 */   GIM_Try, /*On fail goto*//*Label 4354*/ GIMT_Encode4(220652), // Rule ID 3079 //
     /* 220615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adclb),
     /* 220623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 220626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 220629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 220632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 220635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220639 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1230:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (ADCLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 220639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADCLB_ZZZ_S),
     /* 220642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 220644 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220646 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220648 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220650 */     GIR_RootConstrainSelectedInstOperands,
     /* 220651 */     // GIR_Coverage, 3079,
     /* 220651 */     GIR_EraseRootFromParent_Done,
     /* 220652 */   // Label 4354: @220652
     /* 220652 */   GIM_Try, /*On fail goto*//*Label 4355*/ GIMT_Encode4(220694), // Rule ID 3080 //
     /* 220657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adclb),
     /* 220665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 220668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 220671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 220674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 220677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220681 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1230:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (ADCLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 220681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADCLB_ZZZ_D),
     /* 220684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 220686 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220688 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220690 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220692 */     GIR_RootConstrainSelectedInstOperands,
     /* 220693 */     // GIR_Coverage, 3080,
     /* 220693 */     GIR_EraseRootFromParent_Done,
     /* 220694 */   // Label 4355: @220694
     /* 220694 */   GIM_Try, /*On fail goto*//*Label 4356*/ GIMT_Encode4(220736), // Rule ID 3090 //
     /* 220699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addhnt),
     /* 220707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 220710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 220713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 220716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 220719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220723 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1237:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (ADDHNT_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 220723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNT_ZZZ_B),
     /* 220726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 220728 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220730 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220732 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220734 */     GIR_RootConstrainSelectedInstOperands,
     /* 220735 */     // GIR_Coverage, 3090,
     /* 220735 */     GIR_EraseRootFromParent_Done,
     /* 220736 */   // Label 4356: @220736
     /* 220736 */   GIM_Try, /*On fail goto*//*Label 4357*/ GIMT_Encode4(220778), // Rule ID 3091 //
     /* 220741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addhnt),
     /* 220749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 220752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 220755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 220758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 220761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220765 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1237:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (ADDHNT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 220765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNT_ZZZ_H),
     /* 220768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 220770 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220772 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220774 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220776 */     GIR_RootConstrainSelectedInstOperands,
     /* 220777 */     // GIR_Coverage, 3091,
     /* 220777 */     GIR_EraseRootFromParent_Done,
     /* 220778 */   // Label 4357: @220778
     /* 220778 */   GIM_Try, /*On fail goto*//*Label 4358*/ GIMT_Encode4(220820), // Rule ID 3092 //
     /* 220783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addhnt),
     /* 220791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 220794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 220797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 220800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 220803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220807 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1237:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (ADDHNT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 220807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNT_ZZZ_S),
     /* 220810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 220812 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220814 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220816 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220818 */     GIR_RootConstrainSelectedInstOperands,
     /* 220819 */     // GIR_Coverage, 3092,
     /* 220819 */     GIR_EraseRootFromParent_Done,
     /* 220820 */   // Label 4358: @220820
     /* 220820 */   GIM_Try, /*On fail goto*//*Label 4359*/ GIMT_Encode4(220862), // Rule ID 3109 //
     /* 220825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 220828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cls),
     /* 220833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 220836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 220839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 220842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 220845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220849 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1296:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (CLS_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 220849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLS_ZPmZ_B),
     /* 220852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 220854 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 220856 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 220858 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 220860 */     GIR_RootConstrainSelectedInstOperands,
     /* 220861 */     // GIR_Coverage, 3109,
     /* 220861 */     GIR_EraseRootFromParent_Done,
     /* 220862 */   // Label 4359: @220862
     /* 220862 */   GIM_Try, /*On fail goto*//*Label 4360*/ GIMT_Encode4(220904), // Rule ID 3110 //
     /* 220867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 220870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cls),
     /* 220875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 220878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 220881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 220884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 220887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220891 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1296:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (CLS_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op3, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 220891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLS_ZPmZ_H),
     /* 220894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 220896 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 220898 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 220900 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 220902 */     GIR_RootConstrainSelectedInstOperands,
     /* 220903 */     // GIR_Coverage, 3110,
     /* 220903 */     GIR_EraseRootFromParent_Done,
     /* 220904 */   // Label 4360: @220904
     /* 220904 */   GIM_Try, /*On fail goto*//*Label 4361*/ GIMT_Encode4(220946), // Rule ID 3111 //
     /* 220909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 220912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cls),
     /* 220917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 220920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 220923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 220926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 220929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220933 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1296:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (CLS_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op3, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 220933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLS_ZPmZ_S),
     /* 220936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 220938 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 220940 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 220942 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 220944 */     GIR_RootConstrainSelectedInstOperands,
     /* 220945 */     // GIR_Coverage, 3111,
     /* 220945 */     GIR_EraseRootFromParent_Done,
     /* 220946 */   // Label 4361: @220946
     /* 220946 */   GIM_Try, /*On fail goto*//*Label 4362*/ GIMT_Encode4(220988), // Rule ID 3112 //
     /* 220951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 220954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cls),
     /* 220959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 220962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 220965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 220968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 220971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220975 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1296:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (CLS_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op3, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 220975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLS_ZPmZ_D),
     /* 220978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 220980 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 220982 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 220984 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 220986 */     GIR_RootConstrainSelectedInstOperands,
     /* 220987 */     // GIR_Coverage, 3112,
     /* 220987 */     GIR_EraseRootFromParent_Done,
     /* 220988 */   // Label 4362: @220988
     /* 220988 */   GIM_Try, /*On fail goto*//*Label 4363*/ GIMT_Encode4(221030), // Rule ID 3147 //
     /* 220993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eor3),
     /* 221001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 221004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 221007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 221010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 221013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221017 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1337:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (EOR3_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 221017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /* 221020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 221022 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221024 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221026 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221028 */     GIR_RootConstrainSelectedInstOperands,
     /* 221029 */     // GIR_Coverage, 3147,
     /* 221029 */     GIR_EraseRootFromParent_Done,
     /* 221030 */   // Label 4363: @221030
     /* 221030 */   GIM_Try, /*On fail goto*//*Label 4364*/ GIMT_Encode4(221072), // Rule ID 3149 //
     /* 221035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 221038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eor3),
     /* 221043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 221046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 221049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 221052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 221055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221059 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1337:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (EOR3_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 221059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /* 221062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 221064 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221066 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221068 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221070 */     GIR_RootConstrainSelectedInstOperands,
     /* 221071 */     // GIR_Coverage, 3149,
     /* 221071 */     GIR_EraseRootFromParent_Done,
     /* 221072 */   // Label 4364: @221072
     /* 221072 */   GIM_Try, /*On fail goto*//*Label 4365*/ GIMT_Encode4(221114), // Rule ID 3151 //
     /* 221077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 221080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eor3),
     /* 221085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 221088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 221091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 221094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 221097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221101 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1337:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (EOR3_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 221101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /* 221104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 221106 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221108 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221110 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221112 */     GIR_RootConstrainSelectedInstOperands,
     /* 221113 */     // GIR_Coverage, 3151,
     /* 221113 */     GIR_EraseRootFromParent_Done,
     /* 221114 */   // Label 4365: @221114
     /* 221114 */   GIM_Try, /*On fail goto*//*Label 4366*/ GIMT_Encode4(221156), // Rule ID 3153 //
     /* 221119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 221122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eor3),
     /* 221127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 221130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 221133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 221136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221143 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1337:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (EOR3_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 221143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /* 221146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 221148 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221150 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221152 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221154 */     GIR_RootConstrainSelectedInstOperands,
     /* 221155 */     // GIR_Coverage, 3153,
     /* 221155 */     GIR_EraseRootFromParent_Done,
     /* 221156 */   // Label 4366: @221156
     /* 221156 */   GIM_Try, /*On fail goto*//*Label 4367*/ GIMT_Encode4(221201), // Rule ID 3192 //
     /* 221161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpeq_wide),
     /* 221169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 221172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 221175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 221178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 221185 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1301:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPEQ_WIDE_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 221185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_WIDE_PPzZZ_B),
     /* 221188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 221190 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221192 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221194 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221196 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 221199 */     GIR_RootConstrainSelectedInstOperands,
     /* 221200 */     // GIR_Coverage, 3192,
     /* 221200 */     GIR_EraseRootFromParent_Done,
     /* 221201 */   // Label 4367: @221201
     /* 221201 */   GIM_Try, /*On fail goto*//*Label 4368*/ GIMT_Encode4(221246), // Rule ID 3193 //
     /* 221206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpeq_wide),
     /* 221214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 221217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 221220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 221223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 221230 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1301:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPEQ_WIDE_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 221230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_WIDE_PPzZZ_H),
     /* 221233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 221235 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221237 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221239 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221241 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 221244 */     GIR_RootConstrainSelectedInstOperands,
     /* 221245 */     // GIR_Coverage, 3193,
     /* 221245 */     GIR_EraseRootFromParent_Done,
     /* 221246 */   // Label 4368: @221246
     /* 221246 */   GIM_Try, /*On fail goto*//*Label 4369*/ GIMT_Encode4(221291), // Rule ID 3194 //
     /* 221251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpeq_wide),
     /* 221259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 221262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 221265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 221268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 221275 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1301:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPEQ_WIDE_PPzZZ_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 221275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_WIDE_PPzZZ_S),
     /* 221278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 221280 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221282 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221284 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221286 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 221289 */     GIR_RootConstrainSelectedInstOperands,
     /* 221290 */     // GIR_Coverage, 3194,
     /* 221290 */     GIR_EraseRootFromParent_Done,
     /* 221291 */   // Label 4369: @221291
     /* 221291 */   GIM_Try, /*On fail goto*//*Label 4370*/ GIMT_Encode4(221336), // Rule ID 3195 //
     /* 221296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpge_wide),
     /* 221304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 221307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 221310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 221313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 221320 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1303:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPGE_WIDE_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 221320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPGE_WIDE_PPzZZ_B),
     /* 221323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 221325 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221327 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221329 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221331 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 221334 */     GIR_RootConstrainSelectedInstOperands,
     /* 221335 */     // GIR_Coverage, 3195,
     /* 221335 */     GIR_EraseRootFromParent_Done,
     /* 221336 */   // Label 4370: @221336
     /* 221336 */   GIM_Try, /*On fail goto*//*Label 4371*/ GIMT_Encode4(221381), // Rule ID 3196 //
     /* 221341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpge_wide),
     /* 221349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 221352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 221355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 221358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 221365 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1303:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPGE_WIDE_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 221365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPGE_WIDE_PPzZZ_H),
     /* 221368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 221370 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221372 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221374 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221376 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 221379 */     GIR_RootConstrainSelectedInstOperands,
     /* 221380 */     // GIR_Coverage, 3196,
     /* 221380 */     GIR_EraseRootFromParent_Done,
     /* 221381 */   // Label 4371: @221381
     /* 221381 */   GIM_Try, /*On fail goto*//*Label 4372*/ GIMT_Encode4(221426), // Rule ID 3197 //
     /* 221386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpge_wide),
     /* 221394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 221397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 221400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 221403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 221410 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1303:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPGE_WIDE_PPzZZ_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 221410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPGE_WIDE_PPzZZ_S),
     /* 221413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 221415 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221417 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221419 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221421 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 221424 */     GIR_RootConstrainSelectedInstOperands,
     /* 221425 */     // GIR_Coverage, 3197,
     /* 221425 */     GIR_EraseRootFromParent_Done,
     /* 221426 */   // Label 4372: @221426
     /* 221426 */   GIM_Try, /*On fail goto*//*Label 4373*/ GIMT_Encode4(221468), // Rule ID 3252 //
     /* 221431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_facge),
     /* 221439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 221442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 221445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 221448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 221451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 221455 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1347:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FACGE_PPzZZ_H:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 221455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGE_PPzZZ_H),
     /* 221458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 221460 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221462 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221464 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221466 */     GIR_RootConstrainSelectedInstOperands,
     /* 221467 */     // GIR_Coverage, 3252,
     /* 221467 */     GIR_EraseRootFromParent_Done,
     /* 221468 */   // Label 4373: @221468
     /* 221468 */   GIM_Try, /*On fail goto*//*Label 4374*/ GIMT_Encode4(221510), // Rule ID 3253 //
     /* 221473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_facge),
     /* 221481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 221484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 221487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 221490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 221493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 221497 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1347:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FACGE_PPzZZ_S:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 221497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGE_PPzZZ_S),
     /* 221500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 221502 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221504 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221506 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221508 */     GIR_RootConstrainSelectedInstOperands,
     /* 221509 */     // GIR_Coverage, 3253,
     /* 221509 */     GIR_EraseRootFromParent_Done,
     /* 221510 */   // Label 4374: @221510
     /* 221510 */   GIM_Try, /*On fail goto*//*Label 4375*/ GIMT_Encode4(221552), // Rule ID 3254 //
     /* 221515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_facge),
     /* 221523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 221526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 221529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 221532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 221539 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1347:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FACGE_PPzZZ_D:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 221539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGE_PPzZZ_D),
     /* 221542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 221544 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221546 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221548 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221550 */     GIR_RootConstrainSelectedInstOperands,
     /* 221551 */     // GIR_Coverage, 3254,
     /* 221551 */     GIR_EraseRootFromParent_Done,
     /* 221552 */   // Label 4375: @221552
     /* 221552 */   GIM_Try, /*On fail goto*//*Label 4376*/ GIMT_Encode4(221594), // Rule ID 3306 //
     /* 221557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_asr),
     /* 221565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 221568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 221571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 221574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 221577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221581 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1253:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (ASR_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 221581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASR_ZPmZ_B),
     /* 221584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 221586 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221588 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221590 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221592 */     GIR_RootConstrainSelectedInstOperands,
     /* 221593 */     // GIR_Coverage, 3306,
     /* 221593 */     GIR_EraseRootFromParent_Done,
     /* 221594 */   // Label 4376: @221594
     /* 221594 */   GIM_Try, /*On fail goto*//*Label 4377*/ GIMT_Encode4(221636), // Rule ID 3307 //
     /* 221599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_asr),
     /* 221607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 221610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 221613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 221616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 221619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221623 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1253:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (ASR_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 221623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASR_ZPmZ_H),
     /* 221626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 221628 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221630 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221632 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221634 */     GIR_RootConstrainSelectedInstOperands,
     /* 221635 */     // GIR_Coverage, 3307,
     /* 221635 */     GIR_EraseRootFromParent_Done,
     /* 221636 */   // Label 4377: @221636
     /* 221636 */   GIM_Try, /*On fail goto*//*Label 4378*/ GIMT_Encode4(221678), // Rule ID 3308 //
     /* 221641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_asr),
     /* 221649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 221652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 221655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 221658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 221661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221665 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1253:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (ASR_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 221665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASR_ZPmZ_S),
     /* 221668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 221670 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221672 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221674 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221676 */     GIR_RootConstrainSelectedInstOperands,
     /* 221677 */     // GIR_Coverage, 3308,
     /* 221677 */     GIR_EraseRootFromParent_Done,
     /* 221678 */   // Label 4378: @221678
     /* 221678 */   GIM_Try, /*On fail goto*//*Label 4379*/ GIMT_Encode4(221720), // Rule ID 3309 //
     /* 221683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_asr),
     /* 221691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 221694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 221697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 221700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221707 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1253:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (ASR_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 221707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASR_ZPmZ_D),
     /* 221710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 221712 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221714 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221716 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221718 */     GIR_RootConstrainSelectedInstOperands,
     /* 221719 */     // GIR_Coverage, 3309,
     /* 221719 */     GIR_EraseRootFromParent_Done,
     /* 221720 */   // Label 4379: @221720
     /* 221720 */   GIM_Try, /*On fail goto*//*Label 4380*/ GIMT_Encode4(221762), // Rule ID 3318 //
     /* 221725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_asr_wide),
     /* 221733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 221736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 221739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 221742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221749 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1255:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (ASR_WIDE_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 221749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASR_WIDE_ZPmZ_B),
     /* 221752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 221754 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221756 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221758 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221760 */     GIR_RootConstrainSelectedInstOperands,
     /* 221761 */     // GIR_Coverage, 3318,
     /* 221761 */     GIR_EraseRootFromParent_Done,
     /* 221762 */   // Label 4380: @221762
     /* 221762 */   GIM_Try, /*On fail goto*//*Label 4381*/ GIMT_Encode4(221804), // Rule ID 3319 //
     /* 221767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_asr_wide),
     /* 221775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 221778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 221781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 221784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221791 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1255:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (ASR_WIDE_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 221791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASR_WIDE_ZPmZ_H),
     /* 221794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 221796 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221798 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221800 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221802 */     GIR_RootConstrainSelectedInstOperands,
     /* 221803 */     // GIR_Coverage, 3319,
     /* 221803 */     GIR_EraseRootFromParent_Done,
     /* 221804 */   // Label 4381: @221804
     /* 221804 */   GIM_Try, /*On fail goto*//*Label 4382*/ GIMT_Encode4(221846), // Rule ID 3320 //
     /* 221809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_asr_wide),
     /* 221817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 221820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 221823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 221826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221833 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1255:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (ASR_WIDE_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 221833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASR_WIDE_ZPmZ_S),
     /* 221836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 221838 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221840 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221842 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221844 */     GIR_RootConstrainSelectedInstOperands,
     /* 221845 */     // GIR_Coverage, 3320,
     /* 221845 */     GIR_EraseRootFromParent_Done,
     /* 221846 */   // Label 4382: @221846
     /* 221846 */   GIM_Try, /*On fail goto*//*Label 4383*/ GIMT_Encode4(221888), // Rule ID 3359 //
     /* 221851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clasta),
     /* 221859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 221862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 221865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 221868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 221871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221875 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1292:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (CLASTA_ZPZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 221875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTA_ZPZ_B),
     /* 221878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 221880 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221882 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221884 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221886 */     GIR_RootConstrainSelectedInstOperands,
     /* 221887 */     // GIR_Coverage, 3359,
     /* 221887 */     GIR_EraseRootFromParent_Done,
     /* 221888 */   // Label 4383: @221888
     /* 221888 */   GIM_Try, /*On fail goto*//*Label 4384*/ GIMT_Encode4(221930), // Rule ID 3360 //
     /* 221893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clasta),
     /* 221901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 221904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 221907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 221910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 221913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221917 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1292:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (CLASTA_ZPZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 221917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTA_ZPZ_H),
     /* 221920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 221922 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221924 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221926 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221928 */     GIR_RootConstrainSelectedInstOperands,
     /* 221929 */     // GIR_Coverage, 3360,
     /* 221929 */     GIR_EraseRootFromParent_Done,
     /* 221930 */   // Label 4384: @221930
     /* 221930 */   GIM_Try, /*On fail goto*//*Label 4385*/ GIMT_Encode4(221972), // Rule ID 3361 //
     /* 221935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clasta),
     /* 221943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 221946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 221949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 221952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 221955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221959 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1292:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (CLASTA_ZPZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 221959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTA_ZPZ_S),
     /* 221962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 221964 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221966 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221968 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221970 */     GIR_RootConstrainSelectedInstOperands,
     /* 221971 */     // GIR_Coverage, 3361,
     /* 221971 */     GIR_EraseRootFromParent_Done,
     /* 221972 */   // Label 4385: @221972
     /* 221972 */   GIM_Try, /*On fail goto*//*Label 4386*/ GIMT_Encode4(222014), // Rule ID 3362 //
     /* 221977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clasta),
     /* 221985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 221988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 221991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 221994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222001 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1292:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CLASTA_ZPZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 222001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTA_ZPZ_D),
     /* 222004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222006 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222008 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222010 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222012 */     GIR_RootConstrainSelectedInstOperands,
     /* 222013 */     // GIR_Coverage, 3362,
     /* 222013 */     GIR_EraseRootFromParent_Done,
     /* 222014 */   // Label 4386: @222014
     /* 222014 */   GIM_Try, /*On fail goto*//*Label 4387*/ GIMT_Encode4(222056), // Rule ID 3363 //
     /* 222019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clasta),
     /* 222027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 222030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 222033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 222036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 222039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222043 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1292:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (CLASTA_ZPZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 222043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTA_ZPZ_H),
     /* 222046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222048 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222050 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222052 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222054 */     GIR_RootConstrainSelectedInstOperands,
     /* 222055 */     // GIR_Coverage, 3363,
     /* 222055 */     GIR_EraseRootFromParent_Done,
     /* 222056 */   // Label 4387: @222056
     /* 222056 */   GIM_Try, /*On fail goto*//*Label 4388*/ GIMT_Encode4(222098), // Rule ID 3364 //
     /* 222061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clasta),
     /* 222069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 222072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 222075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 222078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 222081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222085 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1292:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (CLASTA_ZPZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 222085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTA_ZPZ_S),
     /* 222088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222090 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222092 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222094 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222096 */     GIR_RootConstrainSelectedInstOperands,
     /* 222097 */     // GIR_Coverage, 3364,
     /* 222097 */     GIR_EraseRootFromParent_Done,
     /* 222098 */   // Label 4388: @222098
     /* 222098 */   GIM_Try, /*On fail goto*//*Label 4389*/ GIMT_Encode4(222140), // Rule ID 3365 //
     /* 222103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clasta),
     /* 222111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 222114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 222117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 222120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 222123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222127 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1292:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (CLASTA_ZPZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 222127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTA_ZPZ_D),
     /* 222130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222132 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222134 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222136 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222138 */     GIR_RootConstrainSelectedInstOperands,
     /* 222139 */     // GIR_Coverage, 3365,
     /* 222139 */     GIR_EraseRootFromParent_Done,
     /* 222140 */   // Label 4389: @222140
     /* 222140 */   GIM_Try, /*On fail goto*//*Label 4390*/ GIMT_Encode4(222182), // Rule ID 3448 //
     /* 222145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_brkpa_z),
     /* 222153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 222156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 222159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 222162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 222165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 222169 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1284:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (BRKPA_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 222169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BRKPA_PPzPP),
     /* 222172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 222174 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222176 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222178 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222180 */     GIR_RootConstrainSelectedInstOperands,
     /* 222181 */     // GIR_Coverage, 3448,
     /* 222181 */     GIR_EraseRootFromParent_Done,
     /* 222182 */   // Label 4390: @222182
     /* 222182 */   GIM_Try, /*On fail goto*//*Label 4391*/ GIMT_Encode4(222224), // Rule ID 3449 //
     /* 222187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_brkn_z),
     /* 222195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 222198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 222201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 222204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 222207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 222211 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1283:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (BRKN_PPzP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 222211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BRKN_PPzP),
     /* 222214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pdm]
     /* 222216 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222218 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222220 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222222 */     GIR_RootConstrainSelectedInstOperands,
     /* 222223 */     // GIR_Coverage, 3449,
     /* 222223 */     GIR_EraseRootFromParent_Done,
     /* 222224 */   // Label 4391: @222224
     /* 222224 */   GIM_Try, /*On fail goto*//*Label 4392*/ GIMT_Encode4(222266), // Rule ID 3450 //
     /* 222229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_brka),
     /* 222237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 222240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 222243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 222246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 222249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 222253 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1279:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (BRKA_PPmP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 222253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BRKA_PPmP),
     /* 222256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 222258 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222260 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222262 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222264 */     GIR_RootConstrainSelectedInstOperands,
     /* 222265 */     // GIR_Coverage, 3450,
     /* 222265 */     GIR_EraseRootFromParent_Done,
     /* 222266 */   // Label 4392: @222266
     /* 222266 */   GIM_Try, /*On fail goto*//*Label 4393*/ GIMT_Encode4(222311), // Rule ID 3452 //
     /* 222271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2),
     /* 222274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_match),
     /* 222279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 222282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 222285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 222288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 222291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 222295 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1586:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (MATCH_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 222295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MATCH_PPzZZ_B),
     /* 222298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 222300 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222302 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222304 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222306 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 222309 */     GIR_RootConstrainSelectedInstOperands,
     /* 222310 */     // GIR_Coverage, 3452,
     /* 222310 */     GIR_EraseRootFromParent_Done,
     /* 222311 */   // Label 4393: @222311
     /* 222311 */   GIM_Try, /*On fail goto*//*Label 4394*/ GIMT_Encode4(222356), // Rule ID 3453 //
     /* 222316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2),
     /* 222319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_match),
     /* 222324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 222327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 222330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 222333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 222336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 222340 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1586:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (MATCH_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 222340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MATCH_PPzZZ_H),
     /* 222343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 222345 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222347 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222349 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222351 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 222354 */     GIR_RootConstrainSelectedInstOperands,
     /* 222355 */     // GIR_Coverage, 3453,
     /* 222355 */     GIR_EraseRootFromParent_Done,
     /* 222356 */   // Label 4394: @222356
     /* 222356 */   GIM_Try, /*On fail goto*//*Label 4395*/ GIMT_Encode4(222398), // Rule ID 3454 //
     /* 222361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2),
     /* 222364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_histcnt),
     /* 222369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 222372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 222375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 222378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 222381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222385 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1531:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (HISTCNT_ZPzZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 222385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::HISTCNT_ZPzZZ_S),
     /* 222388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 222390 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222392 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222394 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222396 */     GIR_RootConstrainSelectedInstOperands,
     /* 222397 */     // GIR_Coverage, 3454,
     /* 222397 */     GIR_EraseRootFromParent_Done,
     /* 222398 */   // Label 4395: @222398
     /* 222398 */   GIM_Try, /*On fail goto*//*Label 4396*/ GIMT_Encode4(222440), // Rule ID 3455 //
     /* 222403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2),
     /* 222406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_histcnt),
     /* 222411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 222414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 222417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 222420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 222423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222427 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1531:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (HISTCNT_ZPzZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 222427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::HISTCNT_ZPzZZ_D),
     /* 222430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 222432 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222434 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222436 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222438 */     GIR_RootConstrainSelectedInstOperands,
     /* 222439 */     // GIR_Coverage, 3455,
     /* 222439 */     GIR_EraseRootFromParent_Done,
     /* 222440 */   // Label 4396: @222440
     /* 222440 */   GIM_Try, /*On fail goto*//*Label 4397*/ GIMT_Encode4(222482), // Rule ID 3460 //
     /* 222445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulInt8_HasSVE),
     /* 222448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smmla),
     /* 222453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 222456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 222459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 222462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 222465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222469 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1737:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SMMLA_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 222469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMMLA_ZZZ),
     /* 222472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 222474 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222476 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222478 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222480 */     GIR_RootConstrainSelectedInstOperands,
     /* 222481 */     // GIR_Coverage, 3460,
     /* 222481 */     GIR_EraseRootFromParent_Done,
     /* 222482 */   // Label 4397: @222482
     /* 222482 */   GIM_Try, /*On fail goto*//*Label 4398*/ GIMT_Encode4(222524), // Rule ID 3499 //
     /* 222487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2),
     /* 222490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fclamp),
     /* 222495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 222498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 222501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 222504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 222507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222511 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1360:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FCLAMP_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 222511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCLAMP_ZZZ_H),
     /* 222514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 222516 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222518 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222520 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222522 */     GIR_RootConstrainSelectedInstOperands,
     /* 222523 */     // GIR_Coverage, 3499,
     /* 222523 */     GIR_EraseRootFromParent_Done,
     /* 222524 */   // Label 4398: @222524
     /* 222524 */   GIM_Try, /*On fail goto*//*Label 4399*/ GIMT_Encode4(222566), // Rule ID 3501 //
     /* 222529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2),
     /* 222532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fclamp),
     /* 222537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 222540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 222543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 222546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 222549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222553 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1360:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FCLAMP_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 222553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCLAMP_ZZZ_S),
     /* 222556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 222558 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222560 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222562 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222564 */     GIR_RootConstrainSelectedInstOperands,
     /* 222565 */     // GIR_Coverage, 3501,
     /* 222565 */     GIR_EraseRootFromParent_Done,
     /* 222566 */   // Label 4399: @222566
     /* 222566 */   GIM_Try, /*On fail goto*//*Label 4400*/ GIMT_Encode4(222608), // Rule ID 3503 //
     /* 222571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2),
     /* 222574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fclamp),
     /* 222579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 222582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 222585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 222588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 222591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222595 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1360:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FCLAMP_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 222595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCLAMP_ZZZ_D),
     /* 222598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 222600 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222602 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222604 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222606 */     GIR_RootConstrainSelectedInstOperands,
     /* 222607 */     // GIR_Coverage, 3503,
     /* 222607 */     GIR_EraseRootFromParent_Done,
     /* 222608 */   // Label 4400: @222608
     /* 222608 */   GIM_Try, /*On fail goto*//*Label 4401*/ GIMT_Encode4(222650), // Rule ID 3505 //
     /* 222613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2),
     /* 222616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sdot_x2),
     /* 222621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 222624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 222627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 222630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 222633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222637 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1698:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SDOT_ZZZ_HtoS:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 222637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDOT_ZZZ_HtoS),
     /* 222640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 222642 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222644 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222646 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222648 */     GIR_RootConstrainSelectedInstOperands,
     /* 222649 */     // GIR_Coverage, 3505,
     /* 222649 */     GIR_EraseRootFromParent_Done,
     /* 222650 */   // Label 4401: @222650
     /* 222650 */   GIM_Try, /*On fail goto*//*Label 4402*/ GIMT_Encode4(222692), // Rule ID 3632 //
     /* 222655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 222658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sclamp),
     /* 222663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 222666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 222669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 222672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 222675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222679 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1682:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SCLAMP_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 222679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCLAMP_ZZZ_B),
     /* 222682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 222684 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222686 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222688 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222690 */     GIR_RootConstrainSelectedInstOperands,
     /* 222691 */     // GIR_Coverage, 3632,
     /* 222691 */     GIR_EraseRootFromParent_Done,
     /* 222692 */   // Label 4402: @222692
     /* 222692 */   GIM_Try, /*On fail goto*//*Label 4403*/ GIMT_Encode4(222734), // Rule ID 3634 //
     /* 222697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 222700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sclamp),
     /* 222705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 222708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 222711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 222714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 222717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222721 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1682:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SCLAMP_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 222721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCLAMP_ZZZ_H),
     /* 222724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 222726 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222728 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222730 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222732 */     GIR_RootConstrainSelectedInstOperands,
     /* 222733 */     // GIR_Coverage, 3634,
     /* 222733 */     GIR_EraseRootFromParent_Done,
     /* 222734 */   // Label 4403: @222734
     /* 222734 */   GIM_Try, /*On fail goto*//*Label 4404*/ GIMT_Encode4(222776), // Rule ID 3636 //
     /* 222739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 222742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sclamp),
     /* 222747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 222750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 222753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 222756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 222759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222763 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1682:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SCLAMP_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 222763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCLAMP_ZZZ_S),
     /* 222766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 222768 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222770 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222772 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222774 */     GIR_RootConstrainSelectedInstOperands,
     /* 222775 */     // GIR_Coverage, 3636,
     /* 222775 */     GIR_EraseRootFromParent_Done,
     /* 222776 */   // Label 4404: @222776
     /* 222776 */   GIM_Try, /*On fail goto*//*Label 4405*/ GIMT_Encode4(222818), // Rule ID 3638 //
     /* 222781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 222784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sclamp),
     /* 222789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 222792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 222795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 222798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 222801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222805 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1682:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SCLAMP_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 222805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCLAMP_ZZZ_D),
     /* 222808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 222810 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222812 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222814 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222816 */     GIR_RootConstrainSelectedInstOperands,
     /* 222817 */     // GIR_Coverage, 3638,
     /* 222817 */     GIR_EraseRootFromParent_Done,
     /* 222818 */   // Label 4405: @222818
     /* 222818 */   GIM_Try, /*On fail goto*//*Label 4406*/ GIMT_Encode4(222860), // Rule ID 7435 //
     /* 222823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_subr),
     /* 222831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 222834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 222837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 222840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 222843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222847 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1891:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SUBR_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 222847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBR_ZPmZ_B),
     /* 222850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222852 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222854 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222856 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222858 */     GIR_RootConstrainSelectedInstOperands,
     /* 222859 */     // GIR_Coverage, 7435,
     /* 222859 */     GIR_EraseRootFromParent_Done,
     /* 222860 */   // Label 4406: @222860
     /* 222860 */   GIM_Try, /*On fail goto*//*Label 4407*/ GIMT_Encode4(222902), // Rule ID 7437 //
     /* 222865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_subr),
     /* 222873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 222876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 222879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 222882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 222885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222889 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1891:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SUBR_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 222889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBR_ZPmZ_H),
     /* 222892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222894 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222896 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222898 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222900 */     GIR_RootConstrainSelectedInstOperands,
     /* 222901 */     // GIR_Coverage, 7437,
     /* 222901 */     GIR_EraseRootFromParent_Done,
     /* 222902 */   // Label 4407: @222902
     /* 222902 */   GIM_Try, /*On fail goto*//*Label 4408*/ GIMT_Encode4(222944), // Rule ID 7439 //
     /* 222907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_subr),
     /* 222915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 222918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 222921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 222924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 222927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222931 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1891:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SUBR_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 222931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBR_ZPmZ_S),
     /* 222934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222936 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222938 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222940 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222942 */     GIR_RootConstrainSelectedInstOperands,
     /* 222943 */     // GIR_Coverage, 7439,
     /* 222943 */     GIR_EraseRootFromParent_Done,
     /* 222944 */   // Label 4408: @222944
     /* 222944 */   GIM_Try, /*On fail goto*//*Label 4409*/ GIMT_Encode4(222986), // Rule ID 7441 //
     /* 222949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_subr),
     /* 222957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 222960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 222963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 222966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 222969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222973 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1891:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SUBR_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 222973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBR_ZPmZ_D),
     /* 222976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222978 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222980 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222982 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222984 */     GIR_RootConstrainSelectedInstOperands,
     /* 222985 */     // GIR_Coverage, 7441,
     /* 222985 */     GIR_EraseRootFromParent_Done,
     /* 222986 */   // Label 4409: @222986
     /* 222986 */   GIM_Try, /*On fail goto*//*Label 4410*/ GIMT_Encode4(223028), // Rule ID 7459 //
     /* 222991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bic),
     /* 222999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 223002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 223005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 223008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 223011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223015 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1276:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (BIC_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 223015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZPmZ_B),
     /* 223018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 223020 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223022 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223024 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223026 */     GIR_RootConstrainSelectedInstOperands,
     /* 223027 */     // GIR_Coverage, 7459,
     /* 223027 */     GIR_EraseRootFromParent_Done,
     /* 223028 */   // Label 4410: @223028
     /* 223028 */   GIM_Try, /*On fail goto*//*Label 4411*/ GIMT_Encode4(223070), // Rule ID 7460 //
     /* 223033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bic),
     /* 223041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 223044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 223047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 223050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 223053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223057 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1276:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (BIC_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 223057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZPmZ_H),
     /* 223060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 223062 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223064 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223066 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223068 */     GIR_RootConstrainSelectedInstOperands,
     /* 223069 */     // GIR_Coverage, 7460,
     /* 223069 */     GIR_EraseRootFromParent_Done,
     /* 223070 */   // Label 4411: @223070
     /* 223070 */   GIM_Try, /*On fail goto*//*Label 4412*/ GIMT_Encode4(223112), // Rule ID 7461 //
     /* 223075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bic),
     /* 223083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 223086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 223089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 223092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 223095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223099 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1276:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (BIC_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 223099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZPmZ_S),
     /* 223102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 223104 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223106 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223108 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223110 */     GIR_RootConstrainSelectedInstOperands,
     /* 223111 */     // GIR_Coverage, 7461,
     /* 223111 */     GIR_EraseRootFromParent_Done,
     /* 223112 */   // Label 4412: @223112
     /* 223112 */   GIM_Try, /*On fail goto*//*Label 4413*/ GIMT_Encode4(223154), // Rule ID 7462 //
     /* 223117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bic),
     /* 223125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 223128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 223131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 223134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 223137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223141 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1276:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (BIC_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 223141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZPmZ_D),
     /* 223144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 223146 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223148 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223150 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223152 */     GIR_RootConstrainSelectedInstOperands,
     /* 223153 */     // GIR_Coverage, 7462,
     /* 223153 */     GIR_EraseRootFromParent_Done,
     /* 223154 */   // Label 4413: @223154
     /* 223154 */   GIM_Try, /*On fail goto*//*Label 4414*/ GIMT_Encode4(223196), // Rule ID 7575 //
     /* 223159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smulh),
     /* 223167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 223170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 223173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 223176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 223179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223183 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1738:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SMULH_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 223183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULH_ZPmZ_B),
     /* 223186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 223188 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223190 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223192 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223194 */     GIR_RootConstrainSelectedInstOperands,
     /* 223195 */     // GIR_Coverage, 7575,
     /* 223195 */     GIR_EraseRootFromParent_Done,
     /* 223196 */   // Label 4414: @223196
     /* 223196 */   GIM_Try, /*On fail goto*//*Label 4415*/ GIMT_Encode4(223238), // Rule ID 7576 //
     /* 223201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smulh),
     /* 223209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 223212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 223215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 223218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 223221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223225 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1738:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SMULH_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 223225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULH_ZPmZ_H),
     /* 223228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 223230 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223232 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223234 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223236 */     GIR_RootConstrainSelectedInstOperands,
     /* 223237 */     // GIR_Coverage, 7576,
     /* 223237 */     GIR_EraseRootFromParent_Done,
     /* 223238 */   // Label 4415: @223238
     /* 223238 */   GIM_Try, /*On fail goto*//*Label 4416*/ GIMT_Encode4(223280), // Rule ID 7577 //
     /* 223243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smulh),
     /* 223251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 223254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 223257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 223260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 223263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223267 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1738:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SMULH_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 223267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULH_ZPmZ_S),
     /* 223270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 223272 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223274 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223276 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223278 */     GIR_RootConstrainSelectedInstOperands,
     /* 223279 */     // GIR_Coverage, 7577,
     /* 223279 */     GIR_EraseRootFromParent_Done,
     /* 223280 */   // Label 4416: @223280
     /* 223280 */   GIM_Try, /*On fail goto*//*Label 4417*/ GIMT_Encode4(223322), // Rule ID 7578 //
     /* 223285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smulh),
     /* 223293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 223296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 223299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 223302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 223305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223309 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1738:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SMULH_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 223309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULH_ZPmZ_D),
     /* 223312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 223314 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223316 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223318 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223320 */     GIR_RootConstrainSelectedInstOperands,
     /* 223321 */     // GIR_Coverage, 7578,
     /* 223321 */     GIR_EraseRootFromParent_Done,
     /* 223322 */   // Label 4417: @223322
     /* 223322 */   GIM_Try, /*On fail goto*//*Label 4418*/ GIMT_Encode4(223364), // Rule ID 7579 //
     /* 223327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umulh),
     /* 223335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 223338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 223341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 223344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 223347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223351 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1976:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UMULH_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 223351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULH_ZPmZ_B),
     /* 223354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 223356 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223358 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223360 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223362 */     GIR_RootConstrainSelectedInstOperands,
     /* 223363 */     // GIR_Coverage, 7579,
     /* 223363 */     GIR_EraseRootFromParent_Done,
     /* 223364 */   // Label 4418: @223364
     /* 223364 */   GIM_Try, /*On fail goto*//*Label 4419*/ GIMT_Encode4(223406), // Rule ID 7580 //
     /* 223369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umulh),
     /* 223377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 223380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 223383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 223386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 223389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223393 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1976:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UMULH_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 223393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULH_ZPmZ_H),
     /* 223396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 223398 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223400 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223402 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223404 */     GIR_RootConstrainSelectedInstOperands,
     /* 223405 */     // GIR_Coverage, 7580,
     /* 223405 */     GIR_EraseRootFromParent_Done,
     /* 223406 */   // Label 4419: @223406
     /* 223406 */   GIM_Try, /*On fail goto*//*Label 4420*/ GIMT_Encode4(223448), // Rule ID 7581 //
     /* 223411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umulh),
     /* 223419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 223422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 223425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 223428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 223431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223435 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1976:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UMULH_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 223435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULH_ZPmZ_S),
     /* 223438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 223440 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223442 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223444 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223446 */     GIR_RootConstrainSelectedInstOperands,
     /* 223447 */     // GIR_Coverage, 7581,
     /* 223447 */     GIR_EraseRootFromParent_Done,
     /* 223448 */   // Label 4420: @223448
     /* 223448 */   GIM_Try, /*On fail goto*//*Label 4421*/ GIMT_Encode4(223490), // Rule ID 7582 //
     /* 223453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umulh),
     /* 223461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 223464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 223467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 223470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 223473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223477 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1976:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UMULH_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 223477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULH_ZPmZ_D),
     /* 223480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 223482 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223484 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223486 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223488 */     GIR_RootConstrainSelectedInstOperands,
     /* 223489 */     // GIR_Coverage, 7582,
     /* 223489 */     GIR_EraseRootFromParent_Done,
     /* 223490 */   // Label 4421: @223490
     /* 223490 */   GIM_Try, /*On fail goto*//*Label 4422*/ GIMT_Encode4(223532), // Rule ID 7591 //
     /* 223495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_udiv),
     /* 223503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 223506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 223509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 223512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 223515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223519 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1939:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UDIV_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 223519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDIV_ZPmZ_S),
     /* 223522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 223524 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223526 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223528 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223530 */     GIR_RootConstrainSelectedInstOperands,
     /* 223531 */     // GIR_Coverage, 7591,
     /* 223531 */     GIR_EraseRootFromParent_Done,
     /* 223532 */   // Label 4422: @223532
     /* 223532 */   GIM_Try, /*On fail goto*//*Label 4423*/ GIMT_Encode4(223574), // Rule ID 7592 //
     /* 223537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_udiv),
     /* 223545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 223548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 223551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 223554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 223557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223561 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1939:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UDIV_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 223561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDIV_ZPmZ_D),
     /* 223564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 223566 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223568 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223570 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223572 */     GIR_RootConstrainSelectedInstOperands,
     /* 223573 */     // GIR_Coverage, 7592,
     /* 223573 */     GIR_EraseRootFromParent_Done,
     /* 223574 */   // Label 4423: @223574
     /* 223574 */   GIM_Try, /*On fail goto*//*Label 4424*/ GIMT_Encode4(223616), // Rule ID 7593 //
     /* 223579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sdivr),
     /* 223587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 223590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 223593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 223596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 223599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223603 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1694:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SDIVR_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 223603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDIVR_ZPmZ_S),
     /* 223606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 223608 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223610 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223612 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223614 */     GIR_RootConstrainSelectedInstOperands,
     /* 223615 */     // GIR_Coverage, 7593,
     /* 223615 */     GIR_EraseRootFromParent_Done,
     /* 223616 */   // Label 4424: @223616
     /* 223616 */   GIM_Try, /*On fail goto*//*Label 4425*/ GIMT_Encode4(223658), // Rule ID 7594 //
     /* 223621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sdivr),
     /* 223629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 223632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 223635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 223638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 223641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223645 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1694:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SDIVR_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 223645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDIVR_ZPmZ_D),
     /* 223648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 223650 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223652 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223654 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223656 */     GIR_RootConstrainSelectedInstOperands,
     /* 223657 */     // GIR_Coverage, 7594,
     /* 223657 */     GIR_EraseRootFromParent_Done,
     /* 223658 */   // Label 4425: @223658
     /* 223658 */   GIM_Try, /*On fail goto*//*Label 4426*/ GIMT_Encode4(223700), // Rule ID 7595 //
     /* 223663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_udivr),
     /* 223671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 223674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 223677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 223680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 223683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223687 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1941:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UDIVR_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 223687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDIVR_ZPmZ_S),
     /* 223690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 223692 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223694 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223696 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223698 */     GIR_RootConstrainSelectedInstOperands,
     /* 223699 */     // GIR_Coverage, 7595,
     /* 223699 */     GIR_EraseRootFromParent_Done,
     /* 223700 */   // Label 4426: @223700
     /* 223700 */   GIM_Try, /*On fail goto*//*Label 4427*/ GIMT_Encode4(223742), // Rule ID 7596 //
     /* 223705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_udivr),
     /* 223713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 223716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 223719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 223722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 223725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223729 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1941:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UDIVR_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 223729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDIVR_ZPmZ_D),
     /* 223732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 223734 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223736 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223738 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223740 */     GIR_RootConstrainSelectedInstOperands,
     /* 223741 */     // GIR_Coverage, 7596,
     /* 223741 */     GIR_EraseRootFromParent_Done,
     /* 223742 */   // Label 4427: @223742
     /* 223742 */   GIM_Try, /*On fail goto*//*Label 4428*/ GIMT_Encode4(223784), // Rule ID 7681 //
     /* 223747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnot),
     /* 223755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 223758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 223761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 223764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 223767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223771 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1316:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (CNOT_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 223771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNOT_ZPmZ_B),
     /* 223774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 223776 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 223778 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 223780 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 223782 */     GIR_RootConstrainSelectedInstOperands,
     /* 223783 */     // GIR_Coverage, 7681,
     /* 223783 */     GIR_EraseRootFromParent_Done,
     /* 223784 */   // Label 4428: @223784
     /* 223784 */   GIM_Try, /*On fail goto*//*Label 4429*/ GIMT_Encode4(223826), // Rule ID 7682 //
     /* 223789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnot),
     /* 223797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 223800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 223803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 223806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 223809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223813 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1316:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (CNOT_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op3, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 223813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNOT_ZPmZ_H),
     /* 223816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 223818 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 223820 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 223822 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 223824 */     GIR_RootConstrainSelectedInstOperands,
     /* 223825 */     // GIR_Coverage, 7682,
     /* 223825 */     GIR_EraseRootFromParent_Done,
     /* 223826 */   // Label 4429: @223826
     /* 223826 */   GIM_Try, /*On fail goto*//*Label 4430*/ GIMT_Encode4(223868), // Rule ID 7683 //
     /* 223831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnot),
     /* 223839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 223842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 223845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 223848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 223851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223855 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1316:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (CNOT_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op3, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 223855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNOT_ZPmZ_S),
     /* 223858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 223860 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 223862 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 223864 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 223866 */     GIR_RootConstrainSelectedInstOperands,
     /* 223867 */     // GIR_Coverage, 7683,
     /* 223867 */     GIR_EraseRootFromParent_Done,
     /* 223868 */   // Label 4430: @223868
     /* 223868 */   GIM_Try, /*On fail goto*//*Label 4431*/ GIMT_Encode4(223910), // Rule ID 7684 //
     /* 223873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnot),
     /* 223881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 223884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 223887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 223890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 223893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223897 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1316:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (CNOT_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op3, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 223897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNOT_ZPmZ_D),
     /* 223900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 223902 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 223904 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 223906 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 223908 */     GIR_RootConstrainSelectedInstOperands,
     /* 223909 */     // GIR_Coverage, 7684,
     /* 223909 */     GIR_EraseRootFromParent_Done,
     /* 223910 */   // Label 4431: @223910
     /* 223910 */   GIM_Try, /*On fail goto*//*Label 4432*/ GIMT_Encode4(223952), // Rule ID 7693 //
     /* 223915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_not),
     /* 223923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 223926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 223929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 223932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 223935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223939 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1602:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (NOT_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 223939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOT_ZPmZ_B),
     /* 223942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 223944 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 223946 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 223948 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 223950 */     GIR_RootConstrainSelectedInstOperands,
     /* 223951 */     // GIR_Coverage, 7693,
     /* 223951 */     GIR_EraseRootFromParent_Done,
     /* 223952 */   // Label 4432: @223952
     /* 223952 */   GIM_Try, /*On fail goto*//*Label 4433*/ GIMT_Encode4(223994), // Rule ID 7694 //
     /* 223957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_not),
     /* 223965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 223968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 223971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 223974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 223977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223981 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1602:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (NOT_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op3, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 223981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOT_ZPmZ_H),
     /* 223984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 223986 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 223988 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 223990 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 223992 */     GIR_RootConstrainSelectedInstOperands,
     /* 223993 */     // GIR_Coverage, 7694,
     /* 223993 */     GIR_EraseRootFromParent_Done,
     /* 223994 */   // Label 4433: @223994
     /* 223994 */   GIM_Try, /*On fail goto*//*Label 4434*/ GIMT_Encode4(224036), // Rule ID 7695 //
     /* 223999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_not),
     /* 224007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 224010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 224013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 224016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 224019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224023 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1602:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (NOT_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op3, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 224023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOT_ZPmZ_S),
     /* 224026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 224028 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 224030 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 224032 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 224034 */     GIR_RootConstrainSelectedInstOperands,
     /* 224035 */     // GIR_Coverage, 7695,
     /* 224035 */     GIR_EraseRootFromParent_Done,
     /* 224036 */   // Label 4434: @224036
     /* 224036 */   GIM_Try, /*On fail goto*//*Label 4435*/ GIMT_Encode4(224078), // Rule ID 7696 //
     /* 224041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_not),
     /* 224049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 224052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 224055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 224058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 224061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224065 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1602:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (NOT_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op3, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 224065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOT_ZPmZ_D),
     /* 224068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 224070 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 224072 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 224074 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 224076 */     GIR_RootConstrainSelectedInstOperands,
     /* 224077 */     // GIR_Coverage, 7696,
     /* 224077 */     GIR_EraseRootFromParent_Done,
     /* 224078 */   // Label 4435: @224078
     /* 224078 */   GIM_Try, /*On fail goto*//*Label 4436*/ GIMT_Encode4(224120), // Rule ID 7775 //
     /* 224083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabd),
     /* 224091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 224094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 224097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 224100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 224103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224107 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1669:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SABD_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 224107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABD_ZPmZ_B),
     /* 224110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224112 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224114 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224116 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224118 */     GIR_RootConstrainSelectedInstOperands,
     /* 224119 */     // GIR_Coverage, 7775,
     /* 224119 */     GIR_EraseRootFromParent_Done,
     /* 224120 */   // Label 4436: @224120
     /* 224120 */   GIM_Try, /*On fail goto*//*Label 4437*/ GIMT_Encode4(224162), // Rule ID 7776 //
     /* 224125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabd),
     /* 224133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 224136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 224139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 224142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 224145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224149 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1669:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SABD_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 224149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABD_ZPmZ_H),
     /* 224152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224154 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224156 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224158 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224160 */     GIR_RootConstrainSelectedInstOperands,
     /* 224161 */     // GIR_Coverage, 7776,
     /* 224161 */     GIR_EraseRootFromParent_Done,
     /* 224162 */   // Label 4437: @224162
     /* 224162 */   GIM_Try, /*On fail goto*//*Label 4438*/ GIMT_Encode4(224204), // Rule ID 7777 //
     /* 224167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabd),
     /* 224175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 224178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 224181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 224184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 224187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224191 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1669:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SABD_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 224191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABD_ZPmZ_S),
     /* 224194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224196 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224198 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224200 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224202 */     GIR_RootConstrainSelectedInstOperands,
     /* 224203 */     // GIR_Coverage, 7777,
     /* 224203 */     GIR_EraseRootFromParent_Done,
     /* 224204 */   // Label 4438: @224204
     /* 224204 */   GIM_Try, /*On fail goto*//*Label 4439*/ GIMT_Encode4(224246), // Rule ID 7778 //
     /* 224209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabd),
     /* 224217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 224220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 224223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 224226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 224229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224233 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1669:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SABD_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 224233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABD_ZPmZ_D),
     /* 224236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224238 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224240 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224242 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224244 */     GIR_RootConstrainSelectedInstOperands,
     /* 224245 */     // GIR_Coverage, 7778,
     /* 224245 */     GIR_EraseRootFromParent_Done,
     /* 224246 */   // Label 4439: @224246
     /* 224246 */   GIM_Try, /*On fail goto*//*Label 4440*/ GIMT_Encode4(224288), // Rule ID 7779 //
     /* 224251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabd),
     /* 224259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 224262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 224265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 224268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 224271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224275 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1919:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UABD_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 224275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABD_ZPmZ_B),
     /* 224278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224280 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224282 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224284 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224286 */     GIR_RootConstrainSelectedInstOperands,
     /* 224287 */     // GIR_Coverage, 7779,
     /* 224287 */     GIR_EraseRootFromParent_Done,
     /* 224288 */   // Label 4440: @224288
     /* 224288 */   GIM_Try, /*On fail goto*//*Label 4441*/ GIMT_Encode4(224330), // Rule ID 7780 //
     /* 224293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabd),
     /* 224301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 224304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 224307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 224310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 224313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224317 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1919:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UABD_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 224317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABD_ZPmZ_H),
     /* 224320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224322 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224324 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224326 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224328 */     GIR_RootConstrainSelectedInstOperands,
     /* 224329 */     // GIR_Coverage, 7780,
     /* 224329 */     GIR_EraseRootFromParent_Done,
     /* 224330 */   // Label 4441: @224330
     /* 224330 */   GIM_Try, /*On fail goto*//*Label 4442*/ GIMT_Encode4(224372), // Rule ID 7781 //
     /* 224335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabd),
     /* 224343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 224346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 224349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 224352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 224355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224359 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1919:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UABD_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 224359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABD_ZPmZ_S),
     /* 224362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224364 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224366 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224368 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224370 */     GIR_RootConstrainSelectedInstOperands,
     /* 224371 */     // GIR_Coverage, 7781,
     /* 224371 */     GIR_EraseRootFromParent_Done,
     /* 224372 */   // Label 4442: @224372
     /* 224372 */   GIM_Try, /*On fail goto*//*Label 4443*/ GIMT_Encode4(224414), // Rule ID 7782 //
     /* 224377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabd),
     /* 224385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 224388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 224391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 224394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 224397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224401 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1919:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UABD_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 224401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABD_ZPmZ_D),
     /* 224404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224406 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224408 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224410 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224412 */     GIR_RootConstrainSelectedInstOperands,
     /* 224413 */     // GIR_Coverage, 7782,
     /* 224413 */     GIR_EraseRootFromParent_Done,
     /* 224414 */   // Label 4443: @224414
     /* 224414 */   GIM_Try, /*On fail goto*//*Label 4444*/ GIMT_Encode4(224456), // Rule ID 7978 //
     /* 224419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsub),
     /* 224427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 224430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 224433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 224436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 224439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224443 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1525:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FSUB_ZPmZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 224443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZPmZ_H),
     /* 224446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224448 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224450 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224452 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224454 */     GIR_RootConstrainSelectedInstOperands,
     /* 224455 */     // GIR_Coverage, 7978,
     /* 224455 */     GIR_EraseRootFromParent_Done,
     /* 224456 */   // Label 4444: @224456
     /* 224456 */   GIM_Try, /*On fail goto*//*Label 4445*/ GIMT_Encode4(224498), // Rule ID 7980 //
     /* 224461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsub),
     /* 224469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 224472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 224475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 224478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 224481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224485 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1525:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FSUB_ZPmZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 224485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZPmZ_S),
     /* 224488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224490 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224492 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224494 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224496 */     GIR_RootConstrainSelectedInstOperands,
     /* 224497 */     // GIR_Coverage, 7980,
     /* 224497 */     GIR_EraseRootFromParent_Done,
     /* 224498 */   // Label 4445: @224498
     /* 224498 */   GIM_Try, /*On fail goto*//*Label 4446*/ GIMT_Encode4(224540), // Rule ID 7982 //
     /* 224503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsub),
     /* 224511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 224514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 224517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 224520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 224523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224527 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1525:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FSUB_ZPmZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 224527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZPmZ_D),
     /* 224530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224532 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224534 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224536 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224538 */     GIR_RootConstrainSelectedInstOperands,
     /* 224539 */     // GIR_Coverage, 7982,
     /* 224539 */     GIR_EraseRootFromParent_Done,
     /* 224540 */   // Label 4446: @224540
     /* 224540 */   GIM_Try, /*On fail goto*//*Label 4447*/ GIMT_Encode4(224582), // Rule ID 7990 //
     /* 224545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsubr),
     /* 224553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 224556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 224559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 224562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 224565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224569 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1527:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FSUBR_ZPmZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 224569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUBR_ZPmZ_H),
     /* 224572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224574 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224576 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224578 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224580 */     GIR_RootConstrainSelectedInstOperands,
     /* 224581 */     // GIR_Coverage, 7990,
     /* 224581 */     GIR_EraseRootFromParent_Done,
     /* 224582 */   // Label 4447: @224582
     /* 224582 */   GIM_Try, /*On fail goto*//*Label 4448*/ GIMT_Encode4(224624), // Rule ID 7992 //
     /* 224587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsubr),
     /* 224595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 224598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 224601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 224604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 224607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224611 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1527:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FSUBR_ZPmZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 224611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUBR_ZPmZ_S),
     /* 224614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224616 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224618 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224620 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224622 */     GIR_RootConstrainSelectedInstOperands,
     /* 224623 */     // GIR_Coverage, 7992,
     /* 224623 */     GIR_EraseRootFromParent_Done,
     /* 224624 */   // Label 4448: @224624
     /* 224624 */   GIM_Try, /*On fail goto*//*Label 4449*/ GIMT_Encode4(224666), // Rule ID 7994 //
     /* 224629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsubr),
     /* 224637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 224640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 224643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 224646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 224649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224653 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1527:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FSUBR_ZPmZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 224653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUBR_ZPmZ_D),
     /* 224656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224658 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224660 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224662 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224664 */     GIR_RootConstrainSelectedInstOperands,
     /* 224665 */     // GIR_Coverage, 7994,
     /* 224665 */     GIR_EraseRootFromParent_Done,
     /* 224666 */   // Label 4449: @224666
     /* 224666 */   GIM_Try, /*On fail goto*//*Label 4450*/ GIMT_Encode4(224708), // Rule ID 8032 //
     /* 224671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fabd),
     /* 224679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 224682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 224685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 224688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 224691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224695 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1344:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FABD_ZPmZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 224695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD_ZPmZ_H),
     /* 224698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224700 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224702 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224704 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224706 */     GIR_RootConstrainSelectedInstOperands,
     /* 224707 */     // GIR_Coverage, 8032,
     /* 224707 */     GIR_EraseRootFromParent_Done,
     /* 224708 */   // Label 4450: @224708
     /* 224708 */   GIM_Try, /*On fail goto*//*Label 4451*/ GIMT_Encode4(224750), // Rule ID 8033 //
     /* 224713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fabd),
     /* 224721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 224724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 224727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 224730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 224733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224737 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1344:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FABD_ZPmZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 224737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD_ZPmZ_S),
     /* 224740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224742 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224744 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224746 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224748 */     GIR_RootConstrainSelectedInstOperands,
     /* 224749 */     // GIR_Coverage, 8033,
     /* 224749 */     GIR_EraseRootFromParent_Done,
     /* 224750 */   // Label 4451: @224750
     /* 224750 */   GIM_Try, /*On fail goto*//*Label 4452*/ GIMT_Encode4(224792), // Rule ID 8034 //
     /* 224755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fabd),
     /* 224763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 224766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 224769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 224772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 224775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224779 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1344:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FABD_ZPmZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 224779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD_ZPmZ_D),
     /* 224782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224784 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224786 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224788 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224790 */     GIR_RootConstrainSelectedInstOperands,
     /* 224791 */     // GIR_Coverage, 8034,
     /* 224791 */     GIR_EraseRootFromParent_Done,
     /* 224792 */   // Label 4452: @224792
     /* 224792 */   GIM_Try, /*On fail goto*//*Label 4453*/ GIMT_Encode4(224834), // Rule ID 8035 //
     /* 224797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmulx),
     /* 224805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 224808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 224811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 224814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 224817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224821 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1466:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FMULX_ZPmZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 224821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX_ZPmZ_H),
     /* 224824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224826 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224828 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224830 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224832 */     GIR_RootConstrainSelectedInstOperands,
     /* 224833 */     // GIR_Coverage, 8035,
     /* 224833 */     GIR_EraseRootFromParent_Done,
     /* 224834 */   // Label 4453: @224834
     /* 224834 */   GIM_Try, /*On fail goto*//*Label 4454*/ GIMT_Encode4(224876), // Rule ID 8036 //
     /* 224839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmulx),
     /* 224847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 224850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 224853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 224856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 224859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224863 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1466:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FMULX_ZPmZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 224863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX_ZPmZ_S),
     /* 224866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224868 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224870 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224872 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224874 */     GIR_RootConstrainSelectedInstOperands,
     /* 224875 */     // GIR_Coverage, 8036,
     /* 224875 */     GIR_EraseRootFromParent_Done,
     /* 224876 */   // Label 4454: @224876
     /* 224876 */   GIM_Try, /*On fail goto*//*Label 4455*/ GIMT_Encode4(224918), // Rule ID 8037 //
     /* 224881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmulx),
     /* 224889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 224892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 224895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 224898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 224901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224905 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1466:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FMULX_ZPmZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 224905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX_ZPmZ_D),
     /* 224908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224910 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224912 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224914 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224916 */     GIR_RootConstrainSelectedInstOperands,
     /* 224917 */     // GIR_Coverage, 8037,
     /* 224917 */     GIR_EraseRootFromParent_Done,
     /* 224918 */   // Label 4455: @224918
     /* 224918 */   GIM_Try, /*On fail goto*//*Label 4456*/ GIMT_Encode4(224960), // Rule ID 8038 //
     /* 224923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fdivr),
     /* 224931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 224934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 224937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 224940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 224943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224947 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1405:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FDIVR_ZPmZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 224947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDIVR_ZPmZ_H),
     /* 224950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224952 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224954 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224956 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224958 */     GIR_RootConstrainSelectedInstOperands,
     /* 224959 */     // GIR_Coverage, 8038,
     /* 224959 */     GIR_EraseRootFromParent_Done,
     /* 224960 */   // Label 4456: @224960
     /* 224960 */   GIM_Try, /*On fail goto*//*Label 4457*/ GIMT_Encode4(225002), // Rule ID 8039 //
     /* 224965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fdivr),
     /* 224973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 224976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 224979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 224982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 224985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224989 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1405:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FDIVR_ZPmZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 224989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDIVR_ZPmZ_S),
     /* 224992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224994 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224996 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224998 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225000 */     GIR_RootConstrainSelectedInstOperands,
     /* 225001 */     // GIR_Coverage, 8039,
     /* 225001 */     GIR_EraseRootFromParent_Done,
     /* 225002 */   // Label 4457: @225002
     /* 225002 */   GIM_Try, /*On fail goto*//*Label 4458*/ GIMT_Encode4(225044), // Rule ID 8040 //
     /* 225007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fdivr),
     /* 225015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 225018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 225021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 225024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 225027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225031 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1405:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FDIVR_ZPmZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 225031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDIVR_ZPmZ_D),
     /* 225034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225036 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225038 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225040 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225042 */     GIR_RootConstrainSelectedInstOperands,
     /* 225043 */     // GIR_Coverage, 8040,
     /* 225043 */     GIR_EraseRootFromParent_Done,
     /* 225044 */   // Label 4458: @225044
     /* 225044 */   GIM_Try, /*On fail goto*//*Label 4459*/ GIMT_Encode4(225086), // Rule ID 8041 //
     /* 225049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fdiv),
     /* 225057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 225060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 225063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 225066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 225069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225073 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1403:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FDIV_ZPmZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 225073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDIV_ZPmZ_H),
     /* 225076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225078 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225080 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225082 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225084 */     GIR_RootConstrainSelectedInstOperands,
     /* 225085 */     // GIR_Coverage, 8041,
     /* 225085 */     GIR_EraseRootFromParent_Done,
     /* 225086 */   // Label 4459: @225086
     /* 225086 */   GIM_Try, /*On fail goto*//*Label 4460*/ GIMT_Encode4(225128), // Rule ID 8042 //
     /* 225091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fdiv),
     /* 225099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 225102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 225105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 225108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 225111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225115 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1403:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FDIV_ZPmZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 225115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDIV_ZPmZ_S),
     /* 225118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225120 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225122 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225124 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225126 */     GIR_RootConstrainSelectedInstOperands,
     /* 225127 */     // GIR_Coverage, 8042,
     /* 225127 */     GIR_EraseRootFromParent_Done,
     /* 225128 */   // Label 4460: @225128
     /* 225128 */   GIM_Try, /*On fail goto*//*Label 4461*/ GIMT_Encode4(225170), // Rule ID 8043 //
     /* 225133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fdiv),
     /* 225141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 225144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 225147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 225150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 225153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225157 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1403:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FDIV_ZPmZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 225157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDIV_ZPmZ_D),
     /* 225160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225162 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225164 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225166 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225168 */     GIR_RootConstrainSelectedInstOperands,
     /* 225169 */     // GIR_Coverage, 8043,
     /* 225169 */     GIR_EraseRootFromParent_Done,
     /* 225170 */   // Label 4461: @225170
     /* 225170 */   GIM_Try, /*On fail goto*//*Label 4462*/ GIMT_Encode4(225212), // Rule ID 8080 //
     /* 225175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fabd_u),
     /* 225183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 225186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 225189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 225192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 225195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225199 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1345:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FABD_ZPZZ_H_UNDEF:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 225199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD_ZPZZ_H_UNDEF),
     /* 225202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 225204 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225206 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225208 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225210 */     GIR_RootConstrainSelectedInstOperands,
     /* 225211 */     // GIR_Coverage, 8080,
     /* 225211 */     GIR_EraseRootFromParent_Done,
     /* 225212 */   // Label 4462: @225212
     /* 225212 */   GIM_Try, /*On fail goto*//*Label 4463*/ GIMT_Encode4(225254), // Rule ID 8082 //
     /* 225217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fabd_u),
     /* 225225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 225228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 225231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 225234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 225237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225241 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 1345:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3)  =>  (FABD_ZPZZ_H_UNDEF:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3)
     /* 225241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD_ZPZZ_H_UNDEF),
     /* 225244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 225246 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225248 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225250 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225252 */     GIR_RootConstrainSelectedInstOperands,
     /* 225253 */     // GIR_Coverage, 8082,
     /* 225253 */     GIR_EraseRootFromParent_Done,
     /* 225254 */   // Label 4463: @225254
     /* 225254 */   GIM_Try, /*On fail goto*//*Label 4464*/ GIMT_Encode4(225296), // Rule ID 8084 //
     /* 225259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fabd_u),
     /* 225267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 225270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 225273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 225276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 225279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225283 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 1345:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3)  =>  (FABD_ZPZZ_H_UNDEF:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3)
     /* 225283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD_ZPZZ_H_UNDEF),
     /* 225286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 225288 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225290 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225292 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225294 */     GIR_RootConstrainSelectedInstOperands,
     /* 225295 */     // GIR_Coverage, 8084,
     /* 225295 */     GIR_EraseRootFromParent_Done,
     /* 225296 */   // Label 4464: @225296
     /* 225296 */   GIM_Try, /*On fail goto*//*Label 4465*/ GIMT_Encode4(225338), // Rule ID 8086 //
     /* 225301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fabd_u),
     /* 225309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 225312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 225315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 225318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 225321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225325 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1345:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FABD_ZPZZ_S_UNDEF:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 225325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD_ZPZZ_S_UNDEF),
     /* 225328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 225330 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225332 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225334 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225336 */     GIR_RootConstrainSelectedInstOperands,
     /* 225337 */     // GIR_Coverage, 8086,
     /* 225337 */     GIR_EraseRootFromParent_Done,
     /* 225338 */   // Label 4465: @225338
     /* 225338 */   GIM_Try, /*On fail goto*//*Label 4466*/ GIMT_Encode4(225380), // Rule ID 8088 //
     /* 225343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fabd_u),
     /* 225351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 225354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 225357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 225360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 225363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225367 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 1345:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3)  =>  (FABD_ZPZZ_S_UNDEF:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3)
     /* 225367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD_ZPZZ_S_UNDEF),
     /* 225370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 225372 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225374 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225376 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225378 */     GIR_RootConstrainSelectedInstOperands,
     /* 225379 */     // GIR_Coverage, 8088,
     /* 225379 */     GIR_EraseRootFromParent_Done,
     /* 225380 */   // Label 4466: @225380
     /* 225380 */   GIM_Try, /*On fail goto*//*Label 4467*/ GIMT_Encode4(225422), // Rule ID 8090 //
     /* 225385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fabd_u),
     /* 225393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 225396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 225399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 225402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 225405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225409 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1345:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FABD_ZPZZ_D_UNDEF:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 225409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD_ZPZZ_D_UNDEF),
     /* 225412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 225414 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225416 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225418 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225420 */     GIR_RootConstrainSelectedInstOperands,
     /* 225421 */     // GIR_Coverage, 8090,
     /* 225421 */     GIR_EraseRootFromParent_Done,
     /* 225422 */   // Label 4467: @225422
     /* 225422 */   GIM_Try, /*On fail goto*//*Label 4468*/ GIMT_Encode4(225464), // Rule ID 8092 //
     /* 225427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmulx_u),
     /* 225435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 225438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 225441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 225444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 225447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225451 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1467:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FMULX_ZPZZ_H_UNDEF:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 225451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX_ZPZZ_H_UNDEF),
     /* 225454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 225456 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225458 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225460 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225462 */     GIR_RootConstrainSelectedInstOperands,
     /* 225463 */     // GIR_Coverage, 8092,
     /* 225463 */     GIR_EraseRootFromParent_Done,
     /* 225464 */   // Label 4468: @225464
     /* 225464 */   GIM_Try, /*On fail goto*//*Label 4469*/ GIMT_Encode4(225506), // Rule ID 8093 //
     /* 225469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmulx_u),
     /* 225477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 225480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 225483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 225486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 225489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225493 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 1467:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3)  =>  (FMULX_ZPZZ_H_UNDEF:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3)
     /* 225493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX_ZPZZ_H_UNDEF),
     /* 225496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 225498 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225500 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225502 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225504 */     GIR_RootConstrainSelectedInstOperands,
     /* 225505 */     // GIR_Coverage, 8093,
     /* 225505 */     GIR_EraseRootFromParent_Done,
     /* 225506 */   // Label 4469: @225506
     /* 225506 */   GIM_Try, /*On fail goto*//*Label 4470*/ GIMT_Encode4(225548), // Rule ID 8094 //
     /* 225511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmulx_u),
     /* 225519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 225522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 225525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 225528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 225531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225535 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 1467:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3)  =>  (FMULX_ZPZZ_H_UNDEF:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3)
     /* 225535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX_ZPZZ_H_UNDEF),
     /* 225538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 225540 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225542 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225544 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225546 */     GIR_RootConstrainSelectedInstOperands,
     /* 225547 */     // GIR_Coverage, 8094,
     /* 225547 */     GIR_EraseRootFromParent_Done,
     /* 225548 */   // Label 4470: @225548
     /* 225548 */   GIM_Try, /*On fail goto*//*Label 4471*/ GIMT_Encode4(225590), // Rule ID 8095 //
     /* 225553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmulx_u),
     /* 225561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 225564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 225567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 225570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 225573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225577 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1467:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FMULX_ZPZZ_S_UNDEF:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 225577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX_ZPZZ_S_UNDEF),
     /* 225580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 225582 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225584 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225586 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225588 */     GIR_RootConstrainSelectedInstOperands,
     /* 225589 */     // GIR_Coverage, 8095,
     /* 225589 */     GIR_EraseRootFromParent_Done,
     /* 225590 */   // Label 4471: @225590
     /* 225590 */   GIM_Try, /*On fail goto*//*Label 4472*/ GIMT_Encode4(225632), // Rule ID 8096 //
     /* 225595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmulx_u),
     /* 225603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 225606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 225609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 225612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 225615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225619 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 1467:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3)  =>  (FMULX_ZPZZ_S_UNDEF:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3)
     /* 225619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX_ZPZZ_S_UNDEF),
     /* 225622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 225624 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225626 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225628 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225630 */     GIR_RootConstrainSelectedInstOperands,
     /* 225631 */     // GIR_Coverage, 8096,
     /* 225631 */     GIR_EraseRootFromParent_Done,
     /* 225632 */   // Label 4472: @225632
     /* 225632 */   GIM_Try, /*On fail goto*//*Label 4473*/ GIMT_Encode4(225674), // Rule ID 8097 //
     /* 225637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmulx_u),
     /* 225645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 225648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 225651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 225654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 225657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225661 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1467:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FMULX_ZPZZ_D_UNDEF:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 225661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX_ZPZZ_D_UNDEF),
     /* 225664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 225666 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225668 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225670 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225672 */     GIR_RootConstrainSelectedInstOperands,
     /* 225673 */     // GIR_Coverage, 8097,
     /* 225673 */     GIR_EraseRootFromParent_Done,
     /* 225674 */   // Label 4473: @225674
     /* 225674 */   GIM_Try, /*On fail goto*//*Label 4474*/ GIMT_Encode4(225716), // Rule ID 8350 //
     /* 225679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_brkpb_z),
     /* 225687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 225690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 225693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 225696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 225699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 225703 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1285:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (BRKPB_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 225703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BRKPB_PPzPP),
     /* 225706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 225708 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225710 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225712 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225714 */     GIR_RootConstrainSelectedInstOperands,
     /* 225715 */     // GIR_Coverage, 8350,
     /* 225715 */     GIR_EraseRootFromParent_Done,
     /* 225716 */   // Label 4474: @225716
     /* 225716 */   GIM_Try, /*On fail goto*//*Label 4475*/ GIMT_Encode4(225758), // Rule ID 8352 //
     /* 225721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_brkb),
     /* 225729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 225732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 225735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 225738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 225741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 225745 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1281:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (BRKB_PPmP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 225745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BRKB_PPmP),
     /* 225748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 225750 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225752 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225754 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225756 */     GIR_RootConstrainSelectedInstOperands,
     /* 225757 */     // GIR_Coverage, 8352,
     /* 225757 */     GIR_EraseRootFromParent_Done,
     /* 225758 */   // Label 4475: @225758
     /* 225758 */   GIM_Try, /*On fail goto*//*Label 4476*/ GIMT_Encode4(225800), // Rule ID 8353 //
     /* 225763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bic_z),
     /* 225771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 225774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 225777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 225780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 225783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 225787 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1278:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (BIC_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 225787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /* 225790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 225792 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225794 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225796 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225798 */     GIR_RootConstrainSelectedInstOperands,
     /* 225799 */     // GIR_Coverage, 8353,
     /* 225799 */     GIR_EraseRootFromParent_Done,
     /* 225800 */   // Label 4476: @225800
     /* 225800 */   GIM_Try, /*On fail goto*//*Label 4477*/ GIMT_Encode4(225842), // Rule ID 8354 //
     /* 225805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bic_z),
     /* 225813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 225816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 225819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 225822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 225825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 225829 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1278:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2, nxv8i1:{ *:[nxv8i1] }:$Op3)  =>  (BIC_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2, ?:{ *:[nxv8i1] }:$Op3)
     /* 225829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /* 225832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 225834 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225836 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225838 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225840 */     GIR_RootConstrainSelectedInstOperands,
     /* 225841 */     // GIR_Coverage, 8354,
     /* 225841 */     GIR_EraseRootFromParent_Done,
     /* 225842 */   // Label 4477: @225842
     /* 225842 */   GIM_Try, /*On fail goto*//*Label 4478*/ GIMT_Encode4(225884), // Rule ID 8355 //
     /* 225847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bic_z),
     /* 225855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 225858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 225861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 225864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 225867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 225871 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1278:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i1:{ *:[nxv4i1] }:$Op3)  =>  (BIC_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i1] }:$Op3)
     /* 225871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /* 225874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 225876 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225878 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225880 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225882 */     GIR_RootConstrainSelectedInstOperands,
     /* 225883 */     // GIR_Coverage, 8355,
     /* 225883 */     GIR_EraseRootFromParent_Done,
     /* 225884 */   // Label 4478: @225884
     /* 225884 */   GIM_Try, /*On fail goto*//*Label 4479*/ GIMT_Encode4(225926), // Rule ID 8356 //
     /* 225889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bic_z),
     /* 225897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 225900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 225903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 225906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 225909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 225913 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1278:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i1:{ *:[nxv2i1] }:$Op3)  =>  (BIC_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i1] }:$Op3)
     /* 225913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /* 225916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 225918 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225920 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225922 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225924 */     GIR_RootConstrainSelectedInstOperands,
     /* 225925 */     // GIR_Coverage, 8356,
     /* 225925 */     GIR_EraseRootFromParent_Done,
     /* 225926 */   // Label 4479: @225926
     /* 225926 */   GIM_Try, /*On fail goto*//*Label 4480*/ GIMT_Encode4(225968), // Rule ID 8357 //
     /* 225931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bic_z),
     /* 225939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 225942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 225945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 225948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 225951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 225955 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 1278:{ *:[iPTR] }, nxv1i1:{ *:[nxv1i1] }:$Op1, nxv1i1:{ *:[nxv1i1] }:$Op2, nxv1i1:{ *:[nxv1i1] }:$Op3)  =>  (BIC_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2, ?:{ *:[nxv1i1] }:$Op3)
     /* 225955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /* 225958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 225960 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225962 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225964 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225966 */     GIR_RootConstrainSelectedInstOperands,
     /* 225967 */     // GIR_Coverage, 8357,
     /* 225967 */     GIR_EraseRootFromParent_Done,
     /* 225968 */   // Label 4480: @225968
     /* 225968 */   GIM_Try, /*On fail goto*//*Label 4481*/ GIMT_Encode4(226010), // Rule ID 8378 //
     /* 225973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eor_z),
     /* 225981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 225984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 225987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 225990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 225993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 225997 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1336:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (EOR_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 225997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR_PPzPP),
     /* 226000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 226002 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226004 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226006 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226008 */     GIR_RootConstrainSelectedInstOperands,
     /* 226009 */     // GIR_Coverage, 8378,
     /* 226009 */     GIR_EraseRootFromParent_Done,
     /* 226010 */   // Label 4481: @226010
     /* 226010 */   GIM_Try, /*On fail goto*//*Label 4482*/ GIMT_Encode4(226052), // Rule ID 8379 //
     /* 226015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eor_z),
     /* 226023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 226026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 226029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 226032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 226035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 226039 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1336:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2, nxv8i1:{ *:[nxv8i1] }:$Op3)  =>  (EOR_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2, ?:{ *:[nxv8i1] }:$Op3)
     /* 226039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR_PPzPP),
     /* 226042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 226044 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226046 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226048 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226050 */     GIR_RootConstrainSelectedInstOperands,
     /* 226051 */     // GIR_Coverage, 8379,
     /* 226051 */     GIR_EraseRootFromParent_Done,
     /* 226052 */   // Label 4482: @226052
     /* 226052 */   GIM_Try, /*On fail goto*//*Label 4483*/ GIMT_Encode4(226094), // Rule ID 8380 //
     /* 226057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eor_z),
     /* 226065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 226068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 226071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 226074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 226077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 226081 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1336:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i1:{ *:[nxv4i1] }:$Op3)  =>  (EOR_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i1] }:$Op3)
     /* 226081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR_PPzPP),
     /* 226084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 226086 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226088 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226090 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226092 */     GIR_RootConstrainSelectedInstOperands,
     /* 226093 */     // GIR_Coverage, 8380,
     /* 226093 */     GIR_EraseRootFromParent_Done,
     /* 226094 */   // Label 4483: @226094
     /* 226094 */   GIM_Try, /*On fail goto*//*Label 4484*/ GIMT_Encode4(226136), // Rule ID 8381 //
     /* 226099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eor_z),
     /* 226107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 226110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 226113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 226116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 226119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 226123 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1336:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i1:{ *:[nxv2i1] }:$Op3)  =>  (EOR_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i1] }:$Op3)
     /* 226123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR_PPzPP),
     /* 226126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 226128 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226130 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226132 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226134 */     GIR_RootConstrainSelectedInstOperands,
     /* 226135 */     // GIR_Coverage, 8381,
     /* 226135 */     GIR_EraseRootFromParent_Done,
     /* 226136 */   // Label 4484: @226136
     /* 226136 */   GIM_Try, /*On fail goto*//*Label 4485*/ GIMT_Encode4(226178), // Rule ID 8382 //
     /* 226141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eor_z),
     /* 226149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 226152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 226155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 226158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 226161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 226165 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 1336:{ *:[iPTR] }, nxv1i1:{ *:[nxv1i1] }:$Op1, nxv1i1:{ *:[nxv1i1] }:$Op2, nxv1i1:{ *:[nxv1i1] }:$Op3)  =>  (EOR_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2, ?:{ *:[nxv1i1] }:$Op3)
     /* 226165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR_PPzPP),
     /* 226168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 226170 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226172 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226174 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226176 */     GIR_RootConstrainSelectedInstOperands,
     /* 226177 */     // GIR_Coverage, 8382,
     /* 226177 */     GIR_EraseRootFromParent_Done,
     /* 226178 */   // Label 4485: @226178
     /* 226178 */   GIM_Try, /*On fail goto*//*Label 4486*/ GIMT_Encode4(226220), // Rule ID 8398 //
     /* 226183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orr_z),
     /* 226191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 226194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 226197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 226200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 226203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 226207 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1607:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (ORR_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 226207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORR_PPzPP),
     /* 226210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 226212 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226214 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226216 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226218 */     GIR_RootConstrainSelectedInstOperands,
     /* 226219 */     // GIR_Coverage, 8398,
     /* 226219 */     GIR_EraseRootFromParent_Done,
     /* 226220 */   // Label 4486: @226220
     /* 226220 */   GIM_Try, /*On fail goto*//*Label 4487*/ GIMT_Encode4(226262), // Rule ID 8399 //
     /* 226225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orr_z),
     /* 226233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 226236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 226239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 226242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 226245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 226249 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1607:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2, nxv8i1:{ *:[nxv8i1] }:$Op3)  =>  (ORR_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2, ?:{ *:[nxv8i1] }:$Op3)
     /* 226249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORR_PPzPP),
     /* 226252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 226254 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226256 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226258 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226260 */     GIR_RootConstrainSelectedInstOperands,
     /* 226261 */     // GIR_Coverage, 8399,
     /* 226261 */     GIR_EraseRootFromParent_Done,
     /* 226262 */   // Label 4487: @226262
     /* 226262 */   GIM_Try, /*On fail goto*//*Label 4488*/ GIMT_Encode4(226304), // Rule ID 8400 //
     /* 226267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orr_z),
     /* 226275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 226278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 226281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 226284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 226287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 226291 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1607:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i1:{ *:[nxv4i1] }:$Op3)  =>  (ORR_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i1] }:$Op3)
     /* 226291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORR_PPzPP),
     /* 226294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 226296 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226298 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226300 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226302 */     GIR_RootConstrainSelectedInstOperands,
     /* 226303 */     // GIR_Coverage, 8400,
     /* 226303 */     GIR_EraseRootFromParent_Done,
     /* 226304 */   // Label 4488: @226304
     /* 226304 */   GIM_Try, /*On fail goto*//*Label 4489*/ GIMT_Encode4(226346), // Rule ID 8401 //
     /* 226309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orr_z),
     /* 226317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 226320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 226323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 226326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 226329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 226333 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1607:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i1:{ *:[nxv2i1] }:$Op3)  =>  (ORR_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i1] }:$Op3)
     /* 226333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORR_PPzPP),
     /* 226336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 226338 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226340 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226342 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226344 */     GIR_RootConstrainSelectedInstOperands,
     /* 226345 */     // GIR_Coverage, 8401,
     /* 226345 */     GIR_EraseRootFromParent_Done,
     /* 226346 */   // Label 4489: @226346
     /* 226346 */   GIM_Try, /*On fail goto*//*Label 4490*/ GIMT_Encode4(226388), // Rule ID 8402 //
     /* 226351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orr_z),
     /* 226359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 226362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 226365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 226368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 226371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 226375 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 1607:{ *:[iPTR] }, nxv1i1:{ *:[nxv1i1] }:$Op1, nxv1i1:{ *:[nxv1i1] }:$Op2, nxv1i1:{ *:[nxv1i1] }:$Op3)  =>  (ORR_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2, ?:{ *:[nxv1i1] }:$Op3)
     /* 226375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORR_PPzPP),
     /* 226378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 226380 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226382 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226384 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226386 */     GIR_RootConstrainSelectedInstOperands,
     /* 226387 */     // GIR_Coverage, 8402,
     /* 226387 */     GIR_EraseRootFromParent_Done,
     /* 226388 */   // Label 4490: @226388
     /* 226388 */   GIM_Try, /*On fail goto*//*Label 4491*/ GIMT_Encode4(226430), // Rule ID 8403 //
     /* 226393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orn_z),
     /* 226401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 226404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 226407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 226410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 226413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 226417 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1603:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (ORN_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 226417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORN_PPzPP),
     /* 226420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 226422 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226424 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226426 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226428 */     GIR_RootConstrainSelectedInstOperands,
     /* 226429 */     // GIR_Coverage, 8403,
     /* 226429 */     GIR_EraseRootFromParent_Done,
     /* 226430 */   // Label 4491: @226430
     /* 226430 */   GIM_Try, /*On fail goto*//*Label 4492*/ GIMT_Encode4(226472), // Rule ID 8404 //
     /* 226435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orn_z),
     /* 226443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 226446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 226449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 226452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 226455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 226459 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1603:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2, nxv8i1:{ *:[nxv8i1] }:$Op3)  =>  (ORN_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2, ?:{ *:[nxv8i1] }:$Op3)
     /* 226459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORN_PPzPP),
     /* 226462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 226464 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226466 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226468 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226470 */     GIR_RootConstrainSelectedInstOperands,
     /* 226471 */     // GIR_Coverage, 8404,
     /* 226471 */     GIR_EraseRootFromParent_Done,
     /* 226472 */   // Label 4492: @226472
     /* 226472 */   GIM_Try, /*On fail goto*//*Label 4493*/ GIMT_Encode4(226514), // Rule ID 8405 //
     /* 226477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orn_z),
     /* 226485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 226488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 226491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 226494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 226497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 226501 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1603:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i1:{ *:[nxv4i1] }:$Op3)  =>  (ORN_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i1] }:$Op3)
     /* 226501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORN_PPzPP),
     /* 226504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 226506 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226508 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226510 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226512 */     GIR_RootConstrainSelectedInstOperands,
     /* 226513 */     // GIR_Coverage, 8405,
     /* 226513 */     GIR_EraseRootFromParent_Done,
     /* 226514 */   // Label 4493: @226514
     /* 226514 */   GIM_Try, /*On fail goto*//*Label 4494*/ GIMT_Encode4(226556), // Rule ID 8406 //
     /* 226519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orn_z),
     /* 226527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 226530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 226533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 226536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 226539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 226543 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1603:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i1:{ *:[nxv2i1] }:$Op3)  =>  (ORN_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i1] }:$Op3)
     /* 226543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORN_PPzPP),
     /* 226546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 226548 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226550 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226552 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226554 */     GIR_RootConstrainSelectedInstOperands,
     /* 226555 */     // GIR_Coverage, 8406,
     /* 226555 */     GIR_EraseRootFromParent_Done,
     /* 226556 */   // Label 4494: @226556
     /* 226556 */   GIM_Try, /*On fail goto*//*Label 4495*/ GIMT_Encode4(226598), // Rule ID 8407 //
     /* 226561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orn_z),
     /* 226569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 226572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 226575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 226578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 226581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 226585 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 1603:{ *:[iPTR] }, nxv1i1:{ *:[nxv1i1] }:$Op1, nxv1i1:{ *:[nxv1i1] }:$Op2, nxv1i1:{ *:[nxv1i1] }:$Op3)  =>  (ORN_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2, ?:{ *:[nxv1i1] }:$Op3)
     /* 226585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORN_PPzPP),
     /* 226588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 226590 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226592 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226594 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226596 */     GIR_RootConstrainSelectedInstOperands,
     /* 226597 */     // GIR_Coverage, 8407,
     /* 226597 */     GIR_EraseRootFromParent_Done,
     /* 226598 */   // Label 4495: @226598
     /* 226598 */   GIM_Try, /*On fail goto*//*Label 4496*/ GIMT_Encode4(226640), // Rule ID 8408 //
     /* 226603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nor_z),
     /* 226611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 226614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 226617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 226620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 226623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 226627 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1601:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (NOR_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 226627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOR_PPzPP),
     /* 226630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 226632 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226634 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226636 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226638 */     GIR_RootConstrainSelectedInstOperands,
     /* 226639 */     // GIR_Coverage, 8408,
     /* 226639 */     GIR_EraseRootFromParent_Done,
     /* 226640 */   // Label 4496: @226640
     /* 226640 */   GIM_Try, /*On fail goto*//*Label 4497*/ GIMT_Encode4(226682), // Rule ID 8409 //
     /* 226645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nor_z),
     /* 226653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 226656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 226659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 226662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 226665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 226669 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1601:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2, nxv8i1:{ *:[nxv8i1] }:$Op3)  =>  (NOR_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2, ?:{ *:[nxv8i1] }:$Op3)
     /* 226669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOR_PPzPP),
     /* 226672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 226674 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226676 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226678 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226680 */     GIR_RootConstrainSelectedInstOperands,
     /* 226681 */     // GIR_Coverage, 8409,
     /* 226681 */     GIR_EraseRootFromParent_Done,
     /* 226682 */   // Label 4497: @226682
     /* 226682 */   GIM_Try, /*On fail goto*//*Label 4498*/ GIMT_Encode4(226724), // Rule ID 8410 //
     /* 226687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nor_z),
     /* 226695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 226698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 226701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 226704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 226707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 226711 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1601:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i1:{ *:[nxv4i1] }:$Op3)  =>  (NOR_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i1] }:$Op3)
     /* 226711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOR_PPzPP),
     /* 226714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 226716 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226718 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226720 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226722 */     GIR_RootConstrainSelectedInstOperands,
     /* 226723 */     // GIR_Coverage, 8410,
     /* 226723 */     GIR_EraseRootFromParent_Done,
     /* 226724 */   // Label 4498: @226724
     /* 226724 */   GIM_Try, /*On fail goto*//*Label 4499*/ GIMT_Encode4(226766), // Rule ID 8411 //
     /* 226729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nor_z),
     /* 226737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 226740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 226743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 226746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 226749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 226753 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1601:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i1:{ *:[nxv2i1] }:$Op3)  =>  (NOR_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i1] }:$Op3)
     /* 226753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOR_PPzPP),
     /* 226756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 226758 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226760 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226762 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226764 */     GIR_RootConstrainSelectedInstOperands,
     /* 226765 */     // GIR_Coverage, 8411,
     /* 226765 */     GIR_EraseRootFromParent_Done,
     /* 226766 */   // Label 4499: @226766
     /* 226766 */   GIM_Try, /*On fail goto*//*Label 4500*/ GIMT_Encode4(226808), // Rule ID 8412 //
     /* 226771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nor_z),
     /* 226779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 226782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 226785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 226788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 226791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 226795 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 1601:{ *:[iPTR] }, nxv1i1:{ *:[nxv1i1] }:$Op1, nxv1i1:{ *:[nxv1i1] }:$Op2, nxv1i1:{ *:[nxv1i1] }:$Op3)  =>  (NOR_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2, ?:{ *:[nxv1i1] }:$Op3)
     /* 226795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOR_PPzPP),
     /* 226798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 226800 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226802 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226804 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226806 */     GIR_RootConstrainSelectedInstOperands,
     /* 226807 */     // GIR_Coverage, 8412,
     /* 226807 */     GIR_EraseRootFromParent_Done,
     /* 226808 */   // Label 4500: @226808
     /* 226808 */   GIM_Try, /*On fail goto*//*Label 4501*/ GIMT_Encode4(226850), // Rule ID 8413 //
     /* 226813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nand_z),
     /* 226821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 226824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 226827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 226830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 226833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 226837 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1597:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (NAND_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 226837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NAND_PPzPP),
     /* 226840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 226842 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226844 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226846 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226848 */     GIR_RootConstrainSelectedInstOperands,
     /* 226849 */     // GIR_Coverage, 8413,
     /* 226849 */     GIR_EraseRootFromParent_Done,
     /* 226850 */   // Label 4501: @226850
     /* 226850 */   GIM_Try, /*On fail goto*//*Label 4502*/ GIMT_Encode4(226892), // Rule ID 8414 //
     /* 226855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nand_z),
     /* 226863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 226866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 226869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 226872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 226875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 226879 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1597:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2, nxv8i1:{ *:[nxv8i1] }:$Op3)  =>  (NAND_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2, ?:{ *:[nxv8i1] }:$Op3)
     /* 226879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NAND_PPzPP),
     /* 226882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 226884 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226886 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226888 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226890 */     GIR_RootConstrainSelectedInstOperands,
     /* 226891 */     // GIR_Coverage, 8414,
     /* 226891 */     GIR_EraseRootFromParent_Done,
     /* 226892 */   // Label 4502: @226892
     /* 226892 */   GIM_Try, /*On fail goto*//*Label 4503*/ GIMT_Encode4(226934), // Rule ID 8415 //
     /* 226897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nand_z),
     /* 226905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 226908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 226911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 226914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 226917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 226921 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1597:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i1:{ *:[nxv4i1] }:$Op3)  =>  (NAND_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i1] }:$Op3)
     /* 226921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NAND_PPzPP),
     /* 226924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 226926 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226928 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226930 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226932 */     GIR_RootConstrainSelectedInstOperands,
     /* 226933 */     // GIR_Coverage, 8415,
     /* 226933 */     GIR_EraseRootFromParent_Done,
     /* 226934 */   // Label 4503: @226934
     /* 226934 */   GIM_Try, /*On fail goto*//*Label 4504*/ GIMT_Encode4(226976), // Rule ID 8416 //
     /* 226939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nand_z),
     /* 226947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 226950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 226953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 226956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 226959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 226963 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1597:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i1:{ *:[nxv2i1] }:$Op3)  =>  (NAND_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i1] }:$Op3)
     /* 226963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NAND_PPzPP),
     /* 226966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 226968 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226970 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226972 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226974 */     GIR_RootConstrainSelectedInstOperands,
     /* 226975 */     // GIR_Coverage, 8416,
     /* 226975 */     GIR_EraseRootFromParent_Done,
     /* 226976 */   // Label 4504: @226976
     /* 226976 */   GIM_Try, /*On fail goto*//*Label 4505*/ GIMT_Encode4(227018), // Rule ID 8417 //
     /* 226981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nand_z),
     /* 226989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 226992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 226995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 226998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 227001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 227005 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 1597:{ *:[iPTR] }, nxv1i1:{ *:[nxv1i1] }:$Op1, nxv1i1:{ *:[nxv1i1] }:$Op2, nxv1i1:{ *:[nxv1i1] }:$Op3)  =>  (NAND_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2, ?:{ *:[nxv1i1] }:$Op3)
     /* 227005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NAND_PPzPP),
     /* 227008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227010 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227012 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227014 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227016 */     GIR_RootConstrainSelectedInstOperands,
     /* 227017 */     // GIR_Coverage, 8417,
     /* 227017 */     GIR_EraseRootFromParent_Done,
     /* 227018 */   // Label 4505: @227018
     /* 227018 */   GIM_Try, /*On fail goto*//*Label 4506*/ GIMT_Encode4(227060), // Rule ID 8425 //
     /* 227023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clastb),
     /* 227031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 227034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 227037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 227040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 227043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 227047 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1294:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (CLASTB_ZPZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 227047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTB_ZPZ_B),
     /* 227050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 227052 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227054 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227056 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227058 */     GIR_RootConstrainSelectedInstOperands,
     /* 227059 */     // GIR_Coverage, 8425,
     /* 227059 */     GIR_EraseRootFromParent_Done,
     /* 227060 */   // Label 4506: @227060
     /* 227060 */   GIM_Try, /*On fail goto*//*Label 4507*/ GIMT_Encode4(227102), // Rule ID 8426 //
     /* 227065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clastb),
     /* 227073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 227076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 227079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 227082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 227085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 227089 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1294:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (CLASTB_ZPZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 227089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTB_ZPZ_H),
     /* 227092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 227094 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227096 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227098 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227100 */     GIR_RootConstrainSelectedInstOperands,
     /* 227101 */     // GIR_Coverage, 8426,
     /* 227101 */     GIR_EraseRootFromParent_Done,
     /* 227102 */   // Label 4507: @227102
     /* 227102 */   GIM_Try, /*On fail goto*//*Label 4508*/ GIMT_Encode4(227144), // Rule ID 8427 //
     /* 227107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clastb),
     /* 227115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 227118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 227121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 227124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 227127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 227131 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1294:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (CLASTB_ZPZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 227131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTB_ZPZ_S),
     /* 227134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 227136 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227138 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227140 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227142 */     GIR_RootConstrainSelectedInstOperands,
     /* 227143 */     // GIR_Coverage, 8427,
     /* 227143 */     GIR_EraseRootFromParent_Done,
     /* 227144 */   // Label 4508: @227144
     /* 227144 */   GIM_Try, /*On fail goto*//*Label 4509*/ GIMT_Encode4(227186), // Rule ID 8428 //
     /* 227149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clastb),
     /* 227157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 227160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 227163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 227166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 227169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 227173 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1294:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CLASTB_ZPZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 227173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTB_ZPZ_D),
     /* 227176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 227178 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227180 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227182 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227184 */     GIR_RootConstrainSelectedInstOperands,
     /* 227185 */     // GIR_Coverage, 8428,
     /* 227185 */     GIR_EraseRootFromParent_Done,
     /* 227186 */   // Label 4509: @227186
     /* 227186 */   GIM_Try, /*On fail goto*//*Label 4510*/ GIMT_Encode4(227228), // Rule ID 8429 //
     /* 227191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clastb),
     /* 227199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 227202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 227205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 227208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 227211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 227215 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1294:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (CLASTB_ZPZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 227215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTB_ZPZ_H),
     /* 227218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 227220 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227222 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227224 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227226 */     GIR_RootConstrainSelectedInstOperands,
     /* 227227 */     // GIR_Coverage, 8429,
     /* 227227 */     GIR_EraseRootFromParent_Done,
     /* 227228 */   // Label 4510: @227228
     /* 227228 */   GIM_Try, /*On fail goto*//*Label 4511*/ GIMT_Encode4(227270), // Rule ID 8430 //
     /* 227233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clastb),
     /* 227241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 227244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 227247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 227250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 227253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 227257 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1294:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (CLASTB_ZPZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 227257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTB_ZPZ_S),
     /* 227260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 227262 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227264 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227266 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227268 */     GIR_RootConstrainSelectedInstOperands,
     /* 227269 */     // GIR_Coverage, 8430,
     /* 227269 */     GIR_EraseRootFromParent_Done,
     /* 227270 */   // Label 4511: @227270
     /* 227270 */   GIM_Try, /*On fail goto*//*Label 4512*/ GIMT_Encode4(227312), // Rule ID 8431 //
     /* 227275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clastb),
     /* 227283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 227286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 227289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 227292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 227295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 227299 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1294:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (CLASTB_ZPZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 227299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTB_ZPZ_D),
     /* 227302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 227304 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227306 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227308 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227310 */     GIR_RootConstrainSelectedInstOperands,
     /* 227311 */     // GIR_Coverage, 8431,
     /* 227311 */     GIR_EraseRootFromParent_Done,
     /* 227312 */   // Label 4512: @227312
     /* 227312 */   GIM_Try, /*On fail goto*//*Label 4513*/ GIMT_Encode4(227357), // Rule ID 9127 //
     /* 227317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpne_wide),
     /* 227325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 227328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 227331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 227334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 227337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 227341 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1315:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPNE_WIDE_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 227341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPNE_WIDE_PPzZZ_B),
     /* 227344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227346 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227348 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227350 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227352 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 227355 */     GIR_RootConstrainSelectedInstOperands,
     /* 227356 */     // GIR_Coverage, 9127,
     /* 227356 */     GIR_EraseRootFromParent_Done,
     /* 227357 */   // Label 4513: @227357
     /* 227357 */   GIM_Try, /*On fail goto*//*Label 4514*/ GIMT_Encode4(227402), // Rule ID 9128 //
     /* 227362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpne_wide),
     /* 227370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 227373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 227376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 227379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 227382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 227386 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1315:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPNE_WIDE_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 227386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPNE_WIDE_PPzZZ_H),
     /* 227389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227391 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227393 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227395 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227397 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 227400 */     GIR_RootConstrainSelectedInstOperands,
     /* 227401 */     // GIR_Coverage, 9128,
     /* 227401 */     GIR_EraseRootFromParent_Done,
     /* 227402 */   // Label 4514: @227402
     /* 227402 */   GIM_Try, /*On fail goto*//*Label 4515*/ GIMT_Encode4(227447), // Rule ID 9129 //
     /* 227407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpne_wide),
     /* 227415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 227418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 227421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 227424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 227427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 227431 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1315:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPNE_WIDE_PPzZZ_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 227431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPNE_WIDE_PPzZZ_S),
     /* 227434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227436 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227438 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227440 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227442 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 227445 */     GIR_RootConstrainSelectedInstOperands,
     /* 227446 */     // GIR_Coverage, 9129,
     /* 227446 */     GIR_EraseRootFromParent_Done,
     /* 227447 */   // Label 4515: @227447
     /* 227447 */   GIM_Try, /*On fail goto*//*Label 4516*/ GIMT_Encode4(227492), // Rule ID 9130 //
     /* 227452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpgt_wide),
     /* 227460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 227463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 227466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 227469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 227472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 227476 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1305:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPGT_WIDE_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 227476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPGT_WIDE_PPzZZ_B),
     /* 227479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227481 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227483 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227485 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227487 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 227490 */     GIR_RootConstrainSelectedInstOperands,
     /* 227491 */     // GIR_Coverage, 9130,
     /* 227491 */     GIR_EraseRootFromParent_Done,
     /* 227492 */   // Label 4516: @227492
     /* 227492 */   GIM_Try, /*On fail goto*//*Label 4517*/ GIMT_Encode4(227537), // Rule ID 9131 //
     /* 227497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpgt_wide),
     /* 227505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 227508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 227511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 227514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 227517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 227521 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1305:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPGT_WIDE_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 227521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPGT_WIDE_PPzZZ_H),
     /* 227524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227526 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227528 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227530 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227532 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 227535 */     GIR_RootConstrainSelectedInstOperands,
     /* 227536 */     // GIR_Coverage, 9131,
     /* 227536 */     GIR_EraseRootFromParent_Done,
     /* 227537 */   // Label 4517: @227537
     /* 227537 */   GIM_Try, /*On fail goto*//*Label 4518*/ GIMT_Encode4(227582), // Rule ID 9132 //
     /* 227542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpgt_wide),
     /* 227550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 227553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 227556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 227559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 227562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 227566 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1305:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPGT_WIDE_PPzZZ_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 227566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPGT_WIDE_PPzZZ_S),
     /* 227569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227571 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227573 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227575 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227577 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 227580 */     GIR_RootConstrainSelectedInstOperands,
     /* 227581 */     // GIR_Coverage, 9132,
     /* 227581 */     GIR_EraseRootFromParent_Done,
     /* 227582 */   // Label 4518: @227582
     /* 227582 */   GIM_Try, /*On fail goto*//*Label 4519*/ GIMT_Encode4(227627), // Rule ID 9133 //
     /* 227587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmplt_wide),
     /* 227595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 227598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 227601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 227604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 227607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 227611 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1313:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLT_WIDE_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 227611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLT_WIDE_PPzZZ_B),
     /* 227614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227616 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227618 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227620 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227622 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 227625 */     GIR_RootConstrainSelectedInstOperands,
     /* 227626 */     // GIR_Coverage, 9133,
     /* 227626 */     GIR_EraseRootFromParent_Done,
     /* 227627 */   // Label 4519: @227627
     /* 227627 */   GIM_Try, /*On fail goto*//*Label 4520*/ GIMT_Encode4(227672), // Rule ID 9134 //
     /* 227632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmplt_wide),
     /* 227640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 227643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 227646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 227649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 227652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 227656 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1313:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLT_WIDE_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 227656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLT_WIDE_PPzZZ_H),
     /* 227659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227661 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227663 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227665 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227667 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 227670 */     GIR_RootConstrainSelectedInstOperands,
     /* 227671 */     // GIR_Coverage, 9134,
     /* 227671 */     GIR_EraseRootFromParent_Done,
     /* 227672 */   // Label 4520: @227672
     /* 227672 */   GIM_Try, /*On fail goto*//*Label 4521*/ GIMT_Encode4(227717), // Rule ID 9135 //
     /* 227677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmplt_wide),
     /* 227685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 227688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 227691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 227694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 227697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 227701 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1313:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLT_WIDE_PPzZZ_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 227701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLT_WIDE_PPzZZ_S),
     /* 227704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227706 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227708 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227710 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227712 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 227715 */     GIR_RootConstrainSelectedInstOperands,
     /* 227716 */     // GIR_Coverage, 9135,
     /* 227716 */     GIR_EraseRootFromParent_Done,
     /* 227717 */   // Label 4521: @227717
     /* 227717 */   GIM_Try, /*On fail goto*//*Label 4522*/ GIMT_Encode4(227762), // Rule ID 9136 //
     /* 227722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmple_wide),
     /* 227730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 227733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 227736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 227739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 227742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 227746 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1310:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLE_WIDE_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 227746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLE_WIDE_PPzZZ_B),
     /* 227749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227751 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227753 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227755 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227757 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 227760 */     GIR_RootConstrainSelectedInstOperands,
     /* 227761 */     // GIR_Coverage, 9136,
     /* 227761 */     GIR_EraseRootFromParent_Done,
     /* 227762 */   // Label 4522: @227762
     /* 227762 */   GIM_Try, /*On fail goto*//*Label 4523*/ GIMT_Encode4(227807), // Rule ID 9137 //
     /* 227767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmple_wide),
     /* 227775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 227778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 227781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 227784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 227787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 227791 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1310:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLE_WIDE_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 227791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLE_WIDE_PPzZZ_H),
     /* 227794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227796 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227798 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227800 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227802 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 227805 */     GIR_RootConstrainSelectedInstOperands,
     /* 227806 */     // GIR_Coverage, 9137,
     /* 227806 */     GIR_EraseRootFromParent_Done,
     /* 227807 */   // Label 4523: @227807
     /* 227807 */   GIM_Try, /*On fail goto*//*Label 4524*/ GIMT_Encode4(227852), // Rule ID 9138 //
     /* 227812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmple_wide),
     /* 227820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 227823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 227826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 227829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 227832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 227836 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1310:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLE_WIDE_PPzZZ_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 227836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLE_WIDE_PPzZZ_S),
     /* 227839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227841 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227843 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227845 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227847 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 227850 */     GIR_RootConstrainSelectedInstOperands,
     /* 227851 */     // GIR_Coverage, 9138,
     /* 227851 */     GIR_EraseRootFromParent_Done,
     /* 227852 */   // Label 4524: @227852
     /* 227852 */   GIM_Try, /*On fail goto*//*Label 4525*/ GIMT_Encode4(227897), // Rule ID 9139 //
     /* 227857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmphs_wide),
     /* 227865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 227868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 227871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 227874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 227877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 227881 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1309:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPHS_WIDE_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 227881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPHS_WIDE_PPzZZ_B),
     /* 227884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227886 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227888 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227890 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227892 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 227895 */     GIR_RootConstrainSelectedInstOperands,
     /* 227896 */     // GIR_Coverage, 9139,
     /* 227896 */     GIR_EraseRootFromParent_Done,
     /* 227897 */   // Label 4525: @227897
     /* 227897 */   GIM_Try, /*On fail goto*//*Label 4526*/ GIMT_Encode4(227942), // Rule ID 9140 //
     /* 227902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmphs_wide),
     /* 227910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 227913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 227916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 227919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 227922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 227926 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1309:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPHS_WIDE_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 227926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPHS_WIDE_PPzZZ_H),
     /* 227929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227931 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227933 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227935 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227937 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 227940 */     GIR_RootConstrainSelectedInstOperands,
     /* 227941 */     // GIR_Coverage, 9140,
     /* 227941 */     GIR_EraseRootFromParent_Done,
     /* 227942 */   // Label 4526: @227942
     /* 227942 */   GIM_Try, /*On fail goto*//*Label 4527*/ GIMT_Encode4(227987), // Rule ID 9141 //
     /* 227947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmphs_wide),
     /* 227955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 227958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 227961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 227964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 227967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 227971 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1309:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPHS_WIDE_PPzZZ_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 227971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPHS_WIDE_PPzZZ_S),
     /* 227974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227976 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227978 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227980 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227982 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 227985 */     GIR_RootConstrainSelectedInstOperands,
     /* 227986 */     // GIR_Coverage, 9141,
     /* 227986 */     GIR_EraseRootFromParent_Done,
     /* 227987 */   // Label 4527: @227987
     /* 227987 */   GIM_Try, /*On fail goto*//*Label 4528*/ GIMT_Encode4(228032), // Rule ID 9142 //
     /* 227992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmphi_wide),
     /* 228000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 228003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 228006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 228009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228016 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1307:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPHI_WIDE_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPHI_WIDE_PPzZZ_B),
     /* 228019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228021 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228023 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228025 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228027 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 228030 */     GIR_RootConstrainSelectedInstOperands,
     /* 228031 */     // GIR_Coverage, 9142,
     /* 228031 */     GIR_EraseRootFromParent_Done,
     /* 228032 */   // Label 4528: @228032
     /* 228032 */   GIM_Try, /*On fail goto*//*Label 4529*/ GIMT_Encode4(228077), // Rule ID 9143 //
     /* 228037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmphi_wide),
     /* 228045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 228048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 228051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 228054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228061 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1307:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPHI_WIDE_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPHI_WIDE_PPzZZ_H),
     /* 228064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228066 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228068 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228070 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228072 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 228075 */     GIR_RootConstrainSelectedInstOperands,
     /* 228076 */     // GIR_Coverage, 9143,
     /* 228076 */     GIR_EraseRootFromParent_Done,
     /* 228077 */   // Label 4529: @228077
     /* 228077 */   GIM_Try, /*On fail goto*//*Label 4530*/ GIMT_Encode4(228122), // Rule ID 9144 //
     /* 228082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmphi_wide),
     /* 228090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 228093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 228096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 228099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228106 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1307:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPHI_WIDE_PPzZZ_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPHI_WIDE_PPzZZ_S),
     /* 228109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228111 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228113 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228115 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228117 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 228120 */     GIR_RootConstrainSelectedInstOperands,
     /* 228121 */     // GIR_Coverage, 9144,
     /* 228121 */     GIR_EraseRootFromParent_Done,
     /* 228122 */   // Label 4530: @228122
     /* 228122 */   GIM_Try, /*On fail goto*//*Label 4531*/ GIMT_Encode4(228167), // Rule ID 9145 //
     /* 228127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmplo_wide),
     /* 228135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 228138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 228141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 228144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228151 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1311:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLO_WIDE_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLO_WIDE_PPzZZ_B),
     /* 228154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228156 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228158 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228160 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228162 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 228165 */     GIR_RootConstrainSelectedInstOperands,
     /* 228166 */     // GIR_Coverage, 9145,
     /* 228166 */     GIR_EraseRootFromParent_Done,
     /* 228167 */   // Label 4531: @228167
     /* 228167 */   GIM_Try, /*On fail goto*//*Label 4532*/ GIMT_Encode4(228212), // Rule ID 9146 //
     /* 228172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmplo_wide),
     /* 228180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 228183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 228186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 228189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228196 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1311:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLO_WIDE_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLO_WIDE_PPzZZ_H),
     /* 228199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228201 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228203 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228205 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228207 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 228210 */     GIR_RootConstrainSelectedInstOperands,
     /* 228211 */     // GIR_Coverage, 9146,
     /* 228211 */     GIR_EraseRootFromParent_Done,
     /* 228212 */   // Label 4532: @228212
     /* 228212 */   GIM_Try, /*On fail goto*//*Label 4533*/ GIMT_Encode4(228257), // Rule ID 9147 //
     /* 228217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmplo_wide),
     /* 228225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 228228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 228231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 228234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228241 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1311:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLO_WIDE_PPzZZ_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLO_WIDE_PPzZZ_S),
     /* 228244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228246 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228248 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228250 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228252 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 228255 */     GIR_RootConstrainSelectedInstOperands,
     /* 228256 */     // GIR_Coverage, 9147,
     /* 228256 */     GIR_EraseRootFromParent_Done,
     /* 228257 */   // Label 4533: @228257
     /* 228257 */   GIM_Try, /*On fail goto*//*Label 4534*/ GIMT_Encode4(228302), // Rule ID 9148 //
     /* 228262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpls_wide),
     /* 228270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 228273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 228276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 228279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228286 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1312:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLS_WIDE_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLS_WIDE_PPzZZ_B),
     /* 228289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228291 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228293 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228295 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228297 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 228300 */     GIR_RootConstrainSelectedInstOperands,
     /* 228301 */     // GIR_Coverage, 9148,
     /* 228301 */     GIR_EraseRootFromParent_Done,
     /* 228302 */   // Label 4534: @228302
     /* 228302 */   GIM_Try, /*On fail goto*//*Label 4535*/ GIMT_Encode4(228347), // Rule ID 9149 //
     /* 228307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpls_wide),
     /* 228315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 228318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 228321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 228324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228331 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1312:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLS_WIDE_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLS_WIDE_PPzZZ_H),
     /* 228334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228336 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228338 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228340 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228342 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 228345 */     GIR_RootConstrainSelectedInstOperands,
     /* 228346 */     // GIR_Coverage, 9149,
     /* 228346 */     GIR_EraseRootFromParent_Done,
     /* 228347 */   // Label 4535: @228347
     /* 228347 */   GIM_Try, /*On fail goto*//*Label 4536*/ GIMT_Encode4(228392), // Rule ID 9150 //
     /* 228352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpls_wide),
     /* 228360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 228363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 228366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 228369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228376 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1312:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLS_WIDE_PPzZZ_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLS_WIDE_PPzZZ_S),
     /* 228379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228381 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228383 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228385 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228387 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 228390 */     GIR_RootConstrainSelectedInstOperands,
     /* 228391 */     // GIR_Coverage, 9150,
     /* 228391 */     GIR_EraseRootFromParent_Done,
     /* 228392 */   // Label 4536: @228392
     /* 228392 */   GIM_Try, /*On fail goto*//*Label 4537*/ GIMT_Encode4(228434), // Rule ID 9547 //
     /* 228397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_facgt),
     /* 228405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 228408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 228411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 228414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 228417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228421 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1348:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FACGT_PPzZZ_H:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 228421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGT_PPzZZ_H),
     /* 228424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228426 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228428 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228430 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228432 */     GIR_RootConstrainSelectedInstOperands,
     /* 228433 */     // GIR_Coverage, 9547,
     /* 228433 */     GIR_EraseRootFromParent_Done,
     /* 228434 */   // Label 4537: @228434
     /* 228434 */   GIM_Try, /*On fail goto*//*Label 4538*/ GIMT_Encode4(228476), // Rule ID 9548 //
     /* 228439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_facgt),
     /* 228447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 228450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 228453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 228456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 228459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228463 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1348:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FACGT_PPzZZ_S:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 228463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGT_PPzZZ_S),
     /* 228466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228468 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228470 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228472 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228474 */     GIR_RootConstrainSelectedInstOperands,
     /* 228475 */     // GIR_Coverage, 9548,
     /* 228475 */     GIR_EraseRootFromParent_Done,
     /* 228476 */   // Label 4538: @228476
     /* 228476 */   GIM_Try, /*On fail goto*//*Label 4539*/ GIMT_Encode4(228518), // Rule ID 9549 //
     /* 228481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_facgt),
     /* 228489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 228492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 228495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 228498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228505 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1348:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FACGT_PPzZZ_D:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 228505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGT_PPzZZ_D),
     /* 228508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228510 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228512 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228514 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228516 */     GIR_RootConstrainSelectedInstOperands,
     /* 228517 */     // GIR_Coverage, 9549,
     /* 228517 */     GIR_EraseRootFromParent_Done,
     /* 228518 */   // Label 4539: @228518
     /* 228518 */   GIM_Try, /*On fail goto*//*Label 4540*/ GIMT_Encode4(228560), // Rule ID 10087 //
     /* 228523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsr),
     /* 228531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 228534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 228537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 228540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 228543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228547 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1579:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (LSR_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 228547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSR_ZPmZ_B),
     /* 228550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228552 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228554 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228556 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228558 */     GIR_RootConstrainSelectedInstOperands,
     /* 228559 */     // GIR_Coverage, 10087,
     /* 228559 */     GIR_EraseRootFromParent_Done,
     /* 228560 */   // Label 4540: @228560
     /* 228560 */   GIM_Try, /*On fail goto*//*Label 4541*/ GIMT_Encode4(228602), // Rule ID 10088 //
     /* 228565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsr),
     /* 228573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 228576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 228579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 228582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 228585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228589 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1579:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (LSR_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 228589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSR_ZPmZ_H),
     /* 228592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228594 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228596 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228598 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228600 */     GIR_RootConstrainSelectedInstOperands,
     /* 228601 */     // GIR_Coverage, 10088,
     /* 228601 */     GIR_EraseRootFromParent_Done,
     /* 228602 */   // Label 4541: @228602
     /* 228602 */   GIM_Try, /*On fail goto*//*Label 4542*/ GIMT_Encode4(228644), // Rule ID 10089 //
     /* 228607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsr),
     /* 228615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 228618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 228621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 228624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 228627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228631 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1579:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (LSR_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 228631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSR_ZPmZ_S),
     /* 228634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228636 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228638 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228640 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228642 */     GIR_RootConstrainSelectedInstOperands,
     /* 228643 */     // GIR_Coverage, 10089,
     /* 228643 */     GIR_EraseRootFromParent_Done,
     /* 228644 */   // Label 4542: @228644
     /* 228644 */   GIM_Try, /*On fail goto*//*Label 4543*/ GIMT_Encode4(228686), // Rule ID 10090 //
     /* 228649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsr),
     /* 228657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 228660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 228663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 228666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228673 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1579:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (LSR_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSR_ZPmZ_D),
     /* 228676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228678 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228680 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228682 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228684 */     GIR_RootConstrainSelectedInstOperands,
     /* 228685 */     // GIR_Coverage, 10090,
     /* 228685 */     GIR_EraseRootFromParent_Done,
     /* 228686 */   // Label 4543: @228686
     /* 228686 */   GIM_Try, /*On fail goto*//*Label 4544*/ GIMT_Encode4(228728), // Rule ID 10091 //
     /* 228691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsl),
     /* 228699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 228702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 228705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 228708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 228711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228715 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1576:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (LSL_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 228715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSL_ZPmZ_B),
     /* 228718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228720 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228722 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228724 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228726 */     GIR_RootConstrainSelectedInstOperands,
     /* 228727 */     // GIR_Coverage, 10091,
     /* 228727 */     GIR_EraseRootFromParent_Done,
     /* 228728 */   // Label 4544: @228728
     /* 228728 */   GIM_Try, /*On fail goto*//*Label 4545*/ GIMT_Encode4(228770), // Rule ID 10092 //
     /* 228733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsl),
     /* 228741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 228744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 228747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 228750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 228753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228757 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1576:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (LSL_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 228757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSL_ZPmZ_H),
     /* 228760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228762 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228764 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228766 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228768 */     GIR_RootConstrainSelectedInstOperands,
     /* 228769 */     // GIR_Coverage, 10092,
     /* 228769 */     GIR_EraseRootFromParent_Done,
     /* 228770 */   // Label 4545: @228770
     /* 228770 */   GIM_Try, /*On fail goto*//*Label 4546*/ GIMT_Encode4(228812), // Rule ID 10093 //
     /* 228775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsl),
     /* 228783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 228786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 228789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 228792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 228795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228799 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1576:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (LSL_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 228799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSL_ZPmZ_S),
     /* 228802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228804 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228806 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228808 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228810 */     GIR_RootConstrainSelectedInstOperands,
     /* 228811 */     // GIR_Coverage, 10093,
     /* 228811 */     GIR_EraseRootFromParent_Done,
     /* 228812 */   // Label 4546: @228812
     /* 228812 */   GIM_Try, /*On fail goto*//*Label 4547*/ GIMT_Encode4(228854), // Rule ID 10094 //
     /* 228817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsl),
     /* 228825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 228828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 228831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 228834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228841 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1576:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (LSL_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSL_ZPmZ_D),
     /* 228844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228846 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228848 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228850 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228852 */     GIR_RootConstrainSelectedInstOperands,
     /* 228853 */     // GIR_Coverage, 10094,
     /* 228853 */     GIR_EraseRootFromParent_Done,
     /* 228854 */   // Label 4547: @228854
     /* 228854 */   GIM_Try, /*On fail goto*//*Label 4548*/ GIMT_Encode4(228896), // Rule ID 10107 //
     /* 228859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsr_wide),
     /* 228867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 228870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 228873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 228876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228883 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1581:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (LSR_WIDE_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSR_WIDE_ZPmZ_B),
     /* 228886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228888 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228890 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228892 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228894 */     GIR_RootConstrainSelectedInstOperands,
     /* 228895 */     // GIR_Coverage, 10107,
     /* 228895 */     GIR_EraseRootFromParent_Done,
     /* 228896 */   // Label 4548: @228896
     /* 228896 */   GIM_Try, /*On fail goto*//*Label 4549*/ GIMT_Encode4(228938), // Rule ID 10108 //
     /* 228901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsr_wide),
     /* 228909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 228912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 228915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 228918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228925 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1581:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (LSR_WIDE_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSR_WIDE_ZPmZ_H),
     /* 228928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228930 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228932 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228934 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228936 */     GIR_RootConstrainSelectedInstOperands,
     /* 228937 */     // GIR_Coverage, 10108,
     /* 228937 */     GIR_EraseRootFromParent_Done,
     /* 228938 */   // Label 4549: @228938
     /* 228938 */   GIM_Try, /*On fail goto*//*Label 4550*/ GIMT_Encode4(228980), // Rule ID 10109 //
     /* 228943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsr_wide),
     /* 228951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 228954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 228957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 228960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228967 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1581:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (LSR_WIDE_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSR_WIDE_ZPmZ_S),
     /* 228970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228972 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228974 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228976 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228978 */     GIR_RootConstrainSelectedInstOperands,
     /* 228979 */     // GIR_Coverage, 10109,
     /* 228979 */     GIR_EraseRootFromParent_Done,
     /* 228980 */   // Label 4550: @228980
     /* 228980 */   GIM_Try, /*On fail goto*//*Label 4551*/ GIMT_Encode4(229022), // Rule ID 10110 //
     /* 228985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsl_wide),
     /* 228993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 228996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 228999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 229002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229009 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1578:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (LSL_WIDE_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 229009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSL_WIDE_ZPmZ_B),
     /* 229012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229014 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229016 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229018 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229020 */     GIR_RootConstrainSelectedInstOperands,
     /* 229021 */     // GIR_Coverage, 10110,
     /* 229021 */     GIR_EraseRootFromParent_Done,
     /* 229022 */   // Label 4551: @229022
     /* 229022 */   GIM_Try, /*On fail goto*//*Label 4552*/ GIMT_Encode4(229064), // Rule ID 10111 //
     /* 229027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsl_wide),
     /* 229035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 229038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 229041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 229044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229051 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1578:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (LSL_WIDE_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 229051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSL_WIDE_ZPmZ_H),
     /* 229054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229056 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229058 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229060 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229062 */     GIR_RootConstrainSelectedInstOperands,
     /* 229063 */     // GIR_Coverage, 10111,
     /* 229063 */     GIR_EraseRootFromParent_Done,
     /* 229064 */   // Label 4552: @229064
     /* 229064 */   GIM_Try, /*On fail goto*//*Label 4553*/ GIMT_Encode4(229106), // Rule ID 10112 //
     /* 229069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsl_wide),
     /* 229077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 229080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 229083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 229086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229093 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1578:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (LSL_WIDE_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 229093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSL_WIDE_ZPmZ_S),
     /* 229096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229098 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229100 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229102 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229104 */     GIR_RootConstrainSelectedInstOperands,
     /* 229105 */     // GIR_Coverage, 10112,
     /* 229105 */     GIR_EraseRootFromParent_Done,
     /* 229106 */   // Label 4553: @229106
     /* 229106 */   GIM_Try, /*On fail goto*//*Label 4554*/ GIMT_Encode4(229148), // Rule ID 10139 //
     /* 229111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvt_f16f64),
     /* 229119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 229122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 229125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 229128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229135 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1373:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FCVT_ZPmZ_DtoH:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 229135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVT_ZPmZ_DtoH),
     /* 229138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 229140 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229142 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229144 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229146 */     GIR_RootConstrainSelectedInstOperands,
     /* 229147 */     // GIR_Coverage, 10139,
     /* 229147 */     GIR_EraseRootFromParent_Done,
     /* 229148 */   // Label 4554: @229148
     /* 229148 */   GIM_Try, /*On fail goto*//*Label 4555*/ GIMT_Encode4(229190), // Rule ID 10143 //
     /* 229153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvt_f64f16),
     /* 229161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 229164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 229167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 229170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 229173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229177 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1376:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FCVT_ZPmZ_HtoD:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 229177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVT_ZPmZ_HtoD),
     /* 229180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 229182 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229184 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229186 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229188 */     GIR_RootConstrainSelectedInstOperands,
     /* 229189 */     // GIR_Coverage, 10143,
     /* 229189 */     GIR_EraseRootFromParent_Done,
     /* 229190 */   // Label 4555: @229190
     /* 229190 */   GIM_Try, /*On fail goto*//*Label 4556*/ GIMT_Encode4(229232), // Rule ID 10147 //
     /* 229195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvt_f32f64),
     /* 229203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 229206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 229209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 229212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229219 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1375:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FCVT_ZPmZ_DtoS:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 229219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVT_ZPmZ_DtoS),
     /* 229222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 229224 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229226 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229228 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229230 */     GIR_RootConstrainSelectedInstOperands,
     /* 229231 */     // GIR_Coverage, 10147,
     /* 229231 */     GIR_EraseRootFromParent_Done,
     /* 229232 */   // Label 4556: @229232
     /* 229232 */   GIM_Try, /*On fail goto*//*Label 4557*/ GIMT_Encode4(229274), // Rule ID 10151 //
     /* 229237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvt_f64f32),
     /* 229245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 229248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 229251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 229254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 229257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229261 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1377:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FCVT_ZPmZ_StoD:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 229261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVT_ZPmZ_StoD),
     /* 229264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 229266 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229268 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229270 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229272 */     GIR_RootConstrainSelectedInstOperands,
     /* 229273 */     // GIR_Coverage, 10151,
     /* 229273 */     GIR_EraseRootFromParent_Done,
     /* 229274 */   // Label 4557: @229274
     /* 229274 */   GIM_Try, /*On fail goto*//*Label 4558*/ GIMT_Encode4(229316), // Rule ID 10155 //
     /* 229279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_scvtf_f64i32),
     /* 229287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 229290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 229293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 229296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 229299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229303 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1689:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SCVTF_ZPmZ_StoD:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 229303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTF_ZPmZ_StoD),
     /* 229306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 229308 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229310 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229312 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229314 */     GIR_RootConstrainSelectedInstOperands,
     /* 229315 */     // GIR_Coverage, 10155,
     /* 229315 */     GIR_EraseRootFromParent_Done,
     /* 229316 */   // Label 4558: @229316
     /* 229316 */   GIM_Try, /*On fail goto*//*Label 4559*/ GIMT_Encode4(229358), // Rule ID 10156 //
     /* 229321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ucvtf_f64i32),
     /* 229329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 229332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 229335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 229338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 229341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229345 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1936:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UCVTF_ZPmZ_StoD:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 229345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTF_ZPmZ_StoD),
     /* 229348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 229350 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229352 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229354 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229356 */     GIR_RootConstrainSelectedInstOperands,
     /* 229357 */     // GIR_Coverage, 10156,
     /* 229357 */     GIR_EraseRootFromParent_Done,
     /* 229358 */   // Label 4559: @229358
     /* 229358 */   GIM_Try, /*On fail goto*//*Label 4560*/ GIMT_Encode4(229400), // Rule ID 10157 //
     /* 229363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ucvtf_f16i32),
     /* 229371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 229374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 229377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 229380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 229383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229387 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1933:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UCVTF_ZPmZ_StoH:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 229387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTF_ZPmZ_StoH),
     /* 229390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 229392 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229394 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229396 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229398 */     GIR_RootConstrainSelectedInstOperands,
     /* 229399 */     // GIR_Coverage, 10157,
     /* 229399 */     GIR_EraseRootFromParent_Done,
     /* 229400 */   // Label 4560: @229400
     /* 229400 */   GIM_Try, /*On fail goto*//*Label 4561*/ GIMT_Encode4(229442), // Rule ID 10161 //
     /* 229405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_scvtf_f32i64),
     /* 229413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 229416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 229419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 229422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229429 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1688:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SCVTF_ZPmZ_DtoS:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 229429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTF_ZPmZ_DtoS),
     /* 229432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 229434 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229436 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229438 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229440 */     GIR_RootConstrainSelectedInstOperands,
     /* 229441 */     // GIR_Coverage, 10161,
     /* 229441 */     GIR_EraseRootFromParent_Done,
     /* 229442 */   // Label 4561: @229442
     /* 229442 */   GIM_Try, /*On fail goto*//*Label 4562*/ GIMT_Encode4(229484), // Rule ID 10165 //
     /* 229447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_scvtf_f16i32),
     /* 229455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 229458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 229461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 229464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 229467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229471 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1686:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SCVTF_ZPmZ_StoH:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 229471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTF_ZPmZ_StoH),
     /* 229474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 229476 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229478 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229480 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229482 */     GIR_RootConstrainSelectedInstOperands,
     /* 229483 */     // GIR_Coverage, 10165,
     /* 229483 */     GIR_EraseRootFromParent_Done,
     /* 229484 */   // Label 4562: @229484
     /* 229484 */   GIM_Try, /*On fail goto*//*Label 4563*/ GIMT_Encode4(229526), // Rule ID 10169 //
     /* 229489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_scvtf_f16i64),
     /* 229497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 229500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 229503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 229506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229513 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1687:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SCVTF_ZPmZ_DtoH:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 229513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTF_ZPmZ_DtoH),
     /* 229516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 229518 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229520 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229522 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229524 */     GIR_RootConstrainSelectedInstOperands,
     /* 229525 */     // GIR_Coverage, 10169,
     /* 229525 */     GIR_EraseRootFromParent_Done,
     /* 229526 */   // Label 4563: @229526
     /* 229526 */   GIM_Try, /*On fail goto*//*Label 4564*/ GIMT_Encode4(229568), // Rule ID 10173 //
     /* 229531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ucvtf_f32i64),
     /* 229539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 229542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 229545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 229548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229555 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1935:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UCVTF_ZPmZ_DtoS:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 229555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTF_ZPmZ_DtoS),
     /* 229558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 229560 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229562 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229564 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229566 */     GIR_RootConstrainSelectedInstOperands,
     /* 229567 */     // GIR_Coverage, 10173,
     /* 229567 */     GIR_EraseRootFromParent_Done,
     /* 229568 */   // Label 4564: @229568
     /* 229568 */   GIM_Try, /*On fail goto*//*Label 4565*/ GIMT_Encode4(229610), // Rule ID 10177 //
     /* 229573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ucvtf_f16i64),
     /* 229581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 229584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 229587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 229590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229597 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1934:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UCVTF_ZPmZ_DtoH:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 229597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTF_ZPmZ_DtoH),
     /* 229600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 229602 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229604 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229606 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229608 */     GIR_RootConstrainSelectedInstOperands,
     /* 229609 */     // GIR_Coverage, 10177,
     /* 229609 */     GIR_EraseRootFromParent_Done,
     /* 229610 */   // Label 4565: @229610
     /* 229610 */   GIM_Try, /*On fail goto*//*Label 4566*/ GIMT_Encode4(229652), // Rule ID 10187 //
     /* 229615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtzs_i32f64),
     /* 229623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 229626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 229629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 229632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229639 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1391:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FCVTZS_ZPmZ_DtoS:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 229639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZS_ZPmZ_DtoS),
     /* 229642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 229644 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229646 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229648 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229650 */     GIR_RootConstrainSelectedInstOperands,
     /* 229651 */     // GIR_Coverage, 10187,
     /* 229651 */     GIR_EraseRootFromParent_Done,
     /* 229652 */   // Label 4566: @229652
     /* 229652 */   GIM_Try, /*On fail goto*//*Label 4567*/ GIMT_Encode4(229694), // Rule ID 10188 //
     /* 229657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtzu_i32f64),
     /* 229665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 229668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 229671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 229674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229681 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1398:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FCVTZU_ZPmZ_DtoS:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 229681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZU_ZPmZ_DtoS),
     /* 229684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 229686 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229688 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229690 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229692 */     GIR_RootConstrainSelectedInstOperands,
     /* 229693 */     // GIR_Coverage, 10188,
     /* 229693 */     GIR_EraseRootFromParent_Done,
     /* 229694 */   // Label 4567: @229694
     /* 229694 */   GIM_Try, /*On fail goto*//*Label 4568*/ GIMT_Encode4(229736), // Rule ID 10189 //
     /* 229699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtzs_i64f32),
     /* 229707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 229710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 229713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 229716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 229719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229723 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1393:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FCVTZS_ZPmZ_StoD:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 229723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZS_ZPmZ_StoD),
     /* 229726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 229728 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229730 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229732 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229734 */     GIR_RootConstrainSelectedInstOperands,
     /* 229735 */     // GIR_Coverage, 10189,
     /* 229735 */     GIR_EraseRootFromParent_Done,
     /* 229736 */   // Label 4568: @229736
     /* 229736 */   GIM_Try, /*On fail goto*//*Label 4569*/ GIMT_Encode4(229778), // Rule ID 10193 //
     /* 229741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtzs_i32f16),
     /* 229749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 229752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 229755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 229758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 229761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229765 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1390:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FCVTZS_ZPmZ_HtoS:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 229765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZS_ZPmZ_HtoS),
     /* 229768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 229770 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229772 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229774 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229776 */     GIR_RootConstrainSelectedInstOperands,
     /* 229777 */     // GIR_Coverage, 10193,
     /* 229777 */     GIR_EraseRootFromParent_Done,
     /* 229778 */   // Label 4569: @229778
     /* 229778 */   GIM_Try, /*On fail goto*//*Label 4570*/ GIMT_Encode4(229820), // Rule ID 10197 //
     /* 229783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtzs_i64f16),
     /* 229791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 229794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 229797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 229800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 229803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229807 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1392:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FCVTZS_ZPmZ_HtoD:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 229807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZS_ZPmZ_HtoD),
     /* 229810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 229812 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229814 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229816 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229818 */     GIR_RootConstrainSelectedInstOperands,
     /* 229819 */     // GIR_Coverage, 10197,
     /* 229819 */     GIR_EraseRootFromParent_Done,
     /* 229820 */   // Label 4570: @229820
     /* 229820 */   GIM_Try, /*On fail goto*//*Label 4571*/ GIMT_Encode4(229862), // Rule ID 10201 //
     /* 229825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtzu_i32f16),
     /* 229833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 229836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 229839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 229842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 229845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229849 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1397:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FCVTZU_ZPmZ_HtoS:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 229849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZU_ZPmZ_HtoS),
     /* 229852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 229854 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229856 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229858 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229860 */     GIR_RootConstrainSelectedInstOperands,
     /* 229861 */     // GIR_Coverage, 10201,
     /* 229861 */     GIR_EraseRootFromParent_Done,
     /* 229862 */   // Label 4571: @229862
     /* 229862 */   GIM_Try, /*On fail goto*//*Label 4572*/ GIMT_Encode4(229904), // Rule ID 10205 //
     /* 229867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtzu_i64f16),
     /* 229875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 229878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 229881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 229884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 229887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229891 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1399:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FCVTZU_ZPmZ_HtoD:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 229891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZU_ZPmZ_HtoD),
     /* 229894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 229896 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229898 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229900 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229902 */     GIR_RootConstrainSelectedInstOperands,
     /* 229903 */     // GIR_Coverage, 10205,
     /* 229903 */     GIR_EraseRootFromParent_Done,
     /* 229904 */   // Label 4572: @229904
     /* 229904 */   GIM_Try, /*On fail goto*//*Label 4573*/ GIMT_Encode4(229946), // Rule ID 10209 //
     /* 229909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtzu_i64f32),
     /* 229917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 229920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 229923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 229926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 229929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229933 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1400:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FCVTZU_ZPmZ_StoD:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 229933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZU_ZPmZ_StoD),
     /* 229936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 229938 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229940 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229942 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229944 */     GIR_RootConstrainSelectedInstOperands,
     /* 229945 */     // GIR_Coverage, 10209,
     /* 229945 */     GIR_EraseRootFromParent_Done,
     /* 229946 */   // Label 4573: @229946
     /* 229946 */   GIM_Try, /*On fail goto*//*Label 4574*/ GIMT_Encode4(229988), // Rule ID 11186 //
     /* 229951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulInt8_HasSVE),
     /* 229954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ummla),
     /* 229959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 229962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 229965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 229968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 229971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229975 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1975:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UMMLA_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 229975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMMLA_ZZZ),
     /* 229978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 229980 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229982 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229984 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229986 */     GIR_RootConstrainSelectedInstOperands,
     /* 229987 */     // GIR_Coverage, 11186,
     /* 229987 */     GIR_EraseRootFromParent_Done,
     /* 229988 */   // Label 4574: @229988
     /* 229988 */   GIM_Try, /*On fail goto*//*Label 4575*/ GIMT_Encode4(230030), // Rule ID 11187 //
     /* 229993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulInt8_HasSVE),
     /* 229996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usmmla),
     /* 230001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 230004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 230007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 230010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 230013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230017 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2046:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (USMMLA_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 230017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USMMLA_ZZZ),
     /* 230020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230022 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230024 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230026 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230028 */     GIR_RootConstrainSelectedInstOperands,
     /* 230029 */     // GIR_Coverage, 11187,
     /* 230029 */     GIR_EraseRootFromParent_Done,
     /* 230030 */   // Label 4575: @230030
     /* 230030 */   GIM_Try, /*On fail goto*//*Label 4576*/ GIMT_Encode4(230072), // Rule ID 11189 //
     /* 230035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP32_HasSVE),
     /* 230038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmmla),
     /* 230043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 230046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 230049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 230052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 230055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230059 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1461:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FMMLA_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 230059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMMLA_ZZZ_S),
     /* 230062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230064 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230066 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230068 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230070 */     GIR_RootConstrainSelectedInstOperands,
     /* 230071 */     // GIR_Coverage, 11189,
     /* 230071 */     GIR_EraseRootFromParent_Done,
     /* 230072 */   // Label 4576: @230072
     /* 230072 */   GIM_Try, /*On fail goto*//*Label 4577*/ GIMT_Encode4(230114), // Rule ID 11190 //
     /* 230077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE),
     /* 230080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmmla),
     /* 230085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 230088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 230091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 230094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 230097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230101 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1461:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FMMLA_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 230101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMMLA_ZZZ_D),
     /* 230104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230106 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230108 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230110 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230112 */     GIR_RootConstrainSelectedInstOperands,
     /* 230113 */     // GIR_Coverage, 11190,
     /* 230113 */     GIR_EraseRootFromParent_Done,
     /* 230114 */   // Label 4577: @230114
     /* 230114 */   GIM_Try, /*On fail goto*//*Label 4578*/ GIMT_Encode4(230156), // Rule ID 11244 //
     /* 230119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlsh),
     /* 230127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 230130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 230133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 230136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 230139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230143 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1810:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQRDMLSH_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 230143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSH_ZZZ_B),
     /* 230146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230148 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230150 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230152 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230154 */     GIR_RootConstrainSelectedInstOperands,
     /* 230155 */     // GIR_Coverage, 11244,
     /* 230155 */     GIR_EraseRootFromParent_Done,
     /* 230156 */   // Label 4578: @230156
     /* 230156 */   GIM_Try, /*On fail goto*//*Label 4579*/ GIMT_Encode4(230198), // Rule ID 11245 //
     /* 230161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlsh),
     /* 230169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 230172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 230175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 230178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 230181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230185 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1810:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQRDMLSH_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 230185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSH_ZZZ_H),
     /* 230188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230190 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230192 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230194 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230196 */     GIR_RootConstrainSelectedInstOperands,
     /* 230197 */     // GIR_Coverage, 11245,
     /* 230197 */     GIR_EraseRootFromParent_Done,
     /* 230198 */   // Label 4579: @230198
     /* 230198 */   GIM_Try, /*On fail goto*//*Label 4580*/ GIMT_Encode4(230240), // Rule ID 11246 //
     /* 230203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlsh),
     /* 230211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 230214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 230217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 230220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 230223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230227 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1810:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQRDMLSH_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 230227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSH_ZZZ_S),
     /* 230230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230232 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230234 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230236 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230238 */     GIR_RootConstrainSelectedInstOperands,
     /* 230239 */     // GIR_Coverage, 11246,
     /* 230239 */     GIR_EraseRootFromParent_Done,
     /* 230240 */   // Label 4580: @230240
     /* 230240 */   GIM_Try, /*On fail goto*//*Label 4581*/ GIMT_Encode4(230282), // Rule ID 11247 //
     /* 230245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlsh),
     /* 230253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 230256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 230259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 230262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 230265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230269 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1810:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SQRDMLSH_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 230269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSH_ZZZ_D),
     /* 230272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230274 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230276 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230278 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230280 */     GIR_RootConstrainSelectedInstOperands,
     /* 230281 */     // GIR_Coverage, 11247,
     /* 230281 */     GIR_EraseRootFromParent_Done,
     /* 230282 */   // Label 4581: @230282
     /* 230282 */   GIM_Try, /*On fail goto*//*Label 4582*/ GIMT_Encode4(230324), // Rule ID 11300 //
     /* 230287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlalt),
     /* 230295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 230298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 230301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 230304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 230307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230311 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1731:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SMLALT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 230311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALT_ZZZ_H),
     /* 230314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230316 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230318 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230320 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230322 */     GIR_RootConstrainSelectedInstOperands,
     /* 230323 */     // GIR_Coverage, 11300,
     /* 230323 */     GIR_EraseRootFromParent_Done,
     /* 230324 */   // Label 4582: @230324
     /* 230324 */   GIM_Try, /*On fail goto*//*Label 4583*/ GIMT_Encode4(230366), // Rule ID 11301 //
     /* 230329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlalt),
     /* 230337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 230340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 230343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 230346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 230349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230353 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1731:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SMLALT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 230353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALT_ZZZ_S),
     /* 230356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230358 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230360 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230362 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230364 */     GIR_RootConstrainSelectedInstOperands,
     /* 230365 */     // GIR_Coverage, 11301,
     /* 230365 */     GIR_EraseRootFromParent_Done,
     /* 230366 */   // Label 4583: @230366
     /* 230366 */   GIM_Try, /*On fail goto*//*Label 4584*/ GIMT_Encode4(230408), // Rule ID 11302 //
     /* 230371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlalt),
     /* 230379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 230382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 230385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 230388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 230391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230395 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1731:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SMLALT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 230395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALT_ZZZ_D),
     /* 230398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230400 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230402 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230404 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230406 */     GIR_RootConstrainSelectedInstOperands,
     /* 230407 */     // GIR_Coverage, 11302,
     /* 230407 */     GIR_EraseRootFromParent_Done,
     /* 230408 */   // Label 4584: @230408
     /* 230408 */   GIM_Try, /*On fail goto*//*Label 4585*/ GIMT_Encode4(230450), // Rule ID 11303 //
     /* 230413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlalb),
     /* 230421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 230424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 230427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 230430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 230433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230437 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1967:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UMLALB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 230437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALB_ZZZ_H),
     /* 230440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230442 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230444 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230446 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230448 */     GIR_RootConstrainSelectedInstOperands,
     /* 230449 */     // GIR_Coverage, 11303,
     /* 230449 */     GIR_EraseRootFromParent_Done,
     /* 230450 */   // Label 4585: @230450
     /* 230450 */   GIM_Try, /*On fail goto*//*Label 4586*/ GIMT_Encode4(230492), // Rule ID 11304 //
     /* 230455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlalb),
     /* 230463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 230466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 230469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 230472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 230475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230479 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1967:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UMLALB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 230479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALB_ZZZ_S),
     /* 230482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230484 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230486 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230488 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230490 */     GIR_RootConstrainSelectedInstOperands,
     /* 230491 */     // GIR_Coverage, 11304,
     /* 230491 */     GIR_EraseRootFromParent_Done,
     /* 230492 */   // Label 4586: @230492
     /* 230492 */   GIM_Try, /*On fail goto*//*Label 4587*/ GIMT_Encode4(230534), // Rule ID 11305 //
     /* 230497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlalb),
     /* 230505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 230508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 230511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 230514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 230517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230521 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1967:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UMLALB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 230521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALB_ZZZ_D),
     /* 230524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230526 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230528 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230530 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230532 */     GIR_RootConstrainSelectedInstOperands,
     /* 230533 */     // GIR_Coverage, 11305,
     /* 230533 */     GIR_EraseRootFromParent_Done,
     /* 230534 */   // Label 4587: @230534
     /* 230534 */   GIM_Try, /*On fail goto*//*Label 4588*/ GIMT_Encode4(230576), // Rule ID 11306 //
     /* 230539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlalt),
     /* 230547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 230550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 230553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 230556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 230559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230563 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1969:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UMLALT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 230563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALT_ZZZ_H),
     /* 230566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230568 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230570 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230572 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230574 */     GIR_RootConstrainSelectedInstOperands,
     /* 230575 */     // GIR_Coverage, 11306,
     /* 230575 */     GIR_EraseRootFromParent_Done,
     /* 230576 */   // Label 4588: @230576
     /* 230576 */   GIM_Try, /*On fail goto*//*Label 4589*/ GIMT_Encode4(230618), // Rule ID 11307 //
     /* 230581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlalt),
     /* 230589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 230592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 230595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 230598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 230601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230605 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1969:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UMLALT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 230605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALT_ZZZ_S),
     /* 230608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230610 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230612 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230614 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230616 */     GIR_RootConstrainSelectedInstOperands,
     /* 230617 */     // GIR_Coverage, 11307,
     /* 230617 */     GIR_EraseRootFromParent_Done,
     /* 230618 */   // Label 4589: @230618
     /* 230618 */   GIM_Try, /*On fail goto*//*Label 4590*/ GIMT_Encode4(230660), // Rule ID 11308 //
     /* 230623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlalt),
     /* 230631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 230634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 230637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 230640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 230643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230647 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1969:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UMLALT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 230647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALT_ZZZ_D),
     /* 230650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230652 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230654 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230656 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230658 */     GIR_RootConstrainSelectedInstOperands,
     /* 230659 */     // GIR_Coverage, 11308,
     /* 230659 */     GIR_EraseRootFromParent_Done,
     /* 230660 */   // Label 4590: @230660
     /* 230660 */   GIM_Try, /*On fail goto*//*Label 4591*/ GIMT_Encode4(230702), // Rule ID 11309 //
     /* 230665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlslb),
     /* 230673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 230676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 230679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 230682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 230685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230689 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1733:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SMLSLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 230689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLB_ZZZ_H),
     /* 230692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230694 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230696 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230698 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230700 */     GIR_RootConstrainSelectedInstOperands,
     /* 230701 */     // GIR_Coverage, 11309,
     /* 230701 */     GIR_EraseRootFromParent_Done,
     /* 230702 */   // Label 4591: @230702
     /* 230702 */   GIM_Try, /*On fail goto*//*Label 4592*/ GIMT_Encode4(230744), // Rule ID 11310 //
     /* 230707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlslb),
     /* 230715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 230718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 230721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 230724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 230727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230731 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1733:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SMLSLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 230731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLB_ZZZ_S),
     /* 230734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230736 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230738 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230740 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230742 */     GIR_RootConstrainSelectedInstOperands,
     /* 230743 */     // GIR_Coverage, 11310,
     /* 230743 */     GIR_EraseRootFromParent_Done,
     /* 230744 */   // Label 4592: @230744
     /* 230744 */   GIM_Try, /*On fail goto*//*Label 4593*/ GIMT_Encode4(230786), // Rule ID 11311 //
     /* 230749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlslb),
     /* 230757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 230760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 230763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 230766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 230769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230773 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1733:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SMLSLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 230773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLB_ZZZ_D),
     /* 230776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230778 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230780 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230782 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230784 */     GIR_RootConstrainSelectedInstOperands,
     /* 230785 */     // GIR_Coverage, 11311,
     /* 230785 */     GIR_EraseRootFromParent_Done,
     /* 230786 */   // Label 4593: @230786
     /* 230786 */   GIM_Try, /*On fail goto*//*Label 4594*/ GIMT_Encode4(230828), // Rule ID 11312 //
     /* 230791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlslt),
     /* 230799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 230802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 230805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 230808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 230811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230815 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1735:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SMLSLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 230815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLT_ZZZ_H),
     /* 230818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230820 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230822 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230824 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230826 */     GIR_RootConstrainSelectedInstOperands,
     /* 230827 */     // GIR_Coverage, 11312,
     /* 230827 */     GIR_EraseRootFromParent_Done,
     /* 230828 */   // Label 4594: @230828
     /* 230828 */   GIM_Try, /*On fail goto*//*Label 4595*/ GIMT_Encode4(230870), // Rule ID 11313 //
     /* 230833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlslt),
     /* 230841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 230844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 230847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 230850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 230853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230857 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1735:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SMLSLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 230857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLT_ZZZ_S),
     /* 230860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230862 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230864 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230866 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230868 */     GIR_RootConstrainSelectedInstOperands,
     /* 230869 */     // GIR_Coverage, 11313,
     /* 230869 */     GIR_EraseRootFromParent_Done,
     /* 230870 */   // Label 4595: @230870
     /* 230870 */   GIM_Try, /*On fail goto*//*Label 4596*/ GIMT_Encode4(230912), // Rule ID 11314 //
     /* 230875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlslt),
     /* 230883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 230886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 230889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 230892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 230895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230899 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1735:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SMLSLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 230899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLT_ZZZ_D),
     /* 230902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230904 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230906 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230908 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230910 */     GIR_RootConstrainSelectedInstOperands,
     /* 230911 */     // GIR_Coverage, 11314,
     /* 230911 */     GIR_EraseRootFromParent_Done,
     /* 230912 */   // Label 4596: @230912
     /* 230912 */   GIM_Try, /*On fail goto*//*Label 4597*/ GIMT_Encode4(230954), // Rule ID 11315 //
     /* 230917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlslb),
     /* 230925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 230928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 230931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 230934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 230937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230941 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1971:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UMLSLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 230941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLB_ZZZ_H),
     /* 230944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230946 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230948 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230950 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230952 */     GIR_RootConstrainSelectedInstOperands,
     /* 230953 */     // GIR_Coverage, 11315,
     /* 230953 */     GIR_EraseRootFromParent_Done,
     /* 230954 */   // Label 4597: @230954
     /* 230954 */   GIM_Try, /*On fail goto*//*Label 4598*/ GIMT_Encode4(230996), // Rule ID 11316 //
     /* 230959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlslb),
     /* 230967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 230970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 230973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 230976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 230979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230983 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1971:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UMLSLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 230983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLB_ZZZ_S),
     /* 230986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230988 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230990 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230992 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230994 */     GIR_RootConstrainSelectedInstOperands,
     /* 230995 */     // GIR_Coverage, 11316,
     /* 230995 */     GIR_EraseRootFromParent_Done,
     /* 230996 */   // Label 4598: @230996
     /* 230996 */   GIM_Try, /*On fail goto*//*Label 4599*/ GIMT_Encode4(231038), // Rule ID 11317 //
     /* 231001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlslb),
     /* 231009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 231012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 231015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 231018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 231021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231025 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1971:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UMLSLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 231025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLB_ZZZ_D),
     /* 231028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231030 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231032 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231034 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231036 */     GIR_RootConstrainSelectedInstOperands,
     /* 231037 */     // GIR_Coverage, 11317,
     /* 231037 */     GIR_EraseRootFromParent_Done,
     /* 231038 */   // Label 4599: @231038
     /* 231038 */   GIM_Try, /*On fail goto*//*Label 4600*/ GIMT_Encode4(231080), // Rule ID 11318 //
     /* 231043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlslt),
     /* 231051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 231054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 231057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 231060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 231063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231067 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1973:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UMLSLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 231067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLT_ZZZ_H),
     /* 231070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231072 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231074 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231076 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231078 */     GIR_RootConstrainSelectedInstOperands,
     /* 231079 */     // GIR_Coverage, 11318,
     /* 231079 */     GIR_EraseRootFromParent_Done,
     /* 231080 */   // Label 4600: @231080
     /* 231080 */   GIM_Try, /*On fail goto*//*Label 4601*/ GIMT_Encode4(231122), // Rule ID 11319 //
     /* 231085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlslt),
     /* 231093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 231096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 231099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 231102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 231105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231109 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1973:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UMLSLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 231109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLT_ZZZ_S),
     /* 231112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231114 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231116 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231118 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231120 */     GIR_RootConstrainSelectedInstOperands,
     /* 231121 */     // GIR_Coverage, 11319,
     /* 231121 */     GIR_EraseRootFromParent_Done,
     /* 231122 */   // Label 4601: @231122
     /* 231122 */   GIM_Try, /*On fail goto*//*Label 4602*/ GIMT_Encode4(231164), // Rule ID 11320 //
     /* 231127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlslt),
     /* 231135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 231138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 231141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 231144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 231147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231151 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1973:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UMLSLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 231151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLT_ZZZ_D),
     /* 231154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231156 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231158 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231160 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231162 */     GIR_RootConstrainSelectedInstOperands,
     /* 231163 */     // GIR_Coverage, 11320,
     /* 231163 */     GIR_EraseRootFromParent_Done,
     /* 231164 */   // Label 4602: @231164
     /* 231164 */   GIM_Try, /*On fail goto*//*Label 4603*/ GIMT_Encode4(231206), // Rule ID 11329 //
     /* 231169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalb),
     /* 231177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 231180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 231183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 231186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 231189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231193 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1771:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQDMLALB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 231193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALB_ZZZ_H),
     /* 231196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231198 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231200 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231202 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231204 */     GIR_RootConstrainSelectedInstOperands,
     /* 231205 */     // GIR_Coverage, 11329,
     /* 231205 */     GIR_EraseRootFromParent_Done,
     /* 231206 */   // Label 4603: @231206
     /* 231206 */   GIM_Try, /*On fail goto*//*Label 4604*/ GIMT_Encode4(231248), // Rule ID 11330 //
     /* 231211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalb),
     /* 231219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 231222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 231225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 231228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 231231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231235 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1771:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQDMLALB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 231235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALB_ZZZ_S),
     /* 231238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231240 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231242 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231244 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231246 */     GIR_RootConstrainSelectedInstOperands,
     /* 231247 */     // GIR_Coverage, 11330,
     /* 231247 */     GIR_EraseRootFromParent_Done,
     /* 231248 */   // Label 4604: @231248
     /* 231248 */   GIM_Try, /*On fail goto*//*Label 4605*/ GIMT_Encode4(231290), // Rule ID 11331 //
     /* 231253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalb),
     /* 231261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 231264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 231267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 231270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 231273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231277 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1771:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQDMLALB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 231277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALB_ZZZ_D),
     /* 231280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231282 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231284 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231286 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231288 */     GIR_RootConstrainSelectedInstOperands,
     /* 231289 */     // GIR_Coverage, 11331,
     /* 231289 */     GIR_EraseRootFromParent_Done,
     /* 231290 */   // Label 4605: @231290
     /* 231290 */   GIM_Try, /*On fail goto*//*Label 4606*/ GIMT_Encode4(231332), // Rule ID 11332 //
     /* 231295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalt),
     /* 231303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 231306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 231309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 231312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 231315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231319 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1774:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQDMLALT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 231319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALT_ZZZ_H),
     /* 231322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231324 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231326 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231328 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231330 */     GIR_RootConstrainSelectedInstOperands,
     /* 231331 */     // GIR_Coverage, 11332,
     /* 231331 */     GIR_EraseRootFromParent_Done,
     /* 231332 */   // Label 4606: @231332
     /* 231332 */   GIM_Try, /*On fail goto*//*Label 4607*/ GIMT_Encode4(231374), // Rule ID 11333 //
     /* 231337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalt),
     /* 231345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 231348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 231351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 231354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 231357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231361 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1774:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQDMLALT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 231361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALT_ZZZ_S),
     /* 231364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231366 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231368 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231370 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231372 */     GIR_RootConstrainSelectedInstOperands,
     /* 231373 */     // GIR_Coverage, 11333,
     /* 231373 */     GIR_EraseRootFromParent_Done,
     /* 231374 */   // Label 4607: @231374
     /* 231374 */   GIM_Try, /*On fail goto*//*Label 4608*/ GIMT_Encode4(231416), // Rule ID 11334 //
     /* 231379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalt),
     /* 231387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 231390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 231393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 231396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 231399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231403 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1774:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQDMLALT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 231403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALT_ZZZ_D),
     /* 231406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231408 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231410 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231412 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231414 */     GIR_RootConstrainSelectedInstOperands,
     /* 231415 */     // GIR_Coverage, 11334,
     /* 231415 */     GIR_EraseRootFromParent_Done,
     /* 231416 */   // Label 4608: @231416
     /* 231416 */   GIM_Try, /*On fail goto*//*Label 4609*/ GIMT_Encode4(231458), // Rule ID 11335 //
     /* 231421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslb),
     /* 231429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 231432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 231435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 231438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 231441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231445 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1776:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQDMLSLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 231445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLB_ZZZ_H),
     /* 231448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231450 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231452 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231454 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231456 */     GIR_RootConstrainSelectedInstOperands,
     /* 231457 */     // GIR_Coverage, 11335,
     /* 231457 */     GIR_EraseRootFromParent_Done,
     /* 231458 */   // Label 4609: @231458
     /* 231458 */   GIM_Try, /*On fail goto*//*Label 4610*/ GIMT_Encode4(231500), // Rule ID 11336 //
     /* 231463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslb),
     /* 231471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 231474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 231477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 231480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 231483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231487 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1776:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQDMLSLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 231487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLB_ZZZ_S),
     /* 231490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231492 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231494 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231496 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231498 */     GIR_RootConstrainSelectedInstOperands,
     /* 231499 */     // GIR_Coverage, 11336,
     /* 231499 */     GIR_EraseRootFromParent_Done,
     /* 231500 */   // Label 4610: @231500
     /* 231500 */   GIM_Try, /*On fail goto*//*Label 4611*/ GIMT_Encode4(231542), // Rule ID 11337 //
     /* 231505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslb),
     /* 231513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 231516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 231519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 231522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 231525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231529 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1776:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQDMLSLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 231529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLB_ZZZ_D),
     /* 231532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231534 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231536 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231538 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231540 */     GIR_RootConstrainSelectedInstOperands,
     /* 231541 */     // GIR_Coverage, 11337,
     /* 231541 */     GIR_EraseRootFromParent_Done,
     /* 231542 */   // Label 4611: @231542
     /* 231542 */   GIM_Try, /*On fail goto*//*Label 4612*/ GIMT_Encode4(231584), // Rule ID 11338 //
     /* 231547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslt),
     /* 231555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 231558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 231561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 231564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 231567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231571 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1779:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQDMLSLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 231571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLT_ZZZ_H),
     /* 231574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231576 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231578 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231580 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231582 */     GIR_RootConstrainSelectedInstOperands,
     /* 231583 */     // GIR_Coverage, 11338,
     /* 231583 */     GIR_EraseRootFromParent_Done,
     /* 231584 */   // Label 4612: @231584
     /* 231584 */   GIM_Try, /*On fail goto*//*Label 4613*/ GIMT_Encode4(231626), // Rule ID 11339 //
     /* 231589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslt),
     /* 231597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 231600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 231603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 231606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 231609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231613 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1779:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQDMLSLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 231613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLT_ZZZ_S),
     /* 231616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231618 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231620 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231622 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231624 */     GIR_RootConstrainSelectedInstOperands,
     /* 231625 */     // GIR_Coverage, 11339,
     /* 231625 */     GIR_EraseRootFromParent_Done,
     /* 231626 */   // Label 4613: @231626
     /* 231626 */   GIM_Try, /*On fail goto*//*Label 4614*/ GIMT_Encode4(231668), // Rule ID 11340 //
     /* 231631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslt),
     /* 231639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 231642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 231645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 231648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 231651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231655 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1779:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQDMLSLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 231655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLT_ZZZ_D),
     /* 231658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231660 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231662 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231664 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231666 */     GIR_RootConstrainSelectedInstOperands,
     /* 231667 */     // GIR_Coverage, 11340,
     /* 231667 */     GIR_EraseRootFromParent_Done,
     /* 231668 */   // Label 4614: @231668
     /* 231668 */   GIM_Try, /*On fail goto*//*Label 4615*/ GIMT_Encode4(231710), // Rule ID 11341 //
     /* 231673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalbt),
     /* 231681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 231684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 231687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 231690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 231693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231697 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1773:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQDMLALBT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 231697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALBT_ZZZ_H),
     /* 231700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231702 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231704 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231706 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231708 */     GIR_RootConstrainSelectedInstOperands,
     /* 231709 */     // GIR_Coverage, 11341,
     /* 231709 */     GIR_EraseRootFromParent_Done,
     /* 231710 */   // Label 4615: @231710
     /* 231710 */   GIM_Try, /*On fail goto*//*Label 4616*/ GIMT_Encode4(231752), // Rule ID 11342 //
     /* 231715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalbt),
     /* 231723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 231726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 231729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 231732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 231735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231739 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1773:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQDMLALBT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 231739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALBT_ZZZ_S),
     /* 231742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231744 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231746 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231748 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231750 */     GIR_RootConstrainSelectedInstOperands,
     /* 231751 */     // GIR_Coverage, 11342,
     /* 231751 */     GIR_EraseRootFromParent_Done,
     /* 231752 */   // Label 4616: @231752
     /* 231752 */   GIM_Try, /*On fail goto*//*Label 4617*/ GIMT_Encode4(231794), // Rule ID 11343 //
     /* 231757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalbt),
     /* 231765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 231768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 231771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 231774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 231777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231781 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1773:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQDMLALBT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 231781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALBT_ZZZ_D),
     /* 231784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231786 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231788 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231790 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231792 */     GIR_RootConstrainSelectedInstOperands,
     /* 231793 */     // GIR_Coverage, 11343,
     /* 231793 */     GIR_EraseRootFromParent_Done,
     /* 231794 */   // Label 4617: @231794
     /* 231794 */   GIM_Try, /*On fail goto*//*Label 4618*/ GIMT_Encode4(231836), // Rule ID 11344 //
     /* 231799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslbt),
     /* 231807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 231810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 231813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 231816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 231819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231823 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1778:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQDMLSLBT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 231823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLBT_ZZZ_H),
     /* 231826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231828 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231830 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231832 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231834 */     GIR_RootConstrainSelectedInstOperands,
     /* 231835 */     // GIR_Coverage, 11344,
     /* 231835 */     GIR_EraseRootFromParent_Done,
     /* 231836 */   // Label 4618: @231836
     /* 231836 */   GIM_Try, /*On fail goto*//*Label 4619*/ GIMT_Encode4(231878), // Rule ID 11345 //
     /* 231841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslbt),
     /* 231849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 231852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 231855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 231858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 231861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231865 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1778:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQDMLSLBT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 231865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLBT_ZZZ_S),
     /* 231868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231870 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231872 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231874 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231876 */     GIR_RootConstrainSelectedInstOperands,
     /* 231877 */     // GIR_Coverage, 11345,
     /* 231877 */     GIR_EraseRootFromParent_Done,
     /* 231878 */   // Label 4619: @231878
     /* 231878 */   GIM_Try, /*On fail goto*//*Label 4620*/ GIMT_Encode4(231920), // Rule ID 11346 //
     /* 231883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslbt),
     /* 231891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 231894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 231897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 231900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 231903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231907 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1778:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQDMLSLBT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 231907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLBT_ZZZ_D),
     /* 231910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231912 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231914 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231916 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231918 */     GIR_RootConstrainSelectedInstOperands,
     /* 231919 */     // GIR_Coverage, 11346,
     /* 231919 */     GIR_EraseRootFromParent_Done,
     /* 231920 */   // Label 4620: @231920
     /* 231920 */   GIM_Try, /*On fail goto*//*Label 4621*/ GIMT_Encode4(231962), // Rule ID 11347 //
     /* 231925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhadd),
     /* 231933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 231936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 231939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 231942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 231945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231949 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1946:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UHADD_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 231949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHADD_ZPmZ_B),
     /* 231952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 231954 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231956 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231958 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231960 */     GIR_RootConstrainSelectedInstOperands,
     /* 231961 */     // GIR_Coverage, 11347,
     /* 231961 */     GIR_EraseRootFromParent_Done,
     /* 231962 */   // Label 4621: @231962
     /* 231962 */   GIM_Try, /*On fail goto*//*Label 4622*/ GIMT_Encode4(232004), // Rule ID 11349 //
     /* 231967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhadd),
     /* 231975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 231978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 231981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 231984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 231987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231991 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1946:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UHADD_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 231991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHADD_ZPmZ_H),
     /* 231994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 231996 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231998 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232000 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232002 */     GIR_RootConstrainSelectedInstOperands,
     /* 232003 */     // GIR_Coverage, 11349,
     /* 232003 */     GIR_EraseRootFromParent_Done,
     /* 232004 */   // Label 4622: @232004
     /* 232004 */   GIM_Try, /*On fail goto*//*Label 4623*/ GIMT_Encode4(232046), // Rule ID 11351 //
     /* 232009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhadd),
     /* 232017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 232020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 232023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 232026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 232029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232033 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1946:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UHADD_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 232033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHADD_ZPmZ_S),
     /* 232036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232038 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232040 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232042 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232044 */     GIR_RootConstrainSelectedInstOperands,
     /* 232045 */     // GIR_Coverage, 11351,
     /* 232045 */     GIR_EraseRootFromParent_Done,
     /* 232046 */   // Label 4623: @232046
     /* 232046 */   GIM_Try, /*On fail goto*//*Label 4624*/ GIMT_Encode4(232088), // Rule ID 11353 //
     /* 232051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhadd),
     /* 232059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 232062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 232065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 232068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 232071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232075 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1946:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UHADD_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 232075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHADD_ZPmZ_D),
     /* 232078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232080 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232082 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232084 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232086 */     GIR_RootConstrainSelectedInstOperands,
     /* 232087 */     // GIR_Coverage, 11353,
     /* 232087 */     GIR_EraseRootFromParent_Done,
     /* 232088 */   // Label 4624: @232088
     /* 232088 */   GIM_Try, /*On fail goto*//*Label 4625*/ GIMT_Encode4(232130), // Rule ID 11355 //
     /* 232093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shsub),
     /* 232101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 232104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 232107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 232110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 232113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232117 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1706:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SHSUB_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 232117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUB_ZPmZ_B),
     /* 232120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232122 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232124 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232126 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232128 */     GIR_RootConstrainSelectedInstOperands,
     /* 232129 */     // GIR_Coverage, 11355,
     /* 232129 */     GIR_EraseRootFromParent_Done,
     /* 232130 */   // Label 4625: @232130
     /* 232130 */   GIM_Try, /*On fail goto*//*Label 4626*/ GIMT_Encode4(232172), // Rule ID 11356 //
     /* 232135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shsub),
     /* 232143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 232146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 232149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 232152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 232155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232159 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1706:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SHSUB_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 232159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUB_ZPmZ_H),
     /* 232162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232164 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232166 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232168 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232170 */     GIR_RootConstrainSelectedInstOperands,
     /* 232171 */     // GIR_Coverage, 11356,
     /* 232171 */     GIR_EraseRootFromParent_Done,
     /* 232172 */   // Label 4626: @232172
     /* 232172 */   GIM_Try, /*On fail goto*//*Label 4627*/ GIMT_Encode4(232214), // Rule ID 11357 //
     /* 232177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shsub),
     /* 232185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 232188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 232191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 232194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 232197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232201 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1706:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SHSUB_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 232201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUB_ZPmZ_S),
     /* 232204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232206 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232208 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232210 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232212 */     GIR_RootConstrainSelectedInstOperands,
     /* 232213 */     // GIR_Coverage, 11357,
     /* 232213 */     GIR_EraseRootFromParent_Done,
     /* 232214 */   // Label 4627: @232214
     /* 232214 */   GIM_Try, /*On fail goto*//*Label 4628*/ GIMT_Encode4(232256), // Rule ID 11358 //
     /* 232219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shsub),
     /* 232227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 232230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 232233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 232236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 232239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232243 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1706:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SHSUB_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 232243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUB_ZPmZ_D),
     /* 232246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232248 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232250 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232252 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232254 */     GIR_RootConstrainSelectedInstOperands,
     /* 232255 */     // GIR_Coverage, 11358,
     /* 232255 */     GIR_EraseRootFromParent_Done,
     /* 232256 */   // Label 4628: @232256
     /* 232256 */   GIM_Try, /*On fail goto*//*Label 4629*/ GIMT_Encode4(232298), // Rule ID 11359 //
     /* 232261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhsub),
     /* 232269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 232272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 232275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 232278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 232281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232285 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1947:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UHSUB_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 232285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUB_ZPmZ_B),
     /* 232288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232290 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232292 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232294 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232296 */     GIR_RootConstrainSelectedInstOperands,
     /* 232297 */     // GIR_Coverage, 11359,
     /* 232297 */     GIR_EraseRootFromParent_Done,
     /* 232298 */   // Label 4629: @232298
     /* 232298 */   GIM_Try, /*On fail goto*//*Label 4630*/ GIMT_Encode4(232340), // Rule ID 11360 //
     /* 232303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhsub),
     /* 232311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 232314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 232317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 232320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 232323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232327 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1947:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UHSUB_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 232327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUB_ZPmZ_H),
     /* 232330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232332 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232334 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232336 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232338 */     GIR_RootConstrainSelectedInstOperands,
     /* 232339 */     // GIR_Coverage, 11360,
     /* 232339 */     GIR_EraseRootFromParent_Done,
     /* 232340 */   // Label 4630: @232340
     /* 232340 */   GIM_Try, /*On fail goto*//*Label 4631*/ GIMT_Encode4(232382), // Rule ID 11361 //
     /* 232345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhsub),
     /* 232353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 232356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 232359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 232362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 232365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232369 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1947:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UHSUB_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 232369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUB_ZPmZ_S),
     /* 232372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232374 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232376 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232378 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232380 */     GIR_RootConstrainSelectedInstOperands,
     /* 232381 */     // GIR_Coverage, 11361,
     /* 232381 */     GIR_EraseRootFromParent_Done,
     /* 232382 */   // Label 4631: @232382
     /* 232382 */   GIM_Try, /*On fail goto*//*Label 4632*/ GIMT_Encode4(232424), // Rule ID 11362 //
     /* 232387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhsub),
     /* 232395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 232398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 232401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 232404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 232407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232411 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1947:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UHSUB_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 232411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUB_ZPmZ_D),
     /* 232414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232416 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232418 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232420 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232422 */     GIR_RootConstrainSelectedInstOperands,
     /* 232423 */     // GIR_Coverage, 11362,
     /* 232423 */     GIR_EraseRootFromParent_Done,
     /* 232424 */   // Label 4632: @232424
     /* 232424 */   GIM_Try, /*On fail goto*//*Label 4633*/ GIMT_Encode4(232466), // Rule ID 11363 //
     /* 232429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srhadd),
     /* 232437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 232440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 232443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 232446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 232449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232453 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1841:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SRHADD_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 232453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRHADD_ZPmZ_B),
     /* 232456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232458 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232460 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232462 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232464 */     GIR_RootConstrainSelectedInstOperands,
     /* 232465 */     // GIR_Coverage, 11363,
     /* 232465 */     GIR_EraseRootFromParent_Done,
     /* 232466 */   // Label 4633: @232466
     /* 232466 */   GIM_Try, /*On fail goto*//*Label 4634*/ GIMT_Encode4(232508), // Rule ID 11365 //
     /* 232471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srhadd),
     /* 232479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 232482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 232485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 232488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 232491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232495 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1841:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SRHADD_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 232495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRHADD_ZPmZ_H),
     /* 232498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232500 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232502 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232504 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232506 */     GIR_RootConstrainSelectedInstOperands,
     /* 232507 */     // GIR_Coverage, 11365,
     /* 232507 */     GIR_EraseRootFromParent_Done,
     /* 232508 */   // Label 4634: @232508
     /* 232508 */   GIM_Try, /*On fail goto*//*Label 4635*/ GIMT_Encode4(232550), // Rule ID 11367 //
     /* 232513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srhadd),
     /* 232521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 232524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 232527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 232530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 232533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232537 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1841:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SRHADD_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 232537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRHADD_ZPmZ_S),
     /* 232540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232542 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232544 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232546 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232548 */     GIR_RootConstrainSelectedInstOperands,
     /* 232549 */     // GIR_Coverage, 11367,
     /* 232549 */     GIR_EraseRootFromParent_Done,
     /* 232550 */   // Label 4635: @232550
     /* 232550 */   GIM_Try, /*On fail goto*//*Label 4636*/ GIMT_Encode4(232592), // Rule ID 11369 //
     /* 232555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srhadd),
     /* 232563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 232566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 232569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 232572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 232575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232579 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1841:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SRHADD_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 232579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRHADD_ZPmZ_D),
     /* 232582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232584 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232586 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232588 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232590 */     GIR_RootConstrainSelectedInstOperands,
     /* 232591 */     // GIR_Coverage, 11369,
     /* 232591 */     GIR_EraseRootFromParent_Done,
     /* 232592 */   // Label 4636: @232592
     /* 232592 */   GIM_Try, /*On fail goto*//*Label 4637*/ GIMT_Encode4(232634), // Rule ID 11371 //
     /* 232597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urhadd),
     /* 232605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 232608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 232611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 232614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 232617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232621 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2033:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (URHADD_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 232621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URHADD_ZPmZ_B),
     /* 232624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232626 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232628 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232630 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232632 */     GIR_RootConstrainSelectedInstOperands,
     /* 232633 */     // GIR_Coverage, 11371,
     /* 232633 */     GIR_EraseRootFromParent_Done,
     /* 232634 */   // Label 4637: @232634
     /* 232634 */   GIM_Try, /*On fail goto*//*Label 4638*/ GIMT_Encode4(232676), // Rule ID 11373 //
     /* 232639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urhadd),
     /* 232647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 232650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 232653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 232656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 232659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232663 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2033:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (URHADD_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 232663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URHADD_ZPmZ_H),
     /* 232666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232668 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232670 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232672 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232674 */     GIR_RootConstrainSelectedInstOperands,
     /* 232675 */     // GIR_Coverage, 11373,
     /* 232675 */     GIR_EraseRootFromParent_Done,
     /* 232676 */   // Label 4638: @232676
     /* 232676 */   GIM_Try, /*On fail goto*//*Label 4639*/ GIMT_Encode4(232718), // Rule ID 11375 //
     /* 232681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urhadd),
     /* 232689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 232692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 232695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 232698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 232701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232705 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2033:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (URHADD_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 232705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URHADD_ZPmZ_S),
     /* 232708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232710 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232712 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232714 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232716 */     GIR_RootConstrainSelectedInstOperands,
     /* 232717 */     // GIR_Coverage, 11375,
     /* 232717 */     GIR_EraseRootFromParent_Done,
     /* 232718 */   // Label 4639: @232718
     /* 232718 */   GIM_Try, /*On fail goto*//*Label 4640*/ GIMT_Encode4(232760), // Rule ID 11377 //
     /* 232723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urhadd),
     /* 232731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 232734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 232737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 232740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 232743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232747 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2033:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (URHADD_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 232747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URHADD_ZPmZ_D),
     /* 232750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232752 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232754 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232756 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232758 */     GIR_RootConstrainSelectedInstOperands,
     /* 232759 */     // GIR_Coverage, 11377,
     /* 232759 */     GIR_EraseRootFromParent_Done,
     /* 232760 */   // Label 4640: @232760
     /* 232760 */   GIM_Try, /*On fail goto*//*Label 4641*/ GIMT_Encode4(232802), // Rule ID 11379 //
     /* 232765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shsubr),
     /* 232773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 232776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 232779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 232782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 232785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232789 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1707:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SHSUBR_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 232789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUBR_ZPmZ_B),
     /* 232792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232794 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232796 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232798 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232800 */     GIR_RootConstrainSelectedInstOperands,
     /* 232801 */     // GIR_Coverage, 11379,
     /* 232801 */     GIR_EraseRootFromParent_Done,
     /* 232802 */   // Label 4641: @232802
     /* 232802 */   GIM_Try, /*On fail goto*//*Label 4642*/ GIMT_Encode4(232844), // Rule ID 11380 //
     /* 232807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shsubr),
     /* 232815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 232818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 232821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 232824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 232827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232831 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1707:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SHSUBR_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 232831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUBR_ZPmZ_H),
     /* 232834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232836 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232838 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232840 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232842 */     GIR_RootConstrainSelectedInstOperands,
     /* 232843 */     // GIR_Coverage, 11380,
     /* 232843 */     GIR_EraseRootFromParent_Done,
     /* 232844 */   // Label 4642: @232844
     /* 232844 */   GIM_Try, /*On fail goto*//*Label 4643*/ GIMT_Encode4(232886), // Rule ID 11381 //
     /* 232849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shsubr),
     /* 232857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 232860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 232863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 232866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 232869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232873 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1707:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SHSUBR_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 232873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUBR_ZPmZ_S),
     /* 232876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232878 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232880 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232882 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232884 */     GIR_RootConstrainSelectedInstOperands,
     /* 232885 */     // GIR_Coverage, 11381,
     /* 232885 */     GIR_EraseRootFromParent_Done,
     /* 232886 */   // Label 4643: @232886
     /* 232886 */   GIM_Try, /*On fail goto*//*Label 4644*/ GIMT_Encode4(232928), // Rule ID 11382 //
     /* 232891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shsubr),
     /* 232899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 232902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 232905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 232908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 232911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232915 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1707:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SHSUBR_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 232915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUBR_ZPmZ_D),
     /* 232918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232920 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232922 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232924 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232926 */     GIR_RootConstrainSelectedInstOperands,
     /* 232927 */     // GIR_Coverage, 11382,
     /* 232927 */     GIR_EraseRootFromParent_Done,
     /* 232928 */   // Label 4644: @232928
     /* 232928 */   GIM_Try, /*On fail goto*//*Label 4645*/ GIMT_Encode4(232970), // Rule ID 11383 //
     /* 232933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhsubr),
     /* 232941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 232944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 232947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 232950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 232953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232957 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1948:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UHSUBR_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 232957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUBR_ZPmZ_B),
     /* 232960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232962 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232964 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232966 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232968 */     GIR_RootConstrainSelectedInstOperands,
     /* 232969 */     // GIR_Coverage, 11383,
     /* 232969 */     GIR_EraseRootFromParent_Done,
     /* 232970 */   // Label 4645: @232970
     /* 232970 */   GIM_Try, /*On fail goto*//*Label 4646*/ GIMT_Encode4(233012), // Rule ID 11384 //
     /* 232975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhsubr),
     /* 232983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 232986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 232989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 232992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 232995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232999 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1948:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UHSUBR_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 232999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUBR_ZPmZ_H),
     /* 233002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233004 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233006 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233008 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233010 */     GIR_RootConstrainSelectedInstOperands,
     /* 233011 */     // GIR_Coverage, 11384,
     /* 233011 */     GIR_EraseRootFromParent_Done,
     /* 233012 */   // Label 4646: @233012
     /* 233012 */   GIM_Try, /*On fail goto*//*Label 4647*/ GIMT_Encode4(233054), // Rule ID 11385 //
     /* 233017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhsubr),
     /* 233025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 233028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 233031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 233034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 233037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233041 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1948:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UHSUBR_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 233041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUBR_ZPmZ_S),
     /* 233044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233046 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233048 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233050 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233052 */     GIR_RootConstrainSelectedInstOperands,
     /* 233053 */     // GIR_Coverage, 11385,
     /* 233053 */     GIR_EraseRootFromParent_Done,
     /* 233054 */   // Label 4647: @233054
     /* 233054 */   GIM_Try, /*On fail goto*//*Label 4648*/ GIMT_Encode4(233096), // Rule ID 11386 //
     /* 233059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhsubr),
     /* 233067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 233070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 233073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 233076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 233079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233083 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1948:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UHSUBR_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 233083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUBR_ZPmZ_D),
     /* 233086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233088 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233090 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233092 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233094 */     GIR_RootConstrainSelectedInstOperands,
     /* 233095 */     // GIR_Coverage, 11386,
     /* 233095 */     GIR_EraseRootFromParent_Done,
     /* 233096 */   // Label 4648: @233096
     /* 233096 */   GIM_Try, /*On fail goto*//*Label 4649*/ GIMT_Encode4(233138), // Rule ID 11387 //
     /* 233101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uadalp),
     /* 233109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 233112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 233115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 233118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 233121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233125 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1923:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UADALP_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 233125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALP_ZPmZ_H),
     /* 233128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 233130 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233132 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233134 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233136 */     GIR_RootConstrainSelectedInstOperands,
     /* 233137 */     // GIR_Coverage, 11387,
     /* 233137 */     GIR_EraseRootFromParent_Done,
     /* 233138 */   // Label 4649: @233138
     /* 233138 */   GIM_Try, /*On fail goto*//*Label 4650*/ GIMT_Encode4(233180), // Rule ID 11388 //
     /* 233143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uadalp),
     /* 233151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 233154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 233157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 233160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 233163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233167 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1923:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UADALP_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 233167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALP_ZPmZ_S),
     /* 233170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 233172 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233174 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233176 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233178 */     GIR_RootConstrainSelectedInstOperands,
     /* 233179 */     // GIR_Coverage, 11388,
     /* 233179 */     GIR_EraseRootFromParent_Done,
     /* 233180 */   // Label 4650: @233180
     /* 233180 */   GIM_Try, /*On fail goto*//*Label 4651*/ GIMT_Encode4(233222), // Rule ID 11389 //
     /* 233185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uadalp),
     /* 233193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 233196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 233199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 233202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 233205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233209 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1923:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UADALP_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 233209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALP_ZPmZ_D),
     /* 233212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 233214 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233216 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233218 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233220 */     GIR_RootConstrainSelectedInstOperands,
     /* 233221 */     // GIR_Coverage, 11389,
     /* 233221 */     GIR_EraseRootFromParent_Done,
     /* 233222 */   // Label 4651: @233222
     /* 233222 */   GIM_Try, /*On fail goto*//*Label 4652*/ GIMT_Encode4(233264), // Rule ID 11390 //
     /* 233227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addp),
     /* 233235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 233238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 233241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 233244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 233247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233251 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1238:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (ADDP_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 233251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDP_ZPmZ_B),
     /* 233254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233256 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233258 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233260 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233262 */     GIR_RootConstrainSelectedInstOperands,
     /* 233263 */     // GIR_Coverage, 11390,
     /* 233263 */     GIR_EraseRootFromParent_Done,
     /* 233264 */   // Label 4652: @233264
     /* 233264 */   GIM_Try, /*On fail goto*//*Label 4653*/ GIMT_Encode4(233306), // Rule ID 11391 //
     /* 233269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addp),
     /* 233277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 233280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 233283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 233286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 233289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233293 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1238:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (ADDP_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 233293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDP_ZPmZ_H),
     /* 233296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233298 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233300 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233302 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233304 */     GIR_RootConstrainSelectedInstOperands,
     /* 233305 */     // GIR_Coverage, 11391,
     /* 233305 */     GIR_EraseRootFromParent_Done,
     /* 233306 */   // Label 4653: @233306
     /* 233306 */   GIM_Try, /*On fail goto*//*Label 4654*/ GIMT_Encode4(233348), // Rule ID 11392 //
     /* 233311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addp),
     /* 233319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 233322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 233325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 233328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 233331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233335 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1238:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (ADDP_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 233335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDP_ZPmZ_S),
     /* 233338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233340 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233342 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233344 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233346 */     GIR_RootConstrainSelectedInstOperands,
     /* 233347 */     // GIR_Coverage, 11392,
     /* 233347 */     GIR_EraseRootFromParent_Done,
     /* 233348 */   // Label 4654: @233348
     /* 233348 */   GIM_Try, /*On fail goto*//*Label 4655*/ GIMT_Encode4(233390), // Rule ID 11393 //
     /* 233353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addp),
     /* 233361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 233364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 233367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 233370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 233373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233377 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1238:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (ADDP_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 233377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDP_ZPmZ_D),
     /* 233380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233382 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233384 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233386 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233388 */     GIR_RootConstrainSelectedInstOperands,
     /* 233389 */     // GIR_Coverage, 11393,
     /* 233389 */     GIR_EraseRootFromParent_Done,
     /* 233390 */   // Label 4655: @233390
     /* 233390 */   GIM_Try, /*On fail goto*//*Label 4656*/ GIMT_Encode4(233432), // Rule ID 11394 //
     /* 233395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smaxp),
     /* 233403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 233406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 233409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 233412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 233415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233419 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1717:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SMAXP_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 233419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXP_ZPmZ_B),
     /* 233422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233424 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233426 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233428 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233430 */     GIR_RootConstrainSelectedInstOperands,
     /* 233431 */     // GIR_Coverage, 11394,
     /* 233431 */     GIR_EraseRootFromParent_Done,
     /* 233432 */   // Label 4656: @233432
     /* 233432 */   GIM_Try, /*On fail goto*//*Label 4657*/ GIMT_Encode4(233474), // Rule ID 11395 //
     /* 233437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smaxp),
     /* 233445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 233448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 233451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 233454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 233457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233461 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1717:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SMAXP_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 233461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXP_ZPmZ_H),
     /* 233464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233466 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233468 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233470 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233472 */     GIR_RootConstrainSelectedInstOperands,
     /* 233473 */     // GIR_Coverage, 11395,
     /* 233473 */     GIR_EraseRootFromParent_Done,
     /* 233474 */   // Label 4657: @233474
     /* 233474 */   GIM_Try, /*On fail goto*//*Label 4658*/ GIMT_Encode4(233516), // Rule ID 11396 //
     /* 233479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smaxp),
     /* 233487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 233490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 233493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 233496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 233499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233503 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1717:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SMAXP_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 233503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXP_ZPmZ_S),
     /* 233506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233508 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233510 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233512 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233514 */     GIR_RootConstrainSelectedInstOperands,
     /* 233515 */     // GIR_Coverage, 11396,
     /* 233515 */     GIR_EraseRootFromParent_Done,
     /* 233516 */   // Label 4658: @233516
     /* 233516 */   GIM_Try, /*On fail goto*//*Label 4659*/ GIMT_Encode4(233558), // Rule ID 11397 //
     /* 233521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smaxp),
     /* 233529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 233532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 233535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 233538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 233541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233545 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1717:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SMAXP_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 233545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXP_ZPmZ_D),
     /* 233548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233550 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233552 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233554 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233556 */     GIR_RootConstrainSelectedInstOperands,
     /* 233557 */     // GIR_Coverage, 11397,
     /* 233557 */     GIR_EraseRootFromParent_Done,
     /* 233558 */   // Label 4659: @233558
     /* 233558 */   GIM_Try, /*On fail goto*//*Label 4660*/ GIMT_Encode4(233600), // Rule ID 11398 //
     /* 233563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umaxp),
     /* 233571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 233574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 233577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 233580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 233583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233587 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1955:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UMAXP_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 233587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXP_ZPmZ_B),
     /* 233590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233592 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233594 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233596 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233598 */     GIR_RootConstrainSelectedInstOperands,
     /* 233599 */     // GIR_Coverage, 11398,
     /* 233599 */     GIR_EraseRootFromParent_Done,
     /* 233600 */   // Label 4660: @233600
     /* 233600 */   GIM_Try, /*On fail goto*//*Label 4661*/ GIMT_Encode4(233642), // Rule ID 11399 //
     /* 233605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umaxp),
     /* 233613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 233616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 233619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 233622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 233625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233629 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1955:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UMAXP_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 233629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXP_ZPmZ_H),
     /* 233632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233634 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233636 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233638 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233640 */     GIR_RootConstrainSelectedInstOperands,
     /* 233641 */     // GIR_Coverage, 11399,
     /* 233641 */     GIR_EraseRootFromParent_Done,
     /* 233642 */   // Label 4661: @233642
     /* 233642 */   GIM_Try, /*On fail goto*//*Label 4662*/ GIMT_Encode4(233684), // Rule ID 11400 //
     /* 233647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umaxp),
     /* 233655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 233658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 233661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 233664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 233667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233671 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1955:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UMAXP_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 233671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXP_ZPmZ_S),
     /* 233674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233676 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233678 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233680 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233682 */     GIR_RootConstrainSelectedInstOperands,
     /* 233683 */     // GIR_Coverage, 11400,
     /* 233683 */     GIR_EraseRootFromParent_Done,
     /* 233684 */   // Label 4662: @233684
     /* 233684 */   GIM_Try, /*On fail goto*//*Label 4663*/ GIMT_Encode4(233726), // Rule ID 11401 //
     /* 233689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umaxp),
     /* 233697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 233700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 233703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 233706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 233709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233713 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1955:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UMAXP_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 233713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXP_ZPmZ_D),
     /* 233716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233718 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233720 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233722 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233724 */     GIR_RootConstrainSelectedInstOperands,
     /* 233725 */     // GIR_Coverage, 11401,
     /* 233725 */     GIR_EraseRootFromParent_Done,
     /* 233726 */   // Label 4663: @233726
     /* 233726 */   GIM_Try, /*On fail goto*//*Label 4664*/ GIMT_Encode4(233768), // Rule ID 11402 //
     /* 233731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sminp),
     /* 233739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 233742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 233745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 233748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 233751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233755 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1726:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SMINP_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 233755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINP_ZPmZ_B),
     /* 233758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233760 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233762 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233764 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233766 */     GIR_RootConstrainSelectedInstOperands,
     /* 233767 */     // GIR_Coverage, 11402,
     /* 233767 */     GIR_EraseRootFromParent_Done,
     /* 233768 */   // Label 4664: @233768
     /* 233768 */   GIM_Try, /*On fail goto*//*Label 4665*/ GIMT_Encode4(233810), // Rule ID 11403 //
     /* 233773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sminp),
     /* 233781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 233784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 233787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 233790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 233793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233797 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1726:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SMINP_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 233797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINP_ZPmZ_H),
     /* 233800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233802 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233804 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233806 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233808 */     GIR_RootConstrainSelectedInstOperands,
     /* 233809 */     // GIR_Coverage, 11403,
     /* 233809 */     GIR_EraseRootFromParent_Done,
     /* 233810 */   // Label 4665: @233810
     /* 233810 */   GIM_Try, /*On fail goto*//*Label 4666*/ GIMT_Encode4(233852), // Rule ID 11404 //
     /* 233815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sminp),
     /* 233823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 233826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 233829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 233832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 233835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233839 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1726:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SMINP_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 233839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINP_ZPmZ_S),
     /* 233842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233844 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233846 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233848 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233850 */     GIR_RootConstrainSelectedInstOperands,
     /* 233851 */     // GIR_Coverage, 11404,
     /* 233851 */     GIR_EraseRootFromParent_Done,
     /* 233852 */   // Label 4666: @233852
     /* 233852 */   GIM_Try, /*On fail goto*//*Label 4667*/ GIMT_Encode4(233894), // Rule ID 11405 //
     /* 233857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sminp),
     /* 233865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 233868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 233871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 233874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 233877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233881 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1726:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SMINP_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 233881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINP_ZPmZ_D),
     /* 233884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233886 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233888 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233890 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233892 */     GIR_RootConstrainSelectedInstOperands,
     /* 233893 */     // GIR_Coverage, 11405,
     /* 233893 */     GIR_EraseRootFromParent_Done,
     /* 233894 */   // Label 4667: @233894
     /* 233894 */   GIM_Try, /*On fail goto*//*Label 4668*/ GIMT_Encode4(233936), // Rule ID 11406 //
     /* 233899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uminp),
     /* 233907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 233910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 233913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 233916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 233919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233923 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1964:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UMINP_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 233923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINP_ZPmZ_B),
     /* 233926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233928 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233930 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233932 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233934 */     GIR_RootConstrainSelectedInstOperands,
     /* 233935 */     // GIR_Coverage, 11406,
     /* 233935 */     GIR_EraseRootFromParent_Done,
     /* 233936 */   // Label 4668: @233936
     /* 233936 */   GIM_Try, /*On fail goto*//*Label 4669*/ GIMT_Encode4(233978), // Rule ID 11407 //
     /* 233941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uminp),
     /* 233949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 233952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 233955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 233958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 233961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233965 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1964:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UMINP_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 233965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINP_ZPmZ_H),
     /* 233968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233970 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233972 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233974 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233976 */     GIR_RootConstrainSelectedInstOperands,
     /* 233977 */     // GIR_Coverage, 11407,
     /* 233977 */     GIR_EraseRootFromParent_Done,
     /* 233978 */   // Label 4669: @233978
     /* 233978 */   GIM_Try, /*On fail goto*//*Label 4670*/ GIMT_Encode4(234020), // Rule ID 11408 //
     /* 233983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uminp),
     /* 233991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 233994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 233997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 234000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 234003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234007 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1964:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UMINP_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 234007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINP_ZPmZ_S),
     /* 234010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234012 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234014 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234016 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234018 */     GIR_RootConstrainSelectedInstOperands,
     /* 234019 */     // GIR_Coverage, 11408,
     /* 234019 */     GIR_EraseRootFromParent_Done,
     /* 234020 */   // Label 4670: @234020
     /* 234020 */   GIM_Try, /*On fail goto*//*Label 4671*/ GIMT_Encode4(234062), // Rule ID 11409 //
     /* 234025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uminp),
     /* 234033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 234036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 234039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 234042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 234045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234049 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1964:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UMINP_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 234049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINP_ZPmZ_D),
     /* 234052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234054 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234056 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234058 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234060 */     GIR_RootConstrainSelectedInstOperands,
     /* 234061 */     // GIR_Coverage, 11409,
     /* 234061 */     GIR_EraseRootFromParent_Done,
     /* 234062 */   // Label 4671: @234062
     /* 234062 */   GIM_Try, /*On fail goto*//*Label 4672*/ GIMT_Encode4(234104), // Rule ID 11410 //
     /* 234067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ursqrte),
     /* 234075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 234078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 234081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 234084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 234087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234091 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2040:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (URSQRTE_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 234091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSQRTE_ZPmZ_S),
     /* 234094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 234096 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234098 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234100 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234102 */     GIR_RootConstrainSelectedInstOperands,
     /* 234103 */     // GIR_Coverage, 11410,
     /* 234103 */     GIR_EraseRootFromParent_Done,
     /* 234104 */   // Label 4672: @234104
     /* 234104 */   GIM_Try, /*On fail goto*//*Label 4673*/ GIMT_Encode4(234146), // Rule ID 11421 //
     /* 234109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqneg),
     /* 234117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 234120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 234123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 234126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 234129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234133 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1805:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQNEG_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 234133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEG_ZPmZ_B),
     /* 234136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 234138 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234140 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234142 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234144 */     GIR_RootConstrainSelectedInstOperands,
     /* 234145 */     // GIR_Coverage, 11421,
     /* 234145 */     GIR_EraseRootFromParent_Done,
     /* 234146 */   // Label 4673: @234146
     /* 234146 */   GIM_Try, /*On fail goto*//*Label 4674*/ GIMT_Encode4(234188), // Rule ID 11422 //
     /* 234151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqneg),
     /* 234159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 234162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 234165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 234168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 234171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234175 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1805:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQNEG_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i1] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 234175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEG_ZPmZ_H),
     /* 234178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 234180 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234182 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234184 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234186 */     GIR_RootConstrainSelectedInstOperands,
     /* 234187 */     // GIR_Coverage, 11422,
     /* 234187 */     GIR_EraseRootFromParent_Done,
     /* 234188 */   // Label 4674: @234188
     /* 234188 */   GIM_Try, /*On fail goto*//*Label 4675*/ GIMT_Encode4(234230), // Rule ID 11423 //
     /* 234193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqneg),
     /* 234201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 234204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 234207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 234210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 234213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234217 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1805:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQNEG_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 234217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEG_ZPmZ_S),
     /* 234220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 234222 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234224 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234226 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234228 */     GIR_RootConstrainSelectedInstOperands,
     /* 234229 */     // GIR_Coverage, 11423,
     /* 234229 */     GIR_EraseRootFromParent_Done,
     /* 234230 */   // Label 4675: @234230
     /* 234230 */   GIM_Try, /*On fail goto*//*Label 4676*/ GIMT_Encode4(234272), // Rule ID 11424 //
     /* 234235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqneg),
     /* 234243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 234246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 234249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 234252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 234255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234259 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1805:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SQNEG_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 234259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEG_ZPmZ_D),
     /* 234262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 234264 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234266 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234268 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234270 */     GIR_RootConstrainSelectedInstOperands,
     /* 234271 */     // GIR_Coverage, 11424,
     /* 234271 */     GIR_EraseRootFromParent_Done,
     /* 234272 */   // Label 4676: @234272
     /* 234272 */   GIM_Try, /*On fail goto*//*Label 4677*/ GIMT_Encode4(234314), // Rule ID 11433 //
     /* 234277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqadd),
     /* 234285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 234288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 234291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 234294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 234297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234301 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1746:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQADD_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 234301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADD_ZPmZ_B),
     /* 234304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234306 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234308 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234310 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234312 */     GIR_RootConstrainSelectedInstOperands,
     /* 234313 */     // GIR_Coverage, 11433,
     /* 234313 */     GIR_EraseRootFromParent_Done,
     /* 234314 */   // Label 4677: @234314
     /* 234314 */   GIM_Try, /*On fail goto*//*Label 4678*/ GIMT_Encode4(234356), // Rule ID 11434 //
     /* 234319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqadd),
     /* 234327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 234330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 234333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 234336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 234339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234343 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1746:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQADD_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 234343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADD_ZPmZ_H),
     /* 234346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234348 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234350 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234352 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234354 */     GIR_RootConstrainSelectedInstOperands,
     /* 234355 */     // GIR_Coverage, 11434,
     /* 234355 */     GIR_EraseRootFromParent_Done,
     /* 234356 */   // Label 4678: @234356
     /* 234356 */   GIM_Try, /*On fail goto*//*Label 4679*/ GIMT_Encode4(234398), // Rule ID 11435 //
     /* 234361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqadd),
     /* 234369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 234372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 234375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 234378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 234381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234385 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1746:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQADD_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 234385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADD_ZPmZ_S),
     /* 234388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234390 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234392 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234394 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234396 */     GIR_RootConstrainSelectedInstOperands,
     /* 234397 */     // GIR_Coverage, 11435,
     /* 234397 */     GIR_EraseRootFromParent_Done,
     /* 234398 */   // Label 4679: @234398
     /* 234398 */   GIM_Try, /*On fail goto*//*Label 4680*/ GIMT_Encode4(234440), // Rule ID 11436 //
     /* 234403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqadd),
     /* 234411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 234414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 234417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 234420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 234423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234427 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1746:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SQADD_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 234427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADD_ZPmZ_D),
     /* 234430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234432 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234434 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234436 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234438 */     GIR_RootConstrainSelectedInstOperands,
     /* 234439 */     // GIR_Coverage, 11436,
     /* 234439 */     GIR_EraseRootFromParent_Done,
     /* 234440 */   // Label 4680: @234440
     /* 234440 */   GIM_Try, /*On fail goto*//*Label 4681*/ GIMT_Encode4(234482), // Rule ID 11437 //
     /* 234445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqadd),
     /* 234453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 234456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 234459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 234462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 234465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234469 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1982:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UQADD_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 234469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADD_ZPmZ_B),
     /* 234472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234474 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234476 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234478 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234480 */     GIR_RootConstrainSelectedInstOperands,
     /* 234481 */     // GIR_Coverage, 11437,
     /* 234481 */     GIR_EraseRootFromParent_Done,
     /* 234482 */   // Label 4681: @234482
     /* 234482 */   GIM_Try, /*On fail goto*//*Label 4682*/ GIMT_Encode4(234524), // Rule ID 11438 //
     /* 234487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqadd),
     /* 234495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 234498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 234501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 234504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 234507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234511 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1982:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UQADD_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 234511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADD_ZPmZ_H),
     /* 234514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234516 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234518 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234520 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234522 */     GIR_RootConstrainSelectedInstOperands,
     /* 234523 */     // GIR_Coverage, 11438,
     /* 234523 */     GIR_EraseRootFromParent_Done,
     /* 234524 */   // Label 4682: @234524
     /* 234524 */   GIM_Try, /*On fail goto*//*Label 4683*/ GIMT_Encode4(234566), // Rule ID 11439 //
     /* 234529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqadd),
     /* 234537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 234540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 234543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 234546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 234549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234553 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1982:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UQADD_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 234553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADD_ZPmZ_S),
     /* 234556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234558 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234560 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234562 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234564 */     GIR_RootConstrainSelectedInstOperands,
     /* 234565 */     // GIR_Coverage, 11439,
     /* 234565 */     GIR_EraseRootFromParent_Done,
     /* 234566 */   // Label 4683: @234566
     /* 234566 */   GIM_Try, /*On fail goto*//*Label 4684*/ GIMT_Encode4(234608), // Rule ID 11440 //
     /* 234571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqadd),
     /* 234579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 234582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 234585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 234588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 234591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234595 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1982:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UQADD_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 234595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADD_ZPmZ_D),
     /* 234598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234600 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234602 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234604 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234606 */     GIR_RootConstrainSelectedInstOperands,
     /* 234607 */     // GIR_Coverage, 11440,
     /* 234607 */     GIR_EraseRootFromParent_Done,
     /* 234608 */   // Label 4684: @234608
     /* 234608 */   GIM_Try, /*On fail goto*//*Label 4685*/ GIMT_Encode4(234650), // Rule ID 11441 //
     /* 234613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqsub),
     /* 234621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 234624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 234627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 234630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 234633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234637 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1833:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQSUB_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 234637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUB_ZPmZ_B),
     /* 234640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234642 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234644 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234646 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234648 */     GIR_RootConstrainSelectedInstOperands,
     /* 234649 */     // GIR_Coverage, 11441,
     /* 234649 */     GIR_EraseRootFromParent_Done,
     /* 234650 */   // Label 4685: @234650
     /* 234650 */   GIM_Try, /*On fail goto*//*Label 4686*/ GIMT_Encode4(234692), // Rule ID 11442 //
     /* 234655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqsub),
     /* 234663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 234666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 234669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 234672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 234675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234679 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1833:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQSUB_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 234679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUB_ZPmZ_H),
     /* 234682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234684 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234686 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234688 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234690 */     GIR_RootConstrainSelectedInstOperands,
     /* 234691 */     // GIR_Coverage, 11442,
     /* 234691 */     GIR_EraseRootFromParent_Done,
     /* 234692 */   // Label 4686: @234692
     /* 234692 */   GIM_Try, /*On fail goto*//*Label 4687*/ GIMT_Encode4(234734), // Rule ID 11443 //
     /* 234697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqsub),
     /* 234705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 234708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 234711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 234714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 234717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234721 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1833:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQSUB_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 234721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUB_ZPmZ_S),
     /* 234724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234726 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234728 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234730 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234732 */     GIR_RootConstrainSelectedInstOperands,
     /* 234733 */     // GIR_Coverage, 11443,
     /* 234733 */     GIR_EraseRootFromParent_Done,
     /* 234734 */   // Label 4687: @234734
     /* 234734 */   GIM_Try, /*On fail goto*//*Label 4688*/ GIMT_Encode4(234776), // Rule ID 11444 //
     /* 234739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqsub),
     /* 234747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 234750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 234753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 234756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 234759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234763 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1833:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SQSUB_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 234763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUB_ZPmZ_D),
     /* 234766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234768 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234770 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234772 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234774 */     GIR_RootConstrainSelectedInstOperands,
     /* 234775 */     // GIR_Coverage, 11444,
     /* 234775 */     GIR_EraseRootFromParent_Done,
     /* 234776 */   // Label 4688: @234776
     /* 234776 */   GIM_Try, /*On fail goto*//*Label 4689*/ GIMT_Encode4(234818), // Rule ID 11445 //
     /* 234781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqsub),
     /* 234789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 234792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 234795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 234798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 234801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234805 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2026:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UQSUB_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 234805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUB_ZPmZ_B),
     /* 234808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234810 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234812 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234814 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234816 */     GIR_RootConstrainSelectedInstOperands,
     /* 234817 */     // GIR_Coverage, 11445,
     /* 234817 */     GIR_EraseRootFromParent_Done,
     /* 234818 */   // Label 4689: @234818
     /* 234818 */   GIM_Try, /*On fail goto*//*Label 4690*/ GIMT_Encode4(234860), // Rule ID 11446 //
     /* 234823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqsub),
     /* 234831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 234834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 234837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 234840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 234843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234847 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2026:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UQSUB_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 234847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUB_ZPmZ_H),
     /* 234850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234852 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234854 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234856 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234858 */     GIR_RootConstrainSelectedInstOperands,
     /* 234859 */     // GIR_Coverage, 11446,
     /* 234859 */     GIR_EraseRootFromParent_Done,
     /* 234860 */   // Label 4690: @234860
     /* 234860 */   GIM_Try, /*On fail goto*//*Label 4691*/ GIMT_Encode4(234902), // Rule ID 11447 //
     /* 234865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqsub),
     /* 234873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 234876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 234879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 234882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 234885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234889 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2026:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UQSUB_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 234889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUB_ZPmZ_S),
     /* 234892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234894 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234896 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234898 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234900 */     GIR_RootConstrainSelectedInstOperands,
     /* 234901 */     // GIR_Coverage, 11447,
     /* 234901 */     GIR_EraseRootFromParent_Done,
     /* 234902 */   // Label 4691: @234902
     /* 234902 */   GIM_Try, /*On fail goto*//*Label 4692*/ GIMT_Encode4(234944), // Rule ID 11448 //
     /* 234907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqsub),
     /* 234915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 234918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 234921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 234924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 234927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234931 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2026:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UQSUB_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 234931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUB_ZPmZ_D),
     /* 234934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234936 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234938 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234940 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234942 */     GIR_RootConstrainSelectedInstOperands,
     /* 234943 */     // GIR_Coverage, 11448,
     /* 234943 */     GIR_EraseRootFromParent_Done,
     /* 234944 */   // Label 4692: @234944
     /* 234944 */   GIM_Try, /*On fail goto*//*Label 4693*/ GIMT_Encode4(234986), // Rule ID 11449 //
     /* 234949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_suqadd),
     /* 234957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 234960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 234963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 234966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 234969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234973 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1897:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SUQADD_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 234973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADD_ZPmZ_B),
     /* 234976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234978 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234980 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234982 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234984 */     GIR_RootConstrainSelectedInstOperands,
     /* 234985 */     // GIR_Coverage, 11449,
     /* 234985 */     GIR_EraseRootFromParent_Done,
     /* 234986 */   // Label 4693: @234986
     /* 234986 */   GIM_Try, /*On fail goto*//*Label 4694*/ GIMT_Encode4(235028), // Rule ID 11450 //
     /* 234991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_suqadd),
     /* 234999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 235002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 235005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 235008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 235011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235015 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1897:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SUQADD_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 235015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADD_ZPmZ_H),
     /* 235018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235020 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235022 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235024 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235026 */     GIR_RootConstrainSelectedInstOperands,
     /* 235027 */     // GIR_Coverage, 11450,
     /* 235027 */     GIR_EraseRootFromParent_Done,
     /* 235028 */   // Label 4694: @235028
     /* 235028 */   GIM_Try, /*On fail goto*//*Label 4695*/ GIMT_Encode4(235070), // Rule ID 11451 //
     /* 235033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_suqadd),
     /* 235041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 235044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 235047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 235050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 235053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235057 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1897:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SUQADD_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 235057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADD_ZPmZ_S),
     /* 235060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235062 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235064 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235066 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235068 */     GIR_RootConstrainSelectedInstOperands,
     /* 235069 */     // GIR_Coverage, 11451,
     /* 235069 */     GIR_EraseRootFromParent_Done,
     /* 235070 */   // Label 4695: @235070
     /* 235070 */   GIM_Try, /*On fail goto*//*Label 4696*/ GIMT_Encode4(235112), // Rule ID 11452 //
     /* 235075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_suqadd),
     /* 235083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 235086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 235089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 235092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 235095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235099 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1897:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SUQADD_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 235099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADD_ZPmZ_D),
     /* 235102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235104 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235106 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235108 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235110 */     GIR_RootConstrainSelectedInstOperands,
     /* 235111 */     // GIR_Coverage, 11452,
     /* 235111 */     GIR_EraseRootFromParent_Done,
     /* 235112 */   // Label 4696: @235112
     /* 235112 */   GIM_Try, /*On fail goto*//*Label 4697*/ GIMT_Encode4(235154), // Rule ID 11453 //
     /* 235117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usqadd),
     /* 235125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 235128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 235131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 235134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 235137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235141 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2047:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (USQADD_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 235141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADD_ZPmZ_B),
     /* 235144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235146 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235148 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235150 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235152 */     GIR_RootConstrainSelectedInstOperands,
     /* 235153 */     // GIR_Coverage, 11453,
     /* 235153 */     GIR_EraseRootFromParent_Done,
     /* 235154 */   // Label 4697: @235154
     /* 235154 */   GIM_Try, /*On fail goto*//*Label 4698*/ GIMT_Encode4(235196), // Rule ID 11454 //
     /* 235159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usqadd),
     /* 235167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 235170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 235173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 235176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 235179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235183 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2047:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (USQADD_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 235183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADD_ZPmZ_H),
     /* 235186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235188 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235190 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235192 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235194 */     GIR_RootConstrainSelectedInstOperands,
     /* 235195 */     // GIR_Coverage, 11454,
     /* 235195 */     GIR_EraseRootFromParent_Done,
     /* 235196 */   // Label 4698: @235196
     /* 235196 */   GIM_Try, /*On fail goto*//*Label 4699*/ GIMT_Encode4(235238), // Rule ID 11455 //
     /* 235201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usqadd),
     /* 235209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 235212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 235215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 235218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 235221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235225 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2047:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (USQADD_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 235225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADD_ZPmZ_S),
     /* 235228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235230 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235232 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235234 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235236 */     GIR_RootConstrainSelectedInstOperands,
     /* 235237 */     // GIR_Coverage, 11455,
     /* 235237 */     GIR_EraseRootFromParent_Done,
     /* 235238 */   // Label 4699: @235238
     /* 235238 */   GIM_Try, /*On fail goto*//*Label 4700*/ GIMT_Encode4(235280), // Rule ID 11456 //
     /* 235243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usqadd),
     /* 235251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 235254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 235257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 235260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 235263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235267 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2047:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (USQADD_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 235267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADD_ZPmZ_D),
     /* 235270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235272 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235274 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235276 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235278 */     GIR_RootConstrainSelectedInstOperands,
     /* 235279 */     // GIR_Coverage, 11456,
     /* 235279 */     GIR_EraseRootFromParent_Done,
     /* 235280 */   // Label 4700: @235280
     /* 235280 */   GIM_Try, /*On fail goto*//*Label 4701*/ GIMT_Encode4(235322), // Rule ID 11457 //
     /* 235285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqsubr),
     /* 235293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 235296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 235299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 235302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 235305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235309 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1836:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQSUBR_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 235309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBR_ZPmZ_B),
     /* 235312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235314 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235316 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235318 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235320 */     GIR_RootConstrainSelectedInstOperands,
     /* 235321 */     // GIR_Coverage, 11457,
     /* 235321 */     GIR_EraseRootFromParent_Done,
     /* 235322 */   // Label 4701: @235322
     /* 235322 */   GIM_Try, /*On fail goto*//*Label 4702*/ GIMT_Encode4(235364), // Rule ID 11458 //
     /* 235327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqsubr),
     /* 235335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 235338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 235341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 235344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 235347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235351 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1836:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQSUBR_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 235351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBR_ZPmZ_H),
     /* 235354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235356 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235358 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235360 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235362 */     GIR_RootConstrainSelectedInstOperands,
     /* 235363 */     // GIR_Coverage, 11458,
     /* 235363 */     GIR_EraseRootFromParent_Done,
     /* 235364 */   // Label 4702: @235364
     /* 235364 */   GIM_Try, /*On fail goto*//*Label 4703*/ GIMT_Encode4(235406), // Rule ID 11459 //
     /* 235369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqsubr),
     /* 235377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 235380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 235383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 235386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 235389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235393 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1836:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQSUBR_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 235393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBR_ZPmZ_S),
     /* 235396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235398 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235400 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235402 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235404 */     GIR_RootConstrainSelectedInstOperands,
     /* 235405 */     // GIR_Coverage, 11459,
     /* 235405 */     GIR_EraseRootFromParent_Done,
     /* 235406 */   // Label 4703: @235406
     /* 235406 */   GIM_Try, /*On fail goto*//*Label 4704*/ GIMT_Encode4(235448), // Rule ID 11460 //
     /* 235411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqsubr),
     /* 235419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 235422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 235425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 235428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 235431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235435 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1836:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SQSUBR_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 235435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBR_ZPmZ_D),
     /* 235438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235440 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235442 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235444 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235446 */     GIR_RootConstrainSelectedInstOperands,
     /* 235447 */     // GIR_Coverage, 11460,
     /* 235447 */     GIR_EraseRootFromParent_Done,
     /* 235448 */   // Label 4704: @235448
     /* 235448 */   GIM_Try, /*On fail goto*//*Label 4705*/ GIMT_Encode4(235490), // Rule ID 11461 //
     /* 235453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqsubr),
     /* 235461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 235464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 235467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 235470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 235473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235477 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2029:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UQSUBR_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 235477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBR_ZPmZ_B),
     /* 235480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235482 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235484 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235486 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235488 */     GIR_RootConstrainSelectedInstOperands,
     /* 235489 */     // GIR_Coverage, 11461,
     /* 235489 */     GIR_EraseRootFromParent_Done,
     /* 235490 */   // Label 4705: @235490
     /* 235490 */   GIM_Try, /*On fail goto*//*Label 4706*/ GIMT_Encode4(235532), // Rule ID 11462 //
     /* 235495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqsubr),
     /* 235503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 235506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 235509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 235512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 235515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235519 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2029:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UQSUBR_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 235519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBR_ZPmZ_H),
     /* 235522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235524 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235526 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235528 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235530 */     GIR_RootConstrainSelectedInstOperands,
     /* 235531 */     // GIR_Coverage, 11462,
     /* 235531 */     GIR_EraseRootFromParent_Done,
     /* 235532 */   // Label 4706: @235532
     /* 235532 */   GIM_Try, /*On fail goto*//*Label 4707*/ GIMT_Encode4(235574), // Rule ID 11463 //
     /* 235537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqsubr),
     /* 235545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 235548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 235551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 235554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 235557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235561 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2029:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UQSUBR_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 235561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBR_ZPmZ_S),
     /* 235564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235566 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235568 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235570 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235572 */     GIR_RootConstrainSelectedInstOperands,
     /* 235573 */     // GIR_Coverage, 11463,
     /* 235573 */     GIR_EraseRootFromParent_Done,
     /* 235574 */   // Label 4707: @235574
     /* 235574 */   GIM_Try, /*On fail goto*//*Label 4708*/ GIMT_Encode4(235616), // Rule ID 11464 //
     /* 235579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqsubr),
     /* 235587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 235590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 235593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 235596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 235599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235603 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2029:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UQSUBR_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 235603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBR_ZPmZ_D),
     /* 235606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235608 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235610 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235612 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235614 */     GIR_RootConstrainSelectedInstOperands,
     /* 235615 */     // GIR_Coverage, 11464,
     /* 235615 */     GIR_EraseRootFromParent_Done,
     /* 235616 */   // Label 4708: @235616
     /* 235616 */   GIM_Try, /*On fail goto*//*Label 4709*/ GIMT_Encode4(235658), // Rule ID 11465 //
     /* 235621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srshl),
     /* 235629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 235632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 235635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 235638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 235641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235645 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1843:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SRSHL_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 235645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHL_ZPmZ_B),
     /* 235648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235650 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235652 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235654 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235656 */     GIR_RootConstrainSelectedInstOperands,
     /* 235657 */     // GIR_Coverage, 11465,
     /* 235657 */     GIR_EraseRootFromParent_Done,
     /* 235658 */   // Label 4709: @235658
     /* 235658 */   GIM_Try, /*On fail goto*//*Label 4710*/ GIMT_Encode4(235700), // Rule ID 11466 //
     /* 235663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srshl),
     /* 235671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 235674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 235677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 235680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 235683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235687 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1843:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SRSHL_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 235687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHL_ZPmZ_H),
     /* 235690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235692 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235694 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235696 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235698 */     GIR_RootConstrainSelectedInstOperands,
     /* 235699 */     // GIR_Coverage, 11466,
     /* 235699 */     GIR_EraseRootFromParent_Done,
     /* 235700 */   // Label 4710: @235700
     /* 235700 */   GIM_Try, /*On fail goto*//*Label 4711*/ GIMT_Encode4(235742), // Rule ID 11467 //
     /* 235705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srshl),
     /* 235713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 235716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 235719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 235722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 235725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235729 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1843:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SRSHL_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 235729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHL_ZPmZ_S),
     /* 235732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235734 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235736 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235738 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235740 */     GIR_RootConstrainSelectedInstOperands,
     /* 235741 */     // GIR_Coverage, 11467,
     /* 235741 */     GIR_EraseRootFromParent_Done,
     /* 235742 */   // Label 4711: @235742
     /* 235742 */   GIM_Try, /*On fail goto*//*Label 4712*/ GIMT_Encode4(235784), // Rule ID 11468 //
     /* 235747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srshl),
     /* 235755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 235758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 235761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 235764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 235767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235771 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1843:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SRSHL_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 235771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHL_ZPmZ_D),
     /* 235774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235776 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235778 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235780 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235782 */     GIR_RootConstrainSelectedInstOperands,
     /* 235783 */     // GIR_Coverage, 11468,
     /* 235783 */     GIR_EraseRootFromParent_Done,
     /* 235784 */   // Label 4712: @235784
     /* 235784 */   GIM_Try, /*On fail goto*//*Label 4713*/ GIMT_Encode4(235826), // Rule ID 11469 //
     /* 235789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urshl),
     /* 235797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 235800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 235803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 235806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 235809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235813 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2034:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (URSHL_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 235813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHL_ZPmZ_B),
     /* 235816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235818 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235820 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235822 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235824 */     GIR_RootConstrainSelectedInstOperands,
     /* 235825 */     // GIR_Coverage, 11469,
     /* 235825 */     GIR_EraseRootFromParent_Done,
     /* 235826 */   // Label 4713: @235826
     /* 235826 */   GIM_Try, /*On fail goto*//*Label 4714*/ GIMT_Encode4(235868), // Rule ID 11470 //
     /* 235831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urshl),
     /* 235839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 235842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 235845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 235848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 235851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235855 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2034:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (URSHL_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 235855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHL_ZPmZ_H),
     /* 235858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235860 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235862 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235864 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235866 */     GIR_RootConstrainSelectedInstOperands,
     /* 235867 */     // GIR_Coverage, 11470,
     /* 235867 */     GIR_EraseRootFromParent_Done,
     /* 235868 */   // Label 4714: @235868
     /* 235868 */   GIM_Try, /*On fail goto*//*Label 4715*/ GIMT_Encode4(235910), // Rule ID 11471 //
     /* 235873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urshl),
     /* 235881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 235884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 235887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 235890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 235893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235897 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2034:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (URSHL_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 235897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHL_ZPmZ_S),
     /* 235900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235902 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235904 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235906 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235908 */     GIR_RootConstrainSelectedInstOperands,
     /* 235909 */     // GIR_Coverage, 11471,
     /* 235909 */     GIR_EraseRootFromParent_Done,
     /* 235910 */   // Label 4715: @235910
     /* 235910 */   GIM_Try, /*On fail goto*//*Label 4716*/ GIMT_Encode4(235952), // Rule ID 11472 //
     /* 235915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urshl),
     /* 235923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 235926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 235929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 235932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 235935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235939 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2034:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (URSHL_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 235939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHL_ZPmZ_D),
     /* 235942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235944 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235946 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235948 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235950 */     GIR_RootConstrainSelectedInstOperands,
     /* 235951 */     // GIR_Coverage, 11472,
     /* 235951 */     GIR_EraseRootFromParent_Done,
     /* 235952 */   // Label 4716: @235952
     /* 235952 */   GIM_Try, /*On fail goto*//*Label 4717*/ GIMT_Encode4(235994), // Rule ID 11473 //
     /* 235957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshl),
     /* 235965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 235968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 235971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 235974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 235977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235981 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1827:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQSHL_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 235981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHL_ZPmZ_B),
     /* 235984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235986 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235988 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235990 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235992 */     GIR_RootConstrainSelectedInstOperands,
     /* 235993 */     // GIR_Coverage, 11473,
     /* 235993 */     GIR_EraseRootFromParent_Done,
     /* 235994 */   // Label 4717: @235994
     /* 235994 */   GIM_Try, /*On fail goto*//*Label 4718*/ GIMT_Encode4(236036), // Rule ID 11474 //
     /* 235999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshl),
     /* 236007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 236010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 236013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 236016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 236019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236023 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1827:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQSHL_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 236023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHL_ZPmZ_H),
     /* 236026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236028 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236030 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236032 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236034 */     GIR_RootConstrainSelectedInstOperands,
     /* 236035 */     // GIR_Coverage, 11474,
     /* 236035 */     GIR_EraseRootFromParent_Done,
     /* 236036 */   // Label 4718: @236036
     /* 236036 */   GIM_Try, /*On fail goto*//*Label 4719*/ GIMT_Encode4(236078), // Rule ID 11475 //
     /* 236041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshl),
     /* 236049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 236052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 236055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 236058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 236061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236065 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1827:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQSHL_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 236065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHL_ZPmZ_S),
     /* 236068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236070 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236072 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236074 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236076 */     GIR_RootConstrainSelectedInstOperands,
     /* 236077 */     // GIR_Coverage, 11475,
     /* 236077 */     GIR_EraseRootFromParent_Done,
     /* 236078 */   // Label 4719: @236078
     /* 236078 */   GIM_Try, /*On fail goto*//*Label 4720*/ GIMT_Encode4(236120), // Rule ID 11476 //
     /* 236083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshl),
     /* 236091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 236094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 236097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 236100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 236103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236107 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1827:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SQSHL_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 236107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHL_ZPmZ_D),
     /* 236110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236112 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236114 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236116 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236118 */     GIR_RootConstrainSelectedInstOperands,
     /* 236119 */     // GIR_Coverage, 11476,
     /* 236119 */     GIR_EraseRootFromParent_Done,
     /* 236120 */   // Label 4720: @236120
     /* 236120 */   GIM_Try, /*On fail goto*//*Label 4721*/ GIMT_Encode4(236162), // Rule ID 11477 //
     /* 236125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqshl),
     /* 236133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 236136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 236139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 236142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 236145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236149 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2023:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UQSHL_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 236149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHL_ZPmZ_B),
     /* 236152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236154 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236156 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236158 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236160 */     GIR_RootConstrainSelectedInstOperands,
     /* 236161 */     // GIR_Coverage, 11477,
     /* 236161 */     GIR_EraseRootFromParent_Done,
     /* 236162 */   // Label 4721: @236162
     /* 236162 */   GIM_Try, /*On fail goto*//*Label 4722*/ GIMT_Encode4(236204), // Rule ID 11478 //
     /* 236167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqshl),
     /* 236175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 236178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 236181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 236184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 236187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236191 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2023:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UQSHL_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 236191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHL_ZPmZ_H),
     /* 236194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236196 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236198 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236200 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236202 */     GIR_RootConstrainSelectedInstOperands,
     /* 236203 */     // GIR_Coverage, 11478,
     /* 236203 */     GIR_EraseRootFromParent_Done,
     /* 236204 */   // Label 4722: @236204
     /* 236204 */   GIM_Try, /*On fail goto*//*Label 4723*/ GIMT_Encode4(236246), // Rule ID 11479 //
     /* 236209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqshl),
     /* 236217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 236220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 236223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 236226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 236229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236233 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2023:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UQSHL_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 236233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHL_ZPmZ_S),
     /* 236236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236238 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236240 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236242 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236244 */     GIR_RootConstrainSelectedInstOperands,
     /* 236245 */     // GIR_Coverage, 11479,
     /* 236245 */     GIR_EraseRootFromParent_Done,
     /* 236246 */   // Label 4723: @236246
     /* 236246 */   GIM_Try, /*On fail goto*//*Label 4724*/ GIMT_Encode4(236288), // Rule ID 11480 //
     /* 236251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqshl),
     /* 236259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 236262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 236265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 236268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 236271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236275 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2023:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UQSHL_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 236275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHL_ZPmZ_D),
     /* 236278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236280 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236282 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236284 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236286 */     GIR_RootConstrainSelectedInstOperands,
     /* 236287 */     // GIR_Coverage, 11480,
     /* 236287 */     GIR_EraseRootFromParent_Done,
     /* 236288 */   // Label 4724: @236288
     /* 236288 */   GIM_Try, /*On fail goto*//*Label 4725*/ GIMT_Encode4(236330), // Rule ID 11481 //
     /* 236293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshl),
     /* 236301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 236304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 236307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 236310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 236313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236317 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1814:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQRSHL_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 236317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHL_ZPmZ_B),
     /* 236320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236322 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236324 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236326 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236328 */     GIR_RootConstrainSelectedInstOperands,
     /* 236329 */     // GIR_Coverage, 11481,
     /* 236329 */     GIR_EraseRootFromParent_Done,
     /* 236330 */   // Label 4725: @236330
     /* 236330 */   GIM_Try, /*On fail goto*//*Label 4726*/ GIMT_Encode4(236372), // Rule ID 11482 //
     /* 236335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshl),
     /* 236343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 236346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 236349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 236352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 236355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236359 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1814:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQRSHL_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 236359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHL_ZPmZ_H),
     /* 236362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236364 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236366 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236368 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236370 */     GIR_RootConstrainSelectedInstOperands,
     /* 236371 */     // GIR_Coverage, 11482,
     /* 236371 */     GIR_EraseRootFromParent_Done,
     /* 236372 */   // Label 4726: @236372
     /* 236372 */   GIM_Try, /*On fail goto*//*Label 4727*/ GIMT_Encode4(236414), // Rule ID 11483 //
     /* 236377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshl),
     /* 236385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 236388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 236391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 236394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 236397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236401 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1814:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQRSHL_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 236401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHL_ZPmZ_S),
     /* 236404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236406 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236408 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236410 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236412 */     GIR_RootConstrainSelectedInstOperands,
     /* 236413 */     // GIR_Coverage, 11483,
     /* 236413 */     GIR_EraseRootFromParent_Done,
     /* 236414 */   // Label 4727: @236414
     /* 236414 */   GIM_Try, /*On fail goto*//*Label 4728*/ GIMT_Encode4(236456), // Rule ID 11484 //
     /* 236419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshl),
     /* 236427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 236430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 236433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 236436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 236439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236443 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1814:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SQRSHL_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 236443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHL_ZPmZ_D),
     /* 236446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236448 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236450 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236452 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236454 */     GIR_RootConstrainSelectedInstOperands,
     /* 236455 */     // GIR_Coverage, 11484,
     /* 236455 */     GIR_EraseRootFromParent_Done,
     /* 236456 */   // Label 4728: @236456
     /* 236456 */   GIM_Try, /*On fail goto*//*Label 4729*/ GIMT_Encode4(236498), // Rule ID 11485 //
     /* 236461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqrshl),
     /* 236469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 236472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 236475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 236478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 236481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236485 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2016:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UQRSHL_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 236485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHL_ZPmZ_B),
     /* 236488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236490 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236492 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236494 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236496 */     GIR_RootConstrainSelectedInstOperands,
     /* 236497 */     // GIR_Coverage, 11485,
     /* 236497 */     GIR_EraseRootFromParent_Done,
     /* 236498 */   // Label 4729: @236498
     /* 236498 */   GIM_Try, /*On fail goto*//*Label 4730*/ GIMT_Encode4(236540), // Rule ID 11486 //
     /* 236503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqrshl),
     /* 236511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 236514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 236517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 236520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 236523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236527 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2016:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UQRSHL_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 236527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHL_ZPmZ_H),
     /* 236530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236532 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236534 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236536 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236538 */     GIR_RootConstrainSelectedInstOperands,
     /* 236539 */     // GIR_Coverage, 11486,
     /* 236539 */     GIR_EraseRootFromParent_Done,
     /* 236540 */   // Label 4730: @236540
     /* 236540 */   GIM_Try, /*On fail goto*//*Label 4731*/ GIMT_Encode4(236582), // Rule ID 11487 //
     /* 236545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqrshl),
     /* 236553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 236556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 236559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 236562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 236565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236569 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2016:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UQRSHL_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 236569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHL_ZPmZ_S),
     /* 236572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236574 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236576 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236578 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236580 */     GIR_RootConstrainSelectedInstOperands,
     /* 236581 */     // GIR_Coverage, 11487,
     /* 236581 */     GIR_EraseRootFromParent_Done,
     /* 236582 */   // Label 4731: @236582
     /* 236582 */   GIM_Try, /*On fail goto*//*Label 4732*/ GIMT_Encode4(236624), // Rule ID 11488 //
     /* 236587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqrshl),
     /* 236595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 236598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 236601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 236604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 236607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236611 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2016:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UQRSHL_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 236611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHL_ZPmZ_D),
     /* 236614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236616 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236618 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236620 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236622 */     GIR_RootConstrainSelectedInstOperands,
     /* 236623 */     // GIR_Coverage, 11488,
     /* 236623 */     GIR_EraseRootFromParent_Done,
     /* 236624 */   // Label 4732: @236624
     /* 236624 */   GIM_Try, /*On fail goto*//*Label 4733*/ GIMT_Encode4(236666), // Rule ID 11651 //
     /* 236629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uaba),
     /* 236637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 236640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 236643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 236646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 236649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236653 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1916:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UABA_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 236653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABA_ZZZ_B),
     /* 236656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 236658 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236660 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236662 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236664 */     GIR_RootConstrainSelectedInstOperands,
     /* 236665 */     // GIR_Coverage, 11651,
     /* 236665 */     GIR_EraseRootFromParent_Done,
     /* 236666 */   // Label 4733: @236666
     /* 236666 */   GIM_Try, /*On fail goto*//*Label 4734*/ GIMT_Encode4(236708), // Rule ID 11653 //
     /* 236671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uaba),
     /* 236679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 236682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 236685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 236688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 236691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236695 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1916:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UABA_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 236695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABA_ZZZ_H),
     /* 236698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 236700 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236702 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236704 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236706 */     GIR_RootConstrainSelectedInstOperands,
     /* 236707 */     // GIR_Coverage, 11653,
     /* 236707 */     GIR_EraseRootFromParent_Done,
     /* 236708 */   // Label 4734: @236708
     /* 236708 */   GIM_Try, /*On fail goto*//*Label 4735*/ GIMT_Encode4(236750), // Rule ID 11655 //
     /* 236713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uaba),
     /* 236721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 236724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 236727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 236730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 236733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236737 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1916:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UABA_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 236737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABA_ZZZ_S),
     /* 236740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 236742 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236744 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236746 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236748 */     GIR_RootConstrainSelectedInstOperands,
     /* 236749 */     // GIR_Coverage, 11655,
     /* 236749 */     GIR_EraseRootFromParent_Done,
     /* 236750 */   // Label 4735: @236750
     /* 236750 */   GIM_Try, /*On fail goto*//*Label 4736*/ GIMT_Encode4(236792), // Rule ID 11657 //
     /* 236755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uaba),
     /* 236763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 236766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 236769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 236772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 236775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236779 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1916:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UABA_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 236779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABA_ZZZ_D),
     /* 236782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 236784 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236786 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236788 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236790 */     GIR_RootConstrainSelectedInstOperands,
     /* 236791 */     // GIR_Coverage, 11657,
     /* 236791 */     GIR_EraseRootFromParent_Done,
     /* 236792 */   // Label 4736: @236792
     /* 236792 */   GIM_Try, /*On fail goto*//*Label 4737*/ GIMT_Encode4(236834), // Rule ID 11659 //
     /* 236797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabalt),
     /* 236805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 236808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 236811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 236814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 236817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236821 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1668:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SABALT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 236821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALT_ZZZ_H),
     /* 236824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 236826 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236828 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236830 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236832 */     GIR_RootConstrainSelectedInstOperands,
     /* 236833 */     // GIR_Coverage, 11659,
     /* 236833 */     GIR_EraseRootFromParent_Done,
     /* 236834 */   // Label 4737: @236834
     /* 236834 */   GIM_Try, /*On fail goto*//*Label 4738*/ GIMT_Encode4(236876), // Rule ID 11660 //
     /* 236839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabalt),
     /* 236847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 236850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 236853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 236856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 236859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236863 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1668:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SABALT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 236863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALT_ZZZ_S),
     /* 236866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 236868 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236870 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236872 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236874 */     GIR_RootConstrainSelectedInstOperands,
     /* 236875 */     // GIR_Coverage, 11660,
     /* 236875 */     GIR_EraseRootFromParent_Done,
     /* 236876 */   // Label 4738: @236876
     /* 236876 */   GIM_Try, /*On fail goto*//*Label 4739*/ GIMT_Encode4(236918), // Rule ID 11661 //
     /* 236881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabalt),
     /* 236889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 236892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 236895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 236898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 236901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236905 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1668:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SABALT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 236905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALT_ZZZ_D),
     /* 236908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 236910 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236912 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236914 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236916 */     GIR_RootConstrainSelectedInstOperands,
     /* 236917 */     // GIR_Coverage, 11661,
     /* 236917 */     GIR_EraseRootFromParent_Done,
     /* 236918 */   // Label 4739: @236918
     /* 236918 */   GIM_Try, /*On fail goto*//*Label 4740*/ GIMT_Encode4(236960), // Rule ID 11662 //
     /* 236923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabalb),
     /* 236931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 236934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 236937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 236940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 236943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236947 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1917:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UABALB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 236947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALB_ZZZ_H),
     /* 236950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 236952 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236954 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236956 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236958 */     GIR_RootConstrainSelectedInstOperands,
     /* 236959 */     // GIR_Coverage, 11662,
     /* 236959 */     GIR_EraseRootFromParent_Done,
     /* 236960 */   // Label 4740: @236960
     /* 236960 */   GIM_Try, /*On fail goto*//*Label 4741*/ GIMT_Encode4(237002), // Rule ID 11663 //
     /* 236965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabalb),
     /* 236973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 236976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 236979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 236982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 236985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236989 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1917:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UABALB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 236989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALB_ZZZ_S),
     /* 236992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 236994 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236996 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236998 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237000 */     GIR_RootConstrainSelectedInstOperands,
     /* 237001 */     // GIR_Coverage, 11663,
     /* 237001 */     GIR_EraseRootFromParent_Done,
     /* 237002 */   // Label 4741: @237002
     /* 237002 */   GIM_Try, /*On fail goto*//*Label 4742*/ GIMT_Encode4(237044), // Rule ID 11664 //
     /* 237007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabalb),
     /* 237015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 237018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 237021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 237024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 237027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237031 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1917:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UABALB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 237031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALB_ZZZ_D),
     /* 237034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237036 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237038 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237040 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237042 */     GIR_RootConstrainSelectedInstOperands,
     /* 237043 */     // GIR_Coverage, 11664,
     /* 237043 */     GIR_EraseRootFromParent_Done,
     /* 237044 */   // Label 4742: @237044
     /* 237044 */   GIM_Try, /*On fail goto*//*Label 4743*/ GIMT_Encode4(237086), // Rule ID 11665 //
     /* 237049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabalt),
     /* 237057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 237060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 237063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 237066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 237069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237073 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1918:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UABALT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 237073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALT_ZZZ_H),
     /* 237076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237078 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237080 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237082 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237084 */     GIR_RootConstrainSelectedInstOperands,
     /* 237085 */     // GIR_Coverage, 11665,
     /* 237085 */     GIR_EraseRootFromParent_Done,
     /* 237086 */   // Label 4743: @237086
     /* 237086 */   GIM_Try, /*On fail goto*//*Label 4744*/ GIMT_Encode4(237128), // Rule ID 11666 //
     /* 237091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabalt),
     /* 237099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 237102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 237105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 237108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 237111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237115 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1918:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UABALT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 237115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALT_ZZZ_S),
     /* 237118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237120 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237122 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237124 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237126 */     GIR_RootConstrainSelectedInstOperands,
     /* 237127 */     // GIR_Coverage, 11666,
     /* 237127 */     GIR_EraseRootFromParent_Done,
     /* 237128 */   // Label 4744: @237128
     /* 237128 */   GIM_Try, /*On fail goto*//*Label 4745*/ GIMT_Encode4(237170), // Rule ID 11667 //
     /* 237133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabalt),
     /* 237141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 237144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 237147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 237150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 237153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237157 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1918:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UABALT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 237157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALT_ZZZ_D),
     /* 237160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237162 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237164 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237166 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237168 */     GIR_RootConstrainSelectedInstOperands,
     /* 237169 */     // GIR_Coverage, 11667,
     /* 237169 */     GIR_EraseRootFromParent_Done,
     /* 237170 */   // Label 4745: @237170
     /* 237170 */   GIM_Try, /*On fail goto*//*Label 4746*/ GIMT_Encode4(237212), // Rule ID 11668 //
     /* 237175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adclt),
     /* 237183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 237186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 237189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 237192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 237195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237199 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1231:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (ADCLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 237199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADCLT_ZZZ_S),
     /* 237202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237204 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237206 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237208 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237210 */     GIR_RootConstrainSelectedInstOperands,
     /* 237211 */     // GIR_Coverage, 11668,
     /* 237211 */     GIR_EraseRootFromParent_Done,
     /* 237212 */   // Label 4746: @237212
     /* 237212 */   GIM_Try, /*On fail goto*//*Label 4747*/ GIMT_Encode4(237254), // Rule ID 11669 //
     /* 237217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adclt),
     /* 237225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 237228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 237231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 237234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 237237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237241 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1231:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (ADCLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 237241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADCLT_ZZZ_D),
     /* 237244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237246 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237248 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237250 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237252 */     GIR_RootConstrainSelectedInstOperands,
     /* 237253 */     // GIR_Coverage, 11669,
     /* 237253 */     GIR_EraseRootFromParent_Done,
     /* 237254 */   // Label 4747: @237254
     /* 237254 */   GIM_Try, /*On fail goto*//*Label 4748*/ GIMT_Encode4(237296), // Rule ID 11670 //
     /* 237259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sbclb),
     /* 237267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 237270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 237273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 237276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 237279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237283 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1680:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SBCLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 237283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBCLB_ZZZ_S),
     /* 237286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237288 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237290 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237292 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237294 */     GIR_RootConstrainSelectedInstOperands,
     /* 237295 */     // GIR_Coverage, 11670,
     /* 237295 */     GIR_EraseRootFromParent_Done,
     /* 237296 */   // Label 4748: @237296
     /* 237296 */   GIM_Try, /*On fail goto*//*Label 4749*/ GIMT_Encode4(237338), // Rule ID 11671 //
     /* 237301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sbclb),
     /* 237309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 237312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 237315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 237318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 237321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237325 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1680:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SBCLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 237325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBCLB_ZZZ_D),
     /* 237328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237330 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237332 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237334 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237336 */     GIR_RootConstrainSelectedInstOperands,
     /* 237337 */     // GIR_Coverage, 11671,
     /* 237337 */     GIR_EraseRootFromParent_Done,
     /* 237338 */   // Label 4749: @237338
     /* 237338 */   GIM_Try, /*On fail goto*//*Label 4750*/ GIMT_Encode4(237380), // Rule ID 11672 //
     /* 237343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sbclt),
     /* 237351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 237354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 237357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 237360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 237363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237367 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1681:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SBCLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 237367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBCLT_ZZZ_S),
     /* 237370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237372 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237374 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237376 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237378 */     GIR_RootConstrainSelectedInstOperands,
     /* 237379 */     // GIR_Coverage, 11672,
     /* 237379 */     GIR_EraseRootFromParent_Done,
     /* 237380 */   // Label 4750: @237380
     /* 237380 */   GIM_Try, /*On fail goto*//*Label 4751*/ GIMT_Encode4(237422), // Rule ID 11673 //
     /* 237385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sbclt),
     /* 237393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 237396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 237399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 237402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 237405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237409 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1681:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SBCLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 237409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBCLT_ZZZ_D),
     /* 237412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237414 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237416 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237418 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237420 */     GIR_RootConstrainSelectedInstOperands,
     /* 237421 */     // GIR_Coverage, 11673,
     /* 237421 */     GIR_EraseRootFromParent_Done,
     /* 237422 */   // Label 4751: @237422
     /* 237422 */   GIM_Try, /*On fail goto*//*Label 4752*/ GIMT_Encode4(237464), // Rule ID 11728 //
     /* 237427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_raddhnt),
     /* 237435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 237438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 237441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 237444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 237447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237451 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1649:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (RADDHNT_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 237451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNT_ZZZ_B),
     /* 237454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 237456 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237458 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237460 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237462 */     GIR_RootConstrainSelectedInstOperands,
     /* 237463 */     // GIR_Coverage, 11728,
     /* 237463 */     GIR_EraseRootFromParent_Done,
     /* 237464 */   // Label 4752: @237464
     /* 237464 */   GIM_Try, /*On fail goto*//*Label 4753*/ GIMT_Encode4(237506), // Rule ID 11729 //
     /* 237469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_raddhnt),
     /* 237477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 237480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 237483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 237486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 237489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237493 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1649:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (RADDHNT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 237493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNT_ZZZ_H),
     /* 237496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 237498 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237500 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237502 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237504 */     GIR_RootConstrainSelectedInstOperands,
     /* 237505 */     // GIR_Coverage, 11729,
     /* 237505 */     GIR_EraseRootFromParent_Done,
     /* 237506 */   // Label 4753: @237506
     /* 237506 */   GIM_Try, /*On fail goto*//*Label 4754*/ GIMT_Encode4(237548), // Rule ID 11730 //
     /* 237511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_raddhnt),
     /* 237519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 237522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 237525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 237528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 237531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237535 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1649:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (RADDHNT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 237535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNT_ZZZ_S),
     /* 237538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 237540 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237542 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237544 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237546 */     GIR_RootConstrainSelectedInstOperands,
     /* 237547 */     // GIR_Coverage, 11730,
     /* 237547 */     GIR_EraseRootFromParent_Done,
     /* 237548 */   // Label 4754: @237548
     /* 237548 */   GIM_Try, /*On fail goto*//*Label 4755*/ GIMT_Encode4(237590), // Rule ID 11731 //
     /* 237553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_subhnt),
     /* 237561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 237564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 237567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 237570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 237573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237577 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1890:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SUBHNT_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 237577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNT_ZZZ_B),
     /* 237580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 237582 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237584 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237586 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237588 */     GIR_RootConstrainSelectedInstOperands,
     /* 237589 */     // GIR_Coverage, 11731,
     /* 237589 */     GIR_EraseRootFromParent_Done,
     /* 237590 */   // Label 4755: @237590
     /* 237590 */   GIM_Try, /*On fail goto*//*Label 4756*/ GIMT_Encode4(237632), // Rule ID 11732 //
     /* 237595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_subhnt),
     /* 237603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 237606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 237609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 237612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 237615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237619 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1890:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SUBHNT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 237619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNT_ZZZ_H),
     /* 237622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 237624 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237626 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237628 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237630 */     GIR_RootConstrainSelectedInstOperands,
     /* 237631 */     // GIR_Coverage, 11732,
     /* 237631 */     GIR_EraseRootFromParent_Done,
     /* 237632 */   // Label 4756: @237632
     /* 237632 */   GIM_Try, /*On fail goto*//*Label 4757*/ GIMT_Encode4(237674), // Rule ID 11733 //
     /* 237637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_subhnt),
     /* 237645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 237648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 237651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 237654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 237657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237661 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1890:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SUBHNT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 237661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNT_ZZZ_S),
     /* 237664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 237666 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237668 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237670 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237672 */     GIR_RootConstrainSelectedInstOperands,
     /* 237673 */     // GIR_Coverage, 11733,
     /* 237673 */     GIR_EraseRootFromParent_Done,
     /* 237674 */   // Label 4757: @237674
     /* 237674 */   GIM_Try, /*On fail goto*//*Label 4758*/ GIMT_Encode4(237716), // Rule ID 11734 //
     /* 237679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rsubhnt),
     /* 237687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 237690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 237693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 237696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 237699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237703 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1665:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (RSUBHNT_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 237703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNT_ZZZ_B),
     /* 237706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 237708 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237710 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237712 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237714 */     GIR_RootConstrainSelectedInstOperands,
     /* 237715 */     // GIR_Coverage, 11734,
     /* 237715 */     GIR_EraseRootFromParent_Done,
     /* 237716 */   // Label 4758: @237716
     /* 237716 */   GIM_Try, /*On fail goto*//*Label 4759*/ GIMT_Encode4(237758), // Rule ID 11735 //
     /* 237721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rsubhnt),
     /* 237729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 237732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 237735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 237738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 237741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237745 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1665:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (RSUBHNT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 237745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNT_ZZZ_H),
     /* 237748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 237750 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237752 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237754 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237756 */     GIR_RootConstrainSelectedInstOperands,
     /* 237757 */     // GIR_Coverage, 11735,
     /* 237757 */     GIR_EraseRootFromParent_Done,
     /* 237758 */   // Label 4759: @237758
     /* 237758 */   GIM_Try, /*On fail goto*//*Label 4760*/ GIMT_Encode4(237800), // Rule ID 11736 //
     /* 237763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rsubhnt),
     /* 237771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 237774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 237777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 237780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 237783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237787 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1665:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (RSUBHNT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 237787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNT_ZZZ_S),
     /* 237790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 237792 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237794 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237796 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237798 */     GIR_RootConstrainSelectedInstOperands,
     /* 237799 */     // GIR_Coverage, 11736,
     /* 237799 */     GIR_EraseRootFromParent_Done,
     /* 237800 */   // Label 4760: @237800
     /* 237800 */   GIM_Try, /*On fail goto*//*Label 4761*/ GIMT_Encode4(237845), // Rule ID 11749 //
     /* 237805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2),
     /* 237808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nmatch),
     /* 237813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 237816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 237819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 237822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 237825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 237829 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1600:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (NMATCH_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 237829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NMATCH_PPzZZ_B),
     /* 237832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 237834 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237836 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237838 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237840 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 237843 */     GIR_RootConstrainSelectedInstOperands,
     /* 237844 */     // GIR_Coverage, 11749,
     /* 237844 */     GIR_EraseRootFromParent_Done,
     /* 237845 */   // Label 4761: @237845
     /* 237845 */   GIM_Try, /*On fail goto*//*Label 4762*/ GIMT_Encode4(237890), // Rule ID 11750 //
     /* 237850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2),
     /* 237853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nmatch),
     /* 237858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 237861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 237864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 237867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 237870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 237874 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1600:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (NMATCH_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 237874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NMATCH_PPzZZ_H),
     /* 237877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 237879 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237881 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237883 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237885 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 237888 */     GIR_RootConstrainSelectedInstOperands,
     /* 237889 */     // GIR_Coverage, 11750,
     /* 237889 */     GIR_EraseRootFromParent_Done,
     /* 237890 */   // Label 4762: @237890
     /* 237890 */   GIM_Try, /*On fail goto*//*Label 4763*/ GIMT_Encode4(237932), // Rule ID 11751 //
     /* 237895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eortb),
     /* 237903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 237906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 237909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 237912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 237915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237919 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1340:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (EORTB_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 237919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORTB_ZZZ_B),
     /* 237922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 237924 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237926 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237928 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237930 */     GIR_RootConstrainSelectedInstOperands,
     /* 237931 */     // GIR_Coverage, 11751,
     /* 237931 */     GIR_EraseRootFromParent_Done,
     /* 237932 */   // Label 4763: @237932
     /* 237932 */   GIM_Try, /*On fail goto*//*Label 4764*/ GIMT_Encode4(237974), // Rule ID 11752 //
     /* 237937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eortb),
     /* 237945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 237948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 237951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 237954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 237957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237961 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1340:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (EORTB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 237961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORTB_ZZZ_H),
     /* 237964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 237966 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237968 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237970 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237972 */     GIR_RootConstrainSelectedInstOperands,
     /* 237973 */     // GIR_Coverage, 11752,
     /* 237973 */     GIR_EraseRootFromParent_Done,
     /* 237974 */   // Label 4764: @237974
     /* 237974 */   GIM_Try, /*On fail goto*//*Label 4765*/ GIMT_Encode4(238016), // Rule ID 11753 //
     /* 237979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eortb),
     /* 237987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 237990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 237993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 237996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 237999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238003 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1340:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (EORTB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 238003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORTB_ZZZ_S),
     /* 238006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 238008 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238010 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238012 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238014 */     GIR_RootConstrainSelectedInstOperands,
     /* 238015 */     // GIR_Coverage, 11753,
     /* 238015 */     GIR_EraseRootFromParent_Done,
     /* 238016 */   // Label 4765: @238016
     /* 238016 */   GIM_Try, /*On fail goto*//*Label 4766*/ GIMT_Encode4(238058), // Rule ID 11754 //
     /* 238021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eortb),
     /* 238029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 238032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 238035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 238038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 238041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238045 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1340:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (EORTB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 238045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORTB_ZZZ_D),
     /* 238048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 238050 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238052 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238054 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238056 */     GIR_RootConstrainSelectedInstOperands,
     /* 238057 */     // GIR_Coverage, 11754,
     /* 238057 */     GIR_EraseRootFromParent_Done,
     /* 238058 */   // Label 4766: @238058
     /* 238058 */   GIM_Try, /*On fail goto*//*Label 4767*/ GIMT_Encode4(238100), // Rule ID 11770 //
     /* 238063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnmp),
     /* 238071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 238074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 238077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 238080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 238083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238087 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1423:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FMAXNMP_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 238087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMP_ZPmZZ_H),
     /* 238090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 238092 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238094 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238096 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238098 */     GIR_RootConstrainSelectedInstOperands,
     /* 238099 */     // GIR_Coverage, 11770,
     /* 238099 */     GIR_EraseRootFromParent_Done,
     /* 238100 */   // Label 4767: @238100
     /* 238100 */   GIM_Try, /*On fail goto*//*Label 4768*/ GIMT_Encode4(238142), // Rule ID 11771 //
     /* 238105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnmp),
     /* 238113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 238116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 238119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 238122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 238125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238129 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1423:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FMAXNMP_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 238129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMP_ZPmZZ_S),
     /* 238132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 238134 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238136 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238138 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238140 */     GIR_RootConstrainSelectedInstOperands,
     /* 238141 */     // GIR_Coverage, 11771,
     /* 238141 */     GIR_EraseRootFromParent_Done,
     /* 238142 */   // Label 4768: @238142
     /* 238142 */   GIM_Try, /*On fail goto*//*Label 4769*/ GIMT_Encode4(238184), // Rule ID 11772 //
     /* 238147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnmp),
     /* 238155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 238158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 238161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 238164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 238167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238171 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1423:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FMAXNMP_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 238171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMP_ZPmZZ_D),
     /* 238174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 238176 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238178 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238180 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238182 */     GIR_RootConstrainSelectedInstOperands,
     /* 238183 */     // GIR_Coverage, 11772,
     /* 238183 */     GIR_EraseRootFromParent_Done,
     /* 238184 */   // Label 4769: @238184
     /* 238184 */   GIM_Try, /*On fail goto*//*Label 4770*/ GIMT_Encode4(238226), // Rule ID 11773 //
     /* 238189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnmp),
     /* 238197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 238200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 238203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 238206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 238209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238213 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1441:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FMINNMP_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 238213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMP_ZPmZZ_H),
     /* 238216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 238218 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238220 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238222 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238224 */     GIR_RootConstrainSelectedInstOperands,
     /* 238225 */     // GIR_Coverage, 11773,
     /* 238225 */     GIR_EraseRootFromParent_Done,
     /* 238226 */   // Label 4770: @238226
     /* 238226 */   GIM_Try, /*On fail goto*//*Label 4771*/ GIMT_Encode4(238268), // Rule ID 11774 //
     /* 238231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnmp),
     /* 238239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 238242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 238245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 238248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 238251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238255 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1441:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FMINNMP_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 238255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMP_ZPmZZ_S),
     /* 238258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 238260 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238262 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238264 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238266 */     GIR_RootConstrainSelectedInstOperands,
     /* 238267 */     // GIR_Coverage, 11774,
     /* 238267 */     GIR_EraseRootFromParent_Done,
     /* 238268 */   // Label 4771: @238268
     /* 238268 */   GIM_Try, /*On fail goto*//*Label 4772*/ GIMT_Encode4(238310), // Rule ID 11775 //
     /* 238273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnmp),
     /* 238281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 238284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 238287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 238290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 238293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238297 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1441:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FMINNMP_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 238297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMP_ZPmZZ_D),
     /* 238300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 238302 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238304 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238306 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238308 */     GIR_RootConstrainSelectedInstOperands,
     /* 238309 */     // GIR_Coverage, 11775,
     /* 238309 */     GIR_EraseRootFromParent_Done,
     /* 238310 */   // Label 4772: @238310
     /* 238310 */   GIM_Try, /*On fail goto*//*Label 4773*/ GIMT_Encode4(238352), // Rule ID 11776 //
     /* 238315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxp),
     /* 238323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 238326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 238329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 238332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 238335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238339 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1426:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FMAXP_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 238339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXP_ZPmZZ_H),
     /* 238342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 238344 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238346 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238348 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238350 */     GIR_RootConstrainSelectedInstOperands,
     /* 238351 */     // GIR_Coverage, 11776,
     /* 238351 */     GIR_EraseRootFromParent_Done,
     /* 238352 */   // Label 4773: @238352
     /* 238352 */   GIM_Try, /*On fail goto*//*Label 4774*/ GIMT_Encode4(238394), // Rule ID 11777 //
     /* 238357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxp),
     /* 238365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 238368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 238371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 238374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 238377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238381 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1426:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FMAXP_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 238381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXP_ZPmZZ_S),
     /* 238384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 238386 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238388 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238390 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238392 */     GIR_RootConstrainSelectedInstOperands,
     /* 238393 */     // GIR_Coverage, 11777,
     /* 238393 */     GIR_EraseRootFromParent_Done,
     /* 238394 */   // Label 4774: @238394
     /* 238394 */   GIM_Try, /*On fail goto*//*Label 4775*/ GIMT_Encode4(238436), // Rule ID 11778 //
     /* 238399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxp),
     /* 238407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 238410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 238413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 238416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 238419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238423 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1426:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FMAXP_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 238423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXP_ZPmZZ_D),
     /* 238426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 238428 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238430 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238432 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238434 */     GIR_RootConstrainSelectedInstOperands,
     /* 238435 */     // GIR_Coverage, 11778,
     /* 238435 */     GIR_EraseRootFromParent_Done,
     /* 238436 */   // Label 4775: @238436
     /* 238436 */   GIM_Try, /*On fail goto*//*Label 4776*/ GIMT_Encode4(238478), // Rule ID 11779 //
     /* 238441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminp),
     /* 238449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 238452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 238455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 238458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 238461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238465 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1444:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FMINP_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 238465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINP_ZPmZZ_H),
     /* 238468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 238470 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238472 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238474 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238476 */     GIR_RootConstrainSelectedInstOperands,
     /* 238477 */     // GIR_Coverage, 11779,
     /* 238477 */     GIR_EraseRootFromParent_Done,
     /* 238478 */   // Label 4776: @238478
     /* 238478 */   GIM_Try, /*On fail goto*//*Label 4777*/ GIMT_Encode4(238520), // Rule ID 11780 //
     /* 238483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminp),
     /* 238491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 238494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 238497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 238500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 238503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238507 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1444:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FMINP_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 238507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINP_ZPmZZ_S),
     /* 238510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 238512 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238514 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238516 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238518 */     GIR_RootConstrainSelectedInstOperands,
     /* 238519 */     // GIR_Coverage, 11780,
     /* 238519 */     GIR_EraseRootFromParent_Done,
     /* 238520 */   // Label 4777: @238520
     /* 238520 */   GIM_Try, /*On fail goto*//*Label 4778*/ GIMT_Encode4(238562), // Rule ID 11781 //
     /* 238525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminp),
     /* 238533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 238536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 238539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 238542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 238545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238549 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1444:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FMINP_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 238549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINP_ZPmZZ_D),
     /* 238552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 238554 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238556 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238558 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238560 */     GIR_RootConstrainSelectedInstOperands,
     /* 238561 */     // GIR_Coverage, 11781,
     /* 238561 */     GIR_EraseRootFromParent_Done,
     /* 238562 */   // Label 4778: @238562
     /* 238562 */   GIM_Try, /*On fail goto*//*Label 4779*/ GIMT_Encode4(238604), // Rule ID 11786 //
     /* 238567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmlalb),
     /* 238575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 238578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 238581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 238584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 238587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238591 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1450:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FMLALB_ZZZ_SHH:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 238591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALB_ZZZ_SHH),
     /* 238594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 238596 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238598 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238600 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238602 */     GIR_RootConstrainSelectedInstOperands,
     /* 238603 */     // GIR_Coverage, 11786,
     /* 238603 */     GIR_EraseRootFromParent_Done,
     /* 238604 */   // Label 4779: @238604
     /* 238604 */   GIM_Try, /*On fail goto*//*Label 4780*/ GIMT_Encode4(238646), // Rule ID 11787 //
     /* 238609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmlalt),
     /* 238617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 238620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 238623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 238626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 238629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238633 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1452:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FMLALT_ZZZ_SHH:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 238633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALT_ZZZ_SHH),
     /* 238636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 238638 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238640 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238642 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238644 */     GIR_RootConstrainSelectedInstOperands,
     /* 238645 */     // GIR_Coverage, 11787,
     /* 238645 */     GIR_EraseRootFromParent_Done,
     /* 238646 */   // Label 4780: @238646
     /* 238646 */   GIM_Try, /*On fail goto*//*Label 4781*/ GIMT_Encode4(238688), // Rule ID 11788 //
     /* 238651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmlslb),
     /* 238659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 238662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 238665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 238668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 238671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238675 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1457:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FMLSLB_ZZZ_SHH:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 238675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSLB_ZZZ_SHH),
     /* 238678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 238680 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238682 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238684 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238686 */     GIR_RootConstrainSelectedInstOperands,
     /* 238687 */     // GIR_Coverage, 11788,
     /* 238687 */     GIR_EraseRootFromParent_Done,
     /* 238688 */   // Label 4781: @238688
     /* 238688 */   GIM_Try, /*On fail goto*//*Label 4782*/ GIMT_Encode4(238730), // Rule ID 11789 //
     /* 238693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmlslt),
     /* 238701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 238704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 238707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 238710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 238713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238717 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1459:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FMLSLT_ZZZ_SHH:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 238717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSLT_ZZZ_SHH),
     /* 238720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 238722 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238724 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238726 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238728 */     GIR_RootConstrainSelectedInstOperands,
     /* 238729 */     // GIR_Coverage, 11789,
     /* 238729 */     GIR_EraseRootFromParent_Done,
     /* 238730 */   // Label 4782: @238730
     /* 238730 */   GIM_Try, /*On fail goto*//*Label 4783*/ GIMT_Encode4(238772), // Rule ID 11790 //
     /* 238735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bcax),
     /* 238743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 238746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 238749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 238752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 238755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238759 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1257:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (BCAX_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 238759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /* 238762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 238764 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238766 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238768 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238770 */     GIR_RootConstrainSelectedInstOperands,
     /* 238771 */     // GIR_Coverage, 11790,
     /* 238771 */     GIR_EraseRootFromParent_Done,
     /* 238772 */   // Label 4783: @238772
     /* 238772 */   GIM_Try, /*On fail goto*//*Label 4784*/ GIMT_Encode4(238814), // Rule ID 11792 //
     /* 238777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bcax),
     /* 238785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 238788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 238791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 238794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 238797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238801 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1257:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (BCAX_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 238801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /* 238804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 238806 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238808 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238810 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238812 */     GIR_RootConstrainSelectedInstOperands,
     /* 238813 */     // GIR_Coverage, 11792,
     /* 238813 */     GIR_EraseRootFromParent_Done,
     /* 238814 */   // Label 4784: @238814
     /* 238814 */   GIM_Try, /*On fail goto*//*Label 4785*/ GIMT_Encode4(238856), // Rule ID 11794 //
     /* 238819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bcax),
     /* 238827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 238830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 238833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 238836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 238839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238843 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1257:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (BCAX_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 238843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /* 238846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 238848 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238850 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238852 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238854 */     GIR_RootConstrainSelectedInstOperands,
     /* 238855 */     // GIR_Coverage, 11794,
     /* 238855 */     GIR_EraseRootFromParent_Done,
     /* 238856 */   // Label 4785: @238856
     /* 238856 */   GIM_Try, /*On fail goto*//*Label 4786*/ GIMT_Encode4(238898), // Rule ID 11796 //
     /* 238861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bcax),
     /* 238869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 238872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 238875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 238878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 238881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238885 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1257:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (BCAX_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 238885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /* 238888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 238890 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238892 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238894 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238896 */     GIR_RootConstrainSelectedInstOperands,
     /* 238897 */     // GIR_Coverage, 11796,
     /* 238897 */     GIR_EraseRootFromParent_Done,
     /* 238898 */   // Label 4786: @238898
     /* 238898 */   GIM_Try, /*On fail goto*//*Label 4787*/ GIMT_Encode4(238940), // Rule ID 11798 //
     /* 238903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl),
     /* 238911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 238914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 238917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 238920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 238923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238927 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1286:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (BSL_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 238927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL_ZZZZ),
     /* 238930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 238932 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238934 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238936 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238938 */     GIR_RootConstrainSelectedInstOperands,
     /* 238939 */     // GIR_Coverage, 11798,
     /* 238939 */     GIR_EraseRootFromParent_Done,
     /* 238940 */   // Label 4787: @238940
     /* 238940 */   GIM_Try, /*On fail goto*//*Label 4788*/ GIMT_Encode4(238982), // Rule ID 11800 //
     /* 238945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl),
     /* 238953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 238956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 238959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 238962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 238965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238969 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1286:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (BSL_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 238969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL_ZZZZ),
     /* 238972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 238974 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238976 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238978 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238980 */     GIR_RootConstrainSelectedInstOperands,
     /* 238981 */     // GIR_Coverage, 11800,
     /* 238981 */     GIR_EraseRootFromParent_Done,
     /* 238982 */   // Label 4788: @238982
     /* 238982 */   GIM_Try, /*On fail goto*//*Label 4789*/ GIMT_Encode4(239024), // Rule ID 11802 //
     /* 238987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl),
     /* 238995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 238998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 239001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 239004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 239007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239011 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1286:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (BSL_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 239011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL_ZZZZ),
     /* 239014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239016 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239018 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239020 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239022 */     GIR_RootConstrainSelectedInstOperands,
     /* 239023 */     // GIR_Coverage, 11802,
     /* 239023 */     GIR_EraseRootFromParent_Done,
     /* 239024 */   // Label 4789: @239024
     /* 239024 */   GIM_Try, /*On fail goto*//*Label 4790*/ GIMT_Encode4(239066), // Rule ID 11804 //
     /* 239029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl),
     /* 239037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 239040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 239043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 239046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 239049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239053 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1286:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (BSL_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 239053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL_ZZZZ),
     /* 239056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239058 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239060 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239062 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239064 */     GIR_RootConstrainSelectedInstOperands,
     /* 239065 */     // GIR_Coverage, 11804,
     /* 239065 */     GIR_EraseRootFromParent_Done,
     /* 239066 */   // Label 4790: @239066
     /* 239066 */   GIM_Try, /*On fail goto*//*Label 4791*/ GIMT_Encode4(239108), // Rule ID 11806 //
     /* 239071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl1n),
     /* 239079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 239082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 239085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 239088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 239091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239095 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1287:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (BSL1N_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 239095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL1N_ZZZZ),
     /* 239098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239100 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239102 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239104 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239106 */     GIR_RootConstrainSelectedInstOperands,
     /* 239107 */     // GIR_Coverage, 11806,
     /* 239107 */     GIR_EraseRootFromParent_Done,
     /* 239108 */   // Label 4791: @239108
     /* 239108 */   GIM_Try, /*On fail goto*//*Label 4792*/ GIMT_Encode4(239150), // Rule ID 11807 //
     /* 239113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl1n),
     /* 239121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 239124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 239127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 239130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 239133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239137 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1287:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (BSL1N_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 239137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL1N_ZZZZ),
     /* 239140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239142 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239144 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239146 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239148 */     GIR_RootConstrainSelectedInstOperands,
     /* 239149 */     // GIR_Coverage, 11807,
     /* 239149 */     GIR_EraseRootFromParent_Done,
     /* 239150 */   // Label 4792: @239150
     /* 239150 */   GIM_Try, /*On fail goto*//*Label 4793*/ GIMT_Encode4(239192), // Rule ID 11808 //
     /* 239155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl1n),
     /* 239163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 239166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 239169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 239172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 239175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239179 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1287:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (BSL1N_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 239179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL1N_ZZZZ),
     /* 239182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239184 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239186 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239188 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239190 */     GIR_RootConstrainSelectedInstOperands,
     /* 239191 */     // GIR_Coverage, 11808,
     /* 239191 */     GIR_EraseRootFromParent_Done,
     /* 239192 */   // Label 4793: @239192
     /* 239192 */   GIM_Try, /*On fail goto*//*Label 4794*/ GIMT_Encode4(239234), // Rule ID 11809 //
     /* 239197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl1n),
     /* 239205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 239208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 239211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 239214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 239217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239221 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1287:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (BSL1N_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 239221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL1N_ZZZZ),
     /* 239224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239226 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239228 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239230 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239232 */     GIR_RootConstrainSelectedInstOperands,
     /* 239233 */     // GIR_Coverage, 11809,
     /* 239233 */     GIR_EraseRootFromParent_Done,
     /* 239234 */   // Label 4794: @239234
     /* 239234 */   GIM_Try, /*On fail goto*//*Label 4795*/ GIMT_Encode4(239276), // Rule ID 11810 //
     /* 239239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl2n),
     /* 239247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 239250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 239253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 239256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 239259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239263 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1288:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (BSL2N_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 239263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL2N_ZZZZ),
     /* 239266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239268 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239270 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239272 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239274 */     GIR_RootConstrainSelectedInstOperands,
     /* 239275 */     // GIR_Coverage, 11810,
     /* 239275 */     GIR_EraseRootFromParent_Done,
     /* 239276 */   // Label 4795: @239276
     /* 239276 */   GIM_Try, /*On fail goto*//*Label 4796*/ GIMT_Encode4(239318), // Rule ID 11811 //
     /* 239281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl2n),
     /* 239289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 239292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 239295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 239298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 239301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239305 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1288:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (BSL2N_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 239305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL2N_ZZZZ),
     /* 239308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239310 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239312 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239314 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239316 */     GIR_RootConstrainSelectedInstOperands,
     /* 239317 */     // GIR_Coverage, 11811,
     /* 239317 */     GIR_EraseRootFromParent_Done,
     /* 239318 */   // Label 4796: @239318
     /* 239318 */   GIM_Try, /*On fail goto*//*Label 4797*/ GIMT_Encode4(239360), // Rule ID 11812 //
     /* 239323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl2n),
     /* 239331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 239334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 239337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 239340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 239343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239347 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1288:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (BSL2N_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 239347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL2N_ZZZZ),
     /* 239350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239352 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239354 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239356 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239358 */     GIR_RootConstrainSelectedInstOperands,
     /* 239359 */     // GIR_Coverage, 11812,
     /* 239359 */     GIR_EraseRootFromParent_Done,
     /* 239360 */   // Label 4797: @239360
     /* 239360 */   GIM_Try, /*On fail goto*//*Label 4798*/ GIMT_Encode4(239402), // Rule ID 11813 //
     /* 239365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl2n),
     /* 239373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 239376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 239379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 239382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 239385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239389 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1288:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (BSL2N_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 239389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL2N_ZZZZ),
     /* 239392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239394 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239396 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239398 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239400 */     GIR_RootConstrainSelectedInstOperands,
     /* 239401 */     // GIR_Coverage, 11813,
     /* 239401 */     GIR_EraseRootFromParent_Done,
     /* 239402 */   // Label 4798: @239402
     /* 239402 */   GIM_Try, /*On fail goto*//*Label 4799*/ GIMT_Encode4(239444), // Rule ID 11814 //
     /* 239407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nbsl),
     /* 239415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 239418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 239421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 239424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 239427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239431 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1598:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (NBSL_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 239431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NBSL_ZZZZ),
     /* 239434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239436 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239438 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239440 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239442 */     GIR_RootConstrainSelectedInstOperands,
     /* 239443 */     // GIR_Coverage, 11814,
     /* 239443 */     GIR_EraseRootFromParent_Done,
     /* 239444 */   // Label 4799: @239444
     /* 239444 */   GIM_Try, /*On fail goto*//*Label 4800*/ GIMT_Encode4(239486), // Rule ID 11816 //
     /* 239449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nbsl),
     /* 239457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 239460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 239463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 239466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 239469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239473 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1598:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (NBSL_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 239473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NBSL_ZZZZ),
     /* 239476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239478 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239480 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239482 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239484 */     GIR_RootConstrainSelectedInstOperands,
     /* 239485 */     // GIR_Coverage, 11816,
     /* 239485 */     GIR_EraseRootFromParent_Done,
     /* 239486 */   // Label 4800: @239486
     /* 239486 */   GIM_Try, /*On fail goto*//*Label 4801*/ GIMT_Encode4(239528), // Rule ID 11818 //
     /* 239491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nbsl),
     /* 239499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 239502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 239505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 239508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 239511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239515 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1598:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (NBSL_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 239515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NBSL_ZZZZ),
     /* 239518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239520 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239522 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239524 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239526 */     GIR_RootConstrainSelectedInstOperands,
     /* 239527 */     // GIR_Coverage, 11818,
     /* 239527 */     GIR_EraseRootFromParent_Done,
     /* 239528 */   // Label 4801: @239528
     /* 239528 */   GIM_Try, /*On fail goto*//*Label 4802*/ GIMT_Encode4(239570), // Rule ID 11820 //
     /* 239533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nbsl),
     /* 239541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 239544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 239547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 239550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 239553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239557 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1598:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (NBSL_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 239557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NBSL_ZZZZ),
     /* 239560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239562 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239564 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239566 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239568 */     GIR_RootConstrainSelectedInstOperands,
     /* 239569 */     // GIR_Coverage, 11820,
     /* 239569 */     GIR_EraseRootFromParent_Done,
     /* 239570 */   // Label 4802: @239570
     /* 239570 */   GIM_Try, /*On fail goto*//*Label 4803*/ GIMT_Encode4(239612), // Rule ID 11909 //
     /* 239575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 239578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uclamp),
     /* 239583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 239586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 239589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 239592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 239595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239599 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1929:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UCLAMP_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 239599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCLAMP_ZZZ_B),
     /* 239602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 239604 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239606 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239608 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239610 */     GIR_RootConstrainSelectedInstOperands,
     /* 239611 */     // GIR_Coverage, 11909,
     /* 239611 */     GIR_EraseRootFromParent_Done,
     /* 239612 */   // Label 4803: @239612
     /* 239612 */   GIM_Try, /*On fail goto*//*Label 4804*/ GIMT_Encode4(239654), // Rule ID 11911 //
     /* 239617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 239620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uclamp),
     /* 239625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 239628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 239631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 239634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 239637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239641 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1929:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UCLAMP_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 239641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCLAMP_ZZZ_H),
     /* 239644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 239646 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239648 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239650 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239652 */     GIR_RootConstrainSelectedInstOperands,
     /* 239653 */     // GIR_Coverage, 11911,
     /* 239653 */     GIR_EraseRootFromParent_Done,
     /* 239654 */   // Label 4804: @239654
     /* 239654 */   GIM_Try, /*On fail goto*//*Label 4805*/ GIMT_Encode4(239696), // Rule ID 11913 //
     /* 239659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 239662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uclamp),
     /* 239667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 239670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 239673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 239676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 239679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239683 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1929:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UCLAMP_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 239683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCLAMP_ZZZ_S),
     /* 239686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 239688 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239690 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239692 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239694 */     GIR_RootConstrainSelectedInstOperands,
     /* 239695 */     // GIR_Coverage, 11913,
     /* 239695 */     GIR_EraseRootFromParent_Done,
     /* 239696 */   // Label 4805: @239696
     /* 239696 */   GIM_Try, /*On fail goto*//*Label 4806*/ GIMT_Encode4(239738), // Rule ID 11915 //
     /* 239701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 239704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uclamp),
     /* 239709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 239712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 239715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 239718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 239721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239725 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1929:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UCLAMP_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 239725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCLAMP_ZZZ_D),
     /* 239728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 239730 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239732 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239734 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239736 */     GIR_RootConstrainSelectedInstOperands,
     /* 239737 */     // GIR_Coverage, 11915,
     /* 239737 */     GIR_EraseRootFromParent_Done,
     /* 239738 */   // Label 4806: @239738
     /* 239738 */   GIM_Try, /*On fail goto*//*Label 4807*/ GIMT_Encode4(239780), // Rule ID 11917 //
     /* 239743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2),
     /* 239746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fdot_x2),
     /* 239751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 239754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 239757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 239760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 239763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239767 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1407:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FDOT_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 239767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOT_ZZZ_S),
     /* 239770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 239772 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239774 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239776 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239778 */     GIR_RootConstrainSelectedInstOperands,
     /* 239779 */     // GIR_Coverage, 11917,
     /* 239779 */     GIR_EraseRootFromParent_Done,
     /* 239780 */   // Label 4807: @239780
     /* 239780 */   GIM_Try, /*On fail goto*//*Label 4808*/ GIMT_Encode4(239822), // Rule ID 11919 //
     /* 239785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2),
     /* 239788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_udot_x2),
     /* 239793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 239796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 239799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 239802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 239805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239809 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1945:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UDOT_ZZZ_HtoS:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 239809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDOT_ZZZ_HtoS),
     /* 239812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 239814 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239816 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239818 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239820 */     GIR_RootConstrainSelectedInstOperands,
     /* 239821 */     // GIR_Coverage, 11919,
     /* 239821 */     GIR_EraseRootFromParent_Done,
     /* 239822 */   // Label 4808: @239822
     /* 239822 */   GIM_Try, /*On fail goto*//*Label 4809*/ GIMT_Encode4(239864), // Rule ID 12082 //
     /* 239827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 239830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbxq),
     /* 239835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 239838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 239841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 239844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 239847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239851 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1905:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (TBXQ_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 239851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBXQ_ZZZ_B),
     /* 239854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 239856 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239858 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239860 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239862 */     GIR_RootConstrainSelectedInstOperands,
     /* 239863 */     // GIR_Coverage, 12082,
     /* 239863 */     GIR_EraseRootFromParent_Done,
     /* 239864 */   // Label 4809: @239864
     /* 239864 */   GIM_Try, /*On fail goto*//*Label 4810*/ GIMT_Encode4(239906), // Rule ID 12083 //
     /* 239869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 239872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbxq),
     /* 239877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 239880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 239883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 239886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 239889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239893 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1905:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (TBXQ_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 239893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBXQ_ZZZ_H),
     /* 239896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 239898 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239900 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239902 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239904 */     GIR_RootConstrainSelectedInstOperands,
     /* 239905 */     // GIR_Coverage, 12083,
     /* 239905 */     GIR_EraseRootFromParent_Done,
     /* 239906 */   // Label 4810: @239906
     /* 239906 */   GIM_Try, /*On fail goto*//*Label 4811*/ GIMT_Encode4(239948), // Rule ID 12084 //
     /* 239911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 239914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbxq),
     /* 239919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 239922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 239925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 239928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 239931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239935 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1905:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (TBXQ_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 239935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBXQ_ZZZ_S),
     /* 239938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 239940 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239942 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239944 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239946 */     GIR_RootConstrainSelectedInstOperands,
     /* 239947 */     // GIR_Coverage, 12084,
     /* 239947 */     GIR_EraseRootFromParent_Done,
     /* 239948 */   // Label 4811: @239948
     /* 239948 */   GIM_Try, /*On fail goto*//*Label 4812*/ GIMT_Encode4(239990), // Rule ID 12085 //
     /* 239953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 239956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbxq),
     /* 239961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 239964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 239967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 239970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 239973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239977 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1905:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (TBXQ_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 239977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBXQ_ZZZ_D),
     /* 239980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 239982 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239984 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239986 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239988 */     GIR_RootConstrainSelectedInstOperands,
     /* 239989 */     // GIR_Coverage, 12085,
     /* 239989 */     GIR_EraseRootFromParent_Done,
     /* 239990 */   // Label 4812: @239990
     /* 239990 */   GIM_Try, /*On fail goto*//*Label 4813*/ GIMT_Encode4(240032), // Rule ID 12086 //
     /* 239995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 239998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbxq),
     /* 240003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 240006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 240009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 240012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 240015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240019 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1905:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (TBXQ_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 240019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBXQ_ZZZ_H),
     /* 240022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 240024 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240026 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240028 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240030 */     GIR_RootConstrainSelectedInstOperands,
     /* 240031 */     // GIR_Coverage, 12086,
     /* 240031 */     GIR_EraseRootFromParent_Done,
     /* 240032 */   // Label 4813: @240032
     /* 240032 */   GIM_Try, /*On fail goto*//*Label 4814*/ GIMT_Encode4(240074), // Rule ID 12087 //
     /* 240037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 240040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbxq),
     /* 240045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 240048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 240051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 240054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 240057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240061 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1905:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (TBXQ_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 240061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBXQ_ZZZ_S),
     /* 240064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 240066 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240068 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240070 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240072 */     GIR_RootConstrainSelectedInstOperands,
     /* 240073 */     // GIR_Coverage, 12087,
     /* 240073 */     GIR_EraseRootFromParent_Done,
     /* 240074 */   // Label 4814: @240074
     /* 240074 */   GIM_Try, /*On fail goto*//*Label 4815*/ GIMT_Encode4(240116), // Rule ID 12088 //
     /* 240079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 240082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbxq),
     /* 240087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 240090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 240093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 240096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 240099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240103 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1905:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (TBXQ_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 240103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBXQ_ZZZ_D),
     /* 240106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 240108 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240110 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240112 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240114 */     GIR_RootConstrainSelectedInstOperands,
     /* 240115 */     // GIR_Coverage, 12088,
     /* 240115 */     GIR_EraseRootFromParent_Done,
     /* 240116 */   // Label 4815: @240116
     /* 240116 */   GIM_Try, /*On fail goto*//*Label 4816*/ GIMT_Encode4(240158), // Rule ID 12433 //
     /* 240121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 240124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famin),
     /* 240129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 240132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 240135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 240138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 240141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240145 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1357:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FAMIN_ZPmZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 240145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMIN_ZPmZ_H),
     /* 240148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 240150 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240152 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240154 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240156 */     GIR_RootConstrainSelectedInstOperands,
     /* 240157 */     // GIR_Coverage, 12433,
     /* 240157 */     GIR_EraseRootFromParent_Done,
     /* 240158 */   // Label 4816: @240158
     /* 240158 */   GIM_Try, /*On fail goto*//*Label 4817*/ GIMT_Encode4(240200), // Rule ID 12434 //
     /* 240163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 240166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famin),
     /* 240171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 240174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 240177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 240180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 240183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240187 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1357:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FAMIN_ZPmZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 240187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMIN_ZPmZ_S),
     /* 240190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 240192 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240194 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240196 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240198 */     GIR_RootConstrainSelectedInstOperands,
     /* 240199 */     // GIR_Coverage, 12434,
     /* 240199 */     GIR_EraseRootFromParent_Done,
     /* 240200 */   // Label 4817: @240200
     /* 240200 */   GIM_Try, /*On fail goto*//*Label 4818*/ GIMT_Encode4(240242), // Rule ID 12435 //
     /* 240205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 240208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famin),
     /* 240213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 240216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 240219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 240222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 240225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240229 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1357:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FAMIN_ZPmZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 240229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMIN_ZPmZ_D),
     /* 240232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 240234 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240236 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240238 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240240 */     GIR_RootConstrainSelectedInstOperands,
     /* 240241 */     // GIR_Coverage, 12435,
     /* 240241 */     GIR_EraseRootFromParent_Done,
     /* 240242 */   // Label 4818: @240242
     /* 240242 */   GIM_Try, /*On fail goto*//*Label 4819*/ GIMT_Encode4(240284), // Rule ID 12436 //
     /* 240247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 240250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famax),
     /* 240255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 240258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 240261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 240264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 240267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240271 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1355:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FAMAX_ZPmZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 240271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAX_ZPmZ_H),
     /* 240274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 240276 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240278 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240280 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240282 */     GIR_RootConstrainSelectedInstOperands,
     /* 240283 */     // GIR_Coverage, 12436,
     /* 240283 */     GIR_EraseRootFromParent_Done,
     /* 240284 */   // Label 4819: @240284
     /* 240284 */   GIM_Try, /*On fail goto*//*Label 4820*/ GIMT_Encode4(240326), // Rule ID 12437 //
     /* 240289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 240292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famax),
     /* 240297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 240300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 240303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 240306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 240309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240313 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1355:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FAMAX_ZPmZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 240313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAX_ZPmZ_S),
     /* 240316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 240318 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240320 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240322 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240324 */     GIR_RootConstrainSelectedInstOperands,
     /* 240325 */     // GIR_Coverage, 12437,
     /* 240325 */     GIR_EraseRootFromParent_Done,
     /* 240326 */   // Label 4820: @240326
     /* 240326 */   GIM_Try, /*On fail goto*//*Label 4821*/ GIMT_Encode4(240368), // Rule ID 12438 //
     /* 240331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 240334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famax),
     /* 240339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 240342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 240345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 240348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 240351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240355 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1355:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FAMAX_ZPmZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 240355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAX_ZPmZ_D),
     /* 240358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 240360 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240362 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240364 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240366 */     GIR_RootConstrainSelectedInstOperands,
     /* 240367 */     // GIR_Coverage, 12438,
     /* 240367 */     GIR_EraseRootFromParent_Done,
     /* 240368 */   // Label 4821: @240368
     /* 240368 */   GIM_Try, /*On fail goto*//*Label 4822*/ GIMT_Encode4(240410), // Rule ID 12439 //
     /* 240373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 240376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famax_u),
     /* 240381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 240384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 240387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 240390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 240393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240397 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1356:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FAMAX_ZPZZ_H_UNDEF:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 240397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAX_ZPZZ_H_UNDEF),
     /* 240400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 240402 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240404 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240406 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240408 */     GIR_RootConstrainSelectedInstOperands,
     /* 240409 */     // GIR_Coverage, 12439,
     /* 240409 */     GIR_EraseRootFromParent_Done,
     /* 240410 */   // Label 4822: @240410
     /* 240410 */   GIM_Try, /*On fail goto*//*Label 4823*/ GIMT_Encode4(240452), // Rule ID 12442 //
     /* 240415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 240418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famax_u),
     /* 240423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 240426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 240429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 240432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 240435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240439 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 1356:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3)  =>  (FAMAX_ZPZZ_H_UNDEF:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3)
     /* 240439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAX_ZPZZ_H_UNDEF),
     /* 240442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 240444 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240446 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240448 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240450 */     GIR_RootConstrainSelectedInstOperands,
     /* 240451 */     // GIR_Coverage, 12442,
     /* 240451 */     GIR_EraseRootFromParent_Done,
     /* 240452 */   // Label 4823: @240452
     /* 240452 */   GIM_Try, /*On fail goto*//*Label 4824*/ GIMT_Encode4(240494), // Rule ID 12445 //
     /* 240457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 240460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famax_u),
     /* 240465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 240468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 240471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 240474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 240477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240481 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 1356:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3)  =>  (FAMAX_ZPZZ_H_UNDEF:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3)
     /* 240481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAX_ZPZZ_H_UNDEF),
     /* 240484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 240486 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240488 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240490 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240492 */     GIR_RootConstrainSelectedInstOperands,
     /* 240493 */     // GIR_Coverage, 12445,
     /* 240493 */     GIR_EraseRootFromParent_Done,
     /* 240494 */   // Label 4824: @240494
     /* 240494 */   GIM_Try, /*On fail goto*//*Label 4825*/ GIMT_Encode4(240536), // Rule ID 12448 //
     /* 240499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 240502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famax_u),
     /* 240507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 240510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 240513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 240516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 240519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240523 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1356:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FAMAX_ZPZZ_S_UNDEF:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 240523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAX_ZPZZ_S_UNDEF),
     /* 240526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 240528 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240530 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240532 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240534 */     GIR_RootConstrainSelectedInstOperands,
     /* 240535 */     // GIR_Coverage, 12448,
     /* 240535 */     GIR_EraseRootFromParent_Done,
     /* 240536 */   // Label 4825: @240536
     /* 240536 */   GIM_Try, /*On fail goto*//*Label 4826*/ GIMT_Encode4(240578), // Rule ID 12451 //
     /* 240541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 240544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famax_u),
     /* 240549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 240552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 240555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 240558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 240561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240565 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 1356:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3)  =>  (FAMAX_ZPZZ_S_UNDEF:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3)
     /* 240565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAX_ZPZZ_S_UNDEF),
     /* 240568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 240570 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240572 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240574 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240576 */     GIR_RootConstrainSelectedInstOperands,
     /* 240577 */     // GIR_Coverage, 12451,
     /* 240577 */     GIR_EraseRootFromParent_Done,
     /* 240578 */   // Label 4826: @240578
     /* 240578 */   GIM_Try, /*On fail goto*//*Label 4827*/ GIMT_Encode4(240620), // Rule ID 12454 //
     /* 240583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 240586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famax_u),
     /* 240591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 240594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 240597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 240600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 240603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240607 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1356:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FAMAX_ZPZZ_D_UNDEF:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 240607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAX_ZPZZ_D_UNDEF),
     /* 240610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 240612 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240614 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240616 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240618 */     GIR_RootConstrainSelectedInstOperands,
     /* 240619 */     // GIR_Coverage, 12454,
     /* 240619 */     GIR_EraseRootFromParent_Done,
     /* 240620 */   // Label 4827: @240620
     /* 240620 */   GIM_Try, /*On fail goto*//*Label 4828*/ GIMT_Encode4(240662), // Rule ID 12457 //
     /* 240625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 240628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famin_u),
     /* 240633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 240636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 240639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 240642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 240645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240649 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1358:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FAMIN_ZPZZ_H_UNDEF:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 240649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMIN_ZPZZ_H_UNDEF),
     /* 240652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 240654 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240656 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240658 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240660 */     GIR_RootConstrainSelectedInstOperands,
     /* 240661 */     // GIR_Coverage, 12457,
     /* 240661 */     GIR_EraseRootFromParent_Done,
     /* 240662 */   // Label 4828: @240662
     /* 240662 */   GIM_Try, /*On fail goto*//*Label 4829*/ GIMT_Encode4(240704), // Rule ID 12460 //
     /* 240667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 240670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famin_u),
     /* 240675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 240678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 240681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 240684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 240687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240691 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 1358:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3)  =>  (FAMIN_ZPZZ_H_UNDEF:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3)
     /* 240691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMIN_ZPZZ_H_UNDEF),
     /* 240694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 240696 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240698 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240700 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240702 */     GIR_RootConstrainSelectedInstOperands,
     /* 240703 */     // GIR_Coverage, 12460,
     /* 240703 */     GIR_EraseRootFromParent_Done,
     /* 240704 */   // Label 4829: @240704
     /* 240704 */   GIM_Try, /*On fail goto*//*Label 4830*/ GIMT_Encode4(240746), // Rule ID 12463 //
     /* 240709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 240712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famin_u),
     /* 240717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 240720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 240723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 240726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 240729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240733 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 1358:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3)  =>  (FAMIN_ZPZZ_H_UNDEF:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3)
     /* 240733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMIN_ZPZZ_H_UNDEF),
     /* 240736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 240738 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240740 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240742 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240744 */     GIR_RootConstrainSelectedInstOperands,
     /* 240745 */     // GIR_Coverage, 12463,
     /* 240745 */     GIR_EraseRootFromParent_Done,
     /* 240746 */   // Label 4830: @240746
     /* 240746 */   GIM_Try, /*On fail goto*//*Label 4831*/ GIMT_Encode4(240788), // Rule ID 12466 //
     /* 240751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 240754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famin_u),
     /* 240759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 240762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 240765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 240768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 240771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240775 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1358:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FAMIN_ZPZZ_S_UNDEF:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 240775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMIN_ZPZZ_S_UNDEF),
     /* 240778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 240780 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240782 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240784 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240786 */     GIR_RootConstrainSelectedInstOperands,
     /* 240787 */     // GIR_Coverage, 12466,
     /* 240787 */     GIR_EraseRootFromParent_Done,
     /* 240788 */   // Label 4831: @240788
     /* 240788 */   GIM_Try, /*On fail goto*//*Label 4832*/ GIMT_Encode4(240830), // Rule ID 12469 //
     /* 240793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 240796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famin_u),
     /* 240801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 240804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 240807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 240810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 240813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240817 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 1358:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3)  =>  (FAMIN_ZPZZ_S_UNDEF:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3)
     /* 240817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMIN_ZPZZ_S_UNDEF),
     /* 240820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 240822 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240824 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240826 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240828 */     GIR_RootConstrainSelectedInstOperands,
     /* 240829 */     // GIR_Coverage, 12469,
     /* 240829 */     GIR_EraseRootFromParent_Done,
     /* 240830 */   // Label 4832: @240830
     /* 240830 */   GIM_Try, /*On fail goto*//*Label 4833*/ GIMT_Encode4(240872), // Rule ID 12472 //
     /* 240835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 240838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famin_u),
     /* 240843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 240846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 240849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 240852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 240855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240859 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1358:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FAMIN_ZPZZ_D_UNDEF:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 240859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMIN_ZPZZ_D_UNDEF),
     /* 240862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 240864 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240866 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240868 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240870 */     GIR_RootConstrainSelectedInstOperands,
     /* 240871 */     // GIR_Coverage, 12472,
     /* 240871 */     GIR_EraseRootFromParent_Done,
     /* 240872 */   // Label 4833: @240872
     /* 240872 */   GIM_Try, /*On fail goto*//*Label 4834*/ GIMT_Encode4(241015), // Rule ID 5573 //
     /* 240877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 240880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_lane),
     /* 240885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 240888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 240891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 240894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 240898 */     // MIs[0] idx
     /* 240898 */     // No operand predicates
     /* 240898 */     // (intrinsic_wo_chain:{ *:[v16i8] } 768:{ *:[iPTR] }, v8i8:{ *:[v8i8] }:$Rn, v8i8:{ *:[v8i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_B:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rn, dsub:{ *:[i32] }), (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rm, dsub:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 240898 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 240901 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 240905 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 240910 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 240912 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /* 240915 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 240919 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 240924 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 240927 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/3, // Rm
     /* 240931 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /* 240934 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 240939 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 240944 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 240949 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 240952 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 240956 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 240961 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 240963 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 240966 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 240970 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 240975 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 240978 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 240982 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 240985 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 240990 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 240995 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 241000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_B),
     /* 241003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 241005 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 241008 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /* 241011 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 241013 */     GIR_RootConstrainSelectedInstOperands,
     /* 241014 */     // GIR_Coverage, 5573,
     /* 241014 */     GIR_EraseRootFromParent_Done,
     /* 241015 */   // Label 4834: @241015
     /* 241015 */   GIM_Try, /*On fail goto*//*Label 4835*/ GIMT_Encode4(241106), // Rule ID 5574 //
     /* 241020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 241023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_laneq),
     /* 241028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 241031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 241034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 241037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241041 */     // MIs[0] idx
     /* 241041 */     // No operand predicates
     /* 241041 */     // (intrinsic_wo_chain:{ *:[v16i8] } 769:{ *:[iPTR] }, v8i8:{ *:[v8i8] }:$Rn, v16i8:{ *:[v16i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_B:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 241041 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 241044 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 241048 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 241053 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 241055 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 241058 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 241062 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 241067 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 241070 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 241074 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 241077 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241082 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241087 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 241092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_B),
     /* 241095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 241097 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 241100 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 241102 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 241104 */     GIR_RootConstrainSelectedInstOperands,
     /* 241105 */     // GIR_Coverage, 5574,
     /* 241105 */     GIR_EraseRootFromParent_Done,
     /* 241106 */   // Label 4835: @241106
     /* 241106 */   GIM_Try, /*On fail goto*//*Label 4836*/ GIMT_Encode4(241197), // Rule ID 5575 //
     /* 241111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 241114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_lane),
     /* 241119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 241122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 241125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 241128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241132 */     // MIs[0] idx
     /* 241132 */     // No operand predicates
     /* 241132 */     // (intrinsic_wo_chain:{ *:[v16i8] } 768:{ *:[iPTR] }, v16i8:{ *:[v16i8] }:$Rn, v8i8:{ *:[v8i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_B:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rm, dsub:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 241132 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 241135 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 241139 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 241144 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 241146 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 241149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 241153 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 241158 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 241161 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // Rm
     /* 241165 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 241168 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241173 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241178 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 241183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_B),
     /* 241186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 241188 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 241190 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 241193 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 241195 */     GIR_RootConstrainSelectedInstOperands,
     /* 241196 */     // GIR_Coverage, 5575,
     /* 241196 */     GIR_EraseRootFromParent_Done,
     /* 241197 */   // Label 4836: @241197
     /* 241197 */   GIM_Try, /*On fail goto*//*Label 4837*/ GIMT_Encode4(241236), // Rule ID 5576 //
     /* 241202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 241205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_laneq),
     /* 241210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 241213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 241216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 241219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241223 */     // MIs[0] idx
     /* 241223 */     // No operand predicates
     /* 241223 */     // (intrinsic_wo_chain:{ *:[v16i8] } 769:{ *:[iPTR] }, v16i8:{ *:[v16i8] }:$Rn, v16i8:{ *:[v16i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_B:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 241223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_B),
     /* 241226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 241228 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 241230 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 241232 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 241234 */     GIR_RootConstrainSelectedInstOperands,
     /* 241235 */     // GIR_Coverage, 5576,
     /* 241235 */     GIR_EraseRootFromParent_Done,
     /* 241236 */   // Label 4837: @241236
     /* 241236 */   GIM_Try, /*On fail goto*//*Label 4838*/ GIMT_Encode4(241379), // Rule ID 5577 //
     /* 241241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 241244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_lane),
     /* 241249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 241252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 241255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 241258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241262 */     // MIs[0] idx
     /* 241262 */     // No operand predicates
     /* 241262 */     // (intrinsic_wo_chain:{ *:[v8i16] } 768:{ *:[iPTR] }, v4i16:{ *:[v4i16] }:$Rn, v8i8:{ *:[v8i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_H:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rm, dsub:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 241262 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 241265 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 241269 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 241274 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 241276 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /* 241279 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 241283 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 241288 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 241291 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/3, // Rm
     /* 241295 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /* 241298 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241303 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241308 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 241313 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 241316 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 241320 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 241325 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 241327 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 241330 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 241334 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 241339 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 241342 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 241346 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 241349 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241354 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241359 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 241364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_H),
     /* 241367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 241369 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 241372 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /* 241375 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 241377 */     GIR_RootConstrainSelectedInstOperands,
     /* 241378 */     // GIR_Coverage, 5577,
     /* 241378 */     GIR_EraseRootFromParent_Done,
     /* 241379 */   // Label 4838: @241379
     /* 241379 */   GIM_Try, /*On fail goto*//*Label 4839*/ GIMT_Encode4(241470), // Rule ID 5578 //
     /* 241384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 241387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_laneq),
     /* 241392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 241395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 241398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 241401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241405 */     // MIs[0] idx
     /* 241405 */     // No operand predicates
     /* 241405 */     // (intrinsic_wo_chain:{ *:[v8i16] } 769:{ *:[iPTR] }, v4i16:{ *:[v4i16] }:$Rn, v16i8:{ *:[v16i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_H:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 241405 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 241408 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 241412 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 241417 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 241419 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 241422 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 241426 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 241431 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 241434 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 241438 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 241441 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241446 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241451 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 241456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_H),
     /* 241459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 241461 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 241464 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 241466 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 241468 */     GIR_RootConstrainSelectedInstOperands,
     /* 241469 */     // GIR_Coverage, 5578,
     /* 241469 */     GIR_EraseRootFromParent_Done,
     /* 241470 */   // Label 4839: @241470
     /* 241470 */   GIM_Try, /*On fail goto*//*Label 4840*/ GIMT_Encode4(241561), // Rule ID 5579 //
     /* 241475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 241478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_lane),
     /* 241483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 241486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 241489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 241492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241496 */     // MIs[0] idx
     /* 241496 */     // No operand predicates
     /* 241496 */     // (intrinsic_wo_chain:{ *:[v8i16] } 768:{ *:[iPTR] }, v8i16:{ *:[v8i16] }:$Rn, v8i8:{ *:[v8i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_H:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rm, dsub:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 241496 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 241499 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 241503 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 241508 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 241510 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 241513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 241517 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 241522 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 241525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // Rm
     /* 241529 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 241532 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241537 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241542 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 241547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_H),
     /* 241550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 241552 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 241554 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 241557 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 241559 */     GIR_RootConstrainSelectedInstOperands,
     /* 241560 */     // GIR_Coverage, 5579,
     /* 241560 */     GIR_EraseRootFromParent_Done,
     /* 241561 */   // Label 4840: @241561
     /* 241561 */   GIM_Try, /*On fail goto*//*Label 4841*/ GIMT_Encode4(241600), // Rule ID 5580 //
     /* 241566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 241569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_laneq),
     /* 241574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 241577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 241580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 241583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241587 */     // MIs[0] idx
     /* 241587 */     // No operand predicates
     /* 241587 */     // (intrinsic_wo_chain:{ *:[v8i16] } 769:{ *:[iPTR] }, v8i16:{ *:[v8i16] }:$Rn, v16i8:{ *:[v16i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_H:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 241587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_H),
     /* 241590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 241592 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 241594 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 241596 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 241598 */     GIR_RootConstrainSelectedInstOperands,
     /* 241599 */     // GIR_Coverage, 5580,
     /* 241599 */     GIR_EraseRootFromParent_Done,
     /* 241600 */   // Label 4841: @241600
     /* 241600 */   GIM_Try, /*On fail goto*//*Label 4842*/ GIMT_Encode4(241743), // Rule ID 5581 //
     /* 241605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 241608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_lane),
     /* 241613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 241616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 241619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 241622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241626 */     // MIs[0] idx
     /* 241626 */     // No operand predicates
     /* 241626 */     // (intrinsic_wo_chain:{ *:[v8f16] } 768:{ *:[iPTR] }, v4f16:{ *:[v4f16] }:$Rn, v8i8:{ *:[v8i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_H:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4f16] }:$Rn, dsub:{ *:[i32] }), (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rm, dsub:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 241626 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 241629 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 241633 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 241638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 241640 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /* 241643 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 241647 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 241652 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 241655 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/3, // Rm
     /* 241659 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /* 241662 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241667 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241672 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 241677 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 241680 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 241684 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 241689 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 241691 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 241694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 241698 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 241703 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 241706 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 241710 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 241713 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241718 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241723 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 241728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_H),
     /* 241731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 241733 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 241736 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /* 241739 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 241741 */     GIR_RootConstrainSelectedInstOperands,
     /* 241742 */     // GIR_Coverage, 5581,
     /* 241742 */     GIR_EraseRootFromParent_Done,
     /* 241743 */   // Label 4842: @241743
     /* 241743 */   GIM_Try, /*On fail goto*//*Label 4843*/ GIMT_Encode4(241834), // Rule ID 5582 //
     /* 241748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 241751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_laneq),
     /* 241756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 241759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 241762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 241765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241769 */     // MIs[0] idx
     /* 241769 */     // No operand predicates
     /* 241769 */     // (intrinsic_wo_chain:{ *:[v8f16] } 769:{ *:[iPTR] }, v4f16:{ *:[v4f16] }:$Rn, v16i8:{ *:[v16i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_H:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4f16] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 241769 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 241772 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 241776 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 241781 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 241783 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 241786 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 241790 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 241795 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 241798 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 241802 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 241805 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241810 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241815 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 241820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_H),
     /* 241823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 241825 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 241828 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 241830 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 241832 */     GIR_RootConstrainSelectedInstOperands,
     /* 241833 */     // GIR_Coverage, 5582,
     /* 241833 */     GIR_EraseRootFromParent_Done,
     /* 241834 */   // Label 4843: @241834
     /* 241834 */   GIM_Try, /*On fail goto*//*Label 4844*/ GIMT_Encode4(241925), // Rule ID 5583 //
     /* 241839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 241842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_lane),
     /* 241847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 241850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 241853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 241856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241860 */     // MIs[0] idx
     /* 241860 */     // No operand predicates
     /* 241860 */     // (intrinsic_wo_chain:{ *:[v8f16] } 768:{ *:[iPTR] }, v8f16:{ *:[v8f16] }:$Rn, v8i8:{ *:[v8i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_H:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rm, dsub:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 241860 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 241863 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 241867 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 241872 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 241874 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 241877 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 241881 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 241886 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 241889 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // Rm
     /* 241893 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 241896 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241901 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241906 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 241911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_H),
     /* 241914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 241916 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 241918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 241921 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 241923 */     GIR_RootConstrainSelectedInstOperands,
     /* 241924 */     // GIR_Coverage, 5583,
     /* 241924 */     GIR_EraseRootFromParent_Done,
     /* 241925 */   // Label 4844: @241925
     /* 241925 */   GIM_Try, /*On fail goto*//*Label 4845*/ GIMT_Encode4(241964), // Rule ID 5584 //
     /* 241930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 241933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_laneq),
     /* 241938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 241941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 241944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 241947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241951 */     // MIs[0] idx
     /* 241951 */     // No operand predicates
     /* 241951 */     // (intrinsic_wo_chain:{ *:[v8f16] } 769:{ *:[iPTR] }, v8f16:{ *:[v8f16] }:$Rn, v16i8:{ *:[v16i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_H:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 241951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_H),
     /* 241954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 241956 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 241958 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 241960 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 241962 */     GIR_RootConstrainSelectedInstOperands,
     /* 241963 */     // GIR_Coverage, 5584,
     /* 241963 */     GIR_EraseRootFromParent_Done,
     /* 241964 */   // Label 4845: @241964
     /* 241964 */   GIM_Try, /*On fail goto*//*Label 4846*/ GIMT_Encode4(242003), // Rule ID 5585 //
     /* 241969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 241972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti4q_laneq),
     /* 241977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 241980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 241983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 241986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241990 */     // MIs[0] idx
     /* 241990 */     // No operand predicates
     /* 241990 */     // (intrinsic_wo_chain:{ *:[v16i8] } 772:{ *:[iPTR] }, v16i8:{ *:[v16i8] }:$Rn, v16i8:{ *:[v16i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT4_B:{ *:[v16i8] } VecListOne16b:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$idx)
     /* 241990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT4_B),
     /* 241993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 241995 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 241997 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 241999 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 242001 */     GIR_RootConstrainSelectedInstOperands,
     /* 242002 */     // GIR_Coverage, 5585,
     /* 242002 */     GIR_EraseRootFromParent_Done,
     /* 242003 */   // Label 4846: @242003
     /* 242003 */   GIM_Try, /*On fail goto*//*Label 4847*/ GIMT_Encode4(242094), // Rule ID 5586 //
     /* 242008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 242011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti4q_lane),
     /* 242016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 242019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 242022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 242025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242029 */     // MIs[0] idx
     /* 242029 */     // No operand predicates
     /* 242029 */     // (intrinsic_wo_chain:{ *:[v16i8] } 770:{ *:[iPTR] }, v16i8:{ *:[v16i8] }:$Rn, v8i8:{ *:[v8i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT4_B:{ *:[v16i8] } VecListOne16b:{ *:[v16i8] }:$Rn, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rm, dsub:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$idx)
     /* 242029 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 242032 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 242036 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 242041 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 242043 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 242046 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 242050 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 242055 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 242058 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // Rm
     /* 242062 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 242065 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242070 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242075 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 242080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT4_B),
     /* 242083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 242085 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 242087 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 242090 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 242092 */     GIR_RootConstrainSelectedInstOperands,
     /* 242093 */     // GIR_Coverage, 5586,
     /* 242093 */     GIR_EraseRootFromParent_Done,
     /* 242094 */   // Label 4847: @242094
     /* 242094 */   GIM_Reject,
     /* 242095 */ // Label 3971: @242095
     /* 242095 */ GIM_Try, /*On fail goto*//*Label 4848*/ GIMT_Encode4(249206),
     /* 242100 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/6,
     /* 242103 */   GIM_Try, /*On fail goto*//*Label 4849*/ GIMT_Encode4(242150), // Rule ID 2965 //
     /* 242108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 242111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mla_u),
     /* 242116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 242119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 242122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 242125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 242128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 242131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 242135 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1589:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i8:{ *:[nxv16i8] }:$Op4)  =>  (MLA_ZPZZZ_B_UNDEF:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[nxv16i8] }:$Op4)
     /* 242135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLA_ZPZZZ_B_UNDEF),
     /* 242138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 242140 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 242142 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 242144 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 242146 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 242148 */     GIR_RootConstrainSelectedInstOperands,
     /* 242149 */     // GIR_Coverage, 2965,
     /* 242149 */     GIR_EraseRootFromParent_Done,
     /* 242150 */   // Label 4849: @242150
     /* 242150 */   GIM_Try, /*On fail goto*//*Label 4850*/ GIMT_Encode4(242197), // Rule ID 2967 //
     /* 242155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 242158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mla_u),
     /* 242163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 242166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 242169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 242172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 242175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 242178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 242182 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1589:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i16:{ *:[nxv8i16] }:$Op4)  =>  (MLA_ZPZZZ_H_UNDEF:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, ?:{ *:[nxv8i16] }:$Op4)
     /* 242182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLA_ZPZZZ_H_UNDEF),
     /* 242185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 242187 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 242189 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 242191 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 242193 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 242195 */     GIR_RootConstrainSelectedInstOperands,
     /* 242196 */     // GIR_Coverage, 2967,
     /* 242196 */     GIR_EraseRootFromParent_Done,
     /* 242197 */   // Label 4850: @242197
     /* 242197 */   GIM_Try, /*On fail goto*//*Label 4851*/ GIMT_Encode4(242244), // Rule ID 2969 //
     /* 242202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 242205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mla_u),
     /* 242210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 242213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 242216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 242219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 242222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 242225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 242229 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1589:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i32:{ *:[nxv4i32] }:$Op4)  =>  (MLA_ZPZZZ_S_UNDEF:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, ?:{ *:[nxv4i32] }:$Op4)
     /* 242229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLA_ZPZZZ_S_UNDEF),
     /* 242232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 242234 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 242236 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 242238 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 242240 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 242242 */     GIR_RootConstrainSelectedInstOperands,
     /* 242243 */     // GIR_Coverage, 2969,
     /* 242243 */     GIR_EraseRootFromParent_Done,
     /* 242244 */   // Label 4851: @242244
     /* 242244 */   GIM_Try, /*On fail goto*//*Label 4852*/ GIMT_Encode4(242291), // Rule ID 2971 //
     /* 242249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 242252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mla_u),
     /* 242257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 242260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 242263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 242266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 242269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 242272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 242276 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1589:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i64:{ *:[nxv2i64] }:$Op4)  =>  (MLA_ZPZZZ_D_UNDEF:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3, ?:{ *:[nxv2i64] }:$Op4)
     /* 242276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLA_ZPZZZ_D_UNDEF),
     /* 242279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 242281 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 242283 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 242285 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 242287 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 242289 */     GIR_RootConstrainSelectedInstOperands,
     /* 242290 */     // GIR_Coverage, 2971,
     /* 242290 */     GIR_EraseRootFromParent_Done,
     /* 242291 */   // Label 4852: @242291
     /* 242291 */   GIM_Try, /*On fail goto*//*Label 4853*/ GIMT_Encode4(242338), // Rule ID 7531 //
     /* 242296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 242299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mls_u),
     /* 242304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 242307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 242310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 242313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 242316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 242319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 242323 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1592:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i8:{ *:[nxv16i8] }:$Op4)  =>  (MLS_ZPZZZ_B_UNDEF:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[nxv16i8] }:$Op4)
     /* 242323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLS_ZPZZZ_B_UNDEF),
     /* 242326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 242328 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 242330 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 242332 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 242334 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 242336 */     GIR_RootConstrainSelectedInstOperands,
     /* 242337 */     // GIR_Coverage, 7531,
     /* 242337 */     GIR_EraseRootFromParent_Done,
     /* 242338 */   // Label 4853: @242338
     /* 242338 */   GIM_Try, /*On fail goto*//*Label 4854*/ GIMT_Encode4(242385), // Rule ID 7533 //
     /* 242343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 242346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mls_u),
     /* 242351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 242354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 242357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 242360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 242363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 242366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 242370 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1592:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i16:{ *:[nxv8i16] }:$Op4)  =>  (MLS_ZPZZZ_H_UNDEF:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, ?:{ *:[nxv8i16] }:$Op4)
     /* 242370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLS_ZPZZZ_H_UNDEF),
     /* 242373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 242375 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 242377 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 242379 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 242381 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 242383 */     GIR_RootConstrainSelectedInstOperands,
     /* 242384 */     // GIR_Coverage, 7533,
     /* 242384 */     GIR_EraseRootFromParent_Done,
     /* 242385 */   // Label 4854: @242385
     /* 242385 */   GIM_Try, /*On fail goto*//*Label 4855*/ GIMT_Encode4(242432), // Rule ID 7535 //
     /* 242390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 242393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mls_u),
     /* 242398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 242401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 242404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 242407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 242410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 242413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 242417 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1592:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i32:{ *:[nxv4i32] }:$Op4)  =>  (MLS_ZPZZZ_S_UNDEF:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, ?:{ *:[nxv4i32] }:$Op4)
     /* 242417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLS_ZPZZZ_S_UNDEF),
     /* 242420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 242422 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 242424 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 242426 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 242428 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 242430 */     GIR_RootConstrainSelectedInstOperands,
     /* 242431 */     // GIR_Coverage, 7535,
     /* 242431 */     GIR_EraseRootFromParent_Done,
     /* 242432 */   // Label 4855: @242432
     /* 242432 */   GIM_Try, /*On fail goto*//*Label 4856*/ GIMT_Encode4(242479), // Rule ID 7537 //
     /* 242437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 242440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mls_u),
     /* 242445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 242448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 242451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 242454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 242457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 242460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 242464 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1592:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i64:{ *:[nxv2i64] }:$Op4)  =>  (MLS_ZPZZZ_D_UNDEF:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3, ?:{ *:[nxv2i64] }:$Op4)
     /* 242464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLS_ZPZZZ_D_UNDEF),
     /* 242467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 242469 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 242471 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 242473 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 242475 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 242477 */     GIR_RootConstrainSelectedInstOperands,
     /* 242478 */     // GIR_Coverage, 7537,
     /* 242478 */     GIR_EraseRootFromParent_Done,
     /* 242479 */   // Label 4856: @242479
     /* 242479 */   GIM_Try, /*On fail goto*//*Label 4857*/ GIMT_Encode4(242559), // Rule ID 5693 //
     /* 242484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcopy_lane),
     /* 242489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 242492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 242495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 242498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 242501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 242504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 242516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 242520 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 242524 */     // MIs[1] Operand 1
     /* 242524 */     // No operand predicates
     /* 242524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242528 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/5, // MIs[2]
     /* 242532 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 242536 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 242540 */     // MIs[2] Operand 1
     /* 242540 */     // No operand predicates
     /* 242540 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 242542 */     // (intrinsic_wo_chain:{ *:[v16i8] } 761:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Vd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx, V128:{ *:[v16i8] }:$Vs, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx2)  =>  (INSvi8lane:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx, V128:{ *:[v16i8] }:$Vs, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx2)
     /* 242542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi8lane),
     /* 242545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 242547 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 242549 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 242552 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vs
     /* 242554 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx2
     /* 242557 */     GIR_RootConstrainSelectedInstOperands,
     /* 242558 */     // GIR_Coverage, 5693,
     /* 242558 */     GIR_EraseRootFromParent_Done,
     /* 242559 */   // Label 4857: @242559
     /* 242559 */   GIM_Try, /*On fail goto*//*Label 4858*/ GIMT_Encode4(242639), // Rule ID 5694 //
     /* 242564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcopy_lane),
     /* 242569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 242572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 242575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 242578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 242581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 242584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 242596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 242600 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 242604 */     // MIs[1] Operand 1
     /* 242604 */     // No operand predicates
     /* 242604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242608 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/5, // MIs[2]
     /* 242612 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 242616 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 242620 */     // MIs[2] Operand 1
     /* 242620 */     // No operand predicates
     /* 242620 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 242622 */     // (intrinsic_wo_chain:{ *:[v8i16] } 761:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Vd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx, V128:{ *:[v8i16] }:$Vs, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx2)  =>  (INSvi16lane:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx, V128:{ *:[v8i16] }:$Vs, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx2)
     /* 242622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 242625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 242627 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 242629 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 242632 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vs
     /* 242634 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx2
     /* 242637 */     GIR_RootConstrainSelectedInstOperands,
     /* 242638 */     // GIR_Coverage, 5694,
     /* 242638 */     GIR_EraseRootFromParent_Done,
     /* 242639 */   // Label 4858: @242639
     /* 242639 */   GIM_Try, /*On fail goto*//*Label 4859*/ GIMT_Encode4(242719), // Rule ID 5695 //
     /* 242644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcopy_lane),
     /* 242649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 242652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 242655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 242658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 242661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 242664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 242676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 242680 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 242684 */     // MIs[1] Operand 1
     /* 242684 */     // No operand predicates
     /* 242684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242688 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/5, // MIs[2]
     /* 242692 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 242696 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 242700 */     // MIs[2] Operand 1
     /* 242700 */     // No operand predicates
     /* 242700 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 242702 */     // (intrinsic_wo_chain:{ *:[v4i32] } 761:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, V128:{ *:[v4i32] }:$Vs, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx2)  =>  (INSvi32lane:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, V128:{ *:[v4i32] }:$Vs, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx2)
     /* 242702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 242705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 242707 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 242709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 242712 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vs
     /* 242714 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx2
     /* 242717 */     GIR_RootConstrainSelectedInstOperands,
     /* 242718 */     // GIR_Coverage, 5695,
     /* 242718 */     GIR_EraseRootFromParent_Done,
     /* 242719 */   // Label 4859: @242719
     /* 242719 */   GIM_Try, /*On fail goto*//*Label 4860*/ GIMT_Encode4(242799), // Rule ID 5696 //
     /* 242724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcopy_lane),
     /* 242729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 242732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 242735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 242738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 242741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 242744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 242756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 242760 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 242764 */     // MIs[1] Operand 1
     /* 242764 */     // No operand predicates
     /* 242764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242768 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/5, // MIs[2]
     /* 242772 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 242776 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 242780 */     // MIs[2] Operand 1
     /* 242780 */     // No operand predicates
     /* 242780 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 242782 */     // (intrinsic_wo_chain:{ *:[v2i64] } 761:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx, V128:{ *:[v2i64] }:$Vs, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx2)  =>  (INSvi64lane:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx, V128:{ *:[v2i64] }:$Vs, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx2)
     /* 242782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 242785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 242787 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 242789 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 242792 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vs
     /* 242794 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx2
     /* 242797 */     GIR_RootConstrainSelectedInstOperands,
     /* 242798 */     // GIR_Coverage, 5696,
     /* 242798 */     GIR_EraseRootFromParent_Done,
     /* 242799 */   // Label 4860: @242799
     /* 242799 */   GIM_Try, /*On fail goto*//*Label 4861*/ GIMT_Encode4(242863), // Rule ID 3839 //
     /* 242804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /* 242807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sm3tt1a),
     /* 242812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 242815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 242818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 242821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 242824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242840 */     // MIs[0] imm
     /* 242840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 242843 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS_timm),
     /* 242848 */     // (intrinsic_wo_chain:{ *:[v4i32] } 537:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, (timm:{ *:[i64] })<<P:Predicate_VectorIndexS_timm>>:$imm)  =>  (SM3TT1A:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, (timm:{ *:[i64] })<<P:Predicate_VectorIndexS_timm>>:$imm)
     /* 242848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SM3TT1A),
     /* 242851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vdst]
     /* 242853 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 242855 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 242857 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 242859 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm
     /* 242861 */     GIR_RootConstrainSelectedInstOperands,
     /* 242862 */     // GIR_Coverage, 3839,
     /* 242862 */     GIR_EraseRootFromParent_Done,
     /* 242863 */   // Label 4861: @242863
     /* 242863 */   GIM_Try, /*On fail goto*//*Label 4862*/ GIMT_Encode4(242927), // Rule ID 3840 //
     /* 242868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /* 242871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sm3tt1b),
     /* 242876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 242879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 242882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 242885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 242888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242904 */     // MIs[0] imm
     /* 242904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 242907 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS_timm),
     /* 242912 */     // (intrinsic_wo_chain:{ *:[v4i32] } 538:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, (timm:{ *:[i64] })<<P:Predicate_VectorIndexS_timm>>:$imm)  =>  (SM3TT1B:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, (timm:{ *:[i64] })<<P:Predicate_VectorIndexS_timm>>:$imm)
     /* 242912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SM3TT1B),
     /* 242915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vdst]
     /* 242917 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 242919 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 242921 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 242923 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm
     /* 242925 */     GIR_RootConstrainSelectedInstOperands,
     /* 242926 */     // GIR_Coverage, 3840,
     /* 242926 */     GIR_EraseRootFromParent_Done,
     /* 242927 */   // Label 4862: @242927
     /* 242927 */   GIM_Try, /*On fail goto*//*Label 4863*/ GIMT_Encode4(242991), // Rule ID 3841 //
     /* 242932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /* 242935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sm3tt2a),
     /* 242940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 242943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 242946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 242949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 242952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242968 */     // MIs[0] imm
     /* 242968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 242971 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS_timm),
     /* 242976 */     // (intrinsic_wo_chain:{ *:[v4i32] } 539:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, (timm:{ *:[i64] })<<P:Predicate_VectorIndexS_timm>>:$imm)  =>  (SM3TT2A:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, (timm:{ *:[i64] })<<P:Predicate_VectorIndexS_timm>>:$imm)
     /* 242976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SM3TT2A),
     /* 242979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vdst]
     /* 242981 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 242983 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 242985 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 242987 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm
     /* 242989 */     GIR_RootConstrainSelectedInstOperands,
     /* 242990 */     // GIR_Coverage, 3841,
     /* 242990 */     GIR_EraseRootFromParent_Done,
     /* 242991 */   // Label 4863: @242991
     /* 242991 */   GIM_Try, /*On fail goto*//*Label 4864*/ GIMT_Encode4(243055), // Rule ID 3842 //
     /* 242996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /* 242999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sm3tt2b),
     /* 243004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 243007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 243010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 243013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 243016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243032 */     // MIs[0] imm
     /* 243032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 243035 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS_timm),
     /* 243040 */     // (intrinsic_wo_chain:{ *:[v4i32] } 540:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, (timm:{ *:[i64] })<<P:Predicate_VectorIndexS_timm>>:$imm)  =>  (SM3TT2B:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, (timm:{ *:[i64] })<<P:Predicate_VectorIndexS_timm>>:$imm)
     /* 243040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SM3TT2B),
     /* 243043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vdst]
     /* 243045 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 243047 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 243049 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 243051 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm
     /* 243053 */     GIR_RootConstrainSelectedInstOperands,
     /* 243054 */     // GIR_Coverage, 3842,
     /* 243054 */     GIR_EraseRootFromParent_Done,
     /* 243055 */   // Label 4864: @243055
     /* 243055 */   GIM_Try, /*On fail goto*//*Label 4865*/ GIMT_Encode4(243107), // Rule ID 2850 //
     /* 243060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 243063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmla_lane),
     /* 243068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 243071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 243074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 243077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 243080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 243084 */     // MIs[0] idx
     /* 243084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 243087 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 243092 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1448:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$idx)  =>  (FMLA_ZZZI_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$idx)
     /* 243092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLA_ZZZI_H),
     /* 243095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 243097 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 243099 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 243101 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 243103 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 243105 */     GIR_RootConstrainSelectedInstOperands,
     /* 243106 */     // GIR_Coverage, 2850,
     /* 243106 */     GIR_EraseRootFromParent_Done,
     /* 243107 */   // Label 4865: @243107
     /* 243107 */   GIM_Try, /*On fail goto*//*Label 4866*/ GIMT_Encode4(243159), // Rule ID 2851 //
     /* 243112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 243115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmla_lane),
     /* 243120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 243123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 243126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 243129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 243132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 243136 */     // MIs[0] idx
     /* 243136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 243139 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 243144 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1448:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)  =>  (FMLA_ZZZI_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 243144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLA_ZZZI_S),
     /* 243147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 243149 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 243151 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 243153 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 243155 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 243157 */     GIR_RootConstrainSelectedInstOperands,
     /* 243158 */     // GIR_Coverage, 2851,
     /* 243158 */     GIR_EraseRootFromParent_Done,
     /* 243159 */   // Label 4866: @243159
     /* 243159 */   GIM_Try, /*On fail goto*//*Label 4867*/ GIMT_Encode4(243211), // Rule ID 2852 //
     /* 243164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 243167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmla_lane),
     /* 243172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 243175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 243178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 243181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 243184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 243188 */     // MIs[0] idx
     /* 243188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 243191 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 243196 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1448:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$idx)  =>  (FMLA_ZZZI_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$idx)
     /* 243196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLA_ZZZI_D),
     /* 243199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 243201 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 243203 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 243205 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 243207 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 243209 */     GIR_RootConstrainSelectedInstOperands,
     /* 243210 */     // GIR_Coverage, 2852,
     /* 243210 */     GIR_EraseRootFromParent_Done,
     /* 243211 */   // Label 4867: @243211
     /* 243211 */   GIM_Try, /*On fail goto*//*Label 4868*/ GIMT_Encode4(243263), // Rule ID 2980 //
     /* 243216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 243219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mla_lane),
     /* 243224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 243227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 243230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 243233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 243236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 243240 */     // MIs[0] Op4
     /* 243240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 243243 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 243248 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1588:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (MLA_ZZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 243248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLA_ZZZI_H),
     /* 243251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 243253 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 243255 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 243257 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 243259 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 243261 */     GIR_RootConstrainSelectedInstOperands,
     /* 243262 */     // GIR_Coverage, 2980,
     /* 243262 */     GIR_EraseRootFromParent_Done,
     /* 243263 */   // Label 4868: @243263
     /* 243263 */   GIM_Try, /*On fail goto*//*Label 4869*/ GIMT_Encode4(243315), // Rule ID 2981 //
     /* 243268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 243271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mla_lane),
     /* 243276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 243279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 243282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 243285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 243288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 243292 */     // MIs[0] Op4
     /* 243292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 243295 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 243300 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1588:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (MLA_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 243300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLA_ZZZI_S),
     /* 243303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 243305 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 243307 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 243309 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 243311 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 243313 */     GIR_RootConstrainSelectedInstOperands,
     /* 243314 */     // GIR_Coverage, 2981,
     /* 243314 */     GIR_EraseRootFromParent_Done,
     /* 243315 */   // Label 4869: @243315
     /* 243315 */   GIM_Try, /*On fail goto*//*Label 4870*/ GIMT_Encode4(243367), // Rule ID 2982 //
     /* 243320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 243323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mla_lane),
     /* 243328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 243331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 243334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 243337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 243340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 243344 */     // MIs[0] Op4
     /* 243344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 243347 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 243352 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1588:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)  =>  (MLA_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)
     /* 243352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLA_ZZZI_D),
     /* 243355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 243357 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 243359 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 243361 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 243363 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 243365 */     GIR_RootConstrainSelectedInstOperands,
     /* 243366 */     // GIR_Coverage, 2982,
     /* 243366 */     GIR_EraseRootFromParent_Done,
     /* 243367 */   // Label 4870: @243367
     /* 243367 */   GIM_Try, /*On fail goto*//*Label 4871*/ GIMT_Encode4(243419), // Rule ID 2983 //
     /* 243372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 243375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlalb_lane),
     /* 243380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 243383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 243386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 243389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 243392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 243396 */     // MIs[0] Op4
     /* 243396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 243399 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 243404 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1730:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (SMLALB_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 243404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALB_ZZZI_S),
     /* 243407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 243409 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 243411 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 243413 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 243415 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 243417 */     GIR_RootConstrainSelectedInstOperands,
     /* 243418 */     // GIR_Coverage, 2983,
     /* 243418 */     GIR_EraseRootFromParent_Done,
     /* 243419 */   // Label 4871: @243419
     /* 243419 */   GIM_Try, /*On fail goto*//*Label 4872*/ GIMT_Encode4(243471), // Rule ID 2984 //
     /* 243424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 243427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlalb_lane),
     /* 243432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 243435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 243438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 243441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 243444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 243448 */     // MIs[0] Op4
     /* 243448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 243451 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 243456 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1730:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SMLALB_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 243456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALB_ZZZI_D),
     /* 243459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 243461 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 243463 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 243465 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 243467 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 243469 */     GIR_RootConstrainSelectedInstOperands,
     /* 243470 */     // GIR_Coverage, 2984,
     /* 243470 */     GIR_EraseRootFromParent_Done,
     /* 243471 */   // Label 4872: @243471
     /* 243471 */   GIM_Try, /*On fail goto*//*Label 4873*/ GIMT_Encode4(243523), // Rule ID 2987 //
     /* 243476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 243479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sdot_lane),
     /* 243484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 243487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 243490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 243493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 243496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 243500 */     // MIs[0] Op4
     /* 243500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 243503 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 243508 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1696:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SDOT_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 243508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDOT_ZZZI_S),
     /* 243511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 243513 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 243515 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 243517 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 243519 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 243521 */     GIR_RootConstrainSelectedInstOperands,
     /* 243522 */     // GIR_Coverage, 2987,
     /* 243522 */     GIR_EraseRootFromParent_Done,
     /* 243523 */   // Label 4873: @243523
     /* 243523 */   GIM_Try, /*On fail goto*//*Label 4874*/ GIMT_Encode4(243575), // Rule ID 2988 //
     /* 243528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 243531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sdot_lane),
     /* 243536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 243539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 243542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 243545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 243548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 243552 */     // MIs[0] Op4
     /* 243552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 243555 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 243560 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1696:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)  =>  (SDOT_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)
     /* 243560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDOT_ZZZI_D),
     /* 243563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 243565 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 243567 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 243569 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 243571 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 243573 */     GIR_RootConstrainSelectedInstOperands,
     /* 243574 */     // GIR_Coverage, 2988,
     /* 243574 */     GIR_EraseRootFromParent_Done,
     /* 243575 */   // Label 4874: @243575
     /* 243575 */   GIM_Try, /*On fail goto*//*Label 4875*/ GIMT_Encode4(243627), // Rule ID 3462 //
     /* 243580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulInt8_HasSVE_or_SME),
     /* 243583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usdot_lane),
     /* 243588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 243591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 243594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 243597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 243600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 243604 */     // MIs[0] Op4
     /* 243604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 243607 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 243612 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2043:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (USDOT_ZZZI:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 243612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USDOT_ZZZI),
     /* 243615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 243617 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 243619 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 243621 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 243623 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 243625 */     GIR_RootConstrainSelectedInstOperands,
     /* 243626 */     // GIR_Coverage, 3462,
     /* 243626 */     GIR_EraseRootFromParent_Done,
     /* 243627 */   // Label 4875: @243627
     /* 243627 */   GIM_Try, /*On fail goto*//*Label 4876*/ GIMT_Encode4(243679), // Rule ID 3506 //
     /* 243632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2),
     /* 243635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sdot_lane_x2),
     /* 243640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 243643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 243646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 243649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 243652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 243656 */     // MIs[0] Op4
     /* 243656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 243659 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 243664 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1697:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SDOT_ZZZI_HtoS:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 243664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDOT_ZZZI_HtoS),
     /* 243667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 243669 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 243671 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 243673 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 243675 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 243677 */     GIR_RootConstrainSelectedInstOperands,
     /* 243678 */     // GIR_Coverage, 3506,
     /* 243678 */     GIR_EraseRootFromParent_Done,
     /* 243679 */   // Label 4876: @243679
     /* 243679 */   GIM_Try, /*On fail goto*//*Label 4877*/ GIMT_Encode4(243731), // Rule ID 7601 //
     /* 243684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 243687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_udot_lane),
     /* 243692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 243695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 243698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 243701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 243704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 243708 */     // MIs[0] Op4
     /* 243708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 243711 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 243716 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1943:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (UDOT_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 243716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDOT_ZZZI_S),
     /* 243719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 243721 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 243723 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 243725 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 243727 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 243729 */     GIR_RootConstrainSelectedInstOperands,
     /* 243730 */     // GIR_Coverage, 7601,
     /* 243730 */     GIR_EraseRootFromParent_Done,
     /* 243731 */   // Label 4877: @243731
     /* 243731 */   GIM_Try, /*On fail goto*//*Label 4878*/ GIMT_Encode4(243783), // Rule ID 7602 //
     /* 243736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 243739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_udot_lane),
     /* 243744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 243747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 243750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 243753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 243756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 243760 */     // MIs[0] Op4
     /* 243760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 243763 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 243768 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1943:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)  =>  (UDOT_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)
     /* 243768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDOT_ZZZI_D),
     /* 243771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 243773 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 243775 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 243777 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 243779 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 243781 */     GIR_RootConstrainSelectedInstOperands,
     /* 243782 */     // GIR_Coverage, 7602,
     /* 243782 */     GIR_EraseRootFromParent_Done,
     /* 243783 */   // Label 4878: @243783
     /* 243783 */   GIM_Try, /*On fail goto*//*Label 4879*/ GIMT_Encode4(243835), // Rule ID 8242 //
     /* 243788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 243791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls_lane),
     /* 243796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 243799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 243802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 243805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 243808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 243812 */     // MIs[0] idx
     /* 243812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 243815 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 243820 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1455:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$idx)  =>  (FMLS_ZZZI_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$idx)
     /* 243820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZZZI_H),
     /* 243823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 243825 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 243827 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 243829 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 243831 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 243833 */     GIR_RootConstrainSelectedInstOperands,
     /* 243834 */     // GIR_Coverage, 8242,
     /* 243834 */     GIR_EraseRootFromParent_Done,
     /* 243835 */   // Label 4879: @243835
     /* 243835 */   GIM_Try, /*On fail goto*//*Label 4880*/ GIMT_Encode4(243887), // Rule ID 8243 //
     /* 243840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 243843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls_lane),
     /* 243848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 243851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 243854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 243857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 243860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 243864 */     // MIs[0] idx
     /* 243864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 243867 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 243872 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1455:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)  =>  (FMLS_ZZZI_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 243872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZZZI_S),
     /* 243875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 243877 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 243879 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 243881 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 243883 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 243885 */     GIR_RootConstrainSelectedInstOperands,
     /* 243886 */     // GIR_Coverage, 8243,
     /* 243886 */     GIR_EraseRootFromParent_Done,
     /* 243887 */   // Label 4880: @243887
     /* 243887 */   GIM_Try, /*On fail goto*//*Label 4881*/ GIMT_Encode4(243939), // Rule ID 8244 //
     /* 243892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 243895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls_lane),
     /* 243900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 243903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 243906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 243909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 243912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 243916 */     // MIs[0] idx
     /* 243916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 243919 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 243924 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1455:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$idx)  =>  (FMLS_ZZZI_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$idx)
     /* 243924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZZZI_D),
     /* 243927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 243929 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 243931 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 243933 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 243935 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 243937 */     GIR_RootConstrainSelectedInstOperands,
     /* 243938 */     // GIR_Coverage, 8244,
     /* 243938 */     GIR_EraseRootFromParent_Done,
     /* 243939 */   // Label 4881: @243939
     /* 243939 */   GIM_Try, /*On fail goto*//*Label 4882*/ GIMT_Encode4(243991), // Rule ID 11188 //
     /* 243944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulInt8_HasSVE_or_SME),
     /* 243947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sudot_lane),
     /* 243952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 243955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 243958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 243961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 243964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 243968 */     // MIs[0] Op4
     /* 243968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 243971 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 243976 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1892:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SUDOT_ZZZI:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 243976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUDOT_ZZZI),
     /* 243979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 243981 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 243983 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 243985 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 243987 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 243989 */     GIR_RootConstrainSelectedInstOperands,
     /* 243990 */     // GIR_Coverage, 11188,
     /* 243990 */     GIR_EraseRootFromParent_Done,
     /* 243991 */   // Label 4882: @243991
     /* 243991 */   GIM_Try, /*On fail goto*//*Label 4883*/ GIMT_Encode4(244043), // Rule ID 11235 //
     /* 243996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 243999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mls_lane),
     /* 244004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 244007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 244010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 244013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 244016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244020 */     // MIs[0] Op4
     /* 244020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244023 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 244028 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1591:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (MLS_ZZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 244028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLS_ZZZI_H),
     /* 244031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244033 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244035 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244037 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244039 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244041 */     GIR_RootConstrainSelectedInstOperands,
     /* 244042 */     // GIR_Coverage, 11235,
     /* 244042 */     GIR_EraseRootFromParent_Done,
     /* 244043 */   // Label 4883: @244043
     /* 244043 */   GIM_Try, /*On fail goto*//*Label 4884*/ GIMT_Encode4(244095), // Rule ID 11236 //
     /* 244048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 244051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mls_lane),
     /* 244056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 244059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 244062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 244065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 244068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244072 */     // MIs[0] Op4
     /* 244072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244075 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 244080 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1591:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (MLS_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 244080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLS_ZZZI_S),
     /* 244083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244085 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244087 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244089 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244091 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244093 */     GIR_RootConstrainSelectedInstOperands,
     /* 244094 */     // GIR_Coverage, 11236,
     /* 244094 */     GIR_EraseRootFromParent_Done,
     /* 244095 */   // Label 4884: @244095
     /* 244095 */   GIM_Try, /*On fail goto*//*Label 4885*/ GIMT_Encode4(244147), // Rule ID 11237 //
     /* 244100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 244103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mls_lane),
     /* 244108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 244111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 244114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 244117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 244120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244124 */     // MIs[0] Op4
     /* 244124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244127 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 244132 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1591:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)  =>  (MLS_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)
     /* 244132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLS_ZZZI_D),
     /* 244135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244137 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244139 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244141 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244143 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244145 */     GIR_RootConstrainSelectedInstOperands,
     /* 244146 */     // GIR_Coverage, 11237,
     /* 244146 */     GIR_EraseRootFromParent_Done,
     /* 244147 */   // Label 4885: @244147
     /* 244147 */   GIM_Try, /*On fail goto*//*Label 4886*/ GIMT_Encode4(244199), // Rule ID 11238 //
     /* 244152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 244155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlah_lane),
     /* 244160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 244163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 244166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 244169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 244172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244176 */     // MIs[0] Op4
     /* 244176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244179 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 244184 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1809:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (SQRDMLAH_ZZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 244184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAH_ZZZI_H),
     /* 244187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244189 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244191 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244193 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244195 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244197 */     GIR_RootConstrainSelectedInstOperands,
     /* 244198 */     // GIR_Coverage, 11238,
     /* 244198 */     GIR_EraseRootFromParent_Done,
     /* 244199 */   // Label 4886: @244199
     /* 244199 */   GIM_Try, /*On fail goto*//*Label 4887*/ GIMT_Encode4(244251), // Rule ID 11239 //
     /* 244204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 244207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlah_lane),
     /* 244212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 244215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 244218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 244221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 244224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244228 */     // MIs[0] Op4
     /* 244228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244231 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 244236 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1809:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SQRDMLAH_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 244236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAH_ZZZI_S),
     /* 244239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244241 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244243 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244245 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244247 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244249 */     GIR_RootConstrainSelectedInstOperands,
     /* 244250 */     // GIR_Coverage, 11239,
     /* 244250 */     GIR_EraseRootFromParent_Done,
     /* 244251 */   // Label 4887: @244251
     /* 244251 */   GIM_Try, /*On fail goto*//*Label 4888*/ GIMT_Encode4(244303), // Rule ID 11240 //
     /* 244256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 244259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlah_lane),
     /* 244264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 244267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 244270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 244273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 244276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244280 */     // MIs[0] Op4
     /* 244280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244283 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 244288 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1809:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)  =>  (SQRDMLAH_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)
     /* 244288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAH_ZZZI_D),
     /* 244291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244293 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244295 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244297 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244299 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244301 */     GIR_RootConstrainSelectedInstOperands,
     /* 244302 */     // GIR_Coverage, 11240,
     /* 244302 */     GIR_EraseRootFromParent_Done,
     /* 244303 */   // Label 4888: @244303
     /* 244303 */   GIM_Try, /*On fail goto*//*Label 4889*/ GIMT_Encode4(244355), // Rule ID 11241 //
     /* 244308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 244311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlsh_lane),
     /* 244316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 244319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 244322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 244325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 244328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244332 */     // MIs[0] Op4
     /* 244332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244335 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 244340 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1811:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (SQRDMLSH_ZZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 244340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSH_ZZZI_H),
     /* 244343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244345 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244347 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244349 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244351 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244353 */     GIR_RootConstrainSelectedInstOperands,
     /* 244354 */     // GIR_Coverage, 11241,
     /* 244354 */     GIR_EraseRootFromParent_Done,
     /* 244355 */   // Label 4889: @244355
     /* 244355 */   GIM_Try, /*On fail goto*//*Label 4890*/ GIMT_Encode4(244407), // Rule ID 11242 //
     /* 244360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 244363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlsh_lane),
     /* 244368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 244371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 244374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 244377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 244380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244384 */     // MIs[0] Op4
     /* 244384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244387 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 244392 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1811:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SQRDMLSH_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 244392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSH_ZZZI_S),
     /* 244395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244397 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244399 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244401 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244403 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244405 */     GIR_RootConstrainSelectedInstOperands,
     /* 244406 */     // GIR_Coverage, 11242,
     /* 244406 */     GIR_EraseRootFromParent_Done,
     /* 244407 */   // Label 4890: @244407
     /* 244407 */   GIM_Try, /*On fail goto*//*Label 4891*/ GIMT_Encode4(244459), // Rule ID 11243 //
     /* 244412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 244415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlsh_lane),
     /* 244420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 244423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 244426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 244429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 244432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244436 */     // MIs[0] Op4
     /* 244436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244439 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 244444 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1811:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)  =>  (SQRDMLSH_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)
     /* 244444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSH_ZZZI_D),
     /* 244447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244449 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244451 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244453 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244455 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244457 */     GIR_RootConstrainSelectedInstOperands,
     /* 244458 */     // GIR_Coverage, 11243,
     /* 244458 */     GIR_EraseRootFromParent_Done,
     /* 244459 */   // Label 4891: @244459
     /* 244459 */   GIM_Try, /*On fail goto*//*Label 4892*/ GIMT_Encode4(244511), // Rule ID 11286 //
     /* 244464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 244467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlalt_lane),
     /* 244472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 244475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 244478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 244481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 244484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244488 */     // MIs[0] Op4
     /* 244488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244491 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 244496 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1732:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (SMLALT_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 244496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALT_ZZZI_S),
     /* 244499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244501 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244503 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244505 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244507 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244509 */     GIR_RootConstrainSelectedInstOperands,
     /* 244510 */     // GIR_Coverage, 11286,
     /* 244510 */     GIR_EraseRootFromParent_Done,
     /* 244511 */   // Label 4892: @244511
     /* 244511 */   GIM_Try, /*On fail goto*//*Label 4893*/ GIMT_Encode4(244563), // Rule ID 11287 //
     /* 244516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 244519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlalt_lane),
     /* 244524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 244527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 244530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 244533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 244536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244540 */     // MIs[0] Op4
     /* 244540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244543 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 244548 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1732:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SMLALT_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 244548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALT_ZZZI_D),
     /* 244551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244553 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244555 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244557 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244559 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244561 */     GIR_RootConstrainSelectedInstOperands,
     /* 244562 */     // GIR_Coverage, 11287,
     /* 244562 */     GIR_EraseRootFromParent_Done,
     /* 244563 */   // Label 4893: @244563
     /* 244563 */   GIM_Try, /*On fail goto*//*Label 4894*/ GIMT_Encode4(244615), // Rule ID 11288 //
     /* 244568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 244571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlalb_lane),
     /* 244576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 244579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 244582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 244585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 244588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244592 */     // MIs[0] Op4
     /* 244592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244595 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 244600 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1968:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (UMLALB_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 244600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALB_ZZZI_S),
     /* 244603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244605 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244607 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244609 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244611 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244613 */     GIR_RootConstrainSelectedInstOperands,
     /* 244614 */     // GIR_Coverage, 11288,
     /* 244614 */     GIR_EraseRootFromParent_Done,
     /* 244615 */   // Label 4894: @244615
     /* 244615 */   GIM_Try, /*On fail goto*//*Label 4895*/ GIMT_Encode4(244667), // Rule ID 11289 //
     /* 244620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 244623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlalb_lane),
     /* 244628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 244631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 244634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 244637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 244640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244644 */     // MIs[0] Op4
     /* 244644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244647 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 244652 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1968:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (UMLALB_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 244652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALB_ZZZI_D),
     /* 244655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244657 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244659 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244661 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244663 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244665 */     GIR_RootConstrainSelectedInstOperands,
     /* 244666 */     // GIR_Coverage, 11289,
     /* 244666 */     GIR_EraseRootFromParent_Done,
     /* 244667 */   // Label 4895: @244667
     /* 244667 */   GIM_Try, /*On fail goto*//*Label 4896*/ GIMT_Encode4(244719), // Rule ID 11290 //
     /* 244672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 244675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlalt_lane),
     /* 244680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 244683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 244686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 244689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 244692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244696 */     // MIs[0] Op4
     /* 244696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244699 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 244704 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1970:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (UMLALT_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 244704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALT_ZZZI_S),
     /* 244707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244709 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244711 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244713 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244715 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244717 */     GIR_RootConstrainSelectedInstOperands,
     /* 244718 */     // GIR_Coverage, 11290,
     /* 244718 */     GIR_EraseRootFromParent_Done,
     /* 244719 */   // Label 4896: @244719
     /* 244719 */   GIM_Try, /*On fail goto*//*Label 4897*/ GIMT_Encode4(244771), // Rule ID 11291 //
     /* 244724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 244727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlalt_lane),
     /* 244732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 244735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 244738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 244741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 244744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244748 */     // MIs[0] Op4
     /* 244748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244751 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 244756 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1970:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (UMLALT_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 244756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALT_ZZZI_D),
     /* 244759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244761 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244763 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244765 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244767 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244769 */     GIR_RootConstrainSelectedInstOperands,
     /* 244770 */     // GIR_Coverage, 11291,
     /* 244770 */     GIR_EraseRootFromParent_Done,
     /* 244771 */   // Label 4897: @244771
     /* 244771 */   GIM_Try, /*On fail goto*//*Label 4898*/ GIMT_Encode4(244823), // Rule ID 11292 //
     /* 244776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 244779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlslb_lane),
     /* 244784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 244787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 244790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 244793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 244796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244800 */     // MIs[0] Op4
     /* 244800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244803 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 244808 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1734:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (SMLSLB_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 244808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLB_ZZZI_S),
     /* 244811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244813 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244815 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244817 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244819 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244821 */     GIR_RootConstrainSelectedInstOperands,
     /* 244822 */     // GIR_Coverage, 11292,
     /* 244822 */     GIR_EraseRootFromParent_Done,
     /* 244823 */   // Label 4898: @244823
     /* 244823 */   GIM_Try, /*On fail goto*//*Label 4899*/ GIMT_Encode4(244875), // Rule ID 11293 //
     /* 244828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 244831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlslb_lane),
     /* 244836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 244839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 244842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 244845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 244848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244852 */     // MIs[0] Op4
     /* 244852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244855 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 244860 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1734:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SMLSLB_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 244860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLB_ZZZI_D),
     /* 244863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244865 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244867 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244869 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244871 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244873 */     GIR_RootConstrainSelectedInstOperands,
     /* 244874 */     // GIR_Coverage, 11293,
     /* 244874 */     GIR_EraseRootFromParent_Done,
     /* 244875 */   // Label 4899: @244875
     /* 244875 */   GIM_Try, /*On fail goto*//*Label 4900*/ GIMT_Encode4(244927), // Rule ID 11294 //
     /* 244880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 244883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlslt_lane),
     /* 244888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 244891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 244894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 244897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 244900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244904 */     // MIs[0] Op4
     /* 244904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244907 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 244912 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1736:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (SMLSLT_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 244912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLT_ZZZI_S),
     /* 244915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244917 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244919 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244921 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244923 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244925 */     GIR_RootConstrainSelectedInstOperands,
     /* 244926 */     // GIR_Coverage, 11294,
     /* 244926 */     GIR_EraseRootFromParent_Done,
     /* 244927 */   // Label 4900: @244927
     /* 244927 */   GIM_Try, /*On fail goto*//*Label 4901*/ GIMT_Encode4(244979), // Rule ID 11295 //
     /* 244932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 244935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlslt_lane),
     /* 244940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 244943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 244946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 244949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 244952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244956 */     // MIs[0] Op4
     /* 244956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244959 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 244964 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1736:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SMLSLT_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 244964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLT_ZZZI_D),
     /* 244967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244969 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244971 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244973 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244975 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244977 */     GIR_RootConstrainSelectedInstOperands,
     /* 244978 */     // GIR_Coverage, 11295,
     /* 244978 */     GIR_EraseRootFromParent_Done,
     /* 244979 */   // Label 4901: @244979
     /* 244979 */   GIM_Try, /*On fail goto*//*Label 4902*/ GIMT_Encode4(245031), // Rule ID 11296 //
     /* 244984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 244987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlslb_lane),
     /* 244992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 244995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 244998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 245001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 245004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245008 */     // MIs[0] Op4
     /* 245008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245011 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 245016 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1972:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (UMLSLB_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 245016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLB_ZZZI_S),
     /* 245019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245021 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245023 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245025 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245027 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245029 */     GIR_RootConstrainSelectedInstOperands,
     /* 245030 */     // GIR_Coverage, 11296,
     /* 245030 */     GIR_EraseRootFromParent_Done,
     /* 245031 */   // Label 4902: @245031
     /* 245031 */   GIM_Try, /*On fail goto*//*Label 4903*/ GIMT_Encode4(245083), // Rule ID 11297 //
     /* 245036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlslb_lane),
     /* 245044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 245047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 245050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 245053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 245056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245060 */     // MIs[0] Op4
     /* 245060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245063 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 245068 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1972:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (UMLSLB_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 245068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLB_ZZZI_D),
     /* 245071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245073 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245075 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245077 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245079 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245081 */     GIR_RootConstrainSelectedInstOperands,
     /* 245082 */     // GIR_Coverage, 11297,
     /* 245082 */     GIR_EraseRootFromParent_Done,
     /* 245083 */   // Label 4903: @245083
     /* 245083 */   GIM_Try, /*On fail goto*//*Label 4904*/ GIMT_Encode4(245135), // Rule ID 11298 //
     /* 245088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlslt_lane),
     /* 245096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 245099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 245102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 245105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 245108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245112 */     // MIs[0] Op4
     /* 245112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245115 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 245120 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1974:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (UMLSLT_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 245120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLT_ZZZI_S),
     /* 245123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245125 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245127 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245129 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245131 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245133 */     GIR_RootConstrainSelectedInstOperands,
     /* 245134 */     // GIR_Coverage, 11298,
     /* 245134 */     GIR_EraseRootFromParent_Done,
     /* 245135 */   // Label 4904: @245135
     /* 245135 */   GIM_Try, /*On fail goto*//*Label 4905*/ GIMT_Encode4(245187), // Rule ID 11299 //
     /* 245140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlslt_lane),
     /* 245148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 245151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 245154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 245157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 245160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245164 */     // MIs[0] Op4
     /* 245164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245167 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 245172 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1974:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (UMLSLT_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 245172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLT_ZZZI_D),
     /* 245175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245177 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245179 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245181 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245183 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245185 */     GIR_RootConstrainSelectedInstOperands,
     /* 245186 */     // GIR_Coverage, 11299,
     /* 245186 */     GIR_EraseRootFromParent_Done,
     /* 245187 */   // Label 4905: @245187
     /* 245187 */   GIM_Try, /*On fail goto*//*Label 4906*/ GIMT_Encode4(245239), // Rule ID 11321 //
     /* 245192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalb_lane),
     /* 245200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 245203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 245206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 245209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 245212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245216 */     // MIs[0] Op4
     /* 245216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245219 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 245224 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1772:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (SQDMLALB_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 245224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALB_ZZZI_S),
     /* 245227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245229 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245231 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245233 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245235 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245237 */     GIR_RootConstrainSelectedInstOperands,
     /* 245238 */     // GIR_Coverage, 11321,
     /* 245238 */     GIR_EraseRootFromParent_Done,
     /* 245239 */   // Label 4906: @245239
     /* 245239 */   GIM_Try, /*On fail goto*//*Label 4907*/ GIMT_Encode4(245291), // Rule ID 11322 //
     /* 245244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalb_lane),
     /* 245252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 245255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 245258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 245261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 245264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245268 */     // MIs[0] Op4
     /* 245268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245271 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 245276 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1772:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SQDMLALB_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 245276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALB_ZZZI_D),
     /* 245279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245281 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245283 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245285 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245287 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245289 */     GIR_RootConstrainSelectedInstOperands,
     /* 245290 */     // GIR_Coverage, 11322,
     /* 245290 */     GIR_EraseRootFromParent_Done,
     /* 245291 */   // Label 4907: @245291
     /* 245291 */   GIM_Try, /*On fail goto*//*Label 4908*/ GIMT_Encode4(245343), // Rule ID 11323 //
     /* 245296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalt_lane),
     /* 245304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 245307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 245310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 245313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 245316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245320 */     // MIs[0] Op4
     /* 245320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245323 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 245328 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1775:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (SQDMLALT_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 245328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALT_ZZZI_S),
     /* 245331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245333 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245335 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245337 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245339 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245341 */     GIR_RootConstrainSelectedInstOperands,
     /* 245342 */     // GIR_Coverage, 11323,
     /* 245342 */     GIR_EraseRootFromParent_Done,
     /* 245343 */   // Label 4908: @245343
     /* 245343 */   GIM_Try, /*On fail goto*//*Label 4909*/ GIMT_Encode4(245395), // Rule ID 11324 //
     /* 245348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalt_lane),
     /* 245356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 245359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 245362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 245365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 245368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245372 */     // MIs[0] Op4
     /* 245372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245375 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 245380 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1775:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SQDMLALT_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 245380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALT_ZZZI_D),
     /* 245383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245385 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245387 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245389 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245391 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245393 */     GIR_RootConstrainSelectedInstOperands,
     /* 245394 */     // GIR_Coverage, 11324,
     /* 245394 */     GIR_EraseRootFromParent_Done,
     /* 245395 */   // Label 4909: @245395
     /* 245395 */   GIM_Try, /*On fail goto*//*Label 4910*/ GIMT_Encode4(245447), // Rule ID 11325 //
     /* 245400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslb_lane),
     /* 245408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 245411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 245414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 245417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 245420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245424 */     // MIs[0] Op4
     /* 245424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245427 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 245432 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1777:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (SQDMLSLB_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 245432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLB_ZZZI_S),
     /* 245435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245437 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245439 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245441 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245443 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245445 */     GIR_RootConstrainSelectedInstOperands,
     /* 245446 */     // GIR_Coverage, 11325,
     /* 245446 */     GIR_EraseRootFromParent_Done,
     /* 245447 */   // Label 4910: @245447
     /* 245447 */   GIM_Try, /*On fail goto*//*Label 4911*/ GIMT_Encode4(245499), // Rule ID 11326 //
     /* 245452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslb_lane),
     /* 245460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 245463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 245466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 245469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 245472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245476 */     // MIs[0] Op4
     /* 245476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245479 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 245484 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1777:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SQDMLSLB_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 245484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLB_ZZZI_D),
     /* 245487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245489 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245491 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245493 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245495 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245497 */     GIR_RootConstrainSelectedInstOperands,
     /* 245498 */     // GIR_Coverage, 11326,
     /* 245498 */     GIR_EraseRootFromParent_Done,
     /* 245499 */   // Label 4911: @245499
     /* 245499 */   GIM_Try, /*On fail goto*//*Label 4912*/ GIMT_Encode4(245551), // Rule ID 11327 //
     /* 245504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslt_lane),
     /* 245512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 245515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 245518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 245521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 245524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245528 */     // MIs[0] Op4
     /* 245528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245531 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 245536 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1780:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (SQDMLSLT_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 245536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLT_ZZZI_S),
     /* 245539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245541 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245543 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245545 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245547 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245549 */     GIR_RootConstrainSelectedInstOperands,
     /* 245550 */     // GIR_Coverage, 11327,
     /* 245550 */     GIR_EraseRootFromParent_Done,
     /* 245551 */   // Label 4912: @245551
     /* 245551 */   GIM_Try, /*On fail goto*//*Label 4913*/ GIMT_Encode4(245603), // Rule ID 11328 //
     /* 245556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslt_lane),
     /* 245564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 245567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 245570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 245573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 245576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245580 */     // MIs[0] Op4
     /* 245580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245583 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 245588 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1780:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SQDMLSLT_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 245588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLT_ZZZI_D),
     /* 245591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245593 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245595 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245597 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245599 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245601 */     GIR_RootConstrainSelectedInstOperands,
     /* 245602 */     // GIR_Coverage, 11328,
     /* 245602 */     GIR_EraseRootFromParent_Done,
     /* 245603 */   // Label 4913: @245603
     /* 245603 */   GIM_Try, /*On fail goto*//*Label 4914*/ GIMT_Encode4(245655), // Rule ID 11782 //
     /* 245608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmlalb_lane),
     /* 245616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 245619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 245622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 245625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 245628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245632 */     // MIs[0] Op4
     /* 245632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245635 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 245640 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1451:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (FMLALB_ZZZI_SHH:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 245640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALB_ZZZI_SHH),
     /* 245643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245645 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245647 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245649 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245651 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245653 */     GIR_RootConstrainSelectedInstOperands,
     /* 245654 */     // GIR_Coverage, 11782,
     /* 245654 */     GIR_EraseRootFromParent_Done,
     /* 245655 */   // Label 4914: @245655
     /* 245655 */   GIM_Try, /*On fail goto*//*Label 4915*/ GIMT_Encode4(245707), // Rule ID 11783 //
     /* 245660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmlalt_lane),
     /* 245668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 245671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 245674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 245677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 245680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245684 */     // MIs[0] Op4
     /* 245684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245687 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 245692 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1453:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (FMLALT_ZZZI_SHH:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 245692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALT_ZZZI_SHH),
     /* 245695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245697 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245699 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245701 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245703 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245705 */     GIR_RootConstrainSelectedInstOperands,
     /* 245706 */     // GIR_Coverage, 11783,
     /* 245706 */     GIR_EraseRootFromParent_Done,
     /* 245707 */   // Label 4915: @245707
     /* 245707 */   GIM_Try, /*On fail goto*//*Label 4916*/ GIMT_Encode4(245759), // Rule ID 11784 //
     /* 245712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmlslb_lane),
     /* 245720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 245723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 245726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 245729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 245732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245736 */     // MIs[0] Op4
     /* 245736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245739 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 245744 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1458:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (FMLSLB_ZZZI_SHH:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 245744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSLB_ZZZI_SHH),
     /* 245747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245749 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245751 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245753 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245755 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245757 */     GIR_RootConstrainSelectedInstOperands,
     /* 245758 */     // GIR_Coverage, 11784,
     /* 245758 */     GIR_EraseRootFromParent_Done,
     /* 245759 */   // Label 4916: @245759
     /* 245759 */   GIM_Try, /*On fail goto*//*Label 4917*/ GIMT_Encode4(245811), // Rule ID 11785 //
     /* 245764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmlslt_lane),
     /* 245772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 245775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 245778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 245781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 245784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245788 */     // MIs[0] Op4
     /* 245788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245791 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 245796 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1460:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (FMLSLT_ZZZI_SHH:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 245796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSLT_ZZZI_SHH),
     /* 245799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245801 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245803 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245805 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245807 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245809 */     GIR_RootConstrainSelectedInstOperands,
     /* 245810 */     // GIR_Coverage, 11785,
     /* 245810 */     GIR_EraseRootFromParent_Done,
     /* 245811 */   // Label 4917: @245811
     /* 245811 */   GIM_Try, /*On fail goto*//*Label 4918*/ GIMT_Encode4(245863), // Rule ID 11918 //
     /* 245816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2),
     /* 245819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fdot_lane_x2),
     /* 245824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 245827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 245830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 245833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 245836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245840 */     // MIs[0] Op4
     /* 245840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245843 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 245848 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1406:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (FDOT_ZZZI_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 245848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOT_ZZZI_S),
     /* 245851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245853 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245855 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245857 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245859 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245861 */     GIR_RootConstrainSelectedInstOperands,
     /* 245862 */     // GIR_Coverage, 11918,
     /* 245862 */     GIR_EraseRootFromParent_Done,
     /* 245863 */   // Label 4918: @245863
     /* 245863 */   GIM_Try, /*On fail goto*//*Label 4919*/ GIMT_Encode4(245915), // Rule ID 11920 //
     /* 245868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2),
     /* 245871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_udot_lane_x2),
     /* 245876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 245879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 245882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 245885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 245888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245892 */     // MIs[0] Op4
     /* 245892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245895 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 245900 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1944:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (UDOT_ZZZI_HtoS:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 245900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDOT_ZZZI_HtoS),
     /* 245903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245905 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245907 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245909 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245911 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245913 */     GIR_RootConstrainSelectedInstOperands,
     /* 245914 */     // GIR_Coverage, 11920,
     /* 245914 */     GIR_EraseRootFromParent_Done,
     /* 245915 */   // Label 4919: @245915
     /* 245915 */   GIM_Try, /*On fail goto*//*Label 4920*/ GIMT_Encode4(245962), // Rule ID 2829 //
     /* 245920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 245923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmla),
     /* 245928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 245931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 245934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 245937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 245940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 245943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245947 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1447:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, nxv8f16:{ *:[nxv8f16] }:$Op4)  =>  (FMLA_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, ?:{ *:[nxv8f16] }:$Op4)
     /* 245947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLA_ZPmZZ_H),
     /* 245950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245952 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245954 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245956 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245958 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245960 */     GIR_RootConstrainSelectedInstOperands,
     /* 245961 */     // GIR_Coverage, 2829,
     /* 245961 */     GIR_EraseRootFromParent_Done,
     /* 245962 */   // Label 4920: @245962
     /* 245962 */   GIM_Try, /*On fail goto*//*Label 4921*/ GIMT_Encode4(246009), // Rule ID 2832 //
     /* 245967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 245970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmla),
     /* 245975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 245978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 245981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 245984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 245987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /* 245990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245994 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 1447:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3, nxv4f16:{ *:[nxv4f16] }:$Op4)  =>  (FMLA_ZPmZZ_H:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3, ?:{ *:[nxv4f16] }:$Op4)
     /* 245994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLA_ZPmZZ_H),
     /* 245997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245999 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246001 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246003 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246005 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246007 */     GIR_RootConstrainSelectedInstOperands,
     /* 246008 */     // GIR_Coverage, 2832,
     /* 246008 */     GIR_EraseRootFromParent_Done,
     /* 246009 */   // Label 4921: @246009
     /* 246009 */   GIM_Try, /*On fail goto*//*Label 4922*/ GIMT_Encode4(246056), // Rule ID 2835 //
     /* 246014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 246017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmla),
     /* 246022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 246025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 246028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 246031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 246034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /* 246037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246041 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 1447:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3, nxv2f16:{ *:[nxv2f16] }:$Op4)  =>  (FMLA_ZPmZZ_H:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3, ?:{ *:[nxv2f16] }:$Op4)
     /* 246041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLA_ZPmZZ_H),
     /* 246044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246046 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246048 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246050 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246052 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246054 */     GIR_RootConstrainSelectedInstOperands,
     /* 246055 */     // GIR_Coverage, 2835,
     /* 246055 */     GIR_EraseRootFromParent_Done,
     /* 246056 */   // Label 4922: @246056
     /* 246056 */   GIM_Try, /*On fail goto*//*Label 4923*/ GIMT_Encode4(246103), // Rule ID 2838 //
     /* 246061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 246064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmla),
     /* 246069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 246072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 246075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 246078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 246081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 246084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246088 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1447:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, nxv4f32:{ *:[nxv4f32] }:$Op4)  =>  (FMLA_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, ?:{ *:[nxv4f32] }:$Op4)
     /* 246088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLA_ZPmZZ_S),
     /* 246091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246093 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246095 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246097 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246099 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246101 */     GIR_RootConstrainSelectedInstOperands,
     /* 246102 */     // GIR_Coverage, 2838,
     /* 246102 */     GIR_EraseRootFromParent_Done,
     /* 246103 */   // Label 4923: @246103
     /* 246103 */   GIM_Try, /*On fail goto*//*Label 4924*/ GIMT_Encode4(246150), // Rule ID 2841 //
     /* 246108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 246111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmla),
     /* 246116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 246119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 246122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 246125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 246128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /* 246131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246135 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 1447:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3, nxv2f32:{ *:[nxv2f32] }:$Op4)  =>  (FMLA_ZPmZZ_S:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3, ?:{ *:[nxv2f32] }:$Op4)
     /* 246135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLA_ZPmZZ_S),
     /* 246138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246140 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246142 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246144 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246146 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246148 */     GIR_RootConstrainSelectedInstOperands,
     /* 246149 */     // GIR_Coverage, 2841,
     /* 246149 */     GIR_EraseRootFromParent_Done,
     /* 246150 */   // Label 4924: @246150
     /* 246150 */   GIM_Try, /*On fail goto*//*Label 4925*/ GIMT_Encode4(246197), // Rule ID 2844 //
     /* 246155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 246158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmla),
     /* 246163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 246166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 246169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 246172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 246175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 246178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246182 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1447:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, nxv2f64:{ *:[nxv2f64] }:$Op4)  =>  (FMLA_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, ?:{ *:[nxv2f64] }:$Op4)
     /* 246182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLA_ZPmZZ_D),
     /* 246185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246187 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246189 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246191 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246193 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246195 */     GIR_RootConstrainSelectedInstOperands,
     /* 246196 */     // GIR_Coverage, 2844,
     /* 246196 */     GIR_EraseRootFromParent_Done,
     /* 246197 */   // Label 4925: @246197
     /* 246197 */   GIM_Try, /*On fail goto*//*Label 4926*/ GIMT_Encode4(246244), // Rule ID 2847 //
     /* 246202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 246205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmad),
     /* 246210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 246213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 246216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 246219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 246222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 246225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246229 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1410:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, nxv8f16:{ *:[nxv8f16] }:$Op4)  =>  (FMAD_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, ?:{ *:[nxv8f16] }:$Op4)
     /* 246229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAD_ZPmZZ_H),
     /* 246232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 246234 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246236 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246238 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246240 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246242 */     GIR_RootConstrainSelectedInstOperands,
     /* 246243 */     // GIR_Coverage, 2847,
     /* 246243 */     GIR_EraseRootFromParent_Done,
     /* 246244 */   // Label 4926: @246244
     /* 246244 */   GIM_Try, /*On fail goto*//*Label 4927*/ GIMT_Encode4(246291), // Rule ID 2848 //
     /* 246249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 246252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmad),
     /* 246257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 246260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 246263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 246266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 246269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 246272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246276 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1410:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, nxv4f32:{ *:[nxv4f32] }:$Op4)  =>  (FMAD_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, ?:{ *:[nxv4f32] }:$Op4)
     /* 246276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAD_ZPmZZ_S),
     /* 246279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 246281 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246283 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246285 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246287 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246289 */     GIR_RootConstrainSelectedInstOperands,
     /* 246290 */     // GIR_Coverage, 2848,
     /* 246290 */     GIR_EraseRootFromParent_Done,
     /* 246291 */   // Label 4927: @246291
     /* 246291 */   GIM_Try, /*On fail goto*//*Label 4928*/ GIMT_Encode4(246338), // Rule ID 2849 //
     /* 246296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 246299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmad),
     /* 246304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 246307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 246310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 246313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 246316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 246319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246323 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1410:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, nxv2f64:{ *:[nxv2f64] }:$Op4)  =>  (FMAD_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, ?:{ *:[nxv2f64] }:$Op4)
     /* 246323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAD_ZPmZZ_D),
     /* 246326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 246328 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246330 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246332 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246334 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246336 */     GIR_RootConstrainSelectedInstOperands,
     /* 246337 */     // GIR_Coverage, 2849,
     /* 246337 */     GIR_EraseRootFromParent_Done,
     /* 246338 */   // Label 4928: @246338
     /* 246338 */   GIM_Try, /*On fail goto*//*Label 4929*/ GIMT_Encode4(246385), // Rule ID 2945 //
     /* 246343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 246346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mad),
     /* 246351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 246354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 246357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 246360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 246363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 246366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246370 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1585:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i8:{ *:[nxv16i8] }:$Op4)  =>  (MAD_ZPmZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[nxv16i8] }:$Op4)
     /* 246370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MAD_ZPmZZ_B),
     /* 246373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 246375 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246377 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246379 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246381 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246383 */     GIR_RootConstrainSelectedInstOperands,
     /* 246384 */     // GIR_Coverage, 2945,
     /* 246384 */     GIR_EraseRootFromParent_Done,
     /* 246385 */   // Label 4929: @246385
     /* 246385 */   GIM_Try, /*On fail goto*//*Label 4930*/ GIMT_Encode4(246432), // Rule ID 2948 //
     /* 246390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 246393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mad),
     /* 246398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 246401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 246404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 246407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 246410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 246413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246417 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1585:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i16:{ *:[nxv8i16] }:$Op4)  =>  (MAD_ZPmZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, ?:{ *:[nxv8i16] }:$Op4)
     /* 246417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MAD_ZPmZZ_H),
     /* 246420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 246422 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246424 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246426 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246428 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246430 */     GIR_RootConstrainSelectedInstOperands,
     /* 246431 */     // GIR_Coverage, 2948,
     /* 246431 */     GIR_EraseRootFromParent_Done,
     /* 246432 */   // Label 4930: @246432
     /* 246432 */   GIM_Try, /*On fail goto*//*Label 4931*/ GIMT_Encode4(246479), // Rule ID 2951 //
     /* 246437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 246440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mad),
     /* 246445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 246448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 246451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 246454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 246457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 246460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246464 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1585:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i32:{ *:[nxv4i32] }:$Op4)  =>  (MAD_ZPmZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, ?:{ *:[nxv4i32] }:$Op4)
     /* 246464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MAD_ZPmZZ_S),
     /* 246467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 246469 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246471 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246473 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246475 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246477 */     GIR_RootConstrainSelectedInstOperands,
     /* 246478 */     // GIR_Coverage, 2951,
     /* 246478 */     GIR_EraseRootFromParent_Done,
     /* 246479 */   // Label 4931: @246479
     /* 246479 */   GIM_Try, /*On fail goto*//*Label 4932*/ GIMT_Encode4(246526), // Rule ID 2954 //
     /* 246484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 246487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mad),
     /* 246492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 246495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 246498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 246501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 246504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 246507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246511 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1585:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i64:{ *:[nxv2i64] }:$Op4)  =>  (MAD_ZPmZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3, ?:{ *:[nxv2i64] }:$Op4)
     /* 246511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MAD_ZPmZZ_D),
     /* 246514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 246516 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246518 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246520 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246522 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246524 */     GIR_RootConstrainSelectedInstOperands,
     /* 246525 */     // GIR_Coverage, 2954,
     /* 246525 */     GIR_EraseRootFromParent_Done,
     /* 246526 */   // Label 4932: @246526
     /* 246526 */   GIM_Try, /*On fail goto*//*Label 4933*/ GIMT_Encode4(246573), // Rule ID 2957 //
     /* 246531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 246534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mla),
     /* 246539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 246542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 246545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 246548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 246551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 246554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246558 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1587:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i8:{ *:[nxv16i8] }:$Op4)  =>  (MLA_ZPmZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[nxv16i8] }:$Op4)
     /* 246558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLA_ZPmZZ_B),
     /* 246561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246563 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246565 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246567 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246569 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246571 */     GIR_RootConstrainSelectedInstOperands,
     /* 246572 */     // GIR_Coverage, 2957,
     /* 246572 */     GIR_EraseRootFromParent_Done,
     /* 246573 */   // Label 4933: @246573
     /* 246573 */   GIM_Try, /*On fail goto*//*Label 4934*/ GIMT_Encode4(246620), // Rule ID 2959 //
     /* 246578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 246581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mla),
     /* 246586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 246589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 246592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 246595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 246598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 246601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246605 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1587:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i16:{ *:[nxv8i16] }:$Op4)  =>  (MLA_ZPmZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, ?:{ *:[nxv8i16] }:$Op4)
     /* 246605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLA_ZPmZZ_H),
     /* 246608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246610 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246612 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246614 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246616 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246618 */     GIR_RootConstrainSelectedInstOperands,
     /* 246619 */     // GIR_Coverage, 2959,
     /* 246619 */     GIR_EraseRootFromParent_Done,
     /* 246620 */   // Label 4934: @246620
     /* 246620 */   GIM_Try, /*On fail goto*//*Label 4935*/ GIMT_Encode4(246667), // Rule ID 2961 //
     /* 246625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 246628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mla),
     /* 246633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 246636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 246639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 246642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 246645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 246648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246652 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1587:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i32:{ *:[nxv4i32] }:$Op4)  =>  (MLA_ZPmZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, ?:{ *:[nxv4i32] }:$Op4)
     /* 246652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLA_ZPmZZ_S),
     /* 246655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246657 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246659 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246661 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246663 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246665 */     GIR_RootConstrainSelectedInstOperands,
     /* 246666 */     // GIR_Coverage, 2961,
     /* 246666 */     GIR_EraseRootFromParent_Done,
     /* 246667 */   // Label 4935: @246667
     /* 246667 */   GIM_Try, /*On fail goto*//*Label 4936*/ GIMT_Encode4(246714), // Rule ID 2963 //
     /* 246672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 246675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mla),
     /* 246680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 246683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 246686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 246689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 246692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 246695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246699 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1587:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i64:{ *:[nxv2i64] }:$Op4)  =>  (MLA_ZPmZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3, ?:{ *:[nxv2i64] }:$Op4)
     /* 246699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLA_ZPmZZ_D),
     /* 246702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246704 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246706 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246708 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246710 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246712 */     GIR_RootConstrainSelectedInstOperands,
     /* 246713 */     // GIR_Coverage, 2963,
     /* 246713 */     GIR_EraseRootFromParent_Done,
     /* 246714 */   // Label 4936: @246714
     /* 246714 */   GIM_Try, /*On fail goto*//*Label 4937*/ GIMT_Encode4(246761), // Rule ID 7511 //
     /* 246719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 246722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_msb),
     /* 246727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 246730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 246733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 246736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 246739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 246742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246746 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1593:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i8:{ *:[nxv16i8] }:$Op4)  =>  (MSB_ZPmZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[nxv16i8] }:$Op4)
     /* 246746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSB_ZPmZZ_B),
     /* 246749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 246751 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246753 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246755 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246757 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246759 */     GIR_RootConstrainSelectedInstOperands,
     /* 246760 */     // GIR_Coverage, 7511,
     /* 246760 */     GIR_EraseRootFromParent_Done,
     /* 246761 */   // Label 4937: @246761
     /* 246761 */   GIM_Try, /*On fail goto*//*Label 4938*/ GIMT_Encode4(246808), // Rule ID 7514 //
     /* 246766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 246769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_msb),
     /* 246774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 246777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 246780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 246783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 246786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 246789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246793 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1593:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i16:{ *:[nxv8i16] }:$Op4)  =>  (MSB_ZPmZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, ?:{ *:[nxv8i16] }:$Op4)
     /* 246793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSB_ZPmZZ_H),
     /* 246796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 246798 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246800 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246802 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246804 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246806 */     GIR_RootConstrainSelectedInstOperands,
     /* 246807 */     // GIR_Coverage, 7514,
     /* 246807 */     GIR_EraseRootFromParent_Done,
     /* 246808 */   // Label 4938: @246808
     /* 246808 */   GIM_Try, /*On fail goto*//*Label 4939*/ GIMT_Encode4(246855), // Rule ID 7517 //
     /* 246813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 246816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_msb),
     /* 246821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 246824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 246827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 246830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 246833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 246836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246840 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1593:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i32:{ *:[nxv4i32] }:$Op4)  =>  (MSB_ZPmZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, ?:{ *:[nxv4i32] }:$Op4)
     /* 246840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSB_ZPmZZ_S),
     /* 246843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 246845 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246847 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246849 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246851 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246853 */     GIR_RootConstrainSelectedInstOperands,
     /* 246854 */     // GIR_Coverage, 7517,
     /* 246854 */     GIR_EraseRootFromParent_Done,
     /* 246855 */   // Label 4939: @246855
     /* 246855 */   GIM_Try, /*On fail goto*//*Label 4940*/ GIMT_Encode4(246902), // Rule ID 7520 //
     /* 246860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 246863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_msb),
     /* 246868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 246871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 246874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 246877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 246880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 246883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246887 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1593:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i64:{ *:[nxv2i64] }:$Op4)  =>  (MSB_ZPmZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3, ?:{ *:[nxv2i64] }:$Op4)
     /* 246887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSB_ZPmZZ_D),
     /* 246890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 246892 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246894 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246896 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246898 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246900 */     GIR_RootConstrainSelectedInstOperands,
     /* 246901 */     // GIR_Coverage, 7520,
     /* 246901 */     GIR_EraseRootFromParent_Done,
     /* 246902 */   // Label 4940: @246902
     /* 246902 */   GIM_Try, /*On fail goto*//*Label 4941*/ GIMT_Encode4(246949), // Rule ID 7523 //
     /* 246907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 246910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mls),
     /* 246915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 246918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 246921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 246924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 246927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 246930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246934 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1590:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i8:{ *:[nxv16i8] }:$Op4)  =>  (MLS_ZPmZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[nxv16i8] }:$Op4)
     /* 246934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLS_ZPmZZ_B),
     /* 246937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246939 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246941 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246943 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246945 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246947 */     GIR_RootConstrainSelectedInstOperands,
     /* 246948 */     // GIR_Coverage, 7523,
     /* 246948 */     GIR_EraseRootFromParent_Done,
     /* 246949 */   // Label 4941: @246949
     /* 246949 */   GIM_Try, /*On fail goto*//*Label 4942*/ GIMT_Encode4(246996), // Rule ID 7525 //
     /* 246954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 246957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mls),
     /* 246962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 246965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 246968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 246971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 246974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 246977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246981 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1590:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i16:{ *:[nxv8i16] }:$Op4)  =>  (MLS_ZPmZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, ?:{ *:[nxv8i16] }:$Op4)
     /* 246981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLS_ZPmZZ_H),
     /* 246984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246986 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246988 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246990 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246992 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246994 */     GIR_RootConstrainSelectedInstOperands,
     /* 246995 */     // GIR_Coverage, 7525,
     /* 246995 */     GIR_EraseRootFromParent_Done,
     /* 246996 */   // Label 4942: @246996
     /* 246996 */   GIM_Try, /*On fail goto*//*Label 4943*/ GIMT_Encode4(247043), // Rule ID 7527 //
     /* 247001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mls),
     /* 247009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 247012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 247015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 247018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 247021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 247024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247028 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1590:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i32:{ *:[nxv4i32] }:$Op4)  =>  (MLS_ZPmZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, ?:{ *:[nxv4i32] }:$Op4)
     /* 247028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLS_ZPmZZ_S),
     /* 247031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 247033 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247035 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247037 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247039 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247041 */     GIR_RootConstrainSelectedInstOperands,
     /* 247042 */     // GIR_Coverage, 7527,
     /* 247042 */     GIR_EraseRootFromParent_Done,
     /* 247043 */   // Label 4943: @247043
     /* 247043 */   GIM_Try, /*On fail goto*//*Label 4944*/ GIMT_Encode4(247090), // Rule ID 7529 //
     /* 247048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mls),
     /* 247056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 247059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 247062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 247065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 247068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 247071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247075 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1590:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i64:{ *:[nxv2i64] }:$Op4)  =>  (MLS_ZPmZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3, ?:{ *:[nxv2i64] }:$Op4)
     /* 247075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLS_ZPmZZ_D),
     /* 247078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 247080 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247082 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247084 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247086 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247088 */     GIR_RootConstrainSelectedInstOperands,
     /* 247089 */     // GIR_Coverage, 7529,
     /* 247089 */     GIR_EraseRootFromParent_Done,
     /* 247090 */   // Label 4944: @247090
     /* 247090 */   GIM_Try, /*On fail goto*//*Label 4945*/ GIMT_Encode4(247137), // Rule ID 8155 //
     /* 247095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls),
     /* 247103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 247106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 247109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 247112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 247115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 247118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247122 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1454:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, nxv8f16:{ *:[nxv8f16] }:$Op4)  =>  (FMLS_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, ?:{ *:[nxv8f16] }:$Op4)
     /* 247122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPmZZ_H),
     /* 247125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 247127 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247129 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247131 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247133 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247135 */     GIR_RootConstrainSelectedInstOperands,
     /* 247136 */     // GIR_Coverage, 8155,
     /* 247136 */     GIR_EraseRootFromParent_Done,
     /* 247137 */   // Label 4945: @247137
     /* 247137 */   GIM_Try, /*On fail goto*//*Label 4946*/ GIMT_Encode4(247184), // Rule ID 8158 //
     /* 247142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls),
     /* 247150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 247153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 247156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 247159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 247162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /* 247165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247169 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 1454:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3, nxv4f16:{ *:[nxv4f16] }:$Op4)  =>  (FMLS_ZPmZZ_H:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3, ?:{ *:[nxv4f16] }:$Op4)
     /* 247169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPmZZ_H),
     /* 247172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 247174 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247176 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247178 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247180 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247182 */     GIR_RootConstrainSelectedInstOperands,
     /* 247183 */     // GIR_Coverage, 8158,
     /* 247183 */     GIR_EraseRootFromParent_Done,
     /* 247184 */   // Label 4946: @247184
     /* 247184 */   GIM_Try, /*On fail goto*//*Label 4947*/ GIMT_Encode4(247231), // Rule ID 8161 //
     /* 247189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls),
     /* 247197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 247200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 247203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 247206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 247209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /* 247212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247216 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 1454:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3, nxv2f16:{ *:[nxv2f16] }:$Op4)  =>  (FMLS_ZPmZZ_H:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3, ?:{ *:[nxv2f16] }:$Op4)
     /* 247216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPmZZ_H),
     /* 247219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 247221 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247223 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247225 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247227 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247229 */     GIR_RootConstrainSelectedInstOperands,
     /* 247230 */     // GIR_Coverage, 8161,
     /* 247230 */     GIR_EraseRootFromParent_Done,
     /* 247231 */   // Label 4947: @247231
     /* 247231 */   GIM_Try, /*On fail goto*//*Label 4948*/ GIMT_Encode4(247278), // Rule ID 8164 //
     /* 247236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls),
     /* 247244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 247247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 247250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 247253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 247256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 247259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247263 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1454:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, nxv4f32:{ *:[nxv4f32] }:$Op4)  =>  (FMLS_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, ?:{ *:[nxv4f32] }:$Op4)
     /* 247263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPmZZ_S),
     /* 247266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 247268 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247270 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247272 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247274 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247276 */     GIR_RootConstrainSelectedInstOperands,
     /* 247277 */     // GIR_Coverage, 8164,
     /* 247277 */     GIR_EraseRootFromParent_Done,
     /* 247278 */   // Label 4948: @247278
     /* 247278 */   GIM_Try, /*On fail goto*//*Label 4949*/ GIMT_Encode4(247325), // Rule ID 8167 //
     /* 247283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls),
     /* 247291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 247294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 247297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 247300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 247303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /* 247306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247310 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 1454:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3, nxv2f32:{ *:[nxv2f32] }:$Op4)  =>  (FMLS_ZPmZZ_S:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3, ?:{ *:[nxv2f32] }:$Op4)
     /* 247310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPmZZ_S),
     /* 247313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 247315 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247317 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247319 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247321 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247323 */     GIR_RootConstrainSelectedInstOperands,
     /* 247324 */     // GIR_Coverage, 8167,
     /* 247324 */     GIR_EraseRootFromParent_Done,
     /* 247325 */   // Label 4949: @247325
     /* 247325 */   GIM_Try, /*On fail goto*//*Label 4950*/ GIMT_Encode4(247372), // Rule ID 8170 //
     /* 247330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls),
     /* 247338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 247341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 247344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 247347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 247350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 247353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247357 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1454:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, nxv2f64:{ *:[nxv2f64] }:$Op4)  =>  (FMLS_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, ?:{ *:[nxv2f64] }:$Op4)
     /* 247357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPmZZ_D),
     /* 247360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 247362 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247364 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247366 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247368 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247370 */     GIR_RootConstrainSelectedInstOperands,
     /* 247371 */     // GIR_Coverage, 8170,
     /* 247371 */     GIR_EraseRootFromParent_Done,
     /* 247372 */   // Label 4950: @247372
     /* 247372 */   GIM_Try, /*On fail goto*//*Label 4951*/ GIMT_Encode4(247419), // Rule ID 8173 //
     /* 247377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla),
     /* 247385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 247388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 247391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 247394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 247397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 247400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247404 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1470:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, nxv8f16:{ *:[nxv8f16] }:$Op4)  =>  (FNMLA_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, ?:{ *:[nxv8f16] }:$Op4)
     /* 247404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPmZZ_H),
     /* 247407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 247409 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247411 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247413 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247415 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247417 */     GIR_RootConstrainSelectedInstOperands,
     /* 247418 */     // GIR_Coverage, 8173,
     /* 247418 */     GIR_EraseRootFromParent_Done,
     /* 247419 */   // Label 4951: @247419
     /* 247419 */   GIM_Try, /*On fail goto*//*Label 4952*/ GIMT_Encode4(247466), // Rule ID 8174 //
     /* 247424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla),
     /* 247432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 247435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 247438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 247441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 247444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /* 247447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247451 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 1470:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3, nxv4f16:{ *:[nxv4f16] }:$Op4)  =>  (FNMLA_ZPmZZ_H:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3, ?:{ *:[nxv4f16] }:$Op4)
     /* 247451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPmZZ_H),
     /* 247454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 247456 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247458 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247460 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247462 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247464 */     GIR_RootConstrainSelectedInstOperands,
     /* 247465 */     // GIR_Coverage, 8174,
     /* 247465 */     GIR_EraseRootFromParent_Done,
     /* 247466 */   // Label 4952: @247466
     /* 247466 */   GIM_Try, /*On fail goto*//*Label 4953*/ GIMT_Encode4(247513), // Rule ID 8175 //
     /* 247471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla),
     /* 247479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 247482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 247485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 247488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 247491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /* 247494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247498 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 1470:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3, nxv2f16:{ *:[nxv2f16] }:$Op4)  =>  (FNMLA_ZPmZZ_H:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3, ?:{ *:[nxv2f16] }:$Op4)
     /* 247498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPmZZ_H),
     /* 247501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 247503 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247505 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247507 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247509 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247511 */     GIR_RootConstrainSelectedInstOperands,
     /* 247512 */     // GIR_Coverage, 8175,
     /* 247512 */     GIR_EraseRootFromParent_Done,
     /* 247513 */   // Label 4953: @247513
     /* 247513 */   GIM_Try, /*On fail goto*//*Label 4954*/ GIMT_Encode4(247560), // Rule ID 8176 //
     /* 247518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla),
     /* 247526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 247529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 247532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 247535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 247538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 247541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247545 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1470:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, nxv4f32:{ *:[nxv4f32] }:$Op4)  =>  (FNMLA_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, ?:{ *:[nxv4f32] }:$Op4)
     /* 247545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPmZZ_S),
     /* 247548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 247550 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247552 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247554 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247556 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247558 */     GIR_RootConstrainSelectedInstOperands,
     /* 247559 */     // GIR_Coverage, 8176,
     /* 247559 */     GIR_EraseRootFromParent_Done,
     /* 247560 */   // Label 4954: @247560
     /* 247560 */   GIM_Try, /*On fail goto*//*Label 4955*/ GIMT_Encode4(247607), // Rule ID 8177 //
     /* 247565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla),
     /* 247573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 247576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 247579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 247582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 247585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /* 247588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247592 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 1470:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3, nxv2f32:{ *:[nxv2f32] }:$Op4)  =>  (FNMLA_ZPmZZ_S:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3, ?:{ *:[nxv2f32] }:$Op4)
     /* 247592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPmZZ_S),
     /* 247595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 247597 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247599 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247601 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247603 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247605 */     GIR_RootConstrainSelectedInstOperands,
     /* 247606 */     // GIR_Coverage, 8177,
     /* 247606 */     GIR_EraseRootFromParent_Done,
     /* 247607 */   // Label 4955: @247607
     /* 247607 */   GIM_Try, /*On fail goto*//*Label 4956*/ GIMT_Encode4(247654), // Rule ID 8178 //
     /* 247612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla),
     /* 247620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 247623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 247626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 247629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 247632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 247635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247639 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1470:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, nxv2f64:{ *:[nxv2f64] }:$Op4)  =>  (FNMLA_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, ?:{ *:[nxv2f64] }:$Op4)
     /* 247639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPmZZ_D),
     /* 247642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 247644 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247646 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247648 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247650 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247652 */     GIR_RootConstrainSelectedInstOperands,
     /* 247653 */     // GIR_Coverage, 8178,
     /* 247653 */     GIR_EraseRootFromParent_Done,
     /* 247654 */   // Label 4956: @247654
     /* 247654 */   GIM_Try, /*On fail goto*//*Label 4957*/ GIMT_Encode4(247701), // Rule ID 8179 //
     /* 247659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls),
     /* 247667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 247670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 247673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 247676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 247679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 247682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247686 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1472:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, nxv8f16:{ *:[nxv8f16] }:$Op4)  =>  (FNMLS_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, ?:{ *:[nxv8f16] }:$Op4)
     /* 247686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPmZZ_H),
     /* 247689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 247691 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247693 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247695 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247697 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247699 */     GIR_RootConstrainSelectedInstOperands,
     /* 247700 */     // GIR_Coverage, 8179,
     /* 247700 */     GIR_EraseRootFromParent_Done,
     /* 247701 */   // Label 4957: @247701
     /* 247701 */   GIM_Try, /*On fail goto*//*Label 4958*/ GIMT_Encode4(247748), // Rule ID 8180 //
     /* 247706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls),
     /* 247714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 247717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 247720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 247723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 247726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /* 247729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247733 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 1472:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3, nxv4f16:{ *:[nxv4f16] }:$Op4)  =>  (FNMLS_ZPmZZ_H:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3, ?:{ *:[nxv4f16] }:$Op4)
     /* 247733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPmZZ_H),
     /* 247736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 247738 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247740 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247742 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247744 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247746 */     GIR_RootConstrainSelectedInstOperands,
     /* 247747 */     // GIR_Coverage, 8180,
     /* 247747 */     GIR_EraseRootFromParent_Done,
     /* 247748 */   // Label 4958: @247748
     /* 247748 */   GIM_Try, /*On fail goto*//*Label 4959*/ GIMT_Encode4(247795), // Rule ID 8181 //
     /* 247753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls),
     /* 247761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 247764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 247767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 247770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 247773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /* 247776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247780 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 1472:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3, nxv2f16:{ *:[nxv2f16] }:$Op4)  =>  (FNMLS_ZPmZZ_H:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3, ?:{ *:[nxv2f16] }:$Op4)
     /* 247780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPmZZ_H),
     /* 247783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 247785 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247787 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247789 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247791 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247793 */     GIR_RootConstrainSelectedInstOperands,
     /* 247794 */     // GIR_Coverage, 8181,
     /* 247794 */     GIR_EraseRootFromParent_Done,
     /* 247795 */   // Label 4959: @247795
     /* 247795 */   GIM_Try, /*On fail goto*//*Label 4960*/ GIMT_Encode4(247842), // Rule ID 8182 //
     /* 247800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls),
     /* 247808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 247811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 247814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 247817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 247820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 247823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247827 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1472:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, nxv4f32:{ *:[nxv4f32] }:$Op4)  =>  (FNMLS_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, ?:{ *:[nxv4f32] }:$Op4)
     /* 247827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPmZZ_S),
     /* 247830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 247832 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247834 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247836 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247838 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247840 */     GIR_RootConstrainSelectedInstOperands,
     /* 247841 */     // GIR_Coverage, 8182,
     /* 247841 */     GIR_EraseRootFromParent_Done,
     /* 247842 */   // Label 4960: @247842
     /* 247842 */   GIM_Try, /*On fail goto*//*Label 4961*/ GIMT_Encode4(247889), // Rule ID 8183 //
     /* 247847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls),
     /* 247855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 247858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 247861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 247864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 247867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /* 247870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247874 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 1472:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3, nxv2f32:{ *:[nxv2f32] }:$Op4)  =>  (FNMLS_ZPmZZ_S:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3, ?:{ *:[nxv2f32] }:$Op4)
     /* 247874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPmZZ_S),
     /* 247877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 247879 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247881 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247883 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247885 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247887 */     GIR_RootConstrainSelectedInstOperands,
     /* 247888 */     // GIR_Coverage, 8183,
     /* 247888 */     GIR_EraseRootFromParent_Done,
     /* 247889 */   // Label 4961: @247889
     /* 247889 */   GIM_Try, /*On fail goto*//*Label 4962*/ GIMT_Encode4(247936), // Rule ID 8184 //
     /* 247894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls),
     /* 247902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 247905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 247908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 247911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 247914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 247917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247921 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1472:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, nxv2f64:{ *:[nxv2f64] }:$Op4)  =>  (FNMLS_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, ?:{ *:[nxv2f64] }:$Op4)
     /* 247921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPmZZ_D),
     /* 247924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 247926 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247928 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247930 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247932 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247934 */     GIR_RootConstrainSelectedInstOperands,
     /* 247935 */     // GIR_Coverage, 8184,
     /* 247935 */     GIR_EraseRootFromParent_Done,
     /* 247936 */   // Label 4962: @247936
     /* 247936 */   GIM_Try, /*On fail goto*//*Label 4963*/ GIMT_Encode4(247983), // Rule ID 8185 //
     /* 247941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmsb),
     /* 247949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 247952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 247955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 247958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 247961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 247964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247968 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1462:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, nxv8f16:{ *:[nxv8f16] }:$Op4)  =>  (FMSB_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, ?:{ *:[nxv8f16] }:$Op4)
     /* 247968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSB_ZPmZZ_H),
     /* 247971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 247973 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247975 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247977 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247979 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247981 */     GIR_RootConstrainSelectedInstOperands,
     /* 247982 */     // GIR_Coverage, 8185,
     /* 247982 */     GIR_EraseRootFromParent_Done,
     /* 247983 */   // Label 4963: @247983
     /* 247983 */   GIM_Try, /*On fail goto*//*Label 4964*/ GIMT_Encode4(248030), // Rule ID 8186 //
     /* 247988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmsb),
     /* 247996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 247999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 248002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 248005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 248008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 248011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248015 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1462:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, nxv4f32:{ *:[nxv4f32] }:$Op4)  =>  (FMSB_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, ?:{ *:[nxv4f32] }:$Op4)
     /* 248015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSB_ZPmZZ_S),
     /* 248018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 248020 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248022 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248024 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248026 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248028 */     GIR_RootConstrainSelectedInstOperands,
     /* 248029 */     // GIR_Coverage, 8186,
     /* 248029 */     GIR_EraseRootFromParent_Done,
     /* 248030 */   // Label 4964: @248030
     /* 248030 */   GIM_Try, /*On fail goto*//*Label 4965*/ GIMT_Encode4(248077), // Rule ID 8187 //
     /* 248035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmsb),
     /* 248043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 248046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 248049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 248052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 248055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 248058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248062 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1462:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, nxv2f64:{ *:[nxv2f64] }:$Op4)  =>  (FMSB_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, ?:{ *:[nxv2f64] }:$Op4)
     /* 248062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSB_ZPmZZ_D),
     /* 248065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 248067 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248069 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248071 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248073 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248075 */     GIR_RootConstrainSelectedInstOperands,
     /* 248076 */     // GIR_Coverage, 8187,
     /* 248076 */     GIR_EraseRootFromParent_Done,
     /* 248077 */   // Label 4965: @248077
     /* 248077 */   GIM_Try, /*On fail goto*//*Label 4966*/ GIMT_Encode4(248124), // Rule ID 8188 //
     /* 248082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmad),
     /* 248090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 248093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 248096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 248099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 248102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 248105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248109 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1469:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, nxv8f16:{ *:[nxv8f16] }:$Op4)  =>  (FNMAD_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, ?:{ *:[nxv8f16] }:$Op4)
     /* 248109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMAD_ZPmZZ_H),
     /* 248112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 248114 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248116 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248118 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248120 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248122 */     GIR_RootConstrainSelectedInstOperands,
     /* 248123 */     // GIR_Coverage, 8188,
     /* 248123 */     GIR_EraseRootFromParent_Done,
     /* 248124 */   // Label 4966: @248124
     /* 248124 */   GIM_Try, /*On fail goto*//*Label 4967*/ GIMT_Encode4(248171), // Rule ID 8189 //
     /* 248129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmad),
     /* 248137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 248140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 248143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 248146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 248149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 248152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248156 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1469:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, nxv4f32:{ *:[nxv4f32] }:$Op4)  =>  (FNMAD_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, ?:{ *:[nxv4f32] }:$Op4)
     /* 248156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMAD_ZPmZZ_S),
     /* 248159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 248161 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248163 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248165 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248167 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248169 */     GIR_RootConstrainSelectedInstOperands,
     /* 248170 */     // GIR_Coverage, 8189,
     /* 248170 */     GIR_EraseRootFromParent_Done,
     /* 248171 */   // Label 4967: @248171
     /* 248171 */   GIM_Try, /*On fail goto*//*Label 4968*/ GIMT_Encode4(248218), // Rule ID 8190 //
     /* 248176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmad),
     /* 248184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 248187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 248190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 248193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 248196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 248199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248203 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1469:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, nxv2f64:{ *:[nxv2f64] }:$Op4)  =>  (FNMAD_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, ?:{ *:[nxv2f64] }:$Op4)
     /* 248203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMAD_ZPmZZ_D),
     /* 248206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 248208 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248210 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248212 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248214 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248216 */     GIR_RootConstrainSelectedInstOperands,
     /* 248217 */     // GIR_Coverage, 8190,
     /* 248217 */     GIR_EraseRootFromParent_Done,
     /* 248218 */   // Label 4968: @248218
     /* 248218 */   GIM_Try, /*On fail goto*//*Label 4969*/ GIMT_Encode4(248265), // Rule ID 8191 //
     /* 248223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmsb),
     /* 248231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 248234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 248237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 248240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 248243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 248246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248250 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1474:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, nxv8f16:{ *:[nxv8f16] }:$Op4)  =>  (FNMSB_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, ?:{ *:[nxv8f16] }:$Op4)
     /* 248250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSB_ZPmZZ_H),
     /* 248253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 248255 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248257 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248259 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248261 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248263 */     GIR_RootConstrainSelectedInstOperands,
     /* 248264 */     // GIR_Coverage, 8191,
     /* 248264 */     GIR_EraseRootFromParent_Done,
     /* 248265 */   // Label 4969: @248265
     /* 248265 */   GIM_Try, /*On fail goto*//*Label 4970*/ GIMT_Encode4(248312), // Rule ID 8192 //
     /* 248270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmsb),
     /* 248278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 248281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 248284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 248287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 248290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 248293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248297 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1474:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, nxv4f32:{ *:[nxv4f32] }:$Op4)  =>  (FNMSB_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, ?:{ *:[nxv4f32] }:$Op4)
     /* 248297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSB_ZPmZZ_S),
     /* 248300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 248302 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248304 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248306 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248308 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248310 */     GIR_RootConstrainSelectedInstOperands,
     /* 248311 */     // GIR_Coverage, 8192,
     /* 248311 */     GIR_EraseRootFromParent_Done,
     /* 248312 */   // Label 4970: @248312
     /* 248312 */   GIM_Try, /*On fail goto*//*Label 4971*/ GIMT_Encode4(248359), // Rule ID 8193 //
     /* 248317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmsb),
     /* 248325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 248328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 248331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 248334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 248337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 248340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248344 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1474:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, nxv2f64:{ *:[nxv2f64] }:$Op4)  =>  (FNMSB_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, ?:{ *:[nxv2f64] }:$Op4)
     /* 248344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSB_ZPmZZ_D),
     /* 248347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 248349 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248351 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248353 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248355 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248357 */     GIR_RootConstrainSelectedInstOperands,
     /* 248358 */     // GIR_Coverage, 8193,
     /* 248358 */     GIR_EraseRootFromParent_Done,
     /* 248359 */   // Label 4971: @248359
     /* 248359 */   GIM_Try, /*On fail goto*//*Label 4972*/ GIMT_Encode4(248406), // Rule ID 8194 //
     /* 248364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls_u),
     /* 248372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 248375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 248378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 248381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 248384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 248387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248391 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1456:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, nxv8f16:{ *:[nxv8f16] }:$Op4)  =>  (FMLS_ZPZZZ_H_UNDEF:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, ?:{ *:[nxv8f16] }:$Op4)
     /* 248391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPZZZ_H_UNDEF),
     /* 248394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 248396 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248398 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248400 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248402 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248404 */     GIR_RootConstrainSelectedInstOperands,
     /* 248405 */     // GIR_Coverage, 8194,
     /* 248405 */     GIR_EraseRootFromParent_Done,
     /* 248406 */   // Label 4972: @248406
     /* 248406 */   GIM_Try, /*On fail goto*//*Label 4973*/ GIMT_Encode4(248453), // Rule ID 8197 //
     /* 248411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls_u),
     /* 248419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 248422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 248425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 248428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 248431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /* 248434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248438 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 1456:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3, nxv4f16:{ *:[nxv4f16] }:$Op4)  =>  (FMLS_ZPZZZ_H_UNDEF:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3, ?:{ *:[nxv4f16] }:$Op4)
     /* 248438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPZZZ_H_UNDEF),
     /* 248441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 248443 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248445 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248447 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248449 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248451 */     GIR_RootConstrainSelectedInstOperands,
     /* 248452 */     // GIR_Coverage, 8197,
     /* 248452 */     GIR_EraseRootFromParent_Done,
     /* 248453 */   // Label 4973: @248453
     /* 248453 */   GIM_Try, /*On fail goto*//*Label 4974*/ GIMT_Encode4(248500), // Rule ID 8200 //
     /* 248458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls_u),
     /* 248466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 248469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 248472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 248475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 248478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /* 248481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248485 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 1456:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3, nxv2f16:{ *:[nxv2f16] }:$Op4)  =>  (FMLS_ZPZZZ_H_UNDEF:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3, ?:{ *:[nxv2f16] }:$Op4)
     /* 248485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPZZZ_H_UNDEF),
     /* 248488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 248490 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248492 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248494 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248496 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248498 */     GIR_RootConstrainSelectedInstOperands,
     /* 248499 */     // GIR_Coverage, 8200,
     /* 248499 */     GIR_EraseRootFromParent_Done,
     /* 248500 */   // Label 4974: @248500
     /* 248500 */   GIM_Try, /*On fail goto*//*Label 4975*/ GIMT_Encode4(248547), // Rule ID 8203 //
     /* 248505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls_u),
     /* 248513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 248516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 248519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 248522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 248525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 248528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248532 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1456:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, nxv4f32:{ *:[nxv4f32] }:$Op4)  =>  (FMLS_ZPZZZ_S_UNDEF:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, ?:{ *:[nxv4f32] }:$Op4)
     /* 248532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPZZZ_S_UNDEF),
     /* 248535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 248537 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248539 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248541 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248543 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248545 */     GIR_RootConstrainSelectedInstOperands,
     /* 248546 */     // GIR_Coverage, 8203,
     /* 248546 */     GIR_EraseRootFromParent_Done,
     /* 248547 */   // Label 4975: @248547
     /* 248547 */   GIM_Try, /*On fail goto*//*Label 4976*/ GIMT_Encode4(248594), // Rule ID 8206 //
     /* 248552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls_u),
     /* 248560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 248563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 248566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 248569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 248572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /* 248575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248579 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 1456:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3, nxv2f32:{ *:[nxv2f32] }:$Op4)  =>  (FMLS_ZPZZZ_S_UNDEF:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3, ?:{ *:[nxv2f32] }:$Op4)
     /* 248579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPZZZ_S_UNDEF),
     /* 248582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 248584 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248586 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248588 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248590 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248592 */     GIR_RootConstrainSelectedInstOperands,
     /* 248593 */     // GIR_Coverage, 8206,
     /* 248593 */     GIR_EraseRootFromParent_Done,
     /* 248594 */   // Label 4976: @248594
     /* 248594 */   GIM_Try, /*On fail goto*//*Label 4977*/ GIMT_Encode4(248641), // Rule ID 8209 //
     /* 248599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls_u),
     /* 248607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 248610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 248613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 248616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 248619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 248622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248626 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1456:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, nxv2f64:{ *:[nxv2f64] }:$Op4)  =>  (FMLS_ZPZZZ_D_UNDEF:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, ?:{ *:[nxv2f64] }:$Op4)
     /* 248626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPZZZ_D_UNDEF),
     /* 248629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 248631 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248633 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248635 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248637 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248639 */     GIR_RootConstrainSelectedInstOperands,
     /* 248640 */     // GIR_Coverage, 8209,
     /* 248640 */     GIR_EraseRootFromParent_Done,
     /* 248641 */   // Label 4977: @248641
     /* 248641 */   GIM_Try, /*On fail goto*//*Label 4978*/ GIMT_Encode4(248688), // Rule ID 8212 //
     /* 248646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla_u),
     /* 248654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 248657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 248660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 248663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 248666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 248669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248673 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1471:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, nxv8f16:{ *:[nxv8f16] }:$Op4)  =>  (FNMLA_ZPZZZ_H_UNDEF:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, ?:{ *:[nxv8f16] }:$Op4)
     /* 248673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPZZZ_H_UNDEF),
     /* 248676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 248678 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248680 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248682 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248684 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248686 */     GIR_RootConstrainSelectedInstOperands,
     /* 248687 */     // GIR_Coverage, 8212,
     /* 248687 */     GIR_EraseRootFromParent_Done,
     /* 248688 */   // Label 4978: @248688
     /* 248688 */   GIM_Try, /*On fail goto*//*Label 4979*/ GIMT_Encode4(248735), // Rule ID 8215 //
     /* 248693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla_u),
     /* 248701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 248704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 248707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 248710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 248713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /* 248716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248720 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 1471:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3, nxv4f16:{ *:[nxv4f16] }:$Op4)  =>  (FNMLA_ZPZZZ_H_UNDEF:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3, ?:{ *:[nxv4f16] }:$Op4)
     /* 248720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPZZZ_H_UNDEF),
     /* 248723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 248725 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248727 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248729 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248731 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248733 */     GIR_RootConstrainSelectedInstOperands,
     /* 248734 */     // GIR_Coverage, 8215,
     /* 248734 */     GIR_EraseRootFromParent_Done,
     /* 248735 */   // Label 4979: @248735
     /* 248735 */   GIM_Try, /*On fail goto*//*Label 4980*/ GIMT_Encode4(248782), // Rule ID 8218 //
     /* 248740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla_u),
     /* 248748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 248751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 248754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 248757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 248760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /* 248763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248767 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 1471:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3, nxv2f16:{ *:[nxv2f16] }:$Op4)  =>  (FNMLA_ZPZZZ_H_UNDEF:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3, ?:{ *:[nxv2f16] }:$Op4)
     /* 248767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPZZZ_H_UNDEF),
     /* 248770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 248772 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248774 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248776 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248778 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248780 */     GIR_RootConstrainSelectedInstOperands,
     /* 248781 */     // GIR_Coverage, 8218,
     /* 248781 */     GIR_EraseRootFromParent_Done,
     /* 248782 */   // Label 4980: @248782
     /* 248782 */   GIM_Try, /*On fail goto*//*Label 4981*/ GIMT_Encode4(248829), // Rule ID 8221 //
     /* 248787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla_u),
     /* 248795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 248798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 248801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 248804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 248807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 248810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248814 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1471:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, nxv4f32:{ *:[nxv4f32] }:$Op4)  =>  (FNMLA_ZPZZZ_S_UNDEF:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, ?:{ *:[nxv4f32] }:$Op4)
     /* 248814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPZZZ_S_UNDEF),
     /* 248817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 248819 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248821 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248823 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248825 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248827 */     GIR_RootConstrainSelectedInstOperands,
     /* 248828 */     // GIR_Coverage, 8221,
     /* 248828 */     GIR_EraseRootFromParent_Done,
     /* 248829 */   // Label 4981: @248829
     /* 248829 */   GIM_Try, /*On fail goto*//*Label 4982*/ GIMT_Encode4(248876), // Rule ID 8224 //
     /* 248834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla_u),
     /* 248842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 248845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 248848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 248851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 248854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /* 248857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248861 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 1471:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3, nxv2f32:{ *:[nxv2f32] }:$Op4)  =>  (FNMLA_ZPZZZ_S_UNDEF:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3, ?:{ *:[nxv2f32] }:$Op4)
     /* 248861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPZZZ_S_UNDEF),
     /* 248864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 248866 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248868 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248870 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248872 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248874 */     GIR_RootConstrainSelectedInstOperands,
     /* 248875 */     // GIR_Coverage, 8224,
     /* 248875 */     GIR_EraseRootFromParent_Done,
     /* 248876 */   // Label 4982: @248876
     /* 248876 */   GIM_Try, /*On fail goto*//*Label 4983*/ GIMT_Encode4(248923), // Rule ID 8227 //
     /* 248881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla_u),
     /* 248889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 248892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 248895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 248898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 248901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 248904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248908 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1471:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, nxv2f64:{ *:[nxv2f64] }:$Op4)  =>  (FNMLA_ZPZZZ_D_UNDEF:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, ?:{ *:[nxv2f64] }:$Op4)
     /* 248908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPZZZ_D_UNDEF),
     /* 248911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 248913 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248915 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248917 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248919 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248921 */     GIR_RootConstrainSelectedInstOperands,
     /* 248922 */     // GIR_Coverage, 8227,
     /* 248922 */     GIR_EraseRootFromParent_Done,
     /* 248923 */   // Label 4983: @248923
     /* 248923 */   GIM_Try, /*On fail goto*//*Label 4984*/ GIMT_Encode4(248970), // Rule ID 8230 //
     /* 248928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls_u),
     /* 248936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 248939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 248942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 248945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 248948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 248951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248955 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1473:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, nxv8f16:{ *:[nxv8f16] }:$Op4)  =>  (FNMLS_ZPZZZ_H_UNDEF:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, ?:{ *:[nxv8f16] }:$Op4)
     /* 248955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPZZZ_H_UNDEF),
     /* 248958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 248960 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248962 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248964 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248966 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248968 */     GIR_RootConstrainSelectedInstOperands,
     /* 248969 */     // GIR_Coverage, 8230,
     /* 248969 */     GIR_EraseRootFromParent_Done,
     /* 248970 */   // Label 4984: @248970
     /* 248970 */   GIM_Try, /*On fail goto*//*Label 4985*/ GIMT_Encode4(249017), // Rule ID 8232 //
     /* 248975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls_u),
     /* 248983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 248986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 248989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 248992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 248995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /* 248998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249002 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 1473:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3, nxv4f16:{ *:[nxv4f16] }:$Op4)  =>  (FNMLS_ZPZZZ_H_UNDEF:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3, ?:{ *:[nxv4f16] }:$Op4)
     /* 249002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPZZZ_H_UNDEF),
     /* 249005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 249007 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249009 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249011 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249013 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249015 */     GIR_RootConstrainSelectedInstOperands,
     /* 249016 */     // GIR_Coverage, 8232,
     /* 249016 */     GIR_EraseRootFromParent_Done,
     /* 249017 */   // Label 4985: @249017
     /* 249017 */   GIM_Try, /*On fail goto*//*Label 4986*/ GIMT_Encode4(249064), // Rule ID 8234 //
     /* 249022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls_u),
     /* 249030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 249033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 249036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 249039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 249042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /* 249045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249049 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 1473:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3, nxv2f16:{ *:[nxv2f16] }:$Op4)  =>  (FNMLS_ZPZZZ_H_UNDEF:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3, ?:{ *:[nxv2f16] }:$Op4)
     /* 249049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPZZZ_H_UNDEF),
     /* 249052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 249054 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249056 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249058 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249060 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249062 */     GIR_RootConstrainSelectedInstOperands,
     /* 249063 */     // GIR_Coverage, 8234,
     /* 249063 */     GIR_EraseRootFromParent_Done,
     /* 249064 */   // Label 4986: @249064
     /* 249064 */   GIM_Try, /*On fail goto*//*Label 4987*/ GIMT_Encode4(249111), // Rule ID 8236 //
     /* 249069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls_u),
     /* 249077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 249080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 249083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 249086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 249089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 249092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249096 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1473:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, nxv4f32:{ *:[nxv4f32] }:$Op4)  =>  (FNMLS_ZPZZZ_S_UNDEF:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, ?:{ *:[nxv4f32] }:$Op4)
     /* 249096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPZZZ_S_UNDEF),
     /* 249099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 249101 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249103 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249105 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249107 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249109 */     GIR_RootConstrainSelectedInstOperands,
     /* 249110 */     // GIR_Coverage, 8236,
     /* 249110 */     GIR_EraseRootFromParent_Done,
     /* 249111 */   // Label 4987: @249111
     /* 249111 */   GIM_Try, /*On fail goto*//*Label 4988*/ GIMT_Encode4(249158), // Rule ID 8238 //
     /* 249116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls_u),
     /* 249124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 249127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 249130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 249133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 249136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /* 249139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249143 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 1473:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3, nxv2f32:{ *:[nxv2f32] }:$Op4)  =>  (FNMLS_ZPZZZ_S_UNDEF:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3, ?:{ *:[nxv2f32] }:$Op4)
     /* 249143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPZZZ_S_UNDEF),
     /* 249146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 249148 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249150 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249152 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249154 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249156 */     GIR_RootConstrainSelectedInstOperands,
     /* 249157 */     // GIR_Coverage, 8238,
     /* 249157 */     GIR_EraseRootFromParent_Done,
     /* 249158 */   // Label 4988: @249158
     /* 249158 */   GIM_Try, /*On fail goto*//*Label 4989*/ GIMT_Encode4(249205), // Rule ID 8240 //
     /* 249163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls_u),
     /* 249171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 249174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 249177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 249180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 249183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 249186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249190 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1473:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, nxv2f64:{ *:[nxv2f64] }:$Op4)  =>  (FNMLS_ZPZZZ_D_UNDEF:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, ?:{ *:[nxv2f64] }:$Op4)
     /* 249190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPZZZ_D_UNDEF),
     /* 249193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 249195 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249197 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249199 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249201 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249203 */     GIR_RootConstrainSelectedInstOperands,
     /* 249204 */     // GIR_Coverage, 8240,
     /* 249204 */     GIR_EraseRootFromParent_Done,
     /* 249205 */   // Label 4989: @249205
     /* 249205 */   GIM_Reject,
     /* 249206 */ // Label 4848: @249206
     /* 249206 */ GIM_Reject,
     /* 249207 */ // Label 36: @249207
     /* 249207 */ GIM_Try, /*On fail goto*//*Label 4990*/ GIMT_Encode4(249285),
     /* 249212 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/1,
     /* 249215 */   GIM_Try, /*On fail goto*//*Label 4991*/ GIMT_Encode4(249237), // Rule ID 78 //
     /* 249220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTME),
     /* 249223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_tcommit),
     /* 249228 */     // (intrinsic_void 2152:{ *:[iPTR] })  =>  (TCOMMIT)
     /* 249228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TCOMMIT),
     /* 249231 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 249235 */     GIR_RootConstrainSelectedInstOperands,
     /* 249236 */     // GIR_Coverage, 78,
     /* 249236 */     GIR_EraseRootFromParent_Done,
     /* 249237 */   // Label 4991: @249237
     /* 249237 */   GIM_Try, /*On fail goto*//*Label 4992*/ GIMT_Encode4(249262), // Rule ID 2386 //
     /* 249242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 249245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_setffr),
     /* 249250 */     // (intrinsic_void 1702:{ *:[iPTR] })  =>  (SETFFR:{ *:[i64] })
     /* 249250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SETFFR),
     /* 249253 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::FFR*/0,
     /* 249256 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 249260 */     GIR_RootConstrainSelectedInstOperands,
     /* 249261 */     // GIR_Coverage, 2386,
     /* 249261 */     GIR_EraseRootFromParent_Done,
     /* 249262 */   // Label 4992: @249262
     /* 249262 */   GIM_Try, /*On fail goto*//*Label 4993*/ GIMT_Encode4(249284), // Rule ID 7095 //
     /* 249267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_clrex),
     /* 249272 */     // (intrinsic_void 500:{ *:[iPTR] })  =>  (CLREX 15:{ *:[i64] })
     /* 249272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLREX),
     /* 249275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 249278 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 249282 */     GIR_RootConstrainSelectedInstOperands,
     /* 249283 */     // GIR_Coverage, 7095,
     /* 249283 */     GIR_EraseRootFromParent_Done,
     /* 249284 */   // Label 4993: @249284
     /* 249284 */   GIM_Reject,
     /* 249285 */ // Label 4990: @249285
     /* 249285 */ GIM_Try, /*On fail goto*//*Label 4994*/ GIMT_Encode4(249885),
     /* 249290 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/2,
     /* 249293 */   GIM_Try, /*On fail goto*//*Label 4995*/ GIMT_Encode4(249325), // Rule ID 79 //
     /* 249298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTME),
     /* 249301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_tcancel),
     /* 249306 */     // MIs[0] imm
     /* 249306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 249309 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm64_0_65535),
     /* 249314 */     // (intrinsic_void 2151:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_timm64_0_65535>>:$imm)  =>  (TCANCEL (timm:{ *:[i64] }):$imm)
     /* 249314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TCANCEL),
     /* 249317 */     GIR_RootToRootCopy, /*OpIdx*/1, // imm
     /* 249319 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 249323 */     GIR_RootConstrainSelectedInstOperands,
     /* 249324 */     // GIR_Coverage, 79,
     /* 249324 */     GIR_EraseRootFromParent_Done,
     /* 249325 */   // Label 4995: @249325
     /* 249325 */   GIM_Try, /*On fail goto*//*Label 4996*/ GIMT_Encode4(249350), // Rule ID 227 //
     /* 249330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_break),
     /* 249335 */     // MIs[0] imm
     /* 249335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 249338 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_65535),
     /* 249343 */     // (intrinsic_void 498:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_65535>>:$imm)  =>  (BRK (timm:{ *:[i32] }):$imm)
     /* 249343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BRK),
     /* 249346 */     GIR_RootToRootCopy, /*OpIdx*/1, // imm
     /* 249348 */     GIR_RootConstrainSelectedInstOperands,
     /* 249349 */     // GIR_Coverage, 227,
     /* 249349 */     GIR_EraseRootFromParent_Done,
     /* 249350 */   // Label 4996: @249350
     /* 249350 */   GIM_Try, /*On fail goto*//*Label 4997*/ GIMT_Encode4(249375), // Rule ID 228 //
     /* 249355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_hlt),
     /* 249360 */     // MIs[0] imm
     /* 249360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 249363 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_65535),
     /* 249368 */     // (intrinsic_void 557:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_65535>>:$imm)  =>  (HLT (timm:{ *:[i32] }):$imm)
     /* 249368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::HLT),
     /* 249371 */     GIR_RootToRootCopy, /*OpIdx*/1, // imm
     /* 249373 */     GIR_RootConstrainSelectedInstOperands,
     /* 249374 */     // GIR_Coverage, 228,
     /* 249374 */     GIR_EraseRootFromParent_Done,
     /* 249375 */   // Label 4997: @249375
     /* 249375 */   GIM_Try, /*On fail goto*//*Label 4998*/ GIMT_Encode4(249407), // Rule ID 3624 //
     /* 249380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEandIsNonStreamingSafe),
     /* 249383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_zero),
     /* 249388 */     // MIs[0] imm
     /* 249388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 249391 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_255),
     /* 249396 */     // (intrinsic_void 1208:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_255>>:$imm)  =>  (ZERO_M_PSEUDO (timm:{ *:[i32] })<<P:Predicate_timm32_0_255>>:$imm)
     /* 249396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZERO_M_PSEUDO),
     /* 249399 */     GIR_RootToRootCopy, /*OpIdx*/1, // imm
     /* 249401 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 249405 */     GIR_RootConstrainSelectedInstOperands,
     /* 249406 */     // GIR_Coverage, 3624,
     /* 249406 */     GIR_EraseRootFromParent_Done,
     /* 249407 */   // Label 4998: @249407
     /* 249407 */   GIM_Try, /*On fail goto*//*Label 4999*/ GIMT_Encode4(249447), // Rule ID 16 //
     /* 249412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_hint),
     /* 249417 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 249420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 249424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 249428 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_127),
     /* 249432 */     // MIs[1] Operand 1
     /* 249432 */     // No operand predicates
     /* 249432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 249434 */     // (intrinsic_void 556:{ *:[iPTR] }, (imm:{ *:[i32] })<<P:Predicate_imm0_127>>:$imm)  =>  (HINT (imm:{ *:[i32] }):$imm)
     /* 249434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::HINT),
     /* 249437 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 249440 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 249445 */     GIR_RootConstrainSelectedInstOperands,
     /* 249446 */     // GIR_Coverage, 16,
     /* 249446 */     GIR_EraseRootFromParent_Done,
     /* 249447 */   // Label 4999: @249447
     /* 249447 */   GIM_Try, /*On fail goto*//*Label 5000*/ GIMT_Encode4(249487), // Rule ID 17 //
     /* 249452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_dmb),
     /* 249457 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 249460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 249464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 249468 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm32_0_15),
     /* 249472 */     // MIs[1] Operand 1
     /* 249472 */     // No operand predicates
     /* 249472 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 249474 */     // (intrinsic_void 544:{ *:[iPTR] }, (imm:{ *:[i32] })<<P:Predicate_imm32_0_15>>:$CRm)  =>  (DMB (imm:{ *:[i32] }):$CRm)
     /* 249474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DMB),
     /* 249477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // CRm
     /* 249480 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 249485 */     GIR_RootConstrainSelectedInstOperands,
     /* 249486 */     // GIR_Coverage, 17,
     /* 249486 */     GIR_EraseRootFromParent_Done,
     /* 249487 */   // Label 5000: @249487
     /* 249487 */   GIM_Try, /*On fail goto*//*Label 5001*/ GIMT_Encode4(249527), // Rule ID 18 //
     /* 249492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_dsb),
     /* 249497 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 249500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 249504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 249508 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm32_0_15),
     /* 249512 */     // MIs[1] Operand 1
     /* 249512 */     // No operand predicates
     /* 249512 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 249514 */     // (intrinsic_void 545:{ *:[iPTR] }, (imm:{ *:[i32] })<<P:Predicate_imm32_0_15>>:$CRm)  =>  (DSB (imm:{ *:[i32] }):$CRm)
     /* 249514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DSB),
     /* 249517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // CRm
     /* 249520 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 249525 */     GIR_RootConstrainSelectedInstOperands,
     /* 249526 */     // GIR_Coverage, 18,
     /* 249526 */     GIR_EraseRootFromParent_Done,
     /* 249527 */   // Label 5001: @249527
     /* 249527 */   GIM_Try, /*On fail goto*//*Label 5002*/ GIMT_Encode4(249567), // Rule ID 19 //
     /* 249532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_isb),
     /* 249537 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 249540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 249544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 249548 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm32_0_15),
     /* 249552 */     // MIs[1] Operand 1
     /* 249552 */     // No operand predicates
     /* 249552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 249554 */     // (intrinsic_void 560:{ *:[iPTR] }, (imm:{ *:[i32] })<<P:Predicate_imm32_0_15>>:$CRm)  =>  (ISB (imm:{ *:[i32] }):$CRm)
     /* 249554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ISB),
     /* 249557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // CRm
     /* 249560 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 249565 */     GIR_RootConstrainSelectedInstOperands,
     /* 249566 */     // GIR_Coverage, 19,
     /* 249566 */     GIR_EraseRootFromParent_Done,
     /* 249567 */   // Label 5002: @249567
     /* 249567 */   GIM_Try, /*On fail goto*//*Label 5003*/ GIMT_Encode4(249591), // Rule ID 72 //
     /* 249572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_get_fpcr),
     /* 249577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 249580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 249584 */     // (intrinsic_w_chain:{ *:[i64] } 553:{ *:[iPTR] })  =>  (MRS_FPCR:{ *:[i64] })
     /* 249584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MRS_FPCR),
     /* 249587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 249589 */     GIR_RootConstrainSelectedInstOperands,
     /* 249590 */     // GIR_Coverage, 72,
     /* 249590 */     GIR_EraseRootFromParent_Done,
     /* 249591 */   // Label 5003: @249591
     /* 249591 */   GIM_Try, /*On fail goto*//*Label 5004*/ GIMT_Encode4(249615), // Rule ID 74 //
     /* 249596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_get_fpsr),
     /* 249601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 249604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 249608 */     // (intrinsic_w_chain:{ *:[i64] } 554:{ *:[iPTR] })  =>  (MRS_FPSR:{ *:[i64] })
     /* 249608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MRS_FPSR),
     /* 249611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 249613 */     GIR_RootConstrainSelectedInstOperands,
     /* 249614 */     // GIR_Coverage, 74,
     /* 249614 */     GIR_EraseRootFromParent_Done,
     /* 249615 */   // Label 5004: @249615
     /* 249615 */   GIM_Try, /*On fail goto*//*Label 5005*/ GIMT_Encode4(249646), // Rule ID 77 //
     /* 249620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTME),
     /* 249623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_tstart),
     /* 249628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 249631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 249635 */     // (intrinsic_w_chain:{ *:[i64] } 2153:{ *:[iPTR] })  =>  (TSTART:{ *:[i64] })
     /* 249635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TSTART),
     /* 249638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 249640 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 249644 */     GIR_RootConstrainSelectedInstOperands,
     /* 249645 */     // GIR_Coverage, 77,
     /* 249645 */     GIR_EraseRootFromParent_Done,
     /* 249646 */   // Label 5005: @249646
     /* 249646 */   GIM_Try, /*On fail goto*//*Label 5006*/ GIMT_Encode4(249673), // Rule ID 80 //
     /* 249651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTME),
     /* 249654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ttest),
     /* 249659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 249662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 249666 */     // (intrinsic_w_chain:{ *:[i64] } 2154:{ *:[iPTR] })  =>  (TTEST:{ *:[i64] })
     /* 249666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TTEST),
     /* 249669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 249671 */     GIR_RootConstrainSelectedInstOperands,
     /* 249672 */     // GIR_Coverage, 80,
     /* 249672 */     GIR_EraseRootFromParent_Done,
     /* 249673 */   // Label 5006: @249673
     /* 249673 */   GIM_Try, /*On fail goto*//*Label 5007*/ GIMT_Encode4(249704), // Rule ID 2385 //
     /* 249678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 249681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rdffr),
     /* 249686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 249689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 249693 */     // (intrinsic_w_chain:{ *:[nxv16i1] } 1652:{ *:[iPTR] })  =>  (RDFFR_P:{ *:[nxv16i1] })
     /* 249693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RDFFR_P),
     /* 249696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 249698 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 249702 */     GIR_RootConstrainSelectedInstOperands,
     /* 249703 */     // GIR_Coverage, 2385,
     /* 249703 */     GIR_EraseRootFromParent_Done,
     /* 249704 */   // Label 5007: @249704
     /* 249704 */   GIM_Try, /*On fail goto*//*Label 5008*/ GIMT_Encode4(249744), // Rule ID 12695 //
     /* 249709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEandIsNonStreamingSafe),
     /* 249712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sme_get_tpidr2),
     /* 249717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 249720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 249724 */     // (intrinsic_w_chain:{ *:[i64] } 881:{ *:[iPTR] })  =>  (MRS:{ *:[i64] }:{ *:[i32] } 56965:{ *:[i32] })
     /* 249724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MRS),
     /* 249727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 249729 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(56965),
     /* 249739 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 249742 */     GIR_RootConstrainSelectedInstOperands,
     /* 249743 */     // GIR_Coverage, 12695,
     /* 249743 */     GIR_EraseRootFromParent_Done,
     /* 249744 */   // Label 5008: @249744
     /* 249744 */   GIM_Try, /*On fail goto*//*Label 5009*/ GIMT_Encode4(249778), // Rule ID 2387 //
     /* 249749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 249752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_wrffr),
     /* 249757 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 249760 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 249764 */     // (intrinsic_void 2132:{ *:[iPTR] }, PPR8:{ *:[nxv16i1] }:$Pn)  =>  (WRFFR:{ *:[i64] } PPR8:{ *:[nxv16i1] }:$Pn)
     /* 249764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WRFFR),
     /* 249767 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pn
     /* 249769 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::FFR*/0,
     /* 249772 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 249776 */     GIR_RootConstrainSelectedInstOperands,
     /* 249777 */     // GIR_Coverage, 2387,
     /* 249777 */     GIR_EraseRootFromParent_Done,
     /* 249778 */   // Label 5009: @249778
     /* 249778 */   GIM_Try, /*On fail goto*//*Label 5010*/ GIMT_Encode4(249801), // Rule ID 73 //
     /* 249783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_set_fpcr),
     /* 249788 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 249791 */     // (intrinsic_void 780:{ *:[iPTR] }, i64:{ *:[i64] }:$val)  =>  (MSR_FPCR i64:{ *:[i64] }:$val)
     /* 249791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSR_FPCR),
     /* 249794 */     GIR_RootToRootCopy, /*OpIdx*/1, // val
     /* 249796 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::FPCR*/0,
     /* 249799 */     GIR_RootConstrainSelectedInstOperands,
     /* 249800 */     // GIR_Coverage, 73,
     /* 249800 */     GIR_EraseRootFromParent_Done,
     /* 249801 */   // Label 5010: @249801
     /* 249801 */   GIM_Try, /*On fail goto*//*Label 5011*/ GIMT_Encode4(249824), // Rule ID 75 //
     /* 249806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_set_fpsr),
     /* 249811 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 249814 */     // (intrinsic_void 782:{ *:[iPTR] }, i64:{ *:[i64] }:$val)  =>  (MSR_FPSR i64:{ *:[i64] }:$val)
     /* 249814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSR_FPSR),
     /* 249817 */     GIR_RootToRootCopy, /*OpIdx*/1, // val
     /* 249819 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::FPSR*/0,
     /* 249822 */     GIR_RootConstrainSelectedInstOperands,
     /* 249823 */     // GIR_Coverage, 75,
     /* 249823 */     GIR_EraseRootFromParent_Done,
     /* 249824 */   // Label 5011: @249824
     /* 249824 */   GIM_Try, /*On fail goto*//*Label 5012*/ GIMT_Encode4(249851), // Rule ID 76 //
     /* 249829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_set_fpmr),
     /* 249834 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 249837 */     // (intrinsic_void 781:{ *:[iPTR] }, i64:{ *:[i64] }:$val)  =>  (MSR_FPMR i64:{ *:[i64] }:$val)
     /* 249837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSR_FPMR),
     /* 249840 */     GIR_RootToRootCopy, /*OpIdx*/1, // val
     /* 249842 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::FPMR*/0,
     /* 249845 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 249849 */     GIR_RootConstrainSelectedInstOperands,
     /* 249850 */     // GIR_Coverage, 76,
     /* 249850 */     GIR_EraseRootFromParent_Done,
     /* 249851 */   // Label 5012: @249851
     /* 249851 */   GIM_Try, /*On fail goto*//*Label 5013*/ GIMT_Encode4(249884), // Rule ID 12694 //
     /* 249856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEandIsNonStreamingSafe),
     /* 249859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_set_tpidr2),
     /* 249864 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 249867 */     // (intrinsic_void 956:{ *:[iPTR] }, i64:{ *:[i64] }:$val)  =>  (MSR 56965:{ *:[i32] }, GPR64:{ *:[i64] }:$val)
     /* 249867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSR),
     /* 249870 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(56965),
     /* 249880 */     GIR_RootToRootCopy, /*OpIdx*/1, // val
     /* 249882 */     GIR_RootConstrainSelectedInstOperands,
     /* 249883 */     // GIR_Coverage, 12694,
     /* 249883 */     GIR_EraseRootFromParent_Done,
     /* 249884 */   // Label 5013: @249884
     /* 249884 */   GIM_Reject,
     /* 249885 */ // Label 4994: @249885
     /* 249885 */ GIM_Try, /*On fail goto*//*Label 5014*/ GIMT_Encode4(250856),
     /* 249890 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /* 249893 */   GIM_Try, /*On fail goto*//*Label 5015*/ GIMT_Encode4(249969), // Rule ID 7061 //
     /* 249898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldxr),
     /* 249903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 249906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 249910 */     // MIs[0] addr
     /* 249910 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 249914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 249918 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldxr_1),
     /* 249922 */     // (intrinsic_w_chain:{ *:[i64] } 566:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldxr_1>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDXRB:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /* 249922 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 249925 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDXRB),
     /* 249929 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 249934 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // addr
     /* 249938 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 249942 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 249944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 249947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 249949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 249952 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 249955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 249958 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 249963 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 249968 */     // GIR_Coverage, 7061,
     /* 249968 */     GIR_EraseRootFromParent_Done,
     /* 249969 */   // Label 5015: @249969
     /* 249969 */   GIM_Try, /*On fail goto*//*Label 5016*/ GIMT_Encode4(250045), // Rule ID 7062 //
     /* 249974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldxr),
     /* 249979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 249982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 249986 */     // MIs[0] addr
     /* 249986 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 249990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 249994 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldxr_2),
     /* 249998 */     // (intrinsic_w_chain:{ *:[i64] } 566:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldxr_2>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDXRH:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /* 249998 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 250001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDXRH),
     /* 250005 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 250010 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // addr
     /* 250014 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250018 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 250020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 250023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 250025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 250028 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 250031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 250034 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 250039 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 250044 */     // GIR_Coverage, 7062,
     /* 250044 */     GIR_EraseRootFromParent_Done,
     /* 250045 */   // Label 5016: @250045
     /* 250045 */   GIM_Try, /*On fail goto*//*Label 5017*/ GIMT_Encode4(250121), // Rule ID 7063 //
     /* 250050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldxr),
     /* 250055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 250058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 250062 */     // MIs[0] addr
     /* 250062 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 250066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 250070 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldxr_4),
     /* 250074 */     // (intrinsic_w_chain:{ *:[i64] } 566:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldxr_4>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDXRW:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /* 250074 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 250077 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDXRW),
     /* 250081 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 250086 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // addr
     /* 250090 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250094 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 250096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 250099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 250101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 250104 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 250107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 250110 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 250115 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 250120 */     // GIR_Coverage, 7063,
     /* 250120 */     GIR_EraseRootFromParent_Done,
     /* 250121 */   // Label 5017: @250121
     /* 250121 */   GIM_Try, /*On fail goto*//*Label 5018*/ GIMT_Encode4(250163), // Rule ID 7064 //
     /* 250126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldxr),
     /* 250131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 250134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 250138 */     // MIs[0] addr
     /* 250138 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 250142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 250146 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldxr_8),
     /* 250150 */     // (intrinsic_w_chain:{ *:[i64] } 566:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldxr_8>>  =>  (LDXRX:{ *:[i64] } GPR64sp:{ *:[i64] }:$addr)
     /* 250150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDXRX),
     /* 250153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 250155 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 250157 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250161 */     GIR_RootConstrainSelectedInstOperands,
     /* 250162 */     // GIR_Coverage, 7064,
     /* 250162 */     GIR_EraseRootFromParent_Done,
     /* 250163 */   // Label 5018: @250163
     /* 250163 */   GIM_Try, /*On fail goto*//*Label 5019*/ GIMT_Encode4(250239), // Rule ID 7068 //
     /* 250168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldaxr),
     /* 250173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 250176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 250180 */     // MIs[0] addr
     /* 250180 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 250184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 250188 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldaxr_1),
     /* 250192 */     // (intrinsic_w_chain:{ *:[i64] } 563:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldaxr_1>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDAXRB:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /* 250192 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 250195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDAXRB),
     /* 250199 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 250204 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // addr
     /* 250208 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250212 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 250214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 250217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 250219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 250222 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 250225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 250228 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 250233 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 250238 */     // GIR_Coverage, 7068,
     /* 250238 */     GIR_EraseRootFromParent_Done,
     /* 250239 */   // Label 5019: @250239
     /* 250239 */   GIM_Try, /*On fail goto*//*Label 5020*/ GIMT_Encode4(250315), // Rule ID 7069 //
     /* 250244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldaxr),
     /* 250249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 250252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 250256 */     // MIs[0] addr
     /* 250256 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 250260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 250264 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldaxr_2),
     /* 250268 */     // (intrinsic_w_chain:{ *:[i64] } 563:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldaxr_2>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDAXRH:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /* 250268 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 250271 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDAXRH),
     /* 250275 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 250280 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // addr
     /* 250284 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250288 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 250290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 250293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 250295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 250298 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 250301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 250304 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 250309 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 250314 */     // GIR_Coverage, 7069,
     /* 250314 */     GIR_EraseRootFromParent_Done,
     /* 250315 */   // Label 5020: @250315
     /* 250315 */   GIM_Try, /*On fail goto*//*Label 5021*/ GIMT_Encode4(250391), // Rule ID 7070 //
     /* 250320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldaxr),
     /* 250325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 250328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 250332 */     // MIs[0] addr
     /* 250332 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 250336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 250340 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldaxr_4),
     /* 250344 */     // (intrinsic_w_chain:{ *:[i64] } 563:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldaxr_4>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDAXRW:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /* 250344 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 250347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDAXRW),
     /* 250351 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 250356 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // addr
     /* 250360 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 250366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 250369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 250371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 250374 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 250377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 250380 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 250385 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 250390 */     // GIR_Coverage, 7070,
     /* 250390 */     GIR_EraseRootFromParent_Done,
     /* 250391 */   // Label 5021: @250391
     /* 250391 */   GIM_Try, /*On fail goto*//*Label 5022*/ GIMT_Encode4(250433), // Rule ID 7071 //
     /* 250396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldaxr),
     /* 250401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 250404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 250408 */     // MIs[0] addr
     /* 250408 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 250412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 250416 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldaxr_8),
     /* 250420 */     // (intrinsic_w_chain:{ *:[i64] } 563:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldaxr_8>>  =>  (LDAXRX:{ *:[i64] } GPR64sp:{ *:[i64] }:$addr)
     /* 250420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDAXRX),
     /* 250423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 250425 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 250427 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250431 */     GIR_RootConstrainSelectedInstOperands,
     /* 250432 */     // GIR_Coverage, 7071,
     /* 250432 */     GIR_EraseRootFromParent_Done,
     /* 250433 */   // Label 5022: @250433
     /* 250433 */   GIM_Try, /*On fail goto*//*Label 5023*/ GIMT_Encode4(250473), // Rule ID 20 //
     /* 250438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGCS),
     /* 250441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_gcspopm),
     /* 250446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 250449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 250452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 250456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 250460 */     // (intrinsic_w_chain:{ *:[i64] } 551:{ *:[iPTR] }, GPR64:{ *:[i64] }:$src)  =>  (GCSPOPM:{ *:[i64] } GPR64:{ *:[i64] }:$src)
     /* 250460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::GCSPOPM),
     /* 250463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 250465 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 250467 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250471 */     GIR_RootConstrainSelectedInstOperands,
     /* 250472 */     // GIR_Coverage, 20,
     /* 250472 */     GIR_EraseRootFromParent_Done,
     /* 250473 */   // Label 5023: @250473
     /* 250473 */   GIM_Try, /*On fail goto*//*Label 5024*/ GIMT_Encode4(250513), // Rule ID 2384 //
     /* 250478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 250481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rdffr_z),
     /* 250486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 250489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 250492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 250496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 250500 */     // (intrinsic_w_chain:{ *:[nxv16i1] } 1653:{ *:[iPTR] }, PPRAny:{ *:[nxv16i1] }:$Pg)  =>  (RDFFR_PPz:{ *:[nxv16i1] } PPRAny:{ *:[nxv16i1] }:$Pg)
     /* 250500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RDFFR_PPz),
     /* 250503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 250505 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 250507 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250511 */     GIR_RootConstrainSelectedInstOperands,
     /* 250512 */     // GIR_Coverage, 2384,
     /* 250512 */     GIR_EraseRootFromParent_Done,
     /* 250513 */   // Label 5024: @250513
     /* 250513 */   GIM_Try, /*On fail goto*//*Label 5025*/ GIMT_Encode4(250553), // Rule ID 2495 //
     /* 250518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 250521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_cvtl1),
     /* 250526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 250529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 250532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 250536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 250540 */     // (intrinsic_w_chain:{ *:[v8f16] } 611:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (F1CVTL:{ *:[v8f16] } V64:{ *:[v8i8] }:$Rn)
     /* 250540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::F1CVTL),
     /* 250543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 250545 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 250547 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250551 */     GIR_RootConstrainSelectedInstOperands,
     /* 250552 */     // GIR_Coverage, 2495,
     /* 250552 */     GIR_EraseRootFromParent_Done,
     /* 250553 */   // Label 5025: @250553
     /* 250553 */   GIM_Try, /*On fail goto*//*Label 5026*/ GIMT_Encode4(250593), // Rule ID 2496 //
     /* 250558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 250561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_cvtl1),
     /* 250566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 250569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 250572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 250576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 250580 */     // (intrinsic_w_chain:{ *:[v8f16] } 611:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (F1CVTL2:{ *:[v8f16] } V128:{ *:[v16i8] }:$Rn)
     /* 250580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::F1CVTL2),
     /* 250583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 250585 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 250587 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250591 */     GIR_RootConstrainSelectedInstOperands,
     /* 250592 */     // GIR_Coverage, 2496,
     /* 250592 */     GIR_EraseRootFromParent_Done,
     /* 250593 */   // Label 5026: @250593
     /* 250593 */   GIM_Try, /*On fail goto*//*Label 5027*/ GIMT_Encode4(250633), // Rule ID 6950 //
     /* 250598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 250601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_cvtl2),
     /* 250606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 250609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 250612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 250616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 250620 */     // (intrinsic_w_chain:{ *:[v8f16] } 612:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (F2CVTL:{ *:[v8f16] } V64:{ *:[v8i8] }:$Rn)
     /* 250620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::F2CVTL),
     /* 250623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 250625 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 250627 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250631 */     GIR_RootConstrainSelectedInstOperands,
     /* 250632 */     // GIR_Coverage, 6950,
     /* 250632 */     GIR_EraseRootFromParent_Done,
     /* 250633 */   // Label 5027: @250633
     /* 250633 */   GIM_Try, /*On fail goto*//*Label 5028*/ GIMT_Encode4(250673), // Rule ID 6951 //
     /* 250638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 250641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_cvtl2),
     /* 250646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 250649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 250652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 250656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 250660 */     // (intrinsic_w_chain:{ *:[v8f16] } 612:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (F2CVTL2:{ *:[v8f16] } V128:{ *:[v16i8] }:$Rn)
     /* 250660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::F2CVTL2),
     /* 250663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 250665 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 250667 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250671 */     GIR_RootConstrainSelectedInstOperands,
     /* 250672 */     // GIR_Coverage, 6951,
     /* 250672 */     GIR_EraseRootFromParent_Done,
     /* 250673 */   // Label 5028: @250673
     /* 250673 */   GIM_Try, /*On fail goto*//*Label 5029*/ GIMT_Encode4(250709), // Rule ID 3577 //
     /* 250678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8_HasSVE2_or_SME2),
     /* 250681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_cvt1),
     /* 250686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 250689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 250692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 250696 */     // (intrinsic_w_chain:{ *:[nxv8f16] } 1477:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (F1CVT_ZZ_BtoH:{ *:[nxv8f16] } ?:{ *:[nxv16i8] }:$Op1)
     /* 250696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::F1CVT_ZZ_BtoH),
     /* 250699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 250701 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 250703 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250707 */     GIR_RootConstrainSelectedInstOperands,
     /* 250708 */     // GIR_Coverage, 3577,
     /* 250708 */     GIR_EraseRootFromParent_Done,
     /* 250709 */   // Label 5029: @250709
     /* 250709 */   GIM_Try, /*On fail goto*//*Label 5030*/ GIMT_Encode4(250747), // Rule ID 3991 //
     /* 250714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMTE),
     /* 250717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_irg_sp),
     /* 250722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 250725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 250728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 250732 */     // (intrinsic_w_chain:{ *:[i64] } 559:{ *:[iPTR] }, i64:{ *:[i64] }:$Rm)  =>  (IRGstack:{ *:[i64] } SP:{ *:[i64] }, i64:{ *:[i64] }:$Rm)
     /* 250732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::IRGstack),
     /* 250735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 250737 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::SP), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 250743 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 250745 */     GIR_RootConstrainSelectedInstOperands,
     /* 250746 */     // GIR_Coverage, 3991,
     /* 250746 */     GIR_EraseRootFromParent_Done,
     /* 250747 */   // Label 5030: @250747
     /* 250747 */   GIM_Try, /*On fail goto*//*Label 5031*/ GIMT_Encode4(250783), // Rule ID 12429 //
     /* 250752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8_HasSVE2_or_SME2),
     /* 250755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_cvt2),
     /* 250760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 250763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 250766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 250770 */     // (intrinsic_w_chain:{ *:[nxv8f16] } 1479:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (F2CVT_ZZ_BtoH:{ *:[nxv8f16] } ?:{ *:[nxv16i8] }:$Op1)
     /* 250770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::F2CVT_ZZ_BtoH),
     /* 250773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 250775 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 250777 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250781 */     GIR_RootConstrainSelectedInstOperands,
     /* 250782 */     // GIR_Coverage, 12429,
     /* 250782 */     GIR_EraseRootFromParent_Done,
     /* 250783 */   // Label 5031: @250783
     /* 250783 */   GIM_Try, /*On fail goto*//*Label 5032*/ GIMT_Encode4(250819), // Rule ID 12430 //
     /* 250788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8_HasSVE2_or_SME2),
     /* 250791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_cvtlt1),
     /* 250796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 250799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 250802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 250806 */     // (intrinsic_w_chain:{ *:[nxv8f16] } 1483:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (F1CVTLT_ZZ_BtoH:{ *:[nxv8f16] } ?:{ *:[nxv16i8] }:$Op1)
     /* 250806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::F1CVTLT_ZZ_BtoH),
     /* 250809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 250811 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 250813 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250817 */     GIR_RootConstrainSelectedInstOperands,
     /* 250818 */     // GIR_Coverage, 12430,
     /* 250818 */     GIR_EraseRootFromParent_Done,
     /* 250819 */   // Label 5032: @250819
     /* 250819 */   GIM_Try, /*On fail goto*//*Label 5033*/ GIMT_Encode4(250855), // Rule ID 12431 //
     /* 250824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8_HasSVE2_or_SME2),
     /* 250827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_cvtlt2),
     /* 250832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 250835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 250838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 250842 */     // (intrinsic_w_chain:{ *:[nxv8f16] } 1484:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (F2CVTLT_ZZ_BtoH:{ *:[nxv8f16] } ?:{ *:[nxv16i8] }:$Op1)
     /* 250842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::F2CVTLT_ZZ_BtoH),
     /* 250845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 250847 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 250849 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250853 */     GIR_RootConstrainSelectedInstOperands,
     /* 250854 */     // GIR_Coverage, 12431,
     /* 250854 */     GIR_EraseRootFromParent_Done,
     /* 250855 */   // Label 5033: @250855
     /* 250855 */   GIM_Reject,
     /* 250856 */ // Label 5014: @250856
     /* 250856 */ GIM_Try, /*On fail goto*//*Label 5034*/ GIMT_Encode4(254828),
     /* 250861 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/4,
     /* 250864 */   GIM_Try, /*On fail goto*//*Label 5035*/ GIMT_Encode4(250961), // Rule ID 7079 //
     /* 250869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stxr),
     /* 250874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 250877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 250880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 250884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 250888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 250892 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 250896 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 250900 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /* 250904 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 250908 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 250912 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 250917 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(255),
     /* 250928 */     // MIs[0] addr
     /* 250928 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 250932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 250936 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stxr_1),
     /* 250940 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 250942 */     // (intrinsic_w_chain:{ *:[i32] } 1227:{ *:[iPTR] }, (zext:{ *:[i64] } (and:{ *:[i32] } GPR32:{ *:[i32] }:$val, 255:{ *:[i32] })), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stxr_1>>  =>  (STXRB:{ *:[i32] } GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$addr)
     /* 250942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STXRB),
     /* 250945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 250947 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // val
     /* 250951 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 250953 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 250959 */     GIR_RootConstrainSelectedInstOperands,
     /* 250960 */     // GIR_Coverage, 7079,
     /* 250960 */     GIR_EraseRootFromParent_Done,
     /* 250961 */   // Label 5035: @250961
     /* 250961 */   GIM_Try, /*On fail goto*//*Label 5036*/ GIMT_Encode4(251058), // Rule ID 7080 //
     /* 250966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stxr),
     /* 250971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 250974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 250977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 250981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 250985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 250989 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 250993 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 250997 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /* 251001 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 251005 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 251009 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 251014 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(65535),
     /* 251025 */     // MIs[0] addr
     /* 251025 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 251029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 251033 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stxr_2),
     /* 251037 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 251039 */     // (intrinsic_w_chain:{ *:[i32] } 1227:{ *:[iPTR] }, (zext:{ *:[i64] } (and:{ *:[i32] } GPR32:{ *:[i32] }:$val, 65535:{ *:[i32] })), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stxr_2>>  =>  (STXRH:{ *:[i32] } GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$addr)
     /* 251039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STXRH),
     /* 251042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 251044 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // val
     /* 251048 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 251050 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 251056 */     GIR_RootConstrainSelectedInstOperands,
     /* 251057 */     // GIR_Coverage, 7080,
     /* 251057 */     GIR_EraseRootFromParent_Done,
     /* 251058 */   // Label 5036: @251058
     /* 251058 */   GIM_Try, /*On fail goto*//*Label 5037*/ GIMT_Encode4(251155), // Rule ID 7089 //
     /* 251063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stlxr),
     /* 251068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 251071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 251074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 251078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 251082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 251086 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 251090 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 251094 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /* 251098 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 251102 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 251106 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 251111 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(255),
     /* 251122 */     // MIs[0] addr
     /* 251122 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 251126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 251130 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stlxr_1),
     /* 251134 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 251136 */     // (intrinsic_w_chain:{ *:[i32] } 1225:{ *:[iPTR] }, (zext:{ *:[i64] } (and:{ *:[i32] } GPR32:{ *:[i32] }:$val, 255:{ *:[i32] })), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stlxr_1>>  =>  (STLXRB:{ *:[i32] } GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$addr)
     /* 251136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLXRB),
     /* 251139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 251141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // val
     /* 251145 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 251147 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 251153 */     GIR_RootConstrainSelectedInstOperands,
     /* 251154 */     // GIR_Coverage, 7089,
     /* 251154 */     GIR_EraseRootFromParent_Done,
     /* 251155 */   // Label 5037: @251155
     /* 251155 */   GIM_Try, /*On fail goto*//*Label 5038*/ GIMT_Encode4(251252), // Rule ID 7090 //
     /* 251160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stlxr),
     /* 251165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 251168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 251171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 251175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 251179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 251183 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 251187 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 251191 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /* 251195 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 251199 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 251203 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 251208 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(65535),
     /* 251219 */     // MIs[0] addr
     /* 251219 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 251223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 251227 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stlxr_2),
     /* 251231 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 251233 */     // (intrinsic_w_chain:{ *:[i32] } 1225:{ *:[iPTR] }, (zext:{ *:[i64] } (and:{ *:[i32] } GPR32:{ *:[i32] }:$val, 65535:{ *:[i32] })), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stlxr_2>>  =>  (STLXRH:{ *:[i32] } GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$addr)
     /* 251233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLXRH),
     /* 251236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 251238 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // val
     /* 251242 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 251244 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 251250 */     GIR_RootConstrainSelectedInstOperands,
     /* 251251 */     // GIR_Coverage, 7090,
     /* 251251 */     GIR_EraseRootFromParent_Done,
     /* 251252 */   // Label 5038: @251252
     /* 251252 */   GIM_Try, /*On fail goto*//*Label 5039*/ GIMT_Encode4(251363), // Rule ID 7082 //
     /* 251257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stxr),
     /* 251262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 251265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 251268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 251272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 251276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 251280 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 251284 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 251288 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 251293 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(255),
     /* 251304 */     // MIs[0] addr
     /* 251304 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 251308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 251312 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stxr_1),
     /* 251316 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 251318 */     // (intrinsic_w_chain:{ *:[i32] } 1227:{ *:[iPTR] }, (and:{ *:[i64] } GPR64:{ *:[i64] }:$val, 255:{ *:[i64] }), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stxr_1>>  =>  (STXRB:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 251318 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 251321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 251325 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 251330 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 251336 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 251341 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 251346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STXRB),
     /* 251349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 251351 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 251354 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 251356 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 251361 */     GIR_RootConstrainSelectedInstOperands,
     /* 251362 */     // GIR_Coverage, 7082,
     /* 251362 */     GIR_EraseRootFromParent_Done,
     /* 251363 */   // Label 5039: @251363
     /* 251363 */   GIM_Try, /*On fail goto*//*Label 5040*/ GIMT_Encode4(251474), // Rule ID 7083 //
     /* 251368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stxr),
     /* 251373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 251376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 251379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 251383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 251387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 251391 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 251395 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 251399 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 251404 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /* 251415 */     // MIs[0] addr
     /* 251415 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 251419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 251423 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stxr_2),
     /* 251427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 251429 */     // (intrinsic_w_chain:{ *:[i32] } 1227:{ *:[iPTR] }, (and:{ *:[i64] } GPR64:{ *:[i64] }:$val, 65535:{ *:[i64] }), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stxr_2>>  =>  (STXRH:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 251429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 251432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 251436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 251441 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 251447 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 251452 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 251457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STXRH),
     /* 251460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 251462 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 251465 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 251467 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 251472 */     GIR_RootConstrainSelectedInstOperands,
     /* 251473 */     // GIR_Coverage, 7083,
     /* 251473 */     GIR_EraseRootFromParent_Done,
     /* 251474 */   // Label 5040: @251474
     /* 251474 */   GIM_Try, /*On fail goto*//*Label 5041*/ GIMT_Encode4(251585), // Rule ID 7084 //
     /* 251479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stxr),
     /* 251484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 251487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 251490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 251494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 251498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 251502 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 251506 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 251510 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 251515 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /* 251526 */     // MIs[0] addr
     /* 251526 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 251530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 251534 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stxr_4),
     /* 251538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 251540 */     // (intrinsic_w_chain:{ *:[i32] } 1227:{ *:[iPTR] }, (and:{ *:[i64] } GPR64:{ *:[i64] }:$val, 4294967295:{ *:[i64] }), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stxr_4>>  =>  (STXRW:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 251540 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 251543 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 251547 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 251552 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 251558 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 251563 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 251568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STXRW),
     /* 251571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 251573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 251576 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 251578 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 251583 */     GIR_RootConstrainSelectedInstOperands,
     /* 251584 */     // GIR_Coverage, 7084,
     /* 251584 */     GIR_EraseRootFromParent_Done,
     /* 251585 */   // Label 5041: @251585
     /* 251585 */   GIM_Try, /*On fail goto*//*Label 5042*/ GIMT_Encode4(251696), // Rule ID 7092 //
     /* 251590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stlxr),
     /* 251595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 251598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 251601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 251605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 251609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 251613 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 251617 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 251621 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 251626 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(255),
     /* 251637 */     // MIs[0] addr
     /* 251637 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 251641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 251645 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stlxr_1),
     /* 251649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 251651 */     // (intrinsic_w_chain:{ *:[i32] } 1225:{ *:[iPTR] }, (and:{ *:[i64] } GPR64:{ *:[i64] }:$val, 255:{ *:[i64] }), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stlxr_1>>  =>  (STLXRB:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 251651 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 251654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 251658 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 251663 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 251669 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 251674 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 251679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLXRB),
     /* 251682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 251684 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 251687 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 251689 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 251694 */     GIR_RootConstrainSelectedInstOperands,
     /* 251695 */     // GIR_Coverage, 7092,
     /* 251695 */     GIR_EraseRootFromParent_Done,
     /* 251696 */   // Label 5042: @251696
     /* 251696 */   GIM_Try, /*On fail goto*//*Label 5043*/ GIMT_Encode4(251807), // Rule ID 7093 //
     /* 251701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stlxr),
     /* 251706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 251709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 251712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 251716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 251720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 251724 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 251728 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 251732 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 251737 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /* 251748 */     // MIs[0] addr
     /* 251748 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 251752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 251756 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stlxr_2),
     /* 251760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 251762 */     // (intrinsic_w_chain:{ *:[i32] } 1225:{ *:[iPTR] }, (and:{ *:[i64] } GPR64:{ *:[i64] }:$val, 65535:{ *:[i64] }), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stlxr_2>>  =>  (STLXRH:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 251762 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 251765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 251769 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 251774 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 251780 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 251785 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 251790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLXRH),
     /* 251793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 251795 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 251798 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 251800 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 251805 */     GIR_RootConstrainSelectedInstOperands,
     /* 251806 */     // GIR_Coverage, 7093,
     /* 251806 */     GIR_EraseRootFromParent_Done,
     /* 251807 */   // Label 5043: @251807
     /* 251807 */   GIM_Try, /*On fail goto*//*Label 5044*/ GIMT_Encode4(251918), // Rule ID 7094 //
     /* 251812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stlxr),
     /* 251817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 251820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 251823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 251827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 251831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 251835 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 251839 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 251843 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 251848 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /* 251859 */     // MIs[0] addr
     /* 251859 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 251863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 251867 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stlxr_4),
     /* 251871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 251873 */     // (intrinsic_w_chain:{ *:[i32] } 1225:{ *:[iPTR] }, (and:{ *:[i64] } GPR64:{ *:[i64] }:$val, 4294967295:{ *:[i64] }), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stlxr_4>>  =>  (STLXRW:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 251873 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 251876 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 251880 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 251885 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 251891 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 251896 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 251901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLXRW),
     /* 251904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 251906 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 251909 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 251911 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 251916 */     GIR_RootConstrainSelectedInstOperands,
     /* 251917 */     // GIR_Coverage, 7094,
     /* 251917 */     GIR_EraseRootFromParent_Done,
     /* 251918 */   // Label 5044: @251918
     /* 251918 */   GIM_Try, /*On fail goto*//*Label 5045*/ GIMT_Encode4(251969), // Rule ID 70 //
     /* 251923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::hwasan_check_memaccess_fixedshadow),
     /* 251928 */     // MIs[0] ptr
     /* 251928 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 251932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64noipRegClassID),
     /* 251936 */     // MIs[0] accessinfo
     /* 251936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 251939 */     // MIs[0] fixed_shadow
     /* 251939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 251942 */     // (intrinsic_void 191:{ *:[iPTR] }, GPR64noip:{ *:[i64] }:$ptr, (timm:{ *:[i32] }):$accessinfo, (timm:{ *:[i64] }):$fixed_shadow)  =>  (HWASAN_CHECK_MEMACCESS_FIXEDSHADOW:{ *:[i64] } GPR64noip:{ *:[i64] }:$ptr, (timm:{ *:[i32] }):$accessinfo, (timm:{ *:[i64] }):$fixed_shadow)
     /* 251942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::HWASAN_CHECK_MEMACCESS_FIXEDSHADOW),
     /* 251945 */     GIR_RootToRootCopy, /*OpIdx*/1, // ptr
     /* 251947 */     GIR_RootToRootCopy, /*OpIdx*/2, // accessinfo
     /* 251949 */     GIR_RootToRootCopy, /*OpIdx*/3, // fixed_shadow
     /* 251951 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::X16*/0,
     /* 251954 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::X17*/1,
     /* 251957 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::LR*/2,
     /* 251960 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/3,
     /* 251963 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251967 */     GIR_RootConstrainSelectedInstOperands,
     /* 251968 */     // GIR_Coverage, 70,
     /* 251968 */     GIR_EraseRootFromParent_Done,
     /* 251969 */   // Label 5045: @251969
     /* 251969 */   GIM_Try, /*On fail goto*//*Label 5046*/ GIMT_Encode4(252020), // Rule ID 71 //
     /* 251974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::hwasan_check_memaccess_shortgranules_fixedshadow),
     /* 251979 */     // MIs[0] ptr
     /* 251979 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 251983 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64noipRegClassID),
     /* 251987 */     // MIs[0] accessinfo
     /* 251987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 251990 */     // MIs[0] fixed_shadow
     /* 251990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 251993 */     // (intrinsic_void 193:{ *:[iPTR] }, GPR64noip:{ *:[i64] }:$ptr, (timm:{ *:[i32] }):$accessinfo, (timm:{ *:[i64] }):$fixed_shadow)  =>  (HWASAN_CHECK_MEMACCESS_SHORTGRANULES_FIXEDSHADOW:{ *:[i64] } GPR64noip:{ *:[i64] }:$ptr, (timm:{ *:[i32] }):$accessinfo, (timm:{ *:[i64] }):$fixed_shadow)
     /* 251993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::HWASAN_CHECK_MEMACCESS_SHORTGRANULES_FIXEDSHADOW),
     /* 251996 */     GIR_RootToRootCopy, /*OpIdx*/1, // ptr
     /* 251998 */     GIR_RootToRootCopy, /*OpIdx*/2, // accessinfo
     /* 252000 */     GIR_RootToRootCopy, /*OpIdx*/3, // fixed_shadow
     /* 252002 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::X16*/0,
     /* 252005 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::X17*/1,
     /* 252008 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::LR*/2,
     /* 252011 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/3,
     /* 252014 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 252018 */     GIR_RootConstrainSelectedInstOperands,
     /* 252019 */     // GIR_Coverage, 71,
     /* 252019 */     GIR_EraseRootFromParent_Done,
     /* 252020 */   // Label 5046: @252020
     /* 252020 */   GIM_Try, /*On fail goto*//*Label 5047*/ GIMT_Encode4(252089), // Rule ID 7081 //
     /* 252025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stxr),
     /* 252030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 252033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 252036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 252040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 252044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 252048 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 252052 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 252057 */     // MIs[0] addr
     /* 252057 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 252061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 252065 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stxr_4),
     /* 252069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 252071 */     // (intrinsic_w_chain:{ *:[i32] } 1227:{ *:[iPTR] }, (zext:{ *:[i64] } GPR32:{ *:[i32] }:$val), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stxr_4>>  =>  (STXRW:{ *:[i32] } GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$addr)
     /* 252071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STXRW),
     /* 252074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 252076 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // val
     /* 252080 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 252082 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 252087 */     GIR_RootConstrainSelectedInstOperands,
     /* 252088 */     // GIR_Coverage, 7081,
     /* 252088 */     GIR_EraseRootFromParent_Done,
     /* 252089 */   // Label 5047: @252089
     /* 252089 */   GIM_Try, /*On fail goto*//*Label 5048*/ GIMT_Encode4(252158), // Rule ID 7091 //
     /* 252094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stlxr),
     /* 252099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 252102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 252105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 252109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 252113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 252117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 252121 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 252126 */     // MIs[0] addr
     /* 252126 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 252130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 252134 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stlxr_4),
     /* 252138 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 252140 */     // (intrinsic_w_chain:{ *:[i32] } 1225:{ *:[iPTR] }, (zext:{ *:[i64] } GPR32:{ *:[i32] }:$val), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stlxr_4>>  =>  (STLXRW:{ *:[i32] } GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$addr)
     /* 252140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLXRW),
     /* 252143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 252145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // val
     /* 252149 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 252151 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 252156 */     GIR_RootConstrainSelectedInstOperands,
     /* 252157 */     // GIR_Coverage, 7091,
     /* 252157 */     GIR_EraseRootFromParent_Done,
     /* 252158 */   // Label 5048: @252158
     /* 252158 */   GIM_Try, /*On fail goto*//*Label 5049*/ GIMT_Encode4(252196), // Rule ID 3601 //
     /* 252163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 252166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_smop4a_wide_1x1),
     /* 252171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 252174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 252177 */     // MIs[0] tile
     /* 252177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 252180 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 252185 */     // (intrinsic_void 1005:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (SMOP4A_MZZ_BToS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 252185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOP4A_MZZ_BToS_PSEUDO),
     /* 252188 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 252190 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 252192 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 252194 */     GIR_RootConstrainSelectedInstOperands,
     /* 252195 */     // GIR_Coverage, 3601,
     /* 252195 */     GIR_EraseRootFromParent_Done,
     /* 252196 */   // Label 5049: @252196
     /* 252196 */   GIM_Try, /*On fail goto*//*Label 5050*/ GIMT_Encode4(252234), // Rule ID 3605 //
     /* 252201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 252204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_smop4a_wide_1x1),
     /* 252209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 252212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 252215 */     // MIs[0] tile
     /* 252215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 252218 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 252223 */     // (intrinsic_void 1005:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (SMOP4A_MZZ_HToS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 252223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOP4A_MZZ_HToS_PSEUDO),
     /* 252226 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 252228 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 252230 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 252232 */     GIR_RootConstrainSelectedInstOperands,
     /* 252233 */     // GIR_Coverage, 3605,
     /* 252233 */     GIR_EraseRootFromParent_Done,
     /* 252234 */   // Label 5050: @252234
     /* 252234 */   GIM_Try, /*On fail goto*//*Label 5051*/ GIMT_Encode4(252272), // Rule ID 3609 //
     /* 252239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64_HasSME_MOP4),
     /* 252242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_smop4a_za64_wide_1x1),
     /* 252247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 252250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 252253 */     // MIs[0] tile
     /* 252253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 252256 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 252261 */     // (intrinsic_void 1009:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (SMOP4A_MZZ_HtoD_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 252261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOP4A_MZZ_HtoD_PSEUDO),
     /* 252264 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 252266 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 252268 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 252270 */     GIR_RootConstrainSelectedInstOperands,
     /* 252271 */     // GIR_Coverage, 3609,
     /* 252271 */     GIR_EraseRootFromParent_Done,
     /* 252272 */   // Label 5051: @252272
     /* 252272 */   GIM_Try, /*On fail goto*//*Label 5052*/ GIMT_Encode4(252310), // Rule ID 3777 //
     /* 252277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEF16F16_HasSME_MOP4),
     /* 252280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mop4a_1x1),
     /* 252285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 252288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 252291 */     // MIs[0] tile
     /* 252291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 252294 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_1),
     /* 252299 */     // (intrinsic_void 902:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_1>>:$tile, nxv8f16:{ *:[nxv8f16] }:$Zn, nxv8f16:{ *:[nxv8f16] }:$Zm)  =>  (FMOP4A_MZZ_H_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8f16] }:$Zn, ?:{ *:[nxv8f16] }:$Zm)
     /* 252299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOP4A_MZZ_H_PSEUDO),
     /* 252302 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 252304 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 252306 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 252308 */     GIR_RootConstrainSelectedInstOperands,
     /* 252309 */     // GIR_Coverage, 3777,
     /* 252309 */     GIR_EraseRootFromParent_Done,
     /* 252310 */   // Label 5052: @252310
     /* 252310 */   GIM_Try, /*On fail goto*//*Label 5053*/ GIMT_Encode4(252348), // Rule ID 3781 //
     /* 252315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 252318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mop4a_1x1),
     /* 252323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 252326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 252329 */     // MIs[0] tile
     /* 252329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 252332 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 252337 */     // (intrinsic_void 902:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv4f32:{ *:[nxv4f32] }:$Zn, nxv4f32:{ *:[nxv4f32] }:$Zm)  =>  (FMOP4A_MZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv4f32] }:$Zn, ?:{ *:[nxv4f32] }:$Zm)
     /* 252337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOP4A_MZZ_S_PSEUDO),
     /* 252340 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 252342 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 252344 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 252346 */     GIR_RootConstrainSelectedInstOperands,
     /* 252347 */     // GIR_Coverage, 3781,
     /* 252347 */     GIR_EraseRootFromParent_Done,
     /* 252348 */   // Label 5053: @252348
     /* 252348 */   GIM_Try, /*On fail goto*//*Label 5054*/ GIMT_Encode4(252386), // Rule ID 3785 //
     /* 252353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEF64F64_HasSME_MOP4),
     /* 252356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mop4a_1x1),
     /* 252361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 252364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 252367 */     // MIs[0] tile
     /* 252367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 252370 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 252375 */     // (intrinsic_void 902:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, nxv2f64:{ *:[nxv2f64] }:$Zn, nxv2f64:{ *:[nxv2f64] }:$Zm)  =>  (FMOP4A_MZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv2f64] }:$Zn, ?:{ *:[nxv2f64] }:$Zm)
     /* 252375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOP4A_MZZ_D_PSEUDO),
     /* 252378 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 252380 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 252382 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 252384 */     GIR_RootConstrainSelectedInstOperands,
     /* 252385 */     // GIR_Coverage, 3785,
     /* 252385 */     GIR_EraseRootFromParent_Done,
     /* 252386 */   // Label 5054: @252386
     /* 252386 */   GIM_Try, /*On fail goto*//*Label 5055*/ GIMT_Encode4(252424), // Rule ID 3789 //
     /* 252391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 252394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mop4a_wide_1x1),
     /* 252399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 252402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 252405 */     // MIs[0] tile
     /* 252405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 252408 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 252413 */     // (intrinsic_void 906:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv8f16:{ *:[nxv8f16] }:$Zn, nxv8f16:{ *:[nxv8f16] }:$Zm)  =>  (FMOP4A_MZZ_HtoS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8f16] }:$Zn, ?:{ *:[nxv8f16] }:$Zm)
     /* 252413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOP4A_MZZ_HtoS_PSEUDO),
     /* 252416 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 252418 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 252420 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 252422 */     GIR_RootConstrainSelectedInstOperands,
     /* 252423 */     // GIR_Coverage, 3789,
     /* 252423 */     GIR_EraseRootFromParent_Done,
     /* 252424 */   // Label 5055: @252424
     /* 252424 */   GIM_Try, /*On fail goto*//*Label 5056*/ GIMT_Encode4(252462), // Rule ID 12508 //
     /* 252429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 252432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_smop4s_wide_1x1),
     /* 252437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 252440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 252443 */     // MIs[0] tile
     /* 252443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 252446 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 252451 */     // (intrinsic_void 1013:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (SMOP4S_MZZ_BToS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 252451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOP4S_MZZ_BToS_PSEUDO),
     /* 252454 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 252456 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 252458 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 252460 */     GIR_RootConstrainSelectedInstOperands,
     /* 252461 */     // GIR_Coverage, 12508,
     /* 252461 */     GIR_EraseRootFromParent_Done,
     /* 252462 */   // Label 5056: @252462
     /* 252462 */   GIM_Try, /*On fail goto*//*Label 5057*/ GIMT_Encode4(252500), // Rule ID 12512 //
     /* 252467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 252470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_sumop4a_wide_1x1),
     /* 252475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 252478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 252481 */     // MIs[0] tile
     /* 252481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 252484 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 252489 */     // (intrinsic_void 1056:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (SUMOP4A_MZZ_BToS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 252489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUMOP4A_MZZ_BToS_PSEUDO),
     /* 252492 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 252494 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 252496 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 252498 */     GIR_RootConstrainSelectedInstOperands,
     /* 252499 */     // GIR_Coverage, 12512,
     /* 252499 */     GIR_EraseRootFromParent_Done,
     /* 252500 */   // Label 5057: @252500
     /* 252500 */   GIM_Try, /*On fail goto*//*Label 5058*/ GIMT_Encode4(252538), // Rule ID 12516 //
     /* 252505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 252508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_sumop4s_wide_1x1),
     /* 252513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 252516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 252519 */     // MIs[0] tile
     /* 252519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 252522 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 252527 */     // (intrinsic_void 1064:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (SUMOP4S_MZZ_BToS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 252527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUMOP4S_MZZ_BToS_PSEUDO),
     /* 252530 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 252532 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 252534 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 252536 */     GIR_RootConstrainSelectedInstOperands,
     /* 252537 */     // GIR_Coverage, 12516,
     /* 252537 */     GIR_EraseRootFromParent_Done,
     /* 252538 */   // Label 5058: @252538
     /* 252538 */   GIM_Try, /*On fail goto*//*Label 5059*/ GIMT_Encode4(252576), // Rule ID 12520 //
     /* 252543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 252546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_usmop4a_wide_1x1),
     /* 252551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 252554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 252557 */     // MIs[0] tile
     /* 252557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 252560 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 252565 */     // (intrinsic_void 1172:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (USMOP4A_MZZ_BToS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 252565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USMOP4A_MZZ_BToS_PSEUDO),
     /* 252568 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 252570 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 252572 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 252574 */     GIR_RootConstrainSelectedInstOperands,
     /* 252575 */     // GIR_Coverage, 12520,
     /* 252575 */     GIR_EraseRootFromParent_Done,
     /* 252576 */   // Label 5059: @252576
     /* 252576 */   GIM_Try, /*On fail goto*//*Label 5060*/ GIMT_Encode4(252614), // Rule ID 12524 //
     /* 252581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 252584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_usmop4s_wide_1x1),
     /* 252589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 252592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 252595 */     // MIs[0] tile
     /* 252595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 252598 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 252603 */     // (intrinsic_void 1180:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (USMOP4S_MZZ_BToS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 252603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USMOP4S_MZZ_BToS_PSEUDO),
     /* 252606 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 252608 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 252610 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 252612 */     GIR_RootConstrainSelectedInstOperands,
     /* 252613 */     // GIR_Coverage, 12524,
     /* 252613 */     GIR_EraseRootFromParent_Done,
     /* 252614 */   // Label 5060: @252614
     /* 252614 */   GIM_Try, /*On fail goto*//*Label 5061*/ GIMT_Encode4(252652), // Rule ID 12528 //
     /* 252619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 252622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_umop4a_wide_1x1),
     /* 252627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 252630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 252633 */     // MIs[0] tile
     /* 252633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 252636 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 252641 */     // (intrinsic_void 1138:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (UMOP4A_MZZ_BToS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 252641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOP4A_MZZ_BToS_PSEUDO),
     /* 252644 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 252646 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 252648 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 252650 */     GIR_RootConstrainSelectedInstOperands,
     /* 252651 */     // GIR_Coverage, 12528,
     /* 252651 */     GIR_EraseRootFromParent_Done,
     /* 252652 */   // Label 5061: @252652
     /* 252652 */   GIM_Try, /*On fail goto*//*Label 5062*/ GIMT_Encode4(252690), // Rule ID 12532 //
     /* 252657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 252660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_umop4s_wide_1x1),
     /* 252665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 252668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 252671 */     // MIs[0] tile
     /* 252671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 252674 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 252679 */     // (intrinsic_void 1146:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (UMOP4S_MZZ_BToS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 252679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOP4S_MZZ_BToS_PSEUDO),
     /* 252682 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 252684 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 252686 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 252688 */     GIR_RootConstrainSelectedInstOperands,
     /* 252689 */     // GIR_Coverage, 12532,
     /* 252689 */     GIR_EraseRootFromParent_Done,
     /* 252690 */   // Label 5062: @252690
     /* 252690 */   GIM_Try, /*On fail goto*//*Label 5063*/ GIMT_Encode4(252728), // Rule ID 12536 //
     /* 252695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 252698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_smop4s_wide_1x1),
     /* 252703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 252706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 252709 */     // MIs[0] tile
     /* 252709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 252712 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 252717 */     // (intrinsic_void 1013:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (SMOP4S_MZZ_HToS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 252717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOP4S_MZZ_HToS_PSEUDO),
     /* 252720 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 252722 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 252724 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 252726 */     GIR_RootConstrainSelectedInstOperands,
     /* 252727 */     // GIR_Coverage, 12536,
     /* 252727 */     GIR_EraseRootFromParent_Done,
     /* 252728 */   // Label 5063: @252728
     /* 252728 */   GIM_Try, /*On fail goto*//*Label 5064*/ GIMT_Encode4(252766), // Rule ID 12540 //
     /* 252733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 252736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_umop4a_wide_1x1),
     /* 252741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 252744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 252747 */     // MIs[0] tile
     /* 252747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 252750 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 252755 */     // (intrinsic_void 1138:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (UMOP4A_MZZ_HToS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 252755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOP4A_MZZ_HToS_PSEUDO),
     /* 252758 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 252760 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 252762 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 252764 */     GIR_RootConstrainSelectedInstOperands,
     /* 252765 */     // GIR_Coverage, 12540,
     /* 252765 */     GIR_EraseRootFromParent_Done,
     /* 252766 */   // Label 5064: @252766
     /* 252766 */   GIM_Try, /*On fail goto*//*Label 5065*/ GIMT_Encode4(252804), // Rule ID 12544 //
     /* 252771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 252774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_umop4s_wide_1x1),
     /* 252779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 252782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 252785 */     // MIs[0] tile
     /* 252785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 252788 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 252793 */     // (intrinsic_void 1146:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (UMOP4S_MZZ_HToS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 252793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOP4S_MZZ_HToS_PSEUDO),
     /* 252796 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 252798 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 252800 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 252802 */     GIR_RootConstrainSelectedInstOperands,
     /* 252803 */     // GIR_Coverage, 12544,
     /* 252803 */     GIR_EraseRootFromParent_Done,
     /* 252804 */   // Label 5065: @252804
     /* 252804 */   GIM_Try, /*On fail goto*//*Label 5066*/ GIMT_Encode4(252842), // Rule ID 12548 //
     /* 252809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64_HasSME_MOP4),
     /* 252812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_smop4s_za64_wide_1x1),
     /* 252817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 252820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 252823 */     // MIs[0] tile
     /* 252823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 252826 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 252831 */     // (intrinsic_void 1017:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (SMOP4S_MZZ_HtoD_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 252831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOP4S_MZZ_HtoD_PSEUDO),
     /* 252834 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 252836 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 252838 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 252840 */     GIR_RootConstrainSelectedInstOperands,
     /* 252841 */     // GIR_Coverage, 12548,
     /* 252841 */     GIR_EraseRootFromParent_Done,
     /* 252842 */   // Label 5066: @252842
     /* 252842 */   GIM_Try, /*On fail goto*//*Label 5067*/ GIMT_Encode4(252880), // Rule ID 12552 //
     /* 252847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64_HasSME_MOP4),
     /* 252850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_sumop4a_za64_wide_1x1),
     /* 252855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 252858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 252861 */     // MIs[0] tile
     /* 252861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 252864 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 252869 */     // (intrinsic_void 1060:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (SUMOP4A_MZZ_HtoD_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 252869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUMOP4A_MZZ_HtoD_PSEUDO),
     /* 252872 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 252874 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 252876 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 252878 */     GIR_RootConstrainSelectedInstOperands,
     /* 252879 */     // GIR_Coverage, 12552,
     /* 252879 */     GIR_EraseRootFromParent_Done,
     /* 252880 */   // Label 5067: @252880
     /* 252880 */   GIM_Try, /*On fail goto*//*Label 5068*/ GIMT_Encode4(252918), // Rule ID 12556 //
     /* 252885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64_HasSME_MOP4),
     /* 252888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_sumop4s_za64_wide_1x1),
     /* 252893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 252896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 252899 */     // MIs[0] tile
     /* 252899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 252902 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 252907 */     // (intrinsic_void 1068:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (SUMOP4S_MZZ_HtoD_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 252907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUMOP4S_MZZ_HtoD_PSEUDO),
     /* 252910 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 252912 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 252914 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 252916 */     GIR_RootConstrainSelectedInstOperands,
     /* 252917 */     // GIR_Coverage, 12556,
     /* 252917 */     GIR_EraseRootFromParent_Done,
     /* 252918 */   // Label 5068: @252918
     /* 252918 */   GIM_Try, /*On fail goto*//*Label 5069*/ GIMT_Encode4(252956), // Rule ID 12560 //
     /* 252923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64_HasSME_MOP4),
     /* 252926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_umop4a_za64_wide_1x1),
     /* 252931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 252934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 252937 */     // MIs[0] tile
     /* 252937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 252940 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 252945 */     // (intrinsic_void 1142:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (UMOP4A_MZZ_HtoD_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 252945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOP4A_MZZ_HtoD_PSEUDO),
     /* 252948 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 252950 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 252952 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 252954 */     GIR_RootConstrainSelectedInstOperands,
     /* 252955 */     // GIR_Coverage, 12560,
     /* 252955 */     GIR_EraseRootFromParent_Done,
     /* 252956 */   // Label 5069: @252956
     /* 252956 */   GIM_Try, /*On fail goto*//*Label 5070*/ GIMT_Encode4(252994), // Rule ID 12564 //
     /* 252961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64_HasSME_MOP4),
     /* 252964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_umop4s_za64_wide_1x1),
     /* 252969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 252972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 252975 */     // MIs[0] tile
     /* 252975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 252978 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 252983 */     // (intrinsic_void 1150:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (UMOP4S_MZZ_HtoD_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 252983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOP4S_MZZ_HtoD_PSEUDO),
     /* 252986 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 252988 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 252990 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 252992 */     GIR_RootConstrainSelectedInstOperands,
     /* 252993 */     // GIR_Coverage, 12564,
     /* 252993 */     GIR_EraseRootFromParent_Done,
     /* 252994 */   // Label 5070: @252994
     /* 252994 */   GIM_Try, /*On fail goto*//*Label 5071*/ GIMT_Encode4(253032), // Rule ID 12568 //
     /* 252999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64_HasSME_MOP4),
     /* 253002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_usmop4a_za64_wide_1x1),
     /* 253007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 253010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 253013 */     // MIs[0] tile
     /* 253013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253016 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 253021 */     // (intrinsic_void 1176:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (USMOP4A_MZZ_HtoD_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 253021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USMOP4A_MZZ_HtoD_PSEUDO),
     /* 253024 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253026 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253028 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253030 */     GIR_RootConstrainSelectedInstOperands,
     /* 253031 */     // GIR_Coverage, 12568,
     /* 253031 */     GIR_EraseRootFromParent_Done,
     /* 253032 */   // Label 5071: @253032
     /* 253032 */   GIM_Try, /*On fail goto*//*Label 5072*/ GIMT_Encode4(253070), // Rule ID 12572 //
     /* 253037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64_HasSME_MOP4),
     /* 253040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_usmop4s_za64_wide_1x1),
     /* 253045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 253048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 253051 */     // MIs[0] tile
     /* 253051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253054 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 253059 */     // (intrinsic_void 1184:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (USMOP4S_MZZ_HtoD_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 253059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USMOP4S_MZZ_HtoD_PSEUDO),
     /* 253062 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253064 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253066 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253068 */     GIR_RootConstrainSelectedInstOperands,
     /* 253069 */     // GIR_Coverage, 12572,
     /* 253069 */     GIR_EraseRootFromParent_Done,
     /* 253070 */   // Label 5072: @253070
     /* 253070 */   GIM_Try, /*On fail goto*//*Label 5073*/ GIMT_Encode4(253108), // Rule ID 13018 //
     /* 253075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 253078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mop4s_wide_1x1),
     /* 253083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 253086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 253089 */     // MIs[0] tile
     /* 253089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253092 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 253097 */     // (intrinsic_void 914:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv8f16:{ *:[nxv8f16] }:$Zn, nxv8f16:{ *:[nxv8f16] }:$Zm)  =>  (FMOP4S_MZZ_HtoS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8f16] }:$Zn, ?:{ *:[nxv8f16] }:$Zm)
     /* 253097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOP4S_MZZ_HtoS_PSEUDO),
     /* 253100 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253102 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253104 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253106 */     GIR_RootConstrainSelectedInstOperands,
     /* 253107 */     // GIR_Coverage, 13018,
     /* 253107 */     GIR_EraseRootFromParent_Done,
     /* 253108 */   // Label 5073: @253108
     /* 253108 */   GIM_Try, /*On fail goto*//*Label 5074*/ GIMT_Encode4(253146), // Rule ID 13022 //
     /* 253113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 253116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mop4s_1x1),
     /* 253121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 253124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 253127 */     // MIs[0] tile
     /* 253127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253130 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 253135 */     // (intrinsic_void 910:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv4f32:{ *:[nxv4f32] }:$Zn, nxv4f32:{ *:[nxv4f32] }:$Zm)  =>  (FMOP4S_MZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv4f32] }:$Zn, ?:{ *:[nxv4f32] }:$Zm)
     /* 253135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOP4S_MZZ_S_PSEUDO),
     /* 253138 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253140 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253142 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253144 */     GIR_RootConstrainSelectedInstOperands,
     /* 253145 */     // GIR_Coverage, 13022,
     /* 253145 */     GIR_EraseRootFromParent_Done,
     /* 253146 */   // Label 5074: @253146
     /* 253146 */   GIM_Try, /*On fail goto*//*Label 5075*/ GIMT_Encode4(253184), // Rule ID 13026 //
     /* 253151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEF16F16_HasSME_MOP4),
     /* 253154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mop4s_1x1),
     /* 253159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 253162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 253165 */     // MIs[0] tile
     /* 253165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253168 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_1),
     /* 253173 */     // (intrinsic_void 910:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_1>>:$tile, nxv8f16:{ *:[nxv8f16] }:$Zn, nxv8f16:{ *:[nxv8f16] }:$Zm)  =>  (FMOP4S_MZZ_H_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8f16] }:$Zn, ?:{ *:[nxv8f16] }:$Zm)
     /* 253173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOP4S_MZZ_H_PSEUDO),
     /* 253176 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253178 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253180 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253182 */     GIR_RootConstrainSelectedInstOperands,
     /* 253183 */     // GIR_Coverage, 13026,
     /* 253183 */     GIR_EraseRootFromParent_Done,
     /* 253184 */   // Label 5075: @253184
     /* 253184 */   GIM_Try, /*On fail goto*//*Label 5076*/ GIMT_Encode4(253222), // Rule ID 13030 //
     /* 253189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEF64F64_HasSME_MOP4),
     /* 253192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mop4s_1x1),
     /* 253197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 253200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 253203 */     // MIs[0] tile
     /* 253203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253206 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 253211 */     // (intrinsic_void 910:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, nxv2f64:{ *:[nxv2f64] }:$Zn, nxv2f64:{ *:[nxv2f64] }:$Zm)  =>  (FMOP4S_MZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv2f64] }:$Zn, ?:{ *:[nxv2f64] }:$Zm)
     /* 253211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOP4S_MZZ_D_PSEUDO),
     /* 253214 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253216 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253218 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253220 */     GIR_RootConstrainSelectedInstOperands,
     /* 253221 */     // GIR_Coverage, 13030,
     /* 253221 */     GIR_EraseRootFromParent_Done,
     /* 253222 */   // Label 5076: @253222
     /* 253222 */   GIM_Try, /*On fail goto*//*Label 5077*/ GIMT_Encode4(253276), // Rule ID 8794 //
     /* 253227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 253230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prf),
     /* 253235 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 253238 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 253242 */     // MIs[0] base
     /* 253242 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 253246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 253250 */     // MIs[0] prfop
     /* 253250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 253253 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 253258 */     // (intrinsic_void 1620:{ *:[iPTR] }, PPR_3b:{ *:[nxv16i1] }:$gp, GPR64:{ *:[i64] }:$base, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFB_PRI (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR_3b:{ *:[nxv16i1] }:$gp, GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 253258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFB_PRI),
     /* 253261 */     GIR_RootToRootCopy, /*OpIdx*/3, // prfop
     /* 253263 */     GIR_RootToRootCopy, /*OpIdx*/1, // gp
     /* 253265 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /* 253267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 253270 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253274 */     GIR_RootConstrainSelectedInstOperands,
     /* 253275 */     // GIR_Coverage, 8794,
     /* 253275 */     GIR_EraseRootFromParent_Done,
     /* 253276 */   // Label 5077: @253276
     /* 253276 */   GIM_Try, /*On fail goto*//*Label 5078*/ GIMT_Encode4(253330), // Rule ID 8797 //
     /* 253281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 253284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prf),
     /* 253289 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 253292 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 253296 */     // MIs[0] base
     /* 253296 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 253300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 253304 */     // MIs[0] prfop
     /* 253304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 253307 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 253312 */     // (intrinsic_void 1620:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$gp, GPR64:{ *:[i64] }:$base, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFH_PRI (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR_3b:{ *:[nxv8i1] }:$gp, GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 253312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFH_PRI),
     /* 253315 */     GIR_RootToRootCopy, /*OpIdx*/3, // prfop
     /* 253317 */     GIR_RootToRootCopy, /*OpIdx*/1, // gp
     /* 253319 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /* 253321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 253324 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253328 */     GIR_RootConstrainSelectedInstOperands,
     /* 253329 */     // GIR_Coverage, 8797,
     /* 253329 */     GIR_EraseRootFromParent_Done,
     /* 253330 */   // Label 5078: @253330
     /* 253330 */   GIM_Try, /*On fail goto*//*Label 5079*/ GIMT_Encode4(253384), // Rule ID 8800 //
     /* 253335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 253338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prf),
     /* 253343 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 253346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 253350 */     // MIs[0] base
     /* 253350 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 253354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 253358 */     // MIs[0] prfop
     /* 253358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 253361 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 253366 */     // (intrinsic_void 1620:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$gp, GPR64:{ *:[i64] }:$base, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFW_PRI (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR_3b:{ *:[nxv4i1] }:$gp, GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 253366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFW_PRI),
     /* 253369 */     GIR_RootToRootCopy, /*OpIdx*/3, // prfop
     /* 253371 */     GIR_RootToRootCopy, /*OpIdx*/1, // gp
     /* 253373 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /* 253375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 253378 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253382 */     GIR_RootConstrainSelectedInstOperands,
     /* 253383 */     // GIR_Coverage, 8800,
     /* 253383 */     GIR_EraseRootFromParent_Done,
     /* 253384 */   // Label 5079: @253384
     /* 253384 */   GIM_Try, /*On fail goto*//*Label 5080*/ GIMT_Encode4(253438), // Rule ID 8803 //
     /* 253389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 253392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prf),
     /* 253397 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 253400 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 253404 */     // MIs[0] base
     /* 253404 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 253408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 253412 */     // MIs[0] prfop
     /* 253412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 253415 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 253420 */     // (intrinsic_void 1620:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$gp, GPR64:{ *:[i64] }:$base, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFD_PRI (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR_3b:{ *:[nxv2i1] }:$gp, GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 253420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFD_PRI),
     /* 253423 */     GIR_RootToRootCopy, /*OpIdx*/3, // prfop
     /* 253425 */     GIR_RootToRootCopy, /*OpIdx*/1, // gp
     /* 253427 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /* 253429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 253432 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253436 */     GIR_RootConstrainSelectedInstOperands,
     /* 253437 */     // GIR_Coverage, 8803,
     /* 253437 */     GIR_EraseRootFromParent_Done,
     /* 253438 */   // Label 5080: @253438
     /* 253438 */   GIM_Try, /*On fail goto*//*Label 5081*/ GIMT_Encode4(253492), // Rule ID 15 //
     /* 253443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_space),
     /* 253448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 253451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 253454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 253457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 253461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 253465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 253469 */     // MIs[1] Operand 1
     /* 253469 */     // No operand predicates
     /* 253469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 253473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 253475 */     // (intrinsic_w_chain:{ *:[i64] } 1218:{ *:[iPTR] }, (imm:{ *:[i32] }):$size, GPR64:{ *:[i64] }:$Rn)  =>  (SPACE:{ *:[i64] } (imm:{ *:[i32] }):$size, GPR64:{ *:[i64] }:$Rn)
     /* 253475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SPACE),
     /* 253478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 253480 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // size
     /* 253483 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 253485 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 253490 */     GIR_RootConstrainSelectedInstOperands,
     /* 253491 */     // GIR_Coverage, 15,
     /* 253491 */     GIR_EraseRootFromParent_Done,
     /* 253492 */   // Label 5081: @253492
     /* 253492 */   GIM_Try, /*On fail goto*//*Label 5082*/ GIMT_Encode4(253560), // Rule ID 68 //
     /* 253497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::hwasan_check_memaccess),
     /* 253502 */     // MIs[0] Operand 1
     /* 253502 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 253506 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64_with_sub_32_in_MatrixIndexGPR32_8_11RegClassID),
     /* 253510 */     // MIs[0] ptr
     /* 253510 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 253514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64noipRegClassID),
     /* 253518 */     // MIs[0] accessinfo
     /* 253518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 253521 */     // (intrinsic_void 190:{ *:[iPTR] }, X9:{ *:[i64] }, GPR64noip:{ *:[i64] }:$ptr, (timm:{ *:[i32] }):$accessinfo)  =>  (HWASAN_CHECK_MEMACCESS:{ *:[i64] } GPR64noip:{ *:[i64] }:$ptr, (timm:{ *:[i32] }):$accessinfo)
     /* 253521 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 253525 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::X9), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 253531 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // X9
     /* 253535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::HWASAN_CHECK_MEMACCESS),
     /* 253538 */     GIR_RootToRootCopy, /*OpIdx*/2, // ptr
     /* 253540 */     GIR_RootToRootCopy, /*OpIdx*/3, // accessinfo
     /* 253542 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::X16*/0,
     /* 253545 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::X17*/1,
     /* 253548 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::LR*/2,
     /* 253551 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/3,
     /* 253554 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253558 */     GIR_RootConstrainSelectedInstOperands,
     /* 253559 */     // GIR_Coverage, 68,
     /* 253559 */     GIR_EraseRootFromParent_Done,
     /* 253560 */   // Label 5082: @253560
     /* 253560 */   GIM_Try, /*On fail goto*//*Label 5083*/ GIMT_Encode4(253628), // Rule ID 69 //
     /* 253565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::hwasan_check_memaccess_shortgranules),
     /* 253570 */     // MIs[0] Operand 1
     /* 253570 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 253574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64common_and_GPR64noipRegClassID),
     /* 253578 */     // MIs[0] ptr
     /* 253578 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 253582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64noipRegClassID),
     /* 253586 */     // MIs[0] accessinfo
     /* 253586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 253589 */     // (intrinsic_void 192:{ *:[iPTR] }, X20:{ *:[i64] }, GPR64noip:{ *:[i64] }:$ptr, (timm:{ *:[i32] }):$accessinfo)  =>  (HWASAN_CHECK_MEMACCESS_SHORTGRANULES:{ *:[i64] } GPR64noip:{ *:[i64] }:$ptr, (timm:{ *:[i32] }):$accessinfo)
     /* 253589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 253593 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::X20), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 253599 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // X20
     /* 253603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::HWASAN_CHECK_MEMACCESS_SHORTGRANULES),
     /* 253606 */     GIR_RootToRootCopy, /*OpIdx*/2, // ptr
     /* 253608 */     GIR_RootToRootCopy, /*OpIdx*/3, // accessinfo
     /* 253610 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::X16*/0,
     /* 253613 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::X17*/1,
     /* 253616 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::LR*/2,
     /* 253619 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/3,
     /* 253622 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253626 */     GIR_RootConstrainSelectedInstOperands,
     /* 253627 */     // GIR_Coverage, 69,
     /* 253627 */     GIR_EraseRootFromParent_Done,
     /* 253628 */   // Label 5083: @253628
     /* 253628 */   GIM_Try, /*On fail goto*//*Label 5084*/ GIMT_Encode4(253708), // Rule ID 7075 //
     /* 253633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stxr),
     /* 253638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 253641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 253644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 253648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 253652 */     // MIs[0] addr
     /* 253652 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 253656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 253660 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stxr_1),
     /* 253664 */     // (intrinsic_w_chain:{ *:[i32] } 1227:{ *:[iPTR] }, GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stxr_1>>  =>  (STXRB:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 253664 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 253667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 253671 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 253676 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 253682 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 253687 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 253692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STXRB),
     /* 253695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 253697 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 253700 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 253702 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253706 */     GIR_RootConstrainSelectedInstOperands,
     /* 253707 */     // GIR_Coverage, 7075,
     /* 253707 */     GIR_EraseRootFromParent_Done,
     /* 253708 */   // Label 5084: @253708
     /* 253708 */   GIM_Try, /*On fail goto*//*Label 5085*/ GIMT_Encode4(253788), // Rule ID 7076 //
     /* 253713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stxr),
     /* 253718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 253721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 253724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 253728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 253732 */     // MIs[0] addr
     /* 253732 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 253736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 253740 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stxr_2),
     /* 253744 */     // (intrinsic_w_chain:{ *:[i32] } 1227:{ *:[iPTR] }, GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stxr_2>>  =>  (STXRH:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 253744 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 253747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 253751 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 253756 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 253762 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 253767 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 253772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STXRH),
     /* 253775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 253777 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 253780 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 253782 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253786 */     GIR_RootConstrainSelectedInstOperands,
     /* 253787 */     // GIR_Coverage, 7076,
     /* 253787 */     GIR_EraseRootFromParent_Done,
     /* 253788 */   // Label 5085: @253788
     /* 253788 */   GIM_Try, /*On fail goto*//*Label 5086*/ GIMT_Encode4(253868), // Rule ID 7077 //
     /* 253793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stxr),
     /* 253798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 253801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 253804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 253808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 253812 */     // MIs[0] addr
     /* 253812 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 253816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 253820 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stxr_4),
     /* 253824 */     // (intrinsic_w_chain:{ *:[i32] } 1227:{ *:[iPTR] }, GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stxr_4>>  =>  (STXRW:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 253824 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 253827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 253831 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 253836 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 253842 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 253847 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 253852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STXRW),
     /* 253855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 253857 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 253860 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 253862 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253866 */     GIR_RootConstrainSelectedInstOperands,
     /* 253867 */     // GIR_Coverage, 7077,
     /* 253867 */     GIR_EraseRootFromParent_Done,
     /* 253868 */   // Label 5086: @253868
     /* 253868 */   GIM_Try, /*On fail goto*//*Label 5087*/ GIMT_Encode4(253919), // Rule ID 7078 //
     /* 253873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stxr),
     /* 253878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 253881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 253884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 253888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 253892 */     // MIs[0] addr
     /* 253892 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 253896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 253900 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stxr_8),
     /* 253904 */     // (intrinsic_w_chain:{ *:[i32] } 1227:{ *:[iPTR] }, GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stxr_8>>  =>  (STXRX:{ *:[i32] } GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$addr)
     /* 253904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STXRX),
     /* 253907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 253909 */     GIR_RootToRootCopy, /*OpIdx*/2, // val
     /* 253911 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 253913 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253917 */     GIR_RootConstrainSelectedInstOperands,
     /* 253918 */     // GIR_Coverage, 7078,
     /* 253918 */     GIR_EraseRootFromParent_Done,
     /* 253919 */   // Label 5087: @253919
     /* 253919 */   GIM_Try, /*On fail goto*//*Label 5088*/ GIMT_Encode4(253999), // Rule ID 7085 //
     /* 253924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stlxr),
     /* 253929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 253932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 253935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 253939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 253943 */     // MIs[0] addr
     /* 253943 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 253947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 253951 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stlxr_1),
     /* 253955 */     // (intrinsic_w_chain:{ *:[i32] } 1225:{ *:[iPTR] }, GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stlxr_1>>  =>  (STLXRB:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 253955 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 253958 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 253962 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 253967 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 253973 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 253978 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 253983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLXRB),
     /* 253986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 253988 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 253991 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 253993 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253997 */     GIR_RootConstrainSelectedInstOperands,
     /* 253998 */     // GIR_Coverage, 7085,
     /* 253998 */     GIR_EraseRootFromParent_Done,
     /* 253999 */   // Label 5088: @253999
     /* 253999 */   GIM_Try, /*On fail goto*//*Label 5089*/ GIMT_Encode4(254079), // Rule ID 7086 //
     /* 254004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stlxr),
     /* 254009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 254012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 254015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 254019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 254023 */     // MIs[0] addr
     /* 254023 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 254027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 254031 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stlxr_2),
     /* 254035 */     // (intrinsic_w_chain:{ *:[i32] } 1225:{ *:[iPTR] }, GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stlxr_2>>  =>  (STLXRH:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 254035 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 254038 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 254042 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 254047 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 254053 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 254058 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 254063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLXRH),
     /* 254066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 254068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 254071 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 254073 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254077 */     GIR_RootConstrainSelectedInstOperands,
     /* 254078 */     // GIR_Coverage, 7086,
     /* 254078 */     GIR_EraseRootFromParent_Done,
     /* 254079 */   // Label 5089: @254079
     /* 254079 */   GIM_Try, /*On fail goto*//*Label 5090*/ GIMT_Encode4(254159), // Rule ID 7087 //
     /* 254084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stlxr),
     /* 254089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 254092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 254095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 254099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 254103 */     // MIs[0] addr
     /* 254103 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 254107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 254111 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stlxr_4),
     /* 254115 */     // (intrinsic_w_chain:{ *:[i32] } 1225:{ *:[iPTR] }, GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stlxr_4>>  =>  (STLXRW:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 254115 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 254118 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 254122 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 254127 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 254133 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 254138 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 254143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLXRW),
     /* 254146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 254148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 254151 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 254153 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254157 */     GIR_RootConstrainSelectedInstOperands,
     /* 254158 */     // GIR_Coverage, 7087,
     /* 254158 */     GIR_EraseRootFromParent_Done,
     /* 254159 */   // Label 5090: @254159
     /* 254159 */   GIM_Try, /*On fail goto*//*Label 5091*/ GIMT_Encode4(254210), // Rule ID 7088 //
     /* 254164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stlxr),
     /* 254169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 254172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 254175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 254179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 254183 */     // MIs[0] addr
     /* 254183 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 254187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 254191 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stlxr_8),
     /* 254195 */     // (intrinsic_w_chain:{ *:[i32] } 1225:{ *:[iPTR] }, GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stlxr_8>>  =>  (STLXRX:{ *:[i32] } GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$addr)
     /* 254195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLXRX),
     /* 254198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 254200 */     GIR_RootToRootCopy, /*OpIdx*/2, // val
     /* 254202 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 254204 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254208 */     GIR_RootConstrainSelectedInstOperands,
     /* 254209 */     // GIR_Coverage, 7088,
     /* 254209 */     GIR_EraseRootFromParent_Done,
     /* 254210 */   // Label 5091: @254210
     /* 254210 */   GIM_Try, /*On fail goto*//*Label 5092*/ GIMT_Encode4(254259), // Rule ID 2488 //
     /* 254215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 254218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fcvtn),
     /* 254223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 254226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 254229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 254232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 254236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 254240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 254244 */     // (intrinsic_w_chain:{ *:[v8i8] } 613:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FCVTN_F16v8f8:{ *:[v8i8] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 254244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTN_F16v8f8),
     /* 254247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 254249 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 254251 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 254253 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254257 */     GIR_RootConstrainSelectedInstOperands,
     /* 254258 */     // GIR_Coverage, 2488,
     /* 254258 */     GIR_EraseRootFromParent_Done,
     /* 254259 */   // Label 5092: @254259
     /* 254259 */   GIM_Try, /*On fail goto*//*Label 5093*/ GIMT_Encode4(254308), // Rule ID 2489 //
     /* 254264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 254267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fcvtn),
     /* 254272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 254275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 254278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 254281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 254285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 254289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 254293 */     // (intrinsic_w_chain:{ *:[v16i8] } 613:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCVTN_F16v16f8:{ *:[v16i8] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 254293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTN_F16v16f8),
     /* 254296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 254298 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 254300 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 254302 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254306 */     GIR_RootConstrainSelectedInstOperands,
     /* 254307 */     // GIR_Coverage, 2489,
     /* 254307 */     GIR_EraseRootFromParent_Done,
     /* 254308 */   // Label 5093: @254308
     /* 254308 */   GIM_Try, /*On fail goto*//*Label 5094*/ GIMT_Encode4(254357), // Rule ID 2490 //
     /* 254313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 254316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fcvtn),
     /* 254321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 254324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 254327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 254330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 254334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 254338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 254342 */     // (intrinsic_w_chain:{ *:[v8i8] } 613:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FCVTN_F32v8f8:{ *:[v8i8] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 254342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTN_F32v8f8),
     /* 254345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 254347 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 254349 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 254351 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254355 */     GIR_RootConstrainSelectedInstOperands,
     /* 254356 */     // GIR_Coverage, 2490,
     /* 254356 */     GIR_EraseRootFromParent_Done,
     /* 254357 */   // Label 5094: @254357
     /* 254357 */   GIM_Try, /*On fail goto*//*Label 5095*/ GIMT_Encode4(254410), // Rule ID 8680 //
     /* 254362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 254365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ld1uwq),
     /* 254370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 254373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 254376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 254380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 254384 */     // MIs[0] base
     /* 254384 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 254388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 254392 */     // (intrinsic_w_chain:{ *:[nxv4i32] } 1553:{ *:[iPTR] }, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base)  =>  (LD1W_Q_IMM:{ *:[nxv4i32] } PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 254392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1W_Q_IMM),
     /* 254395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 254397 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 254399 */     GIR_RootToRootCopy, /*OpIdx*/3, // base
     /* 254401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 254404 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254408 */     GIR_RootConstrainSelectedInstOperands,
     /* 254409 */     // GIR_Coverage, 8680,
     /* 254409 */     GIR_EraseRootFromParent_Done,
     /* 254410 */   // Label 5095: @254410
     /* 254410 */   GIM_Try, /*On fail goto*//*Label 5096*/ GIMT_Encode4(254463), // Rule ID 8683 //
     /* 254415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 254418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ld1uwq),
     /* 254423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 254426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 254429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 254433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 254437 */     // MIs[0] base
     /* 254437 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 254441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 254445 */     // (intrinsic_w_chain:{ *:[nxv4f32] } 1553:{ *:[iPTR] }, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base)  =>  (LD1W_Q_IMM:{ *:[nxv4f32] } PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 254445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1W_Q_IMM),
     /* 254448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 254450 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 254452 */     GIR_RootToRootCopy, /*OpIdx*/3, // base
     /* 254454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 254457 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254461 */     GIR_RootConstrainSelectedInstOperands,
     /* 254462 */     // GIR_Coverage, 8683,
     /* 254462 */     GIR_EraseRootFromParent_Done,
     /* 254463 */   // Label 5096: @254463
     /* 254463 */   GIM_Try, /*On fail goto*//*Label 5097*/ GIMT_Encode4(254516), // Rule ID 8692 //
     /* 254468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 254471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ld1udq),
     /* 254476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 254479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 254482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 254486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 254490 */     // MIs[0] base
     /* 254490 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 254494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 254498 */     // (intrinsic_w_chain:{ *:[nxv2i64] } 1552:{ *:[iPTR] }, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base)  =>  (LD1D_Q_IMM:{ *:[nxv2i64] } PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 254498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1D_Q_IMM),
     /* 254501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 254503 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 254505 */     GIR_RootToRootCopy, /*OpIdx*/3, // base
     /* 254507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 254510 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254514 */     GIR_RootConstrainSelectedInstOperands,
     /* 254515 */     // GIR_Coverage, 8692,
     /* 254515 */     GIR_EraseRootFromParent_Done,
     /* 254516 */   // Label 5097: @254516
     /* 254516 */   GIM_Try, /*On fail goto*//*Label 5098*/ GIMT_Encode4(254569), // Rule ID 8695 //
     /* 254521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 254524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ld1udq),
     /* 254529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 254532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 254535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 254539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 254543 */     // MIs[0] base
     /* 254543 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 254547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 254551 */     // (intrinsic_w_chain:{ *:[nxv2f64] } 1552:{ *:[iPTR] }, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base)  =>  (LD1D_Q_IMM:{ *:[nxv2f64] } PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 254551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1D_Q_IMM),
     /* 254554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 254556 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 254558 */     GIR_RootToRootCopy, /*OpIdx*/3, // base
     /* 254560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 254563 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254567 */     GIR_RootConstrainSelectedInstOperands,
     /* 254568 */     // GIR_Coverage, 8695,
     /* 254568 */     GIR_EraseRootFromParent_Done,
     /* 254569 */   // Label 5098: @254569
     /* 254569 */   GIM_Try, /*On fail goto*//*Label 5099*/ GIMT_Encode4(254615), // Rule ID 137 //
     /* 254574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMTE),
     /* 254577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_irg),
     /* 254582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 254585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 254588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 254592 */     // MIs[0] Rn
     /* 254592 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 254596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 254600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 254604 */     // (intrinsic_w_chain:{ *:[i64] } 558:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (IRG:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 254604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::IRG),
     /* 254607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 254609 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 254611 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 254613 */     GIR_RootConstrainSelectedInstOperands,
     /* 254614 */     // GIR_Coverage, 137,
     /* 254614 */     GIR_EraseRootFromParent_Done,
     /* 254615 */   // Label 5099: @254615
     /* 254615 */   GIM_Try, /*On fail goto*//*Label 5100*/ GIMT_Encode4(254668), // Rule ID 8686 //
     /* 254620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 254623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_st1wq),
     /* 254628 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 254631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 254634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 254638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 254642 */     // MIs[0] base
     /* 254642 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 254646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 254650 */     // (intrinsic_void 1873:{ *:[iPTR] }, ZPR128:{ *:[nxv4i32] }:$Zt, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base)  =>  (ST1W_Q_IMM Z_q:{ *:[nxv4i32] }:$Zt, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 254650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1W_Q_IMM),
     /* 254653 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zt
     /* 254655 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 254657 */     GIR_RootToRootCopy, /*OpIdx*/3, // base
     /* 254659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 254662 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254666 */     GIR_RootConstrainSelectedInstOperands,
     /* 254667 */     // GIR_Coverage, 8686,
     /* 254667 */     GIR_EraseRootFromParent_Done,
     /* 254668 */   // Label 5100: @254668
     /* 254668 */   GIM_Try, /*On fail goto*//*Label 5101*/ GIMT_Encode4(254721), // Rule ID 8689 //
     /* 254673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 254676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_st1wq),
     /* 254681 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 254684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 254687 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 254691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 254695 */     // MIs[0] base
     /* 254695 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 254699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 254703 */     // (intrinsic_void 1873:{ *:[iPTR] }, ZPR128:{ *:[nxv4f32] }:$Zt, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base)  =>  (ST1W_Q_IMM Z_q:{ *:[nxv4f32] }:$Zt, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 254703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1W_Q_IMM),
     /* 254706 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zt
     /* 254708 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 254710 */     GIR_RootToRootCopy, /*OpIdx*/3, // base
     /* 254712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 254715 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254719 */     GIR_RootConstrainSelectedInstOperands,
     /* 254720 */     // GIR_Coverage, 8689,
     /* 254720 */     GIR_EraseRootFromParent_Done,
     /* 254721 */   // Label 5101: @254721
     /* 254721 */   GIM_Try, /*On fail goto*//*Label 5102*/ GIMT_Encode4(254774), // Rule ID 8698 //
     /* 254726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 254729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_st1dq),
     /* 254734 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 254737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 254740 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 254744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 254748 */     // MIs[0] base
     /* 254748 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 254752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 254756 */     // (intrinsic_void 1869:{ *:[iPTR] }, ZPR128:{ *:[nxv2i64] }:$Zt, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base)  =>  (ST1D_Q_IMM Z_q:{ *:[nxv2i64] }:$Zt, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 254756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1D_Q_IMM),
     /* 254759 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zt
     /* 254761 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 254763 */     GIR_RootToRootCopy, /*OpIdx*/3, // base
     /* 254765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 254768 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254772 */     GIR_RootConstrainSelectedInstOperands,
     /* 254773 */     // GIR_Coverage, 8698,
     /* 254773 */     GIR_EraseRootFromParent_Done,
     /* 254774 */   // Label 5102: @254774
     /* 254774 */   GIM_Try, /*On fail goto*//*Label 5103*/ GIMT_Encode4(254827), // Rule ID 8701 //
     /* 254779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 254782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_st1dq),
     /* 254787 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 254790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 254793 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 254797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 254801 */     // MIs[0] base
     /* 254801 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 254805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 254809 */     // (intrinsic_void 1869:{ *:[iPTR] }, ZPR128:{ *:[nxv2f64] }:$Zt, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base)  =>  (ST1D_Q_IMM Z_q:{ *:[nxv2f64] }:$Zt, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 254809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1D_Q_IMM),
     /* 254812 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zt
     /* 254814 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 254816 */     GIR_RootToRootCopy, /*OpIdx*/3, // base
     /* 254818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 254821 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254825 */     GIR_RootConstrainSelectedInstOperands,
     /* 254826 */     // GIR_Coverage, 8701,
     /* 254826 */     GIR_EraseRootFromParent_Done,
     /* 254827 */   // Label 5103: @254827
     /* 254827 */   GIM_Reject,
     /* 254828 */ // Label 5034: @254828
     /* 254828 */ GIM_Try, /*On fail goto*//*Label 5104*/ GIMT_Encode4(257533),
     /* 254833 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/5,
     /* 254836 */   GIM_Try, /*On fail goto*//*Label 5105*/ GIMT_Encode4(254907), // Rule ID 3413 //
     /* 254841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 254844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfb_gather_scalar_offset),
     /* 254849 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 254852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 254855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 254858 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 254862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 254866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 254870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 254874 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /* 254878 */     // MIs[1] Operand 1
     /* 254878 */     // No operand predicates
     /* 254878 */     // MIs[0] prfop
     /* 254878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 254881 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 254886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 254888 */     // (intrinsic_void 1622:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR32:{ *:[nxv4i32] }:$Zn, (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFB_S_PZI (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR32:{ *:[nxv4i32] }:$Zn, (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm)
     /* 254888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFB_S_PZI),
     /* 254891 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 254893 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 254895 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 254897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 254900 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 254905 */     GIR_RootConstrainSelectedInstOperands,
     /* 254906 */     // GIR_Coverage, 3413,
     /* 254906 */     GIR_EraseRootFromParent_Done,
     /* 254907 */   // Label 5105: @254907
     /* 254907 */   GIM_Try, /*On fail goto*//*Label 5106*/ GIMT_Encode4(254978), // Rule ID 3426 //
     /* 254912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 254915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfb_gather_scalar_offset),
     /* 254920 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 254923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 254926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 254929 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 254933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 254937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 254941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 254945 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /* 254949 */     // MIs[1] Operand 1
     /* 254949 */     // No operand predicates
     /* 254949 */     // MIs[0] prfop
     /* 254949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 254952 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 254957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 254959 */     // (intrinsic_void 1622:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR32:{ *:[nxv2i64] }:$Zn, (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFB_D_PZI (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR32:{ *:[nxv2i64] }:$Zn, (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm)
     /* 254959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFB_D_PZI),
     /* 254962 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 254964 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 254966 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 254968 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 254971 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 254976 */     GIR_RootConstrainSelectedInstOperands,
     /* 254977 */     // GIR_Coverage, 3426,
     /* 254977 */     GIR_EraseRootFromParent_Done,
     /* 254978 */   // Label 5106: @254978
     /* 254978 */   GIM_Try, /*On fail goto*//*Label 5107*/ GIMT_Encode4(255037), // Rule ID 3613 //
     /* 254983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 254986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_addha),
     /* 254991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 254994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 254997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 255000 */     // MIs[0] tile
     /* 255000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 255003 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 255008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 255012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 255016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 255020 */     // (intrinsic_void 797:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv4i1] }:$pn, PPR3bAny:{ *:[nxv4i1] }:$pm, ZPR32:{ *:[nxv4i32] }:$zn)  =>  (ADDHA_MPPZ_S_PSEUDO_S (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, ?:{ *:[nxv4i1] }:$pn, ?:{ *:[nxv4i1] }:$pm, ?:{ *:[nxv4i32] }:$zn)
     /* 255020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHA_MPPZ_S_PSEUDO_S),
     /* 255023 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 255025 */     GIR_RootToRootCopy, /*OpIdx*/2, // pn
     /* 255027 */     GIR_RootToRootCopy, /*OpIdx*/3, // pm
     /* 255029 */     GIR_RootToRootCopy, /*OpIdx*/4, // zn
     /* 255031 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255035 */     GIR_RootConstrainSelectedInstOperands,
     /* 255036 */     // GIR_Coverage, 3613,
     /* 255036 */     GIR_EraseRootFromParent_Done,
     /* 255037 */   // Label 5107: @255037
     /* 255037 */   GIM_Try, /*On fail goto*//*Label 5108*/ GIMT_Encode4(255096), // Rule ID 3614 //
     /* 255042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64),
     /* 255045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_addha),
     /* 255050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 255053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 255056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 255059 */     // MIs[0] tile
     /* 255059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 255062 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 255067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 255071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 255075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 255079 */     // (intrinsic_void 797:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv2i1] }:$pn, PPR3bAny:{ *:[nxv2i1] }:$pm, ZPR64:{ *:[nxv2i64] }:$zn)  =>  (ADDHA_MPPZ_D_PSEUDO_D (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, ?:{ *:[nxv2i1] }:$pn, ?:{ *:[nxv2i1] }:$pm, ?:{ *:[nxv2i64] }:$zn)
     /* 255079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHA_MPPZ_D_PSEUDO_D),
     /* 255082 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 255084 */     GIR_RootToRootCopy, /*OpIdx*/2, // pn
     /* 255086 */     GIR_RootToRootCopy, /*OpIdx*/3, // pm
     /* 255088 */     GIR_RootToRootCopy, /*OpIdx*/4, // zn
     /* 255090 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255094 */     GIR_RootConstrainSelectedInstOperands,
     /* 255095 */     // GIR_Coverage, 3614,
     /* 255095 */     GIR_EraseRootFromParent_Done,
     /* 255096 */   // Label 5108: @255096
     /* 255096 */   GIM_Try, /*On fail goto*//*Label 5109*/ GIMT_Encode4(255155), // Rule ID 12489 //
     /* 255101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 255104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_addva),
     /* 255109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 255112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 255115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 255118 */     // MIs[0] tile
     /* 255118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 255121 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 255126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 255130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 255134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 255138 */     // (intrinsic_void 798:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv4i1] }:$pn, PPR3bAny:{ *:[nxv4i1] }:$pm, ZPR32:{ *:[nxv4i32] }:$zn)  =>  (ADDVA_MPPZ_S_PSEUDO_S (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, ?:{ *:[nxv4i1] }:$pn, ?:{ *:[nxv4i1] }:$pm, ?:{ *:[nxv4i32] }:$zn)
     /* 255138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDVA_MPPZ_S_PSEUDO_S),
     /* 255141 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 255143 */     GIR_RootToRootCopy, /*OpIdx*/2, // pn
     /* 255145 */     GIR_RootToRootCopy, /*OpIdx*/3, // pm
     /* 255147 */     GIR_RootToRootCopy, /*OpIdx*/4, // zn
     /* 255149 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255153 */     GIR_RootConstrainSelectedInstOperands,
     /* 255154 */     // GIR_Coverage, 12489,
     /* 255154 */     GIR_EraseRootFromParent_Done,
     /* 255155 */   // Label 5109: @255155
     /* 255155 */   GIM_Try, /*On fail goto*//*Label 5110*/ GIMT_Encode4(255214), // Rule ID 12490 //
     /* 255160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64),
     /* 255163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_addva),
     /* 255168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 255171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 255174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 255177 */     // MIs[0] tile
     /* 255177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 255180 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 255185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 255189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 255193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 255197 */     // (intrinsic_void 798:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv2i1] }:$pn, PPR3bAny:{ *:[nxv2i1] }:$pm, ZPR64:{ *:[nxv2i64] }:$zn)  =>  (ADDVA_MPPZ_D_PSEUDO_D (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, ?:{ *:[nxv2i1] }:$pn, ?:{ *:[nxv2i1] }:$pm, ?:{ *:[nxv2i64] }:$zn)
     /* 255197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDVA_MPPZ_D_PSEUDO_D),
     /* 255200 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 255202 */     GIR_RootToRootCopy, /*OpIdx*/2, // pn
     /* 255204 */     GIR_RootToRootCopy, /*OpIdx*/3, // pm
     /* 255206 */     GIR_RootToRootCopy, /*OpIdx*/4, // zn
     /* 255208 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255212 */     GIR_RootConstrainSelectedInstOperands,
     /* 255213 */     // GIR_Coverage, 12490,
     /* 255213 */     GIR_EraseRootFromParent_Done,
     /* 255214 */   // Label 5110: @255214
     /* 255214 */   GIM_Try, /*On fail goto*//*Label 5111*/ GIMT_Encode4(255274), // Rule ID 3411 //
     /* 255219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 255222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfb_gather_uxtw_index),
     /* 255227 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 255230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 255233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 255237 */     // MIs[0] Rn
     /* 255237 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 255241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 255245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 255249 */     // MIs[0] prfop
     /* 255249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 255252 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 255257 */     // (intrinsic_void 1624:{ *:[iPTR] }, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtUXTW8Only:{ *:[nxv4i32] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFB_S_UXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtUXTW8Only:{ *:[nxv4i32] }:$Zm)
     /* 255257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFB_S_UXTW_SCALED),
     /* 255260 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 255262 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 255264 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 255266 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 255268 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255272 */     GIR_RootConstrainSelectedInstOperands,
     /* 255273 */     // GIR_Coverage, 3411,
     /* 255273 */     GIR_EraseRootFromParent_Done,
     /* 255274 */   // Label 5111: @255274
     /* 255274 */   GIM_Try, /*On fail goto*//*Label 5112*/ GIMT_Encode4(255334), // Rule ID 3412 //
     /* 255279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 255282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfb_gather_sxtw_index),
     /* 255287 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 255290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 255293 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 255297 */     // MIs[0] Rn
     /* 255297 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 255301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 255305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 255309 */     // MIs[0] prfop
     /* 255309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 255312 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 255317 */     // (intrinsic_void 1623:{ *:[iPTR] }, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtSXTW8Only:{ *:[nxv4i32] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFB_S_SXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtSXTW8Only:{ *:[nxv4i32] }:$Zm)
     /* 255317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFB_S_SXTW_SCALED),
     /* 255320 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 255322 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 255324 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 255326 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 255328 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255332 */     GIR_RootConstrainSelectedInstOperands,
     /* 255333 */     // GIR_Coverage, 3412,
     /* 255333 */     GIR_EraseRootFromParent_Done,
     /* 255334 */   // Label 5112: @255334
     /* 255334 */   GIM_Try, /*On fail goto*//*Label 5113*/ GIMT_Encode4(255394), // Rule ID 3423 //
     /* 255339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 255342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfb_gather_uxtw_index),
     /* 255347 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 255350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 255353 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 255357 */     // MIs[0] Rn
     /* 255357 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 255361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 255365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 255369 */     // MIs[0] prfop
     /* 255369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 255372 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 255377 */     // (intrinsic_void 1624:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtUXTW8Only:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFB_D_UXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtUXTW8Only:{ *:[nxv2i64] }:$Zm)
     /* 255377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFB_D_UXTW_SCALED),
     /* 255380 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 255382 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 255384 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 255386 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 255388 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255392 */     GIR_RootConstrainSelectedInstOperands,
     /* 255393 */     // GIR_Coverage, 3423,
     /* 255393 */     GIR_EraseRootFromParent_Done,
     /* 255394 */   // Label 5113: @255394
     /* 255394 */   GIM_Try, /*On fail goto*//*Label 5114*/ GIMT_Encode4(255454), // Rule ID 3424 //
     /* 255399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 255402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfb_gather_sxtw_index),
     /* 255407 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 255410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 255413 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 255417 */     // MIs[0] Rn
     /* 255417 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 255421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 255425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 255429 */     // MIs[0] prfop
     /* 255429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 255432 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 255437 */     // (intrinsic_void 1623:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtSXTW8Only:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFB_D_SXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtSXTW8Only:{ *:[nxv2i64] }:$Zm)
     /* 255437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFB_D_SXTW_SCALED),
     /* 255440 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 255442 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 255444 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 255446 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 255448 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255452 */     GIR_RootConstrainSelectedInstOperands,
     /* 255453 */     // GIR_Coverage, 3424,
     /* 255453 */     GIR_EraseRootFromParent_Done,
     /* 255454 */   // Label 5114: @255454
     /* 255454 */   GIM_Try, /*On fail goto*//*Label 5115*/ GIMT_Encode4(255514), // Rule ID 3425 //
     /* 255459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 255462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfb_gather_index),
     /* 255467 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 255470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 255473 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 255477 */     // MIs[0] Rn
     /* 255477 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 255481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 255485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 255489 */     // MIs[0] prfop
     /* 255489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 255492 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 255497 */     // (intrinsic_void 1621:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtLSL8:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFB_D_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtLSL8:{ *:[nxv2i64] }:$Zm)
     /* 255497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFB_D_SCALED),
     /* 255500 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 255502 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 255504 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 255506 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 255508 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255512 */     GIR_RootConstrainSelectedInstOperands,
     /* 255513 */     // GIR_Coverage, 3425,
     /* 255513 */     GIR_EraseRootFromParent_Done,
     /* 255514 */   // Label 5115: @255514
     /* 255514 */   GIM_Try, /*On fail goto*//*Label 5116*/ GIMT_Encode4(255574), // Rule ID 8806 //
     /* 255519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 255522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfh_gather_uxtw_index),
     /* 255527 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 255530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 255533 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 255537 */     // MIs[0] Rn
     /* 255537 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 255541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 255545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 255549 */     // MIs[0] prfop
     /* 255549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 255552 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 255557 */     // (intrinsic_void 1632:{ *:[iPTR] }, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtUXTW16:{ *:[nxv4i32] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFH_S_UXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtUXTW16:{ *:[nxv4i32] }:$Zm)
     /* 255557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFH_S_UXTW_SCALED),
     /* 255560 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 255562 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 255564 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 255566 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 255568 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255572 */     GIR_RootConstrainSelectedInstOperands,
     /* 255573 */     // GIR_Coverage, 8806,
     /* 255573 */     GIR_EraseRootFromParent_Done,
     /* 255574 */   // Label 5116: @255574
     /* 255574 */   GIM_Try, /*On fail goto*//*Label 5117*/ GIMT_Encode4(255634), // Rule ID 8807 //
     /* 255579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 255582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfh_gather_sxtw_index),
     /* 255587 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 255590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 255593 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 255597 */     // MIs[0] Rn
     /* 255597 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 255601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 255605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 255609 */     // MIs[0] prfop
     /* 255609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 255612 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 255617 */     // (intrinsic_void 1631:{ *:[iPTR] }, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtSXTW16:{ *:[nxv4i32] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFH_S_SXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtSXTW16:{ *:[nxv4i32] }:$Zm)
     /* 255617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFH_S_SXTW_SCALED),
     /* 255620 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 255622 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 255624 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 255626 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 255628 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255632 */     GIR_RootConstrainSelectedInstOperands,
     /* 255633 */     // GIR_Coverage, 8807,
     /* 255633 */     GIR_EraseRootFromParent_Done,
     /* 255634 */   // Label 5117: @255634
     /* 255634 */   GIM_Try, /*On fail goto*//*Label 5118*/ GIMT_Encode4(255694), // Rule ID 8808 //
     /* 255639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 255642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfw_gather_uxtw_index),
     /* 255647 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 255650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 255653 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 255657 */     // MIs[0] Rn
     /* 255657 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 255661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 255665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 255669 */     // MIs[0] prfop
     /* 255669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 255672 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 255677 */     // (intrinsic_void 1636:{ *:[iPTR] }, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtUXTW32:{ *:[nxv4i32] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFW_S_UXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtUXTW32:{ *:[nxv4i32] }:$Zm)
     /* 255677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFW_S_UXTW_SCALED),
     /* 255680 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 255682 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 255684 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 255686 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 255688 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255692 */     GIR_RootConstrainSelectedInstOperands,
     /* 255693 */     // GIR_Coverage, 8808,
     /* 255693 */     GIR_EraseRootFromParent_Done,
     /* 255694 */   // Label 5118: @255694
     /* 255694 */   GIM_Try, /*On fail goto*//*Label 5119*/ GIMT_Encode4(255754), // Rule ID 8809 //
     /* 255699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 255702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfw_gather_sxtw_index),
     /* 255707 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 255710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 255713 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 255717 */     // MIs[0] Rn
     /* 255717 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 255721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 255725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 255729 */     // MIs[0] prfop
     /* 255729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 255732 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 255737 */     // (intrinsic_void 1635:{ *:[iPTR] }, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtSXTW32:{ *:[nxv4i32] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFW_S_SXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtSXTW32:{ *:[nxv4i32] }:$Zm)
     /* 255737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFW_S_SXTW_SCALED),
     /* 255740 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 255742 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 255744 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 255746 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 255748 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255752 */     GIR_RootConstrainSelectedInstOperands,
     /* 255753 */     // GIR_Coverage, 8809,
     /* 255753 */     GIR_EraseRootFromParent_Done,
     /* 255754 */   // Label 5119: @255754
     /* 255754 */   GIM_Try, /*On fail goto*//*Label 5120*/ GIMT_Encode4(255814), // Rule ID 8810 //
     /* 255759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 255762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfd_gather_uxtw_index),
     /* 255767 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 255770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 255773 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 255777 */     // MIs[0] Rn
     /* 255777 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 255781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 255785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 255789 */     // MIs[0] prfop
     /* 255789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 255792 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 255797 */     // (intrinsic_void 1628:{ *:[iPTR] }, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtUXTW64:{ *:[nxv4i32] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFD_S_UXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtUXTW64:{ *:[nxv4i32] }:$Zm)
     /* 255797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFD_S_UXTW_SCALED),
     /* 255800 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 255802 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 255804 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 255806 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 255808 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255812 */     GIR_RootConstrainSelectedInstOperands,
     /* 255813 */     // GIR_Coverage, 8810,
     /* 255813 */     GIR_EraseRootFromParent_Done,
     /* 255814 */   // Label 5120: @255814
     /* 255814 */   GIM_Try, /*On fail goto*//*Label 5121*/ GIMT_Encode4(255874), // Rule ID 8811 //
     /* 255819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 255822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfd_gather_sxtw_index),
     /* 255827 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 255830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 255833 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 255837 */     // MIs[0] Rn
     /* 255837 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 255841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 255845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 255849 */     // MIs[0] prfop
     /* 255849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 255852 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 255857 */     // (intrinsic_void 1627:{ *:[iPTR] }, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtSXTW64:{ *:[nxv4i32] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFD_S_SXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtSXTW64:{ *:[nxv4i32] }:$Zm)
     /* 255857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFD_S_SXTW_SCALED),
     /* 255860 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 255862 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 255864 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 255866 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 255868 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255872 */     GIR_RootConstrainSelectedInstOperands,
     /* 255873 */     // GIR_Coverage, 8811,
     /* 255873 */     GIR_EraseRootFromParent_Done,
     /* 255874 */   // Label 5121: @255874
     /* 255874 */   GIM_Try, /*On fail goto*//*Label 5122*/ GIMT_Encode4(255934), // Rule ID 8812 //
     /* 255879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 255882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfh_gather_uxtw_index),
     /* 255887 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 255890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 255893 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 255897 */     // MIs[0] Rn
     /* 255897 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 255901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 255905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 255909 */     // MIs[0] prfop
     /* 255909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 255912 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 255917 */     // (intrinsic_void 1632:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtUXTW16:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFH_D_UXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtUXTW16:{ *:[nxv2i64] }:$Zm)
     /* 255917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFH_D_UXTW_SCALED),
     /* 255920 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 255922 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 255924 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 255926 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 255928 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255932 */     GIR_RootConstrainSelectedInstOperands,
     /* 255933 */     // GIR_Coverage, 8812,
     /* 255933 */     GIR_EraseRootFromParent_Done,
     /* 255934 */   // Label 5122: @255934
     /* 255934 */   GIM_Try, /*On fail goto*//*Label 5123*/ GIMT_Encode4(255994), // Rule ID 8813 //
     /* 255939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 255942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfh_gather_sxtw_index),
     /* 255947 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 255950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 255953 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 255957 */     // MIs[0] Rn
     /* 255957 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 255961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 255965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 255969 */     // MIs[0] prfop
     /* 255969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 255972 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 255977 */     // (intrinsic_void 1631:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtSXTW16:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFH_D_SXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtSXTW16:{ *:[nxv2i64] }:$Zm)
     /* 255977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFH_D_SXTW_SCALED),
     /* 255980 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 255982 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 255984 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 255986 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 255988 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255992 */     GIR_RootConstrainSelectedInstOperands,
     /* 255993 */     // GIR_Coverage, 8813,
     /* 255993 */     GIR_EraseRootFromParent_Done,
     /* 255994 */   // Label 5123: @255994
     /* 255994 */   GIM_Try, /*On fail goto*//*Label 5124*/ GIMT_Encode4(256054), // Rule ID 8814 //
     /* 255999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 256002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfw_gather_uxtw_index),
     /* 256007 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 256010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 256013 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256017 */     // MIs[0] Rn
     /* 256017 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 256021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 256025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 256029 */     // MIs[0] prfop
     /* 256029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 256032 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 256037 */     // (intrinsic_void 1636:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtUXTW32:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFW_D_UXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtUXTW32:{ *:[nxv2i64] }:$Zm)
     /* 256037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFW_D_UXTW_SCALED),
     /* 256040 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 256042 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 256044 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 256046 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 256048 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256052 */     GIR_RootConstrainSelectedInstOperands,
     /* 256053 */     // GIR_Coverage, 8814,
     /* 256053 */     GIR_EraseRootFromParent_Done,
     /* 256054 */   // Label 5124: @256054
     /* 256054 */   GIM_Try, /*On fail goto*//*Label 5125*/ GIMT_Encode4(256114), // Rule ID 8815 //
     /* 256059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 256062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfw_gather_sxtw_index),
     /* 256067 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 256070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 256073 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256077 */     // MIs[0] Rn
     /* 256077 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 256081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 256085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 256089 */     // MIs[0] prfop
     /* 256089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 256092 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 256097 */     // (intrinsic_void 1635:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtSXTW32:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFW_D_SXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtSXTW32:{ *:[nxv2i64] }:$Zm)
     /* 256097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFW_D_SXTW_SCALED),
     /* 256100 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 256102 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 256104 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 256106 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 256108 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256112 */     GIR_RootConstrainSelectedInstOperands,
     /* 256113 */     // GIR_Coverage, 8815,
     /* 256113 */     GIR_EraseRootFromParent_Done,
     /* 256114 */   // Label 5125: @256114
     /* 256114 */   GIM_Try, /*On fail goto*//*Label 5126*/ GIMT_Encode4(256174), // Rule ID 8816 //
     /* 256119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 256122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfd_gather_uxtw_index),
     /* 256127 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 256130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 256133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256137 */     // MIs[0] Rn
     /* 256137 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 256141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 256145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 256149 */     // MIs[0] prfop
     /* 256149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 256152 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 256157 */     // (intrinsic_void 1628:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtUXTW64:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFD_D_UXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtUXTW64:{ *:[nxv2i64] }:$Zm)
     /* 256157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFD_D_UXTW_SCALED),
     /* 256160 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 256162 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 256164 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 256166 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 256168 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256172 */     GIR_RootConstrainSelectedInstOperands,
     /* 256173 */     // GIR_Coverage, 8816,
     /* 256173 */     GIR_EraseRootFromParent_Done,
     /* 256174 */   // Label 5126: @256174
     /* 256174 */   GIM_Try, /*On fail goto*//*Label 5127*/ GIMT_Encode4(256234), // Rule ID 8817 //
     /* 256179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 256182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfd_gather_sxtw_index),
     /* 256187 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 256190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 256193 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256197 */     // MIs[0] Rn
     /* 256197 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 256201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 256205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 256209 */     // MIs[0] prfop
     /* 256209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 256212 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 256217 */     // (intrinsic_void 1627:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtSXTW64:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFD_D_SXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtSXTW64:{ *:[nxv2i64] }:$Zm)
     /* 256217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFD_D_SXTW_SCALED),
     /* 256220 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 256222 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 256224 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 256226 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 256228 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256232 */     GIR_RootConstrainSelectedInstOperands,
     /* 256233 */     // GIR_Coverage, 8817,
     /* 256233 */     GIR_EraseRootFromParent_Done,
     /* 256234 */   // Label 5127: @256234
     /* 256234 */   GIM_Try, /*On fail goto*//*Label 5128*/ GIMT_Encode4(256294), // Rule ID 8818 //
     /* 256239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 256242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfh_gather_index),
     /* 256247 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 256250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 256253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256257 */     // MIs[0] Rn
     /* 256257 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 256261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 256265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 256269 */     // MIs[0] prfop
     /* 256269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 256272 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 256277 */     // (intrinsic_void 1629:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtLSL16:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFH_D_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtLSL16:{ *:[nxv2i64] }:$Zm)
     /* 256277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFH_D_SCALED),
     /* 256280 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 256282 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 256284 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 256286 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 256288 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256292 */     GIR_RootConstrainSelectedInstOperands,
     /* 256293 */     // GIR_Coverage, 8818,
     /* 256293 */     GIR_EraseRootFromParent_Done,
     /* 256294 */   // Label 5128: @256294
     /* 256294 */   GIM_Try, /*On fail goto*//*Label 5129*/ GIMT_Encode4(256354), // Rule ID 8819 //
     /* 256299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 256302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfw_gather_index),
     /* 256307 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 256310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 256313 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256317 */     // MIs[0] Rn
     /* 256317 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 256321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 256325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 256329 */     // MIs[0] prfop
     /* 256329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 256332 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 256337 */     // (intrinsic_void 1633:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtLSL32:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFW_D_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtLSL32:{ *:[nxv2i64] }:$Zm)
     /* 256337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFW_D_SCALED),
     /* 256340 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 256342 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 256344 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 256346 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 256348 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256352 */     GIR_RootConstrainSelectedInstOperands,
     /* 256353 */     // GIR_Coverage, 8819,
     /* 256353 */     GIR_EraseRootFromParent_Done,
     /* 256354 */   // Label 5129: @256354
     /* 256354 */   GIM_Try, /*On fail goto*//*Label 5130*/ GIMT_Encode4(256414), // Rule ID 8820 //
     /* 256359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 256362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfd_gather_index),
     /* 256367 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 256370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 256373 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256377 */     // MIs[0] Rn
     /* 256377 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 256381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 256385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 256389 */     // MIs[0] prfop
     /* 256389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 256392 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 256397 */     // (intrinsic_void 1625:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtLSL64:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFD_D_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtLSL64:{ *:[nxv2i64] }:$Zm)
     /* 256397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFD_D_SCALED),
     /* 256400 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 256402 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 256404 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 256406 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 256408 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256412 */     GIR_RootConstrainSelectedInstOperands,
     /* 256413 */     // GIR_Coverage, 8820,
     /* 256413 */     GIR_EraseRootFromParent_Done,
     /* 256414 */   // Label 5130: @256414
     /* 256414 */   GIM_Try, /*On fail goto*//*Label 5131*/ GIMT_Encode4(256472), // Rule ID 2374 //
     /* 256419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 256422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlalb),
     /* 256427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 256430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 256433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 256436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 256439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256455 */     // (intrinsic_w_chain:{ *:[v8f16] } 619:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (FMLALBv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 256455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALBv8f16),
     /* 256458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 256460 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 256462 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 256464 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 256466 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256470 */     GIR_RootConstrainSelectedInstOperands,
     /* 256471 */     // GIR_Coverage, 2374,
     /* 256471 */     GIR_EraseRootFromParent_Done,
     /* 256472 */   // Label 5131: @256472
     /* 256472 */   GIM_Try, /*On fail goto*//*Label 5132*/ GIMT_Encode4(256530), // Rule ID 2375 //
     /* 256477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 256480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlalt),
     /* 256485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 256488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 256491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 256494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 256497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256513 */     // (intrinsic_w_chain:{ *:[v8f16] } 629:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (FMLALTv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 256513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALTv8f16),
     /* 256516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 256518 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 256520 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 256522 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 256524 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256528 */     GIR_RootConstrainSelectedInstOperands,
     /* 256529 */     // GIR_Coverage, 2375,
     /* 256529 */     GIR_EraseRootFromParent_Done,
     /* 256530 */   // Label 5132: @256530
     /* 256530 */   GIM_Try, /*On fail goto*//*Label 5133*/ GIMT_Encode4(256588), // Rule ID 2376 //
     /* 256535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 256538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlallbb),
     /* 256543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 256546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 256549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 256552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 256555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256571 */     // (intrinsic_w_chain:{ *:[v4f32] } 621:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (FMLALLBBv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 256571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLBBv4f32),
     /* 256574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 256576 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 256578 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 256580 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 256582 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256586 */     GIR_RootConstrainSelectedInstOperands,
     /* 256587 */     // GIR_Coverage, 2376,
     /* 256587 */     GIR_EraseRootFromParent_Done,
     /* 256588 */   // Label 5133: @256588
     /* 256588 */   GIM_Try, /*On fail goto*//*Label 5134*/ GIMT_Encode4(256646), // Rule ID 2377 //
     /* 256593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 256596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlallbt),
     /* 256601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 256604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 256607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 256610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 256613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256629 */     // (intrinsic_w_chain:{ *:[v4f32] } 623:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (FMLALLBTv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 256629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLBTv4f32),
     /* 256632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 256634 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 256636 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 256638 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 256640 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256644 */     GIR_RootConstrainSelectedInstOperands,
     /* 256645 */     // GIR_Coverage, 2377,
     /* 256645 */     GIR_EraseRootFromParent_Done,
     /* 256646 */   // Label 5134: @256646
     /* 256646 */   GIM_Try, /*On fail goto*//*Label 5135*/ GIMT_Encode4(256704), // Rule ID 2378 //
     /* 256651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 256654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlalltb),
     /* 256659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 256662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 256665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 256668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 256671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256687 */     // (intrinsic_w_chain:{ *:[v4f32] } 625:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (FMLALLTBv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 256687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLTBv4f32),
     /* 256690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 256692 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 256694 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 256696 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 256698 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256702 */     GIR_RootConstrainSelectedInstOperands,
     /* 256703 */     // GIR_Coverage, 2378,
     /* 256703 */     GIR_EraseRootFromParent_Done,
     /* 256704 */   // Label 5135: @256704
     /* 256704 */   GIM_Try, /*On fail goto*//*Label 5136*/ GIMT_Encode4(256762), // Rule ID 2379 //
     /* 256709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 256712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlalltt),
     /* 256717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 256720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 256723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 256726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 256729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256745 */     // (intrinsic_w_chain:{ *:[v4f32] } 627:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (FMLALLTTv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 256745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLTTv4f32),
     /* 256748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 256750 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 256752 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 256754 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 256756 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256760 */     GIR_RootConstrainSelectedInstOperands,
     /* 256761 */     // GIR_Coverage, 2379,
     /* 256761 */     GIR_EraseRootFromParent_Done,
     /* 256762 */   // Label 5136: @256762
     /* 256762 */   GIM_Try, /*On fail goto*//*Label 5137*/ GIMT_Encode4(256820), // Rule ID 2380 //
     /* 256767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8DOT2),
     /* 256770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fdot2),
     /* 256775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 256778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 256781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 256784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s8,
     /* 256787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 256791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 256795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 256799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 256803 */     // (intrinsic_w_chain:{ *:[v4f16] } 615:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (FDOTv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 256803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOTv4f16),
     /* 256806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 256808 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 256810 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 256812 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 256814 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256818 */     GIR_RootConstrainSelectedInstOperands,
     /* 256819 */     // GIR_Coverage, 2380,
     /* 256819 */     GIR_EraseRootFromParent_Done,
     /* 256820 */   // Label 5137: @256820
     /* 256820 */   GIM_Try, /*On fail goto*//*Label 5138*/ GIMT_Encode4(256878), // Rule ID 2381 //
     /* 256825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8DOT2),
     /* 256828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fdot2),
     /* 256833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 256836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 256839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 256842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 256845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256861 */     // (intrinsic_w_chain:{ *:[v8f16] } 615:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (FDOTv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 256861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOTv8f16),
     /* 256864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 256866 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 256868 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 256870 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 256872 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256876 */     GIR_RootConstrainSelectedInstOperands,
     /* 256877 */     // GIR_Coverage, 2381,
     /* 256877 */     GIR_EraseRootFromParent_Done,
     /* 256878 */   // Label 5138: @256878
     /* 256878 */   GIM_Try, /*On fail goto*//*Label 5139*/ GIMT_Encode4(256936), // Rule ID 2382 //
     /* 256883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8DOT4),
     /* 256886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fdot4),
     /* 256891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 256894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 256897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 256900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s8,
     /* 256903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 256907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 256911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 256915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 256919 */     // (intrinsic_w_chain:{ *:[v2f32] } 617:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (FDOTv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 256919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOTv2f32),
     /* 256922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 256924 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 256926 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 256928 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 256930 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256934 */     GIR_RootConstrainSelectedInstOperands,
     /* 256935 */     // GIR_Coverage, 2382,
     /* 256935 */     GIR_EraseRootFromParent_Done,
     /* 256936 */   // Label 5139: @256936
     /* 256936 */   GIM_Try, /*On fail goto*//*Label 5140*/ GIMT_Encode4(256994), // Rule ID 2383 //
     /* 256941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8DOT4),
     /* 256944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fdot4),
     /* 256949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 256952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 256955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 256958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 256961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 256977 */     // (intrinsic_w_chain:{ *:[v4f32] } 617:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (FDOTv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 256977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOTv4f32),
     /* 256980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 256982 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 256984 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 256986 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 256988 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256992 */     GIR_RootConstrainSelectedInstOperands,
     /* 256993 */     // GIR_Coverage, 2383,
     /* 256993 */     GIR_EraseRootFromParent_Done,
     /* 256994 */   // Label 5140: @256994
     /* 256994 */   GIM_Try, /*On fail goto*//*Label 5141*/ GIMT_Encode4(257052), // Rule ID 2491 //
     /* 256999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 257002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fcvtn2),
     /* 257007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 257010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 257013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 257016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 257019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257035 */     // (intrinsic_w_chain:{ *:[v16i8] } 614:{ *:[iPTR] }, V128:{ *:[v16i8] }:$_Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FCVTN_F322v16f8:{ *:[v16i8] } V128:{ *:[v16i8] }:$_Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 257035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTN_F322v16f8),
     /* 257038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 257040 */     GIR_RootToRootCopy, /*OpIdx*/2, // _Rd
     /* 257042 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 257044 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 257046 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257050 */     GIR_RootConstrainSelectedInstOperands,
     /* 257051 */     // GIR_Coverage, 2491,
     /* 257051 */     GIR_EraseRootFromParent_Done,
     /* 257052 */   // Label 5141: @257052
     /* 257052 */   GIM_Try, /*On fail goto*//*Label 5142*/ GIMT_Encode4(257108), // Rule ID 13039 //
     /* 257057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stlxp),
     /* 257062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 257065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 257068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 257071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 257075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 257079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 257083 */     // MIs[0] addr
     /* 257083 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/4, /*SizeInBits*/64,
     /* 257087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 257091 */     // (intrinsic_w_chain:{ *:[i32] } 1224:{ *:[iPTR] }, GPR64:{ *:[i64] }:$lo, GPR64:{ *:[i64] }:$hi, GPR64:{ *:[i64] }:$addr)  =>  (STLXPX:{ *:[i32] } GPR64:{ *:[i64] }:$lo, GPR64:{ *:[i64] }:$hi, GPR64:{ *:[i64] }:$addr)
     /* 257091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLXPX),
     /* 257094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 257096 */     GIR_RootToRootCopy, /*OpIdx*/2, // lo
     /* 257098 */     GIR_RootToRootCopy, /*OpIdx*/3, // hi
     /* 257100 */     GIR_RootToRootCopy, /*OpIdx*/4, // addr
     /* 257102 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257106 */     GIR_RootConstrainSelectedInstOperands,
     /* 257107 */     // GIR_Coverage, 13039,
     /* 257107 */     GIR_EraseRootFromParent_Done,
     /* 257108 */   // Label 5142: @257108
     /* 257108 */   GIM_Try, /*On fail goto*//*Label 5143*/ GIMT_Encode4(257164), // Rule ID 13040 //
     /* 257113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stxp),
     /* 257118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 257121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 257124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 257127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 257131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 257135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 257139 */     // MIs[0] addr
     /* 257139 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/4, /*SizeInBits*/64,
     /* 257143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 257147 */     // (intrinsic_w_chain:{ *:[i32] } 1226:{ *:[iPTR] }, GPR64:{ *:[i64] }:$lo, GPR64:{ *:[i64] }:$hi, GPR64:{ *:[i64] }:$addr)  =>  (STXPX:{ *:[i32] } GPR64:{ *:[i64] }:$lo, GPR64:{ *:[i64] }:$hi, GPR64:{ *:[i64] }:$addr)
     /* 257147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STXPX),
     /* 257150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 257152 */     GIR_RootToRootCopy, /*OpIdx*/2, // lo
     /* 257154 */     GIR_RootToRootCopy, /*OpIdx*/3, // hi
     /* 257156 */     GIR_RootToRootCopy, /*OpIdx*/4, // addr
     /* 257158 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257162 */     GIR_RootConstrainSelectedInstOperands,
     /* 257163 */     // GIR_Coverage, 13040,
     /* 257163 */     GIR_EraseRootFromParent_Done,
     /* 257164 */   // Label 5143: @257164
     /* 257164 */   GIM_Try, /*On fail goto*//*Label 5144*/ GIMT_Encode4(257210), // Rule ID 3459 //
     /* 257169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8DOT2),
     /* 257172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fdot),
     /* 257177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 257180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 257183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 257186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 257189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 257193 */     // (intrinsic_w_chain:{ *:[nxv8f16] } 1489:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (FDOT_ZZZ_BtoH:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 257193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOT_ZZZ_BtoH),
     /* 257196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 257198 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 257200 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 257202 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 257204 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257208 */     GIR_RootConstrainSelectedInstOperands,
     /* 257209 */     // GIR_Coverage, 3459,
     /* 257209 */     GIR_EraseRootFromParent_Done,
     /* 257210 */   // Label 5144: @257210
     /* 257210 */   GIM_Try, /*On fail goto*//*Label 5145*/ GIMT_Encode4(257256), // Rule ID 3581 //
     /* 257215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 257218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlalb),
     /* 257223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 257226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 257229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 257232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 257235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 257239 */     // (intrinsic_w_chain:{ *:[nxv8f16] } 1491:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (FMLALB_ZZZ:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 257239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALB_ZZZ),
     /* 257242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 257244 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 257246 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 257248 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 257250 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257254 */     GIR_RootConstrainSelectedInstOperands,
     /* 257255 */     // GIR_Coverage, 3581,
     /* 257255 */     GIR_EraseRootFromParent_Done,
     /* 257256 */   // Label 5145: @257256
     /* 257256 */   GIM_Try, /*On fail goto*//*Label 5146*/ GIMT_Encode4(257302), // Rule ID 12476 //
     /* 257261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 257264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlalt),
     /* 257269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 257272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 257275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 257278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 257281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 257285 */     // (intrinsic_w_chain:{ *:[nxv8f16] } 1501:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (FMLALT_ZZZ:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 257285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALT_ZZZ),
     /* 257288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 257290 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 257292 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 257294 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 257296 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257300 */     GIR_RootConstrainSelectedInstOperands,
     /* 257301 */     // GIR_Coverage, 12476,
     /* 257301 */     GIR_EraseRootFromParent_Done,
     /* 257302 */   // Label 5146: @257302
     /* 257302 */   GIM_Try, /*On fail goto*//*Label 5147*/ GIMT_Encode4(257348), // Rule ID 12480 //
     /* 257307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 257310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlallbb),
     /* 257315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 257318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 257321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 257324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 257327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 257331 */     // (intrinsic_w_chain:{ *:[nxv4f32] } 1493:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (FMLALLBB_ZZZ:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 257331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLBB_ZZZ),
     /* 257334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 257336 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 257338 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 257340 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 257342 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257346 */     GIR_RootConstrainSelectedInstOperands,
     /* 257347 */     // GIR_Coverage, 12480,
     /* 257347 */     GIR_EraseRootFromParent_Done,
     /* 257348 */   // Label 5147: @257348
     /* 257348 */   GIM_Try, /*On fail goto*//*Label 5148*/ GIMT_Encode4(257394), // Rule ID 12481 //
     /* 257353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 257356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlallbt),
     /* 257361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 257364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 257367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 257370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 257373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 257377 */     // (intrinsic_w_chain:{ *:[nxv4f32] } 1495:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (FMLALLBT_ZZZ:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 257377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLBT_ZZZ),
     /* 257380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 257382 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 257384 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 257386 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 257388 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257392 */     GIR_RootConstrainSelectedInstOperands,
     /* 257393 */     // GIR_Coverage, 12481,
     /* 257393 */     GIR_EraseRootFromParent_Done,
     /* 257394 */   // Label 5148: @257394
     /* 257394 */   GIM_Try, /*On fail goto*//*Label 5149*/ GIMT_Encode4(257440), // Rule ID 12482 //
     /* 257399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 257402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlalltb),
     /* 257407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 257410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 257413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 257416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 257419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 257423 */     // (intrinsic_w_chain:{ *:[nxv4f32] } 1497:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (FMLALLTB_ZZZ:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 257423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLTB_ZZZ),
     /* 257426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 257428 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 257430 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 257432 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 257434 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257438 */     GIR_RootConstrainSelectedInstOperands,
     /* 257439 */     // GIR_Coverage, 12482,
     /* 257439 */     GIR_EraseRootFromParent_Done,
     /* 257440 */   // Label 5149: @257440
     /* 257440 */   GIM_Try, /*On fail goto*//*Label 5150*/ GIMT_Encode4(257486), // Rule ID 12483 //
     /* 257445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 257448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlalltt),
     /* 257453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 257456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 257459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 257462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 257465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 257469 */     // (intrinsic_w_chain:{ *:[nxv4f32] } 1499:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (FMLALLTT_ZZZ:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 257469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLTT_ZZZ),
     /* 257472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 257474 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 257476 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 257478 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 257480 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257484 */     GIR_RootConstrainSelectedInstOperands,
     /* 257485 */     // GIR_Coverage, 12483,
     /* 257485 */     GIR_EraseRootFromParent_Done,
     /* 257486 */   // Label 5150: @257486
     /* 257486 */   GIM_Try, /*On fail goto*//*Label 5151*/ GIMT_Encode4(257532), // Rule ID 12484 //
     /* 257491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8DOT4),
     /* 257494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fdot),
     /* 257499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 257502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 257505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 257508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 257511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 257515 */     // (intrinsic_w_chain:{ *:[nxv4f32] } 1489:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (FDOT_ZZZ_BtoS:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 257515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOT_ZZZ_BtoS),
     /* 257518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 257520 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 257522 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 257524 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 257526 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257530 */     GIR_RootConstrainSelectedInstOperands,
     /* 257531 */     // GIR_Coverage, 12484,
     /* 257531 */     GIR_EraseRootFromParent_Done,
     /* 257532 */   // Label 5151: @257532
     /* 257532 */   GIM_Reject,
     /* 257533 */ // Label 5104: @257533
     /* 257533 */ GIM_Try, /*On fail goto*//*Label 5152*/ GIMT_Encode4(260526),
     /* 257538 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/6,
     /* 257541 */   GIM_Try, /*On fail goto*//*Label 5153*/ GIMT_Encode4(257609), // Rule ID 2518 //
     /* 257546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 257549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlalb_lane),
     /* 257554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 257557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 257560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 257563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 257566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128_0to7RegClassID),
     /* 257582 */     // MIs[0] Idx
     /* 257582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 257585 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB32b_timm),
     /* 257590 */     // (intrinsic_w_chain:{ *:[v8f16] } 620:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128_0to7:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexB32b_timm>>:$Idx)  =>  (FMLALBlanev8f16:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rd, ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rm, ?:{ *:[i32] }:$Idx)
     /* 257590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALBlanev8f16),
     /* 257593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 257595 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 257597 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 257599 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 257601 */     GIR_RootToRootCopy, /*OpIdx*/5, // Idx
     /* 257603 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257607 */     GIR_RootConstrainSelectedInstOperands,
     /* 257608 */     // GIR_Coverage, 2518,
     /* 257608 */     GIR_EraseRootFromParent_Done,
     /* 257609 */   // Label 5153: @257609
     /* 257609 */   GIM_Try, /*On fail goto*//*Label 5154*/ GIMT_Encode4(257677), // Rule ID 2519 //
     /* 257614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 257617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlallbb_lane),
     /* 257622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 257625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 257628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 257631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 257634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128_0to7RegClassID),
     /* 257650 */     // MIs[0] Idx
     /* 257650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 257653 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB32b_timm),
     /* 257658 */     // (intrinsic_w_chain:{ *:[v4f32] } 622:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128_0to7:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexB32b_timm>>:$Idx)  =>  (FMLALLBBlanev4f32:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rm, ?:{ *:[i32] }:$Idx)
     /* 257658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLBBlanev4f32),
     /* 257661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 257663 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 257665 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 257667 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 257669 */     GIR_RootToRootCopy, /*OpIdx*/5, // Idx
     /* 257671 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257675 */     GIR_RootConstrainSelectedInstOperands,
     /* 257676 */     // GIR_Coverage, 2519,
     /* 257676 */     GIR_EraseRootFromParent_Done,
     /* 257677 */   // Label 5154: @257677
     /* 257677 */   GIM_Try, /*On fail goto*//*Label 5155*/ GIMT_Encode4(257745), // Rule ID 2520 //
     /* 257682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8DOT4),
     /* 257685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fdot4_lane),
     /* 257690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 257693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 257696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 257699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 257702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 257706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 257710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 257714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257718 */     // MIs[0] Idx
     /* 257718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 257721 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 257726 */     // (intrinsic_w_chain:{ *:[v2f32] } 618:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v8i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Idx)  =>  (FDOTlanev2f32:{ *:[v2f32] } ?:{ *:[v2f32] }:$Rd, ?:{ *:[v8i8] }:$Rn, ?:{ *:[v16i8] }:$Rm, ?:{ *:[i32] }:$Idx)
     /* 257726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOTlanev2f32),
     /* 257729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 257731 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 257733 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 257735 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 257737 */     GIR_RootToRootCopy, /*OpIdx*/5, // Idx
     /* 257739 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257743 */     GIR_RootConstrainSelectedInstOperands,
     /* 257744 */     // GIR_Coverage, 2520,
     /* 257744 */     GIR_EraseRootFromParent_Done,
     /* 257745 */   // Label 5155: @257745
     /* 257745 */   GIM_Try, /*On fail goto*//*Label 5156*/ GIMT_Encode4(257813), // Rule ID 2521 //
     /* 257750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8DOT4),
     /* 257753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fdot4_lane),
     /* 257758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 257761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 257764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 257767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 257770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257786 */     // MIs[0] Idx
     /* 257786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 257789 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 257794 */     // (intrinsic_w_chain:{ *:[v4f32] } 618:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Idx)  =>  (FDOTlanev4f32:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rm, ?:{ *:[i32] }:$Idx)
     /* 257794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOTlanev4f32),
     /* 257797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 257799 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 257801 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 257803 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 257805 */     GIR_RootToRootCopy, /*OpIdx*/5, // Idx
     /* 257807 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257811 */     GIR_RootConstrainSelectedInstOperands,
     /* 257812 */     // GIR_Coverage, 2521,
     /* 257812 */     GIR_EraseRootFromParent_Done,
     /* 257813 */   // Label 5156: @257813
     /* 257813 */   GIM_Try, /*On fail goto*//*Label 5157*/ GIMT_Encode4(257881), // Rule ID 2522 //
     /* 257818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8DOT2),
     /* 257821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fdot2_lane),
     /* 257826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 257829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 257832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 257835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 257838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 257842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 257846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 257850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 257854 */     // MIs[0] Idx
     /* 257854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 257857 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 257862 */     // (intrinsic_w_chain:{ *:[v4f16] } 616:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V128_lo:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Idx)  =>  (FDOTlanev4f16:{ *:[v4f16] } ?:{ *:[v4f16] }:$Rd, ?:{ *:[v8i8] }:$Rn, ?:{ *:[v16i8] }:$Rm, ?:{ *:[i32] }:$Idx)
     /* 257862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOTlanev4f16),
     /* 257865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 257867 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 257869 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 257871 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 257873 */     GIR_RootToRootCopy, /*OpIdx*/5, // Idx
     /* 257875 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257879 */     GIR_RootConstrainSelectedInstOperands,
     /* 257880 */     // GIR_Coverage, 2522,
     /* 257880 */     GIR_EraseRootFromParent_Done,
     /* 257881 */   // Label 5157: @257881
     /* 257881 */   GIM_Try, /*On fail goto*//*Label 5158*/ GIMT_Encode4(257949), // Rule ID 2523 //
     /* 257886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8DOT2),
     /* 257889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fdot2_lane),
     /* 257894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 257897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 257900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 257903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 257906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 257922 */     // MIs[0] Idx
     /* 257922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 257925 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 257930 */     // (intrinsic_w_chain:{ *:[v8f16] } 616:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128_lo:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Idx)  =>  (FDOTlanev8f16:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rd, ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rm, ?:{ *:[i32] }:$Idx)
     /* 257930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOTlanev8f16),
     /* 257933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 257935 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 257937 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 257939 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 257941 */     GIR_RootToRootCopy, /*OpIdx*/5, // Idx
     /* 257943 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257947 */     GIR_RootConstrainSelectedInstOperands,
     /* 257948 */     // GIR_Coverage, 2523,
     /* 257948 */     GIR_EraseRootFromParent_Done,
     /* 257949 */   // Label 5158: @257949
     /* 257949 */   GIM_Try, /*On fail goto*//*Label 5159*/ GIMT_Encode4(258017), // Rule ID 6952 //
     /* 257954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 257957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlalt_lane),
     /* 257962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 257965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 257968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 257971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 257974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128_0to7RegClassID),
     /* 257990 */     // MIs[0] Idx
     /* 257990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 257993 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB32b_timm),
     /* 257998 */     // (intrinsic_w_chain:{ *:[v8f16] } 630:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128_0to7:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexB32b_timm>>:$Idx)  =>  (FMLALTlanev8f16:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rd, ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rm, ?:{ *:[i32] }:$Idx)
     /* 257998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALTlanev8f16),
     /* 258001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 258003 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 258005 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 258007 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 258009 */     GIR_RootToRootCopy, /*OpIdx*/5, // Idx
     /* 258011 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258015 */     GIR_RootConstrainSelectedInstOperands,
     /* 258016 */     // GIR_Coverage, 6952,
     /* 258016 */     GIR_EraseRootFromParent_Done,
     /* 258017 */   // Label 5159: @258017
     /* 258017 */   GIM_Try, /*On fail goto*//*Label 5160*/ GIMT_Encode4(258085), // Rule ID 6953 //
     /* 258022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 258025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlallbt_lane),
     /* 258030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 258033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 258036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 258039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 258042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128_0to7RegClassID),
     /* 258058 */     // MIs[0] Idx
     /* 258058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 258061 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB32b_timm),
     /* 258066 */     // (intrinsic_w_chain:{ *:[v4f32] } 624:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128_0to7:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexB32b_timm>>:$Idx)  =>  (FMLALLBTlanev4f32:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rm, ?:{ *:[i32] }:$Idx)
     /* 258066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLBTlanev4f32),
     /* 258069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 258071 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 258073 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 258075 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 258077 */     GIR_RootToRootCopy, /*OpIdx*/5, // Idx
     /* 258079 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258083 */     GIR_RootConstrainSelectedInstOperands,
     /* 258084 */     // GIR_Coverage, 6953,
     /* 258084 */     GIR_EraseRootFromParent_Done,
     /* 258085 */   // Label 5160: @258085
     /* 258085 */   GIM_Try, /*On fail goto*//*Label 5161*/ GIMT_Encode4(258153), // Rule ID 6954 //
     /* 258090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 258093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlalltb_lane),
     /* 258098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 258101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 258104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 258107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 258110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128_0to7RegClassID),
     /* 258126 */     // MIs[0] Idx
     /* 258126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 258129 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB32b_timm),
     /* 258134 */     // (intrinsic_w_chain:{ *:[v4f32] } 626:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128_0to7:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexB32b_timm>>:$Idx)  =>  (FMLALLTBlanev4f32:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rm, ?:{ *:[i32] }:$Idx)
     /* 258134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLTBlanev4f32),
     /* 258137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 258139 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 258141 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 258143 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 258145 */     GIR_RootToRootCopy, /*OpIdx*/5, // Idx
     /* 258147 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258151 */     GIR_RootConstrainSelectedInstOperands,
     /* 258152 */     // GIR_Coverage, 6954,
     /* 258152 */     GIR_EraseRootFromParent_Done,
     /* 258153 */   // Label 5161: @258153
     /* 258153 */   GIM_Try, /*On fail goto*//*Label 5162*/ GIMT_Encode4(258221), // Rule ID 6955 //
     /* 258158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 258161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlalltt_lane),
     /* 258166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 258169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 258172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 258175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 258178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128_0to7RegClassID),
     /* 258194 */     // MIs[0] Idx
     /* 258194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 258197 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB32b_timm),
     /* 258202 */     // (intrinsic_w_chain:{ *:[v4f32] } 628:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128_0to7:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexB32b_timm>>:$Idx)  =>  (FMLALLTTlanev4f32:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rm, ?:{ *:[i32] }:$Idx)
     /* 258202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLTTlanev4f32),
     /* 258205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 258207 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 258209 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 258211 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 258213 */     GIR_RootToRootCopy, /*OpIdx*/5, // Idx
     /* 258215 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258219 */     GIR_RootConstrainSelectedInstOperands,
     /* 258220 */     // GIR_Coverage, 6955,
     /* 258220 */     GIR_EraseRootFromParent_Done,
     /* 258221 */   // Label 5162: @258221
     /* 258221 */   GIM_Try, /*On fail goto*//*Label 5163*/ GIMT_Encode4(258281), // Rule ID 3593 //
     /* 258226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 258229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mopa),
     /* 258234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 258237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 258240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 258243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 258246 */     // MIs[0] tile
     /* 258246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 258249 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 258254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 258258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 258262 */     // (intrinsic_void 918:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv4i1] }:$Pn, PPR3bAny:{ *:[nxv4i1] }:$Pm, nxv4f32:{ *:[nxv4f32] }:$Zn, nxv4f32:{ *:[nxv4f32] }:$Zm)  =>  (FMOPA_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv4i1] }:$Pn, ?:{ *:[nxv4i1] }:$Pm, ?:{ *:[nxv4f32] }:$Zn, ?:{ *:[nxv4f32] }:$Zm)
     /* 258262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOPA_MPPZZ_S_PSEUDO),
     /* 258265 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 258267 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 258269 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 258271 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 258273 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 258275 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258279 */     GIR_RootConstrainSelectedInstOperands,
     /* 258280 */     // GIR_Coverage, 3593,
     /* 258280 */     GIR_EraseRootFromParent_Done,
     /* 258281 */   // Label 5163: @258281
     /* 258281 */   GIM_Try, /*On fail goto*//*Label 5164*/ GIMT_Encode4(258341), // Rule ID 3594 //
     /* 258286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEF8F32),
     /* 258289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_fp8_fmopa_za32),
     /* 258294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 258297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 258300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 258303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 258306 */     // MIs[0] tile
     /* 258306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 258309 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 258314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 258318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 258322 */     // (intrinsic_void 872:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv16i1] }:$Pn, PPR3bAny:{ *:[nxv16i1] }:$Pm, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (FMOPA_MPPZZ_BtoS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv16i1] }:$Pm, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 258322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOPA_MPPZZ_BtoS_PSEUDO),
     /* 258325 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 258327 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 258329 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 258331 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 258333 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 258335 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258339 */     GIR_RootConstrainSelectedInstOperands,
     /* 258340 */     // GIR_Coverage, 3594,
     /* 258340 */     GIR_EraseRootFromParent_Done,
     /* 258341 */   // Label 5164: @258341
     /* 258341 */   GIM_Try, /*On fail goto*//*Label 5165*/ GIMT_Encode4(258401), // Rule ID 3595 //
     /* 258346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEF64F64),
     /* 258349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mopa),
     /* 258354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 258357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 258360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 258363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 258366 */     // MIs[0] tile
     /* 258366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 258369 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 258374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 258378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 258382 */     // (intrinsic_void 918:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv2i1] }:$Pn, PPR3bAny:{ *:[nxv2i1] }:$Pm, nxv2f64:{ *:[nxv2f64] }:$Zn, nxv2f64:{ *:[nxv2f64] }:$Zm)  =>  (FMOPA_MPPZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv2i1] }:$Pn, ?:{ *:[nxv2i1] }:$Pm, ?:{ *:[nxv2f64] }:$Zn, ?:{ *:[nxv2f64] }:$Zm)
     /* 258382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOPA_MPPZZ_D_PSEUDO),
     /* 258385 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 258387 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 258389 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 258391 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 258393 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 258395 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258399 */     GIR_RootConstrainSelectedInstOperands,
     /* 258400 */     // GIR_Coverage, 3595,
     /* 258400 */     GIR_EraseRootFromParent_Done,
     /* 258401 */   // Label 5165: @258401
     /* 258401 */   GIM_Try, /*On fail goto*//*Label 5166*/ GIMT_Encode4(258461), // Rule ID 3596 //
     /* 258406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEF8F16),
     /* 258409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_fp8_fmopa_za16),
     /* 258414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 258417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 258420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 258423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 258426 */     // MIs[0] tile
     /* 258426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 258429 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_1),
     /* 258434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 258438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 258442 */     // (intrinsic_void 871:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_1>>:$tile, PPR3bAny:{ *:[nxv16i1] }:$Pn, PPR3bAny:{ *:[nxv16i1] }:$Pm, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (FMOPA_MPPZZ_BtoH_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv16i1] }:$Pm, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 258442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOPA_MPPZZ_BtoH_PSEUDO),
     /* 258445 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 258447 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 258449 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 258451 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 258453 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 258455 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258459 */     GIR_RootConstrainSelectedInstOperands,
     /* 258460 */     // GIR_Coverage, 3596,
     /* 258460 */     GIR_EraseRootFromParent_Done,
     /* 258461 */   // Label 5166: @258461
     /* 258461 */   GIM_Try, /*On fail goto*//*Label 5167*/ GIMT_Encode4(258521), // Rule ID 3597 //
     /* 258466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEF16F16_or_SMEF8F16),
     /* 258469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mopa),
     /* 258474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 258477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 258480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 258483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 258486 */     // MIs[0] tile
     /* 258486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 258489 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_1),
     /* 258494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 258498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 258502 */     // (intrinsic_void 918:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_1>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8f16:{ *:[nxv8f16] }:$Zn, nxv8f16:{ *:[nxv8f16] }:$Zm)  =>  (FMOPA_MPPZZ_H_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8f16] }:$Zn, ?:{ *:[nxv8f16] }:$Zm)
     /* 258502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOPA_MPPZZ_H_PSEUDO),
     /* 258505 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 258507 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 258509 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 258511 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 258513 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 258515 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258519 */     GIR_RootConstrainSelectedInstOperands,
     /* 258520 */     // GIR_Coverage, 3597,
     /* 258520 */     GIR_EraseRootFromParent_Done,
     /* 258521 */   // Label 5167: @258521
     /* 258521 */   GIM_Try, /*On fail goto*//*Label 5168*/ GIMT_Encode4(258581), // Rule ID 3598 //
     /* 258526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 258529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_smopa_wide),
     /* 258534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 258537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 258540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 258543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 258546 */     // MIs[0] tile
     /* 258546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 258549 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 258554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 258558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 258562 */     // (intrinsic_void 1021:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv16i1] }:$Pn, PPR3bAny:{ *:[nxv16i1] }:$Pm, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (SMOPA_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv16i1] }:$Pm, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 258562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOPA_MPPZZ_S_PSEUDO),
     /* 258565 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 258567 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 258569 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 258571 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 258573 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 258575 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258579 */     GIR_RootConstrainSelectedInstOperands,
     /* 258580 */     // GIR_Coverage, 3598,
     /* 258580 */     GIR_EraseRootFromParent_Done,
     /* 258581 */   // Label 5168: @258581
     /* 258581 */   GIM_Try, /*On fail goto*//*Label 5169*/ GIMT_Encode4(258641), // Rule ID 3599 //
     /* 258586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64),
     /* 258589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_smopa_wide),
     /* 258594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 258597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 258600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 258603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 258606 */     // MIs[0] tile
     /* 258606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 258609 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 258614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 258618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 258622 */     // (intrinsic_void 1021:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (SMOPA_MPPZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 258622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOPA_MPPZZ_D_PSEUDO),
     /* 258625 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 258627 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 258629 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 258631 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 258633 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 258635 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258639 */     GIR_RootConstrainSelectedInstOperands,
     /* 258640 */     // GIR_Coverage, 3599,
     /* 258640 */     GIR_EraseRootFromParent_Done,
     /* 258641 */   // Label 5169: @258641
     /* 258641 */   GIM_Try, /*On fail goto*//*Label 5170*/ GIMT_Encode4(258701), // Rule ID 3600 //
     /* 258646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 258649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mopa_wide),
     /* 258654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 258657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 258660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 258663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 258666 */     // MIs[0] tile
     /* 258666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 258669 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 258674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 258678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 258682 */     // (intrinsic_void 920:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8f16:{ *:[nxv8f16] }:$Zn, nxv8f16:{ *:[nxv8f16] }:$Zm)  =>  (FMOPAL_MPPZZ_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8f16] }:$Zn, ?:{ *:[nxv8f16] }:$Zm)
     /* 258682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOPAL_MPPZZ_PSEUDO),
     /* 258685 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 258687 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 258689 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 258691 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 258693 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 258695 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258699 */     GIR_RootConstrainSelectedInstOperands,
     /* 258700 */     // GIR_Coverage, 3600,
     /* 258700 */     GIR_EraseRootFromParent_Done,
     /* 258701 */   // Label 5170: @258701
     /* 258701 */   GIM_Try, /*On fail goto*//*Label 5171*/ GIMT_Encode4(258761), // Rule ID 3694 //
     /* 258706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME2),
     /* 258709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_smopa_za32),
     /* 258714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 258717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 258720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 258723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 258726 */     // MIs[0] tile
     /* 258726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 258729 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 258734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 258738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 258742 */     // (intrinsic_void 1022:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (SMOPA_MPPZZ_HtoS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 258742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOPA_MPPZZ_HtoS_PSEUDO),
     /* 258745 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 258747 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 258749 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 258751 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 258753 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 258755 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258759 */     GIR_RootConstrainSelectedInstOperands,
     /* 258760 */     // GIR_Coverage, 3694,
     /* 258760 */     GIR_EraseRootFromParent_Done,
     /* 258761 */   // Label 5171: @258761
     /* 258761 */   GIM_Try, /*On fail goto*//*Label 5172*/ GIMT_Encode4(258821), // Rule ID 3695 //
     /* 258766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME2),
     /* 258769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_bmopa_za32),
     /* 258774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 258777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 258780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 258783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 258786 */     // MIs[0] tile
     /* 258786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 258789 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 258794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 258798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 258802 */     // (intrinsic_void 799:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv4i1] }:$Pn, PPR3bAny:{ *:[nxv4i1] }:$Pm, nxv4i32:{ *:[nxv4i32] }:$Zn, nxv4i32:{ *:[nxv4i32] }:$Zm)  =>  (BMOPA_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv4i1] }:$Pn, ?:{ *:[nxv4i1] }:$Pm, ?:{ *:[nxv4i32] }:$Zn, ?:{ *:[nxv4i32] }:$Zm)
     /* 258802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BMOPA_MPPZZ_S_PSEUDO),
     /* 258805 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 258807 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 258809 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 258811 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 258813 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 258815 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258819 */     GIR_RootConstrainSelectedInstOperands,
     /* 258820 */     // GIR_Coverage, 3695,
     /* 258820 */     GIR_EraseRootFromParent_Done,
     /* 258821 */   // Label 5172: @258821
     /* 258821 */   GIM_Try, /*On fail goto*//*Label 5173*/ GIMT_Encode4(258881), // Rule ID 12491 //
     /* 258826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 258829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mops),
     /* 258834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 258837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 258840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 258843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 258846 */     // MIs[0] tile
     /* 258846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 258849 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 258854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 258858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 258862 */     // (intrinsic_void 921:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv4i1] }:$Pn, PPR3bAny:{ *:[nxv4i1] }:$Pm, nxv4f32:{ *:[nxv4f32] }:$Zn, nxv4f32:{ *:[nxv4f32] }:$Zm)  =>  (FMOPS_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv4i1] }:$Pn, ?:{ *:[nxv4i1] }:$Pm, ?:{ *:[nxv4f32] }:$Zn, ?:{ *:[nxv4f32] }:$Zm)
     /* 258862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOPS_MPPZZ_S_PSEUDO),
     /* 258865 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 258867 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 258869 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 258871 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 258873 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 258875 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258879 */     GIR_RootConstrainSelectedInstOperands,
     /* 258880 */     // GIR_Coverage, 12491,
     /* 258880 */     GIR_EraseRootFromParent_Done,
     /* 258881 */   // Label 5173: @258881
     /* 258881 */   GIM_Try, /*On fail goto*//*Label 5174*/ GIMT_Encode4(258941), // Rule ID 12492 //
     /* 258886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEF64F64),
     /* 258889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mops),
     /* 258894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 258897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 258900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 258903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 258906 */     // MIs[0] tile
     /* 258906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 258909 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 258914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 258918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 258922 */     // (intrinsic_void 921:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv2i1] }:$Pn, PPR3bAny:{ *:[nxv2i1] }:$Pm, nxv2f64:{ *:[nxv2f64] }:$Zn, nxv2f64:{ *:[nxv2f64] }:$Zm)  =>  (FMOPS_MPPZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv2i1] }:$Pn, ?:{ *:[nxv2i1] }:$Pm, ?:{ *:[nxv2f64] }:$Zn, ?:{ *:[nxv2f64] }:$Zm)
     /* 258922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOPS_MPPZZ_D_PSEUDO),
     /* 258925 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 258927 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 258929 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 258931 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 258933 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 258935 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258939 */     GIR_RootConstrainSelectedInstOperands,
     /* 258940 */     // GIR_Coverage, 12492,
     /* 258940 */     GIR_EraseRootFromParent_Done,
     /* 258941 */   // Label 5174: @258941
     /* 258941 */   GIM_Try, /*On fail goto*//*Label 5175*/ GIMT_Encode4(259001), // Rule ID 12493 //
     /* 258946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 258949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mops_wide),
     /* 258954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 258957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 258960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 258963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 258966 */     // MIs[0] tile
     /* 258966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 258969 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 258974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 258978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 258982 */     // (intrinsic_void 923:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8f16:{ *:[nxv8f16] }:$Zn, nxv8f16:{ *:[nxv8f16] }:$Zm)  =>  (FMOPSL_MPPZZ_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8f16] }:$Zn, ?:{ *:[nxv8f16] }:$Zm)
     /* 258982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOPSL_MPPZZ_PSEUDO),
     /* 258985 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 258987 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 258989 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 258991 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 258993 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 258995 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258999 */     GIR_RootConstrainSelectedInstOperands,
     /* 259000 */     // GIR_Coverage, 12493,
     /* 259000 */     GIR_EraseRootFromParent_Done,
     /* 259001 */   // Label 5175: @259001
     /* 259001 */   GIM_Try, /*On fail goto*//*Label 5176*/ GIMT_Encode4(259061), // Rule ID 12494 //
     /* 259006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 259009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_smops_wide),
     /* 259014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 259017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 259020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 259023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 259026 */     // MIs[0] tile
     /* 259026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 259029 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 259034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259042 */     // (intrinsic_void 1023:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv16i1] }:$Pn, PPR3bAny:{ *:[nxv16i1] }:$Pm, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (SMOPS_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv16i1] }:$Pm, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 259042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOPS_MPPZZ_S_PSEUDO),
     /* 259045 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 259047 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 259049 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 259051 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 259053 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 259055 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259059 */     GIR_RootConstrainSelectedInstOperands,
     /* 259060 */     // GIR_Coverage, 12494,
     /* 259060 */     GIR_EraseRootFromParent_Done,
     /* 259061 */   // Label 5176: @259061
     /* 259061 */   GIM_Try, /*On fail goto*//*Label 5177*/ GIMT_Encode4(259121), // Rule ID 12495 //
     /* 259066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 259069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_umopa_wide),
     /* 259074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 259077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 259080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 259083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 259086 */     // MIs[0] tile
     /* 259086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 259089 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 259094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259102 */     // (intrinsic_void 1154:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv16i1] }:$Pn, PPR3bAny:{ *:[nxv16i1] }:$Pm, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (UMOPA_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv16i1] }:$Pm, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 259102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOPA_MPPZZ_S_PSEUDO),
     /* 259105 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 259107 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 259109 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 259111 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 259113 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 259115 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259119 */     GIR_RootConstrainSelectedInstOperands,
     /* 259120 */     // GIR_Coverage, 12495,
     /* 259120 */     GIR_EraseRootFromParent_Done,
     /* 259121 */   // Label 5177: @259121
     /* 259121 */   GIM_Try, /*On fail goto*//*Label 5178*/ GIMT_Encode4(259181), // Rule ID 12496 //
     /* 259126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 259129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_umops_wide),
     /* 259134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 259137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 259140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 259143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 259146 */     // MIs[0] tile
     /* 259146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 259149 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 259154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259162 */     // (intrinsic_void 1156:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv16i1] }:$Pn, PPR3bAny:{ *:[nxv16i1] }:$Pm, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (UMOPS_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv16i1] }:$Pm, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 259162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOPS_MPPZZ_S_PSEUDO),
     /* 259165 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 259167 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 259169 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 259171 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 259173 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 259175 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259179 */     GIR_RootConstrainSelectedInstOperands,
     /* 259180 */     // GIR_Coverage, 12496,
     /* 259180 */     GIR_EraseRootFromParent_Done,
     /* 259181 */   // Label 5178: @259181
     /* 259181 */   GIM_Try, /*On fail goto*//*Label 5179*/ GIMT_Encode4(259241), // Rule ID 12497 //
     /* 259186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 259189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_sumopa_wide),
     /* 259194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 259197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 259200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 259203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 259206 */     // MIs[0] tile
     /* 259206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 259209 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 259214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259222 */     // (intrinsic_void 1072:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv16i1] }:$Pn, PPR3bAny:{ *:[nxv16i1] }:$Pm, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (SUMOPA_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv16i1] }:$Pm, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 259222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUMOPA_MPPZZ_S_PSEUDO),
     /* 259225 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 259227 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 259229 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 259231 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 259233 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 259235 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259239 */     GIR_RootConstrainSelectedInstOperands,
     /* 259240 */     // GIR_Coverage, 12497,
     /* 259240 */     GIR_EraseRootFromParent_Done,
     /* 259241 */   // Label 5179: @259241
     /* 259241 */   GIM_Try, /*On fail goto*//*Label 5180*/ GIMT_Encode4(259301), // Rule ID 12498 //
     /* 259246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 259249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_sumops_wide),
     /* 259254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 259257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 259260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 259263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 259266 */     // MIs[0] tile
     /* 259266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 259269 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 259274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259282 */     // (intrinsic_void 1073:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv16i1] }:$Pn, PPR3bAny:{ *:[nxv16i1] }:$Pm, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (SUMOPS_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv16i1] }:$Pm, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 259282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUMOPS_MPPZZ_S_PSEUDO),
     /* 259285 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 259287 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 259289 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 259291 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 259293 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 259295 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259299 */     GIR_RootConstrainSelectedInstOperands,
     /* 259300 */     // GIR_Coverage, 12498,
     /* 259300 */     GIR_EraseRootFromParent_Done,
     /* 259301 */   // Label 5180: @259301
     /* 259301 */   GIM_Try, /*On fail goto*//*Label 5181*/ GIMT_Encode4(259361), // Rule ID 12499 //
     /* 259306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 259309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_usmopa_wide),
     /* 259314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 259317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 259320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 259323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 259326 */     // MIs[0] tile
     /* 259326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 259329 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 259334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259342 */     // (intrinsic_void 1188:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv16i1] }:$Pn, PPR3bAny:{ *:[nxv16i1] }:$Pm, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (USMOPA_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv16i1] }:$Pm, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 259342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USMOPA_MPPZZ_S_PSEUDO),
     /* 259345 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 259347 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 259349 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 259351 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 259353 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 259355 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259359 */     GIR_RootConstrainSelectedInstOperands,
     /* 259360 */     // GIR_Coverage, 12499,
     /* 259360 */     GIR_EraseRootFromParent_Done,
     /* 259361 */   // Label 5181: @259361
     /* 259361 */   GIM_Try, /*On fail goto*//*Label 5182*/ GIMT_Encode4(259421), // Rule ID 12500 //
     /* 259366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 259369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_usmops_wide),
     /* 259374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 259377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 259380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 259383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 259386 */     // MIs[0] tile
     /* 259386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 259389 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 259394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259402 */     // (intrinsic_void 1189:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv16i1] }:$Pn, PPR3bAny:{ *:[nxv16i1] }:$Pm, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (USMOPS_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv16i1] }:$Pm, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 259402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USMOPS_MPPZZ_S_PSEUDO),
     /* 259405 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 259407 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 259409 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 259411 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 259413 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 259415 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259419 */     GIR_RootConstrainSelectedInstOperands,
     /* 259420 */     // GIR_Coverage, 12500,
     /* 259420 */     GIR_EraseRootFromParent_Done,
     /* 259421 */   // Label 5182: @259421
     /* 259421 */   GIM_Try, /*On fail goto*//*Label 5183*/ GIMT_Encode4(259481), // Rule ID 12501 //
     /* 259426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64),
     /* 259429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_smops_wide),
     /* 259434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 259437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 259440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 259443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 259446 */     // MIs[0] tile
     /* 259446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 259449 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 259454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259462 */     // (intrinsic_void 1023:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (SMOPS_MPPZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 259462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOPS_MPPZZ_D_PSEUDO),
     /* 259465 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 259467 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 259469 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 259471 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 259473 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 259475 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259479 */     GIR_RootConstrainSelectedInstOperands,
     /* 259480 */     // GIR_Coverage, 12501,
     /* 259480 */     GIR_EraseRootFromParent_Done,
     /* 259481 */   // Label 5183: @259481
     /* 259481 */   GIM_Try, /*On fail goto*//*Label 5184*/ GIMT_Encode4(259541), // Rule ID 12502 //
     /* 259486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64),
     /* 259489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_umopa_wide),
     /* 259494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 259497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 259500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 259503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 259506 */     // MIs[0] tile
     /* 259506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 259509 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 259514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259522 */     // (intrinsic_void 1154:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (UMOPA_MPPZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 259522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOPA_MPPZZ_D_PSEUDO),
     /* 259525 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 259527 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 259529 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 259531 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 259533 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 259535 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259539 */     GIR_RootConstrainSelectedInstOperands,
     /* 259540 */     // GIR_Coverage, 12502,
     /* 259540 */     GIR_EraseRootFromParent_Done,
     /* 259541 */   // Label 5184: @259541
     /* 259541 */   GIM_Try, /*On fail goto*//*Label 5185*/ GIMT_Encode4(259601), // Rule ID 12503 //
     /* 259546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64),
     /* 259549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_umops_wide),
     /* 259554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 259557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 259560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 259563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 259566 */     // MIs[0] tile
     /* 259566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 259569 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 259574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259582 */     // (intrinsic_void 1156:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (UMOPS_MPPZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 259582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOPS_MPPZZ_D_PSEUDO),
     /* 259585 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 259587 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 259589 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 259591 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 259593 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 259595 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259599 */     GIR_RootConstrainSelectedInstOperands,
     /* 259600 */     // GIR_Coverage, 12503,
     /* 259600 */     GIR_EraseRootFromParent_Done,
     /* 259601 */   // Label 5185: @259601
     /* 259601 */   GIM_Try, /*On fail goto*//*Label 5186*/ GIMT_Encode4(259661), // Rule ID 12504 //
     /* 259606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64),
     /* 259609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_sumopa_wide),
     /* 259614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 259617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 259620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 259623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 259626 */     // MIs[0] tile
     /* 259626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 259629 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 259634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259642 */     // (intrinsic_void 1072:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (SUMOPA_MPPZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 259642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUMOPA_MPPZZ_D_PSEUDO),
     /* 259645 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 259647 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 259649 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 259651 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 259653 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 259655 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259659 */     GIR_RootConstrainSelectedInstOperands,
     /* 259660 */     // GIR_Coverage, 12504,
     /* 259660 */     GIR_EraseRootFromParent_Done,
     /* 259661 */   // Label 5186: @259661
     /* 259661 */   GIM_Try, /*On fail goto*//*Label 5187*/ GIMT_Encode4(259721), // Rule ID 12505 //
     /* 259666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64),
     /* 259669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_sumops_wide),
     /* 259674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 259677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 259680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 259683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 259686 */     // MIs[0] tile
     /* 259686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 259689 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 259694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259702 */     // (intrinsic_void 1073:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (SUMOPS_MPPZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 259702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUMOPS_MPPZZ_D_PSEUDO),
     /* 259705 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 259707 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 259709 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 259711 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 259713 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 259715 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259719 */     GIR_RootConstrainSelectedInstOperands,
     /* 259720 */     // GIR_Coverage, 12505,
     /* 259720 */     GIR_EraseRootFromParent_Done,
     /* 259721 */   // Label 5187: @259721
     /* 259721 */   GIM_Try, /*On fail goto*//*Label 5188*/ GIMT_Encode4(259781), // Rule ID 12506 //
     /* 259726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64),
     /* 259729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_usmopa_wide),
     /* 259734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 259737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 259740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 259743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 259746 */     // MIs[0] tile
     /* 259746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 259749 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 259754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259762 */     // (intrinsic_void 1188:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (USMOPA_MPPZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 259762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USMOPA_MPPZZ_D_PSEUDO),
     /* 259765 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 259767 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 259769 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 259771 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 259773 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 259775 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259779 */     GIR_RootConstrainSelectedInstOperands,
     /* 259780 */     // GIR_Coverage, 12506,
     /* 259780 */     GIR_EraseRootFromParent_Done,
     /* 259781 */   // Label 5188: @259781
     /* 259781 */   GIM_Try, /*On fail goto*//*Label 5189*/ GIMT_Encode4(259841), // Rule ID 12507 //
     /* 259786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64),
     /* 259789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_usmops_wide),
     /* 259794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 259797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 259800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 259803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 259806 */     // MIs[0] tile
     /* 259806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 259809 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 259814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259822 */     // (intrinsic_void 1189:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (USMOPS_MPPZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 259822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USMOPS_MPPZZ_D_PSEUDO),
     /* 259825 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 259827 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 259829 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 259831 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 259833 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 259835 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259839 */     GIR_RootConstrainSelectedInstOperands,
     /* 259840 */     // GIR_Coverage, 12507,
     /* 259840 */     GIR_EraseRootFromParent_Done,
     /* 259841 */   // Label 5189: @259841
     /* 259841 */   GIM_Try, /*On fail goto*//*Label 5190*/ GIMT_Encode4(259901), // Rule ID 12872 //
     /* 259846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME2),
     /* 259849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_bmops_za32),
     /* 259854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 259857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 259860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 259863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 259866 */     // MIs[0] tile
     /* 259866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 259869 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 259874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259882 */     // (intrinsic_void 800:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv4i1] }:$Pn, PPR3bAny:{ *:[nxv4i1] }:$Pm, nxv4i32:{ *:[nxv4i32] }:$Zn, nxv4i32:{ *:[nxv4i32] }:$Zm)  =>  (BMOPS_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv4i1] }:$Pn, ?:{ *:[nxv4i1] }:$Pm, ?:{ *:[nxv4i32] }:$Zn, ?:{ *:[nxv4i32] }:$Zm)
     /* 259882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BMOPS_MPPZZ_S_PSEUDO),
     /* 259885 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 259887 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 259889 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 259891 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 259893 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 259895 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259899 */     GIR_RootConstrainSelectedInstOperands,
     /* 259900 */     // GIR_Coverage, 12872,
     /* 259900 */     GIR_EraseRootFromParent_Done,
     /* 259901 */   // Label 5190: @259901
     /* 259901 */   GIM_Try, /*On fail goto*//*Label 5191*/ GIMT_Encode4(259961), // Rule ID 12873 //
     /* 259906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME2),
     /* 259909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_smops_za32),
     /* 259914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 259917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 259920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 259923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 259926 */     // MIs[0] tile
     /* 259926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 259929 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 259934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259942 */     // (intrinsic_void 1024:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (SMOPS_MPPZZ_HtoS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 259942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOPS_MPPZZ_HtoS_PSEUDO),
     /* 259945 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 259947 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 259949 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 259951 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 259953 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 259955 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259959 */     GIR_RootConstrainSelectedInstOperands,
     /* 259960 */     // GIR_Coverage, 12873,
     /* 259960 */     GIR_EraseRootFromParent_Done,
     /* 259961 */   // Label 5191: @259961
     /* 259961 */   GIM_Try, /*On fail goto*//*Label 5192*/ GIMT_Encode4(260021), // Rule ID 12874 //
     /* 259966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME2),
     /* 259969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_umopa_za32),
     /* 259974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 259977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 259980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 259983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 259986 */     // MIs[0] tile
     /* 259986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 259989 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 259994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260002 */     // (intrinsic_void 1155:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (UMOPA_MPPZZ_HtoS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 260002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOPA_MPPZZ_HtoS_PSEUDO),
     /* 260005 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 260007 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 260009 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 260011 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 260013 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 260015 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 260019 */     GIR_RootConstrainSelectedInstOperands,
     /* 260020 */     // GIR_Coverage, 12874,
     /* 260020 */     GIR_EraseRootFromParent_Done,
     /* 260021 */   // Label 5192: @260021
     /* 260021 */   GIM_Try, /*On fail goto*//*Label 5193*/ GIMT_Encode4(260081), // Rule ID 12875 //
     /* 260026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME2),
     /* 260029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_umops_za32),
     /* 260034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 260037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 260040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 260043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 260046 */     // MIs[0] tile
     /* 260046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 260049 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 260054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260062 */     // (intrinsic_void 1157:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (UMOPS_MPPZZ_HtoS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 260062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOPS_MPPZZ_HtoS_PSEUDO),
     /* 260065 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 260067 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 260069 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 260071 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 260073 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 260075 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 260079 */     GIR_RootConstrainSelectedInstOperands,
     /* 260080 */     // GIR_Coverage, 12875,
     /* 260080 */     GIR_EraseRootFromParent_Done,
     /* 260081 */   // Label 5193: @260081
     /* 260081 */   GIM_Try, /*On fail goto*//*Label 5194*/ GIMT_Encode4(260141), // Rule ID 12986 //
     /* 260086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEF16F16_or_SMEF8F16),
     /* 260089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mops),
     /* 260094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 260097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 260100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 260103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 260106 */     // MIs[0] tile
     /* 260106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 260109 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_1),
     /* 260114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260122 */     // (intrinsic_void 921:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_1>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8f16:{ *:[nxv8f16] }:$Zn, nxv8f16:{ *:[nxv8f16] }:$Zm)  =>  (FMOPS_MPPZZ_H_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8f16] }:$Zn, ?:{ *:[nxv8f16] }:$Zm)
     /* 260122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOPS_MPPZZ_H_PSEUDO),
     /* 260125 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 260127 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 260129 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 260131 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 260133 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 260135 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 260139 */     GIR_RootConstrainSelectedInstOperands,
     /* 260140 */     // GIR_Coverage, 12986,
     /* 260140 */     GIR_EraseRootFromParent_Done,
     /* 260141 */   // Label 5194: @260141
     /* 260141 */   GIM_Try, /*On fail goto*//*Label 5195*/ GIMT_Encode4(260189), // Rule ID 3580 //
     /* 260146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 260149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlalb_lane),
     /* 260154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 260157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 260160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 260163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 260166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 260170 */     // MIs[0] Op4
     /* 260170 */     // No operand predicates
     /* 260170 */     // (intrinsic_w_chain:{ *:[nxv8f16] } 1492:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, i32:{ *:[i32] }:$Op4)  =>  (FMLALB_ZZZI:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[i32] }:$Op4)
     /* 260170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALB_ZZZI),
     /* 260173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 260175 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 260177 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 260179 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 260181 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 260183 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 260187 */     GIR_RootConstrainSelectedInstOperands,
     /* 260188 */     // GIR_Coverage, 3580,
     /* 260188 */     GIR_EraseRootFromParent_Done,
     /* 260189 */   // Label 5195: @260189
     /* 260189 */   GIM_Try, /*On fail goto*//*Label 5196*/ GIMT_Encode4(260237), // Rule ID 3582 //
     /* 260194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 260197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlallbb_lane),
     /* 260202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 260205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 260208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 260211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 260214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 260218 */     // MIs[0] Op4
     /* 260218 */     // No operand predicates
     /* 260218 */     // (intrinsic_w_chain:{ *:[nxv4f32] } 1494:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, i32:{ *:[i32] }:$Op4)  =>  (FMLALLBB_ZZZI:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[i32] }:$Op4)
     /* 260218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLBB_ZZZI),
     /* 260221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 260223 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 260225 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 260227 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 260229 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 260231 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 260235 */     GIR_RootConstrainSelectedInstOperands,
     /* 260236 */     // GIR_Coverage, 3582,
     /* 260236 */     GIR_EraseRootFromParent_Done,
     /* 260237 */   // Label 5196: @260237
     /* 260237 */   GIM_Try, /*On fail goto*//*Label 5197*/ GIMT_Encode4(260285), // Rule ID 3583 //
     /* 260242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8DOT2),
     /* 260245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fdot_lane),
     /* 260250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 260253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 260256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 260259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 260262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 260266 */     // MIs[0] Op4
     /* 260266 */     // No operand predicates
     /* 260266 */     // (intrinsic_w_chain:{ *:[nxv8f16] } 1490:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, i32:{ *:[i32] }:$Op4)  =>  (FDOT_ZZZI_BtoH:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[i32] }:$Op4)
     /* 260266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOT_ZZZI_BtoH),
     /* 260269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 260271 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 260273 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 260275 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 260277 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 260279 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 260283 */     GIR_RootConstrainSelectedInstOperands,
     /* 260284 */     // GIR_Coverage, 3583,
     /* 260284 */     GIR_EraseRootFromParent_Done,
     /* 260285 */   // Label 5197: @260285
     /* 260285 */   GIM_Try, /*On fail goto*//*Label 5198*/ GIMT_Encode4(260333), // Rule ID 3584 //
     /* 260290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8DOT4),
     /* 260293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fdot_lane),
     /* 260298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 260301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 260304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 260307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 260310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 260314 */     // MIs[0] Op4
     /* 260314 */     // No operand predicates
     /* 260314 */     // (intrinsic_w_chain:{ *:[nxv4f32] } 1490:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, i32:{ *:[i32] }:$Op4)  =>  (FDOT_ZZZI_BtoS:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[i32] }:$Op4)
     /* 260314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOT_ZZZI_BtoS),
     /* 260317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 260319 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 260321 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 260323 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 260325 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 260327 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 260331 */     GIR_RootConstrainSelectedInstOperands,
     /* 260332 */     // GIR_Coverage, 3584,
     /* 260332 */     GIR_EraseRootFromParent_Done,
     /* 260333 */   // Label 5198: @260333
     /* 260333 */   GIM_Try, /*On fail goto*//*Label 5199*/ GIMT_Encode4(260381), // Rule ID 12475 //
     /* 260338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 260341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlalt_lane),
     /* 260346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 260349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 260352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 260355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 260358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 260362 */     // MIs[0] Op4
     /* 260362 */     // No operand predicates
     /* 260362 */     // (intrinsic_w_chain:{ *:[nxv8f16] } 1502:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, i32:{ *:[i32] }:$Op4)  =>  (FMLALT_ZZZI:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[i32] }:$Op4)
     /* 260362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALT_ZZZI),
     /* 260365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 260367 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 260369 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 260371 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 260373 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 260375 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 260379 */     GIR_RootConstrainSelectedInstOperands,
     /* 260380 */     // GIR_Coverage, 12475,
     /* 260380 */     GIR_EraseRootFromParent_Done,
     /* 260381 */   // Label 5199: @260381
     /* 260381 */   GIM_Try, /*On fail goto*//*Label 5200*/ GIMT_Encode4(260429), // Rule ID 12477 //
     /* 260386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 260389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlallbt_lane),
     /* 260394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 260397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 260400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 260403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 260406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 260410 */     // MIs[0] Op4
     /* 260410 */     // No operand predicates
     /* 260410 */     // (intrinsic_w_chain:{ *:[nxv4f32] } 1496:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, i32:{ *:[i32] }:$Op4)  =>  (FMLALLBT_ZZZI:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[i32] }:$Op4)
     /* 260410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLBT_ZZZI),
     /* 260413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 260415 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 260417 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 260419 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 260421 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 260423 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 260427 */     GIR_RootConstrainSelectedInstOperands,
     /* 260428 */     // GIR_Coverage, 12477,
     /* 260428 */     GIR_EraseRootFromParent_Done,
     /* 260429 */   // Label 5200: @260429
     /* 260429 */   GIM_Try, /*On fail goto*//*Label 5201*/ GIMT_Encode4(260477), // Rule ID 12478 //
     /* 260434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 260437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlalltb_lane),
     /* 260442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 260445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 260448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 260451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 260454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 260458 */     // MIs[0] Op4
     /* 260458 */     // No operand predicates
     /* 260458 */     // (intrinsic_w_chain:{ *:[nxv4f32] } 1498:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, i32:{ *:[i32] }:$Op4)  =>  (FMLALLTB_ZZZI:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[i32] }:$Op4)
     /* 260458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLTB_ZZZI),
     /* 260461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 260463 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 260465 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 260467 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 260469 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 260471 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 260475 */     GIR_RootConstrainSelectedInstOperands,
     /* 260476 */     // GIR_Coverage, 12478,
     /* 260476 */     GIR_EraseRootFromParent_Done,
     /* 260477 */   // Label 5201: @260477
     /* 260477 */   GIM_Try, /*On fail goto*//*Label 5202*/ GIMT_Encode4(260525), // Rule ID 12479 //
     /* 260482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 260485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlalltt_lane),
     /* 260490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 260493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 260496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 260499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 260502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 260506 */     // MIs[0] Op4
     /* 260506 */     // No operand predicates
     /* 260506 */     // (intrinsic_w_chain:{ *:[nxv4f32] } 1500:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, i32:{ *:[i32] }:$Op4)  =>  (FMLALLTT_ZZZI:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[i32] }:$Op4)
     /* 260506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLTT_ZZZI),
     /* 260509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 260511 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 260513 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 260515 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 260517 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 260519 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 260523 */     GIR_RootConstrainSelectedInstOperands,
     /* 260524 */     // GIR_Coverage, 12479,
     /* 260524 */     GIR_EraseRootFromParent_Done,
     /* 260525 */   // Label 5202: @260525
     /* 260525 */   GIM_Reject,
     /* 260526 */ // Label 5152: @260526
     /* 260526 */ GIM_Reject,
     /* 260527 */ // Label 37: @260527
     /* 260527 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(11), /*)*//*default:*//*Label 5207*/ GIMT_Encode4(260816),
     /* 260538 */ /*GILLT_s64*//*Label 5203*/ GIMT_Encode4(260570), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 260550 */ /*GILLT_v2s64*//*Label 5204*/ GIMT_Encode4(260630), GIMT_Encode4(0),
     /* 260558 */ /*GILLT_v4s32*//*Label 5205*/ GIMT_Encode4(260692), GIMT_Encode4(0),
     /* 260566 */ /*GILLT_v8s16*//*Label 5206*/ GIMT_Encode4(260754),
     /* 260570 */ // Label 5203: @260570
     /* 260570 */ GIM_Try, /*On fail goto*//*Label 5208*/ GIMT_Encode4(260629), // Rule ID 6464 //
     /* 260575 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 260578 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 260582 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 260586 */   // (anyext:{ *:[i64] } GPR32:{ *:[i32] }:$src)  =>  (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$src, sub_32:{ *:[i32] })
     /* 260586 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 260589 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 260593 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 260598 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 260600 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 260603 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 260605 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 260608 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 260610 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 260613 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 260618 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 260623 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 260628 */   // GIR_Coverage, 6464,
     /* 260628 */   GIR_EraseRootFromParent_Done,
     /* 260629 */ // Label 5208: @260629
     /* 260629 */ GIM_Reject,
     /* 260630 */ // Label 5204: @260630
     /* 260630 */ GIM_Try, /*On fail goto*//*Label 5209*/ GIMT_Encode4(260691),
     /* 260635 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 260638 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 260642 */   GIM_Try, /*On fail goto*//*Label 5210*/ GIMT_Encode4(260669), // Rule ID 6336 //
     /* 260647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 260654 */     // (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn))  =>  (USHLLv4i32_shift:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, 0:{ *:[i32] })
     /* 260654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv4i32_shift),
     /* 260657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 260659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 260664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 260667 */     GIR_RootConstrainSelectedInstOperands,
     /* 260668 */     // GIR_Coverage, 6336,
     /* 260668 */     GIR_EraseRootFromParent_Done,
     /* 260669 */   // Label 5210: @260669
     /* 260669 */   GIM_Try, /*On fail goto*//*Label 5211*/ GIMT_Encode4(260690), // Rule ID 6329 //
     /* 260674 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 260678 */     // (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn)  =>  (USHLLv2i32_shift:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, 0:{ *:[i32] })
     /* 260678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv2i32_shift),
     /* 260681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 260683 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 260685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 260688 */     GIR_RootConstrainSelectedInstOperands,
     /* 260689 */     // GIR_Coverage, 6329,
     /* 260689 */     GIR_EraseRootFromParent_Done,
     /* 260690 */   // Label 5211: @260690
     /* 260690 */   GIM_Reject,
     /* 260691 */ // Label 5209: @260691
     /* 260691 */ GIM_Reject,
     /* 260692 */ // Label 5205: @260692
     /* 260692 */ GIM_Try, /*On fail goto*//*Label 5212*/ GIMT_Encode4(260753),
     /* 260697 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 260700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 260704 */   GIM_Try, /*On fail goto*//*Label 5213*/ GIMT_Encode4(260731), // Rule ID 6333 //
     /* 260709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 260716 */     // (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn))  =>  (USHLLv8i16_shift:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, 0:{ *:[i32] })
     /* 260716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv8i16_shift),
     /* 260719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 260721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 260726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 260729 */     GIR_RootConstrainSelectedInstOperands,
     /* 260730 */     // GIR_Coverage, 6333,
     /* 260730 */     GIR_EraseRootFromParent_Done,
     /* 260731 */   // Label 5213: @260731
     /* 260731 */   GIM_Try, /*On fail goto*//*Label 5214*/ GIMT_Encode4(260752), // Rule ID 6326 //
     /* 260736 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 260740 */     // (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn)  =>  (USHLLv4i16_shift:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, 0:{ *:[i32] })
     /* 260740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv4i16_shift),
     /* 260743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 260745 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 260747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 260750 */     GIR_RootConstrainSelectedInstOperands,
     /* 260751 */     // GIR_Coverage, 6326,
     /* 260751 */     GIR_EraseRootFromParent_Done,
     /* 260752 */   // Label 5214: @260752
     /* 260752 */   GIM_Reject,
     /* 260753 */ // Label 5212: @260753
     /* 260753 */ GIM_Reject,
     /* 260754 */ // Label 5206: @260754
     /* 260754 */ GIM_Try, /*On fail goto*//*Label 5215*/ GIMT_Encode4(260815),
     /* 260759 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 260762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 260766 */   GIM_Try, /*On fail goto*//*Label 5216*/ GIMT_Encode4(260793), // Rule ID 6330 //
     /* 260771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 260778 */     // (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn))  =>  (USHLLv16i8_shift:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, 0:{ *:[i32] })
     /* 260778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv16i8_shift),
     /* 260781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 260783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 260788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 260791 */     GIR_RootConstrainSelectedInstOperands,
     /* 260792 */     // GIR_Coverage, 6330,
     /* 260792 */     GIR_EraseRootFromParent_Done,
     /* 260793 */   // Label 5216: @260793
     /* 260793 */   GIM_Try, /*On fail goto*//*Label 5217*/ GIMT_Encode4(260814), // Rule ID 6323 //
     /* 260798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 260802 */     // (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn)  =>  (USHLLv8i8_shift:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, 0:{ *:[i32] })
     /* 260802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv8i8_shift),
     /* 260805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 260807 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 260809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 260812 */     GIR_RootConstrainSelectedInstOperands,
     /* 260813 */     // GIR_Coverage, 6323,
     /* 260813 */     GIR_EraseRootFromParent_Done,
     /* 260814 */   // Label 5217: @260814
     /* 260814 */   GIM_Reject,
     /* 260815 */ // Label 5215: @260815
     /* 260815 */ GIM_Reject,
     /* 260816 */ // Label 5207: @260816
     /* 260816 */ GIM_Reject,
     /* 260817 */ // Label 38: @260817
     /* 260817 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(10), /*)*//*default:*//*Label 5222*/ GIMT_Encode4(262253),
     /* 260828 */ /*GILLT_s32*//*Label 5218*/ GIMT_Encode4(260860), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 260840 */ /*GILLT_v2s32*//*Label 5219*/ GIMT_Encode4(260899), GIMT_Encode4(0),
     /* 260848 */ /*GILLT_v4s16*//*Label 5220*/ GIMT_Encode4(261255), GIMT_Encode4(0),
     /* 260856 */ /*GILLT_v8s8*//*Label 5221*/ GIMT_Encode4(261754),
     /* 260860 */ // Label 5218: @260860
     /* 260860 */ GIM_Try, /*On fail goto*//*Label 5223*/ GIMT_Encode4(260898), // Rule ID 6485 //
     /* 260865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 260868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /* 260872 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 260876 */   // (trunc:{ *:[i32] } GPR64sp:{ *:[i64] }:$src)  =>  (EXTRACT_SUBREG:{ *:[i32] } GPR64sp:{ *:[i64] }:$src, sub_32:{ *:[i32] })
     /* 260876 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 260879 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 260881 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // src
     /* 260887 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32spRegClassID),
     /* 260892 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 260897 */   // GIR_Coverage, 6485,
     /* 260897 */   GIR_EraseRootFromParent_Done,
     /* 260898 */ // Label 5223: @260898
     /* 260898 */ GIM_Reject,
     /* 260899 */ // Label 5219: @260899
     /* 260899 */ GIM_Try, /*On fail goto*//*Label 5224*/ GIMT_Encode4(261254),
     /* 260904 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 260907 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 260911 */   GIM_Try, /*On fail goto*//*Label 5225*/ GIMT_Encode4(260989), // Rule ID 5415 //
     /* 260916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 260920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 260924 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 260928 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 260932 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 260936 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 260940 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 260944 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 260949 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 260953 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 260959 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /* 260961 */     // MIs[1] Operand 2
     /* 260961 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /* 260972 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 260974 */     // (trunc:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, immAllOnesV:{ *:[v2i64] }:$Rm), 32:{ *:[i32] }))  =>  (SUBHNv2i64_v2i32:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rm, V128:{ *:[v2i64] }:$Rn)
     /* 260974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv2i64_v2i32),
     /* 260977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 260979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /* 260983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 260987 */     GIR_RootConstrainSelectedInstOperands,
     /* 260988 */     // GIR_Coverage, 5415,
     /* 260988 */     GIR_EraseRootFromParent_Done,
     /* 260989 */   // Label 5225: @260989
     /* 260989 */   GIM_Try, /*On fail goto*//*Label 5226*/ GIMT_Encode4(261060), // Rule ID 5411 //
     /* 260994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 260998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 261002 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 261006 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 261010 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 261014 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 261018 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 261022 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 261027 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 261032 */     // MIs[1] Operand 2
     /* 261032 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /* 261043 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 261045 */     // (trunc:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i64] } (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm), 32:{ *:[i32] }))  =>  (ADDHNv2i64_v2i32:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 261045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv2i64_v2i32),
     /* 261048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 261050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 261054 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /* 261058 */     GIR_RootConstrainSelectedInstOperands,
     /* 261059 */     // GIR_Coverage, 5411,
     /* 261059 */     GIR_EraseRootFromParent_Done,
     /* 261060 */   // Label 5226: @261060
     /* 261060 */   GIM_Try, /*On fail goto*//*Label 5227*/ GIMT_Encode4(261131), // Rule ID 5413 //
     /* 261065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 261069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 261073 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 261077 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 261081 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 261085 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 261089 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 261093 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 261098 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 261103 */     // MIs[1] Operand 2
     /* 261103 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /* 261114 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 261116 */     // (trunc:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i64] } (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm), 32:{ *:[i32] }))  =>  (SUBHNv2i64_v2i32:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 261116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv2i64_v2i32),
     /* 261119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 261121 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 261125 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /* 261129 */     GIR_RootConstrainSelectedInstOperands,
     /* 261130 */     // GIR_Coverage, 5413,
     /* 261130 */     GIR_EraseRootFromParent_Done,
     /* 261131 */   // Label 5227: @261131
     /* 261131 */   GIM_Try, /*On fail goto*//*Label 5228*/ GIMT_Encode4(261184), // Rule ID 2162 //
     /* 261136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 261139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 261143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /* 261147 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 261151 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 261156 */     // MIs[1] imm
     /* 261156 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 261160 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 261164 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64Narrow),
     /* 261168 */     // MIs[2] Operand 1
     /* 261168 */     // No operand predicates
     /* 261168 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 261170 */     // (trunc:{ *:[v2i32] } (AArch64vashr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64Narrow>>:$imm))  =>  (SHRNv2i32_shift:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 261170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv2i32_shift),
     /* 261173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 261175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 261179 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 261182 */     GIR_RootConstrainSelectedInstOperands,
     /* 261183 */     // GIR_Coverage, 2162,
     /* 261183 */     GIR_EraseRootFromParent_Done,
     /* 261184 */   // Label 5228: @261184
     /* 261184 */   GIM_Try, /*On fail goto*//*Label 5229*/ GIMT_Encode4(261234), // Rule ID 6311 //
     /* 261189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 261193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 261197 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 261201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 261206 */     // MIs[1] imm
     /* 261206 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 261210 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 261214 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64Narrow),
     /* 261218 */     // MIs[2] Operand 1
     /* 261218 */     // No operand predicates
     /* 261218 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 261220 */     // (trunc:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64Narrow>>:$imm))  =>  (SHRNv2i32_shift:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64Narrow>>:$imm)
     /* 261220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv2i32_shift),
     /* 261223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 261225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 261229 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 261232 */     GIR_RootConstrainSelectedInstOperands,
     /* 261233 */     // GIR_Coverage, 6311,
     /* 261233 */     GIR_EraseRootFromParent_Done,
     /* 261234 */   // Label 5229: @261234
     /* 261234 */   GIM_Try, /*On fail goto*//*Label 5230*/ GIMT_Encode4(261253), // Rule ID 1099 //
     /* 261239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 261242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 261246 */     // (trunc:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn)  =>  (XTNv2i32:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn)
     /* 261246 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::XTNv2i32),
     /* 261251 */     GIR_RootConstrainSelectedInstOperands,
     /* 261252 */     // GIR_Coverage, 1099,
     /* 261252 */     GIR_Done,
     /* 261253 */   // Label 5230: @261253
     /* 261253 */   GIM_Reject,
     /* 261254 */ // Label 5224: @261254
     /* 261254 */ GIM_Reject,
     /* 261255 */ // Label 5220: @261255
     /* 261255 */ GIM_Try, /*On fail goto*//*Label 5231*/ GIMT_Encode4(261753),
     /* 261260 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 261263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 261267 */   GIM_Try, /*On fail goto*//*Label 5232*/ GIMT_Encode4(261345), // Rule ID 5409 //
     /* 261272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 261276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 261280 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 261284 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 261288 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 261292 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 261296 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 261300 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 261305 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 261309 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 261315 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /* 261317 */     // MIs[1] Operand 2
     /* 261317 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(16),
     /* 261328 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 261330 */     // (trunc:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, immAllOnesV:{ *:[v4i32] }:$Rm), 16:{ *:[i32] }))  =>  (SUBHNv4i32_v4i16:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rm, V128:{ *:[v4i32] }:$Rn)
     /* 261330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv4i32_v4i16),
     /* 261333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 261335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /* 261339 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 261343 */     GIR_RootConstrainSelectedInstOperands,
     /* 261344 */     // GIR_Coverage, 5409,
     /* 261344 */     GIR_EraseRootFromParent_Done,
     /* 261345 */   // Label 5232: @261345
     /* 261345 */   GIM_Try, /*On fail goto*//*Label 5233*/ GIMT_Encode4(261416), // Rule ID 5405 //
     /* 261350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 261354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 261358 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 261362 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 261366 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 261370 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 261374 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 261378 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 261383 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 261388 */     // MIs[1] Operand 2
     /* 261388 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(16),
     /* 261399 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 261401 */     // (trunc:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i32] } (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm), 16:{ *:[i32] }))  =>  (ADDHNv4i32_v4i16:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 261401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv4i32_v4i16),
     /* 261404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 261406 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 261410 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /* 261414 */     GIR_RootConstrainSelectedInstOperands,
     /* 261415 */     // GIR_Coverage, 5405,
     /* 261415 */     GIR_EraseRootFromParent_Done,
     /* 261416 */   // Label 5233: @261416
     /* 261416 */   GIM_Try, /*On fail goto*//*Label 5234*/ GIMT_Encode4(261487), // Rule ID 5407 //
     /* 261421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 261425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 261429 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 261433 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 261437 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 261441 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 261445 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 261449 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 261454 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 261459 */     // MIs[1] Operand 2
     /* 261459 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(16),
     /* 261470 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 261472 */     // (trunc:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i32] } (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm), 16:{ *:[i32] }))  =>  (SUBHNv4i32_v4i16:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 261472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv4i32_v4i16),
     /* 261475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 261477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 261481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /* 261485 */     GIR_RootConstrainSelectedInstOperands,
     /* 261486 */     // GIR_Coverage, 5407,
     /* 261486 */     GIR_EraseRootFromParent_Done,
     /* 261487 */   // Label 5234: @261487
     /* 261487 */   GIM_Try, /*On fail goto*//*Label 5235*/ GIMT_Encode4(261579), // Rule ID 5531 //
     /* 261492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 261496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONCAT_VECTORS),
     /* 261500 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 261503 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 261507 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 261511 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 261515 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /* 261519 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 261523 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 261528 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 261532 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /* 261536 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 261540 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 261545 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 261547 */     // (trunc:{ *:[v4i16] } (concat_vectors:{ *:[v4i32] } (trunc:{ *:[v2i32] } V128:{ *:[v2i64] }:$Vn), (trunc:{ *:[v2i32] } V128:{ *:[v2i64] }:$Vm)))  =>  (XTNv4i16:{ *:[v4i16] } (UZP1v4i32:{ *:[f128] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm))
     /* 261547 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 261550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UZP1v4i32),
     /* 261554 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 261559 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Vn
     /* 261563 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, // Vm
     /* 261567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 261569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XTNv4i16),
     /* 261572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 261574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 261577 */     GIR_RootConstrainSelectedInstOperands,
     /* 261578 */     // GIR_Coverage, 5531,
     /* 261578 */     GIR_EraseRootFromParent_Done,
     /* 261579 */   // Label 5235: @261579
     /* 261579 */   GIM_Try, /*On fail goto*//*Label 5236*/ GIMT_Encode4(261632), // Rule ID 2161 //
     /* 261584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 261587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 261591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /* 261595 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 261599 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 261604 */     // MIs[1] imm
     /* 261604 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 261608 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 261612 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32Narrow),
     /* 261616 */     // MIs[2] Operand 1
     /* 261616 */     // No operand predicates
     /* 261616 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 261618 */     // (trunc:{ *:[v4i16] } (AArch64vashr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32Narrow>>:$imm))  =>  (SHRNv4i16_shift:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 261618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv4i16_shift),
     /* 261621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 261623 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 261627 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 261630 */     GIR_RootConstrainSelectedInstOperands,
     /* 261631 */     // GIR_Coverage, 2161,
     /* 261631 */     GIR_EraseRootFromParent_Done,
     /* 261632 */   // Label 5236: @261632
     /* 261632 */   GIM_Try, /*On fail goto*//*Label 5237*/ GIMT_Encode4(261682), // Rule ID 6310 //
     /* 261637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 261641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 261645 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 261649 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 261654 */     // MIs[1] imm
     /* 261654 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 261658 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 261662 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32Narrow),
     /* 261666 */     // MIs[2] Operand 1
     /* 261666 */     // No operand predicates
     /* 261666 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 261668 */     // (trunc:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32Narrow>>:$imm))  =>  (SHRNv4i16_shift:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32Narrow>>:$imm)
     /* 261668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv4i16_shift),
     /* 261671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 261673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 261677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 261680 */     GIR_RootConstrainSelectedInstOperands,
     /* 261681 */     // GIR_Coverage, 6310,
     /* 261681 */     GIR_EraseRootFromParent_Done,
     /* 261682 */   // Label 5237: @261682
     /* 261682 */   GIM_Try, /*On fail goto*//*Label 5238*/ GIMT_Encode4(261733), // Rule ID 5559 //
     /* 261687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 261691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONCAT_VECTORS),
     /* 261695 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 261698 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 261702 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 261706 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 261711 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 261716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 261718 */     // (trunc:{ *:[v4i16] } (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Vn, V64:{ *:[v2i32] }:$Vm))  =>  (UZP1v4i16:{ *:[v4i16] } V64:{ *:[v2i32] }:$Vn, V64:{ *:[v2i32] }:$Vm)
     /* 261718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1v4i16),
     /* 261721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 261723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 261727 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /* 261731 */     GIR_RootConstrainSelectedInstOperands,
     /* 261732 */     // GIR_Coverage, 5559,
     /* 261732 */     GIR_EraseRootFromParent_Done,
     /* 261733 */   // Label 5238: @261733
     /* 261733 */   GIM_Try, /*On fail goto*//*Label 5239*/ GIMT_Encode4(261752), // Rule ID 1098 //
     /* 261738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 261741 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 261745 */     // (trunc:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn)  =>  (XTNv4i16:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn)
     /* 261745 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::XTNv4i16),
     /* 261750 */     GIR_RootConstrainSelectedInstOperands,
     /* 261751 */     // GIR_Coverage, 1098,
     /* 261751 */     GIR_Done,
     /* 261752 */   // Label 5239: @261752
     /* 261752 */   GIM_Reject,
     /* 261753 */ // Label 5231: @261753
     /* 261753 */ GIM_Reject,
     /* 261754 */ // Label 5221: @261754
     /* 261754 */ GIM_Try, /*On fail goto*//*Label 5240*/ GIMT_Encode4(262252),
     /* 261759 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 261762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 261766 */   GIM_Try, /*On fail goto*//*Label 5241*/ GIMT_Encode4(261844), // Rule ID 5403 //
     /* 261771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 261775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 261779 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 261783 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 261787 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 261791 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 261795 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 261799 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 261804 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 261808 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 261814 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /* 261816 */     // MIs[1] Operand 2
     /* 261816 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8),
     /* 261827 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 261829 */     // (trunc:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, immAllOnesV:{ *:[v8i16] }:$Rm), 8:{ *:[i32] }))  =>  (SUBHNv8i16_v8i8:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rm, V128:{ *:[v8i16] }:$Rn)
     /* 261829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv8i16_v8i8),
     /* 261832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 261834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /* 261838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 261842 */     GIR_RootConstrainSelectedInstOperands,
     /* 261843 */     // GIR_Coverage, 5403,
     /* 261843 */     GIR_EraseRootFromParent_Done,
     /* 261844 */   // Label 5241: @261844
     /* 261844 */   GIM_Try, /*On fail goto*//*Label 5242*/ GIMT_Encode4(261915), // Rule ID 5399 //
     /* 261849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 261853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 261857 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 261861 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 261865 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 261869 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 261873 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 261877 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 261882 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 261887 */     // MIs[1] Operand 2
     /* 261887 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8),
     /* 261898 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 261900 */     // (trunc:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i16] } (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm), 8:{ *:[i32] }))  =>  (ADDHNv8i16_v8i8:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 261900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv8i16_v8i8),
     /* 261903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 261905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 261909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /* 261913 */     GIR_RootConstrainSelectedInstOperands,
     /* 261914 */     // GIR_Coverage, 5399,
     /* 261914 */     GIR_EraseRootFromParent_Done,
     /* 261915 */   // Label 5242: @261915
     /* 261915 */   GIM_Try, /*On fail goto*//*Label 5243*/ GIMT_Encode4(261986), // Rule ID 5401 //
     /* 261920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 261924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 261928 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 261932 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 261936 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 261940 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 261944 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 261948 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 261953 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 261958 */     // MIs[1] Operand 2
     /* 261958 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8),
     /* 261969 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 261971 */     // (trunc:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i16] } (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm), 8:{ *:[i32] }))  =>  (SUBHNv8i16_v8i8:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 261971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv8i16_v8i8),
     /* 261974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 261976 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 261980 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /* 261984 */     GIR_RootConstrainSelectedInstOperands,
     /* 261985 */     // GIR_Coverage, 5401,
     /* 261985 */     GIR_EraseRootFromParent_Done,
     /* 261986 */   // Label 5243: @261986
     /* 261986 */   GIM_Try, /*On fail goto*//*Label 5244*/ GIMT_Encode4(262078), // Rule ID 5504 //
     /* 261991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 261995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONCAT_VECTORS),
     /* 261999 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 262002 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 262006 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 262010 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 262014 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /* 262018 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 262022 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262027 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 262031 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /* 262035 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 262039 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262044 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 262046 */     // (trunc:{ *:[v8i8] } (concat_vectors:{ *:[v8i16] } (trunc:{ *:[v4i16] } V128:{ *:[v4i32] }:$Vn), (trunc:{ *:[v4i16] } V128:{ *:[v4i32] }:$Vm)))  =>  (XTNv8i8:{ *:[v8i8] } (UZP1v8i16:{ *:[f128] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm))
     /* 262046 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 262049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UZP1v8i16),
     /* 262053 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 262058 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Vn
     /* 262062 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, // Vm
     /* 262066 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 262068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XTNv8i8),
     /* 262071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262073 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 262076 */     GIR_RootConstrainSelectedInstOperands,
     /* 262077 */     // GIR_Coverage, 5504,
     /* 262077 */     GIR_EraseRootFromParent_Done,
     /* 262078 */   // Label 5244: @262078
     /* 262078 */   GIM_Try, /*On fail goto*//*Label 5245*/ GIMT_Encode4(262131), // Rule ID 2160 //
     /* 262083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 262086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 262090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /* 262094 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 262098 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262103 */     // MIs[1] imm
     /* 262103 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 262107 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 262111 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16Narrow),
     /* 262115 */     // MIs[2] Operand 1
     /* 262115 */     // No operand predicates
     /* 262115 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 262117 */     // (trunc:{ *:[v8i8] } (AArch64vashr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16Narrow>>:$imm))  =>  (SHRNv8i8_shift:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 262117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv8i8_shift),
     /* 262120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 262126 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 262129 */     GIR_RootConstrainSelectedInstOperands,
     /* 262130 */     // GIR_Coverage, 2160,
     /* 262130 */     GIR_EraseRootFromParent_Done,
     /* 262131 */   // Label 5245: @262131
     /* 262131 */   GIM_Try, /*On fail goto*//*Label 5246*/ GIMT_Encode4(262181), // Rule ID 6309 //
     /* 262136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 262140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 262144 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 262148 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262153 */     // MIs[1] imm
     /* 262153 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 262157 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 262161 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16Narrow),
     /* 262165 */     // MIs[2] Operand 1
     /* 262165 */     // No operand predicates
     /* 262165 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 262167 */     // (trunc:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16Narrow>>:$imm))  =>  (SHRNv8i8_shift:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16Narrow>>:$imm)
     /* 262167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv8i8_shift),
     /* 262170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262172 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 262176 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 262179 */     GIR_RootConstrainSelectedInstOperands,
     /* 262180 */     // GIR_Coverage, 6309,
     /* 262180 */     GIR_EraseRootFromParent_Done,
     /* 262181 */   // Label 5246: @262181
     /* 262181 */   GIM_Try, /*On fail goto*//*Label 5247*/ GIMT_Encode4(262232), // Rule ID 5558 //
     /* 262186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 262190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONCAT_VECTORS),
     /* 262194 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 262197 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 262201 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 262205 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 262210 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 262215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 262217 */     // (trunc:{ *:[v8i8] } (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Vn, V64:{ *:[v4i16] }:$Vm))  =>  (UZP1v8i8:{ *:[v8i8] } V64:{ *:[v4i16] }:$Vn, V64:{ *:[v4i16] }:$Vm)
     /* 262217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1v8i8),
     /* 262220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 262226 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /* 262230 */     GIR_RootConstrainSelectedInstOperands,
     /* 262231 */     // GIR_Coverage, 5558,
     /* 262231 */     GIR_EraseRootFromParent_Done,
     /* 262232 */   // Label 5247: @262232
     /* 262232 */   GIM_Try, /*On fail goto*//*Label 5248*/ GIMT_Encode4(262251), // Rule ID 1097 //
     /* 262237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 262240 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262244 */     // (trunc:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn)  =>  (XTNv8i8:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn)
     /* 262244 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::XTNv8i8),
     /* 262249 */     GIR_RootConstrainSelectedInstOperands,
     /* 262250 */     // GIR_Coverage, 1097,
     /* 262250 */     GIR_Done,
     /* 262251 */   // Label 5248: @262251
     /* 262251 */   GIM_Reject,
     /* 262252 */ // Label 5240: @262252
     /* 262252 */ GIM_Reject,
     /* 262253 */ // Label 5222: @262253
     /* 262253 */ GIM_Reject,
     /* 262254 */ // Label 39: @262254
     /* 262254 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 5251*/ GIMT_Encode4(262373),
     /* 262265 */ /*GILLT_s32*//*Label 5249*/ GIMT_Encode4(262273),
     /* 262269 */ /*GILLT_s64*//*Label 5250*/ GIMT_Encode4(262293),
     /* 262273 */ // Label 5249: @262273
     /* 262273 */ GIM_Try, /*On fail goto*//*Label 5252*/ GIMT_Encode4(262292), // Rule ID 81 //
     /* 262278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 262282 */   // MIs[0] Operand 1
     /* 262282 */   // No operand predicates
     /* 262282 */   // (imm:{ *:[i32] }):$src  =>  (MOVi32imm:{ *:[i32] } (imm:{ *:[i32] }):$src)
     /* 262282 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /* 262285 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 262287 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // src
     /* 262290 */   GIR_RootConstrainSelectedInstOperands,
     /* 262291 */   // GIR_Coverage, 81,
     /* 262291 */   GIR_EraseRootFromParent_Done,
     /* 262292 */ // Label 5252: @262292
     /* 262292 */ GIM_Reject,
     /* 262293 */ // Label 5250: @262293
     /* 262293 */ GIM_Try, /*On fail goto*//*Label 5253*/ GIMT_Encode4(262353), // Rule ID 3895 //
     /* 262298 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_OptimizedGISelOrOtherSelector),
     /* 262301 */   GIM_CheckI64ImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64imm_32bit),
     /* 262305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 262309 */   // MIs[0] Operand 1
     /* 262309 */   // No operand predicates
     /* 262309 */   // (imm:{ *:[i64] })<<P:Predicate_i64imm_32bit>>:$src  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$src)), sub_32:{ *:[i32] })
     /* 262309 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 262312 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /* 262316 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 262321 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // src
     /* 262326 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 262328 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 262331 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 262333 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 262336 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 262339 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 262342 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 262347 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 262352 */   // GIR_Coverage, 3895,
     /* 262352 */   GIR_EraseRootFromParent_Done,
     /* 262353 */ // Label 5253: @262353
     /* 262353 */ GIM_Try, /*On fail goto*//*Label 5254*/ GIMT_Encode4(262372), // Rule ID 82 //
     /* 262358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 262362 */   // MIs[0] Operand 1
     /* 262362 */   // No operand predicates
     /* 262362 */   // (imm:{ *:[i64] }):$src  =>  (MOVi64imm:{ *:[i64] } (imm:{ *:[i64] }):$src)
     /* 262362 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MOVi64imm),
     /* 262365 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 262367 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // src
     /* 262370 */   GIR_RootConstrainSelectedInstOperands,
     /* 262371 */   // GIR_Coverage, 82,
     /* 262371 */   GIR_EraseRootFromParent_Done,
     /* 262372 */ // Label 5254: @262372
     /* 262372 */ GIM_Reject,
     /* 262373 */ // Label 5251: @262373
     /* 262373 */ GIM_Reject,
     /* 262374 */ // Label 40: @262374
     /* 262374 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 5258*/ GIMT_Encode4(262614),
     /* 262385 */ /*GILLT_s16*//*Label 5255*/ GIMT_Encode4(262397),
     /* 262389 */ /*GILLT_s32*//*Label 5256*/ GIMT_Encode4(262449),
     /* 262393 */ /*GILLT_s64*//*Label 5257*/ GIMT_Encode4(262562),
     /* 262397 */ // Label 5255: @262397
     /* 262397 */ GIM_Try, /*On fail goto*//*Label 5259*/ GIMT_Encode4(262420), // Rule ID 506 //
     /* 262402 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 262405 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 262409 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 262413 */   // MIs[0] Operand 1
     /* 262413 */   // No operand predicates
     /* 262413 */   // (fpimm:{ *:[f16] })<<P:Predicate_fpimm0>>  =>  (FMOVH0:{ *:[f16] })
     /* 262413 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOVH0),
     /* 262416 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262418 */   GIR_RootConstrainSelectedInstOperands,
     /* 262419 */   // GIR_Coverage, 506,
     /* 262419 */   GIR_EraseRootFromParent_Done,
     /* 262420 */ // Label 5259: @262420
     /* 262420 */ GIM_Try, /*On fail goto*//*Label 5260*/ GIMT_Encode4(262448), // Rule ID 688 //
     /* 262425 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 262428 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm16),
     /* 262432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 262436 */   // MIs[0] Operand 1
     /* 262436 */   // No operand predicates
     /* 262436 */   // (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>><<X:fpimm16XForm>>:$imm  =>  (FMOVHi:{ *:[f16] } (fpimm16XForm:{ *:[f16] } (fpimm:{ *:[f16] }):$imm))
     /* 262436 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOVHi),
     /* 262439 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262441 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderFPImm16), // imm
     /* 262446 */   GIR_RootConstrainSelectedInstOperands,
     /* 262447 */   // GIR_Coverage, 688,
     /* 262447 */   GIR_EraseRootFromParent_Done,
     /* 262448 */ // Label 5260: @262448
     /* 262448 */ GIM_Reject,
     /* 262449 */ // Label 5256: @262449
     /* 262449 */ GIM_Try, /*On fail goto*//*Label 5261*/ GIMT_Encode4(262472), // Rule ID 507 //
     /* 262454 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 262457 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 262461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 262465 */   // MIs[0] Operand 1
     /* 262465 */   // No operand predicates
     /* 262465 */   // (fpimm:{ *:[f32] })<<P:Predicate_fpimm0>>  =>  (FMOVS0:{ *:[f32] })
     /* 262465 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOVS0),
     /* 262468 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262470 */   GIR_RootConstrainSelectedInstOperands,
     /* 262471 */   // GIR_Coverage, 507,
     /* 262471 */   GIR_EraseRootFromParent_Done,
     /* 262472 */ // Label 5261: @262472
     /* 262472 */ GIM_Try, /*On fail goto*//*Label 5262*/ GIMT_Encode4(262500), // Rule ID 689 //
     /* 262477 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 262480 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm32),
     /* 262484 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 262488 */   // MIs[0] Operand 1
     /* 262488 */   // No operand predicates
     /* 262488 */   // (fpimm:{ *:[f32] })<<P:Predicate_fpimm32>><<X:fpimm32XForm>>:$imm  =>  (FMOVSi:{ *:[f32] } (fpimm32XForm:{ *:[f32] } (fpimm:{ *:[f32] }):$imm))
     /* 262488 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOVSi),
     /* 262491 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262493 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderFPImm32), // imm
     /* 262498 */   GIR_RootConstrainSelectedInstOperands,
     /* 262499 */   // GIR_Coverage, 689,
     /* 262499 */   GIR_EraseRootFromParent_Done,
     /* 262500 */ // Label 5262: @262500
     /* 262500 */ GIM_Try, /*On fail goto*//*Label 5263*/ GIMT_Encode4(262561), // Rule ID 5998 //
     /* 262505 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 262508 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm32SIMDModImmType4),
     /* 262512 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 262516 */   // MIs[0] Operand 1
     /* 262516 */   // No operand predicates
     /* 262516 */   // (fpimm:{ *:[f32] })<<P:Predicate_fpimm32SIMDModImmType4>><<X:fpimm32SIMDModImmType4XForm>>:$in  =>  (EXTRACT_SUBREG:{ *:[f32] } (MOVIv2i32:{ *:[i64] } (fpimm32SIMDModImmType4XForm:{ *:[i32] } f32:{ *:[f32] }:$in), 24:{ *:[i32] }), ssub:{ *:[i32] })
     /* 262516 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 262519 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2i32),
     /* 262523 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 262528 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderFPImm32SIMDModImmType4), // in
     /* 262533 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/24,
     /* 262536 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 262538 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 262541 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 262543 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 262550 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 262555 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 262560 */   // GIR_Coverage, 5998,
     /* 262560 */   GIR_EraseRootFromParent_Done,
     /* 262561 */ // Label 5263: @262561
     /* 262561 */ GIM_Reject,
     /* 262562 */ // Label 5257: @262562
     /* 262562 */ GIM_Try, /*On fail goto*//*Label 5264*/ GIMT_Encode4(262585), // Rule ID 508 //
     /* 262567 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 262570 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 262574 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 262578 */   // MIs[0] Operand 1
     /* 262578 */   // No operand predicates
     /* 262578 */   // (fpimm:{ *:[f64] })<<P:Predicate_fpimm0>>  =>  (FMOVD0:{ *:[f64] })
     /* 262578 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOVD0),
     /* 262581 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262583 */   GIR_RootConstrainSelectedInstOperands,
     /* 262584 */   // GIR_Coverage, 508,
     /* 262584 */   GIR_EraseRootFromParent_Done,
     /* 262585 */ // Label 5264: @262585
     /* 262585 */ GIM_Try, /*On fail goto*//*Label 5265*/ GIMT_Encode4(262613), // Rule ID 690 //
     /* 262590 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 262593 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm64),
     /* 262597 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 262601 */   // MIs[0] Operand 1
     /* 262601 */   // No operand predicates
     /* 262601 */   // (fpimm:{ *:[f64] })<<P:Predicate_fpimm64>><<X:fpimm64XForm>>:$imm  =>  (FMOVDi:{ *:[f64] } (fpimm64XForm:{ *:[f64] } (fpimm:{ *:[f64] }):$imm))
     /* 262601 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOVDi),
     /* 262604 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262606 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderFPImm64), // imm
     /* 262611 */   GIR_RootConstrainSelectedInstOperands,
     /* 262612 */   // GIR_Coverage, 690,
     /* 262612 */   GIR_EraseRootFromParent_Done,
     /* 262613 */ // Label 5265: @262613
     /* 262613 */ GIM_Reject,
     /* 262614 */ // Label 5258: @262614
     /* 262614 */ GIM_Reject,
     /* 262615 */ // Label 41: @262615
     /* 262615 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(11), /*)*//*default:*//*Label 5271*/ GIMT_Encode4(264512),
     /* 262626 */ /*GILLT_s32*//*Label 5266*/ GIMT_Encode4(262662),
     /* 262630 */ /*GILLT_s64*//*Label 5267*/ GIMT_Encode4(264103), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 262642 */ /*GILLT_v2s64*//*Label 5268*/ GIMT_Encode4(264326), GIMT_Encode4(0),
     /* 262650 */ /*GILLT_v4s32*//*Label 5269*/ GIMT_Encode4(264388), GIMT_Encode4(0),
     /* 262658 */ /*GILLT_v8s16*//*Label 5270*/ GIMT_Encode4(264450),
     /* 262662 */ // Label 5266: @262662
     /* 262662 */ GIM_Try, /*On fail goto*//*Label 5272*/ GIMT_Encode4(262782), // Rule ID 13041 //
     /* 262667 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 262670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 262674 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 262678 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 262682 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 262685 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddv),
     /* 262690 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 262694 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 262699 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 262701 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 662:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn))  =>  (SMOVvi8to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn), bsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 262701 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 262704 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::ADDVv8i8v),
     /* 262708 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 262713 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 262717 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 262719 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 262722 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 262726 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 262731 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 262733 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 262736 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 262740 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 262745 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 262748 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 262751 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 262754 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262759 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262764 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 262769 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi8to32),
     /* 262772 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262774 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 262777 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 262780 */   GIR_RootConstrainSelectedInstOperands,
     /* 262781 */   // GIR_Coverage, 13041,
     /* 262781 */   GIR_EraseRootFromParent_Done,
     /* 262782 */ // Label 5272: @262782
     /* 262782 */ GIM_Try, /*On fail goto*//*Label 5273*/ GIMT_Encode4(262902), // Rule ID 13043 //
     /* 262787 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 262790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 262794 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 262798 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 262802 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 262805 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddv),
     /* 262810 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 262814 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262819 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 262821 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 662:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn))  =>  (SMOVvi8to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn), bsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 262821 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 262824 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::ADDVv16i8v),
     /* 262828 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 262833 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 262837 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 262839 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 262842 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 262846 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 262851 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 262853 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 262856 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 262860 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 262865 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 262868 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 262871 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 262874 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262879 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262884 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 262889 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi8to32),
     /* 262892 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262894 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 262897 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 262900 */   GIR_RootConstrainSelectedInstOperands,
     /* 262901 */   // GIR_Coverage, 13043,
     /* 262901 */   GIR_EraseRootFromParent_Done,
     /* 262902 */ // Label 5273: @262902
     /* 262902 */ GIM_Try, /*On fail goto*//*Label 5274*/ GIMT_Encode4(263022), // Rule ID 13045 //
     /* 262907 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 262910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 262914 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 262918 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 262922 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 262925 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddv),
     /* 262930 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 262934 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 262939 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 262941 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 662:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn))  =>  (SMOVvi16to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn), hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 262941 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 262944 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::ADDVv4i16v),
     /* 262948 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 262953 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 262957 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 262959 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 262962 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 262966 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 262971 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 262973 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 262976 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 262980 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 262985 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 262988 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 262991 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 262994 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262999 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263004 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 263009 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to32),
     /* 263012 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263014 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 263017 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263020 */   GIR_RootConstrainSelectedInstOperands,
     /* 263021 */   // GIR_Coverage, 13045,
     /* 263021 */   GIR_EraseRootFromParent_Done,
     /* 263022 */ // Label 5274: @263022
     /* 263022 */ GIM_Try, /*On fail goto*//*Label 5275*/ GIMT_Encode4(263142), // Rule ID 13047 //
     /* 263027 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 263030 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 263034 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 263038 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 263042 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 263045 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddv),
     /* 263050 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 263054 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263059 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 263061 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 662:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn))  =>  (SMOVvi16to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn), hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 263061 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 263064 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::ADDVv8i16v),
     /* 263068 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263073 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 263077 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 263079 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 263082 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 263086 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263091 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 263093 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 263096 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 263100 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263105 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 263108 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 263111 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 263114 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263119 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263124 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 263129 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to32),
     /* 263132 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263134 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 263137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263140 */   GIR_RootConstrainSelectedInstOperands,
     /* 263141 */   // GIR_Coverage, 13047,
     /* 263141 */   GIR_EraseRootFromParent_Done,
     /* 263142 */ // Label 5275: @263142
     /* 263142 */ GIM_Try, /*On fail goto*//*Label 5276*/ GIMT_Encode4(263262), // Rule ID 13063 //
     /* 263147 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 263150 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 263154 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 263158 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 263162 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 263165 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxv),
     /* 263170 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 263174 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 263179 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 263181 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 672:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn))  =>  (SMOVvi8to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMAXVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn), bsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 263181 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 263184 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv8i8v),
     /* 263188 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263193 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 263197 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 263199 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 263202 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 263206 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263211 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 263213 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 263216 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 263220 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263225 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 263228 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 263231 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 263234 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263239 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263244 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 263249 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi8to32),
     /* 263252 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263254 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 263257 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263260 */   GIR_RootConstrainSelectedInstOperands,
     /* 263261 */   // GIR_Coverage, 13063,
     /* 263261 */   GIR_EraseRootFromParent_Done,
     /* 263262 */ // Label 5276: @263262
     /* 263262 */ GIM_Try, /*On fail goto*//*Label 5277*/ GIMT_Encode4(263382), // Rule ID 13065 //
     /* 263267 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 263270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 263274 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 263278 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 263282 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 263285 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxv),
     /* 263290 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 263294 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263299 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 263301 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 672:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn))  =>  (SMOVvi8to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMAXVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn), bsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 263301 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 263304 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv16i8v),
     /* 263308 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263313 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 263317 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 263319 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 263322 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 263326 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263331 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 263333 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 263336 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 263340 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263345 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 263348 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 263351 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 263354 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263359 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263364 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 263369 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi8to32),
     /* 263372 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263374 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 263377 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263380 */   GIR_RootConstrainSelectedInstOperands,
     /* 263381 */   // GIR_Coverage, 13065,
     /* 263381 */   GIR_EraseRootFromParent_Done,
     /* 263382 */ // Label 5277: @263382
     /* 263382 */ GIM_Try, /*On fail goto*//*Label 5278*/ GIMT_Encode4(263502), // Rule ID 13067 //
     /* 263387 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 263390 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 263394 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 263398 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 263402 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 263405 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxv),
     /* 263410 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 263414 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 263419 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 263421 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 672:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn))  =>  (SMOVvi16to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMAXVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn), hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 263421 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 263424 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv4i16v),
     /* 263428 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263433 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 263437 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 263439 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 263442 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 263446 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263451 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 263453 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 263456 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 263460 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263465 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 263468 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 263471 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 263474 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263479 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263484 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 263489 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to32),
     /* 263492 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263494 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 263497 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263500 */   GIR_RootConstrainSelectedInstOperands,
     /* 263501 */   // GIR_Coverage, 13067,
     /* 263501 */   GIR_EraseRootFromParent_Done,
     /* 263502 */ // Label 5278: @263502
     /* 263502 */ GIM_Try, /*On fail goto*//*Label 5279*/ GIMT_Encode4(263622), // Rule ID 13069 //
     /* 263507 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 263510 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 263514 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 263518 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 263522 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 263525 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxv),
     /* 263530 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 263534 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263539 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 263541 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 672:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn))  =>  (SMOVvi16to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMAXVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn), hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 263541 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 263544 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv8i16v),
     /* 263548 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263553 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 263557 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 263559 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 263562 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 263566 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263571 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 263573 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 263576 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 263580 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263585 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 263588 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 263591 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 263594 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263599 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263604 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 263609 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to32),
     /* 263612 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263614 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 263617 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263620 */   GIR_RootConstrainSelectedInstOperands,
     /* 263621 */   // GIR_Coverage, 13069,
     /* 263621 */   GIR_EraseRootFromParent_Done,
     /* 263622 */ // Label 5279: @263622
     /* 263622 */ GIM_Try, /*On fail goto*//*Label 5280*/ GIMT_Encode4(263742), // Rule ID 13073 //
     /* 263627 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 263630 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 263634 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 263638 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 263642 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 263645 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminv),
     /* 263650 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 263654 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 263659 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 263661 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 675:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn))  =>  (SMOVvi8to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMINVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn), bsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 263661 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 263664 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMINVv8i8v),
     /* 263668 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263673 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 263677 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 263679 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 263682 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 263686 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263691 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 263693 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 263696 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 263700 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263705 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 263708 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 263711 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 263714 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263719 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263724 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 263729 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi8to32),
     /* 263732 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263734 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 263737 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263740 */   GIR_RootConstrainSelectedInstOperands,
     /* 263741 */   // GIR_Coverage, 13073,
     /* 263741 */   GIR_EraseRootFromParent_Done,
     /* 263742 */ // Label 5280: @263742
     /* 263742 */ GIM_Try, /*On fail goto*//*Label 5281*/ GIMT_Encode4(263862), // Rule ID 13075 //
     /* 263747 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 263750 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 263754 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 263758 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 263762 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 263765 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminv),
     /* 263770 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 263774 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263779 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 263781 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 675:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn))  =>  (SMOVvi8to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMINVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn), bsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 263781 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 263784 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMINVv16i8v),
     /* 263788 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263793 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 263797 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 263799 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 263802 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 263806 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263811 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 263813 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 263816 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 263820 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263825 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 263828 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 263831 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 263834 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263839 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263844 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 263849 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi8to32),
     /* 263852 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263854 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 263857 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263860 */   GIR_RootConstrainSelectedInstOperands,
     /* 263861 */   // GIR_Coverage, 13075,
     /* 263861 */   GIR_EraseRootFromParent_Done,
     /* 263862 */ // Label 5281: @263862
     /* 263862 */ GIM_Try, /*On fail goto*//*Label 5282*/ GIMT_Encode4(263982), // Rule ID 13077 //
     /* 263867 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 263870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 263874 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 263878 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 263882 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 263885 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminv),
     /* 263890 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 263894 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 263899 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 263901 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 675:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn))  =>  (SMOVvi16to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMINVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn), hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 263901 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 263904 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMINVv4i16v),
     /* 263908 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263913 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 263917 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 263919 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 263922 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 263926 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263931 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 263933 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 263936 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 263940 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263945 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 263948 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 263951 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 263954 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263959 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263964 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 263969 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to32),
     /* 263972 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263974 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 263977 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263980 */   GIR_RootConstrainSelectedInstOperands,
     /* 263981 */   // GIR_Coverage, 13077,
     /* 263981 */   GIR_EraseRootFromParent_Done,
     /* 263982 */ // Label 5282: @263982
     /* 263982 */ GIM_Try, /*On fail goto*//*Label 5283*/ GIMT_Encode4(264102), // Rule ID 13079 //
     /* 263987 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 263990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 263994 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 263998 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 264002 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 264005 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminv),
     /* 264010 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 264014 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264019 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 264021 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 675:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn))  =>  (SMOVvi16to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMINVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn), hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 264021 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 264024 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMINVv8i16v),
     /* 264028 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264033 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 264037 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 264039 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 264042 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 264046 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264051 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 264053 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 264056 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 264060 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264065 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 264068 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 264071 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 264074 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264079 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264084 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 264089 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to32),
     /* 264092 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264094 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 264097 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 264100 */   GIR_RootConstrainSelectedInstOperands,
     /* 264101 */   // GIR_Coverage, 13079,
     /* 264101 */   GIR_EraseRootFromParent_Done,
     /* 264102 */ // Label 5283: @264102
     /* 264102 */ GIM_Reject,
     /* 264103 */ // Label 5267: @264103
     /* 264103 */ GIM_Try, /*On fail goto*//*Label 5284*/ GIMT_Encode4(264325),
     /* 264108 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 264111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 264115 */   GIM_Try, /*On fail goto*//*Label 5285*/ GIMT_Encode4(264169), // Rule ID 5642 //
     /* 264120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 264124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 264128 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 264132 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 264136 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264141 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 264145 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 264149 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 264153 */     // MIs[2] Operand 1
     /* 264153 */     // No operand predicates
     /* 264153 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 264155 */     // (sext:{ *:[i64] } (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SMOVvi32to64:{ *:[i64] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 264155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi32to64),
     /* 264158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264160 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 264164 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 264167 */     GIR_RootConstrainSelectedInstOperands,
     /* 264168 */     // GIR_Coverage, 5642,
     /* 264168 */     GIR_EraseRootFromParent_Done,
     /* 264169 */   // Label 5285: @264169
     /* 264169 */   GIM_Try, /*On fail goto*//*Label 5286*/ GIMT_Encode4(264248), // Rule ID 11163 //
     /* 264174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 264177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 264181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 264185 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 264189 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 264193 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 264197 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 264201 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 264205 */     // MIs[2] Operand 1
     /* 264205 */     // No operand predicates
     /* 264205 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 264207 */     // (sext:{ *:[i64] } (vector_extract:{ *:[i32] } nxv4i32:{ *:[nxv4i32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$index))  =>  (SMOVvi32to64:{ *:[i64] } (EXTRACT_SUBREG:{ *:[v4i32] } ZPR:{ *:[nxv4i32] }:$vec, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$index)
     /* 264207 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 264210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 264214 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264219 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // vec
     /* 264225 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264230 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 264235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi32to64),
     /* 264238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264240 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 264243 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 264246 */     GIR_RootConstrainSelectedInstOperands,
     /* 264247 */     // GIR_Coverage, 11163,
     /* 264247 */     GIR_EraseRootFromParent_Done,
     /* 264248 */   // Label 5286: @264248
     /* 264248 */   GIM_Try, /*On fail goto*//*Label 5287*/ GIMT_Encode4(264324), // Rule ID 6466 //
     /* 264253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 264257 */     // (sext:{ *:[i64] } GPR32:{ *:[i32] }:$src)  =>  (SBFMXri:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$src, sub_32:{ *:[i32] }), 0:{ *:[i64] }, 31:{ *:[i64] })
     /* 264257 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 264260 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 264264 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264269 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 264271 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 264274 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 264278 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264283 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 264286 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 264290 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/20,
     /* 264293 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 264298 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 264303 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 264308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMXri),
     /* 264311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264313 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 264316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 264319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /* 264322 */     GIR_RootConstrainSelectedInstOperands,
     /* 264323 */     // GIR_Coverage, 6466,
     /* 264323 */     GIR_EraseRootFromParent_Done,
     /* 264324 */   // Label 5287: @264324
     /* 264324 */   GIM_Reject,
     /* 264325 */ // Label 5284: @264325
     /* 264325 */ GIM_Reject,
     /* 264326 */ // Label 5268: @264326
     /* 264326 */ GIM_Try, /*On fail goto*//*Label 5288*/ GIMT_Encode4(264387),
     /* 264331 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 264334 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264338 */   GIM_Try, /*On fail goto*//*Label 5289*/ GIMT_Encode4(264365), // Rule ID 6338 //
     /* 264343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 264350 */     // (sext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn))  =>  (SSHLLv4i32_shift:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, 0:{ *:[i32] })
     /* 264350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i32_shift),
     /* 264353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 264360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 264363 */     GIR_RootConstrainSelectedInstOperands,
     /* 264364 */     // GIR_Coverage, 6338,
     /* 264364 */     GIR_EraseRootFromParent_Done,
     /* 264365 */   // Label 5289: @264365
     /* 264365 */   GIM_Try, /*On fail goto*//*Label 5290*/ GIMT_Encode4(264386), // Rule ID 6327 //
     /* 264370 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 264374 */     // (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn)  =>  (SSHLLv2i32_shift:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, 0:{ *:[i32] })
     /* 264374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv2i32_shift),
     /* 264377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264379 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 264381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 264384 */     GIR_RootConstrainSelectedInstOperands,
     /* 264385 */     // GIR_Coverage, 6327,
     /* 264385 */     GIR_EraseRootFromParent_Done,
     /* 264386 */   // Label 5290: @264386
     /* 264386 */   GIM_Reject,
     /* 264387 */ // Label 5288: @264387
     /* 264387 */ GIM_Reject,
     /* 264388 */ // Label 5269: @264388
     /* 264388 */ GIM_Try, /*On fail goto*//*Label 5291*/ GIMT_Encode4(264449),
     /* 264393 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 264396 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264400 */   GIM_Try, /*On fail goto*//*Label 5292*/ GIMT_Encode4(264427), // Rule ID 6335 //
     /* 264405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 264412 */     // (sext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn))  =>  (SSHLLv8i16_shift:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, 0:{ *:[i32] })
     /* 264412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv8i16_shift),
     /* 264415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 264422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 264425 */     GIR_RootConstrainSelectedInstOperands,
     /* 264426 */     // GIR_Coverage, 6335,
     /* 264426 */     GIR_EraseRootFromParent_Done,
     /* 264427 */   // Label 5292: @264427
     /* 264427 */   GIM_Try, /*On fail goto*//*Label 5293*/ GIMT_Encode4(264448), // Rule ID 6324 //
     /* 264432 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 264436 */     // (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn)  =>  (SSHLLv4i16_shift:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, 0:{ *:[i32] })
     /* 264436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 264439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264441 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 264443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 264446 */     GIR_RootConstrainSelectedInstOperands,
     /* 264447 */     // GIR_Coverage, 6324,
     /* 264447 */     GIR_EraseRootFromParent_Done,
     /* 264448 */   // Label 5293: @264448
     /* 264448 */   GIM_Reject,
     /* 264449 */ // Label 5291: @264449
     /* 264449 */ GIM_Reject,
     /* 264450 */ // Label 5270: @264450
     /* 264450 */ GIM_Try, /*On fail goto*//*Label 5294*/ GIMT_Encode4(264511),
     /* 264455 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 264458 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264462 */   GIM_Try, /*On fail goto*//*Label 5295*/ GIMT_Encode4(264489), // Rule ID 6332 //
     /* 264467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 264474 */     // (sext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn))  =>  (SSHLLv16i8_shift:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, 0:{ *:[i32] })
     /* 264474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv16i8_shift),
     /* 264477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 264484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 264487 */     GIR_RootConstrainSelectedInstOperands,
     /* 264488 */     // GIR_Coverage, 6332,
     /* 264488 */     GIR_EraseRootFromParent_Done,
     /* 264489 */   // Label 5295: @264489
     /* 264489 */   GIM_Try, /*On fail goto*//*Label 5296*/ GIMT_Encode4(264510), // Rule ID 6321 //
     /* 264494 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 264498 */     // (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn)  =>  (SSHLLv8i8_shift:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, 0:{ *:[i32] })
     /* 264498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv8i8_shift),
     /* 264501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264503 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 264505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 264508 */     GIR_RootConstrainSelectedInstOperands,
     /* 264509 */     // GIR_Coverage, 6321,
     /* 264509 */     GIR_EraseRootFromParent_Done,
     /* 264510 */   // Label 5296: @264510
     /* 264510 */   GIM_Reject,
     /* 264511 */ // Label 5294: @264511
     /* 264511 */ GIM_Reject,
     /* 264512 */ // Label 5271: @264512
     /* 264512 */ GIM_Reject,
     /* 264513 */ // Label 42: @264513
     /* 264513 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(22), /*)*//*default:*//*Label 5302*/ GIMT_Encode4(266166),
     /* 264524 */ /*GILLT_s32*//*Label 5297*/ GIMT_Encode4(264604),
     /* 264528 */ /*GILLT_s64*//*Label 5298*/ GIMT_Encode4(265098), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 264580 */ /*GILLT_nxv2s64*//*Label 5299*/ GIMT_Encode4(265740), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 264592 */ /*GILLT_nxv4s32*//*Label 5300*/ GIMT_Encode4(265949), GIMT_Encode4(0),
     /* 264600 */ /*GILLT_nxv8s16*//*Label 5301*/ GIMT_Encode4(266093),
     /* 264604 */ // Label 5297: @264604
     /* 264604 */ GIM_Try, /*On fail goto*//*Label 5303*/ GIMT_Encode4(265097),
     /* 264609 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 264612 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 264616 */   GIM_Try, /*On fail goto*//*Label 5304*/ GIMT_Encode4(264681), // Rule ID 5637 //
     /* 264621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 264625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 264629 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 264633 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 264637 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264642 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 264646 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 264650 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 264654 */     // MIs[2] Operand 1
     /* 264654 */     // No operand predicates
     /* 264654 */     // MIs[0] Operand 2
     /* 264654 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 264665 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 264667 */     // (sext_inreg:{ *:[i32] } (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx), i8:{ *:[Other] })  =>  (SMOVvi8to32:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)
     /* 264667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi8to32),
     /* 264670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264672 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 264676 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 264679 */     GIR_RootConstrainSelectedInstOperands,
     /* 264680 */     // GIR_Coverage, 5637,
     /* 264680 */     GIR_EraseRootFromParent_Done,
     /* 264681 */   // Label 5304: @264681
     /* 264681 */   GIM_Try, /*On fail goto*//*Label 5305*/ GIMT_Encode4(264746), // Rule ID 5639 //
     /* 264686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 264690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 264694 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 264698 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 264702 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264707 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 264711 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 264715 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 264719 */     // MIs[2] Operand 1
     /* 264719 */     // No operand predicates
     /* 264719 */     // MIs[0] Operand 2
     /* 264719 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 264730 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 264732 */     // (sext_inreg:{ *:[i32] } (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), i16:{ *:[Other] })  =>  (SMOVvi16to32:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 264732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to32),
     /* 264735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 264741 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 264744 */     GIR_RootConstrainSelectedInstOperands,
     /* 264745 */     // GIR_Coverage, 5639,
     /* 264745 */     GIR_EraseRootFromParent_Done,
     /* 264746 */   // Label 5305: @264746
     /* 264746 */   GIM_Try, /*On fail goto*//*Label 5306*/ GIMT_Encode4(264811), // Rule ID 5641 //
     /* 264751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 264755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 264759 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 264763 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 264767 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264772 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 264776 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 264780 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 264784 */     // MIs[2] Operand 1
     /* 264784 */     // No operand predicates
     /* 264784 */     // MIs[0] Operand 2
     /* 264784 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 264795 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 264797 */     // (sext_inreg:{ *:[i32] } (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), i16:{ *:[Other] })  =>  (SMOVvi16to32:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 264797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to32),
     /* 264800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264802 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 264806 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 264809 */     GIR_RootConstrainSelectedInstOperands,
     /* 264810 */     // GIR_Coverage, 5641,
     /* 264810 */     GIR_EraseRootFromParent_Done,
     /* 264811 */   // Label 5306: @264811
     /* 264811 */   GIM_Try, /*On fail goto*//*Label 5307*/ GIMT_Encode4(264901), // Rule ID 11159 //
     /* 264816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 264819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 264823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 264827 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 264831 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 264835 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 264839 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 264843 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 264847 */     // MIs[2] Operand 1
     /* 264847 */     // No operand predicates
     /* 264847 */     // MIs[0] Operand 2
     /* 264847 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 264858 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 264860 */     // (sext_inreg:{ *:[i32] } (vector_extract:{ *:[i32] } nxv16i8:{ *:[nxv16i8] }:$vec, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$index), i8:{ *:[Other] })  =>  (SMOVvi8to32:{ *:[i32] } (EXTRACT_SUBREG:{ *:[v16i8] } ZPR:{ *:[nxv16i8] }:$vec, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$index)
     /* 264860 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 264863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 264867 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264872 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // vec
     /* 264878 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264883 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 264888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi8to32),
     /* 264891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264893 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 264896 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 264899 */     GIR_RootConstrainSelectedInstOperands,
     /* 264900 */     // GIR_Coverage, 11159,
     /* 264900 */     GIR_EraseRootFromParent_Done,
     /* 264901 */   // Label 5307: @264901
     /* 264901 */   GIM_Try, /*On fail goto*//*Label 5308*/ GIMT_Encode4(264991), // Rule ID 11161 //
     /* 264906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 264909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 264913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 264917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 264921 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 264925 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 264929 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 264933 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 264937 */     // MIs[2] Operand 1
     /* 264937 */     // No operand predicates
     /* 264937 */     // MIs[0] Operand 2
     /* 264937 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 264948 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 264950 */     // (sext_inreg:{ *:[i32] } (vector_extract:{ *:[i32] } nxv8i16:{ *:[nxv8i16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$index), i16:{ *:[Other] })  =>  (SMOVvi16to32:{ *:[i32] } (EXTRACT_SUBREG:{ *:[v8i16] } ZPR:{ *:[nxv8i16] }:$vec, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$index)
     /* 264950 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 264953 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 264957 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264962 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // vec
     /* 264968 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264973 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 264978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to32),
     /* 264981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264983 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 264986 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 264989 */     GIR_RootConstrainSelectedInstOperands,
     /* 264990 */     // GIR_Coverage, 11161,
     /* 264990 */     GIR_EraseRootFromParent_Done,
     /* 264991 */   // Label 5308: @264991
     /* 264991 */   GIM_Try, /*On fail goto*//*Label 5309*/ GIMT_Encode4(265026), // Rule ID 6471 //
     /* 264996 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 265000 */     // MIs[0] Operand 2
     /* 265000 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 265011 */     // (sext_inreg:{ *:[i32] } GPR32:{ *:[i32] }:$src, i16:{ *:[Other] })  =>  (SBFMWri:{ *:[i32] } GPR32:{ *:[i32] }:$src, 0:{ *:[i64] }, 15:{ *:[i64] })
     /* 265011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMWri),
     /* 265014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265016 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 265018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 265021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 265024 */     GIR_RootConstrainSelectedInstOperands,
     /* 265025 */     // GIR_Coverage, 6471,
     /* 265025 */     GIR_EraseRootFromParent_Done,
     /* 265026 */   // Label 5309: @265026
     /* 265026 */   GIM_Try, /*On fail goto*//*Label 5310*/ GIMT_Encode4(265061), // Rule ID 6472 //
     /* 265031 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 265035 */     // MIs[0] Operand 2
     /* 265035 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 265046 */     // (sext_inreg:{ *:[i32] } GPR32:{ *:[i32] }:$src, i8:{ *:[Other] })  =>  (SBFMWri:{ *:[i32] } GPR32:{ *:[i32] }:$src, 0:{ *:[i64] }, 7:{ *:[i64] })
     /* 265046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMWri),
     /* 265049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265051 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 265053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 265056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 265059 */     GIR_RootConstrainSelectedInstOperands,
     /* 265060 */     // GIR_Coverage, 6472,
     /* 265060 */     GIR_EraseRootFromParent_Done,
     /* 265061 */   // Label 5310: @265061
     /* 265061 */   GIM_Try, /*On fail goto*//*Label 5311*/ GIMT_Encode4(265096), // Rule ID 6473 //
     /* 265066 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 265070 */     // MIs[0] Operand 2
     /* 265070 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 265081 */     // (sext_inreg:{ *:[i32] } GPR32:{ *:[i32] }:$src, i1:{ *:[Other] })  =>  (SBFMWri:{ *:[i32] } GPR32:{ *:[i32] }:$src, 0:{ *:[i64] }, 0:{ *:[i64] })
     /* 265081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMWri),
     /* 265084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265086 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 265088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 265091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 265094 */     GIR_RootConstrainSelectedInstOperands,
     /* 265095 */     // GIR_Coverage, 6473,
     /* 265095 */     GIR_EraseRootFromParent_Done,
     /* 265096 */   // Label 5311: @265096
     /* 265096 */   GIM_Reject,
     /* 265097 */ // Label 5303: @265097
     /* 265097 */ GIM_Reject,
     /* 265098 */ // Label 5298: @265098
     /* 265098 */ GIM_Try, /*On fail goto*//*Label 5312*/ GIMT_Encode4(265739),
     /* 265103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 265106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 265110 */   GIM_Try, /*On fail goto*//*Label 5313*/ GIMT_Encode4(265187), // Rule ID 5643 //
     /* 265115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 265119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 265123 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 265127 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 265131 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 265135 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 265139 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 265143 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265148 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 265152 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 265156 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 265160 */     // MIs[3] Operand 1
     /* 265160 */     // No operand predicates
     /* 265160 */     // MIs[0] Operand 2
     /* 265160 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 265171 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 265173 */     // (sext_inreg:{ *:[i64] } (anyext:{ *:[i64] } (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)), i8:{ *:[Other] })  =>  (SMOVvi8to64:{ *:[i64] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)
     /* 265173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi8to64),
     /* 265176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265178 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 265182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 265185 */     GIR_RootConstrainSelectedInstOperands,
     /* 265186 */     // GIR_Coverage, 5643,
     /* 265186 */     GIR_EraseRootFromParent_Done,
     /* 265187 */   // Label 5313: @265187
     /* 265187 */   GIM_Try, /*On fail goto*//*Label 5314*/ GIMT_Encode4(265264), // Rule ID 5644 //
     /* 265192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 265196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 265200 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 265204 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 265208 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 265212 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 265216 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 265220 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265225 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 265229 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 265233 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 265237 */     // MIs[3] Operand 1
     /* 265237 */     // No operand predicates
     /* 265237 */     // MIs[0] Operand 2
     /* 265237 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 265248 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 265250 */     // (sext_inreg:{ *:[i64] } (anyext:{ *:[i64] } (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), i16:{ *:[Other] })  =>  (SMOVvi16to64:{ *:[i64] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 265250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to64),
     /* 265253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265255 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 265259 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 265262 */     GIR_RootConstrainSelectedInstOperands,
     /* 265263 */     // GIR_Coverage, 5644,
     /* 265263 */     GIR_EraseRootFromParent_Done,
     /* 265264 */   // Label 5314: @265264
     /* 265264 */   GIM_Try, /*On fail goto*//*Label 5315*/ GIMT_Encode4(265366), // Rule ID 11160 //
     /* 265269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 265272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 265276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 265280 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 265284 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 265288 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 265292 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 265296 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 265300 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 265304 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 265308 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 265312 */     // MIs[3] Operand 1
     /* 265312 */     // No operand predicates
     /* 265312 */     // MIs[0] Operand 2
     /* 265312 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 265323 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 265325 */     // (sext_inreg:{ *:[i64] } (anyext:{ *:[i64] } (vector_extract:{ *:[i32] } nxv16i8:{ *:[nxv16i8] }:$vec, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$index)), i8:{ *:[Other] })  =>  (SMOVvi8to64:{ *:[i64] } (EXTRACT_SUBREG:{ *:[v16i8] } ZPR:{ *:[nxv16i8] }:$vec, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$index)
     /* 265325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 265328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 265332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 265337 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // vec
     /* 265343 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265348 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 265353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi8to64),
     /* 265356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265358 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 265361 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // index
     /* 265364 */     GIR_RootConstrainSelectedInstOperands,
     /* 265365 */     // GIR_Coverage, 11160,
     /* 265365 */     GIR_EraseRootFromParent_Done,
     /* 265366 */   // Label 5315: @265366
     /* 265366 */   GIM_Try, /*On fail goto*//*Label 5316*/ GIMT_Encode4(265468), // Rule ID 11162 //
     /* 265371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 265374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 265378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 265382 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 265386 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 265390 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 265394 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 265398 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 265402 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 265406 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 265410 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 265414 */     // MIs[3] Operand 1
     /* 265414 */     // No operand predicates
     /* 265414 */     // MIs[0] Operand 2
     /* 265414 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 265425 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 265427 */     // (sext_inreg:{ *:[i64] } (anyext:{ *:[i64] } (vector_extract:{ *:[i32] } nxv8i16:{ *:[nxv8i16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$index)), i16:{ *:[Other] })  =>  (SMOVvi16to64:{ *:[i64] } (EXTRACT_SUBREG:{ *:[v8i16] } ZPR:{ *:[nxv8i16] }:$vec, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$index)
     /* 265427 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 265430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 265434 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 265439 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // vec
     /* 265445 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265450 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 265455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to64),
     /* 265458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 265463 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // index
     /* 265466 */     GIR_RootConstrainSelectedInstOperands,
     /* 265467 */     // GIR_Coverage, 11162,
     /* 265467 */     GIR_EraseRootFromParent_Done,
     /* 265468 */   // Label 5316: @265468
     /* 265468 */   GIM_Try, /*On fail goto*//*Label 5317*/ GIMT_Encode4(265533), // Rule ID 5638 //
     /* 265473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 265477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 265481 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 265485 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 265489 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265494 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 265498 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 265502 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 265506 */     // MIs[2] Operand 1
     /* 265506 */     // No operand predicates
     /* 265506 */     // MIs[0] Operand 2
     /* 265506 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 265517 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 265519 */     // (sext_inreg:{ *:[i64] } (vector_extract:{ *:[i64] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx), i8:{ *:[Other] })  =>  (SMOVvi8to64:{ *:[i64] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)
     /* 265519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi8to64),
     /* 265522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265524 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 265528 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 265531 */     GIR_RootConstrainSelectedInstOperands,
     /* 265532 */     // GIR_Coverage, 5638,
     /* 265532 */     GIR_EraseRootFromParent_Done,
     /* 265533 */   // Label 5317: @265533
     /* 265533 */   GIM_Try, /*On fail goto*//*Label 5318*/ GIMT_Encode4(265598), // Rule ID 5640 //
     /* 265538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 265542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 265546 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 265550 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 265554 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265559 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 265563 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 265567 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 265571 */     // MIs[2] Operand 1
     /* 265571 */     // No operand predicates
     /* 265571 */     // MIs[0] Operand 2
     /* 265571 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 265582 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 265584 */     // (sext_inreg:{ *:[i64] } (vector_extract:{ *:[i64] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), i16:{ *:[Other] })  =>  (SMOVvi16to64:{ *:[i64] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 265584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to64),
     /* 265587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265589 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 265593 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 265596 */     GIR_RootConstrainSelectedInstOperands,
     /* 265597 */     // GIR_Coverage, 5640,
     /* 265597 */     GIR_EraseRootFromParent_Done,
     /* 265598 */   // Label 5318: @265598
     /* 265598 */   GIM_Try, /*On fail goto*//*Label 5319*/ GIMT_Encode4(265633), // Rule ID 6467 //
     /* 265603 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 265607 */     // MIs[0] Operand 2
     /* 265607 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(32),
     /* 265618 */     // (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$src, i32:{ *:[Other] })  =>  (SBFMXri:{ *:[i64] } GPR64:{ *:[i64] }:$src, 0:{ *:[i64] }, 31:{ *:[i64] })
     /* 265618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMXri),
     /* 265621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265623 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 265625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 265628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /* 265631 */     GIR_RootConstrainSelectedInstOperands,
     /* 265632 */     // GIR_Coverage, 6467,
     /* 265632 */     GIR_EraseRootFromParent_Done,
     /* 265633 */   // Label 5319: @265633
     /* 265633 */   GIM_Try, /*On fail goto*//*Label 5320*/ GIMT_Encode4(265668), // Rule ID 6468 //
     /* 265638 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 265642 */     // MIs[0] Operand 2
     /* 265642 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 265653 */     // (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$src, i16:{ *:[Other] })  =>  (SBFMXri:{ *:[i64] } GPR64:{ *:[i64] }:$src, 0:{ *:[i64] }, 15:{ *:[i64] })
     /* 265653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMXri),
     /* 265656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265658 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 265660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 265663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 265666 */     GIR_RootConstrainSelectedInstOperands,
     /* 265667 */     // GIR_Coverage, 6468,
     /* 265667 */     GIR_EraseRootFromParent_Done,
     /* 265668 */   // Label 5320: @265668
     /* 265668 */   GIM_Try, /*On fail goto*//*Label 5321*/ GIMT_Encode4(265703), // Rule ID 6469 //
     /* 265673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 265677 */     // MIs[0] Operand 2
     /* 265677 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 265688 */     // (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$src, i8:{ *:[Other] })  =>  (SBFMXri:{ *:[i64] } GPR64:{ *:[i64] }:$src, 0:{ *:[i64] }, 7:{ *:[i64] })
     /* 265688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMXri),
     /* 265691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265693 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 265695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 265698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 265701 */     GIR_RootConstrainSelectedInstOperands,
     /* 265702 */     // GIR_Coverage, 6469,
     /* 265702 */     GIR_EraseRootFromParent_Done,
     /* 265703 */   // Label 5321: @265703
     /* 265703 */   GIM_Try, /*On fail goto*//*Label 5322*/ GIMT_Encode4(265738), // Rule ID 6470 //
     /* 265708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 265712 */     // MIs[0] Operand 2
     /* 265712 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 265723 */     // (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$src, i1:{ *:[Other] })  =>  (SBFMXri:{ *:[i64] } GPR64:{ *:[i64] }:$src, 0:{ *:[i64] }, 0:{ *:[i64] })
     /* 265723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMXri),
     /* 265726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265728 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 265730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 265733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 265736 */     GIR_RootConstrainSelectedInstOperands,
     /* 265737 */     // GIR_Coverage, 6470,
     /* 265737 */     GIR_EraseRootFromParent_Done,
     /* 265738 */   // Label 5322: @265738
     /* 265738 */   GIM_Reject,
     /* 265739 */ // Label 5312: @265739
     /* 265739 */ GIM_Reject,
     /* 265740 */ // Label 5299: @265740
     /* 265740 */ GIM_Try, /*On fail goto*//*Label 5323*/ GIMT_Encode4(265948),
     /* 265745 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 265748 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 265752 */   GIM_Try, /*On fail goto*//*Label 5324*/ GIMT_Encode4(265817), // Rule ID 10443 //
     /* 265757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 265760 */     // MIs[0] Operand 2
     /* 265760 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(32),
     /* 265771 */     // (sext_inreg:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Zs, nxv2i32:{ *:[Other] })  =>  (SXTW_ZPmZ_D_UNDEF:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv16i8] }), (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), ZPR:{ *:[nxv2i64] }:$Zs)
     /* 265771 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 265774 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 265778 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 265783 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 265786 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 265788 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 265791 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 265795 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 265800 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 265802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SXTW_ZPmZ_D_UNDEF),
     /* 265805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 265807 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 265810 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 265813 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 265815 */     GIR_RootConstrainSelectedInstOperands,
     /* 265816 */     // GIR_Coverage, 10443,
     /* 265816 */     GIR_EraseRootFromParent_Done,
     /* 265817 */   // Label 5324: @265817
     /* 265817 */   GIM_Try, /*On fail goto*//*Label 5325*/ GIMT_Encode4(265882), // Rule ID 10444 //
     /* 265822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 265825 */     // MIs[0] Operand 2
     /* 265825 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 265836 */     // (sext_inreg:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Zs, nxv2i16:{ *:[Other] })  =>  (SXTH_ZPmZ_D_UNDEF:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv16i8] }), (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), ZPR:{ *:[nxv2i64] }:$Zs)
     /* 265836 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 265839 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 265843 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 265848 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 265851 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 265853 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 265856 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 265860 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 265865 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 265867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SXTH_ZPmZ_D_UNDEF),
     /* 265870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 265872 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 265875 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 265878 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 265880 */     GIR_RootConstrainSelectedInstOperands,
     /* 265881 */     // GIR_Coverage, 10444,
     /* 265881 */     GIR_EraseRootFromParent_Done,
     /* 265882 */   // Label 5325: @265882
     /* 265882 */   GIM_Try, /*On fail goto*//*Label 5326*/ GIMT_Encode4(265947), // Rule ID 10445 //
     /* 265887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 265890 */     // MIs[0] Operand 2
     /* 265890 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 265901 */     // (sext_inreg:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Zs, nxv2i8:{ *:[Other] })  =>  (SXTB_ZPmZ_D_UNDEF:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv16i8] }), (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), ZPR:{ *:[nxv2i64] }:$Zs)
     /* 265901 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 265904 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 265908 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 265913 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 265916 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 265918 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 265921 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 265925 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 265930 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 265932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SXTB_ZPmZ_D_UNDEF),
     /* 265935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 265937 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 265940 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 265943 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 265945 */     GIR_RootConstrainSelectedInstOperands,
     /* 265946 */     // GIR_Coverage, 10445,
     /* 265946 */     GIR_EraseRootFromParent_Done,
     /* 265947 */   // Label 5326: @265947
     /* 265947 */   GIM_Reject,
     /* 265948 */ // Label 5323: @265948
     /* 265948 */ GIM_Reject,
     /* 265949 */ // Label 5300: @265949
     /* 265949 */ GIM_Try, /*On fail goto*//*Label 5327*/ GIMT_Encode4(266092),
     /* 265954 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 265957 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 265961 */   GIM_Try, /*On fail goto*//*Label 5328*/ GIMT_Encode4(266026), // Rule ID 10446 //
     /* 265966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 265969 */     // MIs[0] Operand 2
     /* 265969 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 265980 */     // (sext_inreg:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Zs, nxv4i16:{ *:[Other] })  =>  (SXTH_ZPmZ_S_UNDEF:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv16i8] }), (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), ZPR:{ *:[nxv4i32] }:$Zs)
     /* 265980 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 265983 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /* 265987 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 265992 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 265995 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 265997 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 266000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 266004 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 266009 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 266011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SXTH_ZPmZ_S_UNDEF),
     /* 266014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 266016 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 266019 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 266022 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 266024 */     GIR_RootConstrainSelectedInstOperands,
     /* 266025 */     // GIR_Coverage, 10446,
     /* 266025 */     GIR_EraseRootFromParent_Done,
     /* 266026 */   // Label 5328: @266026
     /* 266026 */   GIM_Try, /*On fail goto*//*Label 5329*/ GIMT_Encode4(266091), // Rule ID 10447 //
     /* 266031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 266034 */     // MIs[0] Operand 2
     /* 266034 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 266045 */     // (sext_inreg:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Zs, nxv4i8:{ *:[Other] })  =>  (SXTB_ZPmZ_S_UNDEF:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv16i8] }), (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), ZPR:{ *:[nxv4i32] }:$Zs)
     /* 266045 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 266048 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /* 266052 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 266057 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 266060 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 266062 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 266065 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 266069 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 266074 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 266076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SXTB_ZPmZ_S_UNDEF),
     /* 266079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 266081 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 266084 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 266087 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 266089 */     GIR_RootConstrainSelectedInstOperands,
     /* 266090 */     // GIR_Coverage, 10447,
     /* 266090 */     GIR_EraseRootFromParent_Done,
     /* 266091 */   // Label 5329: @266091
     /* 266091 */   GIM_Reject,
     /* 266092 */ // Label 5327: @266092
     /* 266092 */ GIM_Reject,
     /* 266093 */ // Label 5301: @266093
     /* 266093 */ GIM_Try, /*On fail goto*//*Label 5330*/ GIMT_Encode4(266165), // Rule ID 10448 //
     /* 266098 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 266101 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 266104 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 266108 */   // MIs[0] Operand 2
     /* 266108 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 266119 */   // (sext_inreg:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Zs, nxv8i8:{ *:[Other] })  =>  (SXTB_ZPmZ_H_UNDEF:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv16i8] }), (PTRUE_H:{ *:[nxv1i1] } 31:{ *:[i32] }), ZPR:{ *:[nxv8i16] }:$Zs)
     /* 266119 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 266122 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_H),
     /* 266126 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 266131 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 266134 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 266136 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 266139 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 266143 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 266148 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 266150 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SXTB_ZPmZ_H_UNDEF),
     /* 266153 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 266155 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 266158 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 266161 */   GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 266163 */   GIR_RootConstrainSelectedInstOperands,
     /* 266164 */   // GIR_Coverage, 10448,
     /* 266164 */   GIR_EraseRootFromParent_Done,
     /* 266165 */ // Label 5330: @266165
     /* 266165 */ GIM_Reject,
     /* 266166 */ // Label 5302: @266166
     /* 266166 */ GIM_Reject,
     /* 266167 */ // Label 43: @266167
     /* 266167 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(11), /*)*//*default:*//*Label 5335*/ GIMT_Encode4(268945),
     /* 266178 */ /*GILLT_s32*//*Label 5331*/ GIMT_Encode4(266214), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 266194 */ /*GILLT_v2s64*//*Label 5332*/ GIMT_Encode4(268015), GIMT_Encode4(0),
     /* 266202 */ /*GILLT_v4s32*//*Label 5333*/ GIMT_Encode4(268325), GIMT_Encode4(0),
     /* 266210 */ /*GILLT_v8s16*//*Label 5334*/ GIMT_Encode4(268635),
     /* 266214 */ // Label 5331: @266214
     /* 266214 */ GIM_Try, /*On fail goto*//*Label 5336*/ GIMT_Encode4(266364), // Rule ID 13050 //
     /* 266219 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 266222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 266226 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 266230 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 266234 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 266237 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddv),
     /* 266242 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 266246 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 266251 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 266253 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 727:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn), bsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 266253 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s8,
     /* 266256 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::ADDVv8i8v),
     /* 266260 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 266265 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 266269 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 266271 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 266274 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 266278 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 266283 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 266285 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 266288 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 266292 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 266297 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 266300 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 266303 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/1,
     /* 266306 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266311 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266316 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 266321 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 266324 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 266328 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 266333 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 266340 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 266345 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266350 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 266353 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 266355 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 266358 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 266363 */   // GIR_Coverage, 13050,
     /* 266363 */   GIR_EraseRootFromParent_Done,
     /* 266364 */ // Label 5336: @266364
     /* 266364 */ GIM_Try, /*On fail goto*//*Label 5337*/ GIMT_Encode4(266514), // Rule ID 13052 //
     /* 266369 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 266372 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 266376 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 266380 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 266384 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 266387 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddv),
     /* 266392 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 266396 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266401 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 266403 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 727:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn), bsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 266403 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s8,
     /* 266406 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::ADDVv16i8v),
     /* 266410 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 266415 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 266419 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 266421 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 266424 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 266428 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 266433 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 266435 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 266438 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 266442 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 266447 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 266450 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 266453 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/1,
     /* 266456 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266461 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266466 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 266471 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 266474 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 266478 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 266483 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 266490 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 266495 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266500 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 266503 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 266505 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 266508 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 266513 */   // GIR_Coverage, 13052,
     /* 266513 */   GIR_EraseRootFromParent_Done,
     /* 266514 */ // Label 5337: @266514
     /* 266514 */ GIM_Try, /*On fail goto*//*Label 5338*/ GIMT_Encode4(266664), // Rule ID 13054 //
     /* 266519 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 266522 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 266526 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 266530 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 266534 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 266537 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddv),
     /* 266542 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 266546 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 266551 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 266553 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 727:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn), hsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 266553 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s16,
     /* 266556 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::ADDVv4i16v),
     /* 266560 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 266565 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 266569 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 266571 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 266574 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 266578 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 266583 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 266585 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 266588 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 266592 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 266597 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 266600 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 266603 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/9,
     /* 266606 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266611 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266616 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 266621 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 266624 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 266628 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 266633 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 266640 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 266645 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266650 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 266653 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 266655 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 266658 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 266663 */   // GIR_Coverage, 13054,
     /* 266663 */   GIR_EraseRootFromParent_Done,
     /* 266664 */ // Label 5338: @266664
     /* 266664 */ GIM_Try, /*On fail goto*//*Label 5339*/ GIMT_Encode4(266814), // Rule ID 13056 //
     /* 266669 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 266672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 266676 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 266680 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 266684 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 266687 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddv),
     /* 266692 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 266696 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266701 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 266703 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 727:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn), hsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 266703 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s16,
     /* 266706 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::ADDVv8i16v),
     /* 266710 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 266715 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 266719 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 266721 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 266724 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 266728 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 266733 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 266735 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 266738 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 266742 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 266747 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 266750 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 266753 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/9,
     /* 266756 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266761 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266766 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 266771 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 266774 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 266778 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 266783 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 266790 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 266795 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266800 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 266803 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 266805 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 266808 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 266813 */   // GIR_Coverage, 13056,
     /* 266813 */   GIR_EraseRootFromParent_Done,
     /* 266814 */ // Label 5339: @266814
     /* 266814 */ GIM_Try, /*On fail goto*//*Label 5340*/ GIMT_Encode4(266964), // Rule ID 13083 //
     /* 266819 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 266822 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 266826 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 266830 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 266834 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 266837 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxv),
     /* 266842 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 266846 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 266851 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 266853 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 733:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMAXVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn), bsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 266853 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s8,
     /* 266856 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv8i8v),
     /* 266860 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 266865 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 266869 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 266871 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 266874 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 266878 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 266883 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 266885 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 266888 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 266892 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 266897 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 266900 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 266903 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/1,
     /* 266906 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266911 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266916 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 266921 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 266924 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 266928 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 266933 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 266940 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 266945 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266950 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 266953 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 266955 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 266958 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 266963 */   // GIR_Coverage, 13083,
     /* 266963 */   GIR_EraseRootFromParent_Done,
     /* 266964 */ // Label 5340: @266964
     /* 266964 */ GIM_Try, /*On fail goto*//*Label 5341*/ GIMT_Encode4(267114), // Rule ID 13085 //
     /* 266969 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 266972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 266976 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 266980 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 266984 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 266987 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxv),
     /* 266992 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 266996 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267001 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 267003 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 733:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMAXVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn), bsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 267003 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s8,
     /* 267006 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv16i8v),
     /* 267010 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267015 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 267019 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 267021 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 267024 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 267028 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267033 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 267035 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 267038 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 267042 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267047 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 267050 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 267053 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/1,
     /* 267056 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267061 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267066 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 267071 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 267074 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 267078 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267083 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 267090 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 267095 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267100 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 267103 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 267105 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 267108 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 267113 */   // GIR_Coverage, 13085,
     /* 267113 */   GIR_EraseRootFromParent_Done,
     /* 267114 */ // Label 5341: @267114
     /* 267114 */ GIM_Try, /*On fail goto*//*Label 5342*/ GIMT_Encode4(267264), // Rule ID 13087 //
     /* 267119 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 267122 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 267126 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 267130 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 267134 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 267137 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxv),
     /* 267142 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 267146 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 267151 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 267153 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 733:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMAXVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn), hsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 267153 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s16,
     /* 267156 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv4i16v),
     /* 267160 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267165 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 267169 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 267171 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 267174 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 267178 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267183 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 267185 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 267188 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 267192 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267197 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 267200 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 267203 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/9,
     /* 267206 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267211 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267216 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 267221 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 267224 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 267228 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267233 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 267240 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 267245 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267250 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 267253 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 267255 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 267258 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 267263 */   // GIR_Coverage, 13087,
     /* 267263 */   GIR_EraseRootFromParent_Done,
     /* 267264 */ // Label 5342: @267264
     /* 267264 */ GIM_Try, /*On fail goto*//*Label 5343*/ GIMT_Encode4(267414), // Rule ID 13089 //
     /* 267269 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 267272 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 267276 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 267280 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 267284 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 267287 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxv),
     /* 267292 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 267296 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267301 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 267303 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 733:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMAXVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn), hsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 267303 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s16,
     /* 267306 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv8i16v),
     /* 267310 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267315 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 267319 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 267321 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 267324 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 267328 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267333 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 267335 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 267338 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 267342 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267347 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 267350 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 267353 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/9,
     /* 267356 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267361 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267366 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 267371 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 267374 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 267378 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267383 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 267390 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 267395 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267400 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 267403 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 267405 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 267408 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 267413 */   // GIR_Coverage, 13089,
     /* 267413 */   GIR_EraseRootFromParent_Done,
     /* 267414 */ // Label 5343: @267414
     /* 267414 */ GIM_Try, /*On fail goto*//*Label 5344*/ GIMT_Encode4(267564), // Rule ID 13093 //
     /* 267419 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 267422 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 267426 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 267430 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 267434 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 267437 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminv),
     /* 267442 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 267446 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 267451 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 267453 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 736:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMINVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn), bsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 267453 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s8,
     /* 267456 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::UMINVv8i8v),
     /* 267460 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267465 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 267469 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 267471 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 267474 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 267478 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267483 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 267485 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 267488 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 267492 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267497 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 267500 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 267503 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/1,
     /* 267506 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267511 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267516 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 267521 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 267524 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 267528 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267533 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 267540 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 267545 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267550 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 267553 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 267555 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 267558 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 267563 */   // GIR_Coverage, 13093,
     /* 267563 */   GIR_EraseRootFromParent_Done,
     /* 267564 */ // Label 5344: @267564
     /* 267564 */ GIM_Try, /*On fail goto*//*Label 5345*/ GIMT_Encode4(267714), // Rule ID 13095 //
     /* 267569 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 267572 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 267576 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 267580 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 267584 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 267587 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminv),
     /* 267592 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 267596 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267601 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 267603 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 736:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMINVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn), bsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 267603 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s8,
     /* 267606 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::UMINVv16i8v),
     /* 267610 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267615 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 267619 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 267621 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 267624 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 267628 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267633 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 267635 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 267638 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 267642 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267647 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 267650 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 267653 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/1,
     /* 267656 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267661 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267666 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 267671 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 267674 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 267678 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267683 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 267690 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 267695 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267700 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 267703 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 267705 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 267708 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 267713 */   // GIR_Coverage, 13095,
     /* 267713 */   GIR_EraseRootFromParent_Done,
     /* 267714 */ // Label 5345: @267714
     /* 267714 */ GIM_Try, /*On fail goto*//*Label 5346*/ GIMT_Encode4(267864), // Rule ID 13097 //
     /* 267719 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 267722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 267726 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 267730 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 267734 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 267737 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminv),
     /* 267742 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 267746 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 267751 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 267753 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 736:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMINVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn), hsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 267753 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s16,
     /* 267756 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::UMINVv4i16v),
     /* 267760 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267765 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 267769 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 267771 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 267774 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 267778 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267783 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 267785 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 267788 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 267792 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267797 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 267800 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 267803 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/9,
     /* 267806 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267811 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267816 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 267821 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 267824 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 267828 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267833 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 267840 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 267845 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267850 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 267853 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 267855 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 267858 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 267863 */   // GIR_Coverage, 13097,
     /* 267863 */   GIR_EraseRootFromParent_Done,
     /* 267864 */ // Label 5346: @267864
     /* 267864 */ GIM_Try, /*On fail goto*//*Label 5347*/ GIMT_Encode4(268014), // Rule ID 13099 //
     /* 267869 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 267872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 267876 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 267880 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 267884 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 267887 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminv),
     /* 267892 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 267896 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267901 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 267903 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 736:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMINVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn), hsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 267903 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s16,
     /* 267906 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::UMINVv8i16v),
     /* 267910 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267915 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 267919 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 267921 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 267924 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 267928 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267933 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 267935 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 267938 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 267942 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267947 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 267950 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 267953 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/9,
     /* 267956 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267961 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267966 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 267971 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 267974 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 267978 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267983 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 267990 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 267995 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268000 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 268003 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 268005 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 268008 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 268013 */   // GIR_Coverage, 13099,
     /* 268013 */   GIR_EraseRootFromParent_Done,
     /* 268014 */ // Label 5347: @268014
     /* 268014 */ GIM_Reject,
     /* 268015 */ // Label 5332: @268015
     /* 268015 */ GIM_Try, /*On fail goto*//*Label 5348*/ GIMT_Encode4(268324),
     /* 268020 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 268023 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268027 */   GIM_Try, /*On fail goto*//*Label 5349*/ GIMT_Encode4(268092), // Rule ID 702 //
     /* 268032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 268035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 268039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 268043 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 268046 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 268051 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 268055 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 268059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 268061 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 268068 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 268075 */     // (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 724:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (UABDLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 268075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv4i32_v2i64),
     /* 268078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 268080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 268085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 268090 */     GIR_RootConstrainSelectedInstOperands,
     /* 268091 */     // GIR_Coverage, 702,
     /* 268091 */     GIR_EraseRootFromParent_Done,
     /* 268092 */   // Label 5349: @268092
     /* 268092 */   GIM_Try, /*On fail goto*//*Label 5350*/ GIMT_Encode4(268157), // Rule ID 1711 //
     /* 268097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 268100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 268104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 268108 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 268111 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 268116 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 268120 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 268124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 268126 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 268133 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 268140 */     // (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 659:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (SABDLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 268140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLv4i32_v2i64),
     /* 268143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 268145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 268150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 268155 */     GIR_RootConstrainSelectedInstOperands,
     /* 268156 */     // GIR_Coverage, 1711,
     /* 268156 */     GIR_EraseRootFromParent_Done,
     /* 268157 */   // Label 5350: @268157
     /* 268157 */   GIM_Try, /*On fail goto*//*Label 5351*/ GIMT_Encode4(268216), // Rule ID 700 //
     /* 268162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 268165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 268169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 268173 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 268176 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 268181 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 268185 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 268189 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 268194 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 268199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 268201 */     // (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 724:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm))  =>  (UABDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 268201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv2i32_v2i64),
     /* 268204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 268206 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 268210 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 268214 */     GIR_RootConstrainSelectedInstOperands,
     /* 268215 */     // GIR_Coverage, 700,
     /* 268215 */     GIR_EraseRootFromParent_Done,
     /* 268216 */   // Label 5351: @268216
     /* 268216 */   GIM_Try, /*On fail goto*//*Label 5352*/ GIMT_Encode4(268275), // Rule ID 1709 //
     /* 268221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 268224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 268228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 268232 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 268235 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 268240 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 268244 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 268248 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 268253 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 268258 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 268260 */     // (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 659:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm))  =>  (SABDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 268260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLv2i32_v2i64),
     /* 268263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 268265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 268269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 268273 */     GIR_RootConstrainSelectedInstOperands,
     /* 268274 */     // GIR_Coverage, 1709,
     /* 268274 */     GIR_EraseRootFromParent_Done,
     /* 268275 */   // Label 5352: @268275
     /* 268275 */   GIM_Try, /*On fail goto*//*Label 5353*/ GIMT_Encode4(268302), // Rule ID 6337 //
     /* 268280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 268287 */     // (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn))  =>  (USHLLv4i32_shift:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, 0:{ *:[i32] })
     /* 268287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv4i32_shift),
     /* 268290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 268292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 268297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 268300 */     GIR_RootConstrainSelectedInstOperands,
     /* 268301 */     // GIR_Coverage, 6337,
     /* 268301 */     GIR_EraseRootFromParent_Done,
     /* 268302 */   // Label 5353: @268302
     /* 268302 */   GIM_Try, /*On fail goto*//*Label 5354*/ GIMT_Encode4(268323), // Rule ID 6328 //
     /* 268307 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 268311 */     // (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn)  =>  (USHLLv2i32_shift:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, 0:{ *:[i32] })
     /* 268311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv2i32_shift),
     /* 268314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 268316 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 268318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 268321 */     GIR_RootConstrainSelectedInstOperands,
     /* 268322 */     // GIR_Coverage, 6328,
     /* 268322 */     GIR_EraseRootFromParent_Done,
     /* 268323 */   // Label 5354: @268323
     /* 268323 */   GIM_Reject,
     /* 268324 */ // Label 5348: @268324
     /* 268324 */ GIM_Reject,
     /* 268325 */ // Label 5333: @268325
     /* 268325 */ GIM_Try, /*On fail goto*//*Label 5355*/ GIMT_Encode4(268634),
     /* 268330 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 268333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268337 */   GIM_Try, /*On fail goto*//*Label 5356*/ GIMT_Encode4(268402), // Rule ID 698 //
     /* 268342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 268345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 268349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 268353 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 268356 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 268361 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 268365 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 268369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 268371 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 268378 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 268385 */     // (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 724:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (UABDLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 268385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv8i16_v4i32),
     /* 268388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 268390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 268395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 268400 */     GIR_RootConstrainSelectedInstOperands,
     /* 268401 */     // GIR_Coverage, 698,
     /* 268401 */     GIR_EraseRootFromParent_Done,
     /* 268402 */   // Label 5356: @268402
     /* 268402 */   GIM_Try, /*On fail goto*//*Label 5357*/ GIMT_Encode4(268467), // Rule ID 1707 //
     /* 268407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 268410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 268414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 268418 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 268421 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 268426 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 268430 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 268434 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 268436 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 268443 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 268450 */     // (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 659:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (SABDLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 268450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLv8i16_v4i32),
     /* 268453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 268455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 268460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 268465 */     GIR_RootConstrainSelectedInstOperands,
     /* 268466 */     // GIR_Coverage, 1707,
     /* 268466 */     GIR_EraseRootFromParent_Done,
     /* 268467 */   // Label 5357: @268467
     /* 268467 */   GIM_Try, /*On fail goto*//*Label 5358*/ GIMT_Encode4(268526), // Rule ID 696 //
     /* 268472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 268475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 268479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 268483 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 268486 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 268491 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 268495 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 268499 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 268504 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 268509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 268511 */     // (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 724:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm))  =>  (UABDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 268511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv4i16_v4i32),
     /* 268514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 268516 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 268520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 268524 */     GIR_RootConstrainSelectedInstOperands,
     /* 268525 */     // GIR_Coverage, 696,
     /* 268525 */     GIR_EraseRootFromParent_Done,
     /* 268526 */   // Label 5358: @268526
     /* 268526 */   GIM_Try, /*On fail goto*//*Label 5359*/ GIMT_Encode4(268585), // Rule ID 1705 //
     /* 268531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 268534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 268538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 268542 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 268545 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 268550 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 268554 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 268558 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 268563 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 268568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 268570 */     // (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 659:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm))  =>  (SABDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 268570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLv4i16_v4i32),
     /* 268573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 268575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 268579 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 268583 */     GIR_RootConstrainSelectedInstOperands,
     /* 268584 */     // GIR_Coverage, 1705,
     /* 268584 */     GIR_EraseRootFromParent_Done,
     /* 268585 */   // Label 5359: @268585
     /* 268585 */   GIM_Try, /*On fail goto*//*Label 5360*/ GIMT_Encode4(268612), // Rule ID 6334 //
     /* 268590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 268597 */     // (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn))  =>  (USHLLv8i16_shift:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, 0:{ *:[i32] })
     /* 268597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv8i16_shift),
     /* 268600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 268602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 268607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 268610 */     GIR_RootConstrainSelectedInstOperands,
     /* 268611 */     // GIR_Coverage, 6334,
     /* 268611 */     GIR_EraseRootFromParent_Done,
     /* 268612 */   // Label 5360: @268612
     /* 268612 */   GIM_Try, /*On fail goto*//*Label 5361*/ GIMT_Encode4(268633), // Rule ID 6325 //
     /* 268617 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 268621 */     // (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn)  =>  (USHLLv4i16_shift:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, 0:{ *:[i32] })
     /* 268621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv4i16_shift),
     /* 268624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 268626 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 268628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 268631 */     GIR_RootConstrainSelectedInstOperands,
     /* 268632 */     // GIR_Coverage, 6325,
     /* 268632 */     GIR_EraseRootFromParent_Done,
     /* 268633 */   // Label 5361: @268633
     /* 268633 */   GIM_Reject,
     /* 268634 */ // Label 5355: @268634
     /* 268634 */ GIM_Reject,
     /* 268635 */ // Label 5334: @268635
     /* 268635 */ GIM_Try, /*On fail goto*//*Label 5362*/ GIMT_Encode4(268944),
     /* 268640 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 268643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268647 */   GIM_Try, /*On fail goto*//*Label 5363*/ GIMT_Encode4(268712), // Rule ID 694 //
     /* 268652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 268655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 268659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 268663 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 268666 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 268671 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 268675 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 268679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 268681 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 268688 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 268695 */     // (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 724:{ *:[iPTR] }, (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (UABDLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 268695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv16i8_v8i16),
     /* 268698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 268700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 268705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 268710 */     GIR_RootConstrainSelectedInstOperands,
     /* 268711 */     // GIR_Coverage, 694,
     /* 268711 */     GIR_EraseRootFromParent_Done,
     /* 268712 */   // Label 5363: @268712
     /* 268712 */   GIM_Try, /*On fail goto*//*Label 5364*/ GIMT_Encode4(268777), // Rule ID 1703 //
     /* 268717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 268720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 268724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 268728 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 268731 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 268736 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 268740 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 268744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 268746 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 268753 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 268760 */     // (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 659:{ *:[iPTR] }, (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (SABDLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 268760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLv16i8_v8i16),
     /* 268763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 268765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 268770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 268775 */     GIR_RootConstrainSelectedInstOperands,
     /* 268776 */     // GIR_Coverage, 1703,
     /* 268776 */     GIR_EraseRootFromParent_Done,
     /* 268777 */   // Label 5364: @268777
     /* 268777 */   GIM_Try, /*On fail goto*//*Label 5365*/ GIMT_Encode4(268836), // Rule ID 692 //
     /* 268782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 268785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 268789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 268793 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 268796 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 268801 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 268805 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 268809 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 268814 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 268819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 268821 */     // (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 724:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm))  =>  (UABDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 268821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv8i8_v8i16),
     /* 268824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 268826 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 268830 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 268834 */     GIR_RootConstrainSelectedInstOperands,
     /* 268835 */     // GIR_Coverage, 692,
     /* 268835 */     GIR_EraseRootFromParent_Done,
     /* 268836 */   // Label 5365: @268836
     /* 268836 */   GIM_Try, /*On fail goto*//*Label 5366*/ GIMT_Encode4(268895), // Rule ID 1701 //
     /* 268841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 268844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 268848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 268852 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 268855 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 268860 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 268864 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 268868 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 268873 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 268878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 268880 */     // (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 659:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm))  =>  (SABDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 268880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLv8i8_v8i16),
     /* 268883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 268885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 268889 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 268893 */     GIR_RootConstrainSelectedInstOperands,
     /* 268894 */     // GIR_Coverage, 1701,
     /* 268894 */     GIR_EraseRootFromParent_Done,
     /* 268895 */   // Label 5366: @268895
     /* 268895 */   GIM_Try, /*On fail goto*//*Label 5367*/ GIMT_Encode4(268922), // Rule ID 6331 //
     /* 268900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 268907 */     // (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn))  =>  (USHLLv16i8_shift:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, 0:{ *:[i32] })
     /* 268907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv16i8_shift),
     /* 268910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 268912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 268917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 268920 */     GIR_RootConstrainSelectedInstOperands,
     /* 268921 */     // GIR_Coverage, 6331,
     /* 268921 */     GIR_EraseRootFromParent_Done,
     /* 268922 */   // Label 5367: @268922
     /* 268922 */   GIM_Try, /*On fail goto*//*Label 5368*/ GIMT_Encode4(268943), // Rule ID 6322 //
     /* 268927 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 268931 */     // (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn)  =>  (USHLLv8i8_shift:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, 0:{ *:[i32] })
     /* 268931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv8i8_shift),
     /* 268934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 268936 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 268938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 268941 */     GIR_RootConstrainSelectedInstOperands,
     /* 268942 */     // GIR_Coverage, 6322,
     /* 268942 */     GIR_EraseRootFromParent_Done,
     /* 268943 */   // Label 5368: @268943
     /* 268943 */   GIM_Reject,
     /* 268944 */ // Label 5362: @268944
     /* 268944 */ GIM_Reject,
     /* 268945 */ // Label 5335: @268945
     /* 268945 */ GIM_Reject,
     /* 268946 */ // Label 44: @268946
     /* 268946 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(11), /*)*//*default:*//*Label 5374*/ GIMT_Encode4(269725),
     /* 268957 */ /*GILLT_s32*//*Label 5369*/ GIMT_Encode4(268993),
     /* 268961 */ /*GILLT_s64*//*Label 5370*/ GIMT_Encode4(269125), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 268973 */ /*GILLT_v2s64*//*Label 5371*/ GIMT_Encode4(269298), GIMT_Encode4(0),
     /* 268981 */ /*GILLT_v4s32*//*Label 5372*/ GIMT_Encode4(269443), GIMT_Encode4(0),
     /* 268989 */ /*GILLT_v8s16*//*Label 5373*/ GIMT_Encode4(269584),
     /* 268993 */ // Label 5369: @268993
     /* 268993 */ GIM_Try, /*On fail goto*//*Label 5375*/ GIMT_Encode4(269124),
     /* 268998 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 269001 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 269004 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 269008 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 269012 */   GIM_Try, /*On fail goto*//*Label 5376*/ GIMT_Encode4(269049), // Rule ID 3925 //
     /* 269017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 269021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 269025 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 269029 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 269034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 269036 */     // (shl:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (anyext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (LSLVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 269036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSLVWr),
     /* 269039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269041 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 269043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 269047 */     GIR_RootConstrainSelectedInstOperands,
     /* 269048 */     // GIR_Coverage, 3925,
     /* 269048 */     GIR_EraseRootFromParent_Done,
     /* 269049 */   // Label 5376: @269049
     /* 269049 */   GIM_Try, /*On fail goto*//*Label 5377*/ GIMT_Encode4(269086), // Rule ID 3926 //
     /* 269054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 269058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 269062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 269066 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 269071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 269073 */     // (shl:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (LSLVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 269073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSLVWr),
     /* 269076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269078 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 269080 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 269084 */     GIR_RootConstrainSelectedInstOperands,
     /* 269085 */     // GIR_Coverage, 3926,
     /* 269085 */     GIR_EraseRootFromParent_Done,
     /* 269086 */   // Label 5377: @269086
     /* 269086 */   GIM_Try, /*On fail goto*//*Label 5378*/ GIMT_Encode4(269123), // Rule ID 3924 //
     /* 269091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 269095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 269099 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 269103 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 269108 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 269110 */     // (shl:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (LSLVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 269110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSLVWr),
     /* 269113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269115 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 269117 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 269121 */     GIR_RootConstrainSelectedInstOperands,
     /* 269122 */     // GIR_Coverage, 3924,
     /* 269122 */     GIR_EraseRootFromParent_Done,
     /* 269123 */   // Label 5378: @269123
     /* 269123 */   GIM_Reject,
     /* 269124 */ // Label 5375: @269124
     /* 269124 */ GIM_Reject,
     /* 269125 */ // Label 5370: @269125
     /* 269125 */ GIM_Try, /*On fail goto*//*Label 5379*/ GIMT_Encode4(269297),
     /* 269130 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 269133 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 269136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 269140 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 269144 */   GIM_Try, /*On fail goto*//*Label 5380*/ GIMT_Encode4(269212), // Rule ID 3927 //
     /* 269149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 269153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 269157 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 269161 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 269166 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 269168 */     // (shl:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (LSLVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm, sub_32:{ *:[i32] }))
     /* 269168 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 269171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 269175 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 269180 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 269183 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 269187 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/20,
     /* 269190 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 269195 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 269200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSLVXr),
     /* 269203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269205 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 269207 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 269210 */     GIR_RootConstrainSelectedInstOperands,
     /* 269211 */     // GIR_Coverage, 3927,
     /* 269211 */     GIR_EraseRootFromParent_Done,
     /* 269212 */   // Label 5380: @269212
     /* 269212 */   GIM_Try, /*On fail goto*//*Label 5381*/ GIMT_Encode4(269280), // Rule ID 3928 //
     /* 269217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 269221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 269225 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 269229 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 269234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 269236 */     // (shl:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (LSLVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm, sub_32:{ *:[i32] }))
     /* 269236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 269239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 269243 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 269248 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 269251 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 269255 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/20,
     /* 269258 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 269263 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 269268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSLVXr),
     /* 269271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269273 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 269275 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 269278 */     GIR_RootConstrainSelectedInstOperands,
     /* 269279 */     // GIR_Coverage, 3928,
     /* 269279 */     GIR_EraseRootFromParent_Done,
     /* 269280 */   // Label 5381: @269280
     /* 269280 */   GIM_Try, /*On fail goto*//*Label 5382*/ GIMT_Encode4(269296), // Rule ID 120 //
     /* 269285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 269289 */     // (shl:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (LSLVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 269289 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LSLVXr),
     /* 269294 */     GIR_RootConstrainSelectedInstOperands,
     /* 269295 */     // GIR_Coverage, 120,
     /* 269295 */     GIR_Done,
     /* 269296 */   // Label 5382: @269296
     /* 269296 */   GIM_Reject,
     /* 269297 */ // Label 5379: @269297
     /* 269297 */ GIM_Reject,
     /* 269298 */ // Label 5371: @269298
     /* 269298 */ GIM_Try, /*On fail goto*//*Label 5383*/ GIMT_Encode4(269442),
     /* 269303 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 269306 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 269309 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 269313 */   GIM_Try, /*On fail goto*//*Label 5384*/ GIMT_Encode4(269377), // Rule ID 6320 //
     /* 269318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 269322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 269326 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 269330 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269335 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 269339 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 269343 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 269347 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 269351 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 269355 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /* 269359 */     // MIs[3] Operand 1
     /* 269359 */     // No operand predicates
     /* 269359 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 269361 */     // (shl:{ *:[v2i64] } (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), (AArch64dup:{ *:[v2i64] } (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$size))  =>  (SSHLLv2i32_shift:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm, (trunc_imm:{ *:[i32] } (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$size))
     /* 269361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv2i32_shift),
     /* 269364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 269370 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // size
     /* 269375 */     GIR_RootConstrainSelectedInstOperands,
     /* 269376 */     // GIR_Coverage, 6320,
     /* 269376 */     GIR_EraseRootFromParent_Done,
     /* 269377 */   // Label 5384: @269377
     /* 269377 */   GIM_Try, /*On fail goto*//*Label 5385*/ GIMT_Encode4(269441), // Rule ID 6317 //
     /* 269382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 269386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 269390 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 269394 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269399 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 269403 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 269407 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 269411 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 269415 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 269419 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /* 269423 */     // MIs[3] Operand 1
     /* 269423 */     // No operand predicates
     /* 269423 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 269425 */     // (shl:{ *:[v2i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), (AArch64dup:{ *:[v2i64] } (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$size))  =>  (USHLLv2i32_shift:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm, (trunc_imm:{ *:[i32] } (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$size))
     /* 269425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv2i32_shift),
     /* 269428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 269434 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // size
     /* 269439 */     GIR_RootConstrainSelectedInstOperands,
     /* 269440 */     // GIR_Coverage, 6317,
     /* 269440 */     GIR_EraseRootFromParent_Done,
     /* 269441 */   // Label 5385: @269441
     /* 269441 */   GIM_Reject,
     /* 269442 */ // Label 5383: @269442
     /* 269442 */ GIM_Reject,
     /* 269443 */ // Label 5372: @269443
     /* 269443 */ GIM_Try, /*On fail goto*//*Label 5386*/ GIMT_Encode4(269583),
     /* 269448 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 269451 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 269454 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 269458 */   GIM_Try, /*On fail goto*//*Label 5387*/ GIMT_Encode4(269520), // Rule ID 6319 //
     /* 269463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 269467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 269471 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 269475 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269480 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 269484 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 269488 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 269492 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 269496 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 269500 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm32_0_15),
     /* 269504 */     // MIs[3] Operand 1
     /* 269504 */     // No operand predicates
     /* 269504 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 269506 */     // (shl:{ *:[v4i32] } (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), (AArch64dup:{ *:[v4i32] } (imm:{ *:[i32] })<<P:Predicate_imm32_0_15>>:$size))  =>  (SSHLLv4i16_shift:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm, (imm:{ *:[i32] })<<P:Predicate_imm32_0_15>>:$size)
     /* 269506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 269509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269511 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 269515 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // size
     /* 269518 */     GIR_RootConstrainSelectedInstOperands,
     /* 269519 */     // GIR_Coverage, 6319,
     /* 269519 */     GIR_EraseRootFromParent_Done,
     /* 269520 */   // Label 5387: @269520
     /* 269520 */   GIM_Try, /*On fail goto*//*Label 5388*/ GIMT_Encode4(269582), // Rule ID 6316 //
     /* 269525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 269529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 269533 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 269537 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269542 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 269546 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 269550 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 269554 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 269558 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 269562 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm32_0_15),
     /* 269566 */     // MIs[3] Operand 1
     /* 269566 */     // No operand predicates
     /* 269566 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 269568 */     // (shl:{ *:[v4i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), (AArch64dup:{ *:[v4i32] } (imm:{ *:[i32] })<<P:Predicate_imm32_0_15>>:$size))  =>  (USHLLv4i16_shift:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm, (imm:{ *:[i32] })<<P:Predicate_imm32_0_15>>:$size)
     /* 269568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv4i16_shift),
     /* 269571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 269577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // size
     /* 269580 */     GIR_RootConstrainSelectedInstOperands,
     /* 269581 */     // GIR_Coverage, 6316,
     /* 269581 */     GIR_EraseRootFromParent_Done,
     /* 269582 */   // Label 5388: @269582
     /* 269582 */   GIM_Reject,
     /* 269583 */ // Label 5386: @269583
     /* 269583 */ GIM_Reject,
     /* 269584 */ // Label 5373: @269584
     /* 269584 */ GIM_Try, /*On fail goto*//*Label 5389*/ GIMT_Encode4(269724),
     /* 269589 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 269592 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 269595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 269599 */   GIM_Try, /*On fail goto*//*Label 5390*/ GIMT_Encode4(269661), // Rule ID 6318 //
     /* 269604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 269608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 269612 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 269616 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269621 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 269625 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 269629 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 269633 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 269637 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 269641 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm32_0_7),
     /* 269645 */     // MIs[3] Operand 1
     /* 269645 */     // No operand predicates
     /* 269645 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 269647 */     // (shl:{ *:[v8i16] } (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), (AArch64dup:{ *:[v8i16] } (imm:{ *:[i32] })<<P:Predicate_imm32_0_7>>:$size))  =>  (SSHLLv8i8_shift:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm, (imm:{ *:[i32] })<<P:Predicate_imm32_0_7>>:$size)
     /* 269647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv8i8_shift),
     /* 269650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269652 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 269656 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // size
     /* 269659 */     GIR_RootConstrainSelectedInstOperands,
     /* 269660 */     // GIR_Coverage, 6318,
     /* 269660 */     GIR_EraseRootFromParent_Done,
     /* 269661 */   // Label 5390: @269661
     /* 269661 */   GIM_Try, /*On fail goto*//*Label 5391*/ GIMT_Encode4(269723), // Rule ID 6315 //
     /* 269666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 269670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 269674 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 269678 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269683 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 269687 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 269691 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 269695 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 269699 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 269703 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm32_0_7),
     /* 269707 */     // MIs[3] Operand 1
     /* 269707 */     // No operand predicates
     /* 269707 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 269709 */     // (shl:{ *:[v8i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), (AArch64dup:{ *:[v8i16] } (imm:{ *:[i32] })<<P:Predicate_imm32_0_7>>:$size))  =>  (USHLLv8i8_shift:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm, (imm:{ *:[i32] })<<P:Predicate_imm32_0_7>>:$size)
     /* 269709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv8i8_shift),
     /* 269712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269714 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 269718 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // size
     /* 269721 */     GIR_RootConstrainSelectedInstOperands,
     /* 269722 */     // GIR_Coverage, 6315,
     /* 269722 */     GIR_EraseRootFromParent_Done,
     /* 269723 */   // Label 5391: @269723
     /* 269723 */   GIM_Reject,
     /* 269724 */ // Label 5389: @269724
     /* 269724 */ GIM_Reject,
     /* 269725 */ // Label 5374: @269725
     /* 269725 */ GIM_Reject,
     /* 269726 */ // Label 45: @269726
     /* 269726 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 5394*/ GIMT_Encode4(270118),
     /* 269737 */ /*GILLT_s32*//*Label 5392*/ GIMT_Encode4(269745),
     /* 269741 */ /*GILLT_s64*//*Label 5393*/ GIMT_Encode4(269911),
     /* 269745 */ // Label 5392: @269745
     /* 269745 */ GIM_Try, /*On fail goto*//*Label 5395*/ GIMT_Encode4(269910),
     /* 269750 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 269753 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 269756 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 269760 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 269764 */   GIM_Try, /*On fail goto*//*Label 5396*/ GIMT_Encode4(269798), // Rule ID 4014 //
     /* 269769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 269773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 269777 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /* 269781 */     // MIs[1] Operand 1
     /* 269781 */     // No operand predicates
     /* 269781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 269783 */     // (srl:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm)  =>  (UBFMWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm, 31:{ *:[i64] })
     /* 269783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UBFMWri),
     /* 269786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269788 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 269790 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 269793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /* 269796 */     GIR_RootConstrainSelectedInstOperands,
     /* 269797 */     // GIR_Coverage, 4014,
     /* 269797 */     GIR_EraseRootFromParent_Done,
     /* 269798 */   // Label 5396: @269798
     /* 269798 */   GIM_Try, /*On fail goto*//*Label 5397*/ GIMT_Encode4(269835), // Rule ID 3931 //
     /* 269803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 269807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 269811 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 269815 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 269820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 269822 */     // (srl:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (anyext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (LSRVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 269822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSRVWr),
     /* 269825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269827 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 269829 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 269833 */     GIR_RootConstrainSelectedInstOperands,
     /* 269834 */     // GIR_Coverage, 3931,
     /* 269834 */     GIR_EraseRootFromParent_Done,
     /* 269835 */   // Label 5397: @269835
     /* 269835 */   GIM_Try, /*On fail goto*//*Label 5398*/ GIMT_Encode4(269872), // Rule ID 3932 //
     /* 269840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 269844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 269848 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 269852 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 269857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 269859 */     // (srl:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (LSRVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 269859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSRVWr),
     /* 269862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269864 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 269866 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 269870 */     GIR_RootConstrainSelectedInstOperands,
     /* 269871 */     // GIR_Coverage, 3932,
     /* 269871 */     GIR_EraseRootFromParent_Done,
     /* 269872 */   // Label 5398: @269872
     /* 269872 */   GIM_Try, /*On fail goto*//*Label 5399*/ GIMT_Encode4(269909), // Rule ID 3930 //
     /* 269877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 269881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 269885 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 269889 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 269894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 269896 */     // (srl:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (LSRVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 269896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSRVWr),
     /* 269899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269901 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 269903 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 269907 */     GIR_RootConstrainSelectedInstOperands,
     /* 269908 */     // GIR_Coverage, 3930,
     /* 269908 */     GIR_EraseRootFromParent_Done,
     /* 269909 */   // Label 5399: @269909
     /* 269909 */   GIM_Reject,
     /* 269910 */ // Label 5395: @269910
     /* 269910 */ GIM_Reject,
     /* 269911 */ // Label 5393: @269911
     /* 269911 */ GIM_Try, /*On fail goto*//*Label 5400*/ GIMT_Encode4(270117),
     /* 269916 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 269919 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 269922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 269926 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 269930 */   GIM_Try, /*On fail goto*//*Label 5401*/ GIMT_Encode4(269964), // Rule ID 4015 //
     /* 269935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 269939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 269943 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_63),
     /* 269947 */     // MIs[1] Operand 1
     /* 269947 */     // No operand predicates
     /* 269947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 269949 */     // (srl:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_63>>:$imm)  =>  (UBFMXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_63>>:$imm, 63:{ *:[i64] })
     /* 269949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UBFMXri),
     /* 269952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269954 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 269956 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 269959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/63,
     /* 269962 */     GIR_RootConstrainSelectedInstOperands,
     /* 269963 */     // GIR_Coverage, 4015,
     /* 269963 */     GIR_EraseRootFromParent_Done,
     /* 269964 */   // Label 5401: @269964
     /* 269964 */   GIM_Try, /*On fail goto*//*Label 5402*/ GIMT_Encode4(270032), // Rule ID 3933 //
     /* 269969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 269973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 269977 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 269981 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 269986 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 269988 */     // (srl:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (LSRVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm, sub_32:{ *:[i32] }))
     /* 269988 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 269991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 269995 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 270000 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 270003 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 270007 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/20,
     /* 270010 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 270015 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSRVXr),
     /* 270023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270025 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 270027 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 270030 */     GIR_RootConstrainSelectedInstOperands,
     /* 270031 */     // GIR_Coverage, 3933,
     /* 270031 */     GIR_EraseRootFromParent_Done,
     /* 270032 */   // Label 5402: @270032
     /* 270032 */   GIM_Try, /*On fail goto*//*Label 5403*/ GIMT_Encode4(270100), // Rule ID 3934 //
     /* 270037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 270041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 270045 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 270049 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 270056 */     // (srl:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (LSRVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm, sub_32:{ *:[i32] }))
     /* 270056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 270059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 270063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 270068 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 270071 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 270075 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/20,
     /* 270078 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 270083 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSRVXr),
     /* 270091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270093 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 270095 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 270098 */     GIR_RootConstrainSelectedInstOperands,
     /* 270099 */     // GIR_Coverage, 3934,
     /* 270099 */     GIR_EraseRootFromParent_Done,
     /* 270100 */   // Label 5403: @270100
     /* 270100 */   GIM_Try, /*On fail goto*//*Label 5404*/ GIMT_Encode4(270116), // Rule ID 121 //
     /* 270105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 270109 */     // (srl:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (LSRVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 270109 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LSRVXr),
     /* 270114 */     GIR_RootConstrainSelectedInstOperands,
     /* 270115 */     // GIR_Coverage, 121,
     /* 270115 */     GIR_Done,
     /* 270116 */   // Label 5404: @270116
     /* 270116 */   GIM_Reject,
     /* 270117 */ // Label 5400: @270117
     /* 270117 */ GIM_Reject,
     /* 270118 */ // Label 5394: @270118
     /* 270118 */ GIM_Reject,
     /* 270119 */ // Label 46: @270119
     /* 270119 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 5407*/ GIMT_Encode4(270894),
     /* 270130 */ /*GILLT_s32*//*Label 5405*/ GIMT_Encode4(270138),
     /* 270134 */ /*GILLT_s64*//*Label 5406*/ GIMT_Encode4(270444),
     /* 270138 */ // Label 5405: @270138
     /* 270138 */ GIM_Try, /*On fail goto*//*Label 5408*/ GIMT_Encode4(270443),
     /* 270143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 270146 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 270149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270153 */   GIM_Try, /*On fail goto*//*Label 5409*/ GIMT_Encode4(270217), // Rule ID 6480 //
     /* 270158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 270162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 270166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 270170 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270175 */     // MIs[1] Operand 2
     /* 270175 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8),
     /* 270186 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 270190 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 270194 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_7),
     /* 270198 */     // MIs[2] Operand 1
     /* 270198 */     // No operand predicates
     /* 270198 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 270200 */     // (sra:{ *:[i32] } (sext_inreg:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, i8:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_imm0_7>>:$imm)  =>  (SBFMWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_7>>:$imm, 7:{ *:[i64] })
     /* 270200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMWri),
     /* 270203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 270209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 270212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 270215 */     GIR_RootConstrainSelectedInstOperands,
     /* 270216 */     // GIR_Coverage, 6480,
     /* 270216 */     GIR_EraseRootFromParent_Done,
     /* 270217 */   // Label 5409: @270217
     /* 270217 */   GIM_Try, /*On fail goto*//*Label 5410*/ GIMT_Encode4(270281), // Rule ID 6482 //
     /* 270222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 270226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 270230 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 270234 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270239 */     // MIs[1] Operand 2
     /* 270239 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(16),
     /* 270250 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 270254 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 270258 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_15),
     /* 270262 */     // MIs[2] Operand 1
     /* 270262 */     // No operand predicates
     /* 270262 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 270264 */     // (sra:{ *:[i32] } (sext_inreg:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, i16:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_imm0_15>>:$imm)  =>  (SBFMWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_15>>:$imm, 15:{ *:[i64] })
     /* 270264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMWri),
     /* 270267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 270273 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 270276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 270279 */     GIR_RootConstrainSelectedInstOperands,
     /* 270280 */     // GIR_Coverage, 6482,
     /* 270280 */     GIR_EraseRootFromParent_Done,
     /* 270281 */   // Label 5410: @270281
     /* 270281 */   GIM_Try, /*On fail goto*//*Label 5411*/ GIMT_Encode4(270319), // Rule ID 4012 //
     /* 270286 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 270294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 270298 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /* 270302 */     // MIs[1] Operand 1
     /* 270302 */     // No operand predicates
     /* 270302 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 270304 */     // (sra:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm)  =>  (SBFMWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm, 31:{ *:[i64] })
     /* 270304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMWri),
     /* 270307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270309 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 270311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 270314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /* 270317 */     GIR_RootConstrainSelectedInstOperands,
     /* 270318 */     // GIR_Coverage, 4012,
     /* 270318 */     GIR_EraseRootFromParent_Done,
     /* 270319 */   // Label 5411: @270319
     /* 270319 */   GIM_Try, /*On fail goto*//*Label 5412*/ GIMT_Encode4(270360), // Rule ID 2435 //
     /* 270324 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 270332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 270336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 270340 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 270347 */     // (sra:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (anyext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (ASRVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 270347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASRVWr),
     /* 270350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270352 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 270354 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 270358 */     GIR_RootConstrainSelectedInstOperands,
     /* 270359 */     // GIR_Coverage, 2435,
     /* 270359 */     GIR_EraseRootFromParent_Done,
     /* 270360 */   // Label 5412: @270360
     /* 270360 */   GIM_Try, /*On fail goto*//*Label 5413*/ GIMT_Encode4(270401), // Rule ID 2436 //
     /* 270365 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 270373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 270377 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 270381 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 270388 */     // (sra:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (ASRVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 270388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASRVWr),
     /* 270391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270393 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 270395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 270399 */     GIR_RootConstrainSelectedInstOperands,
     /* 270400 */     // GIR_Coverage, 2436,
     /* 270400 */     GIR_EraseRootFromParent_Done,
     /* 270401 */   // Label 5413: @270401
     /* 270401 */   GIM_Try, /*On fail goto*//*Label 5414*/ GIMT_Encode4(270442), // Rule ID 2434 //
     /* 270406 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 270414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 270418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 270422 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 270429 */     // (sra:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (ASRVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 270429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASRVWr),
     /* 270432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270434 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 270436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 270440 */     GIR_RootConstrainSelectedInstOperands,
     /* 270441 */     // GIR_Coverage, 2434,
     /* 270441 */     GIR_EraseRootFromParent_Done,
     /* 270442 */   // Label 5414: @270442
     /* 270442 */   GIM_Reject,
     /* 270443 */ // Label 5408: @270443
     /* 270443 */ GIM_Reject,
     /* 270444 */ // Label 5406: @270444
     /* 270444 */ GIM_Try, /*On fail goto*//*Label 5415*/ GIMT_Encode4(270893),
     /* 270449 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 270452 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 270455 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 270459 */   GIM_Try, /*On fail goto*//*Label 5416*/ GIMT_Encode4(270523), // Rule ID 6481 //
     /* 270464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 270468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 270472 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 270476 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 270481 */     // MIs[1] Operand 2
     /* 270481 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8),
     /* 270492 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 270496 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 270500 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_7),
     /* 270504 */     // MIs[2] Operand 1
     /* 270504 */     // No operand predicates
     /* 270504 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 270506 */     // (sra:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, i8:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_imm0_7>>:$imm)  =>  (SBFMXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_7>>:$imm, 7:{ *:[i64] })
     /* 270506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMXri),
     /* 270509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270511 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 270515 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 270518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 270521 */     GIR_RootConstrainSelectedInstOperands,
     /* 270522 */     // GIR_Coverage, 6481,
     /* 270522 */     GIR_EraseRootFromParent_Done,
     /* 270523 */   // Label 5416: @270523
     /* 270523 */   GIM_Try, /*On fail goto*//*Label 5417*/ GIMT_Encode4(270587), // Rule ID 6483 //
     /* 270528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 270532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 270536 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 270540 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 270545 */     // MIs[1] Operand 2
     /* 270545 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(16),
     /* 270556 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 270560 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 270564 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_15),
     /* 270568 */     // MIs[2] Operand 1
     /* 270568 */     // No operand predicates
     /* 270568 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 270570 */     // (sra:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, i16:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_imm0_15>>:$imm)  =>  (SBFMXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_15>>:$imm, 15:{ *:[i64] })
     /* 270570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMXri),
     /* 270573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 270579 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 270582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 270585 */     GIR_RootConstrainSelectedInstOperands,
     /* 270586 */     // GIR_Coverage, 6483,
     /* 270586 */     GIR_EraseRootFromParent_Done,
     /* 270587 */   // Label 5417: @270587
     /* 270587 */   GIM_Try, /*On fail goto*//*Label 5418*/ GIMT_Encode4(270690), // Rule ID 6484 //
     /* 270592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 270596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 270600 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 270604 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270609 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 270613 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 270617 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /* 270621 */     // MIs[2] Operand 1
     /* 270621 */     // No operand predicates
     /* 270621 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 270623 */     // (sra:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm)  =>  (SBFMXri:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rn, sub_32:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm, 31:{ *:[i64] })
     /* 270623 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 270626 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 270630 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 270635 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 270637 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 270640 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 270644 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 270649 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 270652 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 270656 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/20,
     /* 270659 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 270664 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 270669 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMXri),
     /* 270677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 270682 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 270685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /* 270688 */     GIR_RootConstrainSelectedInstOperands,
     /* 270689 */     // GIR_Coverage, 6484,
     /* 270689 */     GIR_EraseRootFromParent_Done,
     /* 270690 */   // Label 5418: @270690
     /* 270690 */   GIM_Try, /*On fail goto*//*Label 5419*/ GIMT_Encode4(270728), // Rule ID 4013 //
     /* 270695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 270699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 270703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 270707 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_63),
     /* 270711 */     // MIs[1] Operand 1
     /* 270711 */     // No operand predicates
     /* 270711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 270713 */     // (sra:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_63>>:$imm)  =>  (SBFMXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_63>>:$imm, 63:{ *:[i64] })
     /* 270713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMXri),
     /* 270716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270718 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 270720 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 270723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/63,
     /* 270726 */     GIR_RootConstrainSelectedInstOperands,
     /* 270727 */     // GIR_Coverage, 4013,
     /* 270727 */     GIR_EraseRootFromParent_Done,
     /* 270728 */   // Label 5419: @270728
     /* 270728 */   GIM_Try, /*On fail goto*//*Label 5420*/ GIMT_Encode4(270800), // Rule ID 2437 //
     /* 270733 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 270737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 270741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 270745 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 270749 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 270756 */     // (sra:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (ASRVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm, sub_32:{ *:[i32] }))
     /* 270756 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 270759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 270763 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 270768 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 270771 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 270775 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/20,
     /* 270778 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 270783 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASRVXr),
     /* 270791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270793 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 270795 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 270798 */     GIR_RootConstrainSelectedInstOperands,
     /* 270799 */     // GIR_Coverage, 2437,
     /* 270799 */     GIR_EraseRootFromParent_Done,
     /* 270800 */   // Label 5420: @270800
     /* 270800 */   GIM_Try, /*On fail goto*//*Label 5421*/ GIMT_Encode4(270872), // Rule ID 2438 //
     /* 270805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 270809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 270813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 270817 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 270821 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 270828 */     // (sra:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (ASRVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm, sub_32:{ *:[i32] }))
     /* 270828 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 270831 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 270835 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 270840 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 270843 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 270847 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/20,
     /* 270850 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 270855 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASRVXr),
     /* 270863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270865 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 270867 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 270870 */     GIR_RootConstrainSelectedInstOperands,
     /* 270871 */     // GIR_Coverage, 2438,
     /* 270871 */     GIR_EraseRootFromParent_Done,
     /* 270872 */   // Label 5421: @270872
     /* 270872 */   GIM_Try, /*On fail goto*//*Label 5422*/ GIMT_Encode4(270892), // Rule ID 119 //
     /* 270877 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 270881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 270885 */     // (sra:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (ASRVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 270885 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ASRVXr),
     /* 270890 */     GIR_RootConstrainSelectedInstOperands,
     /* 270891 */     // GIR_Coverage, 119,
     /* 270891 */     GIR_Done,
     /* 270892 */   // Label 5422: @270892
     /* 270892 */   GIM_Reject,
     /* 270893 */ // Label 5415: @270893
     /* 270893 */ GIM_Reject,
     /* 270894 */ // Label 5407: @270894
     /* 270894 */ GIM_Reject,
     /* 270895 */ // Label 47: @270895
     /* 270895 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 5425*/ GIMT_Encode4(271024),
     /* 270906 */ /*GILLT_s32*//*Label 5423*/ GIMT_Encode4(270914),
     /* 270910 */ /*GILLT_s64*//*Label 5424*/ GIMT_Encode4(270969),
     /* 270914 */ // Label 5423: @270914
     /* 270914 */ GIM_Try, /*On fail goto*//*Label 5426*/ GIMT_Encode4(270968), // Rule ID 188 //
     /* 270919 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 270922 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 270925 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 270928 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270932 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270936 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270940 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 270944 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 270948 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /* 270952 */   // MIs[1] Operand 1
     /* 270952 */   // No operand predicates
     /* 270952 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 270954 */   // (fshr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm)  =>  (EXTRWrri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, (imm:{ *:[i64] }):$imm)
     /* 270954 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTRWrri),
     /* 270957 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270959 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 270961 */   GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 270963 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 270966 */   GIR_RootConstrainSelectedInstOperands,
     /* 270967 */   // GIR_Coverage, 188,
     /* 270967 */   GIR_EraseRootFromParent_Done,
     /* 270968 */ // Label 5426: @270968
     /* 270968 */ GIM_Reject,
     /* 270969 */ // Label 5424: @270969
     /* 270969 */ GIM_Try, /*On fail goto*//*Label 5427*/ GIMT_Encode4(271023), // Rule ID 189 //
     /* 270974 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 270977 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 270980 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 270983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 270987 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 270991 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 270995 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 270999 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 271003 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_63),
     /* 271007 */   // MIs[1] Operand 1
     /* 271007 */   // No operand predicates
     /* 271007 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 271009 */   // (fshr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_imm0_63>>:$imm)  =>  (EXTRXrri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, (imm:{ *:[i64] }):$imm)
     /* 271009 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTRXrri),
     /* 271012 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271014 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 271016 */   GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 271018 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 271021 */   GIR_RootConstrainSelectedInstOperands,
     /* 271022 */   // GIR_Coverage, 189,
     /* 271022 */   GIR_EraseRootFromParent_Done,
     /* 271023 */ // Label 5427: @271023
     /* 271023 */ GIM_Reject,
     /* 271024 */ // Label 5425: @271024
     /* 271024 */ GIM_Reject,
     /* 271025 */ // Label 48: @271025
     /* 271025 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 5430*/ GIMT_Encode4(271517),
     /* 271036 */ /*GILLT_s32*//*Label 5428*/ GIMT_Encode4(271044),
     /* 271040 */ /*GILLT_s64*//*Label 5429*/ GIMT_Encode4(271260),
     /* 271044 */ // Label 5428: @271044
     /* 271044 */ GIM_Try, /*On fail goto*//*Label 5431*/ GIMT_Encode4(271259),
     /* 271049 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 271052 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 271055 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271059 */   GIM_Try, /*On fail goto*//*Label 5432*/ GIMT_Encode4(271098), // Rule ID 184 //
     /* 271064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 271068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /* 271072 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 271076 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271081 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 16,
     /* 271085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 271087 */     // (rotr:{ *:[i32] } (bswap:{ *:[i32] } GPR32:{ *:[i32] }:$Rn), 16:{ *:[i64] })  =>  (REV16Wr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 271087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV16Wr),
     /* 271090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271092 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 271096 */     GIR_RootConstrainSelectedInstOperands,
     /* 271097 */     // GIR_Coverage, 184,
     /* 271097 */     GIR_EraseRootFromParent_Done,
     /* 271098 */   // Label 5432: @271098
     /* 271098 */   GIM_Try, /*On fail goto*//*Label 5433*/ GIMT_Encode4(271135), // Rule ID 4008 //
     /* 271103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 271111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 271115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /* 271119 */     // MIs[1] Operand 1
     /* 271119 */     // No operand predicates
     /* 271119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 271121 */     // (rotr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm)  =>  (EXTRWrri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm)
     /* 271121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTRWrri),
     /* 271124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271126 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 271128 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 271130 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 271133 */     GIR_RootConstrainSelectedInstOperands,
     /* 271134 */     // GIR_Coverage, 4008,
     /* 271134 */     GIR_EraseRootFromParent_Done,
     /* 271135 */   // Label 5433: @271135
     /* 271135 */   GIM_Try, /*On fail goto*//*Label 5434*/ GIMT_Encode4(271176), // Rule ID 3937 //
     /* 271140 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 271148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 271152 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 271156 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271161 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 271163 */     // (rotr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (anyext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (RORVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 271163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RORVWr),
     /* 271166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271168 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 271170 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 271174 */     GIR_RootConstrainSelectedInstOperands,
     /* 271175 */     // GIR_Coverage, 3937,
     /* 271175 */     GIR_EraseRootFromParent_Done,
     /* 271176 */   // Label 5434: @271176
     /* 271176 */   GIM_Try, /*On fail goto*//*Label 5435*/ GIMT_Encode4(271217), // Rule ID 3938 //
     /* 271181 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 271189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 271193 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 271197 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 271204 */     // (rotr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (RORVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 271204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RORVWr),
     /* 271207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271209 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 271211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 271215 */     GIR_RootConstrainSelectedInstOperands,
     /* 271216 */     // GIR_Coverage, 3938,
     /* 271216 */     GIR_EraseRootFromParent_Done,
     /* 271217 */   // Label 5435: @271217
     /* 271217 */   GIM_Try, /*On fail goto*//*Label 5436*/ GIMT_Encode4(271258), // Rule ID 3936 //
     /* 271222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 271230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 271234 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 271238 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 271245 */     // (rotr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (RORVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 271245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RORVWr),
     /* 271248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271250 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 271252 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 271256 */     GIR_RootConstrainSelectedInstOperands,
     /* 271257 */     // GIR_Coverage, 3936,
     /* 271257 */     GIR_EraseRootFromParent_Done,
     /* 271258 */   // Label 5436: @271258
     /* 271258 */   GIM_Reject,
     /* 271259 */ // Label 5431: @271259
     /* 271259 */ GIM_Reject,
     /* 271260 */ // Label 5429: @271260
     /* 271260 */ GIM_Try, /*On fail goto*//*Label 5437*/ GIMT_Encode4(271516),
     /* 271265 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 271268 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 271271 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 271275 */   GIM_Try, /*On fail goto*//*Label 5438*/ GIMT_Encode4(271314), // Rule ID 187 //
     /* 271280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 271284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /* 271288 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 271292 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 271297 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 32,
     /* 271301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 271303 */     // (rotr:{ *:[i64] } (bswap:{ *:[i64] } GPR64:{ *:[i64] }:$Rn), 32:{ *:[i64] })  =>  (REV32Xr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /* 271303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV32Xr),
     /* 271306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 271312 */     GIR_RootConstrainSelectedInstOperands,
     /* 271313 */     // GIR_Coverage, 187,
     /* 271313 */     GIR_EraseRootFromParent_Done,
     /* 271314 */   // Label 5438: @271314
     /* 271314 */   GIM_Try, /*On fail goto*//*Label 5439*/ GIMT_Encode4(271351), // Rule ID 4009 //
     /* 271319 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 271323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 271327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 271331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_63),
     /* 271335 */     // MIs[1] Operand 1
     /* 271335 */     // No operand predicates
     /* 271335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 271337 */     // (rotr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_63>>:$imm)  =>  (EXTRXrri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_63>>:$imm)
     /* 271337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTRXrri),
     /* 271340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271342 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 271344 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 271346 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 271349 */     GIR_RootConstrainSelectedInstOperands,
     /* 271350 */     // GIR_Coverage, 4009,
     /* 271350 */     GIR_EraseRootFromParent_Done,
     /* 271351 */   // Label 5439: @271351
     /* 271351 */   GIM_Try, /*On fail goto*//*Label 5440*/ GIMT_Encode4(271423), // Rule ID 3939 //
     /* 271356 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 271360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 271364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 271368 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 271372 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 271379 */     // (rotr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (RORVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm, sub_32:{ *:[i32] }))
     /* 271379 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 271382 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 271386 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 271391 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 271394 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 271398 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/20,
     /* 271401 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 271406 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RORVXr),
     /* 271414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271416 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 271418 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 271421 */     GIR_RootConstrainSelectedInstOperands,
     /* 271422 */     // GIR_Coverage, 3939,
     /* 271422 */     GIR_EraseRootFromParent_Done,
     /* 271423 */   // Label 5440: @271423
     /* 271423 */   GIM_Try, /*On fail goto*//*Label 5441*/ GIMT_Encode4(271495), // Rule ID 3940 //
     /* 271428 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 271432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 271436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 271440 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 271444 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 271451 */     // (rotr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (RORVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm, sub_32:{ *:[i32] }))
     /* 271451 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 271454 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 271458 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 271463 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 271466 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 271470 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/20,
     /* 271473 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 271478 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RORVXr),
     /* 271486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271488 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 271490 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 271493 */     GIR_RootConstrainSelectedInstOperands,
     /* 271494 */     // GIR_Coverage, 3940,
     /* 271494 */     GIR_EraseRootFromParent_Done,
     /* 271495 */   // Label 5441: @271495
     /* 271495 */   GIM_Try, /*On fail goto*//*Label 5442*/ GIMT_Encode4(271515), // Rule ID 122 //
     /* 271500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 271504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 271508 */     // (rotr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (RORVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 271508 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::RORVXr),
     /* 271513 */     GIR_RootConstrainSelectedInstOperands,
     /* 271514 */     // GIR_Coverage, 122,
     /* 271514 */     GIR_Done,
     /* 271515 */   // Label 5442: @271515
     /* 271515 */   GIM_Reject,
     /* 271516 */ // Label 5437: @271516
     /* 271516 */ GIM_Reject,
     /* 271517 */ // Label 5430: @271517
     /* 271517 */ GIM_Reject,
     /* 271518 */ // Label 49: @271518
     /* 271518 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(12), /*)*//*default:*//*Label 5451*/ GIMT_Encode4(279294),
     /* 271529 */ /*GILLT_s64*//*Label 5443*/ GIMT_Encode4(271565), GIMT_Encode4(0),
     /* 271537 */ /*GILLT_v2s32*//*Label 5444*/ GIMT_Encode4(271958),
     /* 271541 */ /*GILLT_v2s64*//*Label 5445*/ GIMT_Encode4(273006),
     /* 271545 */ /*GILLT_v4s16*//*Label 5446*/ GIMT_Encode4(274054),
     /* 271549 */ /*GILLT_v4s32*//*Label 5447*/ GIMT_Encode4(275102),
     /* 271553 */ /*GILLT_v8s8*//*Label 5448*/ GIMT_Encode4(276150),
     /* 271557 */ /*GILLT_v8s16*//*Label 5449*/ GIMT_Encode4(277198),
     /* 271561 */ /*GILLT_v16s8*//*Label 5450*/ GIMT_Encode4(278246),
     /* 271565 */ // Label 5443: @271565
     /* 271565 */ GIM_Try, /*On fail goto*//*Label 5452*/ GIMT_Encode4(271957),
     /* 271570 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 271573 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 271576 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 271580 */   GIM_Try, /*On fail goto*//*Label 5453*/ GIMT_Encode4(271616), // Rule ID 5227 //
     /* 271585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 271588 */     // MIs[0] Operand 1
     /* 271588 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 271593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 271597 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 271603 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 271605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 271607 */     // (setcc:{ *:[v1i64] } immAllZerosV:{ *:[v1i64] }, v1i64:{ *:[v1i64] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv1i64rz:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn)
     /* 271607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv1i64rz),
     /* 271610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271612 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 271614 */     GIR_RootConstrainSelectedInstOperands,
     /* 271615 */     // GIR_Coverage, 5227,
     /* 271615 */     GIR_EraseRootFromParent_Done,
     /* 271616 */   // Label 5453: @271616
     /* 271616 */   GIM_Try, /*On fail goto*//*Label 5454*/ GIMT_Encode4(271652), // Rule ID 5228 //
     /* 271621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 271624 */     // MIs[0] Operand 1
     /* 271624 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 271629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 271633 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 271639 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 271641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 271643 */     // (setcc:{ *:[v1i64] } immAllZerosV:{ *:[v1i64] }, v1i64:{ *:[v1i64] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv1i64rz:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn)
     /* 271643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv1i64rz),
     /* 271646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271648 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 271650 */     GIR_RootConstrainSelectedInstOperands,
     /* 271651 */     // GIR_Coverage, 5228,
     /* 271651 */     GIR_EraseRootFromParent_Done,
     /* 271652 */   // Label 5454: @271652
     /* 271652 */   GIM_Try, /*On fail goto*//*Label 5455*/ GIMT_Encode4(271688), // Rule ID 2512 //
     /* 271657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 271660 */     // MIs[0] Operand 1
     /* 271660 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 271665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 271669 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 271675 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 271677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 271679 */     // (setcc:{ *:[v1i64] } v1i64:{ *:[v1i64] }:$Rn, immAllZerosV:{ *:[v1i64] }, SETEQ:{ *:[Other] })  =>  (CMEQv1i64rz:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn)
     /* 271679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv1i64rz),
     /* 271682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271684 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 271686 */     GIR_RootConstrainSelectedInstOperands,
     /* 271687 */     // GIR_Coverage, 2512,
     /* 271687 */     GIR_EraseRootFromParent_Done,
     /* 271688 */   // Label 5455: @271688
     /* 271688 */   GIM_Try, /*On fail goto*//*Label 5456*/ GIMT_Encode4(271724), // Rule ID 5224 //
     /* 271693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 271696 */     // MIs[0] Operand 1
     /* 271696 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 271701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 271705 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 271711 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 271713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 271715 */     // (setcc:{ *:[v1i64] } v1i64:{ *:[v1i64] }:$Rn, immAllZerosV:{ *:[v1i64] }, SETGE:{ *:[Other] })  =>  (CMGEv1i64rz:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn)
     /* 271715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv1i64rz),
     /* 271718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271720 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 271722 */     GIR_RootConstrainSelectedInstOperands,
     /* 271723 */     // GIR_Coverage, 5224,
     /* 271723 */     GIR_EraseRootFromParent_Done,
     /* 271724 */   // Label 5456: @271724
     /* 271724 */   GIM_Try, /*On fail goto*//*Label 5457*/ GIMT_Encode4(271760), // Rule ID 5225 //
     /* 271729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 271732 */     // MIs[0] Operand 1
     /* 271732 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 271737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 271741 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 271747 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /* 271749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 271751 */     // (setcc:{ *:[v1i64] } v1i64:{ *:[v1i64] }:$Rn, immAllOnesV:{ *:[v1i64] }, SETGT:{ *:[Other] })  =>  (CMGEv1i64rz:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn)
     /* 271751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv1i64rz),
     /* 271754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271756 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 271758 */     GIR_RootConstrainSelectedInstOperands,
     /* 271759 */     // GIR_Coverage, 5225,
     /* 271759 */     GIR_EraseRootFromParent_Done,
     /* 271760 */   // Label 5457: @271760
     /* 271760 */   GIM_Try, /*On fail goto*//*Label 5458*/ GIMT_Encode4(271796), // Rule ID 5226 //
     /* 271765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 271768 */     // MIs[0] Operand 1
     /* 271768 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 271773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 271777 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 271783 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 271785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 271787 */     // (setcc:{ *:[v1i64] } v1i64:{ *:[v1i64] }:$Rn, immAllZerosV:{ *:[v1i64] }, SETGT:{ *:[Other] })  =>  (CMGTv1i64rz:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn)
     /* 271787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv1i64rz),
     /* 271790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271792 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 271794 */     GIR_RootConstrainSelectedInstOperands,
     /* 271795 */     // GIR_Coverage, 5226,
     /* 271795 */     GIR_EraseRootFromParent_Done,
     /* 271796 */   // Label 5458: @271796
     /* 271796 */   GIM_Try, /*On fail goto*//*Label 5459*/ GIMT_Encode4(271828), // Rule ID 1608 //
     /* 271801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 271804 */     // MIs[0] Operand 1
     /* 271804 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 271809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 271813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 271817 */     // (setcc:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 271817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv1i64),
     /* 271820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271822 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 271824 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 271826 */     GIR_RootConstrainSelectedInstOperands,
     /* 271827 */     // GIR_Coverage, 1608,
     /* 271827 */     GIR_EraseRootFromParent_Done,
     /* 271828 */   // Label 5459: @271828
     /* 271828 */   GIM_Try, /*On fail goto*//*Label 5460*/ GIMT_Encode4(271860), // Rule ID 1609 //
     /* 271833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 271836 */     // MIs[0] Operand 1
     /* 271836 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 271841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 271845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 271849 */     // (setcc:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 271849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv1i64),
     /* 271852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271854 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 271856 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 271858 */     GIR_RootConstrainSelectedInstOperands,
     /* 271859 */     // GIR_Coverage, 1609,
     /* 271859 */     GIR_EraseRootFromParent_Done,
     /* 271860 */   // Label 5460: @271860
     /* 271860 */   GIM_Try, /*On fail goto*//*Label 5461*/ GIMT_Encode4(271892), // Rule ID 1610 //
     /* 271865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 271868 */     // MIs[0] Operand 1
     /* 271868 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 271873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 271877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 271881 */     // (setcc:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 271881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv1i64),
     /* 271884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271886 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 271888 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 271890 */     GIR_RootConstrainSelectedInstOperands,
     /* 271891 */     // GIR_Coverage, 1610,
     /* 271891 */     GIR_EraseRootFromParent_Done,
     /* 271892 */   // Label 5461: @271892
     /* 271892 */   GIM_Try, /*On fail goto*//*Label 5462*/ GIMT_Encode4(271924), // Rule ID 1611 //
     /* 271897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 271900 */     // MIs[0] Operand 1
     /* 271900 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 271905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 271909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 271913 */     // (setcc:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 271913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv1i64),
     /* 271916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271918 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 271920 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 271922 */     GIR_RootConstrainSelectedInstOperands,
     /* 271923 */     // GIR_Coverage, 1611,
     /* 271923 */     GIR_EraseRootFromParent_Done,
     /* 271924 */   // Label 5462: @271924
     /* 271924 */   GIM_Try, /*On fail goto*//*Label 5463*/ GIMT_Encode4(271956), // Rule ID 1612 //
     /* 271929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 271932 */     // MIs[0] Operand 1
     /* 271932 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 271937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 271941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 271945 */     // (setcc:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 271945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv1i64),
     /* 271948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271950 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 271952 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 271954 */     GIR_RootConstrainSelectedInstOperands,
     /* 271955 */     // GIR_Coverage, 1612,
     /* 271955 */     GIR_EraseRootFromParent_Done,
     /* 271956 */   // Label 5463: @271956
     /* 271956 */   GIM_Reject,
     /* 271957 */ // Label 5452: @271957
     /* 271957 */ GIM_Reject,
     /* 271958 */ // Label 5444: @271958
     /* 271958 */ GIM_Try, /*On fail goto*//*Label 5464*/ GIMT_Encode4(273005),
     /* 271963 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 271966 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 271969 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 271973 */   GIM_Try, /*On fail goto*//*Label 5465*/ GIMT_Encode4(272013), // Rule ID 754 //
     /* 271978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 271981 */     // MIs[0] Operand 1
     /* 271981 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 271986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 271990 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 271996 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 271998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272004 */     // (setcc:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, V64:{ *:[v2i32] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 272004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv2i32rz),
     /* 272007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272009 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 272011 */     GIR_RootConstrainSelectedInstOperands,
     /* 272012 */     // GIR_Coverage, 754,
     /* 272012 */     GIR_EraseRootFromParent_Done,
     /* 272013 */   // Label 5465: @272013
     /* 272013 */   GIM_Try, /*On fail goto*//*Label 5466*/ GIMT_Encode4(272053), // Rule ID 761 //
     /* 272018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 272021 */     // MIs[0] Operand 1
     /* 272021 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 272026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 272030 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 272036 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 272038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272044 */     // (setcc:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, V64:{ *:[v2i32] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 272044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv2i32rz),
     /* 272047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272049 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 272051 */     GIR_RootConstrainSelectedInstOperands,
     /* 272052 */     // GIR_Coverage, 761,
     /* 272052 */     GIR_EraseRootFromParent_Done,
     /* 272053 */   // Label 5466: @272053
     /* 272053 */   GIM_Try, /*On fail goto*//*Label 5467*/ GIMT_Encode4(272090), // Rule ID 5161 //
     /* 272058 */     // MIs[0] Operand 1
     /* 272058 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 272063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 272067 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 272073 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 272075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272081 */     // (setcc:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, V64:{ *:[v2i32] }:$Rn, SETEQ:{ *:[Other] })  =>  (CMEQv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 272081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv2i32rz),
     /* 272084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272086 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 272088 */     GIR_RootConstrainSelectedInstOperands,
     /* 272089 */     // GIR_Coverage, 5161,
     /* 272089 */     GIR_EraseRootFromParent_Done,
     /* 272090 */   // Label 5467: @272090
     /* 272090 */   GIM_Try, /*On fail goto*//*Label 5468*/ GIMT_Encode4(272127), // Rule ID 5168 //
     /* 272095 */     // MIs[0] Operand 1
     /* 272095 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 272100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 272104 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 272110 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 272112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272118 */     // (setcc:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, V64:{ *:[v2i32] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 272118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv2i32rz),
     /* 272121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272123 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 272125 */     GIR_RootConstrainSelectedInstOperands,
     /* 272126 */     // GIR_Coverage, 5168,
     /* 272126 */     GIR_EraseRootFromParent_Done,
     /* 272127 */   // Label 5468: @272127
     /* 272127 */   GIM_Try, /*On fail goto*//*Label 5469*/ GIMT_Encode4(272164), // Rule ID 5175 //
     /* 272132 */     // MIs[0] Operand 1
     /* 272132 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 272137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 272141 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 272147 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 272149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272155 */     // (setcc:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, V64:{ *:[v2i32] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 272155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv2i32rz),
     /* 272158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272160 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 272162 */     GIR_RootConstrainSelectedInstOperands,
     /* 272163 */     // GIR_Coverage, 5175,
     /* 272163 */     GIR_EraseRootFromParent_Done,
     /* 272164 */   // Label 5469: @272164
     /* 272164 */   GIM_Try, /*On fail goto*//*Label 5470*/ GIMT_Encode4(272201), // Rule ID 5182 //
     /* 272169 */     // MIs[0] Operand 1
     /* 272169 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 272174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 272178 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 272184 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 272186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272192 */     // (setcc:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, V64:{ *:[v2i32] }:$Rn, SETLT:{ *:[Other] })  =>  (CMGTv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 272192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv2i32rz),
     /* 272195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272197 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 272199 */     GIR_RootConstrainSelectedInstOperands,
     /* 272200 */     // GIR_Coverage, 5182,
     /* 272200 */     GIR_EraseRootFromParent_Done,
     /* 272201 */   // Label 5470: @272201
     /* 272201 */   GIM_Try, /*On fail goto*//*Label 5471*/ GIMT_Encode4(272238), // Rule ID 5189 //
     /* 272206 */     // MIs[0] Operand 1
     /* 272206 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 272211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 272215 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 272221 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 272223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272229 */     // (setcc:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, V64:{ *:[v2i32] }:$Rn, SETLE:{ *:[Other] })  =>  (CMGEv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 272229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i32rz),
     /* 272232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272234 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 272236 */     GIR_RootConstrainSelectedInstOperands,
     /* 272237 */     // GIR_Coverage, 5189,
     /* 272237 */     GIR_EraseRootFromParent_Done,
     /* 272238 */   // Label 5471: @272238
     /* 272238 */   GIM_Try, /*On fail goto*//*Label 5472*/ GIMT_Encode4(272278), // Rule ID 726 //
     /* 272243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 272246 */     // MIs[0] Operand 1
     /* 272246 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 272251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 272259 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 272265 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 272267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272269 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, immAllZerosV:{ *:[v2i32] }, SETEQ:{ *:[Other] })  =>  (CMEQv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 272269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv2i32rz),
     /* 272272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272274 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 272276 */     GIR_RootConstrainSelectedInstOperands,
     /* 272277 */     // GIR_Coverage, 726,
     /* 272277 */     GIR_EraseRootFromParent_Done,
     /* 272278 */   // Label 5472: @272278
     /* 272278 */   GIM_Try, /*On fail goto*//*Label 5473*/ GIMT_Encode4(272318), // Rule ID 737 //
     /* 272283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 272286 */     // MIs[0] Operand 1
     /* 272286 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 272291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 272299 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 272305 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 272307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272309 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, immAllZerosV:{ *:[v2i32] }, SETGE:{ *:[Other] })  =>  (CMGEv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 272309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i32rz),
     /* 272312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272314 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 272316 */     GIR_RootConstrainSelectedInstOperands,
     /* 272317 */     // GIR_Coverage, 737,
     /* 272317 */     GIR_EraseRootFromParent_Done,
     /* 272318 */   // Label 5473: @272318
     /* 272318 */   GIM_Try, /*On fail goto*//*Label 5474*/ GIMT_Encode4(272358), // Rule ID 738 //
     /* 272323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 272326 */     // MIs[0] Operand 1
     /* 272326 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 272331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 272339 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 272345 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /* 272347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272349 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, immAllOnesV:{ *:[v2i32] }, SETGT:{ *:[Other] })  =>  (CMGEv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 272349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i32rz),
     /* 272352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272354 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 272356 */     GIR_RootConstrainSelectedInstOperands,
     /* 272357 */     // GIR_Coverage, 738,
     /* 272357 */     GIR_EraseRootFromParent_Done,
     /* 272358 */   // Label 5474: @272358
     /* 272358 */   GIM_Try, /*On fail goto*//*Label 5475*/ GIMT_Encode4(272398), // Rule ID 747 //
     /* 272363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 272366 */     // MIs[0] Operand 1
     /* 272366 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 272371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 272379 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 272385 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 272387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272389 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, immAllZerosV:{ *:[v2i32] }, SETGT:{ *:[Other] })  =>  (CMGTv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 272389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv2i32rz),
     /* 272392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272394 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 272396 */     GIR_RootConstrainSelectedInstOperands,
     /* 272397 */     // GIR_Coverage, 747,
     /* 272397 */     GIR_EraseRootFromParent_Done,
     /* 272398 */   // Label 5475: @272398
     /* 272398 */   GIM_Try, /*On fail goto*//*Label 5476*/ GIMT_Encode4(272435), // Rule ID 5126 //
     /* 272403 */     // MIs[0] Operand 1
     /* 272403 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 272408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 272416 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 272422 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 272424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272426 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, immAllZerosV:{ *:[v2i32] }, SETEQ:{ *:[Other] })  =>  (CMEQv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 272426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv2i32rz),
     /* 272429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272431 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 272433 */     GIR_RootConstrainSelectedInstOperands,
     /* 272434 */     // GIR_Coverage, 5126,
     /* 272434 */     GIR_EraseRootFromParent_Done,
     /* 272435 */   // Label 5476: @272435
     /* 272435 */   GIM_Try, /*On fail goto*//*Label 5477*/ GIMT_Encode4(272472), // Rule ID 5133 //
     /* 272440 */     // MIs[0] Operand 1
     /* 272440 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 272445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 272453 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 272459 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 272461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272463 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, immAllZerosV:{ *:[v2i32] }, SETGT:{ *:[Other] })  =>  (CMGTv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 272463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv2i32rz),
     /* 272466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272468 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 272470 */     GIR_RootConstrainSelectedInstOperands,
     /* 272471 */     // GIR_Coverage, 5133,
     /* 272471 */     GIR_EraseRootFromParent_Done,
     /* 272472 */   // Label 5477: @272472
     /* 272472 */   GIM_Try, /*On fail goto*//*Label 5478*/ GIMT_Encode4(272509), // Rule ID 5140 //
     /* 272477 */     // MIs[0] Operand 1
     /* 272477 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 272482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 272490 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 272496 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 272498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272500 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, immAllZerosV:{ *:[v2i32] }, SETGE:{ *:[Other] })  =>  (CMGEv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 272500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i32rz),
     /* 272503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272505 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 272507 */     GIR_RootConstrainSelectedInstOperands,
     /* 272508 */     // GIR_Coverage, 5140,
     /* 272508 */     GIR_EraseRootFromParent_Done,
     /* 272509 */   // Label 5478: @272509
     /* 272509 */   GIM_Try, /*On fail goto*//*Label 5479*/ GIMT_Encode4(272546), // Rule ID 5147 //
     /* 272514 */     // MIs[0] Operand 1
     /* 272514 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 272519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 272527 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 272533 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 272535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272537 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, immAllZerosV:{ *:[v2i32] }, SETLT:{ *:[Other] })  =>  (CMLTv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 272537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv2i32rz),
     /* 272540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272542 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 272544 */     GIR_RootConstrainSelectedInstOperands,
     /* 272545 */     // GIR_Coverage, 5147,
     /* 272545 */     GIR_EraseRootFromParent_Done,
     /* 272546 */   // Label 5479: @272546
     /* 272546 */   GIM_Try, /*On fail goto*//*Label 5480*/ GIMT_Encode4(272583), // Rule ID 5154 //
     /* 272551 */     // MIs[0] Operand 1
     /* 272551 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 272556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 272564 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 272570 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 272572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272574 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, immAllZerosV:{ *:[v2i32] }, SETLE:{ *:[Other] })  =>  (CMLEv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 272574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv2i32rz),
     /* 272577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272579 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 272581 */     GIR_RootConstrainSelectedInstOperands,
     /* 272582 */     // GIR_Coverage, 5154,
     /* 272582 */     GIR_EraseRootFromParent_Done,
     /* 272583 */   // Label 5480: @272583
     /* 272583 */   GIM_Try, /*On fail goto*//*Label 5481*/ GIMT_Encode4(272615), // Rule ID 1125 //
     /* 272588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 272591 */     // MIs[0] Operand 1
     /* 272591 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 272596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272604 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 272604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv2i32),
     /* 272607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272609 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 272611 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 272613 */     GIR_RootConstrainSelectedInstOperands,
     /* 272614 */     // GIR_Coverage, 1125,
     /* 272614 */     GIR_EraseRootFromParent_Done,
     /* 272615 */   // Label 5481: @272615
     /* 272615 */   GIM_Try, /*On fail goto*//*Label 5482*/ GIMT_Encode4(272647), // Rule ID 1132 //
     /* 272620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 272623 */     // MIs[0] Operand 1
     /* 272623 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 272628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272636 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 272636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i32),
     /* 272639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272641 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 272643 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 272645 */     GIR_RootConstrainSelectedInstOperands,
     /* 272646 */     // GIR_Coverage, 1132,
     /* 272646 */     GIR_EraseRootFromParent_Done,
     /* 272647 */   // Label 5482: @272647
     /* 272647 */   GIM_Try, /*On fail goto*//*Label 5483*/ GIMT_Encode4(272679), // Rule ID 1139 //
     /* 272652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 272655 */     // MIs[0] Operand 1
     /* 272655 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 272660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272668 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 272668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv2i32),
     /* 272671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272673 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 272675 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 272677 */     GIR_RootConstrainSelectedInstOperands,
     /* 272678 */     // GIR_Coverage, 1139,
     /* 272678 */     GIR_EraseRootFromParent_Done,
     /* 272679 */   // Label 5483: @272679
     /* 272679 */   GIM_Try, /*On fail goto*//*Label 5484*/ GIMT_Encode4(272711), // Rule ID 1146 //
     /* 272684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 272687 */     // MIs[0] Operand 1
     /* 272687 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 272692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272700 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 272700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv2i32),
     /* 272703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272705 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 272707 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 272709 */     GIR_RootConstrainSelectedInstOperands,
     /* 272710 */     // GIR_Coverage, 1146,
     /* 272710 */     GIR_EraseRootFromParent_Done,
     /* 272711 */   // Label 5484: @272711
     /* 272711 */   GIM_Try, /*On fail goto*//*Label 5485*/ GIMT_Encode4(272743), // Rule ID 1153 //
     /* 272716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 272719 */     // MIs[0] Operand 1
     /* 272719 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 272724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272732 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 272732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv2i32),
     /* 272735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272737 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 272739 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 272741 */     GIR_RootConstrainSelectedInstOperands,
     /* 272742 */     // GIR_Coverage, 1153,
     /* 272742 */     GIR_EraseRootFromParent_Done,
     /* 272743 */   // Label 5485: @272743
     /* 272743 */   GIM_Try, /*On fail goto*//*Label 5486*/ GIMT_Encode4(272772), // Rule ID 5063 //
     /* 272748 */     // MIs[0] Operand 1
     /* 272748 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 272753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272761 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 272761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv2i32),
     /* 272764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272766 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 272768 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 272770 */     GIR_RootConstrainSelectedInstOperands,
     /* 272771 */     // GIR_Coverage, 5063,
     /* 272771 */     GIR_EraseRootFromParent_Done,
     /* 272772 */   // Label 5486: @272772
     /* 272772 */   GIM_Try, /*On fail goto*//*Label 5487*/ GIMT_Encode4(272801), // Rule ID 5070 //
     /* 272777 */     // MIs[0] Operand 1
     /* 272777 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 272782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272790 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 272790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv2i32),
     /* 272793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272795 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 272797 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 272799 */     GIR_RootConstrainSelectedInstOperands,
     /* 272800 */     // GIR_Coverage, 5070,
     /* 272800 */     GIR_EraseRootFromParent_Done,
     /* 272801 */   // Label 5487: @272801
     /* 272801 */   GIM_Try, /*On fail goto*//*Label 5488*/ GIMT_Encode4(272830), // Rule ID 5077 //
     /* 272806 */     // MIs[0] Operand 1
     /* 272806 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 272811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272819 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 272819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i32),
     /* 272822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272824 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 272826 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 272828 */     GIR_RootConstrainSelectedInstOperands,
     /* 272829 */     // GIR_Coverage, 5077,
     /* 272829 */     GIR_EraseRootFromParent_Done,
     /* 272830 */   // Label 5488: @272830
     /* 272830 */   GIM_Try, /*On fail goto*//*Label 5489*/ GIMT_Encode4(272859), // Rule ID 5084 //
     /* 272835 */     // MIs[0] Operand 1
     /* 272835 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 272840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272848 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 272848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv2i32),
     /* 272851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272853 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 272855 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 272857 */     GIR_RootConstrainSelectedInstOperands,
     /* 272858 */     // GIR_Coverage, 5084,
     /* 272858 */     GIR_EraseRootFromParent_Done,
     /* 272859 */   // Label 5489: @272859
     /* 272859 */   GIM_Try, /*On fail goto*//*Label 5490*/ GIMT_Encode4(272888), // Rule ID 5091 //
     /* 272864 */     // MIs[0] Operand 1
     /* 272864 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 272869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272877 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 272877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv2i32),
     /* 272880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272882 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 272884 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 272886 */     GIR_RootConstrainSelectedInstOperands,
     /* 272887 */     // GIR_Coverage, 5091,
     /* 272887 */     GIR_EraseRootFromParent_Done,
     /* 272888 */   // Label 5490: @272888
     /* 272888 */   GIM_Try, /*On fail goto*//*Label 5491*/ GIMT_Encode4(272917), // Rule ID 5098 //
     /* 272893 */     // MIs[0] Operand 1
     /* 272893 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 272898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272906 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETLT:{ *:[Other] })  =>  (CMGTv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rm, V64:{ *:[v2i32] }:$Rn)
     /* 272906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv2i32),
     /* 272909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272911 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 272913 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 272915 */     GIR_RootConstrainSelectedInstOperands,
     /* 272916 */     // GIR_Coverage, 5098,
     /* 272916 */     GIR_EraseRootFromParent_Done,
     /* 272917 */   // Label 5491: @272917
     /* 272917 */   GIM_Try, /*On fail goto*//*Label 5492*/ GIMT_Encode4(272946), // Rule ID 5105 //
     /* 272922 */     // MIs[0] Operand 1
     /* 272922 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 272927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272935 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETLE:{ *:[Other] })  =>  (CMGEv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rm, V64:{ *:[v2i32] }:$Rn)
     /* 272935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i32),
     /* 272938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272940 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 272942 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 272944 */     GIR_RootConstrainSelectedInstOperands,
     /* 272945 */     // GIR_Coverage, 5105,
     /* 272945 */     GIR_EraseRootFromParent_Done,
     /* 272946 */   // Label 5492: @272946
     /* 272946 */   GIM_Try, /*On fail goto*//*Label 5493*/ GIMT_Encode4(272975), // Rule ID 5112 //
     /* 272951 */     // MIs[0] Operand 1
     /* 272951 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 272956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272964 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETULT:{ *:[Other] })  =>  (CMHIv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rm, V64:{ *:[v2i32] }:$Rn)
     /* 272964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv2i32),
     /* 272967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272969 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 272971 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 272973 */     GIR_RootConstrainSelectedInstOperands,
     /* 272974 */     // GIR_Coverage, 5112,
     /* 272974 */     GIR_EraseRootFromParent_Done,
     /* 272975 */   // Label 5493: @272975
     /* 272975 */   GIM_Try, /*On fail goto*//*Label 5494*/ GIMT_Encode4(273004), // Rule ID 5119 //
     /* 272980 */     // MIs[0] Operand 1
     /* 272980 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 272985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272993 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETULE:{ *:[Other] })  =>  (CMHSv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rm, V64:{ *:[v2i32] }:$Rn)
     /* 272993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv2i32),
     /* 272996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272998 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 273000 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273002 */     GIR_RootConstrainSelectedInstOperands,
     /* 273003 */     // GIR_Coverage, 5119,
     /* 273003 */     GIR_EraseRootFromParent_Done,
     /* 273004 */   // Label 5494: @273004
     /* 273004 */   GIM_Reject,
     /* 273005 */ // Label 5464: @273005
     /* 273005 */ GIM_Reject,
     /* 273006 */ // Label 5445: @273006
     /* 273006 */ GIM_Try, /*On fail goto*//*Label 5495*/ GIMT_Encode4(274053),
     /* 273011 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 273014 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 273017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273021 */   GIM_Try, /*On fail goto*//*Label 5496*/ GIMT_Encode4(273061), // Rule ID 756 //
     /* 273026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273029 */     // MIs[0] Operand 1
     /* 273029 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 273034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 273038 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273044 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273052 */     // (setcc:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, V128:{ *:[v2i64] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 273052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv2i64rz),
     /* 273055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273057 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 273059 */     GIR_RootConstrainSelectedInstOperands,
     /* 273060 */     // GIR_Coverage, 756,
     /* 273060 */     GIR_EraseRootFromParent_Done,
     /* 273061 */   // Label 5496: @273061
     /* 273061 */   GIM_Try, /*On fail goto*//*Label 5497*/ GIMT_Encode4(273101), // Rule ID 763 //
     /* 273066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273069 */     // MIs[0] Operand 1
     /* 273069 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 273074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 273078 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273084 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273092 */     // (setcc:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, V128:{ *:[v2i64] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 273092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv2i64rz),
     /* 273095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273097 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 273099 */     GIR_RootConstrainSelectedInstOperands,
     /* 273100 */     // GIR_Coverage, 763,
     /* 273100 */     GIR_EraseRootFromParent_Done,
     /* 273101 */   // Label 5497: @273101
     /* 273101 */   GIM_Try, /*On fail goto*//*Label 5498*/ GIMT_Encode4(273138), // Rule ID 5163 //
     /* 273106 */     // MIs[0] Operand 1
     /* 273106 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 273111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 273115 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273121 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273129 */     // (setcc:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, V128:{ *:[v2i64] }:$Rn, SETEQ:{ *:[Other] })  =>  (CMEQv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 273129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv2i64rz),
     /* 273132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273134 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 273136 */     GIR_RootConstrainSelectedInstOperands,
     /* 273137 */     // GIR_Coverage, 5163,
     /* 273137 */     GIR_EraseRootFromParent_Done,
     /* 273138 */   // Label 5498: @273138
     /* 273138 */   GIM_Try, /*On fail goto*//*Label 5499*/ GIMT_Encode4(273175), // Rule ID 5170 //
     /* 273143 */     // MIs[0] Operand 1
     /* 273143 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 273148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 273152 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273158 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273166 */     // (setcc:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, V128:{ *:[v2i64] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 273166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv2i64rz),
     /* 273169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273171 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 273173 */     GIR_RootConstrainSelectedInstOperands,
     /* 273174 */     // GIR_Coverage, 5170,
     /* 273174 */     GIR_EraseRootFromParent_Done,
     /* 273175 */   // Label 5499: @273175
     /* 273175 */   GIM_Try, /*On fail goto*//*Label 5500*/ GIMT_Encode4(273212), // Rule ID 5177 //
     /* 273180 */     // MIs[0] Operand 1
     /* 273180 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 273185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 273189 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273195 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273203 */     // (setcc:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, V128:{ *:[v2i64] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 273203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv2i64rz),
     /* 273206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273208 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 273210 */     GIR_RootConstrainSelectedInstOperands,
     /* 273211 */     // GIR_Coverage, 5177,
     /* 273211 */     GIR_EraseRootFromParent_Done,
     /* 273212 */   // Label 5500: @273212
     /* 273212 */   GIM_Try, /*On fail goto*//*Label 5501*/ GIMT_Encode4(273249), // Rule ID 5184 //
     /* 273217 */     // MIs[0] Operand 1
     /* 273217 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 273222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 273226 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273232 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273240 */     // (setcc:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, V128:{ *:[v2i64] }:$Rn, SETLT:{ *:[Other] })  =>  (CMGTv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 273240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv2i64rz),
     /* 273243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273245 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 273247 */     GIR_RootConstrainSelectedInstOperands,
     /* 273248 */     // GIR_Coverage, 5184,
     /* 273248 */     GIR_EraseRootFromParent_Done,
     /* 273249 */   // Label 5501: @273249
     /* 273249 */   GIM_Try, /*On fail goto*//*Label 5502*/ GIMT_Encode4(273286), // Rule ID 5191 //
     /* 273254 */     // MIs[0] Operand 1
     /* 273254 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 273259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 273263 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273269 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273277 */     // (setcc:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, V128:{ *:[v2i64] }:$Rn, SETLE:{ *:[Other] })  =>  (CMGEv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 273277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i64rz),
     /* 273280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273282 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 273284 */     GIR_RootConstrainSelectedInstOperands,
     /* 273285 */     // GIR_Coverage, 5191,
     /* 273285 */     GIR_EraseRootFromParent_Done,
     /* 273286 */   // Label 5502: @273286
     /* 273286 */   GIM_Try, /*On fail goto*//*Label 5503*/ GIMT_Encode4(273326), // Rule ID 728 //
     /* 273291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273294 */     // MIs[0] Operand 1
     /* 273294 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 273299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 273307 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273313 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273317 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, immAllZerosV:{ *:[v2i64] }, SETEQ:{ *:[Other] })  =>  (CMEQv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 273317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv2i64rz),
     /* 273320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273322 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273324 */     GIR_RootConstrainSelectedInstOperands,
     /* 273325 */     // GIR_Coverage, 728,
     /* 273325 */     GIR_EraseRootFromParent_Done,
     /* 273326 */   // Label 5503: @273326
     /* 273326 */   GIM_Try, /*On fail goto*//*Label 5504*/ GIMT_Encode4(273366), // Rule ID 741 //
     /* 273331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273334 */     // MIs[0] Operand 1
     /* 273334 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 273339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 273347 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273353 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273357 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, immAllZerosV:{ *:[v2i64] }, SETGE:{ *:[Other] })  =>  (CMGEv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 273357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i64rz),
     /* 273360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273362 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273364 */     GIR_RootConstrainSelectedInstOperands,
     /* 273365 */     // GIR_Coverage, 741,
     /* 273365 */     GIR_EraseRootFromParent_Done,
     /* 273366 */   // Label 5504: @273366
     /* 273366 */   GIM_Try, /*On fail goto*//*Label 5505*/ GIMT_Encode4(273406), // Rule ID 742 //
     /* 273371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273374 */     // MIs[0] Operand 1
     /* 273374 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 273379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 273387 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273393 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /* 273395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273397 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, immAllOnesV:{ *:[v2i64] }, SETGT:{ *:[Other] })  =>  (CMGEv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 273397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i64rz),
     /* 273400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273402 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273404 */     GIR_RootConstrainSelectedInstOperands,
     /* 273405 */     // GIR_Coverage, 742,
     /* 273405 */     GIR_EraseRootFromParent_Done,
     /* 273406 */   // Label 5505: @273406
     /* 273406 */   GIM_Try, /*On fail goto*//*Label 5506*/ GIMT_Encode4(273446), // Rule ID 749 //
     /* 273411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273414 */     // MIs[0] Operand 1
     /* 273414 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 273419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 273427 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273433 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273437 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, immAllZerosV:{ *:[v2i64] }, SETGT:{ *:[Other] })  =>  (CMGTv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 273437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv2i64rz),
     /* 273440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273442 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273444 */     GIR_RootConstrainSelectedInstOperands,
     /* 273445 */     // GIR_Coverage, 749,
     /* 273445 */     GIR_EraseRootFromParent_Done,
     /* 273446 */   // Label 5506: @273446
     /* 273446 */   GIM_Try, /*On fail goto*//*Label 5507*/ GIMT_Encode4(273483), // Rule ID 5128 //
     /* 273451 */     // MIs[0] Operand 1
     /* 273451 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 273456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 273464 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273470 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273472 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273474 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, immAllZerosV:{ *:[v2i64] }, SETEQ:{ *:[Other] })  =>  (CMEQv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 273474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv2i64rz),
     /* 273477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273479 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273481 */     GIR_RootConstrainSelectedInstOperands,
     /* 273482 */     // GIR_Coverage, 5128,
     /* 273482 */     GIR_EraseRootFromParent_Done,
     /* 273483 */   // Label 5507: @273483
     /* 273483 */   GIM_Try, /*On fail goto*//*Label 5508*/ GIMT_Encode4(273520), // Rule ID 5135 //
     /* 273488 */     // MIs[0] Operand 1
     /* 273488 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 273493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 273501 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273507 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273511 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, immAllZerosV:{ *:[v2i64] }, SETGT:{ *:[Other] })  =>  (CMGTv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 273511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv2i64rz),
     /* 273514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273516 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273518 */     GIR_RootConstrainSelectedInstOperands,
     /* 273519 */     // GIR_Coverage, 5135,
     /* 273519 */     GIR_EraseRootFromParent_Done,
     /* 273520 */   // Label 5508: @273520
     /* 273520 */   GIM_Try, /*On fail goto*//*Label 5509*/ GIMT_Encode4(273557), // Rule ID 5142 //
     /* 273525 */     // MIs[0] Operand 1
     /* 273525 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 273530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 273538 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273544 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273546 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273548 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, immAllZerosV:{ *:[v2i64] }, SETGE:{ *:[Other] })  =>  (CMGEv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 273548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i64rz),
     /* 273551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273553 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273555 */     GIR_RootConstrainSelectedInstOperands,
     /* 273556 */     // GIR_Coverage, 5142,
     /* 273556 */     GIR_EraseRootFromParent_Done,
     /* 273557 */   // Label 5509: @273557
     /* 273557 */   GIM_Try, /*On fail goto*//*Label 5510*/ GIMT_Encode4(273594), // Rule ID 5149 //
     /* 273562 */     // MIs[0] Operand 1
     /* 273562 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 273567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 273575 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273581 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273585 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, immAllZerosV:{ *:[v2i64] }, SETLT:{ *:[Other] })  =>  (CMLTv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 273585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv2i64rz),
     /* 273588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273590 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273592 */     GIR_RootConstrainSelectedInstOperands,
     /* 273593 */     // GIR_Coverage, 5149,
     /* 273593 */     GIR_EraseRootFromParent_Done,
     /* 273594 */   // Label 5510: @273594
     /* 273594 */   GIM_Try, /*On fail goto*//*Label 5511*/ GIMT_Encode4(273631), // Rule ID 5156 //
     /* 273599 */     // MIs[0] Operand 1
     /* 273599 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 273604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 273612 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273618 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273620 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273622 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, immAllZerosV:{ *:[v2i64] }, SETLE:{ *:[Other] })  =>  (CMLEv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 273622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv2i64rz),
     /* 273625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273627 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273629 */     GIR_RootConstrainSelectedInstOperands,
     /* 273630 */     // GIR_Coverage, 5156,
     /* 273630 */     GIR_EraseRootFromParent_Done,
     /* 273631 */   // Label 5511: @273631
     /* 273631 */   GIM_Try, /*On fail goto*//*Label 5512*/ GIMT_Encode4(273663), // Rule ID 1127 //
     /* 273636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273639 */     // MIs[0] Operand 1
     /* 273639 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 273644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273652 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 273652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv2i64),
     /* 273655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273657 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273659 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 273661 */     GIR_RootConstrainSelectedInstOperands,
     /* 273662 */     // GIR_Coverage, 1127,
     /* 273662 */     GIR_EraseRootFromParent_Done,
     /* 273663 */   // Label 5512: @273663
     /* 273663 */   GIM_Try, /*On fail goto*//*Label 5513*/ GIMT_Encode4(273695), // Rule ID 1134 //
     /* 273668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273671 */     // MIs[0] Operand 1
     /* 273671 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 273676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273684 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 273684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i64),
     /* 273687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273689 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273691 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 273693 */     GIR_RootConstrainSelectedInstOperands,
     /* 273694 */     // GIR_Coverage, 1134,
     /* 273694 */     GIR_EraseRootFromParent_Done,
     /* 273695 */   // Label 5513: @273695
     /* 273695 */   GIM_Try, /*On fail goto*//*Label 5514*/ GIMT_Encode4(273727), // Rule ID 1141 //
     /* 273700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273703 */     // MIs[0] Operand 1
     /* 273703 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 273708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273716 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 273716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv2i64),
     /* 273719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273721 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273723 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 273725 */     GIR_RootConstrainSelectedInstOperands,
     /* 273726 */     // GIR_Coverage, 1141,
     /* 273726 */     GIR_EraseRootFromParent_Done,
     /* 273727 */   // Label 5514: @273727
     /* 273727 */   GIM_Try, /*On fail goto*//*Label 5515*/ GIMT_Encode4(273759), // Rule ID 1148 //
     /* 273732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273735 */     // MIs[0] Operand 1
     /* 273735 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 273740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273748 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 273748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv2i64),
     /* 273751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273753 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273755 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 273757 */     GIR_RootConstrainSelectedInstOperands,
     /* 273758 */     // GIR_Coverage, 1148,
     /* 273758 */     GIR_EraseRootFromParent_Done,
     /* 273759 */   // Label 5515: @273759
     /* 273759 */   GIM_Try, /*On fail goto*//*Label 5516*/ GIMT_Encode4(273791), // Rule ID 1155 //
     /* 273764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273767 */     // MIs[0] Operand 1
     /* 273767 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 273772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273780 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 273780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv2i64),
     /* 273783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273785 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273787 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 273789 */     GIR_RootConstrainSelectedInstOperands,
     /* 273790 */     // GIR_Coverage, 1155,
     /* 273790 */     GIR_EraseRootFromParent_Done,
     /* 273791 */   // Label 5516: @273791
     /* 273791 */   GIM_Try, /*On fail goto*//*Label 5517*/ GIMT_Encode4(273820), // Rule ID 5065 //
     /* 273796 */     // MIs[0] Operand 1
     /* 273796 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 273801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273809 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 273809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv2i64),
     /* 273812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273814 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273816 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 273818 */     GIR_RootConstrainSelectedInstOperands,
     /* 273819 */     // GIR_Coverage, 5065,
     /* 273819 */     GIR_EraseRootFromParent_Done,
     /* 273820 */   // Label 5517: @273820
     /* 273820 */   GIM_Try, /*On fail goto*//*Label 5518*/ GIMT_Encode4(273849), // Rule ID 5072 //
     /* 273825 */     // MIs[0] Operand 1
     /* 273825 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 273830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273838 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 273838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv2i64),
     /* 273841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273843 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273845 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 273847 */     GIR_RootConstrainSelectedInstOperands,
     /* 273848 */     // GIR_Coverage, 5072,
     /* 273848 */     GIR_EraseRootFromParent_Done,
     /* 273849 */   // Label 5518: @273849
     /* 273849 */   GIM_Try, /*On fail goto*//*Label 5519*/ GIMT_Encode4(273878), // Rule ID 5079 //
     /* 273854 */     // MIs[0] Operand 1
     /* 273854 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 273859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273867 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 273867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i64),
     /* 273870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273872 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273874 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 273876 */     GIR_RootConstrainSelectedInstOperands,
     /* 273877 */     // GIR_Coverage, 5079,
     /* 273877 */     GIR_EraseRootFromParent_Done,
     /* 273878 */   // Label 5519: @273878
     /* 273878 */   GIM_Try, /*On fail goto*//*Label 5520*/ GIMT_Encode4(273907), // Rule ID 5086 //
     /* 273883 */     // MIs[0] Operand 1
     /* 273883 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 273888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273896 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 273896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv2i64),
     /* 273899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273901 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273903 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 273905 */     GIR_RootConstrainSelectedInstOperands,
     /* 273906 */     // GIR_Coverage, 5086,
     /* 273906 */     GIR_EraseRootFromParent_Done,
     /* 273907 */   // Label 5520: @273907
     /* 273907 */   GIM_Try, /*On fail goto*//*Label 5521*/ GIMT_Encode4(273936), // Rule ID 5093 //
     /* 273912 */     // MIs[0] Operand 1
     /* 273912 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 273917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273925 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 273925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv2i64),
     /* 273928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273930 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273932 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 273934 */     GIR_RootConstrainSelectedInstOperands,
     /* 273935 */     // GIR_Coverage, 5093,
     /* 273935 */     GIR_EraseRootFromParent_Done,
     /* 273936 */   // Label 5521: @273936
     /* 273936 */   GIM_Try, /*On fail goto*//*Label 5522*/ GIMT_Encode4(273965), // Rule ID 5100 //
     /* 273941 */     // MIs[0] Operand 1
     /* 273941 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 273946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273954 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETLT:{ *:[Other] })  =>  (CMGTv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rm, V128:{ *:[v2i64] }:$Rn)
     /* 273954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv2i64),
     /* 273957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273959 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 273961 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273963 */     GIR_RootConstrainSelectedInstOperands,
     /* 273964 */     // GIR_Coverage, 5100,
     /* 273964 */     GIR_EraseRootFromParent_Done,
     /* 273965 */   // Label 5522: @273965
     /* 273965 */   GIM_Try, /*On fail goto*//*Label 5523*/ GIMT_Encode4(273994), // Rule ID 5107 //
     /* 273970 */     // MIs[0] Operand 1
     /* 273970 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 273975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 273983 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETLE:{ *:[Other] })  =>  (CMGEv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rm, V128:{ *:[v2i64] }:$Rn)
     /* 273983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i64),
     /* 273986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273988 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 273990 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273992 */     GIR_RootConstrainSelectedInstOperands,
     /* 273993 */     // GIR_Coverage, 5107,
     /* 273993 */     GIR_EraseRootFromParent_Done,
     /* 273994 */   // Label 5523: @273994
     /* 273994 */   GIM_Try, /*On fail goto*//*Label 5524*/ GIMT_Encode4(274023), // Rule ID 5114 //
     /* 273999 */     // MIs[0] Operand 1
     /* 273999 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 274004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274012 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETULT:{ *:[Other] })  =>  (CMHIv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rm, V128:{ *:[v2i64] }:$Rn)
     /* 274012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv2i64),
     /* 274015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274017 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 274019 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274021 */     GIR_RootConstrainSelectedInstOperands,
     /* 274022 */     // GIR_Coverage, 5114,
     /* 274022 */     GIR_EraseRootFromParent_Done,
     /* 274023 */   // Label 5524: @274023
     /* 274023 */   GIM_Try, /*On fail goto*//*Label 5525*/ GIMT_Encode4(274052), // Rule ID 5121 //
     /* 274028 */     // MIs[0] Operand 1
     /* 274028 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 274033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274041 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETULE:{ *:[Other] })  =>  (CMHSv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rm, V128:{ *:[v2i64] }:$Rn)
     /* 274041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv2i64),
     /* 274044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274046 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 274048 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274050 */     GIR_RootConstrainSelectedInstOperands,
     /* 274051 */     // GIR_Coverage, 5121,
     /* 274051 */     GIR_EraseRootFromParent_Done,
     /* 274052 */   // Label 5525: @274052
     /* 274052 */   GIM_Reject,
     /* 274053 */ // Label 5495: @274053
     /* 274053 */ GIM_Reject,
     /* 274054 */ // Label 5446: @274054
     /* 274054 */ GIM_Try, /*On fail goto*//*Label 5526*/ GIMT_Encode4(275101),
     /* 274059 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 274062 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 274065 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274069 */   GIM_Try, /*On fail goto*//*Label 5527*/ GIMT_Encode4(274109), // Rule ID 752 //
     /* 274074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 274077 */     // MIs[0] Operand 1
     /* 274077 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 274082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 274086 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274092 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274100 */     // (setcc:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, V64:{ *:[v4i16] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 274100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv4i16rz),
     /* 274103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274105 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 274107 */     GIR_RootConstrainSelectedInstOperands,
     /* 274108 */     // GIR_Coverage, 752,
     /* 274108 */     GIR_EraseRootFromParent_Done,
     /* 274109 */   // Label 5527: @274109
     /* 274109 */   GIM_Try, /*On fail goto*//*Label 5528*/ GIMT_Encode4(274149), // Rule ID 759 //
     /* 274114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 274117 */     // MIs[0] Operand 1
     /* 274117 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 274122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 274126 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274132 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274138 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274140 */     // (setcc:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, V64:{ *:[v4i16] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 274140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv4i16rz),
     /* 274143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274145 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 274147 */     GIR_RootConstrainSelectedInstOperands,
     /* 274148 */     // GIR_Coverage, 759,
     /* 274148 */     GIR_EraseRootFromParent_Done,
     /* 274149 */   // Label 5528: @274149
     /* 274149 */   GIM_Try, /*On fail goto*//*Label 5529*/ GIMT_Encode4(274186), // Rule ID 5159 //
     /* 274154 */     // MIs[0] Operand 1
     /* 274154 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 274159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 274163 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274169 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274177 */     // (setcc:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, V64:{ *:[v4i16] }:$Rn, SETEQ:{ *:[Other] })  =>  (CMEQv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 274177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv4i16rz),
     /* 274180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274182 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 274184 */     GIR_RootConstrainSelectedInstOperands,
     /* 274185 */     // GIR_Coverage, 5159,
     /* 274185 */     GIR_EraseRootFromParent_Done,
     /* 274186 */   // Label 5529: @274186
     /* 274186 */   GIM_Try, /*On fail goto*//*Label 5530*/ GIMT_Encode4(274223), // Rule ID 5166 //
     /* 274191 */     // MIs[0] Operand 1
     /* 274191 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 274196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 274200 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274206 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274212 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274214 */     // (setcc:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, V64:{ *:[v4i16] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 274214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv4i16rz),
     /* 274217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274219 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 274221 */     GIR_RootConstrainSelectedInstOperands,
     /* 274222 */     // GIR_Coverage, 5166,
     /* 274222 */     GIR_EraseRootFromParent_Done,
     /* 274223 */   // Label 5530: @274223
     /* 274223 */   GIM_Try, /*On fail goto*//*Label 5531*/ GIMT_Encode4(274260), // Rule ID 5173 //
     /* 274228 */     // MIs[0] Operand 1
     /* 274228 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 274233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 274237 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274243 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274251 */     // (setcc:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, V64:{ *:[v4i16] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 274251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv4i16rz),
     /* 274254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274256 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 274258 */     GIR_RootConstrainSelectedInstOperands,
     /* 274259 */     // GIR_Coverage, 5173,
     /* 274259 */     GIR_EraseRootFromParent_Done,
     /* 274260 */   // Label 5531: @274260
     /* 274260 */   GIM_Try, /*On fail goto*//*Label 5532*/ GIMT_Encode4(274297), // Rule ID 5180 //
     /* 274265 */     // MIs[0] Operand 1
     /* 274265 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 274270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 274274 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274280 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274286 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274288 */     // (setcc:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, V64:{ *:[v4i16] }:$Rn, SETLT:{ *:[Other] })  =>  (CMGTv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 274288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv4i16rz),
     /* 274291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274293 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 274295 */     GIR_RootConstrainSelectedInstOperands,
     /* 274296 */     // GIR_Coverage, 5180,
     /* 274296 */     GIR_EraseRootFromParent_Done,
     /* 274297 */   // Label 5532: @274297
     /* 274297 */   GIM_Try, /*On fail goto*//*Label 5533*/ GIMT_Encode4(274334), // Rule ID 5187 //
     /* 274302 */     // MIs[0] Operand 1
     /* 274302 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 274307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 274311 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274317 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274325 */     // (setcc:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, V64:{ *:[v4i16] }:$Rn, SETLE:{ *:[Other] })  =>  (CMGEv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 274325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i16rz),
     /* 274328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274330 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 274332 */     GIR_RootConstrainSelectedInstOperands,
     /* 274333 */     // GIR_Coverage, 5187,
     /* 274333 */     GIR_EraseRootFromParent_Done,
     /* 274334 */   // Label 5533: @274334
     /* 274334 */   GIM_Try, /*On fail goto*//*Label 5534*/ GIMT_Encode4(274374), // Rule ID 724 //
     /* 274339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 274342 */     // MIs[0] Operand 1
     /* 274342 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 274347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 274355 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274361 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274365 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, immAllZerosV:{ *:[v4i16] }, SETEQ:{ *:[Other] })  =>  (CMEQv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 274365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv4i16rz),
     /* 274368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274370 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274372 */     GIR_RootConstrainSelectedInstOperands,
     /* 274373 */     // GIR_Coverage, 724,
     /* 274373 */     GIR_EraseRootFromParent_Done,
     /* 274374 */   // Label 5534: @274374
     /* 274374 */   GIM_Try, /*On fail goto*//*Label 5535*/ GIMT_Encode4(274414), // Rule ID 733 //
     /* 274379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 274382 */     // MIs[0] Operand 1
     /* 274382 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 274387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 274395 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274401 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274405 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, immAllZerosV:{ *:[v4i16] }, SETGE:{ *:[Other] })  =>  (CMGEv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 274405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i16rz),
     /* 274408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274410 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274412 */     GIR_RootConstrainSelectedInstOperands,
     /* 274413 */     // GIR_Coverage, 733,
     /* 274413 */     GIR_EraseRootFromParent_Done,
     /* 274414 */   // Label 5535: @274414
     /* 274414 */   GIM_Try, /*On fail goto*//*Label 5536*/ GIMT_Encode4(274454), // Rule ID 734 //
     /* 274419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 274422 */     // MIs[0] Operand 1
     /* 274422 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 274427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 274435 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274441 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /* 274443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274445 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, immAllOnesV:{ *:[v4i16] }, SETGT:{ *:[Other] })  =>  (CMGEv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 274445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i16rz),
     /* 274448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274450 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274452 */     GIR_RootConstrainSelectedInstOperands,
     /* 274453 */     // GIR_Coverage, 734,
     /* 274453 */     GIR_EraseRootFromParent_Done,
     /* 274454 */   // Label 5536: @274454
     /* 274454 */   GIM_Try, /*On fail goto*//*Label 5537*/ GIMT_Encode4(274494), // Rule ID 745 //
     /* 274459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 274462 */     // MIs[0] Operand 1
     /* 274462 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 274467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 274475 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274481 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274485 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, immAllZerosV:{ *:[v4i16] }, SETGT:{ *:[Other] })  =>  (CMGTv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 274485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv4i16rz),
     /* 274488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274490 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274492 */     GIR_RootConstrainSelectedInstOperands,
     /* 274493 */     // GIR_Coverage, 745,
     /* 274493 */     GIR_EraseRootFromParent_Done,
     /* 274494 */   // Label 5537: @274494
     /* 274494 */   GIM_Try, /*On fail goto*//*Label 5538*/ GIMT_Encode4(274531), // Rule ID 5124 //
     /* 274499 */     // MIs[0] Operand 1
     /* 274499 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 274504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 274512 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274518 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274522 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, immAllZerosV:{ *:[v4i16] }, SETEQ:{ *:[Other] })  =>  (CMEQv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 274522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv4i16rz),
     /* 274525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274527 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274529 */     GIR_RootConstrainSelectedInstOperands,
     /* 274530 */     // GIR_Coverage, 5124,
     /* 274530 */     GIR_EraseRootFromParent_Done,
     /* 274531 */   // Label 5538: @274531
     /* 274531 */   GIM_Try, /*On fail goto*//*Label 5539*/ GIMT_Encode4(274568), // Rule ID 5131 //
     /* 274536 */     // MIs[0] Operand 1
     /* 274536 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 274541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 274549 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274555 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274559 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, immAllZerosV:{ *:[v4i16] }, SETGT:{ *:[Other] })  =>  (CMGTv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 274559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv4i16rz),
     /* 274562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274564 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274566 */     GIR_RootConstrainSelectedInstOperands,
     /* 274567 */     // GIR_Coverage, 5131,
     /* 274567 */     GIR_EraseRootFromParent_Done,
     /* 274568 */   // Label 5539: @274568
     /* 274568 */   GIM_Try, /*On fail goto*//*Label 5540*/ GIMT_Encode4(274605), // Rule ID 5138 //
     /* 274573 */     // MIs[0] Operand 1
     /* 274573 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 274578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 274586 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274592 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274596 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, immAllZerosV:{ *:[v4i16] }, SETGE:{ *:[Other] })  =>  (CMGEv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 274596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i16rz),
     /* 274599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274601 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274603 */     GIR_RootConstrainSelectedInstOperands,
     /* 274604 */     // GIR_Coverage, 5138,
     /* 274604 */     GIR_EraseRootFromParent_Done,
     /* 274605 */   // Label 5540: @274605
     /* 274605 */   GIM_Try, /*On fail goto*//*Label 5541*/ GIMT_Encode4(274642), // Rule ID 5145 //
     /* 274610 */     // MIs[0] Operand 1
     /* 274610 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 274615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 274623 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274629 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274633 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, immAllZerosV:{ *:[v4i16] }, SETLT:{ *:[Other] })  =>  (CMLTv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 274633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv4i16rz),
     /* 274636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274638 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274640 */     GIR_RootConstrainSelectedInstOperands,
     /* 274641 */     // GIR_Coverage, 5145,
     /* 274641 */     GIR_EraseRootFromParent_Done,
     /* 274642 */   // Label 5541: @274642
     /* 274642 */   GIM_Try, /*On fail goto*//*Label 5542*/ GIMT_Encode4(274679), // Rule ID 5152 //
     /* 274647 */     // MIs[0] Operand 1
     /* 274647 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 274652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 274660 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274666 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274670 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, immAllZerosV:{ *:[v4i16] }, SETLE:{ *:[Other] })  =>  (CMLEv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 274670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv4i16rz),
     /* 274673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274675 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274677 */     GIR_RootConstrainSelectedInstOperands,
     /* 274678 */     // GIR_Coverage, 5152,
     /* 274678 */     GIR_EraseRootFromParent_Done,
     /* 274679 */   // Label 5542: @274679
     /* 274679 */   GIM_Try, /*On fail goto*//*Label 5543*/ GIMT_Encode4(274711), // Rule ID 1123 //
     /* 274684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 274687 */     // MIs[0] Operand 1
     /* 274687 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 274692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274700 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 274700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv4i16),
     /* 274703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274705 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274707 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 274709 */     GIR_RootConstrainSelectedInstOperands,
     /* 274710 */     // GIR_Coverage, 1123,
     /* 274710 */     GIR_EraseRootFromParent_Done,
     /* 274711 */   // Label 5543: @274711
     /* 274711 */   GIM_Try, /*On fail goto*//*Label 5544*/ GIMT_Encode4(274743), // Rule ID 1130 //
     /* 274716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 274719 */     // MIs[0] Operand 1
     /* 274719 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 274724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274732 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 274732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i16),
     /* 274735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274737 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274739 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 274741 */     GIR_RootConstrainSelectedInstOperands,
     /* 274742 */     // GIR_Coverage, 1130,
     /* 274742 */     GIR_EraseRootFromParent_Done,
     /* 274743 */   // Label 5544: @274743
     /* 274743 */   GIM_Try, /*On fail goto*//*Label 5545*/ GIMT_Encode4(274775), // Rule ID 1137 //
     /* 274748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 274751 */     // MIs[0] Operand 1
     /* 274751 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 274756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274764 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 274764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv4i16),
     /* 274767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274769 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274771 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 274773 */     GIR_RootConstrainSelectedInstOperands,
     /* 274774 */     // GIR_Coverage, 1137,
     /* 274774 */     GIR_EraseRootFromParent_Done,
     /* 274775 */   // Label 5545: @274775
     /* 274775 */   GIM_Try, /*On fail goto*//*Label 5546*/ GIMT_Encode4(274807), // Rule ID 1144 //
     /* 274780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 274783 */     // MIs[0] Operand 1
     /* 274783 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 274788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274796 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 274796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv4i16),
     /* 274799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274801 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274803 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 274805 */     GIR_RootConstrainSelectedInstOperands,
     /* 274806 */     // GIR_Coverage, 1144,
     /* 274806 */     GIR_EraseRootFromParent_Done,
     /* 274807 */   // Label 5546: @274807
     /* 274807 */   GIM_Try, /*On fail goto*//*Label 5547*/ GIMT_Encode4(274839), // Rule ID 1151 //
     /* 274812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 274815 */     // MIs[0] Operand 1
     /* 274815 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 274820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274828 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 274828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv4i16),
     /* 274831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274833 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274835 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 274837 */     GIR_RootConstrainSelectedInstOperands,
     /* 274838 */     // GIR_Coverage, 1151,
     /* 274838 */     GIR_EraseRootFromParent_Done,
     /* 274839 */   // Label 5547: @274839
     /* 274839 */   GIM_Try, /*On fail goto*//*Label 5548*/ GIMT_Encode4(274868), // Rule ID 5061 //
     /* 274844 */     // MIs[0] Operand 1
     /* 274844 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 274849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274857 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 274857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv4i16),
     /* 274860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274862 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274864 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 274866 */     GIR_RootConstrainSelectedInstOperands,
     /* 274867 */     // GIR_Coverage, 5061,
     /* 274867 */     GIR_EraseRootFromParent_Done,
     /* 274868 */   // Label 5548: @274868
     /* 274868 */   GIM_Try, /*On fail goto*//*Label 5549*/ GIMT_Encode4(274897), // Rule ID 5068 //
     /* 274873 */     // MIs[0] Operand 1
     /* 274873 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 274878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274886 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 274886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv4i16),
     /* 274889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274891 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274893 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 274895 */     GIR_RootConstrainSelectedInstOperands,
     /* 274896 */     // GIR_Coverage, 5068,
     /* 274896 */     GIR_EraseRootFromParent_Done,
     /* 274897 */   // Label 5549: @274897
     /* 274897 */   GIM_Try, /*On fail goto*//*Label 5550*/ GIMT_Encode4(274926), // Rule ID 5075 //
     /* 274902 */     // MIs[0] Operand 1
     /* 274902 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 274907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274915 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 274915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i16),
     /* 274918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274920 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274922 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 274924 */     GIR_RootConstrainSelectedInstOperands,
     /* 274925 */     // GIR_Coverage, 5075,
     /* 274925 */     GIR_EraseRootFromParent_Done,
     /* 274926 */   // Label 5550: @274926
     /* 274926 */   GIM_Try, /*On fail goto*//*Label 5551*/ GIMT_Encode4(274955), // Rule ID 5082 //
     /* 274931 */     // MIs[0] Operand 1
     /* 274931 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 274936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274944 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 274944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv4i16),
     /* 274947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274949 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274951 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 274953 */     GIR_RootConstrainSelectedInstOperands,
     /* 274954 */     // GIR_Coverage, 5082,
     /* 274954 */     GIR_EraseRootFromParent_Done,
     /* 274955 */   // Label 5551: @274955
     /* 274955 */   GIM_Try, /*On fail goto*//*Label 5552*/ GIMT_Encode4(274984), // Rule ID 5089 //
     /* 274960 */     // MIs[0] Operand 1
     /* 274960 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 274965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274973 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 274973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv4i16),
     /* 274976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274978 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274980 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 274982 */     GIR_RootConstrainSelectedInstOperands,
     /* 274983 */     // GIR_Coverage, 5089,
     /* 274983 */     GIR_EraseRootFromParent_Done,
     /* 274984 */   // Label 5552: @274984
     /* 274984 */   GIM_Try, /*On fail goto*//*Label 5553*/ GIMT_Encode4(275013), // Rule ID 5096 //
     /* 274989 */     // MIs[0] Operand 1
     /* 274989 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 274994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275002 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETLT:{ *:[Other] })  =>  (CMGTv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rm, V64:{ *:[v4i16] }:$Rn)
     /* 275002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv4i16),
     /* 275005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275007 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 275009 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275011 */     GIR_RootConstrainSelectedInstOperands,
     /* 275012 */     // GIR_Coverage, 5096,
     /* 275012 */     GIR_EraseRootFromParent_Done,
     /* 275013 */   // Label 5553: @275013
     /* 275013 */   GIM_Try, /*On fail goto*//*Label 5554*/ GIMT_Encode4(275042), // Rule ID 5103 //
     /* 275018 */     // MIs[0] Operand 1
     /* 275018 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 275023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275031 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETLE:{ *:[Other] })  =>  (CMGEv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rm, V64:{ *:[v4i16] }:$Rn)
     /* 275031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i16),
     /* 275034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275036 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 275038 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275040 */     GIR_RootConstrainSelectedInstOperands,
     /* 275041 */     // GIR_Coverage, 5103,
     /* 275041 */     GIR_EraseRootFromParent_Done,
     /* 275042 */   // Label 5554: @275042
     /* 275042 */   GIM_Try, /*On fail goto*//*Label 5555*/ GIMT_Encode4(275071), // Rule ID 5110 //
     /* 275047 */     // MIs[0] Operand 1
     /* 275047 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 275052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275060 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETULT:{ *:[Other] })  =>  (CMHIv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rm, V64:{ *:[v4i16] }:$Rn)
     /* 275060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv4i16),
     /* 275063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275065 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 275067 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275069 */     GIR_RootConstrainSelectedInstOperands,
     /* 275070 */     // GIR_Coverage, 5110,
     /* 275070 */     GIR_EraseRootFromParent_Done,
     /* 275071 */   // Label 5555: @275071
     /* 275071 */   GIM_Try, /*On fail goto*//*Label 5556*/ GIMT_Encode4(275100), // Rule ID 5117 //
     /* 275076 */     // MIs[0] Operand 1
     /* 275076 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 275081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275089 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETULE:{ *:[Other] })  =>  (CMHSv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rm, V64:{ *:[v4i16] }:$Rn)
     /* 275089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv4i16),
     /* 275092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275094 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 275096 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275098 */     GIR_RootConstrainSelectedInstOperands,
     /* 275099 */     // GIR_Coverage, 5117,
     /* 275099 */     GIR_EraseRootFromParent_Done,
     /* 275100 */   // Label 5556: @275100
     /* 275100 */   GIM_Reject,
     /* 275101 */ // Label 5526: @275101
     /* 275101 */ GIM_Reject,
     /* 275102 */ // Label 5447: @275102
     /* 275102 */ GIM_Try, /*On fail goto*//*Label 5557*/ GIMT_Encode4(276149),
     /* 275107 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 275110 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 275113 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275117 */   GIM_Try, /*On fail goto*//*Label 5558*/ GIMT_Encode4(275157), // Rule ID 755 //
     /* 275122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 275125 */     // MIs[0] Operand 1
     /* 275125 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 275130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 275134 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275140 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 275142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275146 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275148 */     // (setcc:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, V128:{ *:[v4i32] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 275148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv4i32rz),
     /* 275151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275153 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 275155 */     GIR_RootConstrainSelectedInstOperands,
     /* 275156 */     // GIR_Coverage, 755,
     /* 275156 */     GIR_EraseRootFromParent_Done,
     /* 275157 */   // Label 5558: @275157
     /* 275157 */   GIM_Try, /*On fail goto*//*Label 5559*/ GIMT_Encode4(275197), // Rule ID 762 //
     /* 275162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 275165 */     // MIs[0] Operand 1
     /* 275165 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 275170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 275174 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275180 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 275182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275188 */     // (setcc:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, V128:{ *:[v4i32] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 275188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv4i32rz),
     /* 275191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275193 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 275195 */     GIR_RootConstrainSelectedInstOperands,
     /* 275196 */     // GIR_Coverage, 762,
     /* 275196 */     GIR_EraseRootFromParent_Done,
     /* 275197 */   // Label 5559: @275197
     /* 275197 */   GIM_Try, /*On fail goto*//*Label 5560*/ GIMT_Encode4(275234), // Rule ID 5162 //
     /* 275202 */     // MIs[0] Operand 1
     /* 275202 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 275207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 275211 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275217 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 275219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275225 */     // (setcc:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, V128:{ *:[v4i32] }:$Rn, SETEQ:{ *:[Other] })  =>  (CMEQv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 275225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv4i32rz),
     /* 275228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275230 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 275232 */     GIR_RootConstrainSelectedInstOperands,
     /* 275233 */     // GIR_Coverage, 5162,
     /* 275233 */     GIR_EraseRootFromParent_Done,
     /* 275234 */   // Label 5560: @275234
     /* 275234 */   GIM_Try, /*On fail goto*//*Label 5561*/ GIMT_Encode4(275271), // Rule ID 5169 //
     /* 275239 */     // MIs[0] Operand 1
     /* 275239 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 275244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 275248 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275254 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 275256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275262 */     // (setcc:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, V128:{ *:[v4i32] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 275262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv4i32rz),
     /* 275265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275267 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 275269 */     GIR_RootConstrainSelectedInstOperands,
     /* 275270 */     // GIR_Coverage, 5169,
     /* 275270 */     GIR_EraseRootFromParent_Done,
     /* 275271 */   // Label 5561: @275271
     /* 275271 */   GIM_Try, /*On fail goto*//*Label 5562*/ GIMT_Encode4(275308), // Rule ID 5176 //
     /* 275276 */     // MIs[0] Operand 1
     /* 275276 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 275281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 275285 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275291 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 275293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275299 */     // (setcc:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, V128:{ *:[v4i32] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 275299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv4i32rz),
     /* 275302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275304 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 275306 */     GIR_RootConstrainSelectedInstOperands,
     /* 275307 */     // GIR_Coverage, 5176,
     /* 275307 */     GIR_EraseRootFromParent_Done,
     /* 275308 */   // Label 5562: @275308
     /* 275308 */   GIM_Try, /*On fail goto*//*Label 5563*/ GIMT_Encode4(275345), // Rule ID 5183 //
     /* 275313 */     // MIs[0] Operand 1
     /* 275313 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 275318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 275322 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275328 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 275330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275336 */     // (setcc:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, V128:{ *:[v4i32] }:$Rn, SETLT:{ *:[Other] })  =>  (CMGTv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 275336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv4i32rz),
     /* 275339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275341 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 275343 */     GIR_RootConstrainSelectedInstOperands,
     /* 275344 */     // GIR_Coverage, 5183,
     /* 275344 */     GIR_EraseRootFromParent_Done,
     /* 275345 */   // Label 5563: @275345
     /* 275345 */   GIM_Try, /*On fail goto*//*Label 5564*/ GIMT_Encode4(275382), // Rule ID 5190 //
     /* 275350 */     // MIs[0] Operand 1
     /* 275350 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 275355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 275359 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275365 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 275367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275373 */     // (setcc:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, V128:{ *:[v4i32] }:$Rn, SETLE:{ *:[Other] })  =>  (CMGEv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 275373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i32rz),
     /* 275376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275378 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 275380 */     GIR_RootConstrainSelectedInstOperands,
     /* 275381 */     // GIR_Coverage, 5190,
     /* 275381 */     GIR_EraseRootFromParent_Done,
     /* 275382 */   // Label 5564: @275382
     /* 275382 */   GIM_Try, /*On fail goto*//*Label 5565*/ GIMT_Encode4(275422), // Rule ID 727 //
     /* 275387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 275390 */     // MIs[0] Operand 1
     /* 275390 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 275395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 275403 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275409 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 275411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275413 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, immAllZerosV:{ *:[v4i32] }, SETEQ:{ *:[Other] })  =>  (CMEQv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 275413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv4i32rz),
     /* 275416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275418 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275420 */     GIR_RootConstrainSelectedInstOperands,
     /* 275421 */     // GIR_Coverage, 727,
     /* 275421 */     GIR_EraseRootFromParent_Done,
     /* 275422 */   // Label 5565: @275422
     /* 275422 */   GIM_Try, /*On fail goto*//*Label 5566*/ GIMT_Encode4(275462), // Rule ID 739 //
     /* 275427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 275430 */     // MIs[0] Operand 1
     /* 275430 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 275435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 275443 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275449 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 275451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275453 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, immAllZerosV:{ *:[v4i32] }, SETGE:{ *:[Other] })  =>  (CMGEv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 275453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i32rz),
     /* 275456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275458 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275460 */     GIR_RootConstrainSelectedInstOperands,
     /* 275461 */     // GIR_Coverage, 739,
     /* 275461 */     GIR_EraseRootFromParent_Done,
     /* 275462 */   // Label 5566: @275462
     /* 275462 */   GIM_Try, /*On fail goto*//*Label 5567*/ GIMT_Encode4(275502), // Rule ID 740 //
     /* 275467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 275470 */     // MIs[0] Operand 1
     /* 275470 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 275475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 275483 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275489 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /* 275491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275493 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, immAllOnesV:{ *:[v4i32] }, SETGT:{ *:[Other] })  =>  (CMGEv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 275493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i32rz),
     /* 275496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275498 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275500 */     GIR_RootConstrainSelectedInstOperands,
     /* 275501 */     // GIR_Coverage, 740,
     /* 275501 */     GIR_EraseRootFromParent_Done,
     /* 275502 */   // Label 5567: @275502
     /* 275502 */   GIM_Try, /*On fail goto*//*Label 5568*/ GIMT_Encode4(275542), // Rule ID 748 //
     /* 275507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 275510 */     // MIs[0] Operand 1
     /* 275510 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 275515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 275523 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275529 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 275531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275533 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, immAllZerosV:{ *:[v4i32] }, SETGT:{ *:[Other] })  =>  (CMGTv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 275533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv4i32rz),
     /* 275536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275538 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275540 */     GIR_RootConstrainSelectedInstOperands,
     /* 275541 */     // GIR_Coverage, 748,
     /* 275541 */     GIR_EraseRootFromParent_Done,
     /* 275542 */   // Label 5568: @275542
     /* 275542 */   GIM_Try, /*On fail goto*//*Label 5569*/ GIMT_Encode4(275579), // Rule ID 5127 //
     /* 275547 */     // MIs[0] Operand 1
     /* 275547 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 275552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 275560 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275566 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 275568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275570 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, immAllZerosV:{ *:[v4i32] }, SETEQ:{ *:[Other] })  =>  (CMEQv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 275570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv4i32rz),
     /* 275573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275575 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275577 */     GIR_RootConstrainSelectedInstOperands,
     /* 275578 */     // GIR_Coverage, 5127,
     /* 275578 */     GIR_EraseRootFromParent_Done,
     /* 275579 */   // Label 5569: @275579
     /* 275579 */   GIM_Try, /*On fail goto*//*Label 5570*/ GIMT_Encode4(275616), // Rule ID 5134 //
     /* 275584 */     // MIs[0] Operand 1
     /* 275584 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 275589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 275597 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275603 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 275605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275607 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, immAllZerosV:{ *:[v4i32] }, SETGT:{ *:[Other] })  =>  (CMGTv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 275607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv4i32rz),
     /* 275610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275612 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275614 */     GIR_RootConstrainSelectedInstOperands,
     /* 275615 */     // GIR_Coverage, 5134,
     /* 275615 */     GIR_EraseRootFromParent_Done,
     /* 275616 */   // Label 5570: @275616
     /* 275616 */   GIM_Try, /*On fail goto*//*Label 5571*/ GIMT_Encode4(275653), // Rule ID 5141 //
     /* 275621 */     // MIs[0] Operand 1
     /* 275621 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 275626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 275634 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275640 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 275642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275644 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, immAllZerosV:{ *:[v4i32] }, SETGE:{ *:[Other] })  =>  (CMGEv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 275644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i32rz),
     /* 275647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275649 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275651 */     GIR_RootConstrainSelectedInstOperands,
     /* 275652 */     // GIR_Coverage, 5141,
     /* 275652 */     GIR_EraseRootFromParent_Done,
     /* 275653 */   // Label 5571: @275653
     /* 275653 */   GIM_Try, /*On fail goto*//*Label 5572*/ GIMT_Encode4(275690), // Rule ID 5148 //
     /* 275658 */     // MIs[0] Operand 1
     /* 275658 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 275663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 275671 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275677 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 275679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275681 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, immAllZerosV:{ *:[v4i32] }, SETLT:{ *:[Other] })  =>  (CMLTv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 275681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv4i32rz),
     /* 275684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275686 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275688 */     GIR_RootConstrainSelectedInstOperands,
     /* 275689 */     // GIR_Coverage, 5148,
     /* 275689 */     GIR_EraseRootFromParent_Done,
     /* 275690 */   // Label 5572: @275690
     /* 275690 */   GIM_Try, /*On fail goto*//*Label 5573*/ GIMT_Encode4(275727), // Rule ID 5155 //
     /* 275695 */     // MIs[0] Operand 1
     /* 275695 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 275700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 275708 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275714 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 275716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275718 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, immAllZerosV:{ *:[v4i32] }, SETLE:{ *:[Other] })  =>  (CMLEv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 275718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv4i32rz),
     /* 275721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275723 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275725 */     GIR_RootConstrainSelectedInstOperands,
     /* 275726 */     // GIR_Coverage, 5155,
     /* 275726 */     GIR_EraseRootFromParent_Done,
     /* 275727 */   // Label 5573: @275727
     /* 275727 */   GIM_Try, /*On fail goto*//*Label 5574*/ GIMT_Encode4(275759), // Rule ID 1126 //
     /* 275732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 275735 */     // MIs[0] Operand 1
     /* 275735 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 275740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275748 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 275748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv4i32),
     /* 275751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275753 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275755 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 275757 */     GIR_RootConstrainSelectedInstOperands,
     /* 275758 */     // GIR_Coverage, 1126,
     /* 275758 */     GIR_EraseRootFromParent_Done,
     /* 275759 */   // Label 5574: @275759
     /* 275759 */   GIM_Try, /*On fail goto*//*Label 5575*/ GIMT_Encode4(275791), // Rule ID 1133 //
     /* 275764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 275767 */     // MIs[0] Operand 1
     /* 275767 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 275772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275780 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 275780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i32),
     /* 275783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275785 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275787 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 275789 */     GIR_RootConstrainSelectedInstOperands,
     /* 275790 */     // GIR_Coverage, 1133,
     /* 275790 */     GIR_EraseRootFromParent_Done,
     /* 275791 */   // Label 5575: @275791
     /* 275791 */   GIM_Try, /*On fail goto*//*Label 5576*/ GIMT_Encode4(275823), // Rule ID 1140 //
     /* 275796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 275799 */     // MIs[0] Operand 1
     /* 275799 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 275804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275812 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 275812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv4i32),
     /* 275815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275817 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275819 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 275821 */     GIR_RootConstrainSelectedInstOperands,
     /* 275822 */     // GIR_Coverage, 1140,
     /* 275822 */     GIR_EraseRootFromParent_Done,
     /* 275823 */   // Label 5576: @275823
     /* 275823 */   GIM_Try, /*On fail goto*//*Label 5577*/ GIMT_Encode4(275855), // Rule ID 1147 //
     /* 275828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 275831 */     // MIs[0] Operand 1
     /* 275831 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 275836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275844 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 275844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv4i32),
     /* 275847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275849 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275851 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 275853 */     GIR_RootConstrainSelectedInstOperands,
     /* 275854 */     // GIR_Coverage, 1147,
     /* 275854 */     GIR_EraseRootFromParent_Done,
     /* 275855 */   // Label 5577: @275855
     /* 275855 */   GIM_Try, /*On fail goto*//*Label 5578*/ GIMT_Encode4(275887), // Rule ID 1154 //
     /* 275860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 275863 */     // MIs[0] Operand 1
     /* 275863 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 275868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275876 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 275876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv4i32),
     /* 275879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275881 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275883 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 275885 */     GIR_RootConstrainSelectedInstOperands,
     /* 275886 */     // GIR_Coverage, 1154,
     /* 275886 */     GIR_EraseRootFromParent_Done,
     /* 275887 */   // Label 5578: @275887
     /* 275887 */   GIM_Try, /*On fail goto*//*Label 5579*/ GIMT_Encode4(275916), // Rule ID 5064 //
     /* 275892 */     // MIs[0] Operand 1
     /* 275892 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 275897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275905 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 275905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv4i32),
     /* 275908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275910 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275912 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 275914 */     GIR_RootConstrainSelectedInstOperands,
     /* 275915 */     // GIR_Coverage, 5064,
     /* 275915 */     GIR_EraseRootFromParent_Done,
     /* 275916 */   // Label 5579: @275916
     /* 275916 */   GIM_Try, /*On fail goto*//*Label 5580*/ GIMT_Encode4(275945), // Rule ID 5071 //
     /* 275921 */     // MIs[0] Operand 1
     /* 275921 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 275926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275934 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 275934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv4i32),
     /* 275937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275939 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275941 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 275943 */     GIR_RootConstrainSelectedInstOperands,
     /* 275944 */     // GIR_Coverage, 5071,
     /* 275944 */     GIR_EraseRootFromParent_Done,
     /* 275945 */   // Label 5580: @275945
     /* 275945 */   GIM_Try, /*On fail goto*//*Label 5581*/ GIMT_Encode4(275974), // Rule ID 5078 //
     /* 275950 */     // MIs[0] Operand 1
     /* 275950 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 275955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275963 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 275963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i32),
     /* 275966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275968 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275970 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 275972 */     GIR_RootConstrainSelectedInstOperands,
     /* 275973 */     // GIR_Coverage, 5078,
     /* 275973 */     GIR_EraseRootFromParent_Done,
     /* 275974 */   // Label 5581: @275974
     /* 275974 */   GIM_Try, /*On fail goto*//*Label 5582*/ GIMT_Encode4(276003), // Rule ID 5085 //
     /* 275979 */     // MIs[0] Operand 1
     /* 275979 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 275984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275992 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 275992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv4i32),
     /* 275995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275997 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275999 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 276001 */     GIR_RootConstrainSelectedInstOperands,
     /* 276002 */     // GIR_Coverage, 5085,
     /* 276002 */     GIR_EraseRootFromParent_Done,
     /* 276003 */   // Label 5582: @276003
     /* 276003 */   GIM_Try, /*On fail goto*//*Label 5583*/ GIMT_Encode4(276032), // Rule ID 5092 //
     /* 276008 */     // MIs[0] Operand 1
     /* 276008 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 276013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276021 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 276021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv4i32),
     /* 276024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276026 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276028 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 276030 */     GIR_RootConstrainSelectedInstOperands,
     /* 276031 */     // GIR_Coverage, 5092,
     /* 276031 */     GIR_EraseRootFromParent_Done,
     /* 276032 */   // Label 5583: @276032
     /* 276032 */   GIM_Try, /*On fail goto*//*Label 5584*/ GIMT_Encode4(276061), // Rule ID 5099 //
     /* 276037 */     // MIs[0] Operand 1
     /* 276037 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 276042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276050 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETLT:{ *:[Other] })  =>  (CMGTv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, V128:{ *:[v4i32] }:$Rn)
     /* 276050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv4i32),
     /* 276053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276055 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 276057 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276059 */     GIR_RootConstrainSelectedInstOperands,
     /* 276060 */     // GIR_Coverage, 5099,
     /* 276060 */     GIR_EraseRootFromParent_Done,
     /* 276061 */   // Label 5584: @276061
     /* 276061 */   GIM_Try, /*On fail goto*//*Label 5585*/ GIMT_Encode4(276090), // Rule ID 5106 //
     /* 276066 */     // MIs[0] Operand 1
     /* 276066 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 276071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276079 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETLE:{ *:[Other] })  =>  (CMGEv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, V128:{ *:[v4i32] }:$Rn)
     /* 276079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i32),
     /* 276082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276084 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 276086 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276088 */     GIR_RootConstrainSelectedInstOperands,
     /* 276089 */     // GIR_Coverage, 5106,
     /* 276089 */     GIR_EraseRootFromParent_Done,
     /* 276090 */   // Label 5585: @276090
     /* 276090 */   GIM_Try, /*On fail goto*//*Label 5586*/ GIMT_Encode4(276119), // Rule ID 5113 //
     /* 276095 */     // MIs[0] Operand 1
     /* 276095 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 276100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276108 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETULT:{ *:[Other] })  =>  (CMHIv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, V128:{ *:[v4i32] }:$Rn)
     /* 276108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv4i32),
     /* 276111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276113 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 276115 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276117 */     GIR_RootConstrainSelectedInstOperands,
     /* 276118 */     // GIR_Coverage, 5113,
     /* 276118 */     GIR_EraseRootFromParent_Done,
     /* 276119 */   // Label 5586: @276119
     /* 276119 */   GIM_Try, /*On fail goto*//*Label 5587*/ GIMT_Encode4(276148), // Rule ID 5120 //
     /* 276124 */     // MIs[0] Operand 1
     /* 276124 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 276129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276137 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETULE:{ *:[Other] })  =>  (CMHSv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, V128:{ *:[v4i32] }:$Rn)
     /* 276137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv4i32),
     /* 276140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276142 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 276144 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276146 */     GIR_RootConstrainSelectedInstOperands,
     /* 276147 */     // GIR_Coverage, 5120,
     /* 276147 */     GIR_EraseRootFromParent_Done,
     /* 276148 */   // Label 5587: @276148
     /* 276148 */   GIM_Reject,
     /* 276149 */ // Label 5557: @276149
     /* 276149 */ GIM_Reject,
     /* 276150 */ // Label 5448: @276150
     /* 276150 */ GIM_Try, /*On fail goto*//*Label 5588*/ GIMT_Encode4(277197),
     /* 276155 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 276158 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 276161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276165 */   GIM_Try, /*On fail goto*//*Label 5589*/ GIMT_Encode4(276205), // Rule ID 750 //
     /* 276170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 276173 */     // MIs[0] Operand 1
     /* 276173 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 276178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 276182 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276188 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 276190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276194 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276196 */     // (setcc:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, V64:{ *:[v8i8] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 276196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv8i8rz),
     /* 276199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276201 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 276203 */     GIR_RootConstrainSelectedInstOperands,
     /* 276204 */     // GIR_Coverage, 750,
     /* 276204 */     GIR_EraseRootFromParent_Done,
     /* 276205 */   // Label 5589: @276205
     /* 276205 */   GIM_Try, /*On fail goto*//*Label 5590*/ GIMT_Encode4(276245), // Rule ID 757 //
     /* 276210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 276213 */     // MIs[0] Operand 1
     /* 276213 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 276218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 276222 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276228 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 276230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276236 */     // (setcc:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, V64:{ *:[v8i8] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 276236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv8i8rz),
     /* 276239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276241 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 276243 */     GIR_RootConstrainSelectedInstOperands,
     /* 276244 */     // GIR_Coverage, 757,
     /* 276244 */     GIR_EraseRootFromParent_Done,
     /* 276245 */   // Label 5590: @276245
     /* 276245 */   GIM_Try, /*On fail goto*//*Label 5591*/ GIMT_Encode4(276282), // Rule ID 5157 //
     /* 276250 */     // MIs[0] Operand 1
     /* 276250 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 276255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 276259 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276265 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 276267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276273 */     // (setcc:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, V64:{ *:[v8i8] }:$Rn, SETEQ:{ *:[Other] })  =>  (CMEQv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 276273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv8i8rz),
     /* 276276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276278 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 276280 */     GIR_RootConstrainSelectedInstOperands,
     /* 276281 */     // GIR_Coverage, 5157,
     /* 276281 */     GIR_EraseRootFromParent_Done,
     /* 276282 */   // Label 5591: @276282
     /* 276282 */   GIM_Try, /*On fail goto*//*Label 5592*/ GIMT_Encode4(276319), // Rule ID 5164 //
     /* 276287 */     // MIs[0] Operand 1
     /* 276287 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 276292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 276296 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276302 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 276304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276310 */     // (setcc:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, V64:{ *:[v8i8] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 276310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv8i8rz),
     /* 276313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276315 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 276317 */     GIR_RootConstrainSelectedInstOperands,
     /* 276318 */     // GIR_Coverage, 5164,
     /* 276318 */     GIR_EraseRootFromParent_Done,
     /* 276319 */   // Label 5592: @276319
     /* 276319 */   GIM_Try, /*On fail goto*//*Label 5593*/ GIMT_Encode4(276356), // Rule ID 5171 //
     /* 276324 */     // MIs[0] Operand 1
     /* 276324 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 276329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 276333 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276339 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 276341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276347 */     // (setcc:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, V64:{ *:[v8i8] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 276347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv8i8rz),
     /* 276350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276352 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 276354 */     GIR_RootConstrainSelectedInstOperands,
     /* 276355 */     // GIR_Coverage, 5171,
     /* 276355 */     GIR_EraseRootFromParent_Done,
     /* 276356 */   // Label 5593: @276356
     /* 276356 */   GIM_Try, /*On fail goto*//*Label 5594*/ GIMT_Encode4(276393), // Rule ID 5178 //
     /* 276361 */     // MIs[0] Operand 1
     /* 276361 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 276366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 276370 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276376 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 276378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276384 */     // (setcc:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, V64:{ *:[v8i8] }:$Rn, SETLT:{ *:[Other] })  =>  (CMGTv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 276384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv8i8rz),
     /* 276387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276389 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 276391 */     GIR_RootConstrainSelectedInstOperands,
     /* 276392 */     // GIR_Coverage, 5178,
     /* 276392 */     GIR_EraseRootFromParent_Done,
     /* 276393 */   // Label 5594: @276393
     /* 276393 */   GIM_Try, /*On fail goto*//*Label 5595*/ GIMT_Encode4(276430), // Rule ID 5185 //
     /* 276398 */     // MIs[0] Operand 1
     /* 276398 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 276403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 276407 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276413 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 276415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276421 */     // (setcc:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, V64:{ *:[v8i8] }:$Rn, SETLE:{ *:[Other] })  =>  (CMGEv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 276421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i8rz),
     /* 276424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276426 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 276428 */     GIR_RootConstrainSelectedInstOperands,
     /* 276429 */     // GIR_Coverage, 5185,
     /* 276429 */     GIR_EraseRootFromParent_Done,
     /* 276430 */   // Label 5595: @276430
     /* 276430 */   GIM_Try, /*On fail goto*//*Label 5596*/ GIMT_Encode4(276470), // Rule ID 722 //
     /* 276435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 276438 */     // MIs[0] Operand 1
     /* 276438 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 276443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 276451 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276457 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 276459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276461 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, immAllZerosV:{ *:[v8i8] }, SETEQ:{ *:[Other] })  =>  (CMEQv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 276461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv8i8rz),
     /* 276464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276466 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276468 */     GIR_RootConstrainSelectedInstOperands,
     /* 276469 */     // GIR_Coverage, 722,
     /* 276469 */     GIR_EraseRootFromParent_Done,
     /* 276470 */   // Label 5596: @276470
     /* 276470 */   GIM_Try, /*On fail goto*//*Label 5597*/ GIMT_Encode4(276510), // Rule ID 729 //
     /* 276475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 276478 */     // MIs[0] Operand 1
     /* 276478 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 276483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 276491 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276497 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 276499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276501 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, immAllZerosV:{ *:[v8i8] }, SETGE:{ *:[Other] })  =>  (CMGEv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 276501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i8rz),
     /* 276504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276506 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276508 */     GIR_RootConstrainSelectedInstOperands,
     /* 276509 */     // GIR_Coverage, 729,
     /* 276509 */     GIR_EraseRootFromParent_Done,
     /* 276510 */   // Label 5597: @276510
     /* 276510 */   GIM_Try, /*On fail goto*//*Label 5598*/ GIMT_Encode4(276550), // Rule ID 730 //
     /* 276515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 276518 */     // MIs[0] Operand 1
     /* 276518 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 276523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 276531 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276537 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /* 276539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276541 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, immAllOnesV:{ *:[v8i8] }, SETGT:{ *:[Other] })  =>  (CMGEv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 276541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i8rz),
     /* 276544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276546 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276548 */     GIR_RootConstrainSelectedInstOperands,
     /* 276549 */     // GIR_Coverage, 730,
     /* 276549 */     GIR_EraseRootFromParent_Done,
     /* 276550 */   // Label 5598: @276550
     /* 276550 */   GIM_Try, /*On fail goto*//*Label 5599*/ GIMT_Encode4(276590), // Rule ID 743 //
     /* 276555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 276558 */     // MIs[0] Operand 1
     /* 276558 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 276563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 276571 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276577 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 276579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276581 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, immAllZerosV:{ *:[v8i8] }, SETGT:{ *:[Other] })  =>  (CMGTv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 276581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv8i8rz),
     /* 276584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276586 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276588 */     GIR_RootConstrainSelectedInstOperands,
     /* 276589 */     // GIR_Coverage, 743,
     /* 276589 */     GIR_EraseRootFromParent_Done,
     /* 276590 */   // Label 5599: @276590
     /* 276590 */   GIM_Try, /*On fail goto*//*Label 5600*/ GIMT_Encode4(276627), // Rule ID 5122 //
     /* 276595 */     // MIs[0] Operand 1
     /* 276595 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 276600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 276608 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276614 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 276616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276618 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, immAllZerosV:{ *:[v8i8] }, SETEQ:{ *:[Other] })  =>  (CMEQv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 276618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv8i8rz),
     /* 276621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276623 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276625 */     GIR_RootConstrainSelectedInstOperands,
     /* 276626 */     // GIR_Coverage, 5122,
     /* 276626 */     GIR_EraseRootFromParent_Done,
     /* 276627 */   // Label 5600: @276627
     /* 276627 */   GIM_Try, /*On fail goto*//*Label 5601*/ GIMT_Encode4(276664), // Rule ID 5129 //
     /* 276632 */     // MIs[0] Operand 1
     /* 276632 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 276637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 276645 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276651 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 276653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276655 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, immAllZerosV:{ *:[v8i8] }, SETGT:{ *:[Other] })  =>  (CMGTv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 276655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv8i8rz),
     /* 276658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276660 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276662 */     GIR_RootConstrainSelectedInstOperands,
     /* 276663 */     // GIR_Coverage, 5129,
     /* 276663 */     GIR_EraseRootFromParent_Done,
     /* 276664 */   // Label 5601: @276664
     /* 276664 */   GIM_Try, /*On fail goto*//*Label 5602*/ GIMT_Encode4(276701), // Rule ID 5136 //
     /* 276669 */     // MIs[0] Operand 1
     /* 276669 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 276674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 276682 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276688 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 276690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276692 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, immAllZerosV:{ *:[v8i8] }, SETGE:{ *:[Other] })  =>  (CMGEv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 276692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i8rz),
     /* 276695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276697 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276699 */     GIR_RootConstrainSelectedInstOperands,
     /* 276700 */     // GIR_Coverage, 5136,
     /* 276700 */     GIR_EraseRootFromParent_Done,
     /* 276701 */   // Label 5602: @276701
     /* 276701 */   GIM_Try, /*On fail goto*//*Label 5603*/ GIMT_Encode4(276738), // Rule ID 5143 //
     /* 276706 */     // MIs[0] Operand 1
     /* 276706 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 276711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 276719 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276725 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 276727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276729 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, immAllZerosV:{ *:[v8i8] }, SETLT:{ *:[Other] })  =>  (CMLTv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 276729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv8i8rz),
     /* 276732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276734 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276736 */     GIR_RootConstrainSelectedInstOperands,
     /* 276737 */     // GIR_Coverage, 5143,
     /* 276737 */     GIR_EraseRootFromParent_Done,
     /* 276738 */   // Label 5603: @276738
     /* 276738 */   GIM_Try, /*On fail goto*//*Label 5604*/ GIMT_Encode4(276775), // Rule ID 5150 //
     /* 276743 */     // MIs[0] Operand 1
     /* 276743 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 276748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 276756 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276762 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 276764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276766 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, immAllZerosV:{ *:[v8i8] }, SETLE:{ *:[Other] })  =>  (CMLEv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 276766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv8i8rz),
     /* 276769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276771 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276773 */     GIR_RootConstrainSelectedInstOperands,
     /* 276774 */     // GIR_Coverage, 5150,
     /* 276774 */     GIR_EraseRootFromParent_Done,
     /* 276775 */   // Label 5604: @276775
     /* 276775 */   GIM_Try, /*On fail goto*//*Label 5605*/ GIMT_Encode4(276807), // Rule ID 1121 //
     /* 276780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 276783 */     // MIs[0] Operand 1
     /* 276783 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 276788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276796 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 276796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv8i8),
     /* 276799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276801 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276803 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 276805 */     GIR_RootConstrainSelectedInstOperands,
     /* 276806 */     // GIR_Coverage, 1121,
     /* 276806 */     GIR_EraseRootFromParent_Done,
     /* 276807 */   // Label 5605: @276807
     /* 276807 */   GIM_Try, /*On fail goto*//*Label 5606*/ GIMT_Encode4(276839), // Rule ID 1128 //
     /* 276812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 276815 */     // MIs[0] Operand 1
     /* 276815 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 276820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276828 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 276828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i8),
     /* 276831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276833 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276835 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 276837 */     GIR_RootConstrainSelectedInstOperands,
     /* 276838 */     // GIR_Coverage, 1128,
     /* 276838 */     GIR_EraseRootFromParent_Done,
     /* 276839 */   // Label 5606: @276839
     /* 276839 */   GIM_Try, /*On fail goto*//*Label 5607*/ GIMT_Encode4(276871), // Rule ID 1135 //
     /* 276844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 276847 */     // MIs[0] Operand 1
     /* 276847 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 276852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276860 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 276860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv8i8),
     /* 276863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276865 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276867 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 276869 */     GIR_RootConstrainSelectedInstOperands,
     /* 276870 */     // GIR_Coverage, 1135,
     /* 276870 */     GIR_EraseRootFromParent_Done,
     /* 276871 */   // Label 5607: @276871
     /* 276871 */   GIM_Try, /*On fail goto*//*Label 5608*/ GIMT_Encode4(276903), // Rule ID 1142 //
     /* 276876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 276879 */     // MIs[0] Operand 1
     /* 276879 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 276884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276892 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 276892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv8i8),
     /* 276895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276897 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276899 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 276901 */     GIR_RootConstrainSelectedInstOperands,
     /* 276902 */     // GIR_Coverage, 1142,
     /* 276902 */     GIR_EraseRootFromParent_Done,
     /* 276903 */   // Label 5608: @276903
     /* 276903 */   GIM_Try, /*On fail goto*//*Label 5609*/ GIMT_Encode4(276935), // Rule ID 1149 //
     /* 276908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 276911 */     // MIs[0] Operand 1
     /* 276911 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 276916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276924 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 276924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv8i8),
     /* 276927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276929 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276931 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 276933 */     GIR_RootConstrainSelectedInstOperands,
     /* 276934 */     // GIR_Coverage, 1149,
     /* 276934 */     GIR_EraseRootFromParent_Done,
     /* 276935 */   // Label 5609: @276935
     /* 276935 */   GIM_Try, /*On fail goto*//*Label 5610*/ GIMT_Encode4(276964), // Rule ID 5059 //
     /* 276940 */     // MIs[0] Operand 1
     /* 276940 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 276945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276953 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 276953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv8i8),
     /* 276956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276958 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276960 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 276962 */     GIR_RootConstrainSelectedInstOperands,
     /* 276963 */     // GIR_Coverage, 5059,
     /* 276963 */     GIR_EraseRootFromParent_Done,
     /* 276964 */   // Label 5610: @276964
     /* 276964 */   GIM_Try, /*On fail goto*//*Label 5611*/ GIMT_Encode4(276993), // Rule ID 5066 //
     /* 276969 */     // MIs[0] Operand 1
     /* 276969 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 276974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276982 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 276982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv8i8),
     /* 276985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276987 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276989 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 276991 */     GIR_RootConstrainSelectedInstOperands,
     /* 276992 */     // GIR_Coverage, 5066,
     /* 276992 */     GIR_EraseRootFromParent_Done,
     /* 276993 */   // Label 5611: @276993
     /* 276993 */   GIM_Try, /*On fail goto*//*Label 5612*/ GIMT_Encode4(277022), // Rule ID 5073 //
     /* 276998 */     // MIs[0] Operand 1
     /* 276998 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 277003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277011 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 277011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i8),
     /* 277014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277016 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277018 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 277020 */     GIR_RootConstrainSelectedInstOperands,
     /* 277021 */     // GIR_Coverage, 5073,
     /* 277021 */     GIR_EraseRootFromParent_Done,
     /* 277022 */   // Label 5612: @277022
     /* 277022 */   GIM_Try, /*On fail goto*//*Label 5613*/ GIMT_Encode4(277051), // Rule ID 5080 //
     /* 277027 */     // MIs[0] Operand 1
     /* 277027 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 277032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277040 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 277040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv8i8),
     /* 277043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277045 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277047 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 277049 */     GIR_RootConstrainSelectedInstOperands,
     /* 277050 */     // GIR_Coverage, 5080,
     /* 277050 */     GIR_EraseRootFromParent_Done,
     /* 277051 */   // Label 5613: @277051
     /* 277051 */   GIM_Try, /*On fail goto*//*Label 5614*/ GIMT_Encode4(277080), // Rule ID 5087 //
     /* 277056 */     // MIs[0] Operand 1
     /* 277056 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 277061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277069 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 277069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv8i8),
     /* 277072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277074 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277076 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 277078 */     GIR_RootConstrainSelectedInstOperands,
     /* 277079 */     // GIR_Coverage, 5087,
     /* 277079 */     GIR_EraseRootFromParent_Done,
     /* 277080 */   // Label 5614: @277080
     /* 277080 */   GIM_Try, /*On fail goto*//*Label 5615*/ GIMT_Encode4(277109), // Rule ID 5094 //
     /* 277085 */     // MIs[0] Operand 1
     /* 277085 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 277090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277098 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETLT:{ *:[Other] })  =>  (CMGTv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, V64:{ *:[v8i8] }:$Rn)
     /* 277098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv8i8),
     /* 277101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277103 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 277105 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277107 */     GIR_RootConstrainSelectedInstOperands,
     /* 277108 */     // GIR_Coverage, 5094,
     /* 277108 */     GIR_EraseRootFromParent_Done,
     /* 277109 */   // Label 5615: @277109
     /* 277109 */   GIM_Try, /*On fail goto*//*Label 5616*/ GIMT_Encode4(277138), // Rule ID 5101 //
     /* 277114 */     // MIs[0] Operand 1
     /* 277114 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 277119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277127 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETLE:{ *:[Other] })  =>  (CMGEv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, V64:{ *:[v8i8] }:$Rn)
     /* 277127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i8),
     /* 277130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277132 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 277134 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277136 */     GIR_RootConstrainSelectedInstOperands,
     /* 277137 */     // GIR_Coverage, 5101,
     /* 277137 */     GIR_EraseRootFromParent_Done,
     /* 277138 */   // Label 5616: @277138
     /* 277138 */   GIM_Try, /*On fail goto*//*Label 5617*/ GIMT_Encode4(277167), // Rule ID 5108 //
     /* 277143 */     // MIs[0] Operand 1
     /* 277143 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 277148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277156 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETULT:{ *:[Other] })  =>  (CMHIv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, V64:{ *:[v8i8] }:$Rn)
     /* 277156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv8i8),
     /* 277159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277161 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 277163 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277165 */     GIR_RootConstrainSelectedInstOperands,
     /* 277166 */     // GIR_Coverage, 5108,
     /* 277166 */     GIR_EraseRootFromParent_Done,
     /* 277167 */   // Label 5617: @277167
     /* 277167 */   GIM_Try, /*On fail goto*//*Label 5618*/ GIMT_Encode4(277196), // Rule ID 5115 //
     /* 277172 */     // MIs[0] Operand 1
     /* 277172 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 277177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277185 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETULE:{ *:[Other] })  =>  (CMHSv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, V64:{ *:[v8i8] }:$Rn)
     /* 277185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv8i8),
     /* 277188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277190 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 277192 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277194 */     GIR_RootConstrainSelectedInstOperands,
     /* 277195 */     // GIR_Coverage, 5115,
     /* 277195 */     GIR_EraseRootFromParent_Done,
     /* 277196 */   // Label 5618: @277196
     /* 277196 */   GIM_Reject,
     /* 277197 */ // Label 5588: @277197
     /* 277197 */ GIM_Reject,
     /* 277198 */ // Label 5449: @277198
     /* 277198 */ GIM_Try, /*On fail goto*//*Label 5619*/ GIMT_Encode4(278245),
     /* 277203 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 277206 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 277209 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277213 */   GIM_Try, /*On fail goto*//*Label 5620*/ GIMT_Encode4(277253), // Rule ID 753 //
     /* 277218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 277221 */     // MIs[0] Operand 1
     /* 277221 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 277226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 277230 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277236 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 277238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277242 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277244 */     // (setcc:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, V128:{ *:[v8i16] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 277244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv8i16rz),
     /* 277247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277249 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 277251 */     GIR_RootConstrainSelectedInstOperands,
     /* 277252 */     // GIR_Coverage, 753,
     /* 277252 */     GIR_EraseRootFromParent_Done,
     /* 277253 */   // Label 5620: @277253
     /* 277253 */   GIM_Try, /*On fail goto*//*Label 5621*/ GIMT_Encode4(277293), // Rule ID 760 //
     /* 277258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 277261 */     // MIs[0] Operand 1
     /* 277261 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 277266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 277270 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277276 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 277278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277284 */     // (setcc:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, V128:{ *:[v8i16] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 277284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv8i16rz),
     /* 277287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277289 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 277291 */     GIR_RootConstrainSelectedInstOperands,
     /* 277292 */     // GIR_Coverage, 760,
     /* 277292 */     GIR_EraseRootFromParent_Done,
     /* 277293 */   // Label 5621: @277293
     /* 277293 */   GIM_Try, /*On fail goto*//*Label 5622*/ GIMT_Encode4(277330), // Rule ID 5160 //
     /* 277298 */     // MIs[0] Operand 1
     /* 277298 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 277303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 277307 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277313 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 277315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277321 */     // (setcc:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, V128:{ *:[v8i16] }:$Rn, SETEQ:{ *:[Other] })  =>  (CMEQv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 277321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv8i16rz),
     /* 277324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277326 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 277328 */     GIR_RootConstrainSelectedInstOperands,
     /* 277329 */     // GIR_Coverage, 5160,
     /* 277329 */     GIR_EraseRootFromParent_Done,
     /* 277330 */   // Label 5622: @277330
     /* 277330 */   GIM_Try, /*On fail goto*//*Label 5623*/ GIMT_Encode4(277367), // Rule ID 5167 //
     /* 277335 */     // MIs[0] Operand 1
     /* 277335 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 277340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 277344 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277350 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 277352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277356 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277358 */     // (setcc:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, V128:{ *:[v8i16] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 277358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv8i16rz),
     /* 277361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277363 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 277365 */     GIR_RootConstrainSelectedInstOperands,
     /* 277366 */     // GIR_Coverage, 5167,
     /* 277366 */     GIR_EraseRootFromParent_Done,
     /* 277367 */   // Label 5623: @277367
     /* 277367 */   GIM_Try, /*On fail goto*//*Label 5624*/ GIMT_Encode4(277404), // Rule ID 5174 //
     /* 277372 */     // MIs[0] Operand 1
     /* 277372 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 277377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 277381 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277387 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 277389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277395 */     // (setcc:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, V128:{ *:[v8i16] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 277395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv8i16rz),
     /* 277398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277400 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 277402 */     GIR_RootConstrainSelectedInstOperands,
     /* 277403 */     // GIR_Coverage, 5174,
     /* 277403 */     GIR_EraseRootFromParent_Done,
     /* 277404 */   // Label 5624: @277404
     /* 277404 */   GIM_Try, /*On fail goto*//*Label 5625*/ GIMT_Encode4(277441), // Rule ID 5181 //
     /* 277409 */     // MIs[0] Operand 1
     /* 277409 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 277414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 277418 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277424 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 277426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277432 */     // (setcc:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, V128:{ *:[v8i16] }:$Rn, SETLT:{ *:[Other] })  =>  (CMGTv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 277432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv8i16rz),
     /* 277435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277437 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 277439 */     GIR_RootConstrainSelectedInstOperands,
     /* 277440 */     // GIR_Coverage, 5181,
     /* 277440 */     GIR_EraseRootFromParent_Done,
     /* 277441 */   // Label 5625: @277441
     /* 277441 */   GIM_Try, /*On fail goto*//*Label 5626*/ GIMT_Encode4(277478), // Rule ID 5188 //
     /* 277446 */     // MIs[0] Operand 1
     /* 277446 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 277451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 277455 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277461 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 277463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277469 */     // (setcc:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, V128:{ *:[v8i16] }:$Rn, SETLE:{ *:[Other] })  =>  (CMGEv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 277469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i16rz),
     /* 277472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277474 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 277476 */     GIR_RootConstrainSelectedInstOperands,
     /* 277477 */     // GIR_Coverage, 5188,
     /* 277477 */     GIR_EraseRootFromParent_Done,
     /* 277478 */   // Label 5626: @277478
     /* 277478 */   GIM_Try, /*On fail goto*//*Label 5627*/ GIMT_Encode4(277518), // Rule ID 725 //
     /* 277483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 277486 */     // MIs[0] Operand 1
     /* 277486 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 277491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 277499 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277505 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 277507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277509 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, immAllZerosV:{ *:[v8i16] }, SETEQ:{ *:[Other] })  =>  (CMEQv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 277509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv8i16rz),
     /* 277512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277514 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277516 */     GIR_RootConstrainSelectedInstOperands,
     /* 277517 */     // GIR_Coverage, 725,
     /* 277517 */     GIR_EraseRootFromParent_Done,
     /* 277518 */   // Label 5627: @277518
     /* 277518 */   GIM_Try, /*On fail goto*//*Label 5628*/ GIMT_Encode4(277558), // Rule ID 735 //
     /* 277523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 277526 */     // MIs[0] Operand 1
     /* 277526 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 277531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 277539 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277545 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 277547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277549 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, immAllZerosV:{ *:[v8i16] }, SETGE:{ *:[Other] })  =>  (CMGEv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 277549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i16rz),
     /* 277552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277554 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277556 */     GIR_RootConstrainSelectedInstOperands,
     /* 277557 */     // GIR_Coverage, 735,
     /* 277557 */     GIR_EraseRootFromParent_Done,
     /* 277558 */   // Label 5628: @277558
     /* 277558 */   GIM_Try, /*On fail goto*//*Label 5629*/ GIMT_Encode4(277598), // Rule ID 736 //
     /* 277563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 277566 */     // MIs[0] Operand 1
     /* 277566 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 277571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 277579 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277585 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /* 277587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277589 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, immAllOnesV:{ *:[v8i16] }, SETGT:{ *:[Other] })  =>  (CMGEv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 277589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i16rz),
     /* 277592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277594 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277596 */     GIR_RootConstrainSelectedInstOperands,
     /* 277597 */     // GIR_Coverage, 736,
     /* 277597 */     GIR_EraseRootFromParent_Done,
     /* 277598 */   // Label 5629: @277598
     /* 277598 */   GIM_Try, /*On fail goto*//*Label 5630*/ GIMT_Encode4(277638), // Rule ID 746 //
     /* 277603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 277606 */     // MIs[0] Operand 1
     /* 277606 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 277611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 277619 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277625 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 277627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277629 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, immAllZerosV:{ *:[v8i16] }, SETGT:{ *:[Other] })  =>  (CMGTv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 277629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv8i16rz),
     /* 277632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277634 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277636 */     GIR_RootConstrainSelectedInstOperands,
     /* 277637 */     // GIR_Coverage, 746,
     /* 277637 */     GIR_EraseRootFromParent_Done,
     /* 277638 */   // Label 5630: @277638
     /* 277638 */   GIM_Try, /*On fail goto*//*Label 5631*/ GIMT_Encode4(277675), // Rule ID 5125 //
     /* 277643 */     // MIs[0] Operand 1
     /* 277643 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 277648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 277656 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277662 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 277664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277666 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, immAllZerosV:{ *:[v8i16] }, SETEQ:{ *:[Other] })  =>  (CMEQv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 277666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv8i16rz),
     /* 277669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277671 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277673 */     GIR_RootConstrainSelectedInstOperands,
     /* 277674 */     // GIR_Coverage, 5125,
     /* 277674 */     GIR_EraseRootFromParent_Done,
     /* 277675 */   // Label 5631: @277675
     /* 277675 */   GIM_Try, /*On fail goto*//*Label 5632*/ GIMT_Encode4(277712), // Rule ID 5132 //
     /* 277680 */     // MIs[0] Operand 1
     /* 277680 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 277685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 277693 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277699 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 277701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277703 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, immAllZerosV:{ *:[v8i16] }, SETGT:{ *:[Other] })  =>  (CMGTv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 277703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv8i16rz),
     /* 277706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277708 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277710 */     GIR_RootConstrainSelectedInstOperands,
     /* 277711 */     // GIR_Coverage, 5132,
     /* 277711 */     GIR_EraseRootFromParent_Done,
     /* 277712 */   // Label 5632: @277712
     /* 277712 */   GIM_Try, /*On fail goto*//*Label 5633*/ GIMT_Encode4(277749), // Rule ID 5139 //
     /* 277717 */     // MIs[0] Operand 1
     /* 277717 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 277722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 277730 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277736 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 277738 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277740 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, immAllZerosV:{ *:[v8i16] }, SETGE:{ *:[Other] })  =>  (CMGEv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 277740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i16rz),
     /* 277743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277745 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277747 */     GIR_RootConstrainSelectedInstOperands,
     /* 277748 */     // GIR_Coverage, 5139,
     /* 277748 */     GIR_EraseRootFromParent_Done,
     /* 277749 */   // Label 5633: @277749
     /* 277749 */   GIM_Try, /*On fail goto*//*Label 5634*/ GIMT_Encode4(277786), // Rule ID 5146 //
     /* 277754 */     // MIs[0] Operand 1
     /* 277754 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 277759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 277767 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277773 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 277775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277777 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, immAllZerosV:{ *:[v8i16] }, SETLT:{ *:[Other] })  =>  (CMLTv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 277777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv8i16rz),
     /* 277780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277782 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277784 */     GIR_RootConstrainSelectedInstOperands,
     /* 277785 */     // GIR_Coverage, 5146,
     /* 277785 */     GIR_EraseRootFromParent_Done,
     /* 277786 */   // Label 5634: @277786
     /* 277786 */   GIM_Try, /*On fail goto*//*Label 5635*/ GIMT_Encode4(277823), // Rule ID 5153 //
     /* 277791 */     // MIs[0] Operand 1
     /* 277791 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 277796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 277804 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277810 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 277812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277814 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, immAllZerosV:{ *:[v8i16] }, SETLE:{ *:[Other] })  =>  (CMLEv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 277814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv8i16rz),
     /* 277817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277819 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277821 */     GIR_RootConstrainSelectedInstOperands,
     /* 277822 */     // GIR_Coverage, 5153,
     /* 277822 */     GIR_EraseRootFromParent_Done,
     /* 277823 */   // Label 5635: @277823
     /* 277823 */   GIM_Try, /*On fail goto*//*Label 5636*/ GIMT_Encode4(277855), // Rule ID 1124 //
     /* 277828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 277831 */     // MIs[0] Operand 1
     /* 277831 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 277836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277844 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 277844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv8i16),
     /* 277847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277849 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277851 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 277853 */     GIR_RootConstrainSelectedInstOperands,
     /* 277854 */     // GIR_Coverage, 1124,
     /* 277854 */     GIR_EraseRootFromParent_Done,
     /* 277855 */   // Label 5636: @277855
     /* 277855 */   GIM_Try, /*On fail goto*//*Label 5637*/ GIMT_Encode4(277887), // Rule ID 1131 //
     /* 277860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 277863 */     // MIs[0] Operand 1
     /* 277863 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 277868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277876 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 277876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i16),
     /* 277879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277881 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277883 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 277885 */     GIR_RootConstrainSelectedInstOperands,
     /* 277886 */     // GIR_Coverage, 1131,
     /* 277886 */     GIR_EraseRootFromParent_Done,
     /* 277887 */   // Label 5637: @277887
     /* 277887 */   GIM_Try, /*On fail goto*//*Label 5638*/ GIMT_Encode4(277919), // Rule ID 1138 //
     /* 277892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 277895 */     // MIs[0] Operand 1
     /* 277895 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 277900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277908 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 277908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv8i16),
     /* 277911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277913 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277915 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 277917 */     GIR_RootConstrainSelectedInstOperands,
     /* 277918 */     // GIR_Coverage, 1138,
     /* 277918 */     GIR_EraseRootFromParent_Done,
     /* 277919 */   // Label 5638: @277919
     /* 277919 */   GIM_Try, /*On fail goto*//*Label 5639*/ GIMT_Encode4(277951), // Rule ID 1145 //
     /* 277924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 277927 */     // MIs[0] Operand 1
     /* 277927 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 277932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277940 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 277940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv8i16),
     /* 277943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277945 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277947 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 277949 */     GIR_RootConstrainSelectedInstOperands,
     /* 277950 */     // GIR_Coverage, 1145,
     /* 277950 */     GIR_EraseRootFromParent_Done,
     /* 277951 */   // Label 5639: @277951
     /* 277951 */   GIM_Try, /*On fail goto*//*Label 5640*/ GIMT_Encode4(277983), // Rule ID 1152 //
     /* 277956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 277959 */     // MIs[0] Operand 1
     /* 277959 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 277964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277972 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 277972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv8i16),
     /* 277975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277977 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277979 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 277981 */     GIR_RootConstrainSelectedInstOperands,
     /* 277982 */     // GIR_Coverage, 1152,
     /* 277982 */     GIR_EraseRootFromParent_Done,
     /* 277983 */   // Label 5640: @277983
     /* 277983 */   GIM_Try, /*On fail goto*//*Label 5641*/ GIMT_Encode4(278012), // Rule ID 5062 //
     /* 277988 */     // MIs[0] Operand 1
     /* 277988 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 277993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278001 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 278001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv8i16),
     /* 278004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278006 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278008 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 278010 */     GIR_RootConstrainSelectedInstOperands,
     /* 278011 */     // GIR_Coverage, 5062,
     /* 278011 */     GIR_EraseRootFromParent_Done,
     /* 278012 */   // Label 5641: @278012
     /* 278012 */   GIM_Try, /*On fail goto*//*Label 5642*/ GIMT_Encode4(278041), // Rule ID 5069 //
     /* 278017 */     // MIs[0] Operand 1
     /* 278017 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 278022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278030 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 278030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv8i16),
     /* 278033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278035 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278037 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 278039 */     GIR_RootConstrainSelectedInstOperands,
     /* 278040 */     // GIR_Coverage, 5069,
     /* 278040 */     GIR_EraseRootFromParent_Done,
     /* 278041 */   // Label 5642: @278041
     /* 278041 */   GIM_Try, /*On fail goto*//*Label 5643*/ GIMT_Encode4(278070), // Rule ID 5076 //
     /* 278046 */     // MIs[0] Operand 1
     /* 278046 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 278051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278059 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 278059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i16),
     /* 278062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278064 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278066 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 278068 */     GIR_RootConstrainSelectedInstOperands,
     /* 278069 */     // GIR_Coverage, 5076,
     /* 278069 */     GIR_EraseRootFromParent_Done,
     /* 278070 */   // Label 5643: @278070
     /* 278070 */   GIM_Try, /*On fail goto*//*Label 5644*/ GIMT_Encode4(278099), // Rule ID 5083 //
     /* 278075 */     // MIs[0] Operand 1
     /* 278075 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 278080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278088 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 278088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv8i16),
     /* 278091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278093 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278095 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 278097 */     GIR_RootConstrainSelectedInstOperands,
     /* 278098 */     // GIR_Coverage, 5083,
     /* 278098 */     GIR_EraseRootFromParent_Done,
     /* 278099 */   // Label 5644: @278099
     /* 278099 */   GIM_Try, /*On fail goto*//*Label 5645*/ GIMT_Encode4(278128), // Rule ID 5090 //
     /* 278104 */     // MIs[0] Operand 1
     /* 278104 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 278109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278117 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 278117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv8i16),
     /* 278120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278122 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278124 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 278126 */     GIR_RootConstrainSelectedInstOperands,
     /* 278127 */     // GIR_Coverage, 5090,
     /* 278127 */     GIR_EraseRootFromParent_Done,
     /* 278128 */   // Label 5645: @278128
     /* 278128 */   GIM_Try, /*On fail goto*//*Label 5646*/ GIMT_Encode4(278157), // Rule ID 5097 //
     /* 278133 */     // MIs[0] Operand 1
     /* 278133 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 278138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278146 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETLT:{ *:[Other] })  =>  (CMGTv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rm, V128:{ *:[v8i16] }:$Rn)
     /* 278146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv8i16),
     /* 278149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278151 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 278153 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278155 */     GIR_RootConstrainSelectedInstOperands,
     /* 278156 */     // GIR_Coverage, 5097,
     /* 278156 */     GIR_EraseRootFromParent_Done,
     /* 278157 */   // Label 5646: @278157
     /* 278157 */   GIM_Try, /*On fail goto*//*Label 5647*/ GIMT_Encode4(278186), // Rule ID 5104 //
     /* 278162 */     // MIs[0] Operand 1
     /* 278162 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 278167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278175 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETLE:{ *:[Other] })  =>  (CMGEv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rm, V128:{ *:[v8i16] }:$Rn)
     /* 278175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i16),
     /* 278178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278180 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 278182 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278184 */     GIR_RootConstrainSelectedInstOperands,
     /* 278185 */     // GIR_Coverage, 5104,
     /* 278185 */     GIR_EraseRootFromParent_Done,
     /* 278186 */   // Label 5647: @278186
     /* 278186 */   GIM_Try, /*On fail goto*//*Label 5648*/ GIMT_Encode4(278215), // Rule ID 5111 //
     /* 278191 */     // MIs[0] Operand 1
     /* 278191 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 278196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278204 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETULT:{ *:[Other] })  =>  (CMHIv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rm, V128:{ *:[v8i16] }:$Rn)
     /* 278204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv8i16),
     /* 278207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278209 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 278211 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278213 */     GIR_RootConstrainSelectedInstOperands,
     /* 278214 */     // GIR_Coverage, 5111,
     /* 278214 */     GIR_EraseRootFromParent_Done,
     /* 278215 */   // Label 5648: @278215
     /* 278215 */   GIM_Try, /*On fail goto*//*Label 5649*/ GIMT_Encode4(278244), // Rule ID 5118 //
     /* 278220 */     // MIs[0] Operand 1
     /* 278220 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 278225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278233 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETULE:{ *:[Other] })  =>  (CMHSv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rm, V128:{ *:[v8i16] }:$Rn)
     /* 278233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv8i16),
     /* 278236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278238 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 278240 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278242 */     GIR_RootConstrainSelectedInstOperands,
     /* 278243 */     // GIR_Coverage, 5118,
     /* 278243 */     GIR_EraseRootFromParent_Done,
     /* 278244 */   // Label 5649: @278244
     /* 278244 */   GIM_Reject,
     /* 278245 */ // Label 5619: @278245
     /* 278245 */ GIM_Reject,
     /* 278246 */ // Label 5450: @278246
     /* 278246 */ GIM_Try, /*On fail goto*//*Label 5650*/ GIMT_Encode4(279293),
     /* 278251 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 278254 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 278257 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278261 */   GIM_Try, /*On fail goto*//*Label 5651*/ GIMT_Encode4(278301), // Rule ID 751 //
     /* 278266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 278269 */     // MIs[0] Operand 1
     /* 278269 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 278274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 278278 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278284 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 278286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278290 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278292 */     // (setcc:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, V128:{ *:[v16i8] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 278292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv16i8rz),
     /* 278295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278297 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 278299 */     GIR_RootConstrainSelectedInstOperands,
     /* 278300 */     // GIR_Coverage, 751,
     /* 278300 */     GIR_EraseRootFromParent_Done,
     /* 278301 */   // Label 5651: @278301
     /* 278301 */   GIM_Try, /*On fail goto*//*Label 5652*/ GIMT_Encode4(278341), // Rule ID 758 //
     /* 278306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 278309 */     // MIs[0] Operand 1
     /* 278309 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 278314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 278318 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278324 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 278326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278332 */     // (setcc:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, V128:{ *:[v16i8] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 278332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv16i8rz),
     /* 278335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278337 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 278339 */     GIR_RootConstrainSelectedInstOperands,
     /* 278340 */     // GIR_Coverage, 758,
     /* 278340 */     GIR_EraseRootFromParent_Done,
     /* 278341 */   // Label 5652: @278341
     /* 278341 */   GIM_Try, /*On fail goto*//*Label 5653*/ GIMT_Encode4(278378), // Rule ID 5158 //
     /* 278346 */     // MIs[0] Operand 1
     /* 278346 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 278351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 278355 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278361 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 278363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278369 */     // (setcc:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, V128:{ *:[v16i8] }:$Rn, SETEQ:{ *:[Other] })  =>  (CMEQv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 278369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv16i8rz),
     /* 278372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278374 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 278376 */     GIR_RootConstrainSelectedInstOperands,
     /* 278377 */     // GIR_Coverage, 5158,
     /* 278377 */     GIR_EraseRootFromParent_Done,
     /* 278378 */   // Label 5653: @278378
     /* 278378 */   GIM_Try, /*On fail goto*//*Label 5654*/ GIMT_Encode4(278415), // Rule ID 5165 //
     /* 278383 */     // MIs[0] Operand 1
     /* 278383 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 278388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 278392 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278398 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 278400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278404 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278406 */     // (setcc:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, V128:{ *:[v16i8] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 278406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv16i8rz),
     /* 278409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278411 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 278413 */     GIR_RootConstrainSelectedInstOperands,
     /* 278414 */     // GIR_Coverage, 5165,
     /* 278414 */     GIR_EraseRootFromParent_Done,
     /* 278415 */   // Label 5654: @278415
     /* 278415 */   GIM_Try, /*On fail goto*//*Label 5655*/ GIMT_Encode4(278452), // Rule ID 5172 //
     /* 278420 */     // MIs[0] Operand 1
     /* 278420 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 278425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 278429 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278435 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 278437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278443 */     // (setcc:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, V128:{ *:[v16i8] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 278443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv16i8rz),
     /* 278446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278448 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 278450 */     GIR_RootConstrainSelectedInstOperands,
     /* 278451 */     // GIR_Coverage, 5172,
     /* 278451 */     GIR_EraseRootFromParent_Done,
     /* 278452 */   // Label 5655: @278452
     /* 278452 */   GIM_Try, /*On fail goto*//*Label 5656*/ GIMT_Encode4(278489), // Rule ID 5179 //
     /* 278457 */     // MIs[0] Operand 1
     /* 278457 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 278462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 278466 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278472 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 278474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278478 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278480 */     // (setcc:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, V128:{ *:[v16i8] }:$Rn, SETLT:{ *:[Other] })  =>  (CMGTv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 278480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv16i8rz),
     /* 278483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278485 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 278487 */     GIR_RootConstrainSelectedInstOperands,
     /* 278488 */     // GIR_Coverage, 5179,
     /* 278488 */     GIR_EraseRootFromParent_Done,
     /* 278489 */   // Label 5656: @278489
     /* 278489 */   GIM_Try, /*On fail goto*//*Label 5657*/ GIMT_Encode4(278526), // Rule ID 5186 //
     /* 278494 */     // MIs[0] Operand 1
     /* 278494 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 278499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 278503 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278509 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 278511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278517 */     // (setcc:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, V128:{ *:[v16i8] }:$Rn, SETLE:{ *:[Other] })  =>  (CMGEv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 278517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv16i8rz),
     /* 278520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278522 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 278524 */     GIR_RootConstrainSelectedInstOperands,
     /* 278525 */     // GIR_Coverage, 5186,
     /* 278525 */     GIR_EraseRootFromParent_Done,
     /* 278526 */   // Label 5657: @278526
     /* 278526 */   GIM_Try, /*On fail goto*//*Label 5658*/ GIMT_Encode4(278566), // Rule ID 723 //
     /* 278531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 278534 */     // MIs[0] Operand 1
     /* 278534 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 278539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 278547 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278553 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 278555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278557 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, immAllZerosV:{ *:[v16i8] }, SETEQ:{ *:[Other] })  =>  (CMEQv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 278557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv16i8rz),
     /* 278560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278562 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278564 */     GIR_RootConstrainSelectedInstOperands,
     /* 278565 */     // GIR_Coverage, 723,
     /* 278565 */     GIR_EraseRootFromParent_Done,
     /* 278566 */   // Label 5658: @278566
     /* 278566 */   GIM_Try, /*On fail goto*//*Label 5659*/ GIMT_Encode4(278606), // Rule ID 731 //
     /* 278571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 278574 */     // MIs[0] Operand 1
     /* 278574 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 278579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 278587 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278593 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 278595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278597 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, immAllZerosV:{ *:[v16i8] }, SETGE:{ *:[Other] })  =>  (CMGEv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 278597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv16i8rz),
     /* 278600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278602 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278604 */     GIR_RootConstrainSelectedInstOperands,
     /* 278605 */     // GIR_Coverage, 731,
     /* 278605 */     GIR_EraseRootFromParent_Done,
     /* 278606 */   // Label 5659: @278606
     /* 278606 */   GIM_Try, /*On fail goto*//*Label 5660*/ GIMT_Encode4(278646), // Rule ID 732 //
     /* 278611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 278614 */     // MIs[0] Operand 1
     /* 278614 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 278619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 278627 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278633 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /* 278635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278637 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, immAllOnesV:{ *:[v16i8] }, SETGT:{ *:[Other] })  =>  (CMGEv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 278637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv16i8rz),
     /* 278640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278642 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278644 */     GIR_RootConstrainSelectedInstOperands,
     /* 278645 */     // GIR_Coverage, 732,
     /* 278645 */     GIR_EraseRootFromParent_Done,
     /* 278646 */   // Label 5660: @278646
     /* 278646 */   GIM_Try, /*On fail goto*//*Label 5661*/ GIMT_Encode4(278686), // Rule ID 744 //
     /* 278651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 278654 */     // MIs[0] Operand 1
     /* 278654 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 278659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 278667 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278673 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 278675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278677 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, immAllZerosV:{ *:[v16i8] }, SETGT:{ *:[Other] })  =>  (CMGTv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 278677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv16i8rz),
     /* 278680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278682 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278684 */     GIR_RootConstrainSelectedInstOperands,
     /* 278685 */     // GIR_Coverage, 744,
     /* 278685 */     GIR_EraseRootFromParent_Done,
     /* 278686 */   // Label 5661: @278686
     /* 278686 */   GIM_Try, /*On fail goto*//*Label 5662*/ GIMT_Encode4(278723), // Rule ID 5123 //
     /* 278691 */     // MIs[0] Operand 1
     /* 278691 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 278696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 278704 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278710 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 278712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278714 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, immAllZerosV:{ *:[v16i8] }, SETEQ:{ *:[Other] })  =>  (CMEQv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 278714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv16i8rz),
     /* 278717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278719 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278721 */     GIR_RootConstrainSelectedInstOperands,
     /* 278722 */     // GIR_Coverage, 5123,
     /* 278722 */     GIR_EraseRootFromParent_Done,
     /* 278723 */   // Label 5662: @278723
     /* 278723 */   GIM_Try, /*On fail goto*//*Label 5663*/ GIMT_Encode4(278760), // Rule ID 5130 //
     /* 278728 */     // MIs[0] Operand 1
     /* 278728 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 278733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 278741 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278747 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 278749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278751 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, immAllZerosV:{ *:[v16i8] }, SETGT:{ *:[Other] })  =>  (CMGTv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 278751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv16i8rz),
     /* 278754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278756 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278758 */     GIR_RootConstrainSelectedInstOperands,
     /* 278759 */     // GIR_Coverage, 5130,
     /* 278759 */     GIR_EraseRootFromParent_Done,
     /* 278760 */   // Label 5663: @278760
     /* 278760 */   GIM_Try, /*On fail goto*//*Label 5664*/ GIMT_Encode4(278797), // Rule ID 5137 //
     /* 278765 */     // MIs[0] Operand 1
     /* 278765 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 278770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 278778 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278784 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 278786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278788 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, immAllZerosV:{ *:[v16i8] }, SETGE:{ *:[Other] })  =>  (CMGEv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 278788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv16i8rz),
     /* 278791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278793 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278795 */     GIR_RootConstrainSelectedInstOperands,
     /* 278796 */     // GIR_Coverage, 5137,
     /* 278796 */     GIR_EraseRootFromParent_Done,
     /* 278797 */   // Label 5664: @278797
     /* 278797 */   GIM_Try, /*On fail goto*//*Label 5665*/ GIMT_Encode4(278834), // Rule ID 5144 //
     /* 278802 */     // MIs[0] Operand 1
     /* 278802 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 278807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 278815 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278821 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 278823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278825 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, immAllZerosV:{ *:[v16i8] }, SETLT:{ *:[Other] })  =>  (CMLTv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 278825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv16i8rz),
     /* 278828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278830 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278832 */     GIR_RootConstrainSelectedInstOperands,
     /* 278833 */     // GIR_Coverage, 5144,
     /* 278833 */     GIR_EraseRootFromParent_Done,
     /* 278834 */   // Label 5665: @278834
     /* 278834 */   GIM_Try, /*On fail goto*//*Label 5666*/ GIMT_Encode4(278871), // Rule ID 5151 //
     /* 278839 */     // MIs[0] Operand 1
     /* 278839 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 278844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 278852 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278858 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 278860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278862 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, immAllZerosV:{ *:[v16i8] }, SETLE:{ *:[Other] })  =>  (CMLEv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 278862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv16i8rz),
     /* 278865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278867 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278869 */     GIR_RootConstrainSelectedInstOperands,
     /* 278870 */     // GIR_Coverage, 5151,
     /* 278870 */     GIR_EraseRootFromParent_Done,
     /* 278871 */   // Label 5666: @278871
     /* 278871 */   GIM_Try, /*On fail goto*//*Label 5667*/ GIMT_Encode4(278903), // Rule ID 1122 //
     /* 278876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 278879 */     // MIs[0] Operand 1
     /* 278879 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 278884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278892 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 278892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv16i8),
     /* 278895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278897 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278899 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 278901 */     GIR_RootConstrainSelectedInstOperands,
     /* 278902 */     // GIR_Coverage, 1122,
     /* 278902 */     GIR_EraseRootFromParent_Done,
     /* 278903 */   // Label 5667: @278903
     /* 278903 */   GIM_Try, /*On fail goto*//*Label 5668*/ GIMT_Encode4(278935), // Rule ID 1129 //
     /* 278908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 278911 */     // MIs[0] Operand 1
     /* 278911 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 278916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278924 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 278924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv16i8),
     /* 278927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278929 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278931 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 278933 */     GIR_RootConstrainSelectedInstOperands,
     /* 278934 */     // GIR_Coverage, 1129,
     /* 278934 */     GIR_EraseRootFromParent_Done,
     /* 278935 */   // Label 5668: @278935
     /* 278935 */   GIM_Try, /*On fail goto*//*Label 5669*/ GIMT_Encode4(278967), // Rule ID 1136 //
     /* 278940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 278943 */     // MIs[0] Operand 1
     /* 278943 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 278948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278956 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 278956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv16i8),
     /* 278959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278961 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278963 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 278965 */     GIR_RootConstrainSelectedInstOperands,
     /* 278966 */     // GIR_Coverage, 1136,
     /* 278966 */     GIR_EraseRootFromParent_Done,
     /* 278967 */   // Label 5669: @278967
     /* 278967 */   GIM_Try, /*On fail goto*//*Label 5670*/ GIMT_Encode4(278999), // Rule ID 1143 //
     /* 278972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 278975 */     // MIs[0] Operand 1
     /* 278975 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 278980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278988 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 278988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv16i8),
     /* 278991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278993 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278995 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 278997 */     GIR_RootConstrainSelectedInstOperands,
     /* 278998 */     // GIR_Coverage, 1143,
     /* 278998 */     GIR_EraseRootFromParent_Done,
     /* 278999 */   // Label 5670: @278999
     /* 278999 */   GIM_Try, /*On fail goto*//*Label 5671*/ GIMT_Encode4(279031), // Rule ID 1150 //
     /* 279004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 279007 */     // MIs[0] Operand 1
     /* 279007 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 279012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279020 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 279020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv16i8),
     /* 279023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279025 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279027 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 279029 */     GIR_RootConstrainSelectedInstOperands,
     /* 279030 */     // GIR_Coverage, 1150,
     /* 279030 */     GIR_EraseRootFromParent_Done,
     /* 279031 */   // Label 5671: @279031
     /* 279031 */   GIM_Try, /*On fail goto*//*Label 5672*/ GIMT_Encode4(279060), // Rule ID 5060 //
     /* 279036 */     // MIs[0] Operand 1
     /* 279036 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 279041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279049 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 279049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv16i8),
     /* 279052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279054 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279056 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 279058 */     GIR_RootConstrainSelectedInstOperands,
     /* 279059 */     // GIR_Coverage, 5060,
     /* 279059 */     GIR_EraseRootFromParent_Done,
     /* 279060 */   // Label 5672: @279060
     /* 279060 */   GIM_Try, /*On fail goto*//*Label 5673*/ GIMT_Encode4(279089), // Rule ID 5067 //
     /* 279065 */     // MIs[0] Operand 1
     /* 279065 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 279070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279078 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 279078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv16i8),
     /* 279081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279083 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279085 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 279087 */     GIR_RootConstrainSelectedInstOperands,
     /* 279088 */     // GIR_Coverage, 5067,
     /* 279088 */     GIR_EraseRootFromParent_Done,
     /* 279089 */   // Label 5673: @279089
     /* 279089 */   GIM_Try, /*On fail goto*//*Label 5674*/ GIMT_Encode4(279118), // Rule ID 5074 //
     /* 279094 */     // MIs[0] Operand 1
     /* 279094 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 279099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279107 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 279107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv16i8),
     /* 279110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279112 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279114 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 279116 */     GIR_RootConstrainSelectedInstOperands,
     /* 279117 */     // GIR_Coverage, 5074,
     /* 279117 */     GIR_EraseRootFromParent_Done,
     /* 279118 */   // Label 5674: @279118
     /* 279118 */   GIM_Try, /*On fail goto*//*Label 5675*/ GIMT_Encode4(279147), // Rule ID 5081 //
     /* 279123 */     // MIs[0] Operand 1
     /* 279123 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 279128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279136 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 279136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv16i8),
     /* 279139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279141 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279143 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 279145 */     GIR_RootConstrainSelectedInstOperands,
     /* 279146 */     // GIR_Coverage, 5081,
     /* 279146 */     GIR_EraseRootFromParent_Done,
     /* 279147 */   // Label 5675: @279147
     /* 279147 */   GIM_Try, /*On fail goto*//*Label 5676*/ GIMT_Encode4(279176), // Rule ID 5088 //
     /* 279152 */     // MIs[0] Operand 1
     /* 279152 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 279157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279165 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 279165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv16i8),
     /* 279168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279170 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279172 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 279174 */     GIR_RootConstrainSelectedInstOperands,
     /* 279175 */     // GIR_Coverage, 5088,
     /* 279175 */     GIR_EraseRootFromParent_Done,
     /* 279176 */   // Label 5676: @279176
     /* 279176 */   GIM_Try, /*On fail goto*//*Label 5677*/ GIMT_Encode4(279205), // Rule ID 5095 //
     /* 279181 */     // MIs[0] Operand 1
     /* 279181 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 279186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279194 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETLT:{ *:[Other] })  =>  (CMGTv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, V128:{ *:[v16i8] }:$Rn)
     /* 279194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv16i8),
     /* 279197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279199 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 279201 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279203 */     GIR_RootConstrainSelectedInstOperands,
     /* 279204 */     // GIR_Coverage, 5095,
     /* 279204 */     GIR_EraseRootFromParent_Done,
     /* 279205 */   // Label 5677: @279205
     /* 279205 */   GIM_Try, /*On fail goto*//*Label 5678*/ GIMT_Encode4(279234), // Rule ID 5102 //
     /* 279210 */     // MIs[0] Operand 1
     /* 279210 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 279215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279223 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETLE:{ *:[Other] })  =>  (CMGEv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, V128:{ *:[v16i8] }:$Rn)
     /* 279223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv16i8),
     /* 279226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279228 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 279230 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279232 */     GIR_RootConstrainSelectedInstOperands,
     /* 279233 */     // GIR_Coverage, 5102,
     /* 279233 */     GIR_EraseRootFromParent_Done,
     /* 279234 */   // Label 5678: @279234
     /* 279234 */   GIM_Try, /*On fail goto*//*Label 5679*/ GIMT_Encode4(279263), // Rule ID 5109 //
     /* 279239 */     // MIs[0] Operand 1
     /* 279239 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 279244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279252 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETULT:{ *:[Other] })  =>  (CMHIv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, V128:{ *:[v16i8] }:$Rn)
     /* 279252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv16i8),
     /* 279255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279257 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 279259 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279261 */     GIR_RootConstrainSelectedInstOperands,
     /* 279262 */     // GIR_Coverage, 5109,
     /* 279262 */     GIR_EraseRootFromParent_Done,
     /* 279263 */   // Label 5679: @279263
     /* 279263 */   GIM_Try, /*On fail goto*//*Label 5680*/ GIMT_Encode4(279292), // Rule ID 5116 //
     /* 279268 */     // MIs[0] Operand 1
     /* 279268 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 279273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279281 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETULE:{ *:[Other] })  =>  (CMHSv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, V128:{ *:[v16i8] }:$Rn)
     /* 279281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv16i8),
     /* 279284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279286 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 279288 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279290 */     GIR_RootConstrainSelectedInstOperands,
     /* 279291 */     // GIR_Coverage, 5116,
     /* 279291 */     GIR_EraseRootFromParent_Done,
     /* 279292 */   // Label 5680: @279292
     /* 279292 */   GIM_Reject,
     /* 279293 */ // Label 5650: @279293
     /* 279293 */ GIM_Reject,
     /* 279294 */ // Label 5451: @279294
     /* 279294 */ GIM_Reject,
     /* 279295 */ // Label 50: @279295
     /* 279295 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(12), GIMT_Encode2(24), /*)*//*default:*//*Label 5693*/ GIMT_Encode4(280339),
     /* 279306 */ /*GILLT_nxv1s1*//*Label 5681*/ GIMT_Encode4(279354),
     /* 279310 */ /*GILLT_nxv2s1*//*Label 5682*/ GIMT_Encode4(279383),
     /* 279314 */ /*GILLT_nxv2s16*//*Label 5683*/ GIMT_Encode4(279412),
     /* 279318 */ /*GILLT_nxv2s32*//*Label 5684*/ GIMT_Encode4(279497),
     /* 279322 */ /*GILLT_nxv2s64*//*Label 5685*/ GIMT_Encode4(279582),
     /* 279326 */ /*GILLT_nxv4s1*//*Label 5686*/ GIMT_Encode4(279748),
     /* 279330 */ /*GILLT_nxv4s16*//*Label 5687*/ GIMT_Encode4(279777),
     /* 279334 */ /*GILLT_nxv4s32*//*Label 5688*/ GIMT_Encode4(279862),
     /* 279338 */ /*GILLT_nxv8s1*//*Label 5689*/ GIMT_Encode4(280028),
     /* 279342 */ /*GILLT_nxv8s16*//*Label 5690*/ GIMT_Encode4(280057),
     /* 279346 */ /*GILLT_nxv16s1*//*Label 5691*/ GIMT_Encode4(280223),
     /* 279350 */ /*GILLT_nxv16s8*//*Label 5692*/ GIMT_Encode4(280252),
     /* 279354 */ // Label 5681: @279354
     /* 279354 */ GIM_Try, /*On fail goto*//*Label 5694*/ GIMT_Encode4(279382), // Rule ID 8392 //
     /* 279359 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 279362 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 279365 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 279368 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 279371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 279375 */   // (vselect:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op1, nxv1i1:{ *:[nxv1i1] }:$Op2, nxv1i1:{ *:[nxv1i1] }:$Op3)  =>  (SEL_PPPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2, ?:{ *:[nxv1i1] }:$Op3)
     /* 279375 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_PPPP),
     /* 279380 */   GIR_RootConstrainSelectedInstOperands,
     /* 279381 */   // GIR_Coverage, 8392,
     /* 279381 */   GIR_Done,
     /* 279382 */ // Label 5694: @279382
     /* 279382 */ GIM_Reject,
     /* 279383 */ // Label 5682: @279383
     /* 279383 */ GIM_Try, /*On fail goto*//*Label 5695*/ GIMT_Encode4(279411), // Rule ID 8391 //
     /* 279388 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 279391 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 279394 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 279397 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 279400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 279404 */   // (vselect:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i1:{ *:[nxv2i1] }:$Op3)  =>  (SEL_PPPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i1] }:$Op3)
     /* 279404 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_PPPP),
     /* 279409 */   GIR_RootConstrainSelectedInstOperands,
     /* 279410 */   // GIR_Coverage, 8391,
     /* 279410 */   GIR_Done,
     /* 279411 */ // Label 5695: @279411
     /* 279411 */ GIM_Reject,
     /* 279412 */ // Label 5683: @279412
     /* 279412 */ GIM_Try, /*On fail goto*//*Label 5696*/ GIMT_Encode4(279496),
     /* 279417 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 279420 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 279423 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 279426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 279430 */   GIM_Try, /*On fail goto*//*Label 5697*/ GIMT_Encode4(279480), // Rule ID 3161 //
     /* 279435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 279438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 279442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 279446 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 279450 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 279454 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 279458 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm16),
     /* 279462 */     // MIs[2] Operand 1
     /* 279462 */     // No operand predicates
     /* 279462 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 279464 */     // (vselect:{ *:[nxv2f16] } nxv2i1:{ *:[nxv2i1] }:$pg, (splat_vector:{ *:[nxv2f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>><<X:fpimm16XForm>>:$imm8), nxv2f16:{ *:[nxv2f16] }:$zd)  =>  (FCPY_ZPmI_H:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$zd, ?:{ *:[nxv2i1] }:$pg, (fpimm16XForm:{ *:[f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>>:$imm8))
     /* 279464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCPY_ZPmI_H),
     /* 279467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 279469 */     GIR_RootToRootCopy, /*OpIdx*/3, // zd
     /* 279471 */     GIR_RootToRootCopy, /*OpIdx*/1, // pg
     /* 279473 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderFPImm16), // imm8
     /* 279478 */     GIR_RootConstrainSelectedInstOperands,
     /* 279479 */     // GIR_Coverage, 3161,
     /* 279479 */     GIR_EraseRootFromParent_Done,
     /* 279480 */   // Label 5697: @279480
     /* 279480 */   GIM_Try, /*On fail goto*//*Label 5698*/ GIMT_Encode4(279495), // Rule ID 2741 //
     /* 279485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 279488 */     // (vselect:{ *:[nxv2f16] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3)  =>  (SEL_ZPZZ_D:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3)
     /* 279488 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_ZPZZ_D),
     /* 279493 */     GIR_RootConstrainSelectedInstOperands,
     /* 279494 */     // GIR_Coverage, 2741,
     /* 279494 */     GIR_Done,
     /* 279495 */   // Label 5698: @279495
     /* 279495 */   GIM_Reject,
     /* 279496 */ // Label 5696: @279496
     /* 279496 */ GIM_Reject,
     /* 279497 */ // Label 5684: @279497
     /* 279497 */ GIM_Try, /*On fail goto*//*Label 5699*/ GIMT_Encode4(279581),
     /* 279502 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 279505 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 279508 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 279511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 279515 */   GIM_Try, /*On fail goto*//*Label 5700*/ GIMT_Encode4(279565), // Rule ID 3163 //
     /* 279520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 279523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 279527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 279531 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 279535 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 279539 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 279543 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm32),
     /* 279547 */     // MIs[2] Operand 1
     /* 279547 */     // No operand predicates
     /* 279547 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 279549 */     // (vselect:{ *:[nxv2f32] } nxv2i1:{ *:[nxv2i1] }:$pg, (splat_vector:{ *:[nxv2f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm32>><<X:fpimm32XForm>>:$imm8), nxv2f32:{ *:[nxv2f32] }:$zd)  =>  (FCPY_ZPmI_S:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$zd, ?:{ *:[nxv2i1] }:$pg, (fpimm32XForm:{ *:[f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm32>>:$imm8))
     /* 279549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCPY_ZPmI_S),
     /* 279552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 279554 */     GIR_RootToRootCopy, /*OpIdx*/3, // zd
     /* 279556 */     GIR_RootToRootCopy, /*OpIdx*/1, // pg
     /* 279558 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderFPImm32), // imm8
     /* 279563 */     GIR_RootConstrainSelectedInstOperands,
     /* 279564 */     // GIR_Coverage, 3163,
     /* 279564 */     GIR_EraseRootFromParent_Done,
     /* 279565 */   // Label 5700: @279565
     /* 279565 */   GIM_Try, /*On fail goto*//*Label 5701*/ GIMT_Encode4(279580), // Rule ID 2742 //
     /* 279570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 279573 */     // (vselect:{ *:[nxv2f32] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3)  =>  (SEL_ZPZZ_D:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3)
     /* 279573 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_ZPZZ_D),
     /* 279578 */     GIR_RootConstrainSelectedInstOperands,
     /* 279579 */     // GIR_Coverage, 2742,
     /* 279579 */     GIR_Done,
     /* 279580 */   // Label 5701: @279580
     /* 279580 */   GIM_Reject,
     /* 279581 */ // Label 5699: @279581
     /* 279581 */ GIM_Reject,
     /* 279582 */ // Label 5685: @279582
     /* 279582 */ GIM_Try, /*On fail goto*//*Label 5702*/ GIMT_Encode4(279747),
     /* 279587 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 279590 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 279593 */   GIM_Try, /*On fail goto*//*Label 5703*/ GIMT_Encode4(279650), // Rule ID 3164 //
     /* 279598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 279601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 279604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 279608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 279612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 279616 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 279620 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 279624 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 279628 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm64),
     /* 279632 */     // MIs[2] Operand 1
     /* 279632 */     // No operand predicates
     /* 279632 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 279634 */     // (vselect:{ *:[nxv2f64] } nxv2i1:{ *:[nxv2i1] }:$pg, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm64>><<X:fpimm64XForm>>:$imm8), nxv2f64:{ *:[nxv2f64] }:$zd)  =>  (FCPY_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$zd, ?:{ *:[nxv2i1] }:$pg, (fpimm64XForm:{ *:[f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm64>>:$imm8))
     /* 279634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCPY_ZPmI_D),
     /* 279637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 279639 */     GIR_RootToRootCopy, /*OpIdx*/3, // zd
     /* 279641 */     GIR_RootToRootCopy, /*OpIdx*/1, // pg
     /* 279643 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderFPImm64), // imm8
     /* 279648 */     GIR_RootConstrainSelectedInstOperands,
     /* 279649 */     // GIR_Coverage, 3164,
     /* 279649 */     GIR_EraseRootFromParent_Done,
     /* 279650 */   // Label 5703: @279650
     /* 279650 */   GIM_Try, /*On fail goto*//*Label 5704*/ GIMT_Encode4(279702), // Rule ID 7442 //
     /* 279655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 279658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 279662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 279666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 279670 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 279674 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 279678 */     // MIs[0] Op2
     /* 279678 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 279683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 279685 */     // (vselect:{ *:[nxv2i64] } nxv2i1:{ *:[nxv2i1] }:$Op1, (sub:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i64:{ *:[nxv2i64] }:$Op2), nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SUBR_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 279685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBR_ZPmZ_D),
     /* 279688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 279690 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /* 279692 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /* 279696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op3
     /* 279700 */     GIR_RootConstrainSelectedInstOperands,
     /* 279701 */     // GIR_Coverage, 7442,
     /* 279701 */     GIR_EraseRootFromParent_Done,
     /* 279702 */   // Label 5704: @279702
     /* 279702 */   GIM_Try, /*On fail goto*//*Label 5705*/ GIMT_Encode4(279724), // Rule ID 2737 //
     /* 279707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 279710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 279713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 279717 */     // (vselect:{ *:[nxv2i64] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SEL_ZPZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 279717 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_ZPZZ_D),
     /* 279722 */     GIR_RootConstrainSelectedInstOperands,
     /* 279723 */     // GIR_Coverage, 2737,
     /* 279723 */     GIR_Done,
     /* 279724 */   // Label 5705: @279724
     /* 279724 */   GIM_Try, /*On fail goto*//*Label 5706*/ GIMT_Encode4(279746), // Rule ID 2743 //
     /* 279729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 279732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 279735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 279739 */     // (vselect:{ *:[nxv2f64] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (SEL_ZPZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 279739 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_ZPZZ_D),
     /* 279744 */     GIR_RootConstrainSelectedInstOperands,
     /* 279745 */     // GIR_Coverage, 2743,
     /* 279745 */     GIR_Done,
     /* 279746 */   // Label 5706: @279746
     /* 279746 */   GIM_Reject,
     /* 279747 */ // Label 5702: @279747
     /* 279747 */ GIM_Reject,
     /* 279748 */ // Label 5686: @279748
     /* 279748 */ GIM_Try, /*On fail goto*//*Label 5707*/ GIMT_Encode4(279776), // Rule ID 8390 //
     /* 279753 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 279756 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 279759 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 279762 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 279765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 279769 */   // (vselect:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i1:{ *:[nxv4i1] }:$Op3)  =>  (SEL_PPPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i1] }:$Op3)
     /* 279769 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_PPPP),
     /* 279774 */   GIR_RootConstrainSelectedInstOperands,
     /* 279775 */   // GIR_Coverage, 8390,
     /* 279775 */   GIR_Done,
     /* 279776 */ // Label 5707: @279776
     /* 279776 */ GIM_Reject,
     /* 279777 */ // Label 5687: @279777
     /* 279777 */ GIM_Try, /*On fail goto*//*Label 5708*/ GIMT_Encode4(279861),
     /* 279782 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 279785 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 279788 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 279791 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 279795 */   GIM_Try, /*On fail goto*//*Label 5709*/ GIMT_Encode4(279845), // Rule ID 3160 //
     /* 279800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 279803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 279807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 279811 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 279815 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 279819 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 279823 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm16),
     /* 279827 */     // MIs[2] Operand 1
     /* 279827 */     // No operand predicates
     /* 279827 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 279829 */     // (vselect:{ *:[nxv4f16] } nxv4i1:{ *:[nxv4i1] }:$pg, (splat_vector:{ *:[nxv4f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>><<X:fpimm16XForm>>:$imm8), nxv4f16:{ *:[nxv4f16] }:$zd)  =>  (FCPY_ZPmI_H:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$zd, ?:{ *:[nxv4i1] }:$pg, (fpimm16XForm:{ *:[f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>>:$imm8))
     /* 279829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCPY_ZPmI_H),
     /* 279832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 279834 */     GIR_RootToRootCopy, /*OpIdx*/3, // zd
     /* 279836 */     GIR_RootToRootCopy, /*OpIdx*/1, // pg
     /* 279838 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderFPImm16), // imm8
     /* 279843 */     GIR_RootConstrainSelectedInstOperands,
     /* 279844 */     // GIR_Coverage, 3160,
     /* 279844 */     GIR_EraseRootFromParent_Done,
     /* 279845 */   // Label 5709: @279845
     /* 279845 */   GIM_Try, /*On fail goto*//*Label 5710*/ GIMT_Encode4(279860), // Rule ID 2739 //
     /* 279850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 279853 */     // (vselect:{ *:[nxv4f16] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3)  =>  (SEL_ZPZZ_S:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3)
     /* 279853 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_ZPZZ_S),
     /* 279858 */     GIR_RootConstrainSelectedInstOperands,
     /* 279859 */     // GIR_Coverage, 2739,
     /* 279859 */     GIR_Done,
     /* 279860 */   // Label 5710: @279860
     /* 279860 */   GIM_Reject,
     /* 279861 */ // Label 5708: @279861
     /* 279861 */ GIM_Reject,
     /* 279862 */ // Label 5688: @279862
     /* 279862 */ GIM_Try, /*On fail goto*//*Label 5711*/ GIMT_Encode4(280027),
     /* 279867 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 279870 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 279873 */   GIM_Try, /*On fail goto*//*Label 5712*/ GIMT_Encode4(279930), // Rule ID 3162 //
     /* 279878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 279881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 279884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 279888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 279892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 279896 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 279900 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 279904 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 279908 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm32),
     /* 279912 */     // MIs[2] Operand 1
     /* 279912 */     // No operand predicates
     /* 279912 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 279914 */     // (vselect:{ *:[nxv4f32] } nxv4i1:{ *:[nxv4i1] }:$pg, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm32>><<X:fpimm32XForm>>:$imm8), nxv4f32:{ *:[nxv4f32] }:$zd)  =>  (FCPY_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$zd, ?:{ *:[nxv4i1] }:$pg, (fpimm32XForm:{ *:[f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm32>>:$imm8))
     /* 279914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCPY_ZPmI_S),
     /* 279917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 279919 */     GIR_RootToRootCopy, /*OpIdx*/3, // zd
     /* 279921 */     GIR_RootToRootCopy, /*OpIdx*/1, // pg
     /* 279923 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderFPImm32), // imm8
     /* 279928 */     GIR_RootConstrainSelectedInstOperands,
     /* 279929 */     // GIR_Coverage, 3162,
     /* 279929 */     GIR_EraseRootFromParent_Done,
     /* 279930 */   // Label 5712: @279930
     /* 279930 */   GIM_Try, /*On fail goto*//*Label 5713*/ GIMT_Encode4(279982), // Rule ID 7440 //
     /* 279935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 279938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 279942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 279946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 279950 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 279954 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 279958 */     // MIs[0] Op2
     /* 279958 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 279963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 279965 */     // (vselect:{ *:[nxv4i32] } nxv4i1:{ *:[nxv4i1] }:$Op1, (sub:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i32:{ *:[nxv4i32] }:$Op2), nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SUBR_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 279965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBR_ZPmZ_S),
     /* 279968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 279970 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /* 279972 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /* 279976 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op3
     /* 279980 */     GIR_RootConstrainSelectedInstOperands,
     /* 279981 */     // GIR_Coverage, 7440,
     /* 279981 */     GIR_EraseRootFromParent_Done,
     /* 279982 */   // Label 5713: @279982
     /* 279982 */   GIM_Try, /*On fail goto*//*Label 5714*/ GIMT_Encode4(280004), // Rule ID 2736 //
     /* 279987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 279990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 279993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 279997 */     // (vselect:{ *:[nxv4i32] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SEL_ZPZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 279997 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_ZPZZ_S),
     /* 280002 */     GIR_RootConstrainSelectedInstOperands,
     /* 280003 */     // GIR_Coverage, 2736,
     /* 280003 */     GIR_Done,
     /* 280004 */   // Label 5714: @280004
     /* 280004 */   GIM_Try, /*On fail goto*//*Label 5715*/ GIMT_Encode4(280026), // Rule ID 2740 //
     /* 280009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 280012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 280015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 280019 */     // (vselect:{ *:[nxv4f32] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (SEL_ZPZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 280019 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_ZPZZ_S),
     /* 280024 */     GIR_RootConstrainSelectedInstOperands,
     /* 280025 */     // GIR_Coverage, 2740,
     /* 280025 */     GIR_Done,
     /* 280026 */   // Label 5715: @280026
     /* 280026 */   GIM_Reject,
     /* 280027 */ // Label 5711: @280027
     /* 280027 */ GIM_Reject,
     /* 280028 */ // Label 5689: @280028
     /* 280028 */ GIM_Try, /*On fail goto*//*Label 5716*/ GIMT_Encode4(280056), // Rule ID 8389 //
     /* 280033 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 280036 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 280039 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 280042 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 280045 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 280049 */   // (vselect:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2, nxv8i1:{ *:[nxv8i1] }:$Op3)  =>  (SEL_PPPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2, ?:{ *:[nxv8i1] }:$Op3)
     /* 280049 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_PPPP),
     /* 280054 */   GIR_RootConstrainSelectedInstOperands,
     /* 280055 */   // GIR_Coverage, 8389,
     /* 280055 */   GIR_Done,
     /* 280056 */ // Label 5716: @280056
     /* 280056 */ GIM_Reject,
     /* 280057 */ // Label 5690: @280057
     /* 280057 */ GIM_Try, /*On fail goto*//*Label 5717*/ GIMT_Encode4(280222),
     /* 280062 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 280065 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 280068 */   GIM_Try, /*On fail goto*//*Label 5718*/ GIMT_Encode4(280125), // Rule ID 3159 //
     /* 280073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 280076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 280079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 280083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 280087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 280091 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 280095 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 280099 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 280103 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm16),
     /* 280107 */     // MIs[2] Operand 1
     /* 280107 */     // No operand predicates
     /* 280107 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 280109 */     // (vselect:{ *:[nxv8f16] } nxv8i1:{ *:[nxv8i1] }:$pg, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>><<X:fpimm16XForm>>:$imm8), nxv8f16:{ *:[nxv8f16] }:$zd)  =>  (FCPY_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$zd, ?:{ *:[nxv8i1] }:$pg, (fpimm16XForm:{ *:[f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>>:$imm8))
     /* 280109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCPY_ZPmI_H),
     /* 280112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 280114 */     GIR_RootToRootCopy, /*OpIdx*/3, // zd
     /* 280116 */     GIR_RootToRootCopy, /*OpIdx*/1, // pg
     /* 280118 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderFPImm16), // imm8
     /* 280123 */     GIR_RootConstrainSelectedInstOperands,
     /* 280124 */     // GIR_Coverage, 3159,
     /* 280124 */     GIR_EraseRootFromParent_Done,
     /* 280125 */   // Label 5718: @280125
     /* 280125 */   GIM_Try, /*On fail goto*//*Label 5719*/ GIMT_Encode4(280177), // Rule ID 7438 //
     /* 280130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 280133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 280137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 280141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 280145 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 280149 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 280153 */     // MIs[0] Op2
     /* 280153 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 280158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 280160 */     // (vselect:{ *:[nxv8i16] } nxv8i1:{ *:[nxv8i1] }:$Op1, (sub:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i16:{ *:[nxv8i16] }:$Op2), nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SUBR_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 280160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBR_ZPmZ_H),
     /* 280163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 280165 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /* 280167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /* 280171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op3
     /* 280175 */     GIR_RootConstrainSelectedInstOperands,
     /* 280176 */     // GIR_Coverage, 7438,
     /* 280176 */     GIR_EraseRootFromParent_Done,
     /* 280177 */   // Label 5719: @280177
     /* 280177 */   GIM_Try, /*On fail goto*//*Label 5720*/ GIMT_Encode4(280199), // Rule ID 2735 //
     /* 280182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 280185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 280188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 280192 */     // (vselect:{ *:[nxv8i16] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SEL_ZPZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 280192 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_ZPZZ_H),
     /* 280197 */     GIR_RootConstrainSelectedInstOperands,
     /* 280198 */     // GIR_Coverage, 2735,
     /* 280198 */     GIR_Done,
     /* 280199 */   // Label 5720: @280199
     /* 280199 */   GIM_Try, /*On fail goto*//*Label 5721*/ GIMT_Encode4(280221), // Rule ID 2738 //
     /* 280204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 280207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 280210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 280214 */     // (vselect:{ *:[nxv8f16] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (SEL_ZPZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 280214 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_ZPZZ_H),
     /* 280219 */     GIR_RootConstrainSelectedInstOperands,
     /* 280220 */     // GIR_Coverage, 2738,
     /* 280220 */     GIR_Done,
     /* 280221 */   // Label 5721: @280221
     /* 280221 */   GIM_Reject,
     /* 280222 */ // Label 5717: @280222
     /* 280222 */ GIM_Reject,
     /* 280223 */ // Label 5691: @280223
     /* 280223 */ GIM_Try, /*On fail goto*//*Label 5722*/ GIMT_Encode4(280251), // Rule ID 8388 //
     /* 280228 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 280231 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 280234 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 280237 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 280240 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 280244 */   // (vselect:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (SEL_PPPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 280244 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_PPPP),
     /* 280249 */   GIR_RootConstrainSelectedInstOperands,
     /* 280250 */   // GIR_Coverage, 8388,
     /* 280250 */   GIR_Done,
     /* 280251 */ // Label 5722: @280251
     /* 280251 */ GIM_Reject,
     /* 280252 */ // Label 5692: @280252
     /* 280252 */ GIM_Try, /*On fail goto*//*Label 5723*/ GIMT_Encode4(280338),
     /* 280257 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 280260 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 280263 */   GIM_Try, /*On fail goto*//*Label 5724*/ GIMT_Encode4(280315), // Rule ID 7436 //
     /* 280268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 280271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 280275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 280279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 280283 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 280287 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 280291 */     // MIs[0] Op2
     /* 280291 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 280296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 280298 */     // (vselect:{ *:[nxv16i8] } nxv16i1:{ *:[nxv16i1] }:$Op1, (sub:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i8:{ *:[nxv16i8] }:$Op2), nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SUBR_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 280298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBR_ZPmZ_B),
     /* 280301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 280303 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /* 280305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /* 280309 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op3
     /* 280313 */     GIR_RootConstrainSelectedInstOperands,
     /* 280314 */     // GIR_Coverage, 7436,
     /* 280314 */     GIR_EraseRootFromParent_Done,
     /* 280315 */   // Label 5724: @280315
     /* 280315 */   GIM_Try, /*On fail goto*//*Label 5725*/ GIMT_Encode4(280337), // Rule ID 2734 //
     /* 280320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 280323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 280326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 280330 */     // (vselect:{ *:[nxv16i8] } nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SEL_ZPZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 280330 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_ZPZZ_B),
     /* 280335 */     GIR_RootConstrainSelectedInstOperands,
     /* 280336 */     // GIR_Coverage, 2734,
     /* 280336 */     GIR_Done,
     /* 280337 */   // Label 5725: @280337
     /* 280337 */   GIM_Reject,
     /* 280338 */ // Label 5723: @280338
     /* 280338 */ GIM_Reject,
     /* 280339 */ // Label 5693: @280339
     /* 280339 */ GIM_Reject,
     /* 280340 */ // Label 51: @280340
     /* 280340 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(12), /*)*//*default:*//*Label 5730*/ GIMT_Encode4(280823),
     /* 280351 */ /*GILLT_s64*//*Label 5726*/ GIMT_Encode4(280387), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 280371 */ /*GILLT_v4s32*//*Label 5727*/ GIMT_Encode4(280418), GIMT_Encode4(0),
     /* 280379 */ /*GILLT_v8s16*//*Label 5728*/ GIMT_Encode4(280553),
     /* 280383 */ /*GILLT_v16s8*//*Label 5729*/ GIMT_Encode4(280688),
     /* 280387 */ // Label 5726: @280387
     /* 280387 */ GIM_Try, /*On fail goto*//*Label 5731*/ GIMT_Encode4(280417), // Rule ID 128 //
     /* 280392 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 280395 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 280398 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 280402 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 280406 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 280410 */   // (mulhu:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (UMULHrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 280410 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMULHrr),
     /* 280415 */   GIR_RootConstrainSelectedInstOperands,
     /* 280416 */   // GIR_Coverage, 128,
     /* 280416 */   GIR_Done,
     /* 280417 */ // Label 5731: @280417
     /* 280417 */ GIM_Reject,
     /* 280418 */ // Label 5727: @280418
     /* 280418 */ GIM_Try, /*On fail goto*//*Label 5732*/ GIMT_Encode4(280552), // Rule ID 6494 //
     /* 280423 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 280426 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 280429 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280433 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280437 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280441 */   // (mulhu:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UZP2v4i32:{ *:[v4i32] } (UMULLv2i32_v2i64:{ *:[f128] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v4i32] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v4i32] }:$Rm, dsub:{ *:[i32] })), (UMULLv4i32_v2i64:{ *:[f128] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm))
     /* 280441 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 280444 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::UMULLv4i32_v2i64),
     /* 280448 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 280453 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 280457 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 280461 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 280463 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 280466 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 280470 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 280475 */   GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 280481 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 280486 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280491 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 280494 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 280498 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 280503 */   GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 280509 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 280514 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280519 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 280522 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMULLv2i32_v2i64),
     /* 280526 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 280531 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 280534 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 280537 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 280539 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2v4i32),
     /* 280542 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280544 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 280547 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/3,
     /* 280550 */   GIR_RootConstrainSelectedInstOperands,
     /* 280551 */   // GIR_Coverage, 6494,
     /* 280551 */   GIR_EraseRootFromParent_Done,
     /* 280552 */ // Label 5732: @280552
     /* 280552 */ GIM_Reject,
     /* 280553 */ // Label 5728: @280553
     /* 280553 */ GIM_Try, /*On fail goto*//*Label 5733*/ GIMT_Encode4(280687), // Rule ID 6493 //
     /* 280558 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 280561 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 280564 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280568 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280572 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280576 */   // (mulhu:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UZP2v8i16:{ *:[v8i16] } (UMULLv4i16_v4i32:{ *:[f128] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v8i16] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v8i16] }:$Rm, dsub:{ *:[i32] })), (UMULLv8i16_v4i32:{ *:[f128] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm))
     /* 280576 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 280579 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::UMULLv8i16_v4i32),
     /* 280583 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 280588 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 280592 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 280596 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 280598 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 280601 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 280605 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 280610 */   GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 280616 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 280621 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280626 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 280629 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 280633 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 280638 */   GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 280644 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 280649 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280654 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 280657 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMULLv4i16_v4i32),
     /* 280661 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 280666 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 280669 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 280672 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 280674 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2v8i16),
     /* 280677 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280679 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 280682 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/3,
     /* 280685 */   GIR_RootConstrainSelectedInstOperands,
     /* 280686 */   // GIR_Coverage, 6493,
     /* 280686 */   GIR_EraseRootFromParent_Done,
     /* 280687 */ // Label 5733: @280687
     /* 280687 */ GIM_Reject,
     /* 280688 */ // Label 5729: @280688
     /* 280688 */ GIM_Try, /*On fail goto*//*Label 5734*/ GIMT_Encode4(280822), // Rule ID 6492 //
     /* 280693 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 280696 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 280699 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280703 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280707 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280711 */   // (mulhu:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UZP2v16i8:{ *:[v16i8] } (UMULLv8i8_v8i16:{ *:[f128] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v16i8] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v16i8] }:$Rm, dsub:{ *:[i32] })), (UMULLv16i8_v8i16:{ *:[f128] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm))
     /* 280711 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 280714 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::UMULLv16i8_v8i16),
     /* 280718 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 280723 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 280727 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 280731 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 280733 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 280736 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 280740 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 280745 */   GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 280751 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 280756 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280761 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 280764 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 280768 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 280773 */   GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 280779 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 280784 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280789 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 280792 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMULLv8i8_v8i16),
     /* 280796 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 280801 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 280804 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 280807 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 280809 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2v16i8),
     /* 280812 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280814 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 280817 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/3,
     /* 280820 */   GIR_RootConstrainSelectedInstOperands,
     /* 280821 */   // GIR_Coverage, 6492,
     /* 280821 */   GIR_EraseRootFromParent_Done,
     /* 280822 */ // Label 5734: @280822
     /* 280822 */ GIM_Reject,
     /* 280823 */ // Label 5730: @280823
     /* 280823 */ GIM_Reject,
     /* 280824 */ // Label 52: @280824
     /* 280824 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(12), /*)*//*default:*//*Label 5739*/ GIMT_Encode4(281307),
     /* 280835 */ /*GILLT_s64*//*Label 5735*/ GIMT_Encode4(280871), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 280855 */ /*GILLT_v4s32*//*Label 5736*/ GIMT_Encode4(280902), GIMT_Encode4(0),
     /* 280863 */ /*GILLT_v8s16*//*Label 5737*/ GIMT_Encode4(281037),
     /* 280867 */ /*GILLT_v16s8*//*Label 5738*/ GIMT_Encode4(281172),
     /* 280871 */ // Label 5735: @280871
     /* 280871 */ GIM_Try, /*On fail goto*//*Label 5740*/ GIMT_Encode4(280901), // Rule ID 127 //
     /* 280876 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 280879 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 280882 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 280886 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 280890 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 280894 */   // (mulhs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (SMULHrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 280894 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMULHrr),
     /* 280899 */   GIR_RootConstrainSelectedInstOperands,
     /* 280900 */   // GIR_Coverage, 127,
     /* 280900 */   GIR_Done,
     /* 280901 */ // Label 5740: @280901
     /* 280901 */ GIM_Reject,
     /* 280902 */ // Label 5736: @280902
     /* 280902 */ GIM_Try, /*On fail goto*//*Label 5741*/ GIMT_Encode4(281036), // Rule ID 6491 //
     /* 280907 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 280910 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 280913 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280917 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280921 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280925 */   // (mulhs:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UZP2v4i32:{ *:[v4i32] } (SMULLv2i32_v2i64:{ *:[f128] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v4i32] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v4i32] }:$Rm, dsub:{ *:[i32] })), (SMULLv4i32_v2i64:{ *:[f128] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm))
     /* 280925 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 280928 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::SMULLv4i32_v2i64),
     /* 280932 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 280937 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 280941 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 280945 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 280947 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 280950 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 280954 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 280959 */   GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 280965 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 280970 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280975 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 280978 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 280982 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 280987 */   GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 280993 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 280998 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281003 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 281006 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMULLv2i32_v2i64),
     /* 281010 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 281015 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 281018 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 281021 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 281023 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2v4i32),
     /* 281026 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 281028 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 281031 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/3,
     /* 281034 */   GIR_RootConstrainSelectedInstOperands,
     /* 281035 */   // GIR_Coverage, 6491,
     /* 281035 */   GIR_EraseRootFromParent_Done,
     /* 281036 */ // Label 5741: @281036
     /* 281036 */ GIM_Reject,
     /* 281037 */ // Label 5737: @281037
     /* 281037 */ GIM_Try, /*On fail goto*//*Label 5742*/ GIMT_Encode4(281171), // Rule ID 6490 //
     /* 281042 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 281045 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 281048 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281052 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281056 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281060 */   // (mulhs:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UZP2v8i16:{ *:[v8i16] } (SMULLv4i16_v4i32:{ *:[f128] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v8i16] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v8i16] }:$Rm, dsub:{ *:[i32] })), (SMULLv8i16_v4i32:{ *:[f128] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm))
     /* 281060 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 281063 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::SMULLv8i16_v4i32),
     /* 281067 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 281072 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 281076 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 281080 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 281082 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 281085 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 281089 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 281094 */   GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 281100 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 281105 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281110 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 281113 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 281117 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 281122 */   GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 281128 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 281133 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281138 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 281141 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMULLv4i16_v4i32),
     /* 281145 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 281150 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 281153 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 281156 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 281158 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2v8i16),
     /* 281161 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 281163 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 281166 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/3,
     /* 281169 */   GIR_RootConstrainSelectedInstOperands,
     /* 281170 */   // GIR_Coverage, 6490,
     /* 281170 */   GIR_EraseRootFromParent_Done,
     /* 281171 */ // Label 5742: @281171
     /* 281171 */ GIM_Reject,
     /* 281172 */ // Label 5738: @281172
     /* 281172 */ GIM_Try, /*On fail goto*//*Label 5743*/ GIMT_Encode4(281306), // Rule ID 6489 //
     /* 281177 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 281180 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 281183 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281187 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281191 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281195 */   // (mulhs:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UZP2v16i8:{ *:[v16i8] } (SMULLv8i8_v8i16:{ *:[f128] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v16i8] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v16i8] }:$Rm, dsub:{ *:[i32] })), (SMULLv16i8_v8i16:{ *:[f128] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm))
     /* 281195 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 281198 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::SMULLv16i8_v8i16),
     /* 281202 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 281207 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 281211 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 281215 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 281217 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 281220 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 281224 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 281229 */   GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 281235 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 281240 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281245 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 281248 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 281252 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 281257 */   GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 281263 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 281268 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281273 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 281276 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMULLv8i8_v8i16),
     /* 281280 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 281285 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 281288 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 281291 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 281293 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2v16i8),
     /* 281296 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 281298 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 281301 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/3,
     /* 281304 */   GIR_RootConstrainSelectedInstOperands,
     /* 281305 */   // GIR_Coverage, 6489,
     /* 281305 */   GIR_EraseRootFromParent_Done,
     /* 281306 */ // Label 5743: @281306
     /* 281306 */ GIM_Reject,
     /* 281307 */ // Label 5739: @281307
     /* 281307 */ GIM_Reject,
     /* 281308 */ // Label 53: @281308
     /* 281308 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(24), /*)*//*default:*//*Label 5755*/ GIMT_Encode4(281737),
     /* 281319 */ /*GILLT_v2s32*//*Label 5744*/ GIMT_Encode4(281395),
     /* 281323 */ /*GILLT_v2s64*//*Label 5745*/ GIMT_Encode4(281429),
     /* 281327 */ /*GILLT_v4s16*//*Label 5746*/ GIMT_Encode4(281463),
     /* 281331 */ /*GILLT_v4s32*//*Label 5747*/ GIMT_Encode4(281497),
     /* 281335 */ /*GILLT_v8s8*//*Label 5748*/ GIMT_Encode4(281531),
     /* 281339 */ /*GILLT_v8s16*//*Label 5749*/ GIMT_Encode4(281565),
     /* 281343 */ /*GILLT_v16s8*//*Label 5750*/ GIMT_Encode4(281599), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 281363 */ /*GILLT_nxv2s64*//*Label 5751*/ GIMT_Encode4(281633), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 281375 */ /*GILLT_nxv4s32*//*Label 5752*/ GIMT_Encode4(281659), GIMT_Encode4(0),
     /* 281383 */ /*GILLT_nxv8s16*//*Label 5753*/ GIMT_Encode4(281685), GIMT_Encode4(0),
     /* 281391 */ /*GILLT_nxv16s8*//*Label 5754*/ GIMT_Encode4(281711),
     /* 281395 */ // Label 5744: @281395
     /* 281395 */ GIM_Try, /*On fail goto*//*Label 5756*/ GIMT_Encode4(281428), // Rule ID 5008 //
     /* 281400 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 281403 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 281406 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 281409 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 281413 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 281417 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 281421 */   // (uaddsat:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)  =>  (UQADDv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)
     /* 281421 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQADDv2i32),
     /* 281426 */   GIR_RootConstrainSelectedInstOperands,
     /* 281427 */   // GIR_Coverage, 5008,
     /* 281427 */   GIR_Done,
     /* 281428 */ // Label 5756: @281428
     /* 281428 */ GIM_Reject,
     /* 281429 */ // Label 5745: @281429
     /* 281429 */ GIM_Try, /*On fail goto*//*Label 5757*/ GIMT_Encode4(281462), // Rule ID 5012 //
     /* 281434 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 281437 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 281440 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 281443 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281447 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281451 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281455 */   // (uaddsat:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)  =>  (UQADDv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)
     /* 281455 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQADDv2i64),
     /* 281460 */   GIR_RootConstrainSelectedInstOperands,
     /* 281461 */   // GIR_Coverage, 5012,
     /* 281461 */   GIR_Done,
     /* 281462 */ // Label 5757: @281462
     /* 281462 */ GIM_Reject,
     /* 281463 */ // Label 5746: @281463
     /* 281463 */ GIM_Try, /*On fail goto*//*Label 5758*/ GIMT_Encode4(281496), // Rule ID 5007 //
     /* 281468 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 281471 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 281474 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 281477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 281481 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 281485 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 281489 */   // (uaddsat:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)  =>  (UQADDv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)
     /* 281489 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQADDv4i16),
     /* 281494 */   GIR_RootConstrainSelectedInstOperands,
     /* 281495 */   // GIR_Coverage, 5007,
     /* 281495 */   GIR_Done,
     /* 281496 */ // Label 5758: @281496
     /* 281496 */ GIM_Reject,
     /* 281497 */ // Label 5747: @281497
     /* 281497 */ GIM_Try, /*On fail goto*//*Label 5759*/ GIMT_Encode4(281530), // Rule ID 5011 //
     /* 281502 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 281505 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 281508 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 281511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281515 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281519 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281523 */   // (uaddsat:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)  =>  (UQADDv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)
     /* 281523 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQADDv4i32),
     /* 281528 */   GIR_RootConstrainSelectedInstOperands,
     /* 281529 */   // GIR_Coverage, 5011,
     /* 281529 */   GIR_Done,
     /* 281530 */ // Label 5759: @281530
     /* 281530 */ GIM_Reject,
     /* 281531 */ // Label 5748: @281531
     /* 281531 */ GIM_Try, /*On fail goto*//*Label 5760*/ GIMT_Encode4(281564), // Rule ID 5006 //
     /* 281536 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 281539 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 281542 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 281545 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 281549 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 281553 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 281557 */   // (uaddsat:{ *:[v8i8] } V64:{ *:[v8i8] }:$LHS, V64:{ *:[v8i8] }:$RHS)  =>  (UQADDv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$LHS, V64:{ *:[v8i8] }:$RHS)
     /* 281557 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQADDv8i8),
     /* 281562 */   GIR_RootConstrainSelectedInstOperands,
     /* 281563 */   // GIR_Coverage, 5006,
     /* 281563 */   GIR_Done,
     /* 281564 */ // Label 5760: @281564
     /* 281564 */ GIM_Reject,
     /* 281565 */ // Label 5749: @281565
     /* 281565 */ GIM_Try, /*On fail goto*//*Label 5761*/ GIMT_Encode4(281598), // Rule ID 5010 //
     /* 281570 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 281573 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 281576 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 281579 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281583 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281587 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281591 */   // (uaddsat:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)  =>  (UQADDv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)
     /* 281591 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQADDv8i16),
     /* 281596 */   GIR_RootConstrainSelectedInstOperands,
     /* 281597 */   // GIR_Coverage, 5010,
     /* 281597 */   GIR_Done,
     /* 281598 */ // Label 5761: @281598
     /* 281598 */ GIM_Reject,
     /* 281599 */ // Label 5750: @281599
     /* 281599 */ GIM_Try, /*On fail goto*//*Label 5762*/ GIMT_Encode4(281632), // Rule ID 5009 //
     /* 281604 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 281607 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 281610 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 281613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281617 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281621 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281625 */   // (uaddsat:{ *:[v16i8] } V128:{ *:[v16i8] }:$LHS, V128:{ *:[v16i8] }:$RHS)  =>  (UQADDv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$LHS, V128:{ *:[v16i8] }:$RHS)
     /* 281625 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQADDv16i8),
     /* 281630 */   GIR_RootConstrainSelectedInstOperands,
     /* 281631 */   // GIR_Coverage, 5009,
     /* 281631 */   GIR_Done,
     /* 281632 */ // Label 5762: @281632
     /* 281632 */ GIM_Reject,
     /* 281633 */ // Label 5751: @281633
     /* 281633 */ GIM_Try, /*On fail goto*//*Label 5763*/ GIMT_Encode4(281658), // Rule ID 7394 //
     /* 281638 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 281641 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 281644 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 281647 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 281651 */   // (uaddsat:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (UQADD_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 281651 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQADD_ZZZ_D),
     /* 281656 */   GIR_RootConstrainSelectedInstOperands,
     /* 281657 */   // GIR_Coverage, 7394,
     /* 281657 */   GIR_Done,
     /* 281658 */ // Label 5763: @281658
     /* 281658 */ GIM_Reject,
     /* 281659 */ // Label 5752: @281659
     /* 281659 */ GIM_Try, /*On fail goto*//*Label 5764*/ GIMT_Encode4(281684), // Rule ID 7393 //
     /* 281664 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 281667 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 281670 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 281673 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 281677 */   // (uaddsat:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UQADD_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 281677 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQADD_ZZZ_S),
     /* 281682 */   GIR_RootConstrainSelectedInstOperands,
     /* 281683 */   // GIR_Coverage, 7393,
     /* 281683 */   GIR_Done,
     /* 281684 */ // Label 5764: @281684
     /* 281684 */ GIM_Reject,
     /* 281685 */ // Label 5753: @281685
     /* 281685 */ GIM_Try, /*On fail goto*//*Label 5765*/ GIMT_Encode4(281710), // Rule ID 7392 //
     /* 281690 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 281693 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 281696 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 281699 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 281703 */   // (uaddsat:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UQADD_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 281703 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQADD_ZZZ_H),
     /* 281708 */   GIR_RootConstrainSelectedInstOperands,
     /* 281709 */   // GIR_Coverage, 7392,
     /* 281709 */   GIR_Done,
     /* 281710 */ // Label 5765: @281710
     /* 281710 */ GIM_Reject,
     /* 281711 */ // Label 5754: @281711
     /* 281711 */ GIM_Try, /*On fail goto*//*Label 5766*/ GIMT_Encode4(281736), // Rule ID 7391 //
     /* 281716 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 281719 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 281722 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 281725 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 281729 */   // (uaddsat:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UQADD_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 281729 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQADD_ZZZ_B),
     /* 281734 */   GIR_RootConstrainSelectedInstOperands,
     /* 281735 */   // GIR_Coverage, 7391,
     /* 281735 */   GIR_Done,
     /* 281736 */ // Label 5766: @281736
     /* 281736 */ GIM_Reject,
     /* 281737 */ // Label 5755: @281737
     /* 281737 */ GIM_Reject,
     /* 281738 */ // Label 54: @281738
     /* 281738 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(24), /*)*//*default:*//*Label 5778*/ GIMT_Encode4(282167),
     /* 281749 */ /*GILLT_v2s32*//*Label 5767*/ GIMT_Encode4(281825),
     /* 281753 */ /*GILLT_v2s64*//*Label 5768*/ GIMT_Encode4(281859),
     /* 281757 */ /*GILLT_v4s16*//*Label 5769*/ GIMT_Encode4(281893),
     /* 281761 */ /*GILLT_v4s32*//*Label 5770*/ GIMT_Encode4(281927),
     /* 281765 */ /*GILLT_v8s8*//*Label 5771*/ GIMT_Encode4(281961),
     /* 281769 */ /*GILLT_v8s16*//*Label 5772*/ GIMT_Encode4(281995),
     /* 281773 */ /*GILLT_v16s8*//*Label 5773*/ GIMT_Encode4(282029), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 281793 */ /*GILLT_nxv2s64*//*Label 5774*/ GIMT_Encode4(282063), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 281805 */ /*GILLT_nxv4s32*//*Label 5775*/ GIMT_Encode4(282089), GIMT_Encode4(0),
     /* 281813 */ /*GILLT_nxv8s16*//*Label 5776*/ GIMT_Encode4(282115), GIMT_Encode4(0),
     /* 281821 */ /*GILLT_nxv16s8*//*Label 5777*/ GIMT_Encode4(282141),
     /* 281825 */ // Label 5767: @281825
     /* 281825 */ GIM_Try, /*On fail goto*//*Label 5779*/ GIMT_Encode4(281858), // Rule ID 2477 //
     /* 281830 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 281833 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 281836 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 281839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 281843 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 281847 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 281851 */   // (saddsat:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)  =>  (SQADDv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)
     /* 281851 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQADDv2i32),
     /* 281856 */   GIR_RootConstrainSelectedInstOperands,
     /* 281857 */   // GIR_Coverage, 2477,
     /* 281857 */   GIR_Done,
     /* 281858 */ // Label 5779: @281858
     /* 281858 */ GIM_Reject,
     /* 281859 */ // Label 5768: @281859
     /* 281859 */ GIM_Try, /*On fail goto*//*Label 5780*/ GIMT_Encode4(281892), // Rule ID 2481 //
     /* 281864 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 281867 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 281870 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 281873 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281877 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281881 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281885 */   // (saddsat:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)  =>  (SQADDv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)
     /* 281885 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQADDv2i64),
     /* 281890 */   GIR_RootConstrainSelectedInstOperands,
     /* 281891 */   // GIR_Coverage, 2481,
     /* 281891 */   GIR_Done,
     /* 281892 */ // Label 5780: @281892
     /* 281892 */ GIM_Reject,
     /* 281893 */ // Label 5769: @281893
     /* 281893 */ GIM_Try, /*On fail goto*//*Label 5781*/ GIMT_Encode4(281926), // Rule ID 2476 //
     /* 281898 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 281901 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 281904 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 281907 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 281911 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 281915 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 281919 */   // (saddsat:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)  =>  (SQADDv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)
     /* 281919 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQADDv4i16),
     /* 281924 */   GIR_RootConstrainSelectedInstOperands,
     /* 281925 */   // GIR_Coverage, 2476,
     /* 281925 */   GIR_Done,
     /* 281926 */ // Label 5781: @281926
     /* 281926 */ GIM_Reject,
     /* 281927 */ // Label 5770: @281927
     /* 281927 */ GIM_Try, /*On fail goto*//*Label 5782*/ GIMT_Encode4(281960), // Rule ID 2480 //
     /* 281932 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 281935 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 281938 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 281941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281945 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281949 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281953 */   // (saddsat:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)  =>  (SQADDv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)
     /* 281953 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQADDv4i32),
     /* 281958 */   GIR_RootConstrainSelectedInstOperands,
     /* 281959 */   // GIR_Coverage, 2480,
     /* 281959 */   GIR_Done,
     /* 281960 */ // Label 5782: @281960
     /* 281960 */ GIM_Reject,
     /* 281961 */ // Label 5771: @281961
     /* 281961 */ GIM_Try, /*On fail goto*//*Label 5783*/ GIMT_Encode4(281994), // Rule ID 2475 //
     /* 281966 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 281969 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 281972 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 281975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 281979 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 281983 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 281987 */   // (saddsat:{ *:[v8i8] } V64:{ *:[v8i8] }:$LHS, V64:{ *:[v8i8] }:$RHS)  =>  (SQADDv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$LHS, V64:{ *:[v8i8] }:$RHS)
     /* 281987 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQADDv8i8),
     /* 281992 */   GIR_RootConstrainSelectedInstOperands,
     /* 281993 */   // GIR_Coverage, 2475,
     /* 281993 */   GIR_Done,
     /* 281994 */ // Label 5783: @281994
     /* 281994 */ GIM_Reject,
     /* 281995 */ // Label 5772: @281995
     /* 281995 */ GIM_Try, /*On fail goto*//*Label 5784*/ GIMT_Encode4(282028), // Rule ID 2479 //
     /* 282000 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 282003 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 282006 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 282009 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282013 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282017 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282021 */   // (saddsat:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)  =>  (SQADDv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)
     /* 282021 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQADDv8i16),
     /* 282026 */   GIR_RootConstrainSelectedInstOperands,
     /* 282027 */   // GIR_Coverage, 2479,
     /* 282027 */   GIR_Done,
     /* 282028 */ // Label 5784: @282028
     /* 282028 */ GIM_Reject,
     /* 282029 */ // Label 5773: @282029
     /* 282029 */ GIM_Try, /*On fail goto*//*Label 5785*/ GIMT_Encode4(282062), // Rule ID 2478 //
     /* 282034 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 282037 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 282040 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 282043 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282047 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282051 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282055 */   // (saddsat:{ *:[v16i8] } V128:{ *:[v16i8] }:$LHS, V128:{ *:[v16i8] }:$RHS)  =>  (SQADDv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$LHS, V128:{ *:[v16i8] }:$RHS)
     /* 282055 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQADDv16i8),
     /* 282060 */   GIR_RootConstrainSelectedInstOperands,
     /* 282061 */   // GIR_Coverage, 2478,
     /* 282061 */   GIR_Done,
     /* 282062 */ // Label 5785: @282062
     /* 282062 */ GIM_Reject,
     /* 282063 */ // Label 5774: @282063
     /* 282063 */ GIM_Try, /*On fail goto*//*Label 5786*/ GIMT_Encode4(282088), // Rule ID 7390 //
     /* 282068 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 282071 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 282074 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 282077 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 282081 */   // (saddsat:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SQADD_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 282081 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQADD_ZZZ_D),
     /* 282086 */   GIR_RootConstrainSelectedInstOperands,
     /* 282087 */   // GIR_Coverage, 7390,
     /* 282087 */   GIR_Done,
     /* 282088 */ // Label 5786: @282088
     /* 282088 */ GIM_Reject,
     /* 282089 */ // Label 5775: @282089
     /* 282089 */ GIM_Try, /*On fail goto*//*Label 5787*/ GIMT_Encode4(282114), // Rule ID 7389 //
     /* 282094 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 282097 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 282100 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 282103 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 282107 */   // (saddsat:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SQADD_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 282107 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQADD_ZZZ_S),
     /* 282112 */   GIR_RootConstrainSelectedInstOperands,
     /* 282113 */   // GIR_Coverage, 7389,
     /* 282113 */   GIR_Done,
     /* 282114 */ // Label 5787: @282114
     /* 282114 */ GIM_Reject,
     /* 282115 */ // Label 5776: @282115
     /* 282115 */ GIM_Try, /*On fail goto*//*Label 5788*/ GIMT_Encode4(282140), // Rule ID 7388 //
     /* 282120 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 282123 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 282126 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 282129 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 282133 */   // (saddsat:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SQADD_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 282133 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQADD_ZZZ_H),
     /* 282138 */   GIR_RootConstrainSelectedInstOperands,
     /* 282139 */   // GIR_Coverage, 7388,
     /* 282139 */   GIR_Done,
     /* 282140 */ // Label 5788: @282140
     /* 282140 */ GIM_Reject,
     /* 282141 */ // Label 5777: @282141
     /* 282141 */ GIM_Try, /*On fail goto*//*Label 5789*/ GIMT_Encode4(282166), // Rule ID 7387 //
     /* 282146 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 282149 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 282152 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 282155 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 282159 */   // (saddsat:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SQADD_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 282159 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQADD_ZZZ_B),
     /* 282164 */   GIR_RootConstrainSelectedInstOperands,
     /* 282165 */   // GIR_Coverage, 7387,
     /* 282165 */   GIR_Done,
     /* 282166 */ // Label 5789: @282166
     /* 282166 */ GIM_Reject,
     /* 282167 */ // Label 5778: @282167
     /* 282167 */ GIM_Reject,
     /* 282168 */ // Label 55: @282168
     /* 282168 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(24), /*)*//*default:*//*Label 5801*/ GIMT_Encode4(282597),
     /* 282179 */ /*GILLT_v2s32*//*Label 5790*/ GIMT_Encode4(282255),
     /* 282183 */ /*GILLT_v2s64*//*Label 5791*/ GIMT_Encode4(282289),
     /* 282187 */ /*GILLT_v4s16*//*Label 5792*/ GIMT_Encode4(282323),
     /* 282191 */ /*GILLT_v4s32*//*Label 5793*/ GIMT_Encode4(282357),
     /* 282195 */ /*GILLT_v8s8*//*Label 5794*/ GIMT_Encode4(282391),
     /* 282199 */ /*GILLT_v8s16*//*Label 5795*/ GIMT_Encode4(282425),
     /* 282203 */ /*GILLT_v16s8*//*Label 5796*/ GIMT_Encode4(282459), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 282223 */ /*GILLT_nxv2s64*//*Label 5797*/ GIMT_Encode4(282493), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 282235 */ /*GILLT_nxv4s32*//*Label 5798*/ GIMT_Encode4(282519), GIMT_Encode4(0),
     /* 282243 */ /*GILLT_nxv8s16*//*Label 5799*/ GIMT_Encode4(282545), GIMT_Encode4(0),
     /* 282251 */ /*GILLT_nxv16s8*//*Label 5800*/ GIMT_Encode4(282571),
     /* 282255 */ // Label 5790: @282255
     /* 282255 */ GIM_Try, /*On fail goto*//*Label 5802*/ GIMT_Encode4(282288), // Rule ID 5022 //
     /* 282260 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 282263 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 282266 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 282269 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282273 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282277 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282281 */   // (usubsat:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)  =>  (UQSUBv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)
     /* 282281 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv2i32),
     /* 282286 */   GIR_RootConstrainSelectedInstOperands,
     /* 282287 */   // GIR_Coverage, 5022,
     /* 282287 */   GIR_Done,
     /* 282288 */ // Label 5802: @282288
     /* 282288 */ GIM_Reject,
     /* 282289 */ // Label 5791: @282289
     /* 282289 */ GIM_Try, /*On fail goto*//*Label 5803*/ GIMT_Encode4(282322), // Rule ID 5026 //
     /* 282294 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 282297 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 282300 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 282303 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282307 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282311 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282315 */   // (usubsat:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)  =>  (UQSUBv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)
     /* 282315 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv2i64),
     /* 282320 */   GIR_RootConstrainSelectedInstOperands,
     /* 282321 */   // GIR_Coverage, 5026,
     /* 282321 */   GIR_Done,
     /* 282322 */ // Label 5803: @282322
     /* 282322 */ GIM_Reject,
     /* 282323 */ // Label 5792: @282323
     /* 282323 */ GIM_Try, /*On fail goto*//*Label 5804*/ GIMT_Encode4(282356), // Rule ID 5021 //
     /* 282328 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 282331 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 282334 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 282337 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282341 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282345 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282349 */   // (usubsat:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)  =>  (UQSUBv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)
     /* 282349 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv4i16),
     /* 282354 */   GIR_RootConstrainSelectedInstOperands,
     /* 282355 */   // GIR_Coverage, 5021,
     /* 282355 */   GIR_Done,
     /* 282356 */ // Label 5804: @282356
     /* 282356 */ GIM_Reject,
     /* 282357 */ // Label 5793: @282357
     /* 282357 */ GIM_Try, /*On fail goto*//*Label 5805*/ GIMT_Encode4(282390), // Rule ID 5025 //
     /* 282362 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 282365 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 282368 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 282371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282375 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282379 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282383 */   // (usubsat:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)  =>  (UQSUBv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)
     /* 282383 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv4i32),
     /* 282388 */   GIR_RootConstrainSelectedInstOperands,
     /* 282389 */   // GIR_Coverage, 5025,
     /* 282389 */   GIR_Done,
     /* 282390 */ // Label 5805: @282390
     /* 282390 */ GIM_Reject,
     /* 282391 */ // Label 5794: @282391
     /* 282391 */ GIM_Try, /*On fail goto*//*Label 5806*/ GIMT_Encode4(282424), // Rule ID 5020 //
     /* 282396 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 282399 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 282402 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 282405 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282409 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282413 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282417 */   // (usubsat:{ *:[v8i8] } V64:{ *:[v8i8] }:$LHS, V64:{ *:[v8i8] }:$RHS)  =>  (UQSUBv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$LHS, V64:{ *:[v8i8] }:$RHS)
     /* 282417 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv8i8),
     /* 282422 */   GIR_RootConstrainSelectedInstOperands,
     /* 282423 */   // GIR_Coverage, 5020,
     /* 282423 */   GIR_Done,
     /* 282424 */ // Label 5806: @282424
     /* 282424 */ GIM_Reject,
     /* 282425 */ // Label 5795: @282425
     /* 282425 */ GIM_Try, /*On fail goto*//*Label 5807*/ GIMT_Encode4(282458), // Rule ID 5024 //
     /* 282430 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 282433 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 282436 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 282439 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282443 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282447 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282451 */   // (usubsat:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)  =>  (UQSUBv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)
     /* 282451 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv8i16),
     /* 282456 */   GIR_RootConstrainSelectedInstOperands,
     /* 282457 */   // GIR_Coverage, 5024,
     /* 282457 */   GIR_Done,
     /* 282458 */ // Label 5807: @282458
     /* 282458 */ GIM_Reject,
     /* 282459 */ // Label 5796: @282459
     /* 282459 */ GIM_Try, /*On fail goto*//*Label 5808*/ GIMT_Encode4(282492), // Rule ID 5023 //
     /* 282464 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 282467 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 282470 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 282473 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282477 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282481 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282485 */   // (usubsat:{ *:[v16i8] } V128:{ *:[v16i8] }:$LHS, V128:{ *:[v16i8] }:$RHS)  =>  (UQSUBv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$LHS, V128:{ *:[v16i8] }:$RHS)
     /* 282485 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv16i8),
     /* 282490 */   GIR_RootConstrainSelectedInstOperands,
     /* 282491 */   // GIR_Coverage, 5023,
     /* 282491 */   GIR_Done,
     /* 282492 */ // Label 5808: @282492
     /* 282492 */ GIM_Reject,
     /* 282493 */ // Label 5797: @282493
     /* 282493 */ GIM_Try, /*On fail goto*//*Label 5809*/ GIMT_Encode4(282518), // Rule ID 7402 //
     /* 282498 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 282501 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 282504 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 282507 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 282511 */   // (usubsat:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (UQSUB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 282511 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQSUB_ZZZ_D),
     /* 282516 */   GIR_RootConstrainSelectedInstOperands,
     /* 282517 */   // GIR_Coverage, 7402,
     /* 282517 */   GIR_Done,
     /* 282518 */ // Label 5809: @282518
     /* 282518 */ GIM_Reject,
     /* 282519 */ // Label 5798: @282519
     /* 282519 */ GIM_Try, /*On fail goto*//*Label 5810*/ GIMT_Encode4(282544), // Rule ID 7401 //
     /* 282524 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 282527 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 282530 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 282533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 282537 */   // (usubsat:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UQSUB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 282537 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQSUB_ZZZ_S),
     /* 282542 */   GIR_RootConstrainSelectedInstOperands,
     /* 282543 */   // GIR_Coverage, 7401,
     /* 282543 */   GIR_Done,
     /* 282544 */ // Label 5810: @282544
     /* 282544 */ GIM_Reject,
     /* 282545 */ // Label 5799: @282545
     /* 282545 */ GIM_Try, /*On fail goto*//*Label 5811*/ GIMT_Encode4(282570), // Rule ID 7400 //
     /* 282550 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 282553 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 282556 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 282559 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 282563 */   // (usubsat:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UQSUB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 282563 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQSUB_ZZZ_H),
     /* 282568 */   GIR_RootConstrainSelectedInstOperands,
     /* 282569 */   // GIR_Coverage, 7400,
     /* 282569 */   GIR_Done,
     /* 282570 */ // Label 5811: @282570
     /* 282570 */ GIM_Reject,
     /* 282571 */ // Label 5800: @282571
     /* 282571 */ GIM_Try, /*On fail goto*//*Label 5812*/ GIMT_Encode4(282596), // Rule ID 7399 //
     /* 282576 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 282579 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 282582 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 282585 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 282589 */   // (usubsat:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UQSUB_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 282589 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQSUB_ZZZ_B),
     /* 282594 */   GIR_RootConstrainSelectedInstOperands,
     /* 282595 */   // GIR_Coverage, 7399,
     /* 282595 */   GIR_Done,
     /* 282596 */ // Label 5812: @282596
     /* 282596 */ GIM_Reject,
     /* 282597 */ // Label 5801: @282597
     /* 282597 */ GIM_Reject,
     /* 282598 */ // Label 56: @282598
     /* 282598 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(24), /*)*//*default:*//*Label 5824*/ GIMT_Encode4(283027),
     /* 282609 */ /*GILLT_v2s32*//*Label 5813*/ GIMT_Encode4(282685),
     /* 282613 */ /*GILLT_v2s64*//*Label 5814*/ GIMT_Encode4(282719),
     /* 282617 */ /*GILLT_v4s16*//*Label 5815*/ GIMT_Encode4(282753),
     /* 282621 */ /*GILLT_v4s32*//*Label 5816*/ GIMT_Encode4(282787),
     /* 282625 */ /*GILLT_v8s8*//*Label 5817*/ GIMT_Encode4(282821),
     /* 282629 */ /*GILLT_v8s16*//*Label 5818*/ GIMT_Encode4(282855),
     /* 282633 */ /*GILLT_v16s8*//*Label 5819*/ GIMT_Encode4(282889), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 282653 */ /*GILLT_nxv2s64*//*Label 5820*/ GIMT_Encode4(282923), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 282665 */ /*GILLT_nxv4s32*//*Label 5821*/ GIMT_Encode4(282949), GIMT_Encode4(0),
     /* 282673 */ /*GILLT_nxv8s16*//*Label 5822*/ GIMT_Encode4(282975), GIMT_Encode4(0),
     /* 282681 */ /*GILLT_nxv16s8*//*Label 5823*/ GIMT_Encode4(283001),
     /* 282685 */ // Label 5813: @282685
     /* 282685 */ GIM_Try, /*On fail goto*//*Label 5825*/ GIMT_Encode4(282718), // Rule ID 5015 //
     /* 282690 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 282693 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 282696 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 282699 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282703 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282707 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282711 */   // (ssubsat:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)  =>  (SQSUBv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)
     /* 282711 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv2i32),
     /* 282716 */   GIR_RootConstrainSelectedInstOperands,
     /* 282717 */   // GIR_Coverage, 5015,
     /* 282717 */   GIR_Done,
     /* 282718 */ // Label 5825: @282718
     /* 282718 */ GIM_Reject,
     /* 282719 */ // Label 5814: @282719
     /* 282719 */ GIM_Try, /*On fail goto*//*Label 5826*/ GIMT_Encode4(282752), // Rule ID 5019 //
     /* 282724 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 282727 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 282730 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 282733 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282737 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282741 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282745 */   // (ssubsat:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)  =>  (SQSUBv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)
     /* 282745 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv2i64),
     /* 282750 */   GIR_RootConstrainSelectedInstOperands,
     /* 282751 */   // GIR_Coverage, 5019,
     /* 282751 */   GIR_Done,
     /* 282752 */ // Label 5826: @282752
     /* 282752 */ GIM_Reject,
     /* 282753 */ // Label 5815: @282753
     /* 282753 */ GIM_Try, /*On fail goto*//*Label 5827*/ GIMT_Encode4(282786), // Rule ID 5014 //
     /* 282758 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 282761 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 282764 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 282767 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282771 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282775 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282779 */   // (ssubsat:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)  =>  (SQSUBv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)
     /* 282779 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv4i16),
     /* 282784 */   GIR_RootConstrainSelectedInstOperands,
     /* 282785 */   // GIR_Coverage, 5014,
     /* 282785 */   GIR_Done,
     /* 282786 */ // Label 5827: @282786
     /* 282786 */ GIM_Reject,
     /* 282787 */ // Label 5816: @282787
     /* 282787 */ GIM_Try, /*On fail goto*//*Label 5828*/ GIMT_Encode4(282820), // Rule ID 5018 //
     /* 282792 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 282795 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 282798 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 282801 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282805 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282809 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282813 */   // (ssubsat:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)  =>  (SQSUBv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)
     /* 282813 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv4i32),
     /* 282818 */   GIR_RootConstrainSelectedInstOperands,
     /* 282819 */   // GIR_Coverage, 5018,
     /* 282819 */   GIR_Done,
     /* 282820 */ // Label 5828: @282820
     /* 282820 */ GIM_Reject,
     /* 282821 */ // Label 5817: @282821
     /* 282821 */ GIM_Try, /*On fail goto*//*Label 5829*/ GIMT_Encode4(282854), // Rule ID 5013 //
     /* 282826 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 282829 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 282832 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 282835 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282839 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282843 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282847 */   // (ssubsat:{ *:[v8i8] } V64:{ *:[v8i8] }:$LHS, V64:{ *:[v8i8] }:$RHS)  =>  (SQSUBv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$LHS, V64:{ *:[v8i8] }:$RHS)
     /* 282847 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv8i8),
     /* 282852 */   GIR_RootConstrainSelectedInstOperands,
     /* 282853 */   // GIR_Coverage, 5013,
     /* 282853 */   GIR_Done,
     /* 282854 */ // Label 5829: @282854
     /* 282854 */ GIM_Reject,
     /* 282855 */ // Label 5818: @282855
     /* 282855 */ GIM_Try, /*On fail goto*//*Label 5830*/ GIMT_Encode4(282888), // Rule ID 5017 //
     /* 282860 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 282863 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 282866 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 282869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282873 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282877 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282881 */   // (ssubsat:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)  =>  (SQSUBv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)
     /* 282881 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv8i16),
     /* 282886 */   GIR_RootConstrainSelectedInstOperands,
     /* 282887 */   // GIR_Coverage, 5017,
     /* 282887 */   GIR_Done,
     /* 282888 */ // Label 5830: @282888
     /* 282888 */ GIM_Reject,
     /* 282889 */ // Label 5819: @282889
     /* 282889 */ GIM_Try, /*On fail goto*//*Label 5831*/ GIMT_Encode4(282922), // Rule ID 5016 //
     /* 282894 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 282897 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 282900 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 282903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282907 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282911 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282915 */   // (ssubsat:{ *:[v16i8] } V128:{ *:[v16i8] }:$LHS, V128:{ *:[v16i8] }:$RHS)  =>  (SQSUBv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$LHS, V128:{ *:[v16i8] }:$RHS)
     /* 282915 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv16i8),
     /* 282920 */   GIR_RootConstrainSelectedInstOperands,
     /* 282921 */   // GIR_Coverage, 5016,
     /* 282921 */   GIR_Done,
     /* 282922 */ // Label 5831: @282922
     /* 282922 */ GIM_Reject,
     /* 282923 */ // Label 5820: @282923
     /* 282923 */ GIM_Try, /*On fail goto*//*Label 5832*/ GIMT_Encode4(282948), // Rule ID 7398 //
     /* 282928 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 282931 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 282934 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 282937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 282941 */   // (ssubsat:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SQSUB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 282941 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQSUB_ZZZ_D),
     /* 282946 */   GIR_RootConstrainSelectedInstOperands,
     /* 282947 */   // GIR_Coverage, 7398,
     /* 282947 */   GIR_Done,
     /* 282948 */ // Label 5832: @282948
     /* 282948 */ GIM_Reject,
     /* 282949 */ // Label 5821: @282949
     /* 282949 */ GIM_Try, /*On fail goto*//*Label 5833*/ GIMT_Encode4(282974), // Rule ID 7397 //
     /* 282954 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 282957 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 282960 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 282963 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 282967 */   // (ssubsat:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SQSUB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 282967 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQSUB_ZZZ_S),
     /* 282972 */   GIR_RootConstrainSelectedInstOperands,
     /* 282973 */   // GIR_Coverage, 7397,
     /* 282973 */   GIR_Done,
     /* 282974 */ // Label 5833: @282974
     /* 282974 */ GIM_Reject,
     /* 282975 */ // Label 5822: @282975
     /* 282975 */ GIM_Try, /*On fail goto*//*Label 5834*/ GIMT_Encode4(283000), // Rule ID 7396 //
     /* 282980 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 282983 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 282986 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 282989 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 282993 */   // (ssubsat:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SQSUB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 282993 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQSUB_ZZZ_H),
     /* 282998 */   GIR_RootConstrainSelectedInstOperands,
     /* 282999 */   // GIR_Coverage, 7396,
     /* 282999 */   GIR_Done,
     /* 283000 */ // Label 5834: @283000
     /* 283000 */ GIM_Reject,
     /* 283001 */ // Label 5823: @283001
     /* 283001 */ GIM_Try, /*On fail goto*//*Label 5835*/ GIMT_Encode4(283026), // Rule ID 7395 //
     /* 283006 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 283009 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 283012 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 283015 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 283019 */   // (ssubsat:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SQSUB_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 283019 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQSUB_ZZZ_B),
     /* 283024 */   GIR_RootConstrainSelectedInstOperands,
     /* 283025 */   // GIR_Coverage, 7395,
     /* 283025 */   GIR_Done,
     /* 283026 */ // Label 5835: @283026
     /* 283026 */ GIM_Reject,
     /* 283027 */ // Label 5824: @283027
     /* 283027 */ GIM_Reject,
     /* 283028 */ // Label 57: @283028
     /* 283028 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(22), /*)*//*default:*//*Label 5847*/ GIMT_Encode4(284825),
     /* 283039 */ /*GILLT_s16*//*Label 5836*/ GIMT_Encode4(283123),
     /* 283043 */ /*GILLT_s32*//*Label 5837*/ GIMT_Encode4(283349),
     /* 283047 */ /*GILLT_s64*//*Label 5838*/ GIMT_Encode4(283703), GIMT_Encode4(0),
     /* 283055 */ /*GILLT_v2s32*//*Label 5839*/ GIMT_Encode4(283875),
     /* 283059 */ /*GILLT_v2s64*//*Label 5840*/ GIMT_Encode4(283913),
     /* 283063 */ /*GILLT_v4s16*//*Label 5841*/ GIMT_Encode4(284089),
     /* 283067 */ /*GILLT_v4s32*//*Label 5842*/ GIMT_Encode4(284127), GIMT_Encode4(0),
     /* 283075 */ /*GILLT_v8s16*//*Label 5843*/ GIMT_Encode4(284303), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 283099 */ /*GILLT_nxv2s64*//*Label 5844*/ GIMT_Encode4(284747), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 283111 */ /*GILLT_nxv4s32*//*Label 5845*/ GIMT_Encode4(284773), GIMT_Encode4(0),
     /* 283119 */ /*GILLT_nxv8s16*//*Label 5846*/ GIMT_Encode4(284799),
     /* 283123 */ // Label 5836: @283123
     /* 283123 */ GIM_Try, /*On fail goto*//*Label 5848*/ GIMT_Encode4(283348),
     /* 283128 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 283131 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 283134 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 283138 */   GIM_Try, /*On fail goto*//*Label 5849*/ GIMT_Encode4(283229), // Rule ID 6882 //
     /* 283143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 283147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 283151 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 283155 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 283159 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283164 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 283168 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 283172 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 283176 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 283180 */     // MIs[2] Rn
     /* 283180 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 283185 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /* 283189 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 283191 */     // (fadd:{ *:[f16] } (vector_extract:{ *:[f16] } FPR128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f16] } FPR128:{ *:[v8f16] }:$Rn, 1:{ *:[i64] }))  =>  (FADDPv2i16p:{ *:[f16] } (EXTRACT_SUBREG:{ *:[i64] } FPR128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] }))
     /* 283191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 283194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 283198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 283203 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 283209 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283214 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i16p),
     /* 283222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 283224 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 283227 */     GIR_RootConstrainSelectedInstOperands,
     /* 283228 */     // GIR_Coverage, 6882,
     /* 283228 */     GIR_EraseRootFromParent_Done,
     /* 283229 */   // Label 5849: @283229
     /* 283229 */   GIM_Try, /*On fail goto*//*Label 5850*/ GIMT_Encode4(283320), // Rule ID 13849 //
     /* 283234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 283238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 283242 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 283246 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 283250 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283255 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 283259 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 283263 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 283267 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 283271 */     // MIs[2] Rn
     /* 283271 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 283276 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 283280 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 283282 */     // (fadd:{ *:[f16] } (vector_extract:{ *:[f16] } FPR128:{ *:[v8f16] }:$Rn, 1:{ *:[i64] }), (vector_extract:{ *:[f16] } FPR128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }))  =>  (FADDPv2i16p:{ *:[f16] } (EXTRACT_SUBREG:{ *:[i64] } FPR128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] }))
     /* 283282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 283285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 283289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 283294 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 283300 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283305 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i16p),
     /* 283313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 283315 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 283318 */     GIR_RootConstrainSelectedInstOperands,
     /* 283319 */     // GIR_Coverage, 13849,
     /* 283319 */     GIR_EraseRootFromParent_Done,
     /* 283320 */   // Label 5850: @283320
     /* 283320 */   GIM_Try, /*On fail goto*//*Label 5851*/ GIMT_Encode4(283347), // Rule ID 584 //
     /* 283325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 283328 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 283332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 283336 */     // (fadd:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FADDHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 283336 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDHrr),
     /* 283341 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 283345 */     GIR_RootConstrainSelectedInstOperands,
     /* 283346 */     // GIR_Coverage, 584,
     /* 283346 */     GIR_Done,
     /* 283347 */   // Label 5851: @283347
     /* 283347 */   GIM_Reject,
     /* 283348 */ // Label 5848: @283348
     /* 283348 */ GIM_Reject,
     /* 283349 */ // Label 5837: @283349
     /* 283349 */ GIM_Try, /*On fail goto*//*Label 5852*/ GIMT_Encode4(283702),
     /* 283354 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 283357 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 283360 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 283364 */   GIM_Try, /*On fail goto*//*Label 5853*/ GIMT_Encode4(283455), // Rule ID 6880 //
     /* 283369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 283373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 283377 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 283381 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 283385 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283390 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 283394 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 283398 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 283402 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 283406 */     // MIs[2] Rn
     /* 283406 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 283411 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /* 283415 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 283417 */     // (fadd:{ *:[f32] } (vector_extract:{ *:[f32] } FPR128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f32] } FPR128:{ *:[v4f32] }:$Rn, 1:{ *:[i64] }))  =>  (FADDPv2i32p:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i64] } FPR128:{ *:[v4f32] }:$Rn, dsub:{ *:[i32] }))
     /* 283417 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 283420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 283424 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 283429 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 283435 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283440 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i32p),
     /* 283448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 283450 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 283453 */     GIR_RootConstrainSelectedInstOperands,
     /* 283454 */     // GIR_Coverage, 6880,
     /* 283454 */     GIR_EraseRootFromParent_Done,
     /* 283455 */   // Label 5853: @283455
     /* 283455 */   GIM_Try, /*On fail goto*//*Label 5854*/ GIMT_Encode4(283519), // Rule ID 13034 //
     /* 283460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 283464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 283468 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 283472 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 283476 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283481 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 283485 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 283489 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 283493 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 283497 */     // MIs[2] Rn
     /* 283497 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 283502 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /* 283506 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 283508 */     // (fadd:{ *:[f32] } (vector_extract:{ *:[f32] } FPR64:{ *:[v2f32] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f32] } FPR64:{ *:[v2f32] }:$Rn, 1:{ *:[i64] }))  =>  (FADDPv2i32p:{ *:[f32] } FPR64:{ *:[v2f32] }:$Rn)
     /* 283508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i32p),
     /* 283511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 283513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 283517 */     GIR_RootConstrainSelectedInstOperands,
     /* 283518 */     // GIR_Coverage, 13034,
     /* 283518 */     GIR_EraseRootFromParent_Done,
     /* 283519 */   // Label 5854: @283519
     /* 283519 */   GIM_Try, /*On fail goto*//*Label 5855*/ GIMT_Encode4(283610), // Rule ID 13847 //
     /* 283524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 283528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 283532 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 283536 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 283540 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283545 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 283549 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 283553 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 283557 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 283561 */     // MIs[2] Rn
     /* 283561 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 283566 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 283570 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 283572 */     // (fadd:{ *:[f32] } (vector_extract:{ *:[f32] } FPR128:{ *:[v4f32] }:$Rn, 1:{ *:[i64] }), (vector_extract:{ *:[f32] } FPR128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }))  =>  (FADDPv2i32p:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i64] } FPR128:{ *:[v4f32] }:$Rn, dsub:{ *:[i32] }))
     /* 283572 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 283575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 283579 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 283584 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 283590 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283595 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i32p),
     /* 283603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 283605 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 283608 */     GIR_RootConstrainSelectedInstOperands,
     /* 283609 */     // GIR_Coverage, 13847,
     /* 283609 */     GIR_EraseRootFromParent_Done,
     /* 283610 */   // Label 5855: @283610
     /* 283610 */   GIM_Try, /*On fail goto*//*Label 5856*/ GIMT_Encode4(283674), // Rule ID 15522 //
     /* 283615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 283619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 283623 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 283627 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 283631 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283636 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 283640 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 283644 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 283648 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 283652 */     // MIs[2] Rn
     /* 283652 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 283657 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 283661 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 283663 */     // (fadd:{ *:[f32] } (vector_extract:{ *:[f32] } FPR64:{ *:[v2f32] }:$Rn, 1:{ *:[i64] }), (vector_extract:{ *:[f32] } FPR64:{ *:[v2f32] }:$Rn, 0:{ *:[i64] }))  =>  (FADDPv2i32p:{ *:[f32] } FPR64:{ *:[v2f32] }:$Rn)
     /* 283663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i32p),
     /* 283666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 283668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 283672 */     GIR_RootConstrainSelectedInstOperands,
     /* 283673 */     // GIR_Coverage, 15522,
     /* 283673 */     GIR_EraseRootFromParent_Done,
     /* 283674 */   // Label 5856: @283674
     /* 283674 */   GIM_Try, /*On fail goto*//*Label 5857*/ GIMT_Encode4(283701), // Rule ID 586 //
     /* 283679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 283682 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 283686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 283690 */     // (fadd:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FADDSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 283690 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDSrr),
     /* 283695 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 283699 */     GIR_RootConstrainSelectedInstOperands,
     /* 283700 */     // GIR_Coverage, 586,
     /* 283700 */     GIR_Done,
     /* 283701 */   // Label 5857: @283701
     /* 283701 */   GIM_Reject,
     /* 283702 */ // Label 5852: @283702
     /* 283702 */ GIM_Reject,
     /* 283703 */ // Label 5838: @283703
     /* 283703 */ GIM_Try, /*On fail goto*//*Label 5858*/ GIMT_Encode4(283874),
     /* 283708 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 283711 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 283714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283718 */   GIM_Try, /*On fail goto*//*Label 5859*/ GIMT_Encode4(283782), // Rule ID 6878 //
     /* 283723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 283727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 283731 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 283735 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 283739 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283744 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 283748 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 283752 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 283756 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 283760 */     // MIs[2] Rn
     /* 283760 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 283765 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /* 283769 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 283771 */     // (fadd:{ *:[f64] } (vector_extract:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn, 1:{ *:[i64] }))  =>  (FADDPv2i64p:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn)
     /* 283771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i64p),
     /* 283774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 283776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 283780 */     GIR_RootConstrainSelectedInstOperands,
     /* 283781 */     // GIR_Coverage, 6878,
     /* 283781 */     GIR_EraseRootFromParent_Done,
     /* 283782 */   // Label 5859: @283782
     /* 283782 */   GIM_Try, /*On fail goto*//*Label 5860*/ GIMT_Encode4(283846), // Rule ID 13845 //
     /* 283787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 283791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 283795 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 283799 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 283803 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283808 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 283812 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 283816 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 283820 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 283824 */     // MIs[2] Rn
     /* 283824 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 283829 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 283833 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 283835 */     // (fadd:{ *:[f64] } (vector_extract:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn, 1:{ *:[i64] }), (vector_extract:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }))  =>  (FADDPv2i64p:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn)
     /* 283835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i64p),
     /* 283838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 283840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 283844 */     GIR_RootConstrainSelectedInstOperands,
     /* 283845 */     // GIR_Coverage, 13845,
     /* 283845 */     GIR_EraseRootFromParent_Done,
     /* 283846 */   // Label 5860: @283846
     /* 283846 */   GIM_Try, /*On fail goto*//*Label 5861*/ GIMT_Encode4(283873), // Rule ID 588 //
     /* 283851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 283854 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283862 */     // (fadd:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FADDDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 283862 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDDrr),
     /* 283867 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 283871 */     GIR_RootConstrainSelectedInstOperands,
     /* 283872 */     // GIR_Coverage, 588,
     /* 283872 */     GIR_Done,
     /* 283873 */   // Label 5861: @283873
     /* 283873 */   GIM_Reject,
     /* 283874 */ // Label 5858: @283874
     /* 283874 */ GIM_Reject,
     /* 283875 */ // Label 5839: @283875
     /* 283875 */ GIM_Try, /*On fail goto*//*Label 5862*/ GIMT_Encode4(283912), // Rule ID 1203 //
     /* 283880 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 283883 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 283886 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 283889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283893 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283897 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283901 */   // (fadd:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FADDv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 283901 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDv2f32),
     /* 283906 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 283910 */   GIR_RootConstrainSelectedInstOperands,
     /* 283911 */   // GIR_Coverage, 1203,
     /* 283911 */   GIR_Done,
     /* 283912 */ // Label 5862: @283912
     /* 283912 */ GIM_Reject,
     /* 283913 */ // Label 5840: @283913
     /* 283913 */ GIM_Try, /*On fail goto*//*Label 5863*/ GIMT_Encode4(284088),
     /* 283918 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 283921 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 283924 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283928 */   GIM_Try, /*On fail goto*//*Label 5864*/ GIMT_Encode4(283994), // Rule ID 6900 //
     /* 283933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 283937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_ZIP1),
     /* 283941 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 283945 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 283949 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283954 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283959 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 283963 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_ZIP2),
     /* 283967 */     // MIs[2] Rn
     /* 283967 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 283972 */     // MIs[2] Rm
     /* 283972 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 283977 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 283979 */     // (fadd:{ *:[v2f64] } (AArch64zip1:{ *:[v2f64] } FPR128:{ *:[v2f64] }:$Rn, FPR128:{ *:[v2f64] }:$Rm), (AArch64zip2:{ *:[v2f64] } FPR128:{ *:[v2f64] }:$Rn, FPR128:{ *:[v2f64] }:$Rm))  =>  (FADDPv2f64:{ *:[v2f64] } ?:{ *:[v2f64] }:$Rn, ?:{ *:[v2f64] }:$Rm)
     /* 283979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2f64),
     /* 283982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 283984 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 283988 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 283992 */     GIR_RootConstrainSelectedInstOperands,
     /* 283993 */     // GIR_Coverage, 6900,
     /* 283993 */     GIR_EraseRootFromParent_Done,
     /* 283994 */   // Label 5864: @283994
     /* 283994 */   GIM_Try, /*On fail goto*//*Label 5865*/ GIMT_Encode4(284060), // Rule ID 13857 //
     /* 283999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 284003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_ZIP2),
     /* 284007 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 284011 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 284015 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284020 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284025 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 284029 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_ZIP1),
     /* 284033 */     // MIs[2] Rn
     /* 284033 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 284038 */     // MIs[2] Rm
     /* 284038 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 284043 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 284045 */     // (fadd:{ *:[v2f64] } (AArch64zip2:{ *:[v2f64] } FPR128:{ *:[v2f64] }:$Rn, FPR128:{ *:[v2f64] }:$Rm), (AArch64zip1:{ *:[v2f64] } FPR128:{ *:[v2f64] }:$Rn, FPR128:{ *:[v2f64] }:$Rm))  =>  (FADDPv2f64:{ *:[v2f64] } ?:{ *:[v2f64] }:$Rn, ?:{ *:[v2f64] }:$Rm)
     /* 284045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2f64),
     /* 284048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 284050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 284054 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 284058 */     GIR_RootConstrainSelectedInstOperands,
     /* 284059 */     // GIR_Coverage, 13857,
     /* 284059 */     GIR_EraseRootFromParent_Done,
     /* 284060 */   // Label 5865: @284060
     /* 284060 */   GIM_Try, /*On fail goto*//*Label 5866*/ GIMT_Encode4(284087), // Rule ID 1207 //
     /* 284065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 284068 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284076 */     // (fadd:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FADDv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 284076 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDv2f64),
     /* 284081 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 284085 */     GIR_RootConstrainSelectedInstOperands,
     /* 284086 */     // GIR_Coverage, 1207,
     /* 284086 */     GIR_Done,
     /* 284087 */   // Label 5866: @284087
     /* 284087 */   GIM_Reject,
     /* 284088 */ // Label 5863: @284088
     /* 284088 */ GIM_Reject,
     /* 284089 */ // Label 5841: @284089
     /* 284089 */ GIM_Try, /*On fail goto*//*Label 5867*/ GIMT_Encode4(284126), // Rule ID 1199 //
     /* 284094 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 284097 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 284100 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 284103 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 284107 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 284111 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 284115 */   // (fadd:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FADDv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 284115 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDv4f16),
     /* 284120 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 284124 */   GIR_RootConstrainSelectedInstOperands,
     /* 284125 */   // GIR_Coverage, 1199,
     /* 284125 */   GIR_Done,
     /* 284126 */ // Label 5867: @284126
     /* 284126 */ GIM_Reject,
     /* 284127 */ // Label 5842: @284127
     /* 284127 */ GIM_Try, /*On fail goto*//*Label 5868*/ GIMT_Encode4(284302),
     /* 284132 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 284135 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 284138 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284142 */   GIM_Try, /*On fail goto*//*Label 5869*/ GIMT_Encode4(284208), // Rule ID 6901 //
     /* 284147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 284151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UZP1),
     /* 284155 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 284159 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 284163 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284168 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284173 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 284177 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP2),
     /* 284181 */     // MIs[2] Rn
     /* 284181 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 284186 */     // MIs[2] Rm
     /* 284186 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 284191 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 284193 */     // (fadd:{ *:[v4f32] } (AArch64uzp1:{ *:[v4f32] } FPR128:{ *:[v4f32] }:$Rn, FPR128:{ *:[v4f32] }:$Rm), (AArch64uzp2:{ *:[v4f32] } FPR128:{ *:[v4f32] }:$Rn, FPR128:{ *:[v4f32] }:$Rm))  =>  (FADDPv4f32:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rn, ?:{ *:[v4f32] }:$Rm)
     /* 284193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv4f32),
     /* 284196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 284198 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 284202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 284206 */     GIR_RootConstrainSelectedInstOperands,
     /* 284207 */     // GIR_Coverage, 6901,
     /* 284207 */     GIR_EraseRootFromParent_Done,
     /* 284208 */   // Label 5869: @284208
     /* 284208 */   GIM_Try, /*On fail goto*//*Label 5870*/ GIMT_Encode4(284274), // Rule ID 13858 //
     /* 284213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 284217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UZP2),
     /* 284221 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 284225 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 284229 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284234 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284239 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 284243 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP1),
     /* 284247 */     // MIs[2] Rn
     /* 284247 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 284252 */     // MIs[2] Rm
     /* 284252 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 284257 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 284259 */     // (fadd:{ *:[v4f32] } (AArch64uzp2:{ *:[v4f32] } FPR128:{ *:[v4f32] }:$Rn, FPR128:{ *:[v4f32] }:$Rm), (AArch64uzp1:{ *:[v4f32] } FPR128:{ *:[v4f32] }:$Rn, FPR128:{ *:[v4f32] }:$Rm))  =>  (FADDPv4f32:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rn, ?:{ *:[v4f32] }:$Rm)
     /* 284259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv4f32),
     /* 284262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 284264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 284268 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 284272 */     GIR_RootConstrainSelectedInstOperands,
     /* 284273 */     // GIR_Coverage, 13858,
     /* 284273 */     GIR_EraseRootFromParent_Done,
     /* 284274 */   // Label 5870: @284274
     /* 284274 */   GIM_Try, /*On fail goto*//*Label 5871*/ GIMT_Encode4(284301), // Rule ID 1205 //
     /* 284279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 284282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284290 */     // (fadd:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FADDv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 284290 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDv4f32),
     /* 284295 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 284299 */     GIR_RootConstrainSelectedInstOperands,
     /* 284300 */     // GIR_Coverage, 1205,
     /* 284300 */     GIR_Done,
     /* 284301 */   // Label 5871: @284301
     /* 284301 */   GIM_Reject,
     /* 284302 */ // Label 5868: @284302
     /* 284302 */ GIM_Reject,
     /* 284303 */ // Label 5843: @284303
     /* 284303 */ GIM_Try, /*On fail goto*//*Label 5872*/ GIMT_Encode4(284746),
     /* 284308 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 284311 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 284314 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284318 */   GIM_Try, /*On fail goto*//*Label 5873*/ GIMT_Encode4(284387), // Rule ID 6902 //
     /* 284323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 284326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 284330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UZP1),
     /* 284334 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 284338 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 284342 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284347 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284352 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 284356 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP2),
     /* 284360 */     // MIs[2] Rn
     /* 284360 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 284365 */     // MIs[2] Rm
     /* 284365 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 284370 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 284372 */     // (fadd:{ *:[v8f16] } (AArch64uzp1:{ *:[v8f16] } FPR128:{ *:[v8f16] }:$Rn, FPR128:{ *:[v8f16] }:$Rm), (AArch64uzp2:{ *:[v8f16] } FPR128:{ *:[v8f16] }:$Rn, FPR128:{ *:[v8f16] }:$Rm))  =>  (FADDPv8f16:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rn, ?:{ *:[v8f16] }:$Rm)
     /* 284372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv8f16),
     /* 284375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 284377 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 284381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 284385 */     GIR_RootConstrainSelectedInstOperands,
     /* 284386 */     // GIR_Coverage, 6902,
     /* 284386 */     GIR_EraseRootFromParent_Done,
     /* 284387 */   // Label 5873: @284387
     /* 284387 */   GIM_Try, /*On fail goto*//*Label 5874*/ GIMT_Encode4(284456), // Rule ID 13859 //
     /* 284392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 284395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 284399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UZP2),
     /* 284403 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 284407 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 284411 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284416 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284421 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 284425 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP1),
     /* 284429 */     // MIs[2] Rn
     /* 284429 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 284434 */     // MIs[2] Rm
     /* 284434 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 284439 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 284441 */     // (fadd:{ *:[v8f16] } (AArch64uzp2:{ *:[v8f16] } FPR128:{ *:[v8f16] }:$Rn, FPR128:{ *:[v8f16] }:$Rm), (AArch64uzp1:{ *:[v8f16] } FPR128:{ *:[v8f16] }:$Rn, FPR128:{ *:[v8f16] }:$Rm))  =>  (FADDPv8f16:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rn, ?:{ *:[v8f16] }:$Rm)
     /* 284441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv8f16),
     /* 284444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 284446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 284450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 284454 */     GIR_RootConstrainSelectedInstOperands,
     /* 284455 */     // GIR_Coverage, 13859,
     /* 284455 */     GIR_EraseRootFromParent_Done,
     /* 284456 */   // Label 5874: @284456
     /* 284456 */   GIM_Try, /*On fail goto*//*Label 5875*/ GIMT_Encode4(284483), // Rule ID 1201 //
     /* 284461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 284464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284472 */     // (fadd:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FADDv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 284472 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDv8f16),
     /* 284477 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 284481 */     GIR_RootConstrainSelectedInstOperands,
     /* 284482 */     // GIR_Coverage, 1201,
     /* 284482 */     GIR_Done,
     /* 284483 */   // Label 5875: @284483
     /* 284483 */   GIM_Try, /*On fail goto*//*Label 5876*/ GIMT_Encode4(284745), // Rule ID 6971 //
     /* 284488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 284491 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284499 */     // (fadd:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FADDv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })), (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rm, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FADDv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn), (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rm)))
     /* 284499 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_v4s32,
     /* 284502 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 284506 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284511 */     GIR_Copy, /*NewInsnID*/11, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 284515 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/11,
     /* 284517 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_v4s32,
     /* 284520 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 284524 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284529 */     GIR_Copy, /*NewInsnID*/10, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 284533 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/10,
     /* 284535 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_v4s32,
     /* 284538 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(AArch64::FADDv4f32),
     /* 284542 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284547 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/9,
     /* 284550 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/10,
     /* 284553 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/9,
     /* 284555 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s16,
     /* 284558 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 284562 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284567 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 284573 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 284578 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284583 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 284586 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 284590 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284595 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 284598 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 284600 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 284603 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 284607 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284612 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 284618 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 284623 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284628 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 284631 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 284635 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284640 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 284643 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 284645 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 284648 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FADDv4f32),
     /* 284652 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284657 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 284660 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/6,
     /* 284663 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 284665 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 284668 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 284672 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284677 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 284680 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 284682 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 284685 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 284689 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284694 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 284696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 284699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 284703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284708 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 284711 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 284714 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 284717 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284722 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284727 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 284732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 284735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 284737 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 284740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/8,
     /* 284743 */     GIR_RootConstrainSelectedInstOperands,
     /* 284744 */     // GIR_Coverage, 6971,
     /* 284744 */     GIR_EraseRootFromParent_Done,
     /* 284745 */   // Label 5876: @284745
     /* 284745 */   GIM_Reject,
     /* 284746 */ // Label 5872: @284746
     /* 284746 */ GIM_Reject,
     /* 284747 */ // Label 5844: @284747
     /* 284747 */ GIM_Try, /*On fail goto*//*Label 5877*/ GIMT_Encode4(284772), // Rule ID 2824 //
     /* 284752 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 284755 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 284758 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 284761 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 284765 */   // (fadd:{ *:[nxv2f64] } nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (FADD_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 284765 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZZZ_D),
     /* 284770 */   GIR_RootConstrainSelectedInstOperands,
     /* 284771 */   // GIR_Coverage, 2824,
     /* 284771 */   GIR_Done,
     /* 284772 */ // Label 5877: @284772
     /* 284772 */ GIM_Reject,
     /* 284773 */ // Label 5845: @284773
     /* 284773 */ GIM_Try, /*On fail goto*//*Label 5878*/ GIMT_Encode4(284798), // Rule ID 2822 //
     /* 284778 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 284781 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 284784 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 284787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 284791 */   // (fadd:{ *:[nxv4f32] } nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (FADD_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 284791 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZZZ_S),
     /* 284796 */   GIR_RootConstrainSelectedInstOperands,
     /* 284797 */   // GIR_Coverage, 2822,
     /* 284797 */   GIR_Done,
     /* 284798 */ // Label 5878: @284798
     /* 284798 */ GIM_Reject,
     /* 284799 */ // Label 5846: @284799
     /* 284799 */ GIM_Try, /*On fail goto*//*Label 5879*/ GIMT_Encode4(284824), // Rule ID 2820 //
     /* 284804 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 284807 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 284810 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 284813 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 284817 */   // (fadd:{ *:[nxv8f16] } nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (FADD_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 284817 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZZZ_H),
     /* 284822 */   GIR_RootConstrainSelectedInstOperands,
     /* 284823 */   // GIR_Coverage, 2820,
     /* 284823 */   GIR_Done,
     /* 284824 */ // Label 5879: @284824
     /* 284824 */ GIM_Reject,
     /* 284825 */ // Label 5847: @284825
     /* 284825 */ GIM_Reject,
     /* 284826 */ // Label 58: @284826
     /* 284826 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(22), /*)*//*default:*//*Label 5891*/ GIMT_Encode4(285563),
     /* 284837 */ /*GILLT_s16*//*Label 5880*/ GIMT_Encode4(284921),
     /* 284841 */ /*GILLT_s32*//*Label 5881*/ GIMT_Encode4(284959),
     /* 284845 */ /*GILLT_s64*//*Label 5882*/ GIMT_Encode4(284997), GIMT_Encode4(0),
     /* 284853 */ /*GILLT_v2s32*//*Label 5883*/ GIMT_Encode4(285035),
     /* 284857 */ /*GILLT_v2s64*//*Label 5884*/ GIMT_Encode4(285073),
     /* 284861 */ /*GILLT_v4s16*//*Label 5885*/ GIMT_Encode4(285111),
     /* 284865 */ /*GILLT_v4s32*//*Label 5886*/ GIMT_Encode4(285149), GIMT_Encode4(0),
     /* 284873 */ /*GILLT_v8s16*//*Label 5887*/ GIMT_Encode4(285187), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 284897 */ /*GILLT_nxv2s64*//*Label 5888*/ GIMT_Encode4(285485), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 284909 */ /*GILLT_nxv4s32*//*Label 5889*/ GIMT_Encode4(285511), GIMT_Encode4(0),
     /* 284917 */ /*GILLT_nxv8s16*//*Label 5890*/ GIMT_Encode4(285537),
     /* 284921 */ // Label 5880: @284921
     /* 284921 */ GIM_Try, /*On fail goto*//*Label 5892*/ GIMT_Encode4(284958), // Rule ID 632 //
     /* 284926 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 284929 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 284932 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 284935 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 284939 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 284943 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 284947 */   // (fsub:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FSUBHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 284947 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBHrr),
     /* 284952 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 284956 */   GIR_RootConstrainSelectedInstOperands,
     /* 284957 */   // GIR_Coverage, 632,
     /* 284957 */   GIR_Done,
     /* 284958 */ // Label 5892: @284958
     /* 284958 */ GIM_Reject,
     /* 284959 */ // Label 5881: @284959
     /* 284959 */ GIM_Try, /*On fail goto*//*Label 5893*/ GIMT_Encode4(284996), // Rule ID 634 //
     /* 284964 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 284967 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 284970 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 284973 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 284977 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 284981 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 284985 */   // (fsub:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FSUBSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 284985 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBSrr),
     /* 284990 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 284994 */   GIR_RootConstrainSelectedInstOperands,
     /* 284995 */   // GIR_Coverage, 634,
     /* 284995 */   GIR_Done,
     /* 284996 */ // Label 5893: @284996
     /* 284996 */ GIM_Reject,
     /* 284997 */ // Label 5882: @284997
     /* 284997 */ GIM_Try, /*On fail goto*//*Label 5894*/ GIMT_Encode4(285034), // Rule ID 636 //
     /* 285002 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 285005 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 285008 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 285011 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285015 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285019 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285023 */   // (fsub:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FSUBDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 285023 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBDrr),
     /* 285028 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 285032 */   GIR_RootConstrainSelectedInstOperands,
     /* 285033 */   // GIR_Coverage, 636,
     /* 285033 */   GIR_Done,
     /* 285034 */ // Label 5894: @285034
     /* 285034 */ GIM_Reject,
     /* 285035 */ // Label 5883: @285035
     /* 285035 */ GIM_Try, /*On fail goto*//*Label 5895*/ GIMT_Encode4(285072), // Rule ID 1343 //
     /* 285040 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 285043 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 285046 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 285049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285053 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285057 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285061 */   // (fsub:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FSUBv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 285061 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBv2f32),
     /* 285066 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 285070 */   GIR_RootConstrainSelectedInstOperands,
     /* 285071 */   // GIR_Coverage, 1343,
     /* 285071 */   GIR_Done,
     /* 285072 */ // Label 5895: @285072
     /* 285072 */ GIM_Reject,
     /* 285073 */ // Label 5884: @285073
     /* 285073 */ GIM_Try, /*On fail goto*//*Label 5896*/ GIMT_Encode4(285110), // Rule ID 1347 //
     /* 285078 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 285081 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 285084 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 285087 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285091 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285095 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285099 */   // (fsub:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FSUBv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 285099 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBv2f64),
     /* 285104 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 285108 */   GIR_RootConstrainSelectedInstOperands,
     /* 285109 */   // GIR_Coverage, 1347,
     /* 285109 */   GIR_Done,
     /* 285110 */ // Label 5896: @285110
     /* 285110 */ GIM_Reject,
     /* 285111 */ // Label 5885: @285111
     /* 285111 */ GIM_Try, /*On fail goto*//*Label 5897*/ GIMT_Encode4(285148), // Rule ID 1339 //
     /* 285116 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 285119 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 285122 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 285125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285129 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285133 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285137 */   // (fsub:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FSUBv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 285137 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBv4f16),
     /* 285142 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 285146 */   GIR_RootConstrainSelectedInstOperands,
     /* 285147 */   // GIR_Coverage, 1339,
     /* 285147 */   GIR_Done,
     /* 285148 */ // Label 5897: @285148
     /* 285148 */ GIM_Reject,
     /* 285149 */ // Label 5886: @285149
     /* 285149 */ GIM_Try, /*On fail goto*//*Label 5898*/ GIMT_Encode4(285186), // Rule ID 1345 //
     /* 285154 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 285157 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 285160 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 285163 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285167 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285171 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285175 */   // (fsub:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FSUBv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 285175 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBv4f32),
     /* 285180 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 285184 */   GIR_RootConstrainSelectedInstOperands,
     /* 285185 */   // GIR_Coverage, 1345,
     /* 285185 */   GIR_Done,
     /* 285186 */ // Label 5898: @285186
     /* 285186 */ GIM_Reject,
     /* 285187 */ // Label 5887: @285187
     /* 285187 */ GIM_Try, /*On fail goto*//*Label 5899*/ GIMT_Encode4(285484),
     /* 285192 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 285195 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 285198 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285202 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285206 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285210 */   GIM_Try, /*On fail goto*//*Label 5900*/ GIMT_Encode4(285229), // Rule ID 1341 //
     /* 285215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 285218 */     // (fsub:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FSUBv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 285218 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBv8f16),
     /* 285223 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 285227 */     GIR_RootConstrainSelectedInstOperands,
     /* 285228 */     // GIR_Coverage, 1341,
     /* 285228 */     GIR_Done,
     /* 285229 */   // Label 5900: @285229
     /* 285229 */   GIM_Try, /*On fail goto*//*Label 5901*/ GIMT_Encode4(285483), // Rule ID 6977 //
     /* 285234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 285237 */     // (fsub:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FSUBv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })), (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rm, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FSUBv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn), (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rm)))
     /* 285237 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_v4s32,
     /* 285240 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 285244 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285249 */     GIR_Copy, /*NewInsnID*/11, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 285253 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/11,
     /* 285255 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_v4s32,
     /* 285258 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 285262 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285267 */     GIR_Copy, /*NewInsnID*/10, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 285271 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/10,
     /* 285273 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_v4s32,
     /* 285276 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(AArch64::FSUBv4f32),
     /* 285280 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285285 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/9,
     /* 285288 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/10,
     /* 285291 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/9,
     /* 285293 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s16,
     /* 285296 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 285300 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285305 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 285311 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285316 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285321 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 285324 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 285328 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285333 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 285336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 285338 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 285341 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 285345 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285350 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 285356 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285361 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285366 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 285369 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 285373 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285378 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 285381 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 285383 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 285386 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FSUBv4f32),
     /* 285390 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285395 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 285398 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/6,
     /* 285401 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 285403 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 285406 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 285410 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285415 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 285418 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 285420 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 285423 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 285427 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285432 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 285434 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 285437 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 285441 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285446 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 285449 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 285452 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 285455 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285460 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285465 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 285473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 285475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 285478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/8,
     /* 285481 */     GIR_RootConstrainSelectedInstOperands,
     /* 285482 */     // GIR_Coverage, 6977,
     /* 285482 */     GIR_EraseRootFromParent_Done,
     /* 285483 */   // Label 5901: @285483
     /* 285483 */   GIM_Reject,
     /* 285484 */ // Label 5899: @285484
     /* 285484 */ GIM_Reject,
     /* 285485 */ // Label 5888: @285485
     /* 285485 */ GIM_Try, /*On fail goto*//*Label 5902*/ GIMT_Encode4(285510), // Rule ID 8141 //
     /* 285490 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 285493 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 285496 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 285499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 285503 */   // (fsub:{ *:[nxv2f64] } nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (FSUB_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 285503 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZZZ_D),
     /* 285508 */   GIR_RootConstrainSelectedInstOperands,
     /* 285509 */   // GIR_Coverage, 8141,
     /* 285509 */   GIR_Done,
     /* 285510 */ // Label 5902: @285510
     /* 285510 */ GIM_Reject,
     /* 285511 */ // Label 5889: @285511
     /* 285511 */ GIM_Try, /*On fail goto*//*Label 5903*/ GIMT_Encode4(285536), // Rule ID 8139 //
     /* 285516 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 285519 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 285522 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 285525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 285529 */   // (fsub:{ *:[nxv4f32] } nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (FSUB_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 285529 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZZZ_S),
     /* 285534 */   GIR_RootConstrainSelectedInstOperands,
     /* 285535 */   // GIR_Coverage, 8139,
     /* 285535 */   GIR_Done,
     /* 285536 */ // Label 5903: @285536
     /* 285536 */ GIM_Reject,
     /* 285537 */ // Label 5890: @285537
     /* 285537 */ GIM_Try, /*On fail goto*//*Label 5904*/ GIMT_Encode4(285562), // Rule ID 8137 //
     /* 285542 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 285545 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 285548 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 285551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 285555 */   // (fsub:{ *:[nxv8f16] } nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (FSUB_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 285555 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZZZ_H),
     /* 285560 */   GIR_RootConstrainSelectedInstOperands,
     /* 285561 */   // GIR_Coverage, 8137,
     /* 285561 */   GIR_Done,
     /* 285562 */ // Label 5904: @285562
     /* 285562 */ GIM_Reject,
     /* 285563 */ // Label 5891: @285563
     /* 285563 */ GIM_Reject,
     /* 285564 */ // Label 59: @285564
     /* 285564 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(22), /*)*//*default:*//*Label 5916*/ GIMT_Encode4(289659),
     /* 285575 */ /*GILLT_s16*//*Label 5905*/ GIMT_Encode4(285659),
     /* 285579 */ /*GILLT_s32*//*Label 5906*/ GIMT_Encode4(286301),
     /* 285583 */ /*GILLT_s64*//*Label 5907*/ GIMT_Encode4(286931), GIMT_Encode4(0),
     /* 285591 */ /*GILLT_v2s32*//*Label 5908*/ GIMT_Encode4(287561),
     /* 285595 */ /*GILLT_v2s64*//*Label 5909*/ GIMT_Encode4(288091),
     /* 285599 */ /*GILLT_v4s16*//*Label 5910*/ GIMT_Encode4(288449),
     /* 285603 */ /*GILLT_v4s32*//*Label 5911*/ GIMT_Encode4(288791), GIMT_Encode4(0),
     /* 285611 */ /*GILLT_v8s16*//*Label 5912*/ GIMT_Encode4(289149), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 285635 */ /*GILLT_nxv2s64*//*Label 5913*/ GIMT_Encode4(289581), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 285647 */ /*GILLT_nxv4s32*//*Label 5914*/ GIMT_Encode4(289607), GIMT_Encode4(0),
     /* 285655 */ /*GILLT_nxv8s16*//*Label 5915*/ GIMT_Encode4(289633),
     /* 285659 */ // Label 5905: @285659
     /* 285659 */ GIM_Try, /*On fail goto*//*Label 5917*/ GIMT_Encode4(286300),
     /* 285664 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 285667 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 285670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 285674 */   GIM_Try, /*On fail goto*//*Label 5918*/ GIMT_Encode4(285787), // Rule ID 6212 //
     /* 285679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 285682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 285686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 285690 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 285694 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 285698 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285703 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 285707 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 285711 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 285715 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 285719 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 285723 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285728 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 285732 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 285736 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 285740 */     // MIs[3] Operand 1
     /* 285740 */     // No operand predicates
     /* 285740 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 285742 */     // (fmul:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULv1i16_indexed:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 285742 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 285745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 285749 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285754 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 285760 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 285765 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i16_indexed),
     /* 285773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 285775 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 285778 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 285782 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 285785 */     GIR_RootConstrainSelectedInstOperands,
     /* 285786 */     // GIR_Coverage, 6212,
     /* 285786 */     GIR_EraseRootFromParent_Done,
     /* 285787 */   // Label 5918: @285787
     /* 285787 */   GIM_Try, /*On fail goto*//*Label 5919*/ GIMT_Encode4(285900), // Rule ID 13826 //
     /* 285792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 285795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 285799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 285803 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 285807 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 285811 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285816 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 285820 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 285824 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 285828 */     // MIs[2] Operand 1
     /* 285828 */     // No operand predicates
     /* 285828 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 285832 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 285836 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 285840 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 285844 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285849 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 285853 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 285855 */     // (fmul:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }))  =>  (FMULv1i16_indexed:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 285855 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 285858 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 285862 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285867 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 285873 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 285878 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i16_indexed),
     /* 285886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 285888 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 285891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 285895 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 285898 */     GIR_RootConstrainSelectedInstOperands,
     /* 285899 */     // GIR_Coverage, 13826,
     /* 285899 */     GIR_EraseRootFromParent_Done,
     /* 285900 */   // Label 5919: @285900
     /* 285900 */   GIM_Try, /*On fail goto*//*Label 5920*/ GIMT_Encode4(285979), // Rule ID 13763 //
     /* 285905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 285908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 285912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 285916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 285920 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 285924 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285929 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 285933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 285937 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 285939 */     // (fmul:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rn)  =>  (FMULHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }))
     /* 285939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 285942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 285946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285951 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 285957 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 285962 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULHrr),
     /* 285970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 285972 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 285974 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 285977 */     GIR_RootConstrainSelectedInstOperands,
     /* 285978 */     // GIR_Coverage, 13763,
     /* 285978 */     GIR_EraseRootFromParent_Done,
     /* 285979 */   // Label 5920: @285979
     /* 285979 */   GIM_Try, /*On fail goto*//*Label 5921*/ GIMT_Encode4(286058), // Rule ID 4791 //
     /* 285984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 285987 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 285991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 285995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 285999 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 286003 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 286007 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286012 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 286016 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 286018 */     // (fmul:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }))  =>  (FMULHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }))
     /* 286018 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 286021 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 286025 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286030 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 286036 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 286041 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULHrr),
     /* 286049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 286051 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 286053 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 286056 */     GIR_RootConstrainSelectedInstOperands,
     /* 286057 */     // GIR_Coverage, 4791,
     /* 286057 */     GIR_EraseRootFromParent_Done,
     /* 286058 */   // Label 5921: @286058
     /* 286058 */   GIM_Try, /*On fail goto*//*Label 5922*/ GIMT_Encode4(286121), // Rule ID 13378 //
     /* 286063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 286066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 286070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 286074 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 286078 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 286082 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 286087 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 286091 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 286095 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 286099 */     // MIs[2] Operand 1
     /* 286099 */     // No operand predicates
     /* 286099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 286103 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 286105 */     // (fmul:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16Op:{ *:[f16] }:$Rn)  =>  (FMULv1i16_indexed:{ *:[f16] } FPR16Op:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 286105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i16_indexed),
     /* 286108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 286110 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 286112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 286116 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 286119 */     GIR_RootConstrainSelectedInstOperands,
     /* 286120 */     // GIR_Coverage, 13378,
     /* 286120 */     GIR_EraseRootFromParent_Done,
     /* 286121 */   // Label 5922: @286121
     /* 286121 */   GIM_Try, /*On fail goto*//*Label 5923*/ GIMT_Encode4(286184), // Rule ID 2012 //
     /* 286126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 286129 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 286133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 286137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 286141 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 286145 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 286149 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 286154 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 286158 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 286162 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 286166 */     // MIs[2] Operand 1
     /* 286166 */     // No operand predicates
     /* 286166 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 286168 */     // (fmul:{ *:[f16] } FPR16Op:{ *:[f16] }:$Rn, (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULv1i16_indexed:{ *:[f16] } FPR16Op:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 286168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i16_indexed),
     /* 286171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 286173 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 286175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 286179 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 286182 */     GIR_RootConstrainSelectedInstOperands,
     /* 286183 */     // GIR_Coverage, 2012,
     /* 286183 */     GIR_EraseRootFromParent_Done,
     /* 286184 */   // Label 5923: @286184
     /* 286184 */   GIM_Try, /*On fail goto*//*Label 5924*/ GIMT_Encode4(286228), // Rule ID 4796 //
     /* 286189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 286192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 286196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 286200 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 286204 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 286209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 286213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 286215 */     // (fmul:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$a), FPR16:{ *:[f16] }:$b)  =>  (FNMULHrr:{ *:[f16] } FPR16:{ *:[f16] }:$a, FPR16:{ *:[f16] }:$b)
     /* 286215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULHrr),
     /* 286218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 286220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 286224 */     GIR_RootToRootCopy, /*OpIdx*/2, // b
     /* 286226 */     GIR_RootConstrainSelectedInstOperands,
     /* 286227 */     // GIR_Coverage, 4796,
     /* 286227 */     GIR_EraseRootFromParent_Done,
     /* 286228 */   // Label 5924: @286228
     /* 286228 */   GIM_Try, /*On fail goto*//*Label 5925*/ GIMT_Encode4(286272), // Rule ID 13768 //
     /* 286233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 286236 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 286240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 286244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 286248 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 286252 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 286257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 286259 */     // (fmul:{ *:[f16] } FPR16:{ *:[f16] }:$b, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$a))  =>  (FNMULHrr:{ *:[f16] } FPR16:{ *:[f16] }:$a, FPR16:{ *:[f16] }:$b)
     /* 286259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULHrr),
     /* 286262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 286264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 286268 */     GIR_RootToRootCopy, /*OpIdx*/1, // b
     /* 286270 */     GIR_RootConstrainSelectedInstOperands,
     /* 286271 */     // GIR_Coverage, 13768,
     /* 286271 */     GIR_EraseRootFromParent_Done,
     /* 286272 */   // Label 5925: @286272
     /* 286272 */   GIM_Try, /*On fail goto*//*Label 5926*/ GIMT_Encode4(286299), // Rule ID 620 //
     /* 286277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 286280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 286284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 286288 */     // (fmul:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FMULHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 286288 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULHrr),
     /* 286293 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 286297 */     GIR_RootConstrainSelectedInstOperands,
     /* 286298 */     // GIR_Coverage, 620,
     /* 286298 */     GIR_Done,
     /* 286299 */   // Label 5926: @286299
     /* 286299 */   GIM_Reject,
     /* 286300 */ // Label 5917: @286300
     /* 286300 */ GIM_Reject,
     /* 286301 */ // Label 5906: @286301
     /* 286301 */ GIM_Try, /*On fail goto*//*Label 5927*/ GIMT_Encode4(286930),
     /* 286306 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 286309 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 286312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 286316 */   GIM_Try, /*On fail goto*//*Label 5928*/ GIMT_Encode4(286429), // Rule ID 6214 //
     /* 286321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 286324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 286328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 286332 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 286336 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 286340 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286345 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 286349 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 286353 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 286357 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 286361 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 286365 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286370 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 286374 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 286378 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 286382 */     // MIs[3] Operand 1
     /* 286382 */     // No operand predicates
     /* 286382 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 286384 */     // (fmul:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULv1i32_indexed:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 286384 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 286387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 286391 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286396 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 286402 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 286407 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i32_indexed),
     /* 286415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 286417 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 286420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 286424 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 286427 */     GIR_RootConstrainSelectedInstOperands,
     /* 286428 */     // GIR_Coverage, 6214,
     /* 286428 */     GIR_EraseRootFromParent_Done,
     /* 286429 */   // Label 5928: @286429
     /* 286429 */   GIM_Try, /*On fail goto*//*Label 5929*/ GIMT_Encode4(286542), // Rule ID 13828 //
     /* 286434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 286437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 286441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 286445 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 286449 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 286453 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286458 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 286462 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 286466 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 286470 */     // MIs[2] Operand 1
     /* 286470 */     // No operand predicates
     /* 286470 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 286474 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 286478 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 286482 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 286486 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286491 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 286495 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 286497 */     // (fmul:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }))  =>  (FMULv1i32_indexed:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 286497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 286500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 286504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286509 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 286515 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 286520 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i32_indexed),
     /* 286528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 286530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 286533 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 286537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 286540 */     GIR_RootConstrainSelectedInstOperands,
     /* 286541 */     // GIR_Coverage, 13828,
     /* 286541 */     GIR_EraseRootFromParent_Done,
     /* 286542 */   // Label 5929: @286542
     /* 286542 */   GIM_Try, /*On fail goto*//*Label 5930*/ GIMT_Encode4(286618), // Rule ID 13765 //
     /* 286547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 286551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 286555 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 286559 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 286563 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286568 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 286572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 286576 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 286578 */     // (fmul:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rn)  =>  (FMULSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }))
     /* 286578 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 286581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 286585 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286590 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 286596 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 286601 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULSrr),
     /* 286609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 286611 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 286613 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 286616 */     GIR_RootConstrainSelectedInstOperands,
     /* 286617 */     // GIR_Coverage, 13765,
     /* 286617 */     GIR_EraseRootFromParent_Done,
     /* 286618 */   // Label 5930: @286618
     /* 286618 */   GIM_Try, /*On fail goto*//*Label 5931*/ GIMT_Encode4(286694), // Rule ID 4793 //
     /* 286623 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 286627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 286631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 286635 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 286639 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 286643 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286648 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 286652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 286654 */     // (fmul:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }))  =>  (FMULSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }))
     /* 286654 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 286657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 286661 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286666 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 286672 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 286677 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULSrr),
     /* 286685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 286687 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 286689 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 286692 */     GIR_RootConstrainSelectedInstOperands,
     /* 286693 */     // GIR_Coverage, 4793,
     /* 286693 */     GIR_EraseRootFromParent_Done,
     /* 286694 */   // Label 5931: @286694
     /* 286694 */   GIM_Try, /*On fail goto*//*Label 5932*/ GIMT_Encode4(286757), // Rule ID 13380 //
     /* 286699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 286702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 286706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 286710 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 286714 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 286718 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286723 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 286727 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 286731 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 286735 */     // MIs[2] Operand 1
     /* 286735 */     // No operand predicates
     /* 286735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 286739 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 286741 */     // (fmul:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32Op:{ *:[f32] }:$Rn)  =>  (FMULv1i32_indexed:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 286741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i32_indexed),
     /* 286744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 286746 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 286748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 286752 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 286755 */     GIR_RootConstrainSelectedInstOperands,
     /* 286756 */     // GIR_Coverage, 13380,
     /* 286756 */     GIR_EraseRootFromParent_Done,
     /* 286757 */   // Label 5932: @286757
     /* 286757 */   GIM_Try, /*On fail goto*//*Label 5933*/ GIMT_Encode4(286820), // Rule ID 2014 //
     /* 286762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 286765 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 286769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 286773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 286777 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 286781 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 286785 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286790 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 286794 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 286798 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 286802 */     // MIs[2] Operand 1
     /* 286802 */     // No operand predicates
     /* 286802 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 286804 */     // (fmul:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rn, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULv1i32_indexed:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 286804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i32_indexed),
     /* 286807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 286809 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 286811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 286815 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 286818 */     GIR_RootConstrainSelectedInstOperands,
     /* 286819 */     // GIR_Coverage, 2014,
     /* 286819 */     GIR_EraseRootFromParent_Done,
     /* 286820 */   // Label 5933: @286820
     /* 286820 */   GIM_Try, /*On fail goto*//*Label 5934*/ GIMT_Encode4(286861), // Rule ID 4797 //
     /* 286825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 286829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 286833 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 286837 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 286842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 286846 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 286848 */     // (fmul:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$a), FPR32:{ *:[f32] }:$b)  =>  (FNMULSrr:{ *:[f32] } FPR32:{ *:[f32] }:$a, FPR32:{ *:[f32] }:$b)
     /* 286848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULSrr),
     /* 286851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 286853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 286857 */     GIR_RootToRootCopy, /*OpIdx*/2, // b
     /* 286859 */     GIR_RootConstrainSelectedInstOperands,
     /* 286860 */     // GIR_Coverage, 4797,
     /* 286860 */     GIR_EraseRootFromParent_Done,
     /* 286861 */   // Label 5934: @286861
     /* 286861 */   GIM_Try, /*On fail goto*//*Label 5935*/ GIMT_Encode4(286902), // Rule ID 13769 //
     /* 286866 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 286870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 286874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 286878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 286882 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 286887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 286889 */     // (fmul:{ *:[f32] } FPR32:{ *:[f32] }:$b, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$a))  =>  (FNMULSrr:{ *:[f32] } FPR32:{ *:[f32] }:$a, FPR32:{ *:[f32] }:$b)
     /* 286889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULSrr),
     /* 286892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 286894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 286898 */     GIR_RootToRootCopy, /*OpIdx*/1, // b
     /* 286900 */     GIR_RootConstrainSelectedInstOperands,
     /* 286901 */     // GIR_Coverage, 13769,
     /* 286901 */     GIR_EraseRootFromParent_Done,
     /* 286902 */   // Label 5935: @286902
     /* 286902 */   GIM_Try, /*On fail goto*//*Label 5936*/ GIMT_Encode4(286929), // Rule ID 622 //
     /* 286907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 286910 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 286914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 286918 */     // (fmul:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FMULSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 286918 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULSrr),
     /* 286923 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 286927 */     GIR_RootConstrainSelectedInstOperands,
     /* 286928 */     // GIR_Coverage, 622,
     /* 286928 */     GIR_Done,
     /* 286929 */   // Label 5936: @286929
     /* 286929 */   GIM_Reject,
     /* 286930 */ // Label 5927: @286930
     /* 286930 */ GIM_Reject,
     /* 286931 */ // Label 5907: @286931
     /* 286931 */ GIM_Try, /*On fail goto*//*Label 5937*/ GIMT_Encode4(287560),
     /* 286936 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 286939 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 286942 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286946 */   GIM_Try, /*On fail goto*//*Label 5938*/ GIMT_Encode4(287059), // Rule ID 6216 //
     /* 286951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 286954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 286958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 286962 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 286966 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 286970 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286975 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 286979 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 286983 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 286987 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 286991 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 286995 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287000 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 287004 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 287008 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 287012 */     // MIs[3] Operand 1
     /* 287012 */     // No operand predicates
     /* 287012 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 287014 */     // (fmul:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx))  =>  (FMULv1i64_indexed:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 287014 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 287017 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 287021 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 287026 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 287032 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287037 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i64_indexed),
     /* 287045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 287050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 287054 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 287057 */     GIR_RootConstrainSelectedInstOperands,
     /* 287058 */     // GIR_Coverage, 6216,
     /* 287058 */     GIR_EraseRootFromParent_Done,
     /* 287059 */   // Label 5938: @287059
     /* 287059 */   GIM_Try, /*On fail goto*//*Label 5939*/ GIMT_Encode4(287172), // Rule ID 13830 //
     /* 287064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 287067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 287071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 287075 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 287079 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 287083 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287088 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 287092 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 287096 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 287100 */     // MIs[2] Operand 1
     /* 287100 */     // No operand predicates
     /* 287100 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 287104 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 287108 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 287112 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 287116 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287121 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 287125 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 287127 */     // (fmul:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }))  =>  (FMULv1i64_indexed:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 287127 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 287130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 287134 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 287139 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 287145 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287150 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i64_indexed),
     /* 287158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287160 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 287163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 287167 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 287170 */     GIR_RootConstrainSelectedInstOperands,
     /* 287171 */     // GIR_Coverage, 13830,
     /* 287171 */     GIR_EraseRootFromParent_Done,
     /* 287172 */   // Label 5939: @287172
     /* 287172 */   GIM_Try, /*On fail goto*//*Label 5940*/ GIMT_Encode4(287248), // Rule ID 13767 //
     /* 287177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 287181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 287185 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 287189 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 287193 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287198 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 287202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287206 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 287208 */     // (fmul:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rn)  =>  (FMULDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }))
     /* 287208 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 287211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 287215 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 287220 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 287226 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287231 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULDrr),
     /* 287239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287241 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 287243 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 287246 */     GIR_RootConstrainSelectedInstOperands,
     /* 287247 */     // GIR_Coverage, 13767,
     /* 287247 */     GIR_EraseRootFromParent_Done,
     /* 287248 */   // Label 5940: @287248
     /* 287248 */   GIM_Try, /*On fail goto*//*Label 5941*/ GIMT_Encode4(287324), // Rule ID 4795 //
     /* 287253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 287261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 287265 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 287269 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 287273 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287278 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 287282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 287284 */     // (fmul:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }))  =>  (FMULDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }))
     /* 287284 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 287287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 287291 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 287296 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 287302 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287307 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULDrr),
     /* 287315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287317 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 287319 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 287322 */     GIR_RootConstrainSelectedInstOperands,
     /* 287323 */     // GIR_Coverage, 4795,
     /* 287323 */     GIR_EraseRootFromParent_Done,
     /* 287324 */   // Label 5941: @287324
     /* 287324 */   GIM_Try, /*On fail goto*//*Label 5942*/ GIMT_Encode4(287387), // Rule ID 13382 //
     /* 287329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 287332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 287336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 287340 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 287344 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 287348 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287353 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 287357 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 287361 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 287365 */     // MIs[2] Operand 1
     /* 287365 */     // No operand predicates
     /* 287365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287369 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 287371 */     // (fmul:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64Op:{ *:[f64] }:$Rn)  =>  (FMULv1i64_indexed:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 287371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i64_indexed),
     /* 287374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287376 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 287378 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 287382 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 287385 */     GIR_RootConstrainSelectedInstOperands,
     /* 287386 */     // GIR_Coverage, 13382,
     /* 287386 */     GIR_EraseRootFromParent_Done,
     /* 287387 */   // Label 5942: @287387
     /* 287387 */   GIM_Try, /*On fail goto*//*Label 5943*/ GIMT_Encode4(287450), // Rule ID 2016 //
     /* 287392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 287395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 287403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 287407 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 287411 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 287415 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287420 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 287424 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 287428 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 287432 */     // MIs[2] Operand 1
     /* 287432 */     // No operand predicates
     /* 287432 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 287434 */     // (fmul:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rn, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx))  =>  (FMULv1i64_indexed:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 287434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i64_indexed),
     /* 287437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287439 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 287441 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 287445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 287448 */     GIR_RootConstrainSelectedInstOperands,
     /* 287449 */     // GIR_Coverage, 2016,
     /* 287449 */     GIR_EraseRootFromParent_Done,
     /* 287450 */   // Label 5943: @287450
     /* 287450 */   GIM_Try, /*On fail goto*//*Label 5944*/ GIMT_Encode4(287491), // Rule ID 4798 //
     /* 287455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 287459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 287463 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 287467 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287476 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 287478 */     // (fmul:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$a), FPR64:{ *:[f64] }:$b)  =>  (FNMULDrr:{ *:[f64] } FPR64:{ *:[f64] }:$a, FPR64:{ *:[f64] }:$b)
     /* 287478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULDrr),
     /* 287481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287483 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 287487 */     GIR_RootToRootCopy, /*OpIdx*/2, // b
     /* 287489 */     GIR_RootConstrainSelectedInstOperands,
     /* 287490 */     // GIR_Coverage, 4798,
     /* 287490 */     GIR_EraseRootFromParent_Done,
     /* 287491 */   // Label 5944: @287491
     /* 287491 */   GIM_Try, /*On fail goto*//*Label 5945*/ GIMT_Encode4(287532), // Rule ID 13770 //
     /* 287496 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 287504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 287508 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 287512 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 287519 */     // (fmul:{ *:[f64] } FPR64:{ *:[f64] }:$b, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$a))  =>  (FNMULDrr:{ *:[f64] } FPR64:{ *:[f64] }:$a, FPR64:{ *:[f64] }:$b)
     /* 287519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULDrr),
     /* 287522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287524 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 287528 */     GIR_RootToRootCopy, /*OpIdx*/1, // b
     /* 287530 */     GIR_RootConstrainSelectedInstOperands,
     /* 287531 */     // GIR_Coverage, 13770,
     /* 287531 */     GIR_EraseRootFromParent_Done,
     /* 287532 */   // Label 5945: @287532
     /* 287532 */   GIM_Try, /*On fail goto*//*Label 5946*/ GIMT_Encode4(287559), // Rule ID 624 //
     /* 287537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 287540 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287548 */     // (fmul:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FMULDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 287548 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULDrr),
     /* 287553 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 287557 */     GIR_RootConstrainSelectedInstOperands,
     /* 287558 */     // GIR_Coverage, 624,
     /* 287558 */     GIR_Done,
     /* 287559 */   // Label 5946: @287559
     /* 287559 */   GIM_Reject,
     /* 287560 */ // Label 5937: @287560
     /* 287560 */ GIM_Reject,
     /* 287561 */ // Label 5908: @287561
     /* 287561 */ GIM_Try, /*On fail goto*//*Label 5947*/ GIMT_Encode4(288090),
     /* 287566 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 287569 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 287572 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287576 */   GIM_Try, /*On fail goto*//*Label 5948*/ GIMT_Encode4(287662), // Rule ID 13371 //
     /* 287581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 287584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 287588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 287592 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 287596 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 287600 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 287604 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 287608 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 287612 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287617 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 287621 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 287625 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 287629 */     // MIs[3] Operand 1
     /* 287629 */     // No operand predicates
     /* 287629 */     // MIs[1] Operand 2
     /* 287629 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 287640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287644 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 287646 */     // (fmul:{ *:[v2f32] } (extract_subvector:{ *:[v2f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2f32] }:$Rn)  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 287646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 287649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287651 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 287653 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 287657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 287660 */     GIR_RootConstrainSelectedInstOperands,
     /* 287661 */     // GIR_Coverage, 13371,
     /* 287661 */     GIR_EraseRootFromParent_Done,
     /* 287662 */   // Label 5948: @287662
     /* 287662 */   GIM_Try, /*On fail goto*//*Label 5949*/ GIMT_Encode4(287748), // Rule ID 2005 //
     /* 287667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 287670 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 287678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 287682 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 287686 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 287690 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 287694 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 287698 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 287702 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287707 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 287711 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 287715 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 287719 */     // MIs[3] Operand 1
     /* 287719 */     // No operand predicates
     /* 287719 */     // MIs[1] Operand 2
     /* 287719 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 287730 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 287732 */     // (fmul:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (extract_subvector:{ *:[v2f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }))  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 287732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 287735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287737 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 287739 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 287743 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 287746 */     GIR_RootConstrainSelectedInstOperands,
     /* 287747 */     // GIR_Coverage, 2005,
     /* 287747 */     GIR_EraseRootFromParent_Done,
     /* 287748 */   // Label 5949: @287748
     /* 287748 */   GIM_Try, /*On fail goto*//*Label 5950*/ GIMT_Encode4(287811), // Rule ID 13372 //
     /* 287753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 287756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 287760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 287764 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 287768 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 287772 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287777 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 287781 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 287785 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 287789 */     // MIs[2] Operand 1
     /* 287789 */     // No operand predicates
     /* 287789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287793 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 287795 */     // (fmul:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rn)  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 287795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 287798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287800 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 287802 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 287806 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 287809 */     GIR_RootConstrainSelectedInstOperands,
     /* 287810 */     // GIR_Coverage, 13372,
     /* 287810 */     GIR_EraseRootFromParent_Done,
     /* 287811 */   // Label 5950: @287811
     /* 287811 */   GIM_Try, /*On fail goto*//*Label 5951*/ GIMT_Encode4(287874), // Rule ID 2006 //
     /* 287816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 287819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 287827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 287831 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 287835 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 287839 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287844 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 287848 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 287852 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 287856 */     // MIs[2] Operand 1
     /* 287856 */     // No operand predicates
     /* 287856 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 287858 */     // (fmul:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 287858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 287861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287863 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 287865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 287869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 287872 */     GIR_RootConstrainSelectedInstOperands,
     /* 287873 */     // GIR_Coverage, 2006,
     /* 287873 */     GIR_EraseRootFromParent_Done,
     /* 287874 */   // Label 5951: @287874
     /* 287874 */   GIM_Try, /*On fail goto*//*Label 5952*/ GIMT_Encode4(287968), // Rule ID 13832 //
     /* 287879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 287883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 287887 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 287891 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 287896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 287902 */     // (fmul:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } FPR32:{ *:[f32] }:$Rm), V64:{ *:[v2f32] }:$Rn)  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR32:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 287902 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 287905 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 287909 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 287914 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 287916 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 287919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 287923 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 287928 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 287931 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 287935 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 287938 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287943 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287948 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 287953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 287956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287958 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 287960 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 287963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 287966 */     GIR_RootConstrainSelectedInstOperands,
     /* 287967 */     // GIR_Coverage, 13832,
     /* 287967 */     GIR_EraseRootFromParent_Done,
     /* 287968 */   // Label 5952: @287968
     /* 287968 */   GIM_Try, /*On fail goto*//*Label 5953*/ GIMT_Encode4(288062), // Rule ID 6218 //
     /* 287973 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 287977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 287981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 287985 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 287989 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 287994 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 287996 */     // (fmul:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64dup:{ *:[v2f32] } FPR32:{ *:[f32] }:$Rm))  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR32:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 287996 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 287999 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 288003 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 288008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 288010 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 288013 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 288017 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 288022 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 288025 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 288029 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 288032 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288037 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288042 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 288047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 288050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 288052 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 288054 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 288057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 288060 */     GIR_RootConstrainSelectedInstOperands,
     /* 288061 */     // GIR_Coverage, 6218,
     /* 288061 */     GIR_EraseRootFromParent_Done,
     /* 288062 */   // Label 5953: @288062
     /* 288062 */   GIM_Try, /*On fail goto*//*Label 5954*/ GIMT_Encode4(288089), // Rule ID 1323 //
     /* 288067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 288070 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288078 */     // (fmul:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMULv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 288078 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULv2f32),
     /* 288083 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 288087 */     GIR_RootConstrainSelectedInstOperands,
     /* 288088 */     // GIR_Coverage, 1323,
     /* 288088 */     GIR_Done,
     /* 288089 */   // Label 5954: @288089
     /* 288089 */   GIM_Reject,
     /* 288090 */ // Label 5947: @288090
     /* 288090 */ GIM_Reject,
     /* 288091 */ // Label 5909: @288091
     /* 288091 */ GIM_Try, /*On fail goto*//*Label 5955*/ GIMT_Encode4(288448),
     /* 288096 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 288099 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 288102 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288106 */   GIM_Try, /*On fail goto*//*Label 5956*/ GIMT_Encode4(288169), // Rule ID 13376 //
     /* 288111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 288114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 288118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 288122 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 288126 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 288130 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288135 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 288139 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 288143 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 288147 */     // MIs[2] Operand 1
     /* 288147 */     // No operand predicates
     /* 288147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288151 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 288153 */     // (fmul:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rn)  =>  (FMULv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 288153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i64_indexed),
     /* 288156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 288158 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 288160 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 288164 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 288167 */     GIR_RootConstrainSelectedInstOperands,
     /* 288168 */     // GIR_Coverage, 13376,
     /* 288168 */     GIR_EraseRootFromParent_Done,
     /* 288169 */   // Label 5956: @288169
     /* 288169 */   GIM_Try, /*On fail goto*//*Label 5957*/ GIMT_Encode4(288232), // Rule ID 2010 //
     /* 288174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 288177 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 288185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 288189 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 288193 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 288197 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288202 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 288206 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 288210 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 288214 */     // MIs[2] Operand 1
     /* 288214 */     // No operand predicates
     /* 288214 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 288216 */     // (fmul:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx))  =>  (FMULv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 288216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i64_indexed),
     /* 288219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 288221 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 288223 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 288227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 288230 */     GIR_RootConstrainSelectedInstOperands,
     /* 288231 */     // GIR_Coverage, 2010,
     /* 288231 */     GIR_EraseRootFromParent_Done,
     /* 288232 */   // Label 5957: @288232
     /* 288232 */   GIM_Try, /*On fail goto*//*Label 5958*/ GIMT_Encode4(288326), // Rule ID 13836 //
     /* 288237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 288241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 288245 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 288249 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288258 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 288260 */     // (fmul:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } FPR64:{ *:[f64] }:$Rm), V128:{ *:[v2f64] }:$Rn)  =>  (FMULv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR64:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 288260 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 288263 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 288267 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 288272 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 288274 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 288277 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 288281 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 288286 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 288289 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 288293 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 288296 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288301 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288306 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i64_indexed),
     /* 288314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 288316 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 288318 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 288321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 288324 */     GIR_RootConstrainSelectedInstOperands,
     /* 288325 */     // GIR_Coverage, 13836,
     /* 288325 */     GIR_EraseRootFromParent_Done,
     /* 288326 */   // Label 5958: @288326
     /* 288326 */   GIM_Try, /*On fail goto*//*Label 5959*/ GIMT_Encode4(288420), // Rule ID 6222 //
     /* 288331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 288339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 288343 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 288347 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 288354 */     // (fmul:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64dup:{ *:[v2f64] } FPR64:{ *:[f64] }:$Rm))  =>  (FMULv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR64:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 288354 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 288357 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 288361 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 288366 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 288368 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 288371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 288375 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 288380 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 288383 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 288387 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 288390 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288395 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288400 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i64_indexed),
     /* 288408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 288410 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 288412 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 288415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 288418 */     GIR_RootConstrainSelectedInstOperands,
     /* 288419 */     // GIR_Coverage, 6222,
     /* 288419 */     GIR_EraseRootFromParent_Done,
     /* 288420 */   // Label 5959: @288420
     /* 288420 */   GIM_Try, /*On fail goto*//*Label 5960*/ GIMT_Encode4(288447), // Rule ID 1327 //
     /* 288425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 288428 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288436 */     // (fmul:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMULv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 288436 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULv2f64),
     /* 288441 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 288445 */     GIR_RootConstrainSelectedInstOperands,
     /* 288446 */     // GIR_Coverage, 1327,
     /* 288446 */     GIR_Done,
     /* 288447 */   // Label 5960: @288447
     /* 288447 */   GIM_Reject,
     /* 288448 */ // Label 5955: @288448
     /* 288448 */ GIM_Reject,
     /* 288449 */ // Label 5910: @288449
     /* 288449 */ GIM_Try, /*On fail goto*//*Label 5961*/ GIMT_Encode4(288790),
     /* 288454 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 288457 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 288460 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288464 */   GIM_Try, /*On fail goto*//*Label 5962*/ GIMT_Encode4(288550), // Rule ID 13365 //
     /* 288469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 288472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 288476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 288480 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 288484 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 288488 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 288492 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 288496 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 288500 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 288505 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 288509 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 288513 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 288517 */     // MIs[3] Operand 1
     /* 288517 */     // No operand predicates
     /* 288517 */     // MIs[1] Operand 2
     /* 288517 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 288528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288532 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 288534 */     // (fmul:{ *:[v4f16] } (extract_subvector:{ *:[v4f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4f16] }:$Rn)  =>  (FMULv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 288534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i16_indexed),
     /* 288537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 288539 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 288541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 288545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 288548 */     GIR_RootConstrainSelectedInstOperands,
     /* 288549 */     // GIR_Coverage, 13365,
     /* 288549 */     GIR_EraseRootFromParent_Done,
     /* 288550 */   // Label 5962: @288550
     /* 288550 */   GIM_Try, /*On fail goto*//*Label 5963*/ GIMT_Encode4(288636), // Rule ID 1999 //
     /* 288555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 288558 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 288566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 288570 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 288574 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 288578 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 288582 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 288586 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 288590 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 288595 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 288599 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 288603 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 288607 */     // MIs[3] Operand 1
     /* 288607 */     // No operand predicates
     /* 288607 */     // MIs[1] Operand 2
     /* 288607 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 288618 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 288620 */     // (fmul:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (extract_subvector:{ *:[v4f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }))  =>  (FMULv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 288620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i16_indexed),
     /* 288623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 288625 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 288627 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 288631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 288634 */     GIR_RootConstrainSelectedInstOperands,
     /* 288635 */     // GIR_Coverage, 1999,
     /* 288635 */     GIR_EraseRootFromParent_Done,
     /* 288636 */   // Label 5963: @288636
     /* 288636 */   GIM_Try, /*On fail goto*//*Label 5964*/ GIMT_Encode4(288699), // Rule ID 13366 //
     /* 288641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 288644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 288648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 288652 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 288656 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 288660 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 288665 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 288669 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 288673 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 288677 */     // MIs[2] Operand 1
     /* 288677 */     // No operand predicates
     /* 288677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288681 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 288683 */     // (fmul:{ *:[v4f16] } (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4f16] }:$Rn)  =>  (FMULv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 288683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i16_indexed),
     /* 288686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 288688 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 288690 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 288694 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 288697 */     GIR_RootConstrainSelectedInstOperands,
     /* 288698 */     // GIR_Coverage, 13366,
     /* 288698 */     GIR_EraseRootFromParent_Done,
     /* 288699 */   // Label 5964: @288699
     /* 288699 */   GIM_Try, /*On fail goto*//*Label 5965*/ GIMT_Encode4(288762), // Rule ID 2000 //
     /* 288704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 288707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 288715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 288719 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 288723 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 288727 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 288732 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 288736 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 288740 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 288744 */     // MIs[2] Operand 1
     /* 288744 */     // No operand predicates
     /* 288744 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 288746 */     // (fmul:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 288746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i16_indexed),
     /* 288749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 288751 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 288753 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 288757 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 288760 */     GIR_RootConstrainSelectedInstOperands,
     /* 288761 */     // GIR_Coverage, 2000,
     /* 288761 */     GIR_EraseRootFromParent_Done,
     /* 288762 */   // Label 5965: @288762
     /* 288762 */   GIM_Try, /*On fail goto*//*Label 5966*/ GIMT_Encode4(288789), // Rule ID 1319 //
     /* 288767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 288770 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288778 */     // (fmul:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMULv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 288778 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULv4f16),
     /* 288783 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 288787 */     GIR_RootConstrainSelectedInstOperands,
     /* 288788 */     // GIR_Coverage, 1319,
     /* 288788 */     GIR_Done,
     /* 288789 */   // Label 5966: @288789
     /* 288789 */   GIM_Reject,
     /* 288790 */ // Label 5961: @288790
     /* 288790 */ GIM_Reject,
     /* 288791 */ // Label 5911: @288791
     /* 288791 */ GIM_Try, /*On fail goto*//*Label 5967*/ GIMT_Encode4(289148),
     /* 288796 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 288799 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 288802 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288806 */   GIM_Try, /*On fail goto*//*Label 5968*/ GIMT_Encode4(288869), // Rule ID 13374 //
     /* 288811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 288814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 288818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 288822 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 288826 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 288830 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288835 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 288839 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 288843 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 288847 */     // MIs[2] Operand 1
     /* 288847 */     // No operand predicates
     /* 288847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288851 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 288853 */     // (fmul:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rn)  =>  (FMULv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 288853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i32_indexed),
     /* 288856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 288858 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 288860 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 288864 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 288867 */     GIR_RootConstrainSelectedInstOperands,
     /* 288868 */     // GIR_Coverage, 13374,
     /* 288868 */     GIR_EraseRootFromParent_Done,
     /* 288869 */   // Label 5968: @288869
     /* 288869 */   GIM_Try, /*On fail goto*//*Label 5969*/ GIMT_Encode4(288932), // Rule ID 2008 //
     /* 288874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 288877 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 288885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 288889 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 288893 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 288897 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288902 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 288906 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 288910 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 288914 */     // MIs[2] Operand 1
     /* 288914 */     // No operand predicates
     /* 288914 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 288916 */     // (fmul:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 288916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i32_indexed),
     /* 288919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 288921 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 288923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 288927 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 288930 */     GIR_RootConstrainSelectedInstOperands,
     /* 288931 */     // GIR_Coverage, 2008,
     /* 288931 */     GIR_EraseRootFromParent_Done,
     /* 288932 */   // Label 5969: @288932
     /* 288932 */   GIM_Try, /*On fail goto*//*Label 5970*/ GIMT_Encode4(289026), // Rule ID 13834 //
     /* 288937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 288941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 288945 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 288949 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 288954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288958 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 288960 */     // (fmul:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } FPR32:{ *:[f32] }:$Rm), V128:{ *:[v4f32] }:$Rn)  =>  (FMULv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR32:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 288960 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 288963 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 288967 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 288972 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 288974 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 288977 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 288981 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 288986 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 288989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 288993 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 288996 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289001 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289006 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 289011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i32_indexed),
     /* 289014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 289016 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 289018 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 289021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 289024 */     GIR_RootConstrainSelectedInstOperands,
     /* 289025 */     // GIR_Coverage, 13834,
     /* 289025 */     GIR_EraseRootFromParent_Done,
     /* 289026 */   // Label 5970: @289026
     /* 289026 */   GIM_Try, /*On fail goto*//*Label 5971*/ GIMT_Encode4(289120), // Rule ID 6220 //
     /* 289031 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 289039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 289043 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 289047 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 289052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 289054 */     // (fmul:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64dup:{ *:[v4f32] } FPR32:{ *:[f32] }:$Rm))  =>  (FMULv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR32:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 289054 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 289057 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 289061 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 289066 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 289068 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 289071 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 289075 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 289080 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 289083 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 289087 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 289090 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289095 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289100 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 289105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i32_indexed),
     /* 289108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 289110 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 289112 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 289115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 289118 */     GIR_RootConstrainSelectedInstOperands,
     /* 289119 */     // GIR_Coverage, 6220,
     /* 289119 */     GIR_EraseRootFromParent_Done,
     /* 289120 */   // Label 5971: @289120
     /* 289120 */   GIM_Try, /*On fail goto*//*Label 5972*/ GIMT_Encode4(289147), // Rule ID 1325 //
     /* 289125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 289128 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289136 */     // (fmul:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMULv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 289136 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULv4f32),
     /* 289141 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 289145 */     GIR_RootConstrainSelectedInstOperands,
     /* 289146 */     // GIR_Coverage, 1325,
     /* 289146 */     GIR_Done,
     /* 289147 */   // Label 5972: @289147
     /* 289147 */   GIM_Reject,
     /* 289148 */ // Label 5967: @289148
     /* 289148 */ GIM_Reject,
     /* 289149 */ // Label 5912: @289149
     /* 289149 */ GIM_Try, /*On fail goto*//*Label 5973*/ GIMT_Encode4(289580),
     /* 289154 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 289157 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 289160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289164 */   GIM_Try, /*On fail goto*//*Label 5974*/ GIMT_Encode4(289227), // Rule ID 13368 //
     /* 289169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 289172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 289176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 289180 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 289184 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 289188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 289193 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 289197 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 289201 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 289205 */     // MIs[2] Operand 1
     /* 289205 */     // No operand predicates
     /* 289205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289209 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 289211 */     // (fmul:{ *:[v8f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V128:{ *:[v8f16] }:$Rn)  =>  (FMULv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 289211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv8i16_indexed),
     /* 289214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 289216 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 289218 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 289222 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 289225 */     GIR_RootConstrainSelectedInstOperands,
     /* 289226 */     // GIR_Coverage, 13368,
     /* 289226 */     GIR_EraseRootFromParent_Done,
     /* 289227 */   // Label 5974: @289227
     /* 289227 */   GIM_Try, /*On fail goto*//*Label 5975*/ GIMT_Encode4(289290), // Rule ID 2002 //
     /* 289232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 289235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 289243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 289247 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 289251 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 289255 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 289260 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 289264 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 289268 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 289272 */     // MIs[2] Operand 1
     /* 289272 */     // No operand predicates
     /* 289272 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 289274 */     // (fmul:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 289274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv8i16_indexed),
     /* 289277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 289279 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 289281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 289285 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 289288 */     GIR_RootConstrainSelectedInstOperands,
     /* 289289 */     // GIR_Coverage, 2002,
     /* 289289 */     GIR_EraseRootFromParent_Done,
     /* 289290 */   // Label 5975: @289290
     /* 289290 */   GIM_Try, /*On fail goto*//*Label 5976*/ GIMT_Encode4(289317), // Rule ID 1321 //
     /* 289295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 289298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289306 */     // (fmul:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMULv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 289306 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULv8f16),
     /* 289311 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 289315 */     GIR_RootConstrainSelectedInstOperands,
     /* 289316 */     // GIR_Coverage, 1321,
     /* 289316 */     GIR_Done,
     /* 289317 */   // Label 5976: @289317
     /* 289317 */   GIM_Try, /*On fail goto*//*Label 5977*/ GIMT_Encode4(289579), // Rule ID 6975 //
     /* 289322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 289325 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289333 */     // (fmul:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FMULv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })), (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rm, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FMULv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn), (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rm)))
     /* 289333 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_v4s32,
     /* 289336 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 289340 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 289345 */     GIR_Copy, /*NewInsnID*/11, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 289349 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/11,
     /* 289351 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_v4s32,
     /* 289354 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 289358 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 289363 */     GIR_Copy, /*NewInsnID*/10, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 289367 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/10,
     /* 289369 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_v4s32,
     /* 289372 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(AArch64::FMULv4f32),
     /* 289376 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 289381 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/9,
     /* 289384 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/10,
     /* 289387 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/9,
     /* 289389 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s16,
     /* 289392 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 289396 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 289401 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 289407 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289412 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289417 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 289420 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 289424 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 289429 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 289432 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 289434 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 289437 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 289441 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 289446 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 289452 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289457 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289462 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 289465 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 289469 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 289474 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 289477 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 289479 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 289482 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FMULv4f32),
     /* 289486 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 289491 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 289494 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/6,
     /* 289497 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 289499 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 289502 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 289506 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 289511 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 289514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 289516 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 289519 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 289523 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 289528 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 289530 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 289533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 289537 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 289542 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 289545 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 289548 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 289551 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289556 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289561 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 289569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 289571 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 289574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/8,
     /* 289577 */     GIR_RootConstrainSelectedInstOperands,
     /* 289578 */     // GIR_Coverage, 6975,
     /* 289578 */     GIR_EraseRootFromParent_Done,
     /* 289579 */   // Label 5977: @289579
     /* 289579 */   GIM_Reject,
     /* 289580 */ // Label 5973: @289580
     /* 289580 */ GIM_Reject,
     /* 289581 */ // Label 5913: @289581
     /* 289581 */ GIM_Try, /*On fail goto*//*Label 5978*/ GIMT_Encode4(289606), // Rule ID 8147 //
     /* 289586 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 289589 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 289592 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 289595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 289599 */   // (fmul:{ *:[nxv2f64] } nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (FMUL_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 289599 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZZZ_D),
     /* 289604 */   GIR_RootConstrainSelectedInstOperands,
     /* 289605 */   // GIR_Coverage, 8147,
     /* 289605 */   GIR_Done,
     /* 289606 */ // Label 5978: @289606
     /* 289606 */ GIM_Reject,
     /* 289607 */ // Label 5914: @289607
     /* 289607 */ GIM_Try, /*On fail goto*//*Label 5979*/ GIMT_Encode4(289632), // Rule ID 8145 //
     /* 289612 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 289615 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 289618 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 289621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 289625 */   // (fmul:{ *:[nxv4f32] } nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (FMUL_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 289625 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZZZ_S),
     /* 289630 */   GIR_RootConstrainSelectedInstOperands,
     /* 289631 */   // GIR_Coverage, 8145,
     /* 289631 */   GIR_Done,
     /* 289632 */ // Label 5979: @289632
     /* 289632 */ GIM_Reject,
     /* 289633 */ // Label 5915: @289633
     /* 289633 */ GIM_Try, /*On fail goto*//*Label 5980*/ GIMT_Encode4(289658), // Rule ID 8143 //
     /* 289638 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 289641 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 289644 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 289647 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 289651 */   // (fmul:{ *:[nxv8f16] } nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (FMUL_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 289651 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZZZ_H),
     /* 289656 */   GIR_RootConstrainSelectedInstOperands,
     /* 289657 */   // GIR_Coverage, 8143,
     /* 289657 */   GIR_Done,
     /* 289658 */ // Label 5980: @289658
     /* 289658 */ GIM_Reject,
     /* 289659 */ // Label 5916: @289659
     /* 289659 */ GIM_Reject,
     /* 289660 */ // Label 60: @289660
     /* 289660 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 5989*/ GIMT_Encode4(305932),
     /* 289671 */ /*GILLT_s16*//*Label 5981*/ GIMT_Encode4(289711),
     /* 289675 */ /*GILLT_s32*//*Label 5982*/ GIMT_Encode4(292715),
     /* 289679 */ /*GILLT_s64*//*Label 5983*/ GIMT_Encode4(295863), GIMT_Encode4(0),
     /* 289687 */ /*GILLT_v2s32*//*Label 5984*/ GIMT_Encode4(299011),
     /* 289691 */ /*GILLT_v2s64*//*Label 5985*/ GIMT_Encode4(300532),
     /* 289695 */ /*GILLT_v4s16*//*Label 5986*/ GIMT_Encode4(302053),
     /* 289699 */ /*GILLT_v4s32*//*Label 5987*/ GIMT_Encode4(303232), GIMT_Encode4(0),
     /* 289707 */ /*GILLT_v8s16*//*Label 5988*/ GIMT_Encode4(304753),
     /* 289711 */ // Label 5981: @289711
     /* 289711 */ GIM_Try, /*On fail goto*//*Label 5990*/ GIMT_Encode4(292714),
     /* 289716 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 289719 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 289722 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 289725 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 289729 */   GIM_Try, /*On fail goto*//*Label 5991*/ GIMT_Encode4(289879), // Rule ID 4853 //
     /* 289734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 289737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 289741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 289745 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 289749 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 289753 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289758 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 289762 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 289766 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 289770 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 289774 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 289778 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289783 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 289787 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 289791 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 289795 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s16,
     /* 289799 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 289804 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 289806 */     // (fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Ra))  =>  (FNMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 289806 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 289809 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 289813 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 289818 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 289824 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 289829 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289834 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 289837 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 289841 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 289846 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 289852 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 289857 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBHrrr),
     /* 289865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 289867 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 289870 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 289873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Ra
     /* 289877 */     GIR_RootConstrainSelectedInstOperands,
     /* 289878 */     // GIR_Coverage, 4853,
     /* 289878 */     GIR_EraseRootFromParent_Done,
     /* 289879 */   // Label 5991: @289879
     /* 289879 */   GIM_Try, /*On fail goto*//*Label 5992*/ GIMT_Encode4(290026), // Rule ID 4817 //
     /* 289884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 289887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 289891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 289895 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 289899 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 289903 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289908 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 289912 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 289916 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 289920 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 289924 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 289928 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 289932 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 289936 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 289940 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289945 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 289949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 289953 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 289955 */     // (fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] })), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 289955 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 289958 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 289962 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 289967 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 289973 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 289978 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289983 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 289986 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 289990 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 289995 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 290001 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 290006 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 290014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 290016 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 290019 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 290022 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 290024 */     GIR_RootConstrainSelectedInstOperands,
     /* 290025 */     // GIR_Coverage, 4817,
     /* 290025 */     GIR_EraseRootFromParent_Done,
     /* 290026 */   // Label 5992: @290026
     /* 290026 */   GIM_Try, /*On fail goto*//*Label 5993*/ GIMT_Encode4(290173), // Rule ID 13776 //
     /* 290031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 290034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 290038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 290042 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 290046 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 290050 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 290054 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 290058 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 290062 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290067 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 290071 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 290075 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 290079 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 290083 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 290087 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290092 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 290096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 290100 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 290102 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] })), (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 290102 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 290105 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 290109 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290114 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 290120 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 290125 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290130 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 290133 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 290137 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290142 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 290148 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 290153 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 290161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 290163 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 290166 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 290169 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 290171 */     GIR_RootConstrainSelectedInstOperands,
     /* 290172 */     // GIR_Coverage, 13776,
     /* 290172 */     GIR_EraseRootFromParent_Done,
     /* 290173 */   // Label 5993: @290173
     /* 290173 */   GIM_Try, /*On fail goto*//*Label 5994*/ GIMT_Encode4(290304), // Rule ID 6050 //
     /* 290178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 290181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 290185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 290189 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 290193 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 290197 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290202 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 290206 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 290210 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 290214 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 290218 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 290222 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 290226 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 290230 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 290234 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 290239 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 290243 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 290247 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 290251 */     // MIs[4] Operand 1
     /* 290251 */     // No operand predicates
     /* 290251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 290255 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 290257 */     // (fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 290257 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 290260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 290264 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290269 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 290275 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 290280 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 290288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 290290 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 290292 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 290295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 290299 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 290302 */     GIR_RootConstrainSelectedInstOperands,
     /* 290303 */     // GIR_Coverage, 6050,
     /* 290303 */     GIR_EraseRootFromParent_Done,
     /* 290304 */   // Label 5994: @290304
     /* 290304 */   GIM_Try, /*On fail goto*//*Label 5995*/ GIMT_Encode4(290435), // Rule ID 6082 //
     /* 290309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 290312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 290316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 290320 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 290324 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 290328 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 290333 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 290337 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 290341 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 290345 */     // MIs[2] Operand 1
     /* 290345 */     // No operand predicates
     /* 290345 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 290349 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 290353 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s16,
     /* 290357 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /* 290361 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 290365 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 290369 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 290373 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290378 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 290382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 290386 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 290388 */     // (fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] })), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 290388 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 290391 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 290395 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290400 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 290406 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 290411 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 290419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 290421 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 290423 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 290426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 290430 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 290433 */     GIR_RootConstrainSelectedInstOperands,
     /* 290434 */     // GIR_Coverage, 6082,
     /* 290434 */     GIR_EraseRootFromParent_Done,
     /* 290435 */   // Label 5995: @290435
     /* 290435 */   GIM_Try, /*On fail goto*//*Label 5996*/ GIMT_Encode4(290566), // Rule ID 6146 //
     /* 290440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 290443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 290447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 290451 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 290455 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 290459 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 290463 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 290467 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 290471 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290476 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 290480 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 290484 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 290488 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 290492 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 290496 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 290501 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 290505 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 290509 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 290513 */     // MIs[4] Operand 1
     /* 290513 */     // No operand predicates
     /* 290513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 290517 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 290519 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] })), (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 290519 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 290522 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 290526 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290531 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 290537 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 290542 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 290550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 290552 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 290554 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 290557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 290561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 290564 */     GIR_RootConstrainSelectedInstOperands,
     /* 290565 */     // GIR_Coverage, 6146,
     /* 290565 */     GIR_EraseRootFromParent_Done,
     /* 290566 */   // Label 5996: @290566
     /* 290566 */   GIM_Try, /*On fail goto*//*Label 5997*/ GIMT_Encode4(290697), // Rule ID 6114 //
     /* 290571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 290574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 290578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 290582 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 290586 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 290590 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 290594 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 290598 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 290602 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 290607 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 290611 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 290615 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 290619 */     // MIs[3] Operand 1
     /* 290619 */     // No operand predicates
     /* 290619 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /* 290623 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 290627 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 290631 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 290635 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290640 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 290644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 290648 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 290650 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 290650 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 290653 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 290657 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290662 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 290668 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 290673 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 290681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 290683 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 290685 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 290688 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 290692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 290695 */     GIR_RootConstrainSelectedInstOperands,
     /* 290696 */     // GIR_Coverage, 6114,
     /* 290696 */     GIR_EraseRootFromParent_Done,
     /* 290697 */   // Label 5997: @290697
     /* 290697 */   GIM_Try, /*On fail goto*//*Label 5998*/ GIMT_Encode4(290832), // Rule ID 2456 //
     /* 290702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 290705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 290709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 290713 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 290717 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 290721 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290726 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 290730 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 290734 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 290738 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 290742 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 290746 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290751 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 290755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 290759 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 290761 */     // (fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra)  =>  (FMADDHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 290761 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 290764 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 290768 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290773 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 290779 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 290784 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290789 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 290792 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 290796 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290801 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 290807 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 290812 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDHrrr),
     /* 290820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 290822 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 290825 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 290828 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 290830 */     GIR_RootConstrainSelectedInstOperands,
     /* 290831 */     // GIR_Coverage, 2456,
     /* 290831 */     GIR_EraseRootFromParent_Done,
     /* 290832 */   // Label 5998: @290832
     /* 290832 */   GIM_Try, /*On fail goto*//*Label 5999*/ GIMT_Encode4(290951), // Rule ID 6018 //
     /* 290837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 290840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 290844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 290848 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 290852 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 290856 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290861 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 290865 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 290869 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 290873 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 290877 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 290881 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 290886 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 290890 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 290894 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 290898 */     // MIs[3] Operand 1
     /* 290898 */     // No operand predicates
     /* 290898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 290902 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 290904 */     // (fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16:{ *:[f16] }:$Rd)  =>  (FMLAv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 290904 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 290907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 290911 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290916 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 290922 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 290927 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i16_indexed),
     /* 290935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 290937 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 290939 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 290942 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 290946 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 290949 */     GIR_RootConstrainSelectedInstOperands,
     /* 290950 */     // GIR_Coverage, 6018,
     /* 290950 */     GIR_EraseRootFromParent_Done,
     /* 290951 */   // Label 5999: @290951
     /* 290951 */   GIM_Try, /*On fail goto*//*Label 6000*/ GIMT_Encode4(291070), // Rule ID 2538 //
     /* 290956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 290959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 290963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 290967 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 290971 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 290975 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 290980 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 290984 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 290988 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 290992 */     // MIs[2] Operand 1
     /* 290992 */     // No operand predicates
     /* 290992 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 290996 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 291000 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 291004 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 291008 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291013 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 291017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291021 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 291023 */     // (fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rd)  =>  (FMLAv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 291023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 291026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 291030 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 291035 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 291041 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291046 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i16_indexed),
     /* 291054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 291056 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 291058 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 291061 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 291065 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 291068 */     GIR_RootConstrainSelectedInstOperands,
     /* 291069 */     // GIR_Coverage, 2538,
     /* 291069 */     GIR_EraseRootFromParent_Done,
     /* 291070 */   // Label 6000: @291070
     /* 291070 */   GIM_Try, /*On fail goto*//*Label 6001*/ GIMT_Encode4(291170), // Rule ID 4815 //
     /* 291075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 291078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 291082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 291086 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 291090 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 291094 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291099 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 291103 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 291107 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 291111 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 291115 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291124 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 291126 */     // (fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rm), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 291126 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 291129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 291133 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 291138 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 291144 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291149 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 291157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 291159 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 291162 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 291166 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 291168 */     GIR_RootConstrainSelectedInstOperands,
     /* 291169 */     // GIR_Coverage, 4815,
     /* 291169 */     GIR_EraseRootFromParent_Done,
     /* 291170 */   // Label 6001: @291170
     /* 291170 */   GIM_Try, /*On fail goto*//*Label 6002*/ GIMT_Encode4(291270), // Rule ID 4851 //
     /* 291175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 291178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 291182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 291186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 291190 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 291194 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291199 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 291203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291207 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 291211 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 291215 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 291219 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291224 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 291226 */     // (fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rm, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Ra))  =>  (FNMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 291226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 291229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 291233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 291238 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 291244 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291249 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBHrrr),
     /* 291257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 291259 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 291262 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 291264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 291268 */     GIR_RootConstrainSelectedInstOperands,
     /* 291269 */     // GIR_Coverage, 4851,
     /* 291269 */     GIR_EraseRootFromParent_Done,
     /* 291270 */   // Label 6002: @291270
     /* 291270 */   GIM_Try, /*On fail goto*//*Label 6003*/ GIMT_Encode4(291367), // Rule ID 13772 //
     /* 291275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 291278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 291282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 291286 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 291290 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 291294 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 291298 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 291302 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 291306 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291311 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 291315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291323 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 291325 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] })), FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 291325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 291328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 291332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 291337 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 291343 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291348 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 291356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 291358 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 291360 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 291363 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 291365 */     GIR_RootConstrainSelectedInstOperands,
     /* 291366 */     // GIR_Coverage, 13772,
     /* 291366 */     GIR_EraseRootFromParent_Done,
     /* 291367 */   // Label 6003: @291367
     /* 291367 */   GIM_Try, /*On fail goto*//*Label 6004*/ GIMT_Encode4(291467), // Rule ID 13774 //
     /* 291372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 291375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 291379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 291383 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 291387 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291392 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 291396 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 291400 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 291404 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 291408 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291413 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 291417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291421 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 291423 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rm), (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 291423 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 291426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 291430 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 291435 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 291441 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291446 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 291454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 291456 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 291459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 291463 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 291465 */     GIR_RootConstrainSelectedInstOperands,
     /* 291466 */     // GIR_Coverage, 13774,
     /* 291466 */     GIR_EraseRootFromParent_Done,
     /* 291467 */   // Label 6004: @291467
     /* 291467 */   GIM_Try, /*On fail goto*//*Label 6005*/ GIMT_Encode4(291567), // Rule ID 4849 //
     /* 291472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 291475 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 291483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 291487 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 291491 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 291495 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291500 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 291504 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 291508 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 291512 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 291516 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291521 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 291523 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Ra))  =>  (FNMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 291523 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 291526 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 291530 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 291535 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 291541 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291546 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBHrrr),
     /* 291554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 291556 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 291558 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 291561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 291565 */     GIR_RootConstrainSelectedInstOperands,
     /* 291566 */     // GIR_Coverage, 4849,
     /* 291566 */     GIR_EraseRootFromParent_Done,
     /* 291567 */   // Label 6005: @291567
     /* 291567 */   GIM_Try, /*On fail goto*//*Label 6006*/ GIMT_Encode4(291664), // Rule ID 4813 //
     /* 291572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 291575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 291583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 291587 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 291591 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 291595 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 291599 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 291603 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 291607 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291612 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 291616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291620 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 291622 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (fneg:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] })), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 291622 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 291625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 291629 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 291634 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 291640 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291645 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 291653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 291655 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 291657 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 291660 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 291662 */     GIR_RootConstrainSelectedInstOperands,
     /* 291663 */     // GIR_Coverage, 4813,
     /* 291663 */     GIR_EraseRootFromParent_Done,
     /* 291664 */   // Label 6006: @291664
     /* 291664 */   GIM_Try, /*On fail goto*//*Label 6007*/ GIMT_Encode4(291748), // Rule ID 6080 //
     /* 291669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 291672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 291676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 291680 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 291684 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 291688 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 291693 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 291697 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 291701 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 291705 */     // MIs[2] Operand 1
     /* 291705 */     // No operand predicates
     /* 291705 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 291709 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 291713 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s16,
     /* 291717 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291726 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 291728 */     // (fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rn), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 291728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 291731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 291733 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 291735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 291739 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 291743 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 291746 */     GIR_RootConstrainSelectedInstOperands,
     /* 291747 */     // GIR_Coverage, 6080,
     /* 291747 */     GIR_EraseRootFromParent_Done,
     /* 291748 */   // Label 6007: @291748
     /* 291748 */   GIM_Try, /*On fail goto*//*Label 6008*/ GIMT_Encode4(291829), // Rule ID 6112 //
     /* 291753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 291756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 291760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 291764 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 291768 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 291772 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 291776 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 291780 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 291784 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 291789 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 291793 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 291797 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 291801 */     // MIs[3] Operand 1
     /* 291801 */     // No operand predicates
     /* 291801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291809 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 291811 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 291811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 291814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 291816 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 291818 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 291820 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 291824 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 291827 */     GIR_RootConstrainSelectedInstOperands,
     /* 291828 */     // GIR_Coverage, 6112,
     /* 291828 */     GIR_EraseRootFromParent_Done,
     /* 291829 */   // Label 6008: @291829
     /* 291829 */   GIM_Try, /*On fail goto*//*Label 6009*/ GIMT_Encode4(291913), // Rule ID 6144 //
     /* 291834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 291837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 291841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 291845 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 291849 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291854 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 291858 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 291862 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 291866 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 291870 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 291875 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 291879 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 291883 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 291887 */     // MIs[3] Operand 1
     /* 291887 */     // No operand predicates
     /* 291887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291891 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 291893 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rn), (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 291893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 291896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 291898 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 291900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 291904 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 291908 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 291911 */     GIR_RootConstrainSelectedInstOperands,
     /* 291912 */     // GIR_Coverage, 6144,
     /* 291912 */     GIR_EraseRootFromParent_Done,
     /* 291913 */   // Label 6009: @291913
     /* 291913 */   GIM_Try, /*On fail goto*//*Label 6010*/ GIMT_Encode4(291994), // Rule ID 6048 //
     /* 291918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 291921 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 291929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 291933 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 291937 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 291941 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 291945 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 291949 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 291953 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 291958 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 291962 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 291966 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 291970 */     // MIs[3] Operand 1
     /* 291970 */     // No operand predicates
     /* 291970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291974 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 291976 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 291976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 291979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 291981 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 291983 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 291985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 291989 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 291992 */     GIR_RootConstrainSelectedInstOperands,
     /* 291993 */     // GIR_Coverage, 6048,
     /* 291993 */     GIR_EraseRootFromParent_Done,
     /* 291994 */   // Label 6010: @291994
     /* 291994 */   GIM_Try, /*On fail goto*//*Label 6011*/ GIMT_Encode4(292079), // Rule ID 2454 //
     /* 291999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 292002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 292006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 292010 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 292014 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 292018 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292023 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 292027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 292037 */     // (fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)  =>  (FMADDHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 292037 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 292040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 292044 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 292049 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 292055 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292060 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDHrrr),
     /* 292068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 292070 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 292073 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 292075 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 292077 */     GIR_RootConstrainSelectedInstOperands,
     /* 292078 */     // GIR_Coverage, 2454,
     /* 292078 */     GIR_EraseRootFromParent_Done,
     /* 292079 */   // Label 6011: @292079
     /* 292079 */   GIM_Try, /*On fail goto*//*Label 6012*/ GIMT_Encode4(292164), // Rule ID 2452 //
     /* 292084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 292087 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 292095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 292099 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 292103 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 292107 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292112 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 292116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 292122 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra)  =>  (FMADDHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 292122 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 292125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 292129 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 292134 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 292140 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292145 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDHrrr),
     /* 292153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 292155 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 292157 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 292160 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 292162 */     GIR_RootConstrainSelectedInstOperands,
     /* 292163 */     // GIR_Coverage, 2452,
     /* 292163 */     GIR_EraseRootFromParent_Done,
     /* 292164 */   // Label 6012: @292164
     /* 292164 */   GIM_Try, /*On fail goto*//*Label 6013*/ GIMT_Encode4(292233), // Rule ID 2536 //
     /* 292169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 292172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 292176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 292180 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 292184 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 292188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 292193 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 292197 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 292201 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 292205 */     // MIs[2] Operand 1
     /* 292205 */     // No operand predicates
     /* 292205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292213 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 292215 */     // (fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rd)  =>  (FMLAv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 292215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i16_indexed),
     /* 292218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 292220 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 292222 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 292224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 292228 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 292231 */     GIR_RootConstrainSelectedInstOperands,
     /* 292232 */     // GIR_Coverage, 2536,
     /* 292232 */     GIR_EraseRootFromParent_Done,
     /* 292233 */   // Label 6013: @292233
     /* 292233 */   GIM_Try, /*On fail goto*//*Label 6014*/ GIMT_Encode4(292302), // Rule ID 6016 //
     /* 292238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 292241 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 292249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 292253 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 292257 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 292261 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 292266 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 292270 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 292274 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 292278 */     // MIs[2] Operand 1
     /* 292278 */     // No operand predicates
     /* 292278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292282 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 292284 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16:{ *:[f16] }:$Rd)  =>  (FMLAv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 292284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i16_indexed),
     /* 292287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 292289 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 292291 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 292293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 292297 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 292300 */     GIR_RootConstrainSelectedInstOperands,
     /* 292301 */     // GIR_Coverage, 6016,
     /* 292301 */     GIR_EraseRootFromParent_Done,
     /* 292302 */   // Label 6014: @292302
     /* 292302 */   GIM_Try, /*On fail goto*//*Label 6015*/ GIMT_Encode4(292367), // Rule ID 4869 //
     /* 292307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 292310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 292314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 292318 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 292322 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292331 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 292335 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 292339 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 292343 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292348 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 292350 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rn), FPR16:{ *:[f16] }:$Rm, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Ra))  =>  (FNMADDHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 292350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDHrrr),
     /* 292353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 292355 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 292359 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 292361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 292365 */     GIR_RootConstrainSelectedInstOperands,
     /* 292366 */     // GIR_Coverage, 4869,
     /* 292366 */     GIR_EraseRootFromParent_Done,
     /* 292367 */   // Label 6015: @292367
     /* 292367 */   GIM_Try, /*On fail goto*//*Label 6016*/ GIMT_Encode4(292432), // Rule ID 13792 //
     /* 292372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 292375 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 292383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 292387 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 292391 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292396 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 292400 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 292404 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 292408 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292413 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 292415 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rn), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Ra))  =>  (FNMADDHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 292415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDHrrr),
     /* 292418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 292420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 292424 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 292426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 292430 */     GIR_RootConstrainSelectedInstOperands,
     /* 292431 */     // GIR_Coverage, 13792,
     /* 292431 */     GIR_EraseRootFromParent_Done,
     /* 292432 */   // Label 6016: @292432
     /* 292432 */   GIM_Try, /*On fail goto*//*Label 6017*/ GIMT_Encode4(292482), // Rule ID 4866 //
     /* 292437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 292440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 292444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 292448 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 292452 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 292467 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rn), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 292467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 292470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 292472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 292476 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 292478 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 292480 */     GIR_RootConstrainSelectedInstOperands,
     /* 292481 */     // GIR_Coverage, 4866,
     /* 292481 */     GIR_EraseRootFromParent_Done,
     /* 292482 */   // Label 6017: @292482
     /* 292482 */   GIM_Try, /*On fail goto*//*Label 6018*/ GIMT_Encode4(292532), // Rule ID 13218 //
     /* 292487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 292490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 292494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 292498 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 292502 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 292517 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rm), FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 292517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 292520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 292522 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 292524 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 292528 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 292530 */     GIR_RootConstrainSelectedInstOperands,
     /* 292531 */     // GIR_Coverage, 13218,
     /* 292531 */     GIR_EraseRootFromParent_Done,
     /* 292532 */   // Label 6018: @292532
     /* 292532 */   GIM_Try, /*On fail goto*//*Label 6019*/ GIMT_Encode4(292582), // Rule ID 644 //
     /* 292537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 292540 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 292548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 292552 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 292556 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 292567 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rm), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 292567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 292570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 292572 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 292574 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 292578 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 292580 */     GIR_RootConstrainSelectedInstOperands,
     /* 292581 */     // GIR_Coverage, 644,
     /* 292581 */     GIR_EraseRootFromParent_Done,
     /* 292582 */   // Label 6019: @292582
     /* 292582 */   GIM_Try, /*On fail goto*//*Label 6020*/ GIMT_Encode4(292632), // Rule ID 13789 //
     /* 292587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 292590 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 292598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 292602 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 292606 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 292617 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rn), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 292617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 292620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 292622 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 292626 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 292628 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 292630 */     GIR_RootConstrainSelectedInstOperands,
     /* 292631 */     // GIR_Coverage, 13789,
     /* 292631 */     GIR_EraseRootFromParent_Done,
     /* 292632 */   // Label 6020: @292632
     /* 292632 */   GIM_Try, /*On fail goto*//*Label 6021*/ GIMT_Encode4(292682), // Rule ID 656 //
     /* 292637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 292640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 292652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 292656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 292660 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 292667 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Ra))  =>  (FNMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 292667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBHrrr),
     /* 292670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 292672 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 292674 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 292676 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Ra
     /* 292680 */     GIR_RootConstrainSelectedInstOperands,
     /* 292681 */     // GIR_Coverage, 656,
     /* 292681 */     GIR_EraseRootFromParent_Done,
     /* 292682 */   // Label 6021: @292682
     /* 292682 */   GIM_Try, /*On fail goto*//*Label 6022*/ GIMT_Encode4(292713), // Rule ID 638 //
     /* 292687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 292690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292702 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)  =>  (FMADDHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 292702 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMADDHrrr),
     /* 292707 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 292711 */     GIR_RootConstrainSelectedInstOperands,
     /* 292712 */     // GIR_Coverage, 638,
     /* 292712 */     GIR_Done,
     /* 292713 */   // Label 6022: @292713
     /* 292713 */   GIM_Reject,
     /* 292714 */ // Label 5990: @292714
     /* 292714 */ GIM_Reject,
     /* 292715 */ // Label 5982: @292715
     /* 292715 */ GIM_Try, /*On fail goto*//*Label 6023*/ GIMT_Encode4(295862),
     /* 292720 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 292723 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 292726 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 292729 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 292733 */   GIM_Try, /*On fail goto*//*Label 6024*/ GIMT_Encode4(292883), // Rule ID 4859 //
     /* 292738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 292741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 292745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 292749 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 292753 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 292757 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292762 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 292766 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 292770 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 292774 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 292778 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 292782 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292787 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 292791 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 292795 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 292799 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /* 292803 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 292808 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 292810 */     // (fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Ra))  =>  (FNMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 292810 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 292813 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 292817 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 292822 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 292828 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 292833 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292838 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 292841 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 292845 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 292850 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 292856 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 292861 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBSrrr),
     /* 292869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 292871 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 292874 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 292877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Ra
     /* 292881 */     GIR_RootConstrainSelectedInstOperands,
     /* 292882 */     // GIR_Coverage, 4859,
     /* 292882 */     GIR_EraseRootFromParent_Done,
     /* 292883 */   // Label 6024: @292883
     /* 292883 */   GIM_Try, /*On fail goto*//*Label 6025*/ GIMT_Encode4(293030), // Rule ID 4823 //
     /* 292888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 292891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 292895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 292899 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 292903 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 292907 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292912 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 292916 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 292920 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 292924 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 292928 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 292932 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 292936 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 292940 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 292944 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292949 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 292953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 292957 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 292959 */     // (fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] })), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 292959 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 292962 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 292966 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 292971 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 292977 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 292982 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292987 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 292990 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 292994 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 292999 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 293005 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 293010 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 293018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 293020 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 293023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 293026 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 293028 */     GIR_RootConstrainSelectedInstOperands,
     /* 293029 */     // GIR_Coverage, 4823,
     /* 293029 */     GIR_EraseRootFromParent_Done,
     /* 293030 */   // Label 6025: @293030
     /* 293030 */   GIM_Try, /*On fail goto*//*Label 6026*/ GIMT_Encode4(293177), // Rule ID 13782 //
     /* 293035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 293038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 293042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 293046 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 293050 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 293054 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 293058 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 293062 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 293066 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293071 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 293075 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 293079 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 293083 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 293087 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 293091 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293096 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 293100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 293104 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 293106 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] })), (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 293106 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 293109 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 293113 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 293118 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 293124 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 293129 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293134 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 293137 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 293141 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 293146 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 293152 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 293157 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 293165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 293167 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 293170 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 293173 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 293175 */     GIR_RootConstrainSelectedInstOperands,
     /* 293176 */     // GIR_Coverage, 13782,
     /* 293176 */     GIR_EraseRootFromParent_Done,
     /* 293177 */   // Label 6026: @293177
     /* 293177 */   GIM_Try, /*On fail goto*//*Label 6027*/ GIMT_Encode4(293308), // Rule ID 6066 //
     /* 293182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 293185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 293189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 293193 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 293197 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 293201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293206 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 293210 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 293214 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 293218 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 293222 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 293226 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 293230 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 293234 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 293238 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293243 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 293247 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 293251 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 293255 */     // MIs[4] Operand 1
     /* 293255 */     // No operand predicates
     /* 293255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 293259 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 293261 */     // (fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 293261 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 293264 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 293268 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 293273 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 293279 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 293284 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 293292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 293294 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 293296 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 293299 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 293303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 293306 */     GIR_RootConstrainSelectedInstOperands,
     /* 293307 */     // GIR_Coverage, 6066,
     /* 293307 */     GIR_EraseRootFromParent_Done,
     /* 293308 */   // Label 6027: @293308
     /* 293308 */   GIM_Try, /*On fail goto*//*Label 6028*/ GIMT_Encode4(293439), // Rule ID 6098 //
     /* 293313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 293316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 293320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 293324 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 293328 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 293332 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293337 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 293341 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 293345 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 293349 */     // MIs[2] Operand 1
     /* 293349 */     // No operand predicates
     /* 293349 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 293353 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 293357 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /* 293361 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /* 293365 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 293369 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 293373 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 293377 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293382 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 293386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 293390 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 293392 */     // (fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] })), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 293392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 293395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 293399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 293404 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 293410 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 293415 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 293423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 293425 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 293427 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 293430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 293434 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 293437 */     GIR_RootConstrainSelectedInstOperands,
     /* 293438 */     // GIR_Coverage, 6098,
     /* 293438 */     GIR_EraseRootFromParent_Done,
     /* 293439 */   // Label 6028: @293439
     /* 293439 */   GIM_Try, /*On fail goto*//*Label 6029*/ GIMT_Encode4(293570), // Rule ID 6162 //
     /* 293444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 293447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 293451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 293455 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 293459 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 293463 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 293467 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 293471 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 293475 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293480 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 293484 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 293488 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 293492 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 293496 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 293500 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293505 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 293509 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 293513 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 293517 */     // MIs[4] Operand 1
     /* 293517 */     // No operand predicates
     /* 293517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 293521 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 293523 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] })), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 293523 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 293526 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 293530 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 293535 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 293541 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 293546 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 293554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 293556 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 293558 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 293561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 293565 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 293568 */     GIR_RootConstrainSelectedInstOperands,
     /* 293569 */     // GIR_Coverage, 6162,
     /* 293569 */     GIR_EraseRootFromParent_Done,
     /* 293570 */   // Label 6029: @293570
     /* 293570 */   GIM_Try, /*On fail goto*//*Label 6030*/ GIMT_Encode4(293701), // Rule ID 6130 //
     /* 293575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 293578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 293582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 293586 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 293590 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 293594 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 293598 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 293602 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 293606 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293611 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 293615 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 293619 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 293623 */     // MIs[3] Operand 1
     /* 293623 */     // No operand predicates
     /* 293623 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /* 293627 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 293631 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 293635 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 293639 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293644 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 293648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 293652 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 293654 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 293654 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 293657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 293661 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 293666 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 293672 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 293677 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 293685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 293687 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 293689 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 293692 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 293696 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 293699 */     GIR_RootConstrainSelectedInstOperands,
     /* 293700 */     // GIR_Coverage, 6130,
     /* 293700 */     GIR_EraseRootFromParent_Done,
     /* 293701 */   // Label 6030: @293701
     /* 293701 */   GIM_Try, /*On fail goto*//*Label 6031*/ GIMT_Encode4(293836), // Rule ID 2462 //
     /* 293706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 293709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 293713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 293717 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 293721 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 293725 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293730 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 293734 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 293738 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 293742 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 293746 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 293750 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293755 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 293759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 293763 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 293765 */     // (fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra)  =>  (FMADDSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 293765 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 293768 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 293772 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 293777 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 293783 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 293788 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293793 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 293796 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 293800 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 293805 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 293811 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 293816 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDSrrr),
     /* 293824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 293826 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 293829 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 293832 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 293834 */     GIR_RootConstrainSelectedInstOperands,
     /* 293835 */     // GIR_Coverage, 2462,
     /* 293835 */     GIR_EraseRootFromParent_Done,
     /* 293836 */   // Label 6031: @293836
     /* 293836 */   GIM_Try, /*On fail goto*//*Label 6032*/ GIMT_Encode4(293955), // Rule ID 6034 //
     /* 293841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 293844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 293848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 293852 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 293856 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 293860 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293865 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 293869 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 293873 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 293877 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 293881 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 293885 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293890 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 293894 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 293898 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 293902 */     // MIs[3] Operand 1
     /* 293902 */     // No operand predicates
     /* 293902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 293906 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 293908 */     // (fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rd)  =>  (FMLAv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 293908 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 293911 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 293915 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 293920 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 293926 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 293931 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i32_indexed),
     /* 293939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 293941 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 293943 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 293946 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 293950 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 293953 */     GIR_RootConstrainSelectedInstOperands,
     /* 293954 */     // GIR_Coverage, 6034,
     /* 293954 */     GIR_EraseRootFromParent_Done,
     /* 293955 */   // Label 6032: @293955
     /* 293955 */   GIM_Try, /*On fail goto*//*Label 6033*/ GIMT_Encode4(294074), // Rule ID 2554 //
     /* 293960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 293963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 293967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 293971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 293975 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 293979 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293984 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 293988 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 293992 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 293996 */     // MIs[2] Operand 1
     /* 293996 */     // No operand predicates
     /* 293996 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 294000 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 294004 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 294008 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 294012 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294017 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 294021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294025 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 294027 */     // (fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rd)  =>  (FMLAv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 294027 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 294030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 294034 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 294039 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 294045 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294050 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i32_indexed),
     /* 294058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 294060 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 294062 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 294065 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 294069 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 294072 */     GIR_RootConstrainSelectedInstOperands,
     /* 294073 */     // GIR_Coverage, 2554,
     /* 294073 */     GIR_EraseRootFromParent_Done,
     /* 294074 */   // Label 6033: @294074
     /* 294074 */   GIM_Try, /*On fail goto*//*Label 6034*/ GIMT_Encode4(294174), // Rule ID 4821 //
     /* 294079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 294082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 294086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 294090 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 294094 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 294098 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294103 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 294107 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 294111 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 294115 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 294119 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294128 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 294130 */     // (fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rm), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 294130 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 294133 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 294137 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 294142 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 294148 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294153 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 294161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 294163 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 294166 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 294170 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 294172 */     GIR_RootConstrainSelectedInstOperands,
     /* 294173 */     // GIR_Coverage, 4821,
     /* 294173 */     GIR_EraseRootFromParent_Done,
     /* 294174 */   // Label 6034: @294174
     /* 294174 */   GIM_Try, /*On fail goto*//*Label 6035*/ GIMT_Encode4(294274), // Rule ID 4857 //
     /* 294179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 294182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 294186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 294190 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 294194 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 294198 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294203 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 294207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294211 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 294215 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 294219 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 294223 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294228 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 294230 */     // (fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rm, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Ra))  =>  (FNMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 294230 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 294233 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 294237 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 294242 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 294248 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294253 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBSrrr),
     /* 294261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 294263 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 294266 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 294268 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 294272 */     GIR_RootConstrainSelectedInstOperands,
     /* 294273 */     // GIR_Coverage, 4857,
     /* 294273 */     GIR_EraseRootFromParent_Done,
     /* 294274 */   // Label 6035: @294274
     /* 294274 */   GIM_Try, /*On fail goto*//*Label 6036*/ GIMT_Encode4(294371), // Rule ID 13778 //
     /* 294279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 294282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 294286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 294290 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 294294 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 294298 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 294302 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 294306 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 294310 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294315 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 294319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294327 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 294329 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] })), FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 294329 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 294332 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 294336 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 294341 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 294347 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294352 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 294360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 294362 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 294364 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 294367 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 294369 */     GIR_RootConstrainSelectedInstOperands,
     /* 294370 */     // GIR_Coverage, 13778,
     /* 294370 */     GIR_EraseRootFromParent_Done,
     /* 294371 */   // Label 6036: @294371
     /* 294371 */   GIM_Try, /*On fail goto*//*Label 6037*/ GIMT_Encode4(294471), // Rule ID 13780 //
     /* 294376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 294379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 294383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 294387 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 294391 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294396 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 294400 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 294404 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 294408 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 294412 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294417 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 294421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294425 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 294427 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rm), (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 294427 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 294430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 294434 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 294439 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 294445 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294450 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 294458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 294460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 294463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 294467 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 294469 */     GIR_RootConstrainSelectedInstOperands,
     /* 294470 */     // GIR_Coverage, 13780,
     /* 294470 */     GIR_EraseRootFromParent_Done,
     /* 294471 */   // Label 6037: @294471
     /* 294471 */   GIM_Try, /*On fail goto*//*Label 6038*/ GIMT_Encode4(294571), // Rule ID 4855 //
     /* 294476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 294479 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 294487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 294491 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 294495 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 294499 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294504 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 294508 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 294512 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 294516 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 294520 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294525 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 294527 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Ra))  =>  (FNMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 294527 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 294530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 294534 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 294539 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 294545 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294550 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBSrrr),
     /* 294558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 294560 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 294562 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 294565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 294569 */     GIR_RootConstrainSelectedInstOperands,
     /* 294570 */     // GIR_Coverage, 4855,
     /* 294570 */     GIR_EraseRootFromParent_Done,
     /* 294571 */   // Label 6038: @294571
     /* 294571 */   GIM_Try, /*On fail goto*//*Label 6039*/ GIMT_Encode4(294668), // Rule ID 4819 //
     /* 294576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 294579 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 294587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 294591 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 294595 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 294599 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 294603 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 294607 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 294611 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294616 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 294620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294624 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 294626 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (fneg:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] })), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 294626 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 294629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 294633 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 294638 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 294644 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294649 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 294657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 294659 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 294661 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 294664 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 294666 */     GIR_RootConstrainSelectedInstOperands,
     /* 294667 */     // GIR_Coverage, 4819,
     /* 294667 */     GIR_EraseRootFromParent_Done,
     /* 294668 */   // Label 6039: @294668
     /* 294668 */   GIM_Try, /*On fail goto*//*Label 6040*/ GIMT_Encode4(294746), // Rule ID 6184 //
     /* 294673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 294677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 294681 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 294685 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 294689 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 294693 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 294697 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 294701 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294706 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 294710 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 294714 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 294718 */     // MIs[3] Operand 1
     /* 294718 */     // No operand predicates
     /* 294718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294726 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 294728 */     // (fma:{ *:[f32] } (vector_extract:{ *:[f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 294728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 294731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 294733 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 294735 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 294737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 294741 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 294744 */     GIR_RootConstrainSelectedInstOperands,
     /* 294745 */     // GIR_Coverage, 6184,
     /* 294745 */     GIR_EraseRootFromParent_Done,
     /* 294746 */   // Label 6040: @294746
     /* 294746 */   GIM_Try, /*On fail goto*//*Label 6041*/ GIMT_Encode4(294830), // Rule ID 6096 //
     /* 294751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 294754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 294758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 294762 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 294766 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 294770 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294775 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 294779 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 294783 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 294787 */     // MIs[2] Operand 1
     /* 294787 */     // No operand predicates
     /* 294787 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 294791 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 294795 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /* 294799 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294808 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 294810 */     // (fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rn), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 294810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 294813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 294815 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 294817 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 294821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 294825 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 294828 */     GIR_RootConstrainSelectedInstOperands,
     /* 294829 */     // GIR_Coverage, 6096,
     /* 294829 */     GIR_EraseRootFromParent_Done,
     /* 294830 */   // Label 6041: @294830
     /* 294830 */   GIM_Try, /*On fail goto*//*Label 6042*/ GIMT_Encode4(294911), // Rule ID 6128 //
     /* 294835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 294838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 294842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 294846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 294850 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 294854 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 294858 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 294862 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 294866 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294871 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 294875 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 294879 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 294883 */     // MIs[3] Operand 1
     /* 294883 */     // No operand predicates
     /* 294883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294891 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 294893 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 294893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 294896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 294898 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 294900 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 294902 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 294906 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 294909 */     GIR_RootConstrainSelectedInstOperands,
     /* 294910 */     // GIR_Coverage, 6128,
     /* 294910 */     GIR_EraseRootFromParent_Done,
     /* 294911 */   // Label 6042: @294911
     /* 294911 */   GIM_Try, /*On fail goto*//*Label 6043*/ GIMT_Encode4(294995), // Rule ID 6160 //
     /* 294916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 294919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 294923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 294927 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 294931 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294936 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 294940 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 294944 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 294948 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 294952 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294957 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 294961 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 294965 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 294969 */     // MIs[3] Operand 1
     /* 294969 */     // No operand predicates
     /* 294969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294973 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 294975 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rn), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 294975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 294978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 294980 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 294982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 294986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 294990 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 294993 */     GIR_RootConstrainSelectedInstOperands,
     /* 294994 */     // GIR_Coverage, 6160,
     /* 294994 */     GIR_EraseRootFromParent_Done,
     /* 294995 */   // Label 6043: @294995
     /* 294995 */   GIM_Try, /*On fail goto*//*Label 6044*/ GIMT_Encode4(295073), // Rule ID 6206 //
     /* 295000 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 295008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 295012 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 295016 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 295020 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 295024 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 295028 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 295032 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295037 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 295041 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 295045 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 295049 */     // MIs[3] Operand 1
     /* 295049 */     // No operand predicates
     /* 295049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295053 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 295055 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (vector_extract:{ *:[f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 295055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 295058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 295060 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 295062 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 295064 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 295068 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 295071 */     GIR_RootConstrainSelectedInstOperands,
     /* 295072 */     // GIR_Coverage, 6206,
     /* 295072 */     GIR_EraseRootFromParent_Done,
     /* 295073 */   // Label 6044: @295073
     /* 295073 */   GIM_Try, /*On fail goto*//*Label 6045*/ GIMT_Encode4(295154), // Rule ID 6064 //
     /* 295078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 295081 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 295089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 295093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 295097 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 295101 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 295105 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 295109 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 295113 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295118 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 295122 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 295126 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 295130 */     // MIs[3] Operand 1
     /* 295130 */     // No operand predicates
     /* 295130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295134 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 295136 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 295136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 295139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 295141 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 295143 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 295145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 295149 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 295152 */     GIR_RootConstrainSelectedInstOperands,
     /* 295153 */     // GIR_Coverage, 6064,
     /* 295153 */     GIR_EraseRootFromParent_Done,
     /* 295154 */   // Label 6045: @295154
     /* 295154 */   GIM_Try, /*On fail goto*//*Label 6046*/ GIMT_Encode4(295239), // Rule ID 2460 //
     /* 295159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 295162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 295166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 295170 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 295174 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 295178 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295183 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 295187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 295197 */     // (fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)  =>  (FMADDSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 295197 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 295200 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 295204 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 295209 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 295215 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295220 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDSrrr),
     /* 295228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 295230 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 295233 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 295235 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 295237 */     GIR_RootConstrainSelectedInstOperands,
     /* 295238 */     // GIR_Coverage, 2460,
     /* 295238 */     GIR_EraseRootFromParent_Done,
     /* 295239 */   // Label 6046: @295239
     /* 295239 */   GIM_Try, /*On fail goto*//*Label 6047*/ GIMT_Encode4(295324), // Rule ID 2458 //
     /* 295244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 295247 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 295255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 295259 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 295263 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 295267 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295272 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 295276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 295282 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra)  =>  (FMADDSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 295282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 295285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 295289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 295294 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 295300 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295305 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDSrrr),
     /* 295313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 295315 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 295317 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 295320 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 295322 */     GIR_RootConstrainSelectedInstOperands,
     /* 295323 */     // GIR_Coverage, 2458,
     /* 295323 */     GIR_EraseRootFromParent_Done,
     /* 295324 */   // Label 6047: @295324
     /* 295324 */   GIM_Try, /*On fail goto*//*Label 6048*/ GIMT_Encode4(295393), // Rule ID 2552 //
     /* 295329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 295332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 295336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 295340 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 295344 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 295348 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295353 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 295357 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 295361 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 295365 */     // MIs[2] Operand 1
     /* 295365 */     // No operand predicates
     /* 295365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295373 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 295375 */     // (fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rd)  =>  (FMLAv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 295375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i32_indexed),
     /* 295378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 295380 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 295382 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 295384 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 295388 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 295391 */     GIR_RootConstrainSelectedInstOperands,
     /* 295392 */     // GIR_Coverage, 2552,
     /* 295392 */     GIR_EraseRootFromParent_Done,
     /* 295393 */   // Label 6048: @295393
     /* 295393 */   GIM_Try, /*On fail goto*//*Label 6049*/ GIMT_Encode4(295462), // Rule ID 6032 //
     /* 295398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 295401 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 295409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 295413 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 295417 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 295421 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295426 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 295430 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 295434 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 295438 */     // MIs[2] Operand 1
     /* 295438 */     // No operand predicates
     /* 295438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295442 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 295444 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rd)  =>  (FMLAv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 295444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i32_indexed),
     /* 295447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 295449 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 295451 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 295453 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 295457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 295460 */     GIR_RootConstrainSelectedInstOperands,
     /* 295461 */     // GIR_Coverage, 6032,
     /* 295461 */     GIR_EraseRootFromParent_Done,
     /* 295462 */   // Label 6049: @295462
     /* 295462 */   GIM_Try, /*On fail goto*//*Label 6050*/ GIMT_Encode4(295524), // Rule ID 4870 //
     /* 295467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 295471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 295475 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 295479 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295488 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 295492 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 295496 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 295500 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295505 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 295507 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rn), FPR32:{ *:[f32] }:$Rm, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Ra))  =>  (FNMADDSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 295507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDSrrr),
     /* 295510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 295512 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 295516 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 295518 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 295522 */     GIR_RootConstrainSelectedInstOperands,
     /* 295523 */     // GIR_Coverage, 4870,
     /* 295523 */     GIR_EraseRootFromParent_Done,
     /* 295524 */   // Label 6050: @295524
     /* 295524 */   GIM_Try, /*On fail goto*//*Label 6051*/ GIMT_Encode4(295586), // Rule ID 13793 //
     /* 295529 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 295537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 295541 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 295545 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295550 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 295554 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 295558 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 295562 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295567 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 295569 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rn), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Ra))  =>  (FNMADDSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 295569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDSrrr),
     /* 295572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 295574 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 295578 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 295580 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 295584 */     GIR_RootConstrainSelectedInstOperands,
     /* 295585 */     // GIR_Coverage, 13793,
     /* 295585 */     GIR_EraseRootFromParent_Done,
     /* 295586 */   // Label 6051: @295586
     /* 295586 */   GIM_Try, /*On fail goto*//*Label 6052*/ GIMT_Encode4(295633), // Rule ID 4867 //
     /* 295591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 295595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 295599 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 295603 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 295618 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rn), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 295618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 295621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 295623 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 295627 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 295629 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 295631 */     GIR_RootConstrainSelectedInstOperands,
     /* 295632 */     // GIR_Coverage, 4867,
     /* 295632 */     GIR_EraseRootFromParent_Done,
     /* 295633 */   // Label 6052: @295633
     /* 295633 */   GIM_Try, /*On fail goto*//*Label 6053*/ GIMT_Encode4(295683), // Rule ID 13220 //
     /* 295638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 295641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 295645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 295649 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 295653 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 295668 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rm), FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 295668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 295671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 295673 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 295675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 295679 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 295681 */     GIR_RootConstrainSelectedInstOperands,
     /* 295682 */     // GIR_Coverage, 13220,
     /* 295682 */     GIR_EraseRootFromParent_Done,
     /* 295683 */   // Label 6053: @295683
     /* 295683 */   GIM_Try, /*On fail goto*//*Label 6054*/ GIMT_Encode4(295733), // Rule ID 646 //
     /* 295688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 295691 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 295699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 295703 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 295707 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 295718 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rm), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 295718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 295721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 295723 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 295725 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 295729 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 295731 */     GIR_RootConstrainSelectedInstOperands,
     /* 295732 */     // GIR_Coverage, 646,
     /* 295732 */     GIR_EraseRootFromParent_Done,
     /* 295733 */   // Label 6054: @295733
     /* 295733 */   GIM_Try, /*On fail goto*//*Label 6055*/ GIMT_Encode4(295780), // Rule ID 13790 //
     /* 295738 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 295746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 295750 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 295754 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 295765 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rn), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 295765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 295768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 295770 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 295774 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 295776 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 295778 */     GIR_RootConstrainSelectedInstOperands,
     /* 295779 */     // GIR_Coverage, 13790,
     /* 295779 */     GIR_EraseRootFromParent_Done,
     /* 295780 */   // Label 6055: @295780
     /* 295780 */   GIM_Try, /*On fail goto*//*Label 6056*/ GIMT_Encode4(295830), // Rule ID 658 //
     /* 295785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 295788 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 295800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 295804 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 295808 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 295815 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Ra))  =>  (FNMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 295815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBSrrr),
     /* 295818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 295820 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 295822 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 295824 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Ra
     /* 295828 */     GIR_RootConstrainSelectedInstOperands,
     /* 295829 */     // GIR_Coverage, 658,
     /* 295829 */     GIR_EraseRootFromParent_Done,
     /* 295830 */   // Label 6056: @295830
     /* 295830 */   GIM_Try, /*On fail goto*//*Label 6057*/ GIMT_Encode4(295861), // Rule ID 640 //
     /* 295835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 295838 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295850 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)  =>  (FMADDSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 295850 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMADDSrrr),
     /* 295855 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 295859 */     GIR_RootConstrainSelectedInstOperands,
     /* 295860 */     // GIR_Coverage, 640,
     /* 295860 */     GIR_Done,
     /* 295861 */   // Label 6057: @295861
     /* 295861 */   GIM_Reject,
     /* 295862 */ // Label 6023: @295862
     /* 295862 */ GIM_Reject,
     /* 295863 */ // Label 5983: @295863
     /* 295863 */ GIM_Try, /*On fail goto*//*Label 6058*/ GIMT_Encode4(299010),
     /* 295868 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 295871 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 295874 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 295877 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 295881 */   GIM_Try, /*On fail goto*//*Label 6059*/ GIMT_Encode4(296031), // Rule ID 4865 //
     /* 295886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 295889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 295893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 295897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 295901 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 295905 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295910 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 295914 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 295918 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 295922 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 295926 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 295930 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295935 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 295939 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 295943 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 295947 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /* 295951 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 295956 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 295958 */     // (fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Ra))  =>  (FNMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 295958 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 295961 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 295965 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 295970 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 295976 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 295981 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295986 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 295989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 295993 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 295998 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 296004 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 296009 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBDrrr),
     /* 296017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 296019 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 296022 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 296025 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Ra
     /* 296029 */     GIR_RootConstrainSelectedInstOperands,
     /* 296030 */     // GIR_Coverage, 4865,
     /* 296030 */     GIR_EraseRootFromParent_Done,
     /* 296031 */   // Label 6059: @296031
     /* 296031 */   GIM_Try, /*On fail goto*//*Label 6060*/ GIMT_Encode4(296178), // Rule ID 4829 //
     /* 296036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 296039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 296043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 296047 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 296051 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 296055 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296060 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 296064 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 296068 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 296072 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 296076 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 296080 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 296084 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 296088 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 296092 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296097 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 296101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 296105 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 296107 */     // (fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] })), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 296107 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 296110 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 296114 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 296119 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 296125 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 296130 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296135 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 296138 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 296142 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 296147 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 296153 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 296158 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 296166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 296168 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 296171 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 296174 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 296176 */     GIR_RootConstrainSelectedInstOperands,
     /* 296177 */     // GIR_Coverage, 4829,
     /* 296177 */     GIR_EraseRootFromParent_Done,
     /* 296178 */   // Label 6060: @296178
     /* 296178 */   GIM_Try, /*On fail goto*//*Label 6061*/ GIMT_Encode4(296325), // Rule ID 13788 //
     /* 296183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 296186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 296190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 296194 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 296198 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 296202 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 296206 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 296210 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 296214 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296219 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 296223 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 296227 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 296231 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 296235 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 296239 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296244 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 296248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 296252 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 296254 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] })), (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 296254 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 296257 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 296261 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 296266 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 296272 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 296277 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 296285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 296289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 296294 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 296300 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 296305 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 296313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 296315 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 296318 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 296321 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 296323 */     GIR_RootConstrainSelectedInstOperands,
     /* 296324 */     // GIR_Coverage, 13788,
     /* 296324 */     GIR_EraseRootFromParent_Done,
     /* 296325 */   // Label 6061: @296325
     /* 296325 */   GIM_Try, /*On fail goto*//*Label 6062*/ GIMT_Encode4(296456), // Rule ID 6070 //
     /* 296330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 296333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 296337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 296341 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 296345 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 296349 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296354 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 296358 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 296362 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 296366 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 296370 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 296374 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 296378 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 296382 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 296386 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296391 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 296395 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 296399 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 296403 */     // MIs[4] Operand 1
     /* 296403 */     // No operand predicates
     /* 296403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 296407 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 296409 */     // (fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 296409 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 296412 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 296416 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 296421 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 296427 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 296432 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 296440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 296442 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 296444 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 296447 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 296451 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 296454 */     GIR_RootConstrainSelectedInstOperands,
     /* 296455 */     // GIR_Coverage, 6070,
     /* 296455 */     GIR_EraseRootFromParent_Done,
     /* 296456 */   // Label 6062: @296456
     /* 296456 */   GIM_Try, /*On fail goto*//*Label 6063*/ GIMT_Encode4(296587), // Rule ID 6102 //
     /* 296461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 296464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 296468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 296472 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 296476 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 296480 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296485 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 296489 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 296493 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 296497 */     // MIs[2] Operand 1
     /* 296497 */     // No operand predicates
     /* 296497 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 296501 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 296505 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /* 296509 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /* 296513 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 296517 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 296521 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 296525 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296530 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 296534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 296538 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 296540 */     // (fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] })), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 296540 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 296543 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 296547 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 296552 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 296558 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 296563 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 296571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 296573 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 296575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 296578 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 296582 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 296585 */     GIR_RootConstrainSelectedInstOperands,
     /* 296586 */     // GIR_Coverage, 6102,
     /* 296586 */     GIR_EraseRootFromParent_Done,
     /* 296587 */   // Label 6063: @296587
     /* 296587 */   GIM_Try, /*On fail goto*//*Label 6064*/ GIMT_Encode4(296718), // Rule ID 6166 //
     /* 296592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 296595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 296599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 296603 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 296607 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 296611 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 296615 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 296619 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 296623 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296628 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 296632 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 296636 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 296640 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 296644 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 296648 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296653 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 296657 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 296661 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 296665 */     // MIs[4] Operand 1
     /* 296665 */     // No operand predicates
     /* 296665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 296669 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 296671 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] })), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 296671 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 296674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 296678 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 296683 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 296689 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 296694 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 296702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 296704 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 296706 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 296709 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 296713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 296716 */     GIR_RootConstrainSelectedInstOperands,
     /* 296717 */     // GIR_Coverage, 6166,
     /* 296717 */     GIR_EraseRootFromParent_Done,
     /* 296718 */   // Label 6064: @296718
     /* 296718 */   GIM_Try, /*On fail goto*//*Label 6065*/ GIMT_Encode4(296849), // Rule ID 6134 //
     /* 296723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 296726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 296730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 296734 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 296738 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 296742 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 296746 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 296750 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 296754 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296759 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 296763 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 296767 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 296771 */     // MIs[3] Operand 1
     /* 296771 */     // No operand predicates
     /* 296771 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /* 296775 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 296779 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 296783 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 296787 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296792 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 296796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 296800 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 296802 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 296802 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 296805 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 296809 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 296814 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 296820 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 296825 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 296833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 296835 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 296837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 296840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 296844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 296847 */     GIR_RootConstrainSelectedInstOperands,
     /* 296848 */     // GIR_Coverage, 6134,
     /* 296848 */     GIR_EraseRootFromParent_Done,
     /* 296849 */   // Label 6065: @296849
     /* 296849 */   GIM_Try, /*On fail goto*//*Label 6066*/ GIMT_Encode4(296984), // Rule ID 2468 //
     /* 296854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 296857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 296861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 296865 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 296869 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 296873 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296878 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 296882 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 296886 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 296890 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 296894 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 296898 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296903 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 296907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 296911 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 296913 */     // (fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra)  =>  (FMADDDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 296913 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 296916 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 296920 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 296925 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 296931 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 296936 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296941 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 296944 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 296948 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 296953 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 296959 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 296964 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDDrrr),
     /* 296972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 296974 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 296977 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 296980 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 296982 */     GIR_RootConstrainSelectedInstOperands,
     /* 296983 */     // GIR_Coverage, 2468,
     /* 296983 */     GIR_EraseRootFromParent_Done,
     /* 296984 */   // Label 6066: @296984
     /* 296984 */   GIM_Try, /*On fail goto*//*Label 6067*/ GIMT_Encode4(297103), // Rule ID 6038 //
     /* 296989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 296992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 296996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297000 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 297004 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 297008 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297013 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 297017 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 297021 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297025 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 297029 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 297033 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297038 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 297042 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 297046 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 297050 */     // MIs[3] Operand 1
     /* 297050 */     // No operand predicates
     /* 297050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297054 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 297056 */     // (fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64:{ *:[f64] }:$Rd)  =>  (FMLAv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 297056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 297059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 297063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 297068 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 297074 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297079 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i64_indexed),
     /* 297087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 297089 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 297091 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 297094 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 297098 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 297101 */     GIR_RootConstrainSelectedInstOperands,
     /* 297102 */     // GIR_Coverage, 6038,
     /* 297102 */     GIR_EraseRootFromParent_Done,
     /* 297103 */   // Label 6067: @297103
     /* 297103 */   GIM_Try, /*On fail goto*//*Label 6068*/ GIMT_Encode4(297222), // Rule ID 2558 //
     /* 297108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 297111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 297115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297119 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 297123 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 297127 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297132 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 297136 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 297140 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 297144 */     // MIs[2] Operand 1
     /* 297144 */     // No operand predicates
     /* 297144 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 297148 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297152 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 297156 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 297160 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297165 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 297169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297173 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 297175 */     // (fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rd)  =>  (FMLAv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 297175 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 297178 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 297182 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 297187 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 297193 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297198 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i64_indexed),
     /* 297206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 297208 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 297210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 297213 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 297217 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 297220 */     GIR_RootConstrainSelectedInstOperands,
     /* 297221 */     // GIR_Coverage, 2558,
     /* 297221 */     GIR_EraseRootFromParent_Done,
     /* 297222 */   // Label 6068: @297222
     /* 297222 */   GIM_Try, /*On fail goto*//*Label 6069*/ GIMT_Encode4(297322), // Rule ID 4827 //
     /* 297227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 297230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 297234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297238 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 297242 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 297246 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297251 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 297255 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 297259 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 297263 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 297267 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297276 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 297278 */     // (fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rm), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 297278 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 297281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 297285 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 297290 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 297296 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297301 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 297309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 297311 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 297314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 297318 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 297320 */     GIR_RootConstrainSelectedInstOperands,
     /* 297321 */     // GIR_Coverage, 4827,
     /* 297321 */     GIR_EraseRootFromParent_Done,
     /* 297322 */   // Label 6069: @297322
     /* 297322 */   GIM_Try, /*On fail goto*//*Label 6070*/ GIMT_Encode4(297422), // Rule ID 4863 //
     /* 297327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 297330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 297334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297338 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 297342 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 297346 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297351 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 297355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297359 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 297363 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 297367 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 297371 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297376 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 297378 */     // (fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rm, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Ra))  =>  (FNMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 297378 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 297381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 297385 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 297390 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 297396 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297401 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBDrrr),
     /* 297409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 297411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 297414 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 297416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 297420 */     GIR_RootConstrainSelectedInstOperands,
     /* 297421 */     // GIR_Coverage, 4863,
     /* 297421 */     GIR_EraseRootFromParent_Done,
     /* 297422 */   // Label 6070: @297422
     /* 297422 */   GIM_Try, /*On fail goto*//*Label 6071*/ GIMT_Encode4(297519), // Rule ID 13784 //
     /* 297427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 297430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 297434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 297438 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 297442 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 297446 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297450 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 297454 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 297458 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297463 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 297467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297475 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 297477 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] })), FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 297477 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 297480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 297484 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 297489 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 297495 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297500 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 297508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 297510 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 297512 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 297515 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 297517 */     GIR_RootConstrainSelectedInstOperands,
     /* 297518 */     // GIR_Coverage, 13784,
     /* 297518 */     GIR_EraseRootFromParent_Done,
     /* 297519 */   // Label 6071: @297519
     /* 297519 */   GIM_Try, /*On fail goto*//*Label 6072*/ GIMT_Encode4(297619), // Rule ID 13786 //
     /* 297524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 297527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 297531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 297535 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 297539 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297544 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 297548 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297552 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 297556 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 297560 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297565 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 297569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297573 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 297575 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rm), (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 297575 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 297578 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 297582 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 297587 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 297593 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297598 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 297606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 297608 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 297611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 297615 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 297617 */     GIR_RootConstrainSelectedInstOperands,
     /* 297618 */     // GIR_Coverage, 13786,
     /* 297618 */     GIR_EraseRootFromParent_Done,
     /* 297619 */   // Label 6072: @297619
     /* 297619 */   GIM_Try, /*On fail goto*//*Label 6073*/ GIMT_Encode4(297719), // Rule ID 4861 //
     /* 297624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 297627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 297635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297639 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 297643 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 297647 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297652 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 297656 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 297660 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 297664 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 297668 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297673 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 297675 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Ra))  =>  (FNMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 297675 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 297678 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 297682 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 297687 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 297693 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297698 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBDrrr),
     /* 297706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 297708 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 297710 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 297713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 297717 */     GIR_RootConstrainSelectedInstOperands,
     /* 297718 */     // GIR_Coverage, 4861,
     /* 297718 */     GIR_EraseRootFromParent_Done,
     /* 297719 */   // Label 6073: @297719
     /* 297719 */   GIM_Try, /*On fail goto*//*Label 6074*/ GIMT_Encode4(297816), // Rule ID 4825 //
     /* 297724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 297727 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 297735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 297739 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 297743 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 297747 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297751 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 297755 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 297759 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297764 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 297768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297772 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 297774 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (fneg:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] })), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 297774 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 297777 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 297781 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 297786 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 297792 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297797 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 297805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 297807 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 297809 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 297812 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 297814 */     GIR_RootConstrainSelectedInstOperands,
     /* 297815 */     // GIR_Coverage, 4825,
     /* 297815 */     GIR_EraseRootFromParent_Done,
     /* 297816 */   // Label 6074: @297816
     /* 297816 */   GIM_Try, /*On fail goto*//*Label 6075*/ GIMT_Encode4(297894), // Rule ID 6188 //
     /* 297821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 297825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297829 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 297833 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 297837 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 297841 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 297845 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 297849 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297854 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 297858 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 297862 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 297866 */     // MIs[3] Operand 1
     /* 297866 */     // No operand predicates
     /* 297866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297874 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 297876 */     // (fma:{ *:[f64] } (vector_extract:{ *:[f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 297876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 297879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 297881 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 297883 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 297885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 297889 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 297892 */     GIR_RootConstrainSelectedInstOperands,
     /* 297893 */     // GIR_Coverage, 6188,
     /* 297893 */     GIR_EraseRootFromParent_Done,
     /* 297894 */   // Label 6075: @297894
     /* 297894 */   GIM_Try, /*On fail goto*//*Label 6076*/ GIMT_Encode4(297978), // Rule ID 6100 //
     /* 297899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 297902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 297906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297910 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 297914 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 297918 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297923 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 297927 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 297931 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 297935 */     // MIs[2] Operand 1
     /* 297935 */     // No operand predicates
     /* 297935 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 297939 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 297943 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /* 297947 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297956 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 297958 */     // (fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rn), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 297958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 297961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 297963 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 297965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 297969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 297973 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 297976 */     GIR_RootConstrainSelectedInstOperands,
     /* 297977 */     // GIR_Coverage, 6100,
     /* 297977 */     GIR_EraseRootFromParent_Done,
     /* 297978 */   // Label 6076: @297978
     /* 297978 */   GIM_Try, /*On fail goto*//*Label 6077*/ GIMT_Encode4(298059), // Rule ID 6132 //
     /* 297983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 297986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 297990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 297994 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 297998 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 298002 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 298006 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 298010 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 298014 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298019 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 298023 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 298027 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 298031 */     // MIs[3] Operand 1
     /* 298031 */     // No operand predicates
     /* 298031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298039 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 298041 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 298041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 298044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 298046 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 298048 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 298050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 298054 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 298057 */     GIR_RootConstrainSelectedInstOperands,
     /* 298058 */     // GIR_Coverage, 6132,
     /* 298058 */     GIR_EraseRootFromParent_Done,
     /* 298059 */   // Label 6077: @298059
     /* 298059 */   GIM_Try, /*On fail goto*//*Label 6078*/ GIMT_Encode4(298143), // Rule ID 6164 //
     /* 298064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 298067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 298071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 298075 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 298079 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298084 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 298088 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 298092 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 298096 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 298100 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298105 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 298109 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 298113 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 298117 */     // MIs[3] Operand 1
     /* 298117 */     // No operand predicates
     /* 298117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298121 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 298123 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rn), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 298123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 298126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 298128 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 298130 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 298134 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 298138 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 298141 */     GIR_RootConstrainSelectedInstOperands,
     /* 298142 */     // GIR_Coverage, 6164,
     /* 298142 */     GIR_EraseRootFromParent_Done,
     /* 298143 */   // Label 6078: @298143
     /* 298143 */   GIM_Try, /*On fail goto*//*Label 6079*/ GIMT_Encode4(298221), // Rule ID 6210 //
     /* 298148 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 298156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 298160 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 298164 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 298168 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 298172 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 298176 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 298180 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298185 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 298189 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 298193 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 298197 */     // MIs[3] Operand 1
     /* 298197 */     // No operand predicates
     /* 298197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298201 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 298203 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (vector_extract:{ *:[f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 298203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 298206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 298208 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 298210 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 298212 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 298216 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 298219 */     GIR_RootConstrainSelectedInstOperands,
     /* 298220 */     // GIR_Coverage, 6210,
     /* 298220 */     GIR_EraseRootFromParent_Done,
     /* 298221 */   // Label 6079: @298221
     /* 298221 */   GIM_Try, /*On fail goto*//*Label 6080*/ GIMT_Encode4(298302), // Rule ID 6068 //
     /* 298226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 298229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 298237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 298241 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 298245 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 298249 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 298253 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 298257 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 298261 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298266 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 298270 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 298274 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 298278 */     // MIs[3] Operand 1
     /* 298278 */     // No operand predicates
     /* 298278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298282 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 298284 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 298284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 298287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 298289 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 298291 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 298293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 298297 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 298300 */     GIR_RootConstrainSelectedInstOperands,
     /* 298301 */     // GIR_Coverage, 6068,
     /* 298301 */     GIR_EraseRootFromParent_Done,
     /* 298302 */   // Label 6080: @298302
     /* 298302 */   GIM_Try, /*On fail goto*//*Label 6081*/ GIMT_Encode4(298387), // Rule ID 2466 //
     /* 298307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 298310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 298314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 298318 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 298322 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 298326 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298331 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 298335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 298345 */     // (fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)  =>  (FMADDDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 298345 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 298348 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 298352 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 298357 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 298363 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298368 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDDrrr),
     /* 298376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 298378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 298381 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 298383 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 298385 */     GIR_RootConstrainSelectedInstOperands,
     /* 298386 */     // GIR_Coverage, 2466,
     /* 298386 */     GIR_EraseRootFromParent_Done,
     /* 298387 */   // Label 6081: @298387
     /* 298387 */   GIM_Try, /*On fail goto*//*Label 6082*/ GIMT_Encode4(298472), // Rule ID 2464 //
     /* 298392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 298395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 298403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 298407 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 298411 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 298415 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298420 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 298424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 298430 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra)  =>  (FMADDDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 298430 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 298433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 298437 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 298442 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 298448 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298453 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDDrrr),
     /* 298461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 298463 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 298465 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 298468 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 298470 */     GIR_RootConstrainSelectedInstOperands,
     /* 298471 */     // GIR_Coverage, 2464,
     /* 298471 */     GIR_EraseRootFromParent_Done,
     /* 298472 */   // Label 6082: @298472
     /* 298472 */   GIM_Try, /*On fail goto*//*Label 6083*/ GIMT_Encode4(298541), // Rule ID 2556 //
     /* 298477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 298480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 298484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 298488 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 298492 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 298496 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298501 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 298505 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 298509 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 298513 */     // MIs[2] Operand 1
     /* 298513 */     // No operand predicates
     /* 298513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298521 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 298523 */     // (fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rd)  =>  (FMLAv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 298523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i64_indexed),
     /* 298526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 298528 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 298530 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 298532 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 298536 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 298539 */     GIR_RootConstrainSelectedInstOperands,
     /* 298540 */     // GIR_Coverage, 2556,
     /* 298540 */     GIR_EraseRootFromParent_Done,
     /* 298541 */   // Label 6083: @298541
     /* 298541 */   GIM_Try, /*On fail goto*//*Label 6084*/ GIMT_Encode4(298610), // Rule ID 6036 //
     /* 298546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 298549 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 298557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 298561 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 298565 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 298569 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298574 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 298578 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 298582 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 298586 */     // MIs[2] Operand 1
     /* 298586 */     // No operand predicates
     /* 298586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298590 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 298592 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64:{ *:[f64] }:$Rd)  =>  (FMLAv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 298592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i64_indexed),
     /* 298595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 298597 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 298599 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 298601 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 298605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 298608 */     GIR_RootConstrainSelectedInstOperands,
     /* 298609 */     // GIR_Coverage, 6036,
     /* 298609 */     GIR_EraseRootFromParent_Done,
     /* 298610 */   // Label 6084: @298610
     /* 298610 */   GIM_Try, /*On fail goto*//*Label 6085*/ GIMT_Encode4(298672), // Rule ID 4871 //
     /* 298615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 298619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 298623 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 298627 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298636 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 298640 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 298644 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 298648 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298653 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 298655 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rn), FPR64:{ *:[f64] }:$Rm, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Ra))  =>  (FNMADDDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 298655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDDrrr),
     /* 298658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 298660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 298664 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 298666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 298670 */     GIR_RootConstrainSelectedInstOperands,
     /* 298671 */     // GIR_Coverage, 4871,
     /* 298671 */     GIR_EraseRootFromParent_Done,
     /* 298672 */   // Label 6085: @298672
     /* 298672 */   GIM_Try, /*On fail goto*//*Label 6086*/ GIMT_Encode4(298734), // Rule ID 13794 //
     /* 298677 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 298685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 298689 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 298693 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298698 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 298702 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 298706 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 298710 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298715 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 298717 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rn), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Ra))  =>  (FNMADDDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 298717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDDrrr),
     /* 298720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 298722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 298726 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 298728 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 298732 */     GIR_RootConstrainSelectedInstOperands,
     /* 298733 */     // GIR_Coverage, 13794,
     /* 298733 */     GIR_EraseRootFromParent_Done,
     /* 298734 */   // Label 6086: @298734
     /* 298734 */   GIM_Try, /*On fail goto*//*Label 6087*/ GIMT_Encode4(298781), // Rule ID 4868 //
     /* 298739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 298743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 298747 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 298751 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 298766 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rn), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 298766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 298769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 298771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 298775 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 298777 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 298779 */     GIR_RootConstrainSelectedInstOperands,
     /* 298780 */     // GIR_Coverage, 4868,
     /* 298780 */     GIR_EraseRootFromParent_Done,
     /* 298781 */   // Label 6087: @298781
     /* 298781 */   GIM_Try, /*On fail goto*//*Label 6088*/ GIMT_Encode4(298831), // Rule ID 13222 //
     /* 298786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 298789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 298793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 298797 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 298801 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298814 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 298816 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rm), FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 298816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 298819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 298821 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 298823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 298827 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 298829 */     GIR_RootConstrainSelectedInstOperands,
     /* 298830 */     // GIR_Coverage, 13222,
     /* 298830 */     GIR_EraseRootFromParent_Done,
     /* 298831 */   // Label 6088: @298831
     /* 298831 */   GIM_Try, /*On fail goto*//*Label 6089*/ GIMT_Encode4(298881), // Rule ID 648 //
     /* 298836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 298839 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 298847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 298851 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 298855 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 298866 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rm), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 298866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 298869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 298871 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 298873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 298877 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 298879 */     GIR_RootConstrainSelectedInstOperands,
     /* 298880 */     // GIR_Coverage, 648,
     /* 298880 */     GIR_EraseRootFromParent_Done,
     /* 298881 */   // Label 6089: @298881
     /* 298881 */   GIM_Try, /*On fail goto*//*Label 6090*/ GIMT_Encode4(298928), // Rule ID 13791 //
     /* 298886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 298894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 298898 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 298902 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 298913 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rn), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 298913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 298916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 298918 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 298922 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 298924 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 298926 */     GIR_RootConstrainSelectedInstOperands,
     /* 298927 */     // GIR_Coverage, 13791,
     /* 298927 */     GIR_EraseRootFromParent_Done,
     /* 298928 */   // Label 6090: @298928
     /* 298928 */   GIM_Try, /*On fail goto*//*Label 6091*/ GIMT_Encode4(298978), // Rule ID 660 //
     /* 298933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 298936 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 298948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 298952 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 298956 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 298963 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Ra))  =>  (FNMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 298963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBDrrr),
     /* 298966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 298968 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 298970 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 298972 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Ra
     /* 298976 */     GIR_RootConstrainSelectedInstOperands,
     /* 298977 */     // GIR_Coverage, 660,
     /* 298977 */     GIR_EraseRootFromParent_Done,
     /* 298978 */   // Label 6091: @298978
     /* 298978 */   GIM_Try, /*On fail goto*//*Label 6092*/ GIMT_Encode4(299009), // Rule ID 642 //
     /* 298983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 298986 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298998 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)  =>  (FMADDDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 298998 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMADDDrrr),
     /* 299003 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 299007 */     GIR_RootConstrainSelectedInstOperands,
     /* 299008 */     // GIR_Coverage, 642,
     /* 299008 */     GIR_Done,
     /* 299009 */   // Label 6092: @299009
     /* 299009 */   GIM_Reject,
     /* 299010 */ // Label 6058: @299010
     /* 299010 */ GIM_Reject,
     /* 299011 */ // Label 5984: @299011
     /* 299011 */ GIM_Try, /*On fail goto*//*Label 6093*/ GIMT_Encode4(300531),
     /* 299016 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 299019 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 299022 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 299025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299029 */   GIM_Try, /*On fail goto*//*Label 6094*/ GIMT_Encode4(299107), // Rule ID 6168 //
     /* 299034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 299038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 299042 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 299046 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 299050 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 299054 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 299058 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 299062 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 299067 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 299071 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 299075 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 299079 */     // MIs[3] Operand 1
     /* 299079 */     // No operand predicates
     /* 299079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299087 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 299089 */     // (fma:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 299089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 299092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 299094 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 299096 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 299098 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 299102 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 299105 */     GIR_RootConstrainSelectedInstOperands,
     /* 299106 */     // GIR_Coverage, 6168,
     /* 299106 */     GIR_EraseRootFromParent_Done,
     /* 299107 */   // Label 6094: @299107
     /* 299107 */   GIM_Try, /*On fail goto*//*Label 6095*/ GIMT_Encode4(299191), // Rule ID 6084 //
     /* 299112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 299115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 299119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 299123 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 299127 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 299131 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 299136 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 299140 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 299144 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 299148 */     // MIs[2] Operand 1
     /* 299148 */     // No operand predicates
     /* 299148 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 299152 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 299156 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 299160 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299169 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 299171 */     // (fma:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 299171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 299174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 299176 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 299178 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 299182 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 299186 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 299189 */     GIR_RootConstrainSelectedInstOperands,
     /* 299190 */     // GIR_Coverage, 6084,
     /* 299190 */     GIR_EraseRootFromParent_Done,
     /* 299191 */   // Label 6095: @299191
     /* 299191 */   GIM_Try, /*On fail goto*//*Label 6096*/ GIMT_Encode4(299272), // Rule ID 6116 //
     /* 299196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 299199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 299203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 299207 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 299211 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 299215 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 299219 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 299223 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 299227 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 299232 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 299236 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 299240 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 299244 */     // MIs[3] Operand 1
     /* 299244 */     // No operand predicates
     /* 299244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299252 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 299254 */     // (fma:{ *:[v2f32] } (fneg:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 299254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 299257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 299259 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 299261 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 299263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 299267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 299270 */     GIR_RootConstrainSelectedInstOperands,
     /* 299271 */     // GIR_Coverage, 6116,
     /* 299271 */     GIR_EraseRootFromParent_Done,
     /* 299272 */   // Label 6096: @299272
     /* 299272 */   GIM_Try, /*On fail goto*//*Label 6097*/ GIMT_Encode4(299356), // Rule ID 6148 //
     /* 299277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 299280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 299284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 299288 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 299292 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299297 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 299301 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 299305 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 299309 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 299313 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 299318 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 299322 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 299326 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 299330 */     // MIs[3] Operand 1
     /* 299330 */     // No operand predicates
     /* 299330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299334 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 299336 */     // (fma:{ *:[v2f32] } (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 299336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 299339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 299341 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 299343 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 299347 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 299351 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 299354 */     GIR_RootConstrainSelectedInstOperands,
     /* 299355 */     // GIR_Coverage, 6148,
     /* 299355 */     GIR_EraseRootFromParent_Done,
     /* 299356 */   // Label 6097: @299356
     /* 299356 */   GIM_Try, /*On fail goto*//*Label 6098*/ GIMT_Encode4(299434), // Rule ID 6190 //
     /* 299361 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 299369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 299373 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 299377 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 299381 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 299385 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 299389 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 299393 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 299398 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 299402 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 299406 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 299410 */     // MIs[3] Operand 1
     /* 299410 */     // No operand predicates
     /* 299410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299414 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 299416 */     // (fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64duplane32:{ *:[v2f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 299416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 299419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 299421 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 299423 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 299425 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 299429 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 299432 */     GIR_RootConstrainSelectedInstOperands,
     /* 299433 */     // GIR_Coverage, 6190,
     /* 299433 */     GIR_EraseRootFromParent_Done,
     /* 299434 */   // Label 6098: @299434
     /* 299434 */   GIM_Try, /*On fail goto*//*Label 6099*/ GIMT_Encode4(299515), // Rule ID 6052 //
     /* 299439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 299442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 299450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 299454 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 299458 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 299462 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 299466 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 299470 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 299474 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 299479 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 299483 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 299487 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 299491 */     // MIs[3] Operand 1
     /* 299491 */     // No operand predicates
     /* 299491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299495 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 299497 */     // (fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (fneg:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 299497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 299500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 299502 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 299504 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 299506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 299510 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 299513 */     GIR_RootConstrainSelectedInstOperands,
     /* 299514 */     // GIR_Coverage, 6052,
     /* 299514 */     GIR_EraseRootFromParent_Done,
     /* 299515 */   // Label 6099: @299515
     /* 299515 */   GIM_Try, /*On fail goto*//*Label 6100*/ GIMT_Encode4(299584), // Rule ID 2540 //
     /* 299520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 299523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 299527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 299531 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 299535 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 299539 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 299544 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 299548 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 299552 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 299556 */     // MIs[2] Operand 1
     /* 299556 */     // No operand predicates
     /* 299556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299564 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 299566 */     // (fma:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLAv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 299566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i32_indexed),
     /* 299569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 299571 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 299573 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 299575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 299579 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 299582 */     GIR_RootConstrainSelectedInstOperands,
     /* 299583 */     // GIR_Coverage, 2540,
     /* 299583 */     GIR_EraseRootFromParent_Done,
     /* 299584 */   // Label 6100: @299584
     /* 299584 */   GIM_Try, /*On fail goto*//*Label 6101*/ GIMT_Encode4(299653), // Rule ID 6020 //
     /* 299589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 299592 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 299600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 299604 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 299608 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 299612 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 299617 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 299621 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 299625 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 299629 */     // MIs[2] Operand 1
     /* 299629 */     // No operand predicates
     /* 299629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299633 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 299635 */     // (fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rd)  =>  (FMLAv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 299635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i32_indexed),
     /* 299638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 299640 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 299642 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 299644 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 299648 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 299651 */     GIR_RootConstrainSelectedInstOperands,
     /* 299652 */     // GIR_Coverage, 6020,
     /* 299652 */     GIR_EraseRootFromParent_Done,
     /* 299653 */   // Label 6101: @299653
     /* 299653 */   GIM_Try, /*On fail goto*//*Label 6102*/ GIMT_Encode4(299746), // Rule ID 6172 //
     /* 299658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 299662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 299666 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 299670 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 299674 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 299678 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 299682 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 299687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299695 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 299697 */     // (fma:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } (fneg:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rm)), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 299697 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 299700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 299704 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 299709 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 299712 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 299716 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 299719 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 299724 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 299729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 299732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 299734 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 299736 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 299738 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 299741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 299744 */     GIR_RootConstrainSelectedInstOperands,
     /* 299745 */     // GIR_Coverage, 6172,
     /* 299745 */     GIR_EraseRootFromParent_Done,
     /* 299746 */   // Label 6102: @299746
     /* 299746 */   GIM_Try, /*On fail goto*//*Label 6103*/ GIMT_Encode4(299845), // Rule ID 6086 //
     /* 299751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 299754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 299758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 299762 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 299766 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 299771 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 299775 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 299779 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 299783 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299792 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 299794 */     // (fma:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm), (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 299794 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 299797 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 299801 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 299806 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 299809 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 299813 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 299816 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 299821 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 299826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 299829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 299831 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 299833 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 299837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 299840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 299843 */     GIR_RootConstrainSelectedInstOperands,
     /* 299844 */     // GIR_Coverage, 6086,
     /* 299844 */     GIR_EraseRootFromParent_Done,
     /* 299845 */   // Label 6103: @299845
     /* 299845 */   GIM_Try, /*On fail goto*//*Label 6104*/ GIMT_Encode4(299941), // Rule ID 6118 //
     /* 299850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 299853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 299857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 299861 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 299865 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 299869 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 299873 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 299877 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 299882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299890 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 299892 */     // (fma:{ *:[v2f32] } (fneg:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm)), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 299892 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 299895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 299899 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 299904 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 299907 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 299911 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 299914 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 299919 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 299924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 299927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 299929 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 299931 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 299933 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 299936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 299939 */     GIR_RootConstrainSelectedInstOperands,
     /* 299940 */     // GIR_Coverage, 6118,
     /* 299940 */     GIR_EraseRootFromParent_Done,
     /* 299941 */   // Label 6104: @299941
     /* 299941 */   GIM_Try, /*On fail goto*//*Label 6105*/ GIMT_Encode4(300040), // Rule ID 6150 //
     /* 299946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 299949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 299953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 299957 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 299961 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299966 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 299970 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 299974 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 299978 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 299983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299987 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 299989 */     // (fma:{ *:[v2f32] } (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 299989 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 299992 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 299996 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 300001 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 300004 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 300008 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 300011 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300016 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 300021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 300024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 300026 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 300028 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 300032 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 300035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 300038 */     GIR_RootConstrainSelectedInstOperands,
     /* 300039 */     // GIR_Coverage, 6150,
     /* 300039 */     GIR_EraseRootFromParent_Done,
     /* 300040 */   // Label 6105: @300040
     /* 300040 */   GIM_Try, /*On fail goto*//*Label 6106*/ GIMT_Encode4(300133), // Rule ID 6194 //
     /* 300045 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 300053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 300057 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 300061 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 300065 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 300069 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 300073 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 300078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300082 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 300084 */     // (fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64dup:{ *:[v2f32] } (fneg:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rm)), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 300084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 300087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 300091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 300096 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 300099 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 300103 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 300106 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300111 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 300116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 300119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 300121 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 300123 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 300125 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 300128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 300131 */     GIR_RootConstrainSelectedInstOperands,
     /* 300132 */     // GIR_Coverage, 6194,
     /* 300132 */     GIR_EraseRootFromParent_Done,
     /* 300133 */   // Label 6106: @300133
     /* 300133 */   GIM_Try, /*On fail goto*//*Label 6107*/ GIMT_Encode4(300229), // Rule ID 6054 //
     /* 300138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 300141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 300149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 300153 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 300157 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 300161 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 300165 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 300169 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 300174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300178 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 300180 */     // (fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (fneg:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm)), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 300180 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 300183 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 300187 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 300192 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 300195 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 300199 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 300202 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300207 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 300212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 300215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 300217 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 300219 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 300221 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 300224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 300227 */     GIR_RootConstrainSelectedInstOperands,
     /* 300228 */     // GIR_Coverage, 6054,
     /* 300228 */     GIR_EraseRootFromParent_Done,
     /* 300229 */   // Label 6107: @300229
     /* 300229 */   GIM_Try, /*On fail goto*//*Label 6108*/ GIMT_Encode4(300313), // Rule ID 2542 //
     /* 300234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 300237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 300241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 300245 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 300249 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 300254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 300264 */     // (fma:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLAv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 300264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 300267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 300271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 300276 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 300279 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 300283 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 300286 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300291 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 300296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i32_indexed),
     /* 300299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 300301 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 300303 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 300305 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 300308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 300311 */     GIR_RootConstrainSelectedInstOperands,
     /* 300312 */     // GIR_Coverage, 2542,
     /* 300312 */     GIR_EraseRootFromParent_Done,
     /* 300313 */   // Label 6108: @300313
     /* 300313 */   GIM_Try, /*On fail goto*//*Label 6109*/ GIMT_Encode4(300363), // Rule ID 13252 //
     /* 300318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 300321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 300325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 300329 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 300333 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 300348 */     // (fma:{ *:[v2f32] } (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rm), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 300348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2f32),
     /* 300351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 300353 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 300355 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 300357 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 300361 */     GIR_RootConstrainSelectedInstOperands,
     /* 300362 */     // GIR_Coverage, 13252,
     /* 300362 */     GIR_EraseRootFromParent_Done,
     /* 300363 */   // Label 6109: @300363
     /* 300363 */   GIM_Try, /*On fail goto*//*Label 6110*/ GIMT_Encode4(300447), // Rule ID 6022 //
     /* 300368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 300371 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 300379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 300383 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 300387 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 300392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 300398 */     // (fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm), V64:{ *:[v2f32] }:$Rd)  =>  (FMLAv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 300398 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 300401 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 300405 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 300410 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 300413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 300417 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 300420 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300425 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 300430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i32_indexed),
     /* 300433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 300435 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 300437 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 300439 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 300442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 300445 */     GIR_RootConstrainSelectedInstOperands,
     /* 300446 */     // GIR_Coverage, 6022,
     /* 300446 */     GIR_EraseRootFromParent_Done,
     /* 300447 */   // Label 6110: @300447
     /* 300447 */   GIM_Try, /*On fail goto*//*Label 6111*/ GIMT_Encode4(300497), // Rule ID 1308 //
     /* 300452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 300455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 300463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 300467 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 300471 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300480 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 300482 */     // (fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rm), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 300482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2f32),
     /* 300485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 300487 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 300489 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 300491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 300495 */     GIR_RootConstrainSelectedInstOperands,
     /* 300496 */     // GIR_Coverage, 1308,
     /* 300496 */     GIR_EraseRootFromParent_Done,
     /* 300497 */   // Label 6111: @300497
     /* 300497 */   GIM_Try, /*On fail goto*//*Label 6112*/ GIMT_Encode4(300530), // Rule ID 1298 //
     /* 300502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 300505 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300517 */     // (fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rm, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLAv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 300517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2f32),
     /* 300520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 300522 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 300524 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 300526 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 300528 */     GIR_RootConstrainSelectedInstOperands,
     /* 300529 */     // GIR_Coverage, 1298,
     /* 300529 */     GIR_EraseRootFromParent_Done,
     /* 300530 */   // Label 6112: @300530
     /* 300530 */   GIM_Reject,
     /* 300531 */ // Label 6093: @300531
     /* 300531 */ GIM_Reject,
     /* 300532 */ // Label 5985: @300532
     /* 300532 */ GIM_Try, /*On fail goto*//*Label 6113*/ GIMT_Encode4(302052),
     /* 300537 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 300540 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 300543 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 300546 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300550 */   GIM_Try, /*On fail goto*//*Label 6114*/ GIMT_Encode4(300628), // Rule ID 6180 //
     /* 300555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 300559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 300563 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 300567 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 300571 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 300575 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 300579 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 300583 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300588 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 300592 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 300596 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 300600 */     // MIs[3] Operand 1
     /* 300600 */     // No operand predicates
     /* 300600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300608 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 300610 */     // (fma:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 300610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 300613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 300615 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 300617 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 300619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 300623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 300626 */     GIR_RootConstrainSelectedInstOperands,
     /* 300627 */     // GIR_Coverage, 6180,
     /* 300627 */     GIR_EraseRootFromParent_Done,
     /* 300628 */   // Label 6114: @300628
     /* 300628 */   GIM_Try, /*On fail goto*//*Label 6115*/ GIMT_Encode4(300712), // Rule ID 6092 //
     /* 300633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 300636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 300640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 300644 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 300648 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 300652 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300657 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 300661 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 300665 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 300669 */     // MIs[2] Operand 1
     /* 300669 */     // No operand predicates
     /* 300669 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 300673 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 300677 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 300681 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300690 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 300692 */     // (fma:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 300692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 300695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 300697 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 300699 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 300703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 300707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 300710 */     GIR_RootConstrainSelectedInstOperands,
     /* 300711 */     // GIR_Coverage, 6092,
     /* 300711 */     GIR_EraseRootFromParent_Done,
     /* 300712 */   // Label 6115: @300712
     /* 300712 */   GIM_Try, /*On fail goto*//*Label 6116*/ GIMT_Encode4(300793), // Rule ID 6124 //
     /* 300717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 300720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 300724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 300728 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 300732 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 300736 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 300740 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 300744 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 300748 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300753 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 300757 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 300761 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 300765 */     // MIs[3] Operand 1
     /* 300765 */     // No operand predicates
     /* 300765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300773 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 300775 */     // (fma:{ *:[v2f64] } (fneg:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 300775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 300778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 300780 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 300782 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 300784 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 300788 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 300791 */     GIR_RootConstrainSelectedInstOperands,
     /* 300792 */     // GIR_Coverage, 6124,
     /* 300792 */     GIR_EraseRootFromParent_Done,
     /* 300793 */   // Label 6116: @300793
     /* 300793 */   GIM_Try, /*On fail goto*//*Label 6117*/ GIMT_Encode4(300877), // Rule ID 6156 //
     /* 300798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 300801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 300805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 300809 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 300813 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300818 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 300822 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 300826 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 300830 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 300834 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300839 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 300843 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 300847 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 300851 */     // MIs[3] Operand 1
     /* 300851 */     // No operand predicates
     /* 300851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300855 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 300857 */     // (fma:{ *:[v2f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 300857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 300860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 300862 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 300864 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 300868 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 300872 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 300875 */     GIR_RootConstrainSelectedInstOperands,
     /* 300876 */     // GIR_Coverage, 6156,
     /* 300876 */     GIR_EraseRootFromParent_Done,
     /* 300877 */   // Label 6117: @300877
     /* 300877 */   GIM_Try, /*On fail goto*//*Label 6118*/ GIMT_Encode4(300955), // Rule ID 6202 //
     /* 300882 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 300890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 300894 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 300898 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 300902 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 300906 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 300910 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 300914 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300919 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 300923 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 300927 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 300931 */     // MIs[3] Operand 1
     /* 300931 */     // No operand predicates
     /* 300931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300935 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 300937 */     // (fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64duplane64:{ *:[v2f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 300937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 300940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 300942 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 300944 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 300946 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 300950 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 300953 */     GIR_RootConstrainSelectedInstOperands,
     /* 300954 */     // GIR_Coverage, 6202,
     /* 300954 */     GIR_EraseRootFromParent_Done,
     /* 300955 */   // Label 6118: @300955
     /* 300955 */   GIM_Try, /*On fail goto*//*Label 6119*/ GIMT_Encode4(301036), // Rule ID 6060 //
     /* 300960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 300963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 300971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 300975 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 300979 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 300983 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 300987 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 300991 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 300995 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301000 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 301004 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 301008 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 301012 */     // MIs[3] Operand 1
     /* 301012 */     // No operand predicates
     /* 301012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301016 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 301018 */     // (fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (fneg:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 301018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 301021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 301023 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 301025 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 301027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 301031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 301034 */     GIR_RootConstrainSelectedInstOperands,
     /* 301035 */     // GIR_Coverage, 6060,
     /* 301035 */     GIR_EraseRootFromParent_Done,
     /* 301036 */   // Label 6119: @301036
     /* 301036 */   GIM_Try, /*On fail goto*//*Label 6120*/ GIMT_Encode4(301105), // Rule ID 2548 //
     /* 301041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 301044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 301048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 301052 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 301056 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 301060 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301065 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 301069 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 301073 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 301077 */     // MIs[2] Operand 1
     /* 301077 */     // No operand predicates
     /* 301077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301085 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 301087 */     // (fma:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLAv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 301087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i64_indexed),
     /* 301090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 301092 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 301094 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 301096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 301100 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 301103 */     GIR_RootConstrainSelectedInstOperands,
     /* 301104 */     // GIR_Coverage, 2548,
     /* 301104 */     GIR_EraseRootFromParent_Done,
     /* 301105 */   // Label 6120: @301105
     /* 301105 */   GIM_Try, /*On fail goto*//*Label 6121*/ GIMT_Encode4(301174), // Rule ID 6028 //
     /* 301110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 301113 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 301121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 301125 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 301129 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 301133 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301138 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 301142 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 301146 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 301150 */     // MIs[2] Operand 1
     /* 301150 */     // No operand predicates
     /* 301150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301154 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 301156 */     // (fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rd)  =>  (FMLAv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 301156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i64_indexed),
     /* 301159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 301161 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 301163 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 301165 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 301169 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 301172 */     GIR_RootConstrainSelectedInstOperands,
     /* 301173 */     // GIR_Coverage, 6028,
     /* 301173 */     GIR_EraseRootFromParent_Done,
     /* 301174 */   // Label 6121: @301174
     /* 301174 */   GIM_Try, /*On fail goto*//*Label 6122*/ GIMT_Encode4(301267), // Rule ID 6182 //
     /* 301179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 301183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 301187 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 301191 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 301195 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 301199 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 301203 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301216 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 301218 */     // (fma:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } (fneg:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rm)), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 301218 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 301221 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 301225 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 301230 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 301233 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 301237 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 301240 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301245 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 301253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 301255 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 301257 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 301259 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 301262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 301265 */     GIR_RootConstrainSelectedInstOperands,
     /* 301266 */     // GIR_Coverage, 6182,
     /* 301266 */     GIR_EraseRootFromParent_Done,
     /* 301267 */   // Label 6122: @301267
     /* 301267 */   GIM_Try, /*On fail goto*//*Label 6123*/ GIMT_Encode4(301366), // Rule ID 6094 //
     /* 301272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 301275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 301279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 301283 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 301287 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301292 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 301296 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 301300 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 301304 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301313 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 301315 */     // (fma:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm), (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 301315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 301318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 301322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 301327 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 301330 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 301334 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 301337 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301342 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 301350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 301352 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 301354 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 301358 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 301361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 301364 */     GIR_RootConstrainSelectedInstOperands,
     /* 301365 */     // GIR_Coverage, 6094,
     /* 301365 */     GIR_EraseRootFromParent_Done,
     /* 301366 */   // Label 6123: @301366
     /* 301366 */   GIM_Try, /*On fail goto*//*Label 6124*/ GIMT_Encode4(301462), // Rule ID 6126 //
     /* 301371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 301374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 301378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 301382 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 301386 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 301390 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 301394 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 301398 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301411 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 301413 */     // (fma:{ *:[v2f64] } (fneg:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm)), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 301413 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 301416 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 301420 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 301425 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 301428 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 301432 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 301435 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301440 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 301448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 301450 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 301452 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 301454 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 301457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 301460 */     GIR_RootConstrainSelectedInstOperands,
     /* 301461 */     // GIR_Coverage, 6126,
     /* 301461 */     GIR_EraseRootFromParent_Done,
     /* 301462 */   // Label 6124: @301462
     /* 301462 */   GIM_Try, /*On fail goto*//*Label 6125*/ GIMT_Encode4(301561), // Rule ID 6158 //
     /* 301467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 301470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 301474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 301478 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 301482 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301487 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 301491 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 301495 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 301499 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301508 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 301510 */     // (fma:{ *:[v2f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 301510 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 301513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 301517 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 301522 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 301525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 301529 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 301532 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301537 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 301545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 301547 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 301549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 301553 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 301556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 301559 */     GIR_RootConstrainSelectedInstOperands,
     /* 301560 */     // GIR_Coverage, 6158,
     /* 301560 */     GIR_EraseRootFromParent_Done,
     /* 301561 */   // Label 6125: @301561
     /* 301561 */   GIM_Try, /*On fail goto*//*Label 6126*/ GIMT_Encode4(301654), // Rule ID 6204 //
     /* 301566 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 301574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 301578 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 301582 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 301586 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 301590 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 301594 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301603 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 301605 */     // (fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64dup:{ *:[v2f64] } (fneg:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rm)), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 301605 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 301608 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 301612 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 301617 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 301620 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 301624 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 301627 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301632 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 301640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 301642 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 301644 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 301646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 301649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 301652 */     GIR_RootConstrainSelectedInstOperands,
     /* 301653 */     // GIR_Coverage, 6204,
     /* 301653 */     GIR_EraseRootFromParent_Done,
     /* 301654 */   // Label 6126: @301654
     /* 301654 */   GIM_Try, /*On fail goto*//*Label 6127*/ GIMT_Encode4(301750), // Rule ID 6062 //
     /* 301659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 301662 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 301670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 301674 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 301678 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 301682 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 301686 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 301690 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301699 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 301701 */     // (fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (fneg:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm)), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 301701 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 301704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 301708 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 301713 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 301716 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 301720 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 301723 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301728 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 301736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 301738 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 301740 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 301742 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 301745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 301748 */     GIR_RootConstrainSelectedInstOperands,
     /* 301749 */     // GIR_Coverage, 6062,
     /* 301749 */     GIR_EraseRootFromParent_Done,
     /* 301750 */   // Label 6127: @301750
     /* 301750 */   GIM_Try, /*On fail goto*//*Label 6128*/ GIMT_Encode4(301834), // Rule ID 2550 //
     /* 301755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 301758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 301762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 301766 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 301770 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 301785 */     // (fma:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLAv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 301785 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 301788 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 301792 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 301797 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 301800 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 301804 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 301807 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301812 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i64_indexed),
     /* 301820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 301822 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 301824 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 301826 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 301829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 301832 */     GIR_RootConstrainSelectedInstOperands,
     /* 301833 */     // GIR_Coverage, 2550,
     /* 301833 */     GIR_EraseRootFromParent_Done,
     /* 301834 */   // Label 6128: @301834
     /* 301834 */   GIM_Try, /*On fail goto*//*Label 6129*/ GIMT_Encode4(301884), // Rule ID 13256 //
     /* 301839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 301842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 301846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 301850 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 301854 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 301869 */     // (fma:{ *:[v2f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 301869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2f64),
     /* 301872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 301874 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 301876 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 301878 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 301882 */     GIR_RootConstrainSelectedInstOperands,
     /* 301883 */     // GIR_Coverage, 13256,
     /* 301883 */     GIR_EraseRootFromParent_Done,
     /* 301884 */   // Label 6129: @301884
     /* 301884 */   GIM_Try, /*On fail goto*//*Label 6130*/ GIMT_Encode4(301968), // Rule ID 6030 //
     /* 301889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 301892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 301900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 301904 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 301908 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 301919 */     // (fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm), V128:{ *:[v2f64] }:$Rd)  =>  (FMLAv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 301919 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 301922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 301926 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 301931 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 301934 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 301938 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 301941 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301946 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i64_indexed),
     /* 301954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 301956 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 301958 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 301960 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 301963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 301966 */     GIR_RootConstrainSelectedInstOperands,
     /* 301967 */     // GIR_Coverage, 6030,
     /* 301967 */     GIR_EraseRootFromParent_Done,
     /* 301968 */   // Label 6130: @301968
     /* 301968 */   GIM_Try, /*On fail goto*//*Label 6131*/ GIMT_Encode4(302018), // Rule ID 1312 //
     /* 301973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 301976 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 301984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 301988 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 301992 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 302003 */     // (fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 302003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2f64),
     /* 302006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 302008 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 302010 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 302012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 302016 */     GIR_RootConstrainSelectedInstOperands,
     /* 302017 */     // GIR_Coverage, 1312,
     /* 302017 */     GIR_EraseRootFromParent_Done,
     /* 302018 */   // Label 6131: @302018
     /* 302018 */   GIM_Try, /*On fail goto*//*Label 6132*/ GIMT_Encode4(302051), // Rule ID 1302 //
     /* 302023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 302026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302038 */     // (fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLAv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 302038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2f64),
     /* 302041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 302043 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 302045 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 302047 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 302049 */     GIR_RootConstrainSelectedInstOperands,
     /* 302050 */     // GIR_Coverage, 1302,
     /* 302050 */     GIR_EraseRootFromParent_Done,
     /* 302051 */   // Label 6132: @302051
     /* 302051 */   GIM_Reject,
     /* 302052 */ // Label 6113: @302052
     /* 302052 */ GIM_Reject,
     /* 302053 */ // Label 5986: @302053
     /* 302053 */ GIM_Try, /*On fail goto*//*Label 6133*/ GIMT_Encode4(303231),
     /* 302058 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 302061 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 302064 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 302067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302071 */   GIM_Try, /*On fail goto*//*Label 6134*/ GIMT_Encode4(302155), // Rule ID 6076 //
     /* 302076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 302079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 302083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 302087 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 302091 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 302095 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 302100 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 302104 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 302108 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 302112 */     // MIs[2] Operand 1
     /* 302112 */     // No operand predicates
     /* 302112 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 302116 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 302120 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 302124 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302133 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 302135 */     // (fma:{ *:[v4f16] } (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 302135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 302138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 302140 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 302142 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 302146 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 302150 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 302153 */     GIR_RootConstrainSelectedInstOperands,
     /* 302154 */     // GIR_Coverage, 6076,
     /* 302154 */     GIR_EraseRootFromParent_Done,
     /* 302155 */   // Label 6134: @302155
     /* 302155 */   GIM_Try, /*On fail goto*//*Label 6135*/ GIMT_Encode4(302236), // Rule ID 6108 //
     /* 302160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 302163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 302167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 302171 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 302175 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 302179 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 302183 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 302187 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 302191 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 302196 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 302200 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 302204 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 302208 */     // MIs[3] Operand 1
     /* 302208 */     // No operand predicates
     /* 302208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302216 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 302218 */     // (fma:{ *:[v4f16] } (fneg:{ *:[v4f16] } (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 302218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 302221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 302223 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 302225 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 302227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 302231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 302234 */     GIR_RootConstrainSelectedInstOperands,
     /* 302235 */     // GIR_Coverage, 6108,
     /* 302235 */     GIR_EraseRootFromParent_Done,
     /* 302236 */   // Label 6135: @302236
     /* 302236 */   GIM_Try, /*On fail goto*//*Label 6136*/ GIMT_Encode4(302320), // Rule ID 6140 //
     /* 302241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 302244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 302248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 302252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 302256 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302261 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 302265 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 302269 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 302273 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 302277 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 302282 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 302286 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 302290 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 302294 */     // MIs[3] Operand 1
     /* 302294 */     // No operand predicates
     /* 302294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302298 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 302300 */     // (fma:{ *:[v4f16] } (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 302300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 302303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 302305 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 302307 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 302311 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 302315 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 302318 */     GIR_RootConstrainSelectedInstOperands,
     /* 302319 */     // GIR_Coverage, 6140,
     /* 302319 */     GIR_EraseRootFromParent_Done,
     /* 302320 */   // Label 6136: @302320
     /* 302320 */   GIM_Try, /*On fail goto*//*Label 6137*/ GIMT_Encode4(302401), // Rule ID 6044 //
     /* 302325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 302328 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 302336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 302340 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 302344 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 302348 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 302352 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 302356 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 302360 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 302365 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 302369 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 302373 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 302377 */     // MIs[3] Operand 1
     /* 302377 */     // No operand predicates
     /* 302377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302381 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 302383 */     // (fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (fneg:{ *:[v4f16] } (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 302383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 302386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 302388 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 302390 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 302392 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 302396 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 302399 */     GIR_RootConstrainSelectedInstOperands,
     /* 302400 */     // GIR_Coverage, 6044,
     /* 302400 */     GIR_EraseRootFromParent_Done,
     /* 302401 */   // Label 6137: @302401
     /* 302401 */   GIM_Try, /*On fail goto*//*Label 6138*/ GIMT_Encode4(302470), // Rule ID 2532 //
     /* 302406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 302409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 302413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 302417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 302421 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 302425 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 302430 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 302434 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 302438 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 302442 */     // MIs[2] Operand 1
     /* 302442 */     // No operand predicates
     /* 302442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302450 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 302452 */     // (fma:{ *:[v4f16] } (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLAv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 302452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i16_indexed),
     /* 302455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 302457 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 302459 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 302461 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 302465 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 302468 */     GIR_RootConstrainSelectedInstOperands,
     /* 302469 */     // GIR_Coverage, 2532,
     /* 302469 */     GIR_EraseRootFromParent_Done,
     /* 302470 */   // Label 6138: @302470
     /* 302470 */   GIM_Try, /*On fail goto*//*Label 6139*/ GIMT_Encode4(302539), // Rule ID 6012 //
     /* 302475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 302478 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 302486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 302490 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 302494 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 302498 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 302503 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 302507 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 302511 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 302515 */     // MIs[2] Operand 1
     /* 302515 */     // No operand predicates
     /* 302515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302519 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 302521 */     // (fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4f16] }:$Rd)  =>  (FMLAv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 302521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i16_indexed),
     /* 302524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 302526 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 302528 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 302530 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 302534 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 302537 */     GIR_RootConstrainSelectedInstOperands,
     /* 302538 */     // GIR_Coverage, 6012,
     /* 302538 */     GIR_EraseRootFromParent_Done,
     /* 302539 */   // Label 6139: @302539
     /* 302539 */   GIM_Try, /*On fail goto*//*Label 6140*/ GIMT_Encode4(302638), // Rule ID 6078 //
     /* 302544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 302547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 302551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 302555 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 302559 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 302564 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 302568 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 302572 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 302576 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302585 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 302587 */     // (fma:{ *:[v4f16] } (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm), (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 302587 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 302590 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 302594 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302599 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 302602 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 302606 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 302609 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302614 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 302619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 302622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 302624 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 302626 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 302630 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 302633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 302636 */     GIR_RootConstrainSelectedInstOperands,
     /* 302637 */     // GIR_Coverage, 6078,
     /* 302637 */     GIR_EraseRootFromParent_Done,
     /* 302638 */   // Label 6140: @302638
     /* 302638 */   GIM_Try, /*On fail goto*//*Label 6141*/ GIMT_Encode4(302734), // Rule ID 6110 //
     /* 302643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 302646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 302650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 302654 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 302658 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 302662 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 302666 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 302670 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 302675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302683 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 302685 */     // (fma:{ *:[v4f16] } (fneg:{ *:[v4f16] } (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm)), V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 302685 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 302688 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 302692 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302697 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 302700 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 302704 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 302707 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302712 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 302717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 302720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 302722 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 302724 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 302726 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 302729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 302732 */     GIR_RootConstrainSelectedInstOperands,
     /* 302733 */     // GIR_Coverage, 6110,
     /* 302733 */     GIR_EraseRootFromParent_Done,
     /* 302734 */   // Label 6141: @302734
     /* 302734 */   GIM_Try, /*On fail goto*//*Label 6142*/ GIMT_Encode4(302833), // Rule ID 6142 //
     /* 302739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 302742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 302746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 302750 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 302754 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302759 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 302763 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 302767 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 302771 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 302776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302780 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 302782 */     // (fma:{ *:[v4f16] } (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 302782 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 302785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 302789 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302794 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 302797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 302801 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 302804 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302809 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 302814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 302817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 302819 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 302821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 302825 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 302828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 302831 */     GIR_RootConstrainSelectedInstOperands,
     /* 302832 */     // GIR_Coverage, 6142,
     /* 302832 */     GIR_EraseRootFromParent_Done,
     /* 302833 */   // Label 6142: @302833
     /* 302833 */   GIM_Try, /*On fail goto*//*Label 6143*/ GIMT_Encode4(302929), // Rule ID 6046 //
     /* 302838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 302841 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 302849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 302853 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 302857 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 302861 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 302865 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 302869 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 302874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302878 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 302880 */     // (fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (fneg:{ *:[v4f16] } (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm)), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 302880 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 302883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 302887 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302892 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 302895 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 302899 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 302902 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302907 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 302912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 302915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 302917 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 302919 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 302921 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 302924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 302927 */     GIR_RootConstrainSelectedInstOperands,
     /* 302928 */     // GIR_Coverage, 6046,
     /* 302928 */     GIR_EraseRootFromParent_Done,
     /* 302929 */   // Label 6143: @302929
     /* 302929 */   GIM_Try, /*On fail goto*//*Label 6144*/ GIMT_Encode4(303013), // Rule ID 2534 //
     /* 302934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 302937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 302941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 302945 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 302949 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 302954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 302964 */     // (fma:{ *:[v4f16] } (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLAv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 302964 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 302967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 302971 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302976 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 302979 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 302983 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 302986 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302991 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 302996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i16_indexed),
     /* 302999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 303001 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 303003 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 303005 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 303008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303011 */     GIR_RootConstrainSelectedInstOperands,
     /* 303012 */     // GIR_Coverage, 2534,
     /* 303012 */     GIR_EraseRootFromParent_Done,
     /* 303013 */   // Label 6144: @303013
     /* 303013 */   GIM_Try, /*On fail goto*//*Label 6145*/ GIMT_Encode4(303063), // Rule ID 13248 //
     /* 303018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 303021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 303025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 303029 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 303033 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303046 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 303048 */     // (fma:{ *:[v4f16] } (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rm), V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 303048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4f16),
     /* 303051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 303053 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 303055 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 303057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 303061 */     GIR_RootConstrainSelectedInstOperands,
     /* 303062 */     // GIR_Coverage, 13248,
     /* 303062 */     GIR_EraseRootFromParent_Done,
     /* 303063 */   // Label 6145: @303063
     /* 303063 */   GIM_Try, /*On fail goto*//*Label 6146*/ GIMT_Encode4(303147), // Rule ID 6014 //
     /* 303068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 303071 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 303079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 303083 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 303087 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 303092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 303098 */     // (fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V64:{ *:[v4f16] }:$Rd)  =>  (FMLAv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 303098 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 303101 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 303105 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 303110 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 303113 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 303117 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 303120 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303125 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 303130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i16_indexed),
     /* 303133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 303135 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 303137 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 303139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 303142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303145 */     GIR_RootConstrainSelectedInstOperands,
     /* 303146 */     // GIR_Coverage, 6014,
     /* 303146 */     GIR_EraseRootFromParent_Done,
     /* 303147 */   // Label 6146: @303147
     /* 303147 */   GIM_Try, /*On fail goto*//*Label 6147*/ GIMT_Encode4(303197), // Rule ID 1304 //
     /* 303152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 303155 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 303163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 303167 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 303171 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303180 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 303182 */     // (fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rm), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 303182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4f16),
     /* 303185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 303187 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 303189 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 303191 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 303195 */     GIR_RootConstrainSelectedInstOperands,
     /* 303196 */     // GIR_Coverage, 1304,
     /* 303196 */     GIR_EraseRootFromParent_Done,
     /* 303197 */   // Label 6147: @303197
     /* 303197 */   GIM_Try, /*On fail goto*//*Label 6148*/ GIMT_Encode4(303230), // Rule ID 1294 //
     /* 303202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 303205 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303217 */     // (fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rm, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLAv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 303217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4f16),
     /* 303220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 303222 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 303224 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 303226 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 303228 */     GIR_RootConstrainSelectedInstOperands,
     /* 303229 */     // GIR_Coverage, 1294,
     /* 303229 */     GIR_EraseRootFromParent_Done,
     /* 303230 */   // Label 6148: @303230
     /* 303230 */   GIM_Reject,
     /* 303231 */ // Label 6133: @303231
     /* 303231 */ GIM_Reject,
     /* 303232 */ // Label 5987: @303232
     /* 303232 */ GIM_Try, /*On fail goto*//*Label 6149*/ GIMT_Encode4(304752),
     /* 303237 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 303240 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 303243 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 303246 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303250 */   GIM_Try, /*On fail goto*//*Label 6150*/ GIMT_Encode4(303328), // Rule ID 6174 //
     /* 303255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 303259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 303263 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 303267 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 303271 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 303275 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 303279 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 303283 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303288 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 303292 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 303296 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 303300 */     // MIs[3] Operand 1
     /* 303300 */     // No operand predicates
     /* 303300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303308 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 303310 */     // (fma:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 303310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 303313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 303315 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 303317 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 303319 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 303323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 303326 */     GIR_RootConstrainSelectedInstOperands,
     /* 303327 */     // GIR_Coverage, 6174,
     /* 303327 */     GIR_EraseRootFromParent_Done,
     /* 303328 */   // Label 6150: @303328
     /* 303328 */   GIM_Try, /*On fail goto*//*Label 6151*/ GIMT_Encode4(303412), // Rule ID 6088 //
     /* 303333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 303336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 303340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 303344 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 303348 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 303352 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303357 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 303361 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 303365 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 303369 */     // MIs[2] Operand 1
     /* 303369 */     // No operand predicates
     /* 303369 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 303373 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 303377 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 303381 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303390 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 303392 */     // (fma:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 303392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 303395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 303397 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 303399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 303403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 303407 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 303410 */     GIR_RootConstrainSelectedInstOperands,
     /* 303411 */     // GIR_Coverage, 6088,
     /* 303411 */     GIR_EraseRootFromParent_Done,
     /* 303412 */   // Label 6151: @303412
     /* 303412 */   GIM_Try, /*On fail goto*//*Label 6152*/ GIMT_Encode4(303493), // Rule ID 6120 //
     /* 303417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 303420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 303424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 303428 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 303432 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 303436 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 303440 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 303444 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 303448 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303453 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 303457 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 303461 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 303465 */     // MIs[3] Operand 1
     /* 303465 */     // No operand predicates
     /* 303465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303473 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 303475 */     // (fma:{ *:[v4f32] } (fneg:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 303475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 303478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 303480 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 303482 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 303484 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 303488 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 303491 */     GIR_RootConstrainSelectedInstOperands,
     /* 303492 */     // GIR_Coverage, 6120,
     /* 303492 */     GIR_EraseRootFromParent_Done,
     /* 303493 */   // Label 6152: @303493
     /* 303493 */   GIM_Try, /*On fail goto*//*Label 6153*/ GIMT_Encode4(303577), // Rule ID 6152 //
     /* 303498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 303501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 303505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 303509 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 303513 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303518 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 303522 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 303526 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 303530 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 303534 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303539 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 303543 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 303547 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 303551 */     // MIs[3] Operand 1
     /* 303551 */     // No operand predicates
     /* 303551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303555 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 303557 */     // (fma:{ *:[v4f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 303557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 303560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 303562 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 303564 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 303568 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 303572 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 303575 */     GIR_RootConstrainSelectedInstOperands,
     /* 303576 */     // GIR_Coverage, 6152,
     /* 303576 */     GIR_EraseRootFromParent_Done,
     /* 303577 */   // Label 6153: @303577
     /* 303577 */   GIM_Try, /*On fail goto*//*Label 6154*/ GIMT_Encode4(303655), // Rule ID 6196 //
     /* 303582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 303590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 303594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 303598 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 303602 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 303606 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 303610 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 303614 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303619 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 303623 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 303627 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 303631 */     // MIs[3] Operand 1
     /* 303631 */     // No operand predicates
     /* 303631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303635 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 303637 */     // (fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64duplane32:{ *:[v4f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 303637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 303640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 303642 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 303644 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 303646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 303650 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 303653 */     GIR_RootConstrainSelectedInstOperands,
     /* 303654 */     // GIR_Coverage, 6196,
     /* 303654 */     GIR_EraseRootFromParent_Done,
     /* 303655 */   // Label 6154: @303655
     /* 303655 */   GIM_Try, /*On fail goto*//*Label 6155*/ GIMT_Encode4(303736), // Rule ID 6056 //
     /* 303660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 303663 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 303671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 303675 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 303679 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 303683 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 303687 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 303691 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 303695 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303700 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 303704 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 303708 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 303712 */     // MIs[3] Operand 1
     /* 303712 */     // No operand predicates
     /* 303712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303716 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 303718 */     // (fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (fneg:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 303718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 303721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 303723 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 303725 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 303727 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 303731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 303734 */     GIR_RootConstrainSelectedInstOperands,
     /* 303735 */     // GIR_Coverage, 6056,
     /* 303735 */     GIR_EraseRootFromParent_Done,
     /* 303736 */   // Label 6155: @303736
     /* 303736 */   GIM_Try, /*On fail goto*//*Label 6156*/ GIMT_Encode4(303805), // Rule ID 2544 //
     /* 303741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 303744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 303748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 303752 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 303756 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 303760 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303765 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 303769 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 303773 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 303777 */     // MIs[2] Operand 1
     /* 303777 */     // No operand predicates
     /* 303777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303785 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 303787 */     // (fma:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLAv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 303787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i32_indexed),
     /* 303790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 303792 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 303794 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 303796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 303800 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 303803 */     GIR_RootConstrainSelectedInstOperands,
     /* 303804 */     // GIR_Coverage, 2544,
     /* 303804 */     GIR_EraseRootFromParent_Done,
     /* 303805 */   // Label 6156: @303805
     /* 303805 */   GIM_Try, /*On fail goto*//*Label 6157*/ GIMT_Encode4(303874), // Rule ID 6024 //
     /* 303810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 303813 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 303821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 303825 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 303829 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 303833 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303838 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 303842 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 303846 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 303850 */     // MIs[2] Operand 1
     /* 303850 */     // No operand predicates
     /* 303850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303854 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 303856 */     // (fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rd)  =>  (FMLAv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 303856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i32_indexed),
     /* 303859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 303861 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 303863 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 303865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 303869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 303872 */     GIR_RootConstrainSelectedInstOperands,
     /* 303873 */     // GIR_Coverage, 6024,
     /* 303873 */     GIR_EraseRootFromParent_Done,
     /* 303874 */   // Label 6157: @303874
     /* 303874 */   GIM_Try, /*On fail goto*//*Label 6158*/ GIMT_Encode4(303967), // Rule ID 6178 //
     /* 303879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 303883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 303887 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 303891 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 303895 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 303899 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 303903 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 303908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303916 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 303918 */     // (fma:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } (fneg:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rm)), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 303918 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 303921 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 303925 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 303930 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 303933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 303937 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 303940 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303945 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 303950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 303953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 303955 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 303957 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 303959 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 303962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303965 */     GIR_RootConstrainSelectedInstOperands,
     /* 303966 */     // GIR_Coverage, 6178,
     /* 303966 */     GIR_EraseRootFromParent_Done,
     /* 303967 */   // Label 6158: @303967
     /* 303967 */   GIM_Try, /*On fail goto*//*Label 6159*/ GIMT_Encode4(304066), // Rule ID 6090 //
     /* 303972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 303975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 303979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 303983 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 303987 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 303992 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 303996 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 304000 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 304004 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304013 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 304015 */     // (fma:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm), (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 304015 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 304018 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 304022 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 304027 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 304030 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 304034 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 304037 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304042 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 304047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 304050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 304052 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 304054 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 304058 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 304061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304064 */     GIR_RootConstrainSelectedInstOperands,
     /* 304065 */     // GIR_Coverage, 6090,
     /* 304065 */     GIR_EraseRootFromParent_Done,
     /* 304066 */   // Label 6159: @304066
     /* 304066 */   GIM_Try, /*On fail goto*//*Label 6160*/ GIMT_Encode4(304162), // Rule ID 6122 //
     /* 304071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 304074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 304078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 304082 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 304086 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 304090 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 304094 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 304098 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 304103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304111 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 304113 */     // (fma:{ *:[v4f32] } (fneg:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm)), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 304113 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 304116 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 304120 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 304125 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 304128 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 304132 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 304135 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304140 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 304145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 304148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 304150 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 304152 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 304154 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 304157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304160 */     GIR_RootConstrainSelectedInstOperands,
     /* 304161 */     // GIR_Coverage, 6122,
     /* 304161 */     GIR_EraseRootFromParent_Done,
     /* 304162 */   // Label 6160: @304162
     /* 304162 */   GIM_Try, /*On fail goto*//*Label 6161*/ GIMT_Encode4(304261), // Rule ID 6154 //
     /* 304167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 304170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 304174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 304178 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 304182 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304187 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 304191 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 304195 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 304199 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 304204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304208 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 304210 */     // (fma:{ *:[v4f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 304210 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 304213 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 304217 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 304222 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 304225 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 304229 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 304232 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304237 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 304242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 304245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 304247 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 304249 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 304253 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 304256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304259 */     GIR_RootConstrainSelectedInstOperands,
     /* 304260 */     // GIR_Coverage, 6154,
     /* 304260 */     GIR_EraseRootFromParent_Done,
     /* 304261 */   // Label 6161: @304261
     /* 304261 */   GIM_Try, /*On fail goto*//*Label 6162*/ GIMT_Encode4(304354), // Rule ID 6200 //
     /* 304266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 304274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 304278 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 304282 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 304286 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 304290 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 304294 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 304299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304303 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 304305 */     // (fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64dup:{ *:[v4f32] } (fneg:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rm)), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 304305 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 304308 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 304312 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 304317 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 304320 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 304324 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 304327 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304332 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 304337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 304340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 304342 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 304344 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 304346 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 304349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304352 */     GIR_RootConstrainSelectedInstOperands,
     /* 304353 */     // GIR_Coverage, 6200,
     /* 304353 */     GIR_EraseRootFromParent_Done,
     /* 304354 */   // Label 6162: @304354
     /* 304354 */   GIM_Try, /*On fail goto*//*Label 6163*/ GIMT_Encode4(304450), // Rule ID 6058 //
     /* 304359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 304362 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 304370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 304374 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 304378 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 304382 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 304386 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 304390 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 304395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304399 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 304401 */     // (fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (fneg:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm)), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 304401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 304404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 304408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 304413 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 304416 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 304420 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 304423 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304428 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 304433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 304436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 304438 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 304440 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 304442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 304445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304448 */     GIR_RootConstrainSelectedInstOperands,
     /* 304449 */     // GIR_Coverage, 6058,
     /* 304449 */     GIR_EraseRootFromParent_Done,
     /* 304450 */   // Label 6163: @304450
     /* 304450 */   GIM_Try, /*On fail goto*//*Label 6164*/ GIMT_Encode4(304534), // Rule ID 2546 //
     /* 304455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 304458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 304462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 304466 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 304470 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 304475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 304485 */     // (fma:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLAv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 304485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 304488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 304492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 304497 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 304500 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 304504 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 304507 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304512 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 304517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i32_indexed),
     /* 304520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 304522 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 304524 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 304526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 304529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304532 */     GIR_RootConstrainSelectedInstOperands,
     /* 304533 */     // GIR_Coverage, 2546,
     /* 304533 */     GIR_EraseRootFromParent_Done,
     /* 304534 */   // Label 6164: @304534
     /* 304534 */   GIM_Try, /*On fail goto*//*Label 6165*/ GIMT_Encode4(304584), // Rule ID 13254 //
     /* 304539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 304542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 304546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 304550 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 304554 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 304569 */     // (fma:{ *:[v4f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 304569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4f32),
     /* 304572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 304574 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 304576 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 304578 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 304582 */     GIR_RootConstrainSelectedInstOperands,
     /* 304583 */     // GIR_Coverage, 13254,
     /* 304583 */     GIR_EraseRootFromParent_Done,
     /* 304584 */   // Label 6165: @304584
     /* 304584 */   GIM_Try, /*On fail goto*//*Label 6166*/ GIMT_Encode4(304668), // Rule ID 6026 //
     /* 304589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 304592 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 304600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 304604 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 304608 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 304613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 304619 */     // (fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm), V128:{ *:[v4f32] }:$Rd)  =>  (FMLAv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 304619 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 304622 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 304626 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 304631 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 304634 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 304638 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 304641 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304646 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 304651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i32_indexed),
     /* 304654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 304656 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 304658 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 304660 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 304663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304666 */     GIR_RootConstrainSelectedInstOperands,
     /* 304667 */     // GIR_Coverage, 6026,
     /* 304667 */     GIR_EraseRootFromParent_Done,
     /* 304668 */   // Label 6166: @304668
     /* 304668 */   GIM_Try, /*On fail goto*//*Label 6167*/ GIMT_Encode4(304718), // Rule ID 1310 //
     /* 304673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 304676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 304684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 304688 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 304692 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 304703 */     // (fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 304703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4f32),
     /* 304706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 304708 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 304710 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 304712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 304716 */     GIR_RootConstrainSelectedInstOperands,
     /* 304717 */     // GIR_Coverage, 1310,
     /* 304717 */     GIR_EraseRootFromParent_Done,
     /* 304718 */   // Label 6167: @304718
     /* 304718 */   GIM_Try, /*On fail goto*//*Label 6168*/ GIMT_Encode4(304751), // Rule ID 1300 //
     /* 304723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 304726 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304738 */     // (fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLAv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 304738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4f32),
     /* 304741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 304743 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 304745 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 304747 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 304749 */     GIR_RootConstrainSelectedInstOperands,
     /* 304750 */     // GIR_Coverage, 1300,
     /* 304750 */     GIR_EraseRootFromParent_Done,
     /* 304751 */   // Label 6168: @304751
     /* 304751 */   GIM_Reject,
     /* 304752 */ // Label 6149: @304752
     /* 304752 */ GIM_Reject,
     /* 304753 */ // Label 5988: @304753
     /* 304753 */ GIM_Try, /*On fail goto*//*Label 6169*/ GIMT_Encode4(305931),
     /* 304758 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 304761 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 304764 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 304767 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304771 */   GIM_Try, /*On fail goto*//*Label 6170*/ GIMT_Encode4(304855), // Rule ID 6072 //
     /* 304776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 304779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 304783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 304787 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 304791 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 304795 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 304800 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 304804 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 304808 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 304812 */     // MIs[2] Operand 1
     /* 304812 */     // No operand predicates
     /* 304812 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 304816 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 304820 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 304824 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304833 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 304835 */     // (fma:{ *:[v8f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 304835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 304838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 304840 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 304842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 304846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 304850 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 304853 */     GIR_RootConstrainSelectedInstOperands,
     /* 304854 */     // GIR_Coverage, 6072,
     /* 304854 */     GIR_EraseRootFromParent_Done,
     /* 304855 */   // Label 6170: @304855
     /* 304855 */   GIM_Try, /*On fail goto*//*Label 6171*/ GIMT_Encode4(304936), // Rule ID 6104 //
     /* 304860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 304863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 304867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 304871 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 304875 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 304879 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 304883 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 304887 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 304891 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 304896 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 304900 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 304904 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 304908 */     // MIs[3] Operand 1
     /* 304908 */     // No operand predicates
     /* 304908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304916 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 304918 */     // (fma:{ *:[v8f16] } (fneg:{ *:[v8f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 304918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 304921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 304923 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 304925 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 304927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 304931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 304934 */     GIR_RootConstrainSelectedInstOperands,
     /* 304935 */     // GIR_Coverage, 6104,
     /* 304935 */     GIR_EraseRootFromParent_Done,
     /* 304936 */   // Label 6171: @304936
     /* 304936 */   GIM_Try, /*On fail goto*//*Label 6172*/ GIMT_Encode4(305020), // Rule ID 6136 //
     /* 304941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 304944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 304948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 304952 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 304956 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304961 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 304965 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 304969 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 304973 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 304977 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 304982 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 304986 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 304990 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 304994 */     // MIs[3] Operand 1
     /* 304994 */     // No operand predicates
     /* 304994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304998 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 305000 */     // (fma:{ *:[v8f16] } (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 305000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 305003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 305005 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 305007 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 305011 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 305015 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 305018 */     GIR_RootConstrainSelectedInstOperands,
     /* 305019 */     // GIR_Coverage, 6136,
     /* 305019 */     GIR_EraseRootFromParent_Done,
     /* 305020 */   // Label 6172: @305020
     /* 305020 */   GIM_Try, /*On fail goto*//*Label 6173*/ GIMT_Encode4(305101), // Rule ID 6040 //
     /* 305025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 305028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 305036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 305040 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 305044 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 305048 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 305052 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 305056 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 305060 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 305065 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 305069 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 305073 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 305077 */     // MIs[3] Operand 1
     /* 305077 */     // No operand predicates
     /* 305077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305081 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 305083 */     // (fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (fneg:{ *:[v8f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 305083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 305086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 305088 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 305090 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 305092 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 305096 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 305099 */     GIR_RootConstrainSelectedInstOperands,
     /* 305100 */     // GIR_Coverage, 6040,
     /* 305100 */     GIR_EraseRootFromParent_Done,
     /* 305101 */   // Label 6173: @305101
     /* 305101 */   GIM_Try, /*On fail goto*//*Label 6174*/ GIMT_Encode4(305170), // Rule ID 2528 //
     /* 305106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 305109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 305113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 305117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 305121 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 305125 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 305130 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 305134 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 305138 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 305142 */     // MIs[2] Operand 1
     /* 305142 */     // No operand predicates
     /* 305142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305150 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 305152 */     // (fma:{ *:[v8f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLAv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 305152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv8i16_indexed),
     /* 305155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 305157 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 305159 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 305161 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 305165 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 305168 */     GIR_RootConstrainSelectedInstOperands,
     /* 305169 */     // GIR_Coverage, 2528,
     /* 305169 */     GIR_EraseRootFromParent_Done,
     /* 305170 */   // Label 6174: @305170
     /* 305170 */   GIM_Try, /*On fail goto*//*Label 6175*/ GIMT_Encode4(305239), // Rule ID 6008 //
     /* 305175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 305178 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 305186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 305190 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 305194 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 305198 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 305203 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 305207 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 305211 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 305215 */     // MIs[2] Operand 1
     /* 305215 */     // No operand predicates
     /* 305215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305219 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 305221 */     // (fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V128:{ *:[v8f16] }:$Rd)  =>  (FMLAv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 305221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv8i16_indexed),
     /* 305224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 305226 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 305228 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 305230 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 305234 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 305237 */     GIR_RootConstrainSelectedInstOperands,
     /* 305238 */     // GIR_Coverage, 6008,
     /* 305238 */     GIR_EraseRootFromParent_Done,
     /* 305239 */   // Label 6175: @305239
     /* 305239 */   GIM_Try, /*On fail goto*//*Label 6176*/ GIMT_Encode4(305338), // Rule ID 6074 //
     /* 305244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 305247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 305251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 305255 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 305259 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 305264 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 305268 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 305272 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 305276 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305285 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 305287 */     // (fma:{ *:[v8f16] } (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm), (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 305287 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 305290 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 305294 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 305299 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 305302 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 305306 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 305309 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305314 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 305319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 305322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 305324 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 305326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 305330 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 305333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305336 */     GIR_RootConstrainSelectedInstOperands,
     /* 305337 */     // GIR_Coverage, 6074,
     /* 305337 */     GIR_EraseRootFromParent_Done,
     /* 305338 */   // Label 6176: @305338
     /* 305338 */   GIM_Try, /*On fail goto*//*Label 6177*/ GIMT_Encode4(305434), // Rule ID 6106 //
     /* 305343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 305346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 305350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 305354 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 305358 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 305362 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 305366 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 305370 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 305375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305383 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 305385 */     // (fma:{ *:[v8f16] } (fneg:{ *:[v8f16] } (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm)), V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 305385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 305388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 305392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 305397 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 305400 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 305404 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 305407 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305412 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 305417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 305420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 305422 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 305424 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 305426 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 305429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305432 */     GIR_RootConstrainSelectedInstOperands,
     /* 305433 */     // GIR_Coverage, 6106,
     /* 305433 */     GIR_EraseRootFromParent_Done,
     /* 305434 */   // Label 6177: @305434
     /* 305434 */   GIM_Try, /*On fail goto*//*Label 6178*/ GIMT_Encode4(305533), // Rule ID 6138 //
     /* 305439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 305442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 305446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 305450 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 305454 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305459 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 305463 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 305467 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 305471 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 305476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305480 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 305482 */     // (fma:{ *:[v8f16] } (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 305482 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 305485 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 305489 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 305494 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 305497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 305501 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 305504 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305509 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 305514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 305517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 305519 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 305521 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 305525 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 305528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305531 */     GIR_RootConstrainSelectedInstOperands,
     /* 305532 */     // GIR_Coverage, 6138,
     /* 305532 */     GIR_EraseRootFromParent_Done,
     /* 305533 */   // Label 6178: @305533
     /* 305533 */   GIM_Try, /*On fail goto*//*Label 6179*/ GIMT_Encode4(305629), // Rule ID 6042 //
     /* 305538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 305541 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 305549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 305553 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 305557 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 305561 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 305565 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 305569 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 305574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305578 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 305580 */     // (fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (fneg:{ *:[v8f16] } (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm)), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 305580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 305583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 305587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 305592 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 305595 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 305599 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 305602 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305607 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 305612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 305615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 305617 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 305619 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 305621 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 305624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305627 */     GIR_RootConstrainSelectedInstOperands,
     /* 305628 */     // GIR_Coverage, 6042,
     /* 305628 */     GIR_EraseRootFromParent_Done,
     /* 305629 */   // Label 6179: @305629
     /* 305629 */   GIM_Try, /*On fail goto*//*Label 6180*/ GIMT_Encode4(305713), // Rule ID 2530 //
     /* 305634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 305637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 305641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 305645 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 305649 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 305654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 305664 */     // (fma:{ *:[v8f16] } (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLAv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 305664 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 305667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 305671 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 305676 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 305679 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 305683 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 305686 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305691 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 305696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv8i16_indexed),
     /* 305699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 305701 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 305703 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 305705 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 305708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305711 */     GIR_RootConstrainSelectedInstOperands,
     /* 305712 */     // GIR_Coverage, 2530,
     /* 305712 */     GIR_EraseRootFromParent_Done,
     /* 305713 */   // Label 6180: @305713
     /* 305713 */   GIM_Try, /*On fail goto*//*Label 6181*/ GIMT_Encode4(305763), // Rule ID 13250 //
     /* 305718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 305721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 305725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 305729 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 305733 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 305748 */     // (fma:{ *:[v8f16] } (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rm), V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 305748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8f16),
     /* 305751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 305753 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 305755 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 305757 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 305761 */     GIR_RootConstrainSelectedInstOperands,
     /* 305762 */     // GIR_Coverage, 13250,
     /* 305762 */     GIR_EraseRootFromParent_Done,
     /* 305763 */   // Label 6181: @305763
     /* 305763 */   GIM_Try, /*On fail goto*//*Label 6182*/ GIMT_Encode4(305847), // Rule ID 6010 //
     /* 305768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 305771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 305779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 305783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 305787 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 305792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305796 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 305798 */     // (fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V128:{ *:[v8f16] }:$Rd)  =>  (FMLAv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 305798 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 305801 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 305805 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 305810 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 305813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 305817 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 305820 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305825 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 305830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv8i16_indexed),
     /* 305833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 305835 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 305837 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 305839 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 305842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305845 */     GIR_RootConstrainSelectedInstOperands,
     /* 305846 */     // GIR_Coverage, 6010,
     /* 305846 */     GIR_EraseRootFromParent_Done,
     /* 305847 */   // Label 6182: @305847
     /* 305847 */   GIM_Try, /*On fail goto*//*Label 6183*/ GIMT_Encode4(305897), // Rule ID 1306 //
     /* 305852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 305855 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 305863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 305867 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 305871 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 305882 */     // (fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rm), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 305882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8f16),
     /* 305885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 305887 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 305889 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 305891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 305895 */     GIR_RootConstrainSelectedInstOperands,
     /* 305896 */     // GIR_Coverage, 1306,
     /* 305896 */     GIR_EraseRootFromParent_Done,
     /* 305897 */   // Label 6183: @305897
     /* 305897 */   GIM_Try, /*On fail goto*//*Label 6184*/ GIMT_Encode4(305930), // Rule ID 1296 //
     /* 305902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 305905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305917 */     // (fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rm, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLAv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 305917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv8f16),
     /* 305920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 305922 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 305924 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 305926 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 305928 */     GIR_RootConstrainSelectedInstOperands,
     /* 305929 */     // GIR_Coverage, 1296,
     /* 305929 */     GIR_EraseRootFromParent_Done,
     /* 305930 */   // Label 6184: @305930
     /* 305930 */   GIM_Reject,
     /* 305931 */ // Label 6169: @305931
     /* 305931 */ GIM_Reject,
     /* 305932 */ // Label 5989: @305932
     /* 305932 */ GIM_Reject,
     /* 305933 */ // Label 61: @305933
     /* 305933 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6193*/ GIMT_Encode4(306548),
     /* 305944 */ /*GILLT_s16*//*Label 6185*/ GIMT_Encode4(305984),
     /* 305948 */ /*GILLT_s32*//*Label 6186*/ GIMT_Encode4(306022),
     /* 305952 */ /*GILLT_s64*//*Label 6187*/ GIMT_Encode4(306060), GIMT_Encode4(0),
     /* 305960 */ /*GILLT_v2s32*//*Label 6188*/ GIMT_Encode4(306098),
     /* 305964 */ /*GILLT_v2s64*//*Label 6189*/ GIMT_Encode4(306136),
     /* 305968 */ /*GILLT_v4s16*//*Label 6190*/ GIMT_Encode4(306174),
     /* 305972 */ /*GILLT_v4s32*//*Label 6191*/ GIMT_Encode4(306212), GIMT_Encode4(0),
     /* 305980 */ /*GILLT_v8s16*//*Label 6192*/ GIMT_Encode4(306250),
     /* 305984 */ // Label 6185: @305984
     /* 305984 */ GIM_Try, /*On fail goto*//*Label 6194*/ GIMT_Encode4(306021), // Rule ID 590 //
     /* 305989 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 305992 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 305995 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 305998 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 306002 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 306006 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 306010 */   // (fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FDIVHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 306010 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVHrr),
     /* 306015 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 306019 */   GIR_RootConstrainSelectedInstOperands,
     /* 306020 */   // GIR_Coverage, 590,
     /* 306020 */   GIR_Done,
     /* 306021 */ // Label 6194: @306021
     /* 306021 */ GIM_Reject,
     /* 306022 */ // Label 6186: @306022
     /* 306022 */ GIM_Try, /*On fail goto*//*Label 6195*/ GIMT_Encode4(306059), // Rule ID 592 //
     /* 306027 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 306030 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 306033 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 306036 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 306040 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 306044 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 306048 */   // (fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FDIVSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 306048 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVSrr),
     /* 306053 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 306057 */   GIR_RootConstrainSelectedInstOperands,
     /* 306058 */   // GIR_Coverage, 592,
     /* 306058 */   GIR_Done,
     /* 306059 */ // Label 6195: @306059
     /* 306059 */ GIM_Reject,
     /* 306060 */ // Label 6187: @306060
     /* 306060 */ GIM_Try, /*On fail goto*//*Label 6196*/ GIMT_Encode4(306097), // Rule ID 594 //
     /* 306065 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 306068 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 306071 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 306074 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 306078 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 306082 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 306086 */   // (fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FDIVDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 306086 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVDrr),
     /* 306091 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 306095 */   GIR_RootConstrainSelectedInstOperands,
     /* 306096 */   // GIR_Coverage, 594,
     /* 306096 */   GIR_Done,
     /* 306097 */ // Label 6196: @306097
     /* 306097 */ GIM_Reject,
     /* 306098 */ // Label 6188: @306098
     /* 306098 */ GIM_Try, /*On fail goto*//*Label 6197*/ GIMT_Encode4(306135), // Rule ID 1228 //
     /* 306103 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 306106 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 306109 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 306112 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 306116 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 306120 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 306124 */   // (fdiv:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FDIVv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 306124 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVv2f32),
     /* 306129 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 306133 */   GIR_RootConstrainSelectedInstOperands,
     /* 306134 */   // GIR_Coverage, 1228,
     /* 306134 */   GIR_Done,
     /* 306135 */ // Label 6197: @306135
     /* 306135 */ GIM_Reject,
     /* 306136 */ // Label 6189: @306136
     /* 306136 */ GIM_Try, /*On fail goto*//*Label 6198*/ GIMT_Encode4(306173), // Rule ID 1232 //
     /* 306141 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 306144 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 306147 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 306150 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306154 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306158 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306162 */   // (fdiv:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FDIVv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 306162 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVv2f64),
     /* 306167 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 306171 */   GIR_RootConstrainSelectedInstOperands,
     /* 306172 */   // GIR_Coverage, 1232,
     /* 306172 */   GIR_Done,
     /* 306173 */ // Label 6198: @306173
     /* 306173 */ GIM_Reject,
     /* 306174 */ // Label 6190: @306174
     /* 306174 */ GIM_Try, /*On fail goto*//*Label 6199*/ GIMT_Encode4(306211), // Rule ID 1224 //
     /* 306179 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 306182 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 306185 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 306188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 306192 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 306196 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 306200 */   // (fdiv:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FDIVv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 306200 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVv4f16),
     /* 306205 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 306209 */   GIR_RootConstrainSelectedInstOperands,
     /* 306210 */   // GIR_Coverage, 1224,
     /* 306210 */   GIR_Done,
     /* 306211 */ // Label 6199: @306211
     /* 306211 */ GIM_Reject,
     /* 306212 */ // Label 6191: @306212
     /* 306212 */ GIM_Try, /*On fail goto*//*Label 6200*/ GIMT_Encode4(306249), // Rule ID 1230 //
     /* 306217 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 306220 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 306223 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 306226 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306230 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306234 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306238 */   // (fdiv:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FDIVv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 306238 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVv4f32),
     /* 306243 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 306247 */   GIR_RootConstrainSelectedInstOperands,
     /* 306248 */   // GIR_Coverage, 1230,
     /* 306248 */   GIR_Done,
     /* 306249 */ // Label 6200: @306249
     /* 306249 */ GIM_Reject,
     /* 306250 */ // Label 6192: @306250
     /* 306250 */ GIM_Try, /*On fail goto*//*Label 6201*/ GIMT_Encode4(306547),
     /* 306255 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 306258 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 306261 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306265 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306269 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306273 */   GIM_Try, /*On fail goto*//*Label 6202*/ GIMT_Encode4(306292), // Rule ID 1226 //
     /* 306278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 306281 */     // (fdiv:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FDIVv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 306281 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVv8f16),
     /* 306286 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 306290 */     GIR_RootConstrainSelectedInstOperands,
     /* 306291 */     // GIR_Coverage, 1226,
     /* 306291 */     GIR_Done,
     /* 306292 */   // Label 6202: @306292
     /* 306292 */   GIM_Try, /*On fail goto*//*Label 6203*/ GIMT_Encode4(306546), // Rule ID 6973 //
     /* 306297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 306300 */     // (fdiv:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FDIVv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })), (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rm, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FDIVv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn), (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rm)))
     /* 306300 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_v4s32,
     /* 306303 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 306307 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306312 */     GIR_Copy, /*NewInsnID*/11, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 306316 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/11,
     /* 306318 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_v4s32,
     /* 306321 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 306325 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306330 */     GIR_Copy, /*NewInsnID*/10, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 306334 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/10,
     /* 306336 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_v4s32,
     /* 306339 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(AArch64::FDIVv4f32),
     /* 306343 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306348 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/9,
     /* 306351 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/10,
     /* 306354 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/9,
     /* 306356 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s16,
     /* 306359 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 306363 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306368 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 306374 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 306379 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306384 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 306387 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 306391 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306396 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 306399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 306401 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 306404 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 306408 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306413 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 306419 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 306424 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306429 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 306432 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 306436 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306441 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 306444 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 306446 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 306449 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FDIVv4f32),
     /* 306453 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306458 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 306461 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/6,
     /* 306464 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 306466 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 306469 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 306473 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306478 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 306481 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 306483 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 306486 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 306490 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306495 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 306497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 306500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 306504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306509 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 306512 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 306515 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 306518 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306523 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306528 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 306533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 306536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 306538 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 306541 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/8,
     /* 306544 */     GIR_RootConstrainSelectedInstOperands,
     /* 306545 */     // GIR_Coverage, 6973,
     /* 306545 */     GIR_EraseRootFromParent_Done,
     /* 306546 */   // Label 6203: @306546
     /* 306546 */   GIM_Reject,
     /* 306547 */ // Label 6201: @306547
     /* 306547 */ GIM_Reject,
     /* 306548 */ // Label 6193: @306548
     /* 306548 */ GIM_Reject,
     /* 306549 */ // Label 62: @306549
     /* 306549 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6212*/ GIMT_Encode4(310055),
     /* 306560 */ /*GILLT_s16*//*Label 6204*/ GIMT_Encode4(306600),
     /* 306564 */ /*GILLT_s32*//*Label 6205*/ GIMT_Encode4(307768),
     /* 306568 */ /*GILLT_s64*//*Label 6206*/ GIMT_Encode4(308791), GIMT_Encode4(0),
     /* 306576 */ /*GILLT_v2s32*//*Label 6207*/ GIMT_Encode4(309814),
     /* 306580 */ /*GILLT_v2s64*//*Label 6208*/ GIMT_Encode4(309841),
     /* 306584 */ /*GILLT_v4s16*//*Label 6209*/ GIMT_Encode4(309868),
     /* 306588 */ /*GILLT_v4s32*//*Label 6210*/ GIMT_Encode4(309948), GIMT_Encode4(0),
     /* 306596 */ /*GILLT_v8s16*//*Label 6211*/ GIMT_Encode4(309975),
     /* 306600 */ // Label 6204: @306600
     /* 306600 */ GIM_Try, /*On fail goto*//*Label 6213*/ GIMT_Encode4(307767),
     /* 306605 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 306608 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 306612 */   GIM_Try, /*On fail goto*//*Label 6214*/ GIMT_Encode4(306770), // Rule ID 4835 //
     /* 306617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 306620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 306624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 306628 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 306632 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 306636 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s16,
     /* 306640 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 306644 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 306648 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 306652 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 306656 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306661 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 306665 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 306669 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 306673 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 306677 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 306681 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306686 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 306690 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 306695 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 306697 */     // (fneg:{ *:[f16] } (fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra))  =>  (FNMADDHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 306697 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 306700 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 306704 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306709 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 306715 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 306720 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306725 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 306728 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 306732 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306737 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 306743 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 306748 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDHrrr),
     /* 306756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 306758 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 306761 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 306764 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 306768 */     GIR_RootConstrainSelectedInstOperands,
     /* 306769 */     // GIR_Coverage, 4835,
     /* 306769 */     GIR_EraseRootFromParent_Done,
     /* 306770 */   // Label 6214: @306770
     /* 306770 */   GIM_Try, /*On fail goto*//*Label 6215*/ GIMT_Encode4(306928), // Rule ID 4834 //
     /* 306775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 306778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 306782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 306786 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 306790 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 306794 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s16,
     /* 306798 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 306802 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 306806 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 306810 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 306814 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306819 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 306823 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 306827 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 306831 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 306835 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 306839 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306844 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 306848 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 306853 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 306855 */     // (fneg:{ *:[f16] } (strict_fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra))  =>  (FNMADDHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 306855 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 306858 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 306862 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306867 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 306873 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 306878 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306883 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 306886 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 306890 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306895 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 306901 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 306906 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDHrrr),
     /* 306914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 306916 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 306919 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 306922 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 306926 */     GIR_RootConstrainSelectedInstOperands,
     /* 306927 */     // GIR_Coverage, 4834,
     /* 306927 */     GIR_EraseRootFromParent_Done,
     /* 306928 */   // Label 6215: @306928
     /* 306928 */   GIM_Try, /*On fail goto*//*Label 6216*/ GIMT_Encode4(307039), // Rule ID 4833 //
     /* 306933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 306936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 306940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 306944 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 306948 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 306952 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s16,
     /* 306956 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 306960 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 306964 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 306968 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 306972 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306977 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 306981 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 306986 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 306991 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 306993 */     // (fneg:{ *:[f16] } (fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra))  =>  (FNMADDHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 306993 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 306996 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 307000 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307005 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 307011 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 307016 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDHrrr),
     /* 307024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 307026 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 307029 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 307033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 307037 */     GIR_RootConstrainSelectedInstOperands,
     /* 307038 */     // GIR_Coverage, 4833,
     /* 307038 */     GIR_EraseRootFromParent_Done,
     /* 307039 */   // Label 6216: @307039
     /* 307039 */   GIM_Try, /*On fail goto*//*Label 6217*/ GIMT_Encode4(307150), // Rule ID 4831 //
     /* 307044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 307047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 307051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 307055 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 307059 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 307063 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s16,
     /* 307067 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 307072 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 307076 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 307080 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 307084 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 307088 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307093 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 307097 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 307102 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 307104 */     // (fneg:{ *:[f16] } (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra))  =>  (FNMADDHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 307104 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 307107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 307111 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307116 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 307122 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 307127 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDHrrr),
     /* 307135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 307137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 307141 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 307144 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 307148 */     GIR_RootConstrainSelectedInstOperands,
     /* 307149 */     // GIR_Coverage, 4831,
     /* 307149 */     GIR_EraseRootFromParent_Done,
     /* 307150 */   // Label 6217: @307150
     /* 307150 */   GIM_Try, /*On fail goto*//*Label 6218*/ GIMT_Encode4(307261), // Rule ID 4832 //
     /* 307155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 307158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 307162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 307166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 307170 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 307174 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s16,
     /* 307178 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 307182 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 307186 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 307190 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 307194 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307199 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 307203 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 307208 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 307213 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 307215 */     // (fneg:{ *:[f16] } (strict_fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra))  =>  (FNMADDHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 307215 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 307218 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 307222 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307227 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 307233 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 307238 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDHrrr),
     /* 307246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 307248 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 307251 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 307255 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 307259 */     GIR_RootConstrainSelectedInstOperands,
     /* 307260 */     // GIR_Coverage, 4832,
     /* 307260 */     GIR_EraseRootFromParent_Done,
     /* 307261 */   // Label 6218: @307261
     /* 307261 */   GIM_Try, /*On fail goto*//*Label 6219*/ GIMT_Encode4(307372), // Rule ID 4830 //
     /* 307266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 307269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 307273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 307277 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 307281 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 307285 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s16,
     /* 307289 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 307294 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 307298 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 307302 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 307306 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 307310 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307315 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 307319 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 307324 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 307326 */     // (fneg:{ *:[f16] } (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra))  =>  (FNMADDHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 307326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 307329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 307333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307338 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 307344 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 307349 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDHrrr),
     /* 307357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 307359 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 307363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 307366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 307370 */     GIR_RootConstrainSelectedInstOperands,
     /* 307371 */     // GIR_Coverage, 4830,
     /* 307371 */     GIR_EraseRootFromParent_Done,
     /* 307372 */   // Label 6219: @307372
     /* 307372 */   GIM_Try, /*On fail goto*//*Label 6220*/ GIMT_Encode4(307436), // Rule ID 650 //
     /* 307377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 307380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 307384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 307388 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 307392 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 307396 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s16,
     /* 307400 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 307405 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 307410 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 307415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 307417 */     // (fneg:{ *:[f16] } (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra))  =>  (FNMADDHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 307417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDHrrr),
     /* 307420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 307422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 307426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 307430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 307434 */     GIR_RootConstrainSelectedInstOperands,
     /* 307435 */     // GIR_Coverage, 650,
     /* 307435 */     GIR_EraseRootFromParent_Done,
     /* 307436 */   // Label 6220: @307436
     /* 307436 */   GIM_Try, /*On fail goto*//*Label 6221*/ GIMT_Encode4(307500), // Rule ID 649 //
     /* 307441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 307444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 307448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 307452 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 307456 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 307460 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s16,
     /* 307464 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 307469 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 307474 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 307479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 307481 */     // (fneg:{ *:[f16] } (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra))  =>  (FNMADDHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 307481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDHrrr),
     /* 307484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 307486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 307490 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 307494 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 307498 */     GIR_RootConstrainSelectedInstOperands,
     /* 307499 */     // GIR_Coverage, 649,
     /* 307499 */     GIR_EraseRootFromParent_Done,
     /* 307500 */   // Label 6221: @307500
     /* 307500 */   GIM_Try, /*On fail goto*//*Label 6222*/ GIMT_Encode4(307551), // Rule ID 626 //
     /* 307505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 307508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 307512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 307516 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 307520 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 307524 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 307529 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 307534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 307536 */     // (fneg:{ *:[f16] } (fmul:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm))  =>  (FNMULHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 307536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULHrr),
     /* 307539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 307541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 307545 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 307549 */     GIR_RootConstrainSelectedInstOperands,
     /* 307550 */     // GIR_Coverage, 626,
     /* 307550 */     GIR_EraseRootFromParent_Done,
     /* 307551 */   // Label 6222: @307551
     /* 307551 */   GIM_Try, /*On fail goto*//*Label 6223*/ GIMT_Encode4(307602), // Rule ID 625 //
     /* 307556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 307559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 307563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMUL),
     /* 307567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 307571 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 307575 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 307580 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 307585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 307587 */     // (fneg:{ *:[f16] } (strict_fmul:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm))  =>  (FNMULHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 307587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULHrr),
     /* 307590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 307592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 307596 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 307600 */     GIR_RootConstrainSelectedInstOperands,
     /* 307601 */     // GIR_Coverage, 625,
     /* 307601 */     GIR_EraseRootFromParent_Done,
     /* 307602 */   // Label 6223: @307602
     /* 307602 */   GIM_Try, /*On fail goto*//*Label 6224*/ GIMT_Encode4(307621), // Rule ID 524 //
     /* 307607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 307610 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 307614 */     // (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (FNEGHr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 307614 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FNEGHr),
     /* 307619 */     GIR_RootConstrainSelectedInstOperands,
     /* 307620 */     // GIR_Coverage, 524,
     /* 307620 */     GIR_Done,
     /* 307621 */   // Label 6224: @307621
     /* 307621 */   GIM_Try, /*On fail goto*//*Label 6225*/ GIMT_Encode4(307766), // Rule ID 6340 //
     /* 307626 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 307630 */     // (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[f16] } (COPY_TO_REGCLASS:{ *:[f32] } (EORWri:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i32] } (INSERT_SUBREG:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), FPR16:{ *:[f16] }:$Rn, hsub:{ *:[i32] }), GPR32:{ *:[i32] }), (logical_imm32_XFORM:{ *:[i32] } 32768:{ *:[i32] })), FPR32:{ *:[i32] }), hsub:{ *:[i32] })
     /* 307630 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 307633 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 307637 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307642 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 307644 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /* 307647 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 307651 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307656 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 307659 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 307663 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/9,
     /* 307666 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 307671 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 307676 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 307681 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 307684 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 307688 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307693 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 307696 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 307701 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 307704 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::EORWri),
     /* 307708 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307713 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 307716 */     GIR_CustomRenderer, /*InsnID*/2, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderLogicalImm32), // 
     /* 307721 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 307723 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 307726 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 307730 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307735 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 307738 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 307743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 307746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 307748 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::hsub),
     /* 307755 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 307760 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 307765 */     // GIR_Coverage, 6340,
     /* 307765 */     GIR_EraseRootFromParent_Done,
     /* 307766 */   // Label 6225: @307766
     /* 307766 */   GIM_Reject,
     /* 307767 */ // Label 6213: @307767
     /* 307767 */ GIM_Reject,
     /* 307768 */ // Label 6205: @307768
     /* 307768 */ GIM_Try, /*On fail goto*//*Label 6226*/ GIMT_Encode4(308790),
     /* 307773 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 307776 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 307780 */   GIM_Try, /*On fail goto*//*Label 6227*/ GIMT_Encode4(307938), // Rule ID 4841 //
     /* 307785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 307788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 307792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 307796 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 307800 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 307804 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 307808 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 307812 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 307816 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 307820 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 307824 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307829 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 307833 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 307837 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 307841 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 307845 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 307849 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307854 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 307858 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 307863 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 307865 */     // (fneg:{ *:[f32] } (fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra))  =>  (FNMADDSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 307865 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 307868 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 307872 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307877 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 307883 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 307888 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307893 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 307896 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 307900 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307905 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 307911 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 307916 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDSrrr),
     /* 307924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 307926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 307929 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 307932 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 307936 */     GIR_RootConstrainSelectedInstOperands,
     /* 307937 */     // GIR_Coverage, 4841,
     /* 307937 */     GIR_EraseRootFromParent_Done,
     /* 307938 */   // Label 6227: @307938
     /* 307938 */   GIM_Try, /*On fail goto*//*Label 6228*/ GIMT_Encode4(308096), // Rule ID 4840 //
     /* 307943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 307946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 307950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 307954 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 307958 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 307962 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 307966 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 307970 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 307974 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 307978 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 307982 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307987 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 307991 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 307995 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 307999 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 308003 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 308007 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 308012 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 308016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 308021 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 308023 */     // (fneg:{ *:[f32] } (strict_fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra))  =>  (FNMADDSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 308023 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 308026 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 308030 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308035 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 308041 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 308046 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 308051 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 308054 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 308058 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308063 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 308069 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 308074 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 308079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDSrrr),
     /* 308082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 308084 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 308087 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 308090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 308094 */     GIR_RootConstrainSelectedInstOperands,
     /* 308095 */     // GIR_Coverage, 4840,
     /* 308095 */     GIR_EraseRootFromParent_Done,
     /* 308096 */   // Label 6228: @308096
     /* 308096 */   GIM_Try, /*On fail goto*//*Label 6229*/ GIMT_Encode4(308207), // Rule ID 4839 //
     /* 308101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 308104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 308108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 308112 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 308116 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 308120 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 308124 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 308128 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 308132 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 308136 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 308140 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 308145 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 308149 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 308154 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 308159 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 308161 */     // (fneg:{ *:[f32] } (fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra))  =>  (FNMADDSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 308161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 308164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 308168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308173 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 308179 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 308184 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 308189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDSrrr),
     /* 308192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 308194 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 308197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 308201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 308205 */     GIR_RootConstrainSelectedInstOperands,
     /* 308206 */     // GIR_Coverage, 4839,
     /* 308206 */     GIR_EraseRootFromParent_Done,
     /* 308207 */   // Label 6229: @308207
     /* 308207 */   GIM_Try, /*On fail goto*//*Label 6230*/ GIMT_Encode4(308318), // Rule ID 4837 //
     /* 308212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 308215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 308219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 308223 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 308227 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 308231 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 308235 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 308240 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 308244 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 308248 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 308252 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 308256 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 308261 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 308265 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 308270 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 308272 */     // (fneg:{ *:[f32] } (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra))  =>  (FNMADDSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 308272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 308275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 308279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308284 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 308290 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 308295 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 308300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDSrrr),
     /* 308303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 308305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 308309 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 308312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 308316 */     GIR_RootConstrainSelectedInstOperands,
     /* 308317 */     // GIR_Coverage, 4837,
     /* 308317 */     GIR_EraseRootFromParent_Done,
     /* 308318 */   // Label 6230: @308318
     /* 308318 */   GIM_Try, /*On fail goto*//*Label 6231*/ GIMT_Encode4(308429), // Rule ID 4838 //
     /* 308323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 308326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 308330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 308334 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 308338 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 308342 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 308346 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 308350 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 308354 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 308358 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 308362 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 308367 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 308371 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 308376 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 308381 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 308383 */     // (fneg:{ *:[f32] } (strict_fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra))  =>  (FNMADDSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 308383 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 308386 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 308390 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308395 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 308401 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 308406 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 308411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDSrrr),
     /* 308414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 308416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 308419 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 308423 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 308427 */     GIR_RootConstrainSelectedInstOperands,
     /* 308428 */     // GIR_Coverage, 4838,
     /* 308428 */     GIR_EraseRootFromParent_Done,
     /* 308429 */   // Label 6231: @308429
     /* 308429 */   GIM_Try, /*On fail goto*//*Label 6232*/ GIMT_Encode4(308540), // Rule ID 4836 //
     /* 308434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 308437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 308441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 308445 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 308449 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 308453 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 308457 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 308462 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 308466 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 308470 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 308474 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 308478 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 308483 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 308487 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 308492 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 308494 */     // (fneg:{ *:[f32] } (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra))  =>  (FNMADDSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 308494 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 308497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 308501 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308506 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 308512 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 308517 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 308522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDSrrr),
     /* 308525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 308527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 308531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 308534 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 308538 */     GIR_RootConstrainSelectedInstOperands,
     /* 308539 */     // GIR_Coverage, 4836,
     /* 308539 */     GIR_EraseRootFromParent_Done,
     /* 308540 */   // Label 6232: @308540
     /* 308540 */   GIM_Try, /*On fail goto*//*Label 6233*/ GIMT_Encode4(308604), // Rule ID 652 //
     /* 308545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 308548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 308552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 308556 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 308560 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 308564 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 308568 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 308573 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 308578 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 308583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 308585 */     // (fneg:{ *:[f32] } (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra))  =>  (FNMADDSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 308585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDSrrr),
     /* 308588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 308590 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 308594 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 308598 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 308602 */     GIR_RootConstrainSelectedInstOperands,
     /* 308603 */     // GIR_Coverage, 652,
     /* 308603 */     GIR_EraseRootFromParent_Done,
     /* 308604 */   // Label 6233: @308604
     /* 308604 */   GIM_Try, /*On fail goto*//*Label 6234*/ GIMT_Encode4(308668), // Rule ID 651 //
     /* 308609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 308612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 308616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 308620 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 308624 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 308628 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 308632 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 308637 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 308642 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 308647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 308649 */     // (fneg:{ *:[f32] } (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra))  =>  (FNMADDSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 308649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDSrrr),
     /* 308652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 308654 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 308658 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 308662 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 308666 */     GIR_RootConstrainSelectedInstOperands,
     /* 308667 */     // GIR_Coverage, 651,
     /* 308667 */     GIR_EraseRootFromParent_Done,
     /* 308668 */   // Label 6234: @308668
     /* 308668 */   GIM_Try, /*On fail goto*//*Label 6235*/ GIMT_Encode4(308719), // Rule ID 628 //
     /* 308673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 308676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 308680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 308684 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 308688 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 308692 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 308697 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 308702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 308704 */     // (fneg:{ *:[f32] } (fmul:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm))  =>  (FNMULSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 308704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULSrr),
     /* 308707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 308709 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 308713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 308717 */     GIR_RootConstrainSelectedInstOperands,
     /* 308718 */     // GIR_Coverage, 628,
     /* 308718 */     GIR_EraseRootFromParent_Done,
     /* 308719 */   // Label 6235: @308719
     /* 308719 */   GIM_Try, /*On fail goto*//*Label 6236*/ GIMT_Encode4(308770), // Rule ID 627 //
     /* 308724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 308727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 308731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMUL),
     /* 308735 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 308739 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 308743 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 308748 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 308753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 308755 */     // (fneg:{ *:[f32] } (strict_fmul:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm))  =>  (FNMULSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 308755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULSrr),
     /* 308758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 308760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 308764 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 308768 */     GIR_RootConstrainSelectedInstOperands,
     /* 308769 */     // GIR_Coverage, 627,
     /* 308769 */     GIR_EraseRootFromParent_Done,
     /* 308770 */   // Label 6236: @308770
     /* 308770 */   GIM_Try, /*On fail goto*//*Label 6237*/ GIMT_Encode4(308789), // Rule ID 525 //
     /* 308775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 308778 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 308782 */     // (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (FNEGSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 308782 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FNEGSr),
     /* 308787 */     GIR_RootConstrainSelectedInstOperands,
     /* 308788 */     // GIR_Coverage, 525,
     /* 308788 */     GIR_Done,
     /* 308789 */   // Label 6237: @308789
     /* 308789 */   GIM_Reject,
     /* 308790 */ // Label 6226: @308790
     /* 308790 */ GIM_Reject,
     /* 308791 */ // Label 6206: @308791
     /* 308791 */ GIM_Try, /*On fail goto*//*Label 6238*/ GIMT_Encode4(309813),
     /* 308796 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 308799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 308803 */   GIM_Try, /*On fail goto*//*Label 6239*/ GIMT_Encode4(308961), // Rule ID 4847 //
     /* 308808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 308811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 308815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 308819 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 308823 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 308827 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 308831 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 308835 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 308839 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 308843 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 308847 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 308852 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 308856 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 308860 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 308864 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 308868 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 308872 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 308877 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 308881 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 308886 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 308888 */     // (fneg:{ *:[f64] } (fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra))  =>  (FNMADDDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 308888 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 308891 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 308895 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308900 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 308906 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 308911 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 308916 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 308919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 308923 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308928 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 308934 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 308939 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 308944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDDrrr),
     /* 308947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 308949 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 308952 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 308955 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 308959 */     GIR_RootConstrainSelectedInstOperands,
     /* 308960 */     // GIR_Coverage, 4847,
     /* 308960 */     GIR_EraseRootFromParent_Done,
     /* 308961 */   // Label 6239: @308961
     /* 308961 */   GIM_Try, /*On fail goto*//*Label 6240*/ GIMT_Encode4(309119), // Rule ID 4846 //
     /* 308966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 308969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 308973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 308977 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 308981 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 308985 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 308989 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 308993 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 308997 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 309001 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 309005 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309010 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 309014 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 309018 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 309022 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 309026 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 309030 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309035 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 309039 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 309044 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 309046 */     // (fneg:{ *:[f64] } (strict_fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra))  =>  (FNMADDDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 309046 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 309049 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 309053 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 309058 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 309064 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 309069 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309074 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 309077 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 309081 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 309086 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 309092 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 309097 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDDrrr),
     /* 309105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 309107 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 309110 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 309113 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 309117 */     GIR_RootConstrainSelectedInstOperands,
     /* 309118 */     // GIR_Coverage, 4846,
     /* 309118 */     GIR_EraseRootFromParent_Done,
     /* 309119 */   // Label 6240: @309119
     /* 309119 */   GIM_Try, /*On fail goto*//*Label 6241*/ GIMT_Encode4(309230), // Rule ID 4845 //
     /* 309124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 309127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 309131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 309135 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 309139 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 309143 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 309147 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 309151 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 309155 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 309159 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 309163 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309168 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 309172 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 309177 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 309182 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 309184 */     // (fneg:{ *:[f64] } (fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra))  =>  (FNMADDDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 309184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 309187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 309191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 309196 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 309202 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 309207 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDDrrr),
     /* 309215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 309217 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 309220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 309224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 309228 */     GIR_RootConstrainSelectedInstOperands,
     /* 309229 */     // GIR_Coverage, 4845,
     /* 309229 */     GIR_EraseRootFromParent_Done,
     /* 309230 */   // Label 6241: @309230
     /* 309230 */   GIM_Try, /*On fail goto*//*Label 6242*/ GIMT_Encode4(309341), // Rule ID 4843 //
     /* 309235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 309238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 309242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 309246 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 309250 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 309254 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 309258 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 309263 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 309267 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 309271 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 309275 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 309279 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309284 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 309288 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 309293 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 309295 */     // (fneg:{ *:[f64] } (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra))  =>  (FNMADDDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 309295 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 309298 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 309302 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 309307 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 309313 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 309318 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDDrrr),
     /* 309326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 309328 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 309332 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 309335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 309339 */     GIR_RootConstrainSelectedInstOperands,
     /* 309340 */     // GIR_Coverage, 4843,
     /* 309340 */     GIR_EraseRootFromParent_Done,
     /* 309341 */   // Label 6242: @309341
     /* 309341 */   GIM_Try, /*On fail goto*//*Label 6243*/ GIMT_Encode4(309452), // Rule ID 4844 //
     /* 309346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 309349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 309353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 309357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 309361 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 309365 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 309369 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 309373 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 309377 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 309381 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 309385 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309390 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 309394 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 309399 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 309404 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 309406 */     // (fneg:{ *:[f64] } (strict_fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra))  =>  (FNMADDDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 309406 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 309409 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 309413 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 309418 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 309424 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 309429 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDDrrr),
     /* 309437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 309439 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 309442 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 309446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 309450 */     GIR_RootConstrainSelectedInstOperands,
     /* 309451 */     // GIR_Coverage, 4844,
     /* 309451 */     GIR_EraseRootFromParent_Done,
     /* 309452 */   // Label 6243: @309452
     /* 309452 */   GIM_Try, /*On fail goto*//*Label 6244*/ GIMT_Encode4(309563), // Rule ID 4842 //
     /* 309457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 309460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 309464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 309468 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 309472 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 309476 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 309480 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 309485 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 309489 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 309493 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 309497 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 309501 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309506 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 309510 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 309515 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 309517 */     // (fneg:{ *:[f64] } (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra))  =>  (FNMADDDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 309517 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 309520 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 309524 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 309529 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 309535 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 309540 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDDrrr),
     /* 309548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 309550 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 309554 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 309557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 309561 */     GIR_RootConstrainSelectedInstOperands,
     /* 309562 */     // GIR_Coverage, 4842,
     /* 309562 */     GIR_EraseRootFromParent_Done,
     /* 309563 */   // Label 6244: @309563
     /* 309563 */   GIM_Try, /*On fail goto*//*Label 6245*/ GIMT_Encode4(309627), // Rule ID 654 //
     /* 309568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 309571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 309575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 309579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 309583 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 309587 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 309591 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 309596 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 309601 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 309606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 309608 */     // (fneg:{ *:[f64] } (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra))  =>  (FNMADDDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 309608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDDrrr),
     /* 309611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 309613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 309617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 309621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 309625 */     GIR_RootConstrainSelectedInstOperands,
     /* 309626 */     // GIR_Coverage, 654,
     /* 309626 */     GIR_EraseRootFromParent_Done,
     /* 309627 */   // Label 6245: @309627
     /* 309627 */   GIM_Try, /*On fail goto*//*Label 6246*/ GIMT_Encode4(309691), // Rule ID 653 //
     /* 309632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 309635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 309639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 309643 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 309647 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 309651 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 309655 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 309660 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 309665 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 309670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 309672 */     // (fneg:{ *:[f64] } (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra))  =>  (FNMADDDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 309672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDDrrr),
     /* 309675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 309677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 309681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 309685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 309689 */     GIR_RootConstrainSelectedInstOperands,
     /* 309690 */     // GIR_Coverage, 653,
     /* 309690 */     GIR_EraseRootFromParent_Done,
     /* 309691 */   // Label 6246: @309691
     /* 309691 */   GIM_Try, /*On fail goto*//*Label 6247*/ GIMT_Encode4(309742), // Rule ID 630 //
     /* 309696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 309699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 309703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 309707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 309711 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 309715 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 309720 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 309725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 309727 */     // (fneg:{ *:[f64] } (fmul:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm))  =>  (FNMULDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 309727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULDrr),
     /* 309730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 309732 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 309736 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 309740 */     GIR_RootConstrainSelectedInstOperands,
     /* 309741 */     // GIR_Coverage, 630,
     /* 309741 */     GIR_EraseRootFromParent_Done,
     /* 309742 */   // Label 6247: @309742
     /* 309742 */   GIM_Try, /*On fail goto*//*Label 6248*/ GIMT_Encode4(309793), // Rule ID 629 //
     /* 309747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 309750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 309754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMUL),
     /* 309758 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 309762 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 309766 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 309771 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 309776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 309778 */     // (fneg:{ *:[f64] } (strict_fmul:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm))  =>  (FNMULDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 309778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULDrr),
     /* 309781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 309783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 309787 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 309791 */     GIR_RootConstrainSelectedInstOperands,
     /* 309792 */     // GIR_Coverage, 629,
     /* 309792 */     GIR_EraseRootFromParent_Done,
     /* 309793 */   // Label 6248: @309793
     /* 309793 */   GIM_Try, /*On fail goto*//*Label 6249*/ GIMT_Encode4(309812), // Rule ID 526 //
     /* 309798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 309801 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 309805 */     // (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (FNEGDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 309805 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FNEGDr),
     /* 309810 */     GIR_RootConstrainSelectedInstOperands,
     /* 309811 */     // GIR_Coverage, 526,
     /* 309811 */     GIR_Done,
     /* 309812 */   // Label 6249: @309812
     /* 309812 */   GIM_Reject,
     /* 309813 */ // Label 6238: @309813
     /* 309813 */ GIM_Reject,
     /* 309814 */ // Label 6207: @309814
     /* 309814 */ GIM_Try, /*On fail goto*//*Label 6250*/ GIMT_Encode4(309840), // Rule ID 860 //
     /* 309819 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 309822 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 309825 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 309829 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 309833 */   // (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FNEGv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 309833 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FNEGv2f32),
     /* 309838 */   GIR_RootConstrainSelectedInstOperands,
     /* 309839 */   // GIR_Coverage, 860,
     /* 309839 */   GIR_Done,
     /* 309840 */ // Label 6250: @309840
     /* 309840 */ GIM_Reject,
     /* 309841 */ // Label 6208: @309841
     /* 309841 */ GIM_Try, /*On fail goto*//*Label 6251*/ GIMT_Encode4(309867), // Rule ID 862 //
     /* 309846 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 309849 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 309852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309856 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309860 */   // (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FNEGv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 309860 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FNEGv2f64),
     /* 309865 */   GIR_RootConstrainSelectedInstOperands,
     /* 309866 */   // GIR_Coverage, 862,
     /* 309866 */   GIR_Done,
     /* 309867 */ // Label 6251: @309867
     /* 309867 */ GIM_Reject,
     /* 309868 */ // Label 6209: @309868
     /* 309868 */ GIM_Try, /*On fail goto*//*Label 6252*/ GIMT_Encode4(309947),
     /* 309873 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 309876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 309880 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 309884 */   GIM_Try, /*On fail goto*//*Label 6253*/ GIMT_Encode4(309899), // Rule ID 858 //
     /* 309889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 309892 */     // (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FNEGv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 309892 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FNEGv4f16),
     /* 309897 */     GIR_RootConstrainSelectedInstOperands,
     /* 309898 */     // GIR_Coverage, 858,
     /* 309898 */     GIR_Done,
     /* 309899 */   // Label 6253: @309899
     /* 309899 */   GIM_Try, /*On fail goto*//*Label 6254*/ GIMT_Encode4(309946), // Rule ID 6343 //
     /* 309904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 309907 */     // (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (EORv8i8:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (MOVIv4i16:{ *:[i64] } 128:{ *:[i32] }, 8:{ *:[i32] }))
     /* 309907 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 309910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv4i16),
     /* 309914 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 309919 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(128),
     /* 309929 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/8,
     /* 309932 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 309934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORv8i8),
     /* 309937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 309939 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 309941 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 309944 */     GIR_RootConstrainSelectedInstOperands,
     /* 309945 */     // GIR_Coverage, 6343,
     /* 309945 */     GIR_EraseRootFromParent_Done,
     /* 309946 */   // Label 6254: @309946
     /* 309946 */   GIM_Reject,
     /* 309947 */ // Label 6252: @309947
     /* 309947 */ GIM_Reject,
     /* 309948 */ // Label 6210: @309948
     /* 309948 */ GIM_Try, /*On fail goto*//*Label 6255*/ GIMT_Encode4(309974), // Rule ID 861 //
     /* 309953 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 309956 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 309959 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309963 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309967 */   // (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FNEGv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 309967 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FNEGv4f32),
     /* 309972 */   GIR_RootConstrainSelectedInstOperands,
     /* 309973 */   // GIR_Coverage, 861,
     /* 309973 */   GIR_Done,
     /* 309974 */ // Label 6255: @309974
     /* 309974 */ GIM_Reject,
     /* 309975 */ // Label 6211: @309975
     /* 309975 */ GIM_Try, /*On fail goto*//*Label 6256*/ GIMT_Encode4(310054),
     /* 309980 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 309983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309987 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309991 */   GIM_Try, /*On fail goto*//*Label 6257*/ GIMT_Encode4(310006), // Rule ID 859 //
     /* 309996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 309999 */     // (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FNEGv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 309999 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FNEGv8f16),
     /* 310004 */     GIR_RootConstrainSelectedInstOperands,
     /* 310005 */     // GIR_Coverage, 859,
     /* 310005 */     GIR_Done,
     /* 310006 */   // Label 6257: @310006
     /* 310006 */   GIM_Try, /*On fail goto*//*Label 6258*/ GIMT_Encode4(310053), // Rule ID 6344 //
     /* 310011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 310014 */     // (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (EORv16i8:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (MOVIv8i16:{ *:[f128] } 128:{ *:[i32] }, 8:{ *:[i32] }))
     /* 310014 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 310017 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv8i16),
     /* 310021 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 310026 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(128),
     /* 310036 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/8,
     /* 310039 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 310041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORv16i8),
     /* 310044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 310046 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 310048 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 310051 */     GIR_RootConstrainSelectedInstOperands,
     /* 310052 */     // GIR_Coverage, 6344,
     /* 310052 */     GIR_EraseRootFromParent_Done,
     /* 310053 */   // Label 6258: @310053
     /* 310053 */   GIM_Reject,
     /* 310054 */ // Label 6256: @310054
     /* 310054 */ GIM_Reject,
     /* 310055 */ // Label 6212: @310055
     /* 310055 */ GIM_Reject,
     /* 310056 */ // Label 63: @310056
     /* 310056 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(9), /*)*//*default:*//*Label 6263*/ GIMT_Encode4(310303),
     /* 310067 */ /*GILLT_s32*//*Label 6259*/ GIMT_Encode4(310095),
     /* 310071 */ /*GILLT_s64*//*Label 6260*/ GIMT_Encode4(310126), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 310083 */ /*GILLT_v2s64*//*Label 6261*/ GIMT_Encode4(310187), GIMT_Encode4(0),
     /* 310091 */ /*GILLT_v4s32*//*Label 6262*/ GIMT_Encode4(310245),
     /* 310095 */ // Label 6259: @310095
     /* 310095 */ GIM_Try, /*On fail goto*//*Label 6264*/ GIMT_Encode4(310125), // Rule ID 516 //
     /* 310100 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 310103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 310106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 310110 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 310114 */   // (fpextend:{ *:[f32] } FPR16:{ *:[f16] }:$Rn)  =>  (FCVTSHr:{ *:[f32] } FPR16:{ *:[f16] }:$Rn)
     /* 310114 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTSHr),
     /* 310119 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 310123 */   GIR_RootConstrainSelectedInstOperands,
     /* 310124 */   // GIR_Coverage, 516,
     /* 310124 */   GIR_Done,
     /* 310125 */ // Label 6264: @310125
     /* 310125 */ GIM_Reject,
     /* 310126 */ // Label 6260: @310126
     /* 310126 */ GIM_Try, /*On fail goto*//*Label 6265*/ GIMT_Encode4(310156), // Rule ID 514 //
     /* 310131 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 310134 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 310137 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310141 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 310145 */   // (fpextend:{ *:[f64] } FPR16:{ *:[f16] }:$Rn)  =>  (FCVTDHr:{ *:[f64] } FPR16:{ *:[f16] }:$Rn)
     /* 310145 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTDHr),
     /* 310150 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 310154 */   GIR_RootConstrainSelectedInstOperands,
     /* 310155 */   // GIR_Coverage, 514,
     /* 310155 */   GIR_Done,
     /* 310156 */ // Label 6265: @310156
     /* 310156 */ GIM_Try, /*On fail goto*//*Label 6266*/ GIMT_Encode4(310186), // Rule ID 518 //
     /* 310161 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 310164 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 310167 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310171 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 310175 */   // (fpextend:{ *:[f64] } FPR32:{ *:[f32] }:$Rn)  =>  (FCVTDSr:{ *:[f64] } FPR32:{ *:[f32] }:$Rn)
     /* 310175 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTDSr),
     /* 310180 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 310184 */   GIR_RootConstrainSelectedInstOperands,
     /* 310185 */   // GIR_Coverage, 518,
     /* 310185 */   GIR_Done,
     /* 310186 */ // Label 6266: @310186
     /* 310186 */ GIM_Reject,
     /* 310187 */ // Label 6261: @310187
     /* 310187 */ GIM_Try, /*On fail goto*//*Label 6267*/ GIMT_Encode4(310244),
     /* 310192 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 310195 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310199 */   GIM_Try, /*On fail goto*//*Label 6268*/ GIMT_Encode4(310223), // Rule ID 4890 //
     /* 310204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4f32),
     /* 310211 */     // (fpextend:{ *:[v2f64] } (extract_high_v4f32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rn))  =>  (FCVTLv4i32:{ *:[v2f64] } V128:{ *:[v4f32] }:$Rn)
     /* 310211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i32),
     /* 310214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 310216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 310221 */     GIR_RootConstrainSelectedInstOperands,
     /* 310222 */     // GIR_Coverage, 4890,
     /* 310222 */     GIR_EraseRootFromParent_Done,
     /* 310223 */   // Label 6268: @310223
     /* 310223 */   GIM_Try, /*On fail goto*//*Label 6269*/ GIMT_Encode4(310243), // Rule ID 4888 //
     /* 310228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310232 */     // (fpextend:{ *:[v2f64] } V64:{ *:[v2f32] }:$Rn)  =>  (FCVTLv2i32:{ *:[v2f64] } V64:{ *:[v2f32] }:$Rn)
     /* 310232 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv2i32),
     /* 310237 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 310241 */     GIR_RootConstrainSelectedInstOperands,
     /* 310242 */     // GIR_Coverage, 4888,
     /* 310242 */     GIR_Done,
     /* 310243 */   // Label 6269: @310243
     /* 310243 */   GIM_Reject,
     /* 310244 */ // Label 6267: @310244
     /* 310244 */ GIM_Reject,
     /* 310245 */ // Label 6262: @310245
     /* 310245 */ GIM_Try, /*On fail goto*//*Label 6270*/ GIMT_Encode4(310302),
     /* 310250 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 310253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310257 */   GIM_Try, /*On fail goto*//*Label 6271*/ GIMT_Encode4(310281), // Rule ID 4894 //
     /* 310262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8f16),
     /* 310269 */     // (fpextend:{ *:[v4f32] } (extract_high_v8f16:{ *:[v4f16] } V128:{ *:[v8f16] }:$Rn))  =>  (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn)
     /* 310269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 310272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 310274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 310279 */     GIR_RootConstrainSelectedInstOperands,
     /* 310280 */     // GIR_Coverage, 4894,
     /* 310280 */     GIR_EraseRootFromParent_Done,
     /* 310281 */   // Label 6271: @310281
     /* 310281 */   GIM_Try, /*On fail goto*//*Label 6272*/ GIMT_Encode4(310301), // Rule ID 4892 //
     /* 310286 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310290 */     // (fpextend:{ *:[v4f32] } V64:{ *:[v4f16] }:$Rn)  =>  (FCVTLv4i16:{ *:[v4f32] } V64:{ *:[v4f16] }:$Rn)
     /* 310290 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 310295 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 310299 */     GIR_RootConstrainSelectedInstOperands,
     /* 310300 */     // GIR_Coverage, 4892,
     /* 310300 */     GIR_Done,
     /* 310301 */   // Label 6272: @310301
     /* 310301 */   GIM_Reject,
     /* 310302 */ // Label 6270: @310302
     /* 310302 */ GIM_Reject,
     /* 310303 */ // Label 6263: @310303
     /* 310303 */ GIM_Reject,
     /* 310304 */ // Label 64: @310304
     /* 310304 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(8), /*)*//*default:*//*Label 6277*/ GIMT_Encode4(310491),
     /* 310315 */ /*GILLT_s16*//*Label 6273*/ GIMT_Encode4(310343),
     /* 310319 */ /*GILLT_s32*//*Label 6274*/ GIMT_Encode4(310404), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 310331 */ /*GILLT_v2s32*//*Label 6275*/ GIMT_Encode4(310435), GIMT_Encode4(0),
     /* 310339 */ /*GILLT_v4s16*//*Label 6276*/ GIMT_Encode4(310463),
     /* 310343 */ // Label 6273: @310343
     /* 310343 */ GIM_Try, /*On fail goto*//*Label 6278*/ GIMT_Encode4(310373), // Rule ID 510 //
     /* 310348 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 310351 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 310354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 310358 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310362 */   // (fpround:{ *:[f16] } FPR64:{ *:[f64] }:$Rn)  =>  (FCVTHDr:{ *:[f16] } FPR64:{ *:[f64] }:$Rn)
     /* 310362 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTHDr),
     /* 310367 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 310371 */   GIR_RootConstrainSelectedInstOperands,
     /* 310372 */   // GIR_Coverage, 510,
     /* 310372 */   GIR_Done,
     /* 310373 */ // Label 6278: @310373
     /* 310373 */ GIM_Try, /*On fail goto*//*Label 6279*/ GIMT_Encode4(310403), // Rule ID 520 //
     /* 310378 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 310381 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 310384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 310388 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 310392 */   // (fpround:{ *:[f16] } FPR32:{ *:[f32] }:$Rn)  =>  (FCVTHSr:{ *:[f16] } FPR32:{ *:[f32] }:$Rn)
     /* 310392 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTHSr),
     /* 310397 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 310401 */   GIR_RootConstrainSelectedInstOperands,
     /* 310402 */   // GIR_Coverage, 520,
     /* 310402 */   GIR_Done,
     /* 310403 */ // Label 6279: @310403
     /* 310403 */ GIM_Reject,
     /* 310404 */ // Label 6274: @310404
     /* 310404 */ GIM_Try, /*On fail goto*//*Label 6280*/ GIMT_Encode4(310434), // Rule ID 512 //
     /* 310409 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 310412 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 310415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 310419 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310423 */   // (fpround:{ *:[f32] } FPR64:{ *:[f64] }:$Rn)  =>  (FCVTSDr:{ *:[f32] } FPR64:{ *:[f64] }:$Rn)
     /* 310423 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTSDr),
     /* 310428 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 310432 */   GIR_RootConstrainSelectedInstOperands,
     /* 310433 */   // GIR_Coverage, 512,
     /* 310433 */   GIR_Done,
     /* 310434 */ // Label 6280: @310434
     /* 310434 */ GIM_Reject,
     /* 310435 */ // Label 6275: @310435
     /* 310435 */ GIM_Try, /*On fail goto*//*Label 6281*/ GIMT_Encode4(310462), // Rule ID 4898 //
     /* 310440 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 310443 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310447 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310451 */   // (fpround:{ *:[v2f32] } V128:{ *:[v2f64] }:$Rn)  =>  (FCVTNv2i32:{ *:[v2f32] } V128:{ *:[v2f64] }:$Rn)
     /* 310451 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv2i32),
     /* 310456 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 310460 */   GIR_RootConstrainSelectedInstOperands,
     /* 310461 */   // GIR_Coverage, 4898,
     /* 310461 */   GIR_Done,
     /* 310462 */ // Label 6281: @310462
     /* 310462 */ GIM_Reject,
     /* 310463 */ // Label 6276: @310463
     /* 310463 */ GIM_Try, /*On fail goto*//*Label 6282*/ GIMT_Encode4(310490), // Rule ID 4900 //
     /* 310468 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 310471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310475 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310479 */   // (fpround:{ *:[v4f16] } V128:{ *:[v4f32] }:$Rn)  =>  (FCVTNv4i16:{ *:[v4f16] } V128:{ *:[v4f32] }:$Rn)
     /* 310479 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 310484 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 310488 */   GIR_RootConstrainSelectedInstOperands,
     /* 310489 */   // GIR_Coverage, 4900,
     /* 310489 */   GIR_Done,
     /* 310490 */ // Label 6282: @310490
     /* 310490 */ GIM_Reject,
     /* 310491 */ // Label 6277: @310491
     /* 310491 */ GIM_Reject,
     /* 310492 */ // Label 65: @310492
     /* 310492 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(11), /*)*//*default:*//*Label 6290*/ GIMT_Encode4(311468),
     /* 310503 */ /*GILLT_s32*//*Label 6283*/ GIMT_Encode4(310539),
     /* 310507 */ /*GILLT_s64*//*Label 6284*/ GIMT_Encode4(310926), GIMT_Encode4(0),
     /* 310515 */ /*GILLT_v2s32*//*Label 6285*/ GIMT_Encode4(311313),
     /* 310519 */ /*GILLT_v2s64*//*Label 6286*/ GIMT_Encode4(311344),
     /* 310523 */ /*GILLT_v4s16*//*Label 6287*/ GIMT_Encode4(311375),
     /* 310527 */ /*GILLT_v4s32*//*Label 6288*/ GIMT_Encode4(311406), GIMT_Encode4(0),
     /* 310535 */ /*GILLT_v8s16*//*Label 6289*/ GIMT_Encode4(311437),
     /* 310539 */ // Label 6283: @310539
     /* 310539 */ GIM_Try, /*On fail goto*//*Label 6291*/ GIMT_Encode4(310576), // Rule ID 4637 //
     /* 310544 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 310547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 310551 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 310555 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCEIL),
     /* 310559 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 310563 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 310565 */   // (fp_to_sint:{ *:[i32] } (fceil:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTPSUWSr:{ *:[i32] } f32:{ *:[f32] }:$Rn)
     /* 310565 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSUWSr),
     /* 310568 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 310570 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 310574 */   GIR_RootConstrainSelectedInstOperands,
     /* 310575 */   // GIR_Coverage, 4637,
     /* 310575 */   GIR_EraseRootFromParent_Done,
     /* 310576 */ // Label 6291: @310576
     /* 310576 */ GIM_Try, /*On fail goto*//*Label 6292*/ GIMT_Encode4(310613), // Rule ID 4639 //
     /* 310581 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 310584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 310588 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 310592 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCEIL),
     /* 310596 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 310600 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 310602 */   // (fp_to_sint:{ *:[i32] } (fceil:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTPSUWDr:{ *:[i32] } f64:{ *:[f64] }:$Rn)
     /* 310602 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSUWDr),
     /* 310605 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 310607 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 310611 */   GIR_RootConstrainSelectedInstOperands,
     /* 310612 */   // GIR_Coverage, 4639,
     /* 310612 */   GIR_EraseRootFromParent_Done,
     /* 310613 */ // Label 6292: @310613
     /* 310613 */ GIM_Try, /*On fail goto*//*Label 6293*/ GIMT_Encode4(310650), // Rule ID 4657 //
     /* 310618 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 310621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 310625 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 310629 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FFLOOR),
     /* 310633 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 310637 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 310639 */   // (fp_to_sint:{ *:[i32] } (ffloor:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTMSUWSr:{ *:[i32] } f32:{ *:[f32] }:$Rn)
     /* 310639 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSUWSr),
     /* 310642 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 310644 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 310648 */   GIR_RootConstrainSelectedInstOperands,
     /* 310649 */   // GIR_Coverage, 4657,
     /* 310649 */   GIR_EraseRootFromParent_Done,
     /* 310650 */ // Label 6293: @310650
     /* 310650 */ GIM_Try, /*On fail goto*//*Label 6294*/ GIMT_Encode4(310687), // Rule ID 4659 //
     /* 310655 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 310658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 310662 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 310666 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FFLOOR),
     /* 310670 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 310674 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 310676 */   // (fp_to_sint:{ *:[i32] } (ffloor:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTMSUWDr:{ *:[i32] } f64:{ *:[f64] }:$Rn)
     /* 310676 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSUWDr),
     /* 310679 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 310681 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 310685 */   GIR_RootConstrainSelectedInstOperands,
     /* 310686 */   // GIR_Coverage, 4659,
     /* 310686 */   GIR_EraseRootFromParent_Done,
     /* 310687 */ // Label 6294: @310687
     /* 310687 */ GIM_Try, /*On fail goto*//*Label 6295*/ GIMT_Encode4(310724), // Rule ID 4697 //
     /* 310692 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 310695 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 310699 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 310703 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_ROUND),
     /* 310707 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 310711 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 310713 */   // (fp_to_sint:{ *:[i32] } (fround:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTASUWSr:{ *:[i32] } f32:{ *:[f32] }:$Rn)
     /* 310713 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUWSr),
     /* 310716 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 310718 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 310722 */   GIR_RootConstrainSelectedInstOperands,
     /* 310723 */   // GIR_Coverage, 4697,
     /* 310723 */   GIR_EraseRootFromParent_Done,
     /* 310724 */ // Label 6295: @310724
     /* 310724 */ GIM_Try, /*On fail goto*//*Label 6296*/ GIMT_Encode4(310761), // Rule ID 4699 //
     /* 310729 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 310732 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 310736 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 310740 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_ROUND),
     /* 310744 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 310748 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 310750 */   // (fp_to_sint:{ *:[i32] } (fround:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTASUWDr:{ *:[i32] } f64:{ *:[f64] }:$Rn)
     /* 310750 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUWDr),
     /* 310753 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 310755 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 310759 */   GIR_RootConstrainSelectedInstOperands,
     /* 310760 */   // GIR_Coverage, 4699,
     /* 310760 */   GIR_EraseRootFromParent_Done,
     /* 310761 */ // Label 6296: @310761
     /* 310761 */ GIM_Try, /*On fail goto*//*Label 6297*/ GIMT_Encode4(310798), // Rule ID 4677 //
     /* 310766 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 310769 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 310773 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 310777 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_TRUNC),
     /* 310781 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 310785 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 310787 */   // (fp_to_sint:{ *:[i32] } (ftrunc:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTZSUWSr:{ *:[i32] } f32:{ *:[f32] }:$Rn)
     /* 310787 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWSr),
     /* 310790 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 310792 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 310796 */   GIR_RootConstrainSelectedInstOperands,
     /* 310797 */   // GIR_Coverage, 4677,
     /* 310797 */   GIR_EraseRootFromParent_Done,
     /* 310798 */ // Label 6297: @310798
     /* 310798 */ GIM_Try, /*On fail goto*//*Label 6298*/ GIMT_Encode4(310835), // Rule ID 4679 //
     /* 310803 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 310806 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 310810 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 310814 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_TRUNC),
     /* 310818 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 310822 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 310824 */   // (fp_to_sint:{ *:[i32] } (ftrunc:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTZSUWDr:{ *:[i32] } f64:{ *:[f64] }:$Rn)
     /* 310824 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWDr),
     /* 310827 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 310829 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 310833 */   GIR_RootConstrainSelectedInstOperands,
     /* 310834 */   // GIR_Coverage, 4679,
     /* 310834 */   GIR_EraseRootFromParent_Done,
     /* 310835 */ // Label 6298: @310835
     /* 310835 */ GIM_Try, /*On fail goto*//*Label 6299*/ GIMT_Encode4(310865), // Rule ID 395 //
     /* 310840 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 310843 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 310846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 310850 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 310854 */   // (fp_to_sint:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)  =>  (FCVTZSUWHr:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)
     /* 310854 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWHr),
     /* 310859 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 310863 */   GIR_RootConstrainSelectedInstOperands,
     /* 310864 */   // GIR_Coverage, 395,
     /* 310864 */   GIR_Done,
     /* 310865 */ // Label 6299: @310865
     /* 310865 */ GIM_Try, /*On fail goto*//*Label 6300*/ GIMT_Encode4(310895), // Rule ID 399 //
     /* 310870 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 310873 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 310876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 310880 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 310884 */   // (fp_to_sint:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)  =>  (FCVTZSUWSr:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)
     /* 310884 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWSr),
     /* 310889 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 310893 */   GIR_RootConstrainSelectedInstOperands,
     /* 310894 */   // GIR_Coverage, 399,
     /* 310894 */   GIR_Done,
     /* 310895 */ // Label 6300: @310895
     /* 310895 */ GIM_Try, /*On fail goto*//*Label 6301*/ GIMT_Encode4(310925), // Rule ID 403 //
     /* 310900 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 310903 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 310906 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 310910 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310914 */   // (fp_to_sint:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)  =>  (FCVTZSUWDr:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)
     /* 310914 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWDr),
     /* 310919 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 310923 */   GIR_RootConstrainSelectedInstOperands,
     /* 310924 */   // GIR_Coverage, 403,
     /* 310924 */   GIR_Done,
     /* 310925 */ // Label 6301: @310925
     /* 310925 */ GIM_Reject,
     /* 310926 */ // Label 6284: @310926
     /* 310926 */ GIM_Try, /*On fail goto*//*Label 6302*/ GIMT_Encode4(310963), // Rule ID 4638 //
     /* 310931 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 310934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 310938 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 310942 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCEIL),
     /* 310946 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 310950 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 310952 */   // (fp_to_sint:{ *:[i64] } (fceil:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTPSUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 310952 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSUXSr),
     /* 310955 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 310957 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 310961 */   GIR_RootConstrainSelectedInstOperands,
     /* 310962 */   // GIR_Coverage, 4638,
     /* 310962 */   GIR_EraseRootFromParent_Done,
     /* 310963 */ // Label 6302: @310963
     /* 310963 */ GIM_Try, /*On fail goto*//*Label 6303*/ GIMT_Encode4(311000), // Rule ID 4640 //
     /* 310968 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 310971 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 310975 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 310979 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCEIL),
     /* 310983 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 310987 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 310989 */   // (fp_to_sint:{ *:[i64] } (fceil:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTPSUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 310989 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSUXDr),
     /* 310992 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 310994 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 310998 */   GIR_RootConstrainSelectedInstOperands,
     /* 310999 */   // GIR_Coverage, 4640,
     /* 310999 */   GIR_EraseRootFromParent_Done,
     /* 311000 */ // Label 6303: @311000
     /* 311000 */ GIM_Try, /*On fail goto*//*Label 6304*/ GIMT_Encode4(311037), // Rule ID 4658 //
     /* 311005 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 311008 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 311012 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 311016 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FFLOOR),
     /* 311020 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 311024 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 311026 */   // (fp_to_sint:{ *:[i64] } (ffloor:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTMSUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 311026 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSUXSr),
     /* 311029 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 311031 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 311035 */   GIR_RootConstrainSelectedInstOperands,
     /* 311036 */   // GIR_Coverage, 4658,
     /* 311036 */   GIR_EraseRootFromParent_Done,
     /* 311037 */ // Label 6304: @311037
     /* 311037 */ GIM_Try, /*On fail goto*//*Label 6305*/ GIMT_Encode4(311074), // Rule ID 4660 //
     /* 311042 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 311045 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 311049 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 311053 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FFLOOR),
     /* 311057 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 311061 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 311063 */   // (fp_to_sint:{ *:[i64] } (ffloor:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTMSUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 311063 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSUXDr),
     /* 311066 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 311068 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 311072 */   GIR_RootConstrainSelectedInstOperands,
     /* 311073 */   // GIR_Coverage, 4660,
     /* 311073 */   GIR_EraseRootFromParent_Done,
     /* 311074 */ // Label 6305: @311074
     /* 311074 */ GIM_Try, /*On fail goto*//*Label 6306*/ GIMT_Encode4(311111), // Rule ID 4698 //
     /* 311079 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 311082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 311086 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 311090 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_ROUND),
     /* 311094 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 311098 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 311100 */   // (fp_to_sint:{ *:[i64] } (fround:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTASUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 311100 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUXSr),
     /* 311103 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 311105 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 311109 */   GIR_RootConstrainSelectedInstOperands,
     /* 311110 */   // GIR_Coverage, 4698,
     /* 311110 */   GIR_EraseRootFromParent_Done,
     /* 311111 */ // Label 6306: @311111
     /* 311111 */ GIM_Try, /*On fail goto*//*Label 6307*/ GIMT_Encode4(311148), // Rule ID 4700 //
     /* 311116 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 311119 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 311123 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 311127 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_ROUND),
     /* 311131 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 311135 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 311137 */   // (fp_to_sint:{ *:[i64] } (fround:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTASUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 311137 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUXDr),
     /* 311140 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 311142 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 311146 */   GIR_RootConstrainSelectedInstOperands,
     /* 311147 */   // GIR_Coverage, 4700,
     /* 311147 */   GIR_EraseRootFromParent_Done,
     /* 311148 */ // Label 6307: @311148
     /* 311148 */ GIM_Try, /*On fail goto*//*Label 6308*/ GIMT_Encode4(311185), // Rule ID 4678 //
     /* 311153 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 311156 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 311160 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 311164 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_TRUNC),
     /* 311168 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 311172 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 311174 */   // (fp_to_sint:{ *:[i64] } (ftrunc:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTZSUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 311174 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXSr),
     /* 311177 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 311179 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 311183 */   GIR_RootConstrainSelectedInstOperands,
     /* 311184 */   // GIR_Coverage, 4678,
     /* 311184 */   GIR_EraseRootFromParent_Done,
     /* 311185 */ // Label 6308: @311185
     /* 311185 */ GIM_Try, /*On fail goto*//*Label 6309*/ GIMT_Encode4(311222), // Rule ID 4680 //
     /* 311190 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 311193 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 311197 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 311201 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_TRUNC),
     /* 311205 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 311209 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 311211 */   // (fp_to_sint:{ *:[i64] } (ftrunc:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTZSUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 311211 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXDr),
     /* 311214 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 311216 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 311220 */   GIR_RootConstrainSelectedInstOperands,
     /* 311221 */   // GIR_Coverage, 4680,
     /* 311221 */   GIR_EraseRootFromParent_Done,
     /* 311222 */ // Label 6309: @311222
     /* 311222 */ GIM_Try, /*On fail goto*//*Label 6310*/ GIMT_Encode4(311252), // Rule ID 397 //
     /* 311227 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 311230 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 311233 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 311237 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 311241 */   // (fp_to_sint:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)  =>  (FCVTZSUXHr:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)
     /* 311241 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXHr),
     /* 311246 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311250 */   GIR_RootConstrainSelectedInstOperands,
     /* 311251 */   // GIR_Coverage, 397,
     /* 311251 */   GIR_Done,
     /* 311252 */ // Label 6310: @311252
     /* 311252 */ GIM_Try, /*On fail goto*//*Label 6311*/ GIMT_Encode4(311282), // Rule ID 401 //
     /* 311257 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 311260 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 311263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 311267 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 311271 */   // (fp_to_sint:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)  =>  (FCVTZSUXSr:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)
     /* 311271 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXSr),
     /* 311276 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311280 */   GIR_RootConstrainSelectedInstOperands,
     /* 311281 */   // GIR_Coverage, 401,
     /* 311281 */   GIR_Done,
     /* 311282 */ // Label 6311: @311282
     /* 311282 */ GIM_Try, /*On fail goto*//*Label 6312*/ GIMT_Encode4(311312), // Rule ID 405 //
     /* 311287 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 311290 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 311293 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 311297 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311301 */   // (fp_to_sint:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)  =>  (FCVTZSUXDr:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)
     /* 311301 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXDr),
     /* 311306 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311310 */   GIR_RootConstrainSelectedInstOperands,
     /* 311311 */   // GIR_Coverage, 405,
     /* 311311 */   GIR_Done,
     /* 311312 */ // Label 6312: @311312
     /* 311312 */ GIM_Reject,
     /* 311313 */ // Label 6285: @311313
     /* 311313 */ GIM_Try, /*On fail goto*//*Label 6313*/ GIMT_Encode4(311343), // Rule ID 843 //
     /* 311318 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 311321 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 311324 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311328 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311332 */   // (fp_to_sint:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)  =>  (FCVTZSv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 311332 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv2f32),
     /* 311337 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311341 */   GIR_RootConstrainSelectedInstOperands,
     /* 311342 */   // GIR_Coverage, 843,
     /* 311342 */   GIR_Done,
     /* 311343 */ // Label 6313: @311343
     /* 311343 */ GIM_Reject,
     /* 311344 */ // Label 6286: @311344
     /* 311344 */ GIM_Try, /*On fail goto*//*Label 6314*/ GIMT_Encode4(311374), // Rule ID 847 //
     /* 311349 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 311352 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 311355 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311359 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311363 */   // (fp_to_sint:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)  =>  (FCVTZSv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 311363 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv2f64),
     /* 311368 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311372 */   GIR_RootConstrainSelectedInstOperands,
     /* 311373 */   // GIR_Coverage, 847,
     /* 311373 */   GIR_Done,
     /* 311374 */ // Label 6314: @311374
     /* 311374 */ GIM_Reject,
     /* 311375 */ // Label 6287: @311375
     /* 311375 */ GIM_Try, /*On fail goto*//*Label 6315*/ GIMT_Encode4(311405), // Rule ID 839 //
     /* 311380 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 311383 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 311386 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311390 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311394 */   // (fp_to_sint:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)  =>  (FCVTZSv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 311394 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv4f16),
     /* 311399 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311403 */   GIR_RootConstrainSelectedInstOperands,
     /* 311404 */   // GIR_Coverage, 839,
     /* 311404 */   GIR_Done,
     /* 311405 */ // Label 6315: @311405
     /* 311405 */ GIM_Reject,
     /* 311406 */ // Label 6288: @311406
     /* 311406 */ GIM_Try, /*On fail goto*//*Label 6316*/ GIMT_Encode4(311436), // Rule ID 845 //
     /* 311411 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 311414 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 311417 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311421 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311425 */   // (fp_to_sint:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)  =>  (FCVTZSv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 311425 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv4f32),
     /* 311430 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311434 */   GIR_RootConstrainSelectedInstOperands,
     /* 311435 */   // GIR_Coverage, 845,
     /* 311435 */   GIR_Done,
     /* 311436 */ // Label 6316: @311436
     /* 311436 */ GIM_Reject,
     /* 311437 */ // Label 6289: @311437
     /* 311437 */ GIM_Try, /*On fail goto*//*Label 6317*/ GIMT_Encode4(311467), // Rule ID 841 //
     /* 311442 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 311445 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 311448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311452 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311456 */   // (fp_to_sint:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCVTZSv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 311456 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv8f16),
     /* 311461 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311465 */   GIR_RootConstrainSelectedInstOperands,
     /* 311466 */   // GIR_Coverage, 841,
     /* 311466 */   GIR_Done,
     /* 311467 */ // Label 6317: @311467
     /* 311467 */ GIM_Reject,
     /* 311468 */ // Label 6290: @311468
     /* 311468 */ GIM_Reject,
     /* 311469 */ // Label 66: @311469
     /* 311469 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(11), /*)*//*default:*//*Label 6325*/ GIMT_Encode4(312445),
     /* 311480 */ /*GILLT_s32*//*Label 6318*/ GIMT_Encode4(311516),
     /* 311484 */ /*GILLT_s64*//*Label 6319*/ GIMT_Encode4(311903), GIMT_Encode4(0),
     /* 311492 */ /*GILLT_v2s32*//*Label 6320*/ GIMT_Encode4(312290),
     /* 311496 */ /*GILLT_v2s64*//*Label 6321*/ GIMT_Encode4(312321),
     /* 311500 */ /*GILLT_v4s16*//*Label 6322*/ GIMT_Encode4(312352),
     /* 311504 */ /*GILLT_v4s32*//*Label 6323*/ GIMT_Encode4(312383), GIMT_Encode4(0),
     /* 311512 */ /*GILLT_v8s16*//*Label 6324*/ GIMT_Encode4(312414),
     /* 311516 */ // Label 6318: @311516
     /* 311516 */ GIM_Try, /*On fail goto*//*Label 6326*/ GIMT_Encode4(311553), // Rule ID 4647 //
     /* 311521 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 311524 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 311528 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 311532 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCEIL),
     /* 311536 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 311540 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 311542 */   // (fp_to_uint:{ *:[i32] } (fceil:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTPUUWSr:{ *:[i32] } f32:{ *:[f32] }:$Rn)
     /* 311542 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUUWSr),
     /* 311545 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 311547 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 311551 */   GIR_RootConstrainSelectedInstOperands,
     /* 311552 */   // GIR_Coverage, 4647,
     /* 311552 */   GIR_EraseRootFromParent_Done,
     /* 311553 */ // Label 6326: @311553
     /* 311553 */ GIM_Try, /*On fail goto*//*Label 6327*/ GIMT_Encode4(311590), // Rule ID 4649 //
     /* 311558 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 311561 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 311565 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 311569 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCEIL),
     /* 311573 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 311577 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 311579 */   // (fp_to_uint:{ *:[i32] } (fceil:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTPUUWDr:{ *:[i32] } f64:{ *:[f64] }:$Rn)
     /* 311579 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUUWDr),
     /* 311582 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 311584 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 311588 */   GIR_RootConstrainSelectedInstOperands,
     /* 311589 */   // GIR_Coverage, 4649,
     /* 311589 */   GIR_EraseRootFromParent_Done,
     /* 311590 */ // Label 6327: @311590
     /* 311590 */ GIM_Try, /*On fail goto*//*Label 6328*/ GIMT_Encode4(311627), // Rule ID 4667 //
     /* 311595 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 311598 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 311602 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 311606 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FFLOOR),
     /* 311610 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 311614 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 311616 */   // (fp_to_uint:{ *:[i32] } (ffloor:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTMUUWSr:{ *:[i32] } f32:{ *:[f32] }:$Rn)
     /* 311616 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUUWSr),
     /* 311619 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 311621 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 311625 */   GIR_RootConstrainSelectedInstOperands,
     /* 311626 */   // GIR_Coverage, 4667,
     /* 311626 */   GIR_EraseRootFromParent_Done,
     /* 311627 */ // Label 6328: @311627
     /* 311627 */ GIM_Try, /*On fail goto*//*Label 6329*/ GIMT_Encode4(311664), // Rule ID 4669 //
     /* 311632 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 311635 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 311639 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 311643 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FFLOOR),
     /* 311647 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 311651 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 311653 */   // (fp_to_uint:{ *:[i32] } (ffloor:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTMUUWDr:{ *:[i32] } f64:{ *:[f64] }:$Rn)
     /* 311653 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUUWDr),
     /* 311656 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 311658 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 311662 */   GIR_RootConstrainSelectedInstOperands,
     /* 311663 */   // GIR_Coverage, 4669,
     /* 311663 */   GIR_EraseRootFromParent_Done,
     /* 311664 */ // Label 6329: @311664
     /* 311664 */ GIM_Try, /*On fail goto*//*Label 6330*/ GIMT_Encode4(311701), // Rule ID 4707 //
     /* 311669 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 311672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 311676 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 311680 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_ROUND),
     /* 311684 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 311688 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 311690 */   // (fp_to_uint:{ *:[i32] } (fround:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTAUUWSr:{ *:[i32] } f32:{ *:[f32] }:$Rn)
     /* 311690 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUUWSr),
     /* 311693 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 311695 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 311699 */   GIR_RootConstrainSelectedInstOperands,
     /* 311700 */   // GIR_Coverage, 4707,
     /* 311700 */   GIR_EraseRootFromParent_Done,
     /* 311701 */ // Label 6330: @311701
     /* 311701 */ GIM_Try, /*On fail goto*//*Label 6331*/ GIMT_Encode4(311738), // Rule ID 4709 //
     /* 311706 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 311709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 311713 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 311717 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_ROUND),
     /* 311721 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 311725 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 311727 */   // (fp_to_uint:{ *:[i32] } (fround:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTAUUWDr:{ *:[i32] } f64:{ *:[f64] }:$Rn)
     /* 311727 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUUWDr),
     /* 311730 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 311732 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 311736 */   GIR_RootConstrainSelectedInstOperands,
     /* 311737 */   // GIR_Coverage, 4709,
     /* 311737 */   GIR_EraseRootFromParent_Done,
     /* 311738 */ // Label 6331: @311738
     /* 311738 */ GIM_Try, /*On fail goto*//*Label 6332*/ GIMT_Encode4(311775), // Rule ID 4687 //
     /* 311743 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 311746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 311750 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 311754 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_TRUNC),
     /* 311758 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 311762 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 311764 */   // (fp_to_uint:{ *:[i32] } (ftrunc:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTZUUWSr:{ *:[i32] } f32:{ *:[f32] }:$Rn)
     /* 311764 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUWSr),
     /* 311767 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 311769 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 311773 */   GIR_RootConstrainSelectedInstOperands,
     /* 311774 */   // GIR_Coverage, 4687,
     /* 311774 */   GIR_EraseRootFromParent_Done,
     /* 311775 */ // Label 6332: @311775
     /* 311775 */ GIM_Try, /*On fail goto*//*Label 6333*/ GIMT_Encode4(311812), // Rule ID 4689 //
     /* 311780 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 311783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 311787 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 311791 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_TRUNC),
     /* 311795 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 311799 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 311801 */   // (fp_to_uint:{ *:[i32] } (ftrunc:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTZUUWDr:{ *:[i32] } f64:{ *:[f64] }:$Rn)
     /* 311801 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUWDr),
     /* 311804 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 311806 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 311810 */   GIR_RootConstrainSelectedInstOperands,
     /* 311811 */   // GIR_Coverage, 4689,
     /* 311811 */   GIR_EraseRootFromParent_Done,
     /* 311812 */ // Label 6333: @311812
     /* 311812 */ GIM_Try, /*On fail goto*//*Label 6334*/ GIMT_Encode4(311842), // Rule ID 407 //
     /* 311817 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 311820 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 311823 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 311827 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 311831 */   // (fp_to_uint:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)  =>  (FCVTZUUWHr:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)
     /* 311831 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUWHr),
     /* 311836 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311840 */   GIR_RootConstrainSelectedInstOperands,
     /* 311841 */   // GIR_Coverage, 407,
     /* 311841 */   GIR_Done,
     /* 311842 */ // Label 6334: @311842
     /* 311842 */ GIM_Try, /*On fail goto*//*Label 6335*/ GIMT_Encode4(311872), // Rule ID 411 //
     /* 311847 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 311850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 311853 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 311857 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 311861 */   // (fp_to_uint:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)  =>  (FCVTZUUWSr:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)
     /* 311861 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUWSr),
     /* 311866 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311870 */   GIR_RootConstrainSelectedInstOperands,
     /* 311871 */   // GIR_Coverage, 411,
     /* 311871 */   GIR_Done,
     /* 311872 */ // Label 6335: @311872
     /* 311872 */ GIM_Try, /*On fail goto*//*Label 6336*/ GIMT_Encode4(311902), // Rule ID 415 //
     /* 311877 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 311880 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 311883 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 311887 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311891 */   // (fp_to_uint:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)  =>  (FCVTZUUWDr:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)
     /* 311891 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUWDr),
     /* 311896 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311900 */   GIR_RootConstrainSelectedInstOperands,
     /* 311901 */   // GIR_Coverage, 415,
     /* 311901 */   GIR_Done,
     /* 311902 */ // Label 6336: @311902
     /* 311902 */ GIM_Reject,
     /* 311903 */ // Label 6319: @311903
     /* 311903 */ GIM_Try, /*On fail goto*//*Label 6337*/ GIMT_Encode4(311940), // Rule ID 4648 //
     /* 311908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 311911 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 311915 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 311919 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCEIL),
     /* 311923 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 311927 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 311929 */   // (fp_to_uint:{ *:[i64] } (fceil:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTPUUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 311929 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUUXSr),
     /* 311932 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 311934 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 311938 */   GIR_RootConstrainSelectedInstOperands,
     /* 311939 */   // GIR_Coverage, 4648,
     /* 311939 */   GIR_EraseRootFromParent_Done,
     /* 311940 */ // Label 6337: @311940
     /* 311940 */ GIM_Try, /*On fail goto*//*Label 6338*/ GIMT_Encode4(311977), // Rule ID 4650 //
     /* 311945 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 311948 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 311952 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 311956 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCEIL),
     /* 311960 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 311964 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 311966 */   // (fp_to_uint:{ *:[i64] } (fceil:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTPUUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 311966 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUUXDr),
     /* 311969 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 311971 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 311975 */   GIR_RootConstrainSelectedInstOperands,
     /* 311976 */   // GIR_Coverage, 4650,
     /* 311976 */   GIR_EraseRootFromParent_Done,
     /* 311977 */ // Label 6338: @311977
     /* 311977 */ GIM_Try, /*On fail goto*//*Label 6339*/ GIMT_Encode4(312014), // Rule ID 4668 //
     /* 311982 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 311985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 311989 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 311993 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FFLOOR),
     /* 311997 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 312001 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 312003 */   // (fp_to_uint:{ *:[i64] } (ffloor:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTMUUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 312003 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUUXSr),
     /* 312006 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 312008 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 312012 */   GIR_RootConstrainSelectedInstOperands,
     /* 312013 */   // GIR_Coverage, 4668,
     /* 312013 */   GIR_EraseRootFromParent_Done,
     /* 312014 */ // Label 6339: @312014
     /* 312014 */ GIM_Try, /*On fail goto*//*Label 6340*/ GIMT_Encode4(312051), // Rule ID 4670 //
     /* 312019 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 312022 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 312026 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 312030 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FFLOOR),
     /* 312034 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 312038 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 312040 */   // (fp_to_uint:{ *:[i64] } (ffloor:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTMUUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 312040 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUUXDr),
     /* 312043 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 312045 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 312049 */   GIR_RootConstrainSelectedInstOperands,
     /* 312050 */   // GIR_Coverage, 4670,
     /* 312050 */   GIR_EraseRootFromParent_Done,
     /* 312051 */ // Label 6340: @312051
     /* 312051 */ GIM_Try, /*On fail goto*//*Label 6341*/ GIMT_Encode4(312088), // Rule ID 4708 //
     /* 312056 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 312059 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 312063 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 312067 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_ROUND),
     /* 312071 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 312075 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 312077 */   // (fp_to_uint:{ *:[i64] } (fround:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTAUUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 312077 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUUXSr),
     /* 312080 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 312082 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 312086 */   GIR_RootConstrainSelectedInstOperands,
     /* 312087 */   // GIR_Coverage, 4708,
     /* 312087 */   GIR_EraseRootFromParent_Done,
     /* 312088 */ // Label 6341: @312088
     /* 312088 */ GIM_Try, /*On fail goto*//*Label 6342*/ GIMT_Encode4(312125), // Rule ID 4710 //
     /* 312093 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 312096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 312100 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 312104 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_ROUND),
     /* 312108 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 312112 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 312114 */   // (fp_to_uint:{ *:[i64] } (fround:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTAUUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 312114 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUUXDr),
     /* 312117 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 312119 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 312123 */   GIR_RootConstrainSelectedInstOperands,
     /* 312124 */   // GIR_Coverage, 4710,
     /* 312124 */   GIR_EraseRootFromParent_Done,
     /* 312125 */ // Label 6342: @312125
     /* 312125 */ GIM_Try, /*On fail goto*//*Label 6343*/ GIMT_Encode4(312162), // Rule ID 4688 //
     /* 312130 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 312133 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 312137 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 312141 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_TRUNC),
     /* 312145 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 312149 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 312151 */   // (fp_to_uint:{ *:[i64] } (ftrunc:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTZUUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 312151 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUXSr),
     /* 312154 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 312156 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 312160 */   GIR_RootConstrainSelectedInstOperands,
     /* 312161 */   // GIR_Coverage, 4688,
     /* 312161 */   GIR_EraseRootFromParent_Done,
     /* 312162 */ // Label 6343: @312162
     /* 312162 */ GIM_Try, /*On fail goto*//*Label 6344*/ GIMT_Encode4(312199), // Rule ID 4690 //
     /* 312167 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 312170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 312174 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 312178 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_TRUNC),
     /* 312182 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 312186 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 312188 */   // (fp_to_uint:{ *:[i64] } (ftrunc:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTZUUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 312188 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUXDr),
     /* 312191 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 312193 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 312197 */   GIR_RootConstrainSelectedInstOperands,
     /* 312198 */   // GIR_Coverage, 4690,
     /* 312198 */   GIR_EraseRootFromParent_Done,
     /* 312199 */ // Label 6344: @312199
     /* 312199 */ GIM_Try, /*On fail goto*//*Label 6345*/ GIMT_Encode4(312229), // Rule ID 409 //
     /* 312204 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 312207 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 312210 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 312214 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 312218 */   // (fp_to_uint:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)  =>  (FCVTZUUXHr:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)
     /* 312218 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUXHr),
     /* 312223 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312227 */   GIR_RootConstrainSelectedInstOperands,
     /* 312228 */   // GIR_Coverage, 409,
     /* 312228 */   GIR_Done,
     /* 312229 */ // Label 6345: @312229
     /* 312229 */ GIM_Try, /*On fail goto*//*Label 6346*/ GIMT_Encode4(312259), // Rule ID 413 //
     /* 312234 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 312237 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 312240 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 312244 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 312248 */   // (fp_to_uint:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)  =>  (FCVTZUUXSr:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)
     /* 312248 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUXSr),
     /* 312253 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312257 */   GIR_RootConstrainSelectedInstOperands,
     /* 312258 */   // GIR_Coverage, 413,
     /* 312258 */   GIR_Done,
     /* 312259 */ // Label 6346: @312259
     /* 312259 */ GIM_Try, /*On fail goto*//*Label 6347*/ GIMT_Encode4(312289), // Rule ID 417 //
     /* 312264 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 312267 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 312270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 312274 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312278 */   // (fp_to_uint:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)  =>  (FCVTZUUXDr:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)
     /* 312278 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUXDr),
     /* 312283 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312287 */   GIR_RootConstrainSelectedInstOperands,
     /* 312288 */   // GIR_Coverage, 417,
     /* 312288 */   GIR_Done,
     /* 312289 */ // Label 6347: @312289
     /* 312289 */ GIM_Reject,
     /* 312290 */ // Label 6320: @312290
     /* 312290 */ GIM_Try, /*On fail goto*//*Label 6348*/ GIMT_Encode4(312320), // Rule ID 853 //
     /* 312295 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 312298 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 312301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312305 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312309 */   // (fp_to_uint:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)  =>  (FCVTZUv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 312309 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv2f32),
     /* 312314 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312318 */   GIR_RootConstrainSelectedInstOperands,
     /* 312319 */   // GIR_Coverage, 853,
     /* 312319 */   GIR_Done,
     /* 312320 */ // Label 6348: @312320
     /* 312320 */ GIM_Reject,
     /* 312321 */ // Label 6321: @312321
     /* 312321 */ GIM_Try, /*On fail goto*//*Label 6349*/ GIMT_Encode4(312351), // Rule ID 857 //
     /* 312326 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 312329 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 312332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 312336 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 312340 */   // (fp_to_uint:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)  =>  (FCVTZUv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 312340 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv2f64),
     /* 312345 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312349 */   GIR_RootConstrainSelectedInstOperands,
     /* 312350 */   // GIR_Coverage, 857,
     /* 312350 */   GIR_Done,
     /* 312351 */ // Label 6349: @312351
     /* 312351 */ GIM_Reject,
     /* 312352 */ // Label 6322: @312352
     /* 312352 */ GIM_Try, /*On fail goto*//*Label 6350*/ GIMT_Encode4(312382), // Rule ID 849 //
     /* 312357 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 312360 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 312363 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312367 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312371 */   // (fp_to_uint:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)  =>  (FCVTZUv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 312371 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv4f16),
     /* 312376 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312380 */   GIR_RootConstrainSelectedInstOperands,
     /* 312381 */   // GIR_Coverage, 849,
     /* 312381 */   GIR_Done,
     /* 312382 */ // Label 6350: @312382
     /* 312382 */ GIM_Reject,
     /* 312383 */ // Label 6323: @312383
     /* 312383 */ GIM_Try, /*On fail goto*//*Label 6351*/ GIMT_Encode4(312413), // Rule ID 855 //
     /* 312388 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 312391 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 312394 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 312398 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 312402 */   // (fp_to_uint:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)  =>  (FCVTZUv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 312402 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv4f32),
     /* 312407 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312411 */   GIR_RootConstrainSelectedInstOperands,
     /* 312412 */   // GIR_Coverage, 855,
     /* 312412 */   GIR_Done,
     /* 312413 */ // Label 6351: @312413
     /* 312413 */ GIM_Reject,
     /* 312414 */ // Label 6324: @312414
     /* 312414 */ GIM_Try, /*On fail goto*//*Label 6352*/ GIMT_Encode4(312444), // Rule ID 851 //
     /* 312419 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 312422 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 312425 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 312429 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 312433 */   // (fp_to_uint:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCVTZUv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 312433 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv8f16),
     /* 312438 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312442 */   GIR_RootConstrainSelectedInstOperands,
     /* 312443 */   // GIR_Coverage, 851,
     /* 312443 */   GIR_Done,
     /* 312444 */ // Label 6352: @312444
     /* 312444 */ GIM_Reject,
     /* 312445 */ // Label 6325: @312445
     /* 312445 */ GIM_Reject,
     /* 312446 */ // Label 67: @312446
     /* 312446 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6361*/ GIMT_Encode4(316753),
     /* 312457 */ /*GILLT_s16*//*Label 6353*/ GIMT_Encode4(312497),
     /* 312461 */ /*GILLT_s32*//*Label 6354*/ GIMT_Encode4(312778),
     /* 312465 */ /*GILLT_s64*//*Label 6355*/ GIMT_Encode4(314694), GIMT_Encode4(0),
     /* 312473 */ /*GILLT_v2s32*//*Label 6356*/ GIMT_Encode4(316598),
     /* 312477 */ /*GILLT_v2s64*//*Label 6357*/ GIMT_Encode4(316629),
     /* 312481 */ /*GILLT_v4s16*//*Label 6358*/ GIMT_Encode4(316660),
     /* 312485 */ /*GILLT_v4s32*//*Label 6359*/ GIMT_Encode4(316691), GIMT_Encode4(0),
     /* 312493 */ /*GILLT_v8s16*//*Label 6360*/ GIMT_Encode4(316722),
     /* 312497 */ // Label 6353: @312497
     /* 312497 */ GIM_Try, /*On fail goto*//*Label 6362*/ GIMT_Encode4(312600), // Rule ID 5308 //
     /* 312502 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEONandIsSME2p2StreamingSafe),
     /* 312505 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 312508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 312512 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 312516 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 312520 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 312524 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 312528 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 312532 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 312536 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 312540 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 312545 */   GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 312549 */   // MIs[1] Operand 2
     /* 312549 */   GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(16),
     /* 312560 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 312562 */   // (sint_to_fp:{ *:[f16] } (sext_inreg:{ *:[i32] } (vector_extract:{ *:[i32] } FPR128:{ *:[v8i16] }:$Rn, 0:{ *:[i64] }), i16:{ *:[Other] }))  =>  (SCVTFv1i16:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } FPR128:{ *:[v8i16] }:$Rn, hsub:{ *:[i32] }))
     /* 312562 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 312565 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 312569 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 312574 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 312580 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 312585 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 312590 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i16),
     /* 312593 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 312595 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 312598 */   GIR_RootConstrainSelectedInstOperands,
     /* 312599 */   // GIR_Coverage, 5308,
     /* 312599 */   GIR_EraseRootFromParent_Done,
     /* 312600 */ // Label 6362: @312600
     /* 312600 */ GIM_Try, /*On fail goto*//*Label 6363*/ GIMT_Encode4(312657), // Rule ID 5299 //
     /* 312605 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEONandIsSME2p2StreamingSafe),
     /* 312608 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 312611 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 312615 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 312619 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPTOSI),
     /* 312623 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 312627 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 312629 */   // (sint_to_fp:{ *:[f16] } (fp_to_sint:{ *:[i32] } f16:{ *:[f16] }:$Rn))  =>  (SCVTFv1i16:{ *:[f16] } (FCVTZSv1f16:{ *:[f16] } f16:{ *:[f16] }:$Rn))
     /* 312629 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 312632 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv1f16),
     /* 312636 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 312641 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 312645 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 312647 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i16),
     /* 312650 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 312652 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 312655 */   GIR_RootConstrainSelectedInstOperands,
     /* 312656 */   // GIR_Coverage, 5299,
     /* 312656 */   GIR_EraseRootFromParent_Done,
     /* 312657 */ // Label 6363: @312657
     /* 312657 */ GIM_Try, /*On fail goto*//*Label 6364*/ GIMT_Encode4(312687), // Rule ID 443 //
     /* 312662 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 312665 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 312668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 312672 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 312676 */   // (sint_to_fp:{ *:[f16] } GPR32:{ *:[i32] }:$Rn)  =>  (SCVTFUWHri:{ *:[f16] } GPR32:{ *:[i32] }:$Rn)
     /* 312676 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFUWHri),
     /* 312681 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312685 */   GIR_RootConstrainSelectedInstOperands,
     /* 312686 */   // GIR_Coverage, 443,
     /* 312686 */   GIR_Done,
     /* 312687 */ // Label 6364: @312687
     /* 312687 */ GIM_Try, /*On fail goto*//*Label 6365*/ GIMT_Encode4(312717), // Rule ID 449 //
     /* 312692 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 312695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 312698 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 312702 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 312706 */   // (sint_to_fp:{ *:[f16] } GPR64:{ *:[i64] }:$Rn)  =>  (SCVTFUXHri:{ *:[f16] } GPR64:{ *:[i64] }:$Rn)
     /* 312706 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFUXHri),
     /* 312711 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312715 */   GIR_RootConstrainSelectedInstOperands,
     /* 312716 */   // GIR_Coverage, 449,
     /* 312716 */   GIR_Done,
     /* 312717 */ // Label 6365: @312717
     /* 312717 */ GIM_Try, /*On fail goto*//*Label 6366*/ GIMT_Encode4(312747), // Rule ID 491 //
     /* 312722 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 312725 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 312728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 312732 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 312736 */   // (sint_to_fp:{ *:[f16] } FPR32:{ *:[i32] }:$Rn)  =>  (SCVTFHSr:{ *:[f16] } FPR32:{ *:[i32] }:$Rn)
     /* 312736 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFHSr),
     /* 312741 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312745 */   GIR_RootConstrainSelectedInstOperands,
     /* 312746 */   // GIR_Coverage, 491,
     /* 312746 */   GIR_Done,
     /* 312747 */ // Label 6366: @312747
     /* 312747 */ GIM_Try, /*On fail goto*//*Label 6367*/ GIMT_Encode4(312777), // Rule ID 495 //
     /* 312752 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 312755 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 312758 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 312762 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312766 */   // (sint_to_fp:{ *:[f16] } FPR64:{ *:[i64] }:$Rn)  =>  (SCVTFHDr:{ *:[f16] } FPR64:{ *:[i64] }:$Rn)
     /* 312766 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFHDr),
     /* 312771 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312775 */   GIR_RootConstrainSelectedInstOperands,
     /* 312776 */   // GIR_Coverage, 495,
     /* 312776 */   GIR_Done,
     /* 312777 */ // Label 6367: @312777
     /* 312777 */ GIM_Reject,
     /* 312778 */ // Label 6354: @312778
     /* 312778 */ GIM_Try, /*On fail goto*//*Label 6368*/ GIMT_Encode4(313016), // Rule ID 6345 //
     /* 312783 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 312786 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 312789 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 312793 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 312797 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 312801 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 312804 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 312811 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 312815 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 312817 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 312824 */   // (sint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$ext))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>)  =>  (SCVTFv1i32:{ *:[f32] } (EXTRACT_SUBREG:{ *:[f32] } (SSHLLv4i16_shift:{ *:[f128] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv8i8_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRBroW:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$ext), bsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }), 0:{ *:[i32] }), ssub:{ *:[i32] }))
     /* 312824 */   GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s8,
     /* 312827 */   GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::LDRBroW),
     /* 312831 */   GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 312836 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 312841 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 312846 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // ext
     /* 312851 */   GIR_MergeMemOperands, /*InsnID*/7, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 312856 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 312858 */   GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s64,
     /* 312861 */   GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 312865 */   GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 312870 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 312872 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s64,
     /* 312875 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 312879 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 312884 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 312887 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /* 312890 */   GIR_AddImm8, /*InsnID*/5, /*Imm*/1,
     /* 312893 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312898 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312903 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 312908 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 312911 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv8i8_shift),
     /* 312915 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 312920 */   GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 312923 */   GIR_AddImm8, /*InsnID*/4, /*Imm*/0,
     /* 312926 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 312928 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 312931 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 312935 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 312940 */   GIR_AddTempSubRegister, /*InsnID*/3, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 312947 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312952 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 312957 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 312960 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 312964 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 312969 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 312972 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 312975 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 312977 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 312980 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 312984 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 312989 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 312996 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 313001 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313006 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i32),
     /* 313009 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 313011 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 313014 */   GIR_RootConstrainSelectedInstOperands,
     /* 313015 */   // GIR_Coverage, 6345,
     /* 313015 */   GIR_EraseRootFromParent_Done,
     /* 313016 */ // Label 6368: @313016
     /* 313016 */ GIM_Try, /*On fail goto*//*Label 6369*/ GIMT_Encode4(313254), // Rule ID 6346 //
     /* 313021 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 313024 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 313027 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 313031 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 313035 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 313039 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 313042 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 313049 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 313053 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 313055 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 313062 */   // (sint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$ext))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>)  =>  (SCVTFv1i32:{ *:[f32] } (EXTRACT_SUBREG:{ *:[f32] } (SSHLLv4i16_shift:{ *:[f128] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv8i8_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRBroX:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$ext), bsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }), 0:{ *:[i32] }), ssub:{ *:[i32] }))
     /* 313062 */   GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s8,
     /* 313065 */   GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::LDRBroX),
     /* 313069 */   GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313074 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 313079 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 313084 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // ext
     /* 313089 */   GIR_MergeMemOperands, /*InsnID*/7, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 313094 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 313096 */   GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s64,
     /* 313099 */   GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 313103 */   GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313108 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 313110 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s64,
     /* 313113 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 313117 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313122 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 313125 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /* 313128 */   GIR_AddImm8, /*InsnID*/5, /*Imm*/1,
     /* 313131 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 313136 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 313141 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 313146 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 313149 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv8i8_shift),
     /* 313153 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313158 */   GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 313161 */   GIR_AddImm8, /*InsnID*/4, /*Imm*/0,
     /* 313164 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 313166 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 313169 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 313173 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313178 */   GIR_AddTempSubRegister, /*InsnID*/3, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 313185 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 313190 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313195 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 313198 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 313202 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313207 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 313210 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 313213 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 313215 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 313218 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 313222 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313227 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 313234 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 313239 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313244 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i32),
     /* 313247 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 313249 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 313252 */   GIR_RootConstrainSelectedInstOperands,
     /* 313253 */   // GIR_Coverage, 6346,
     /* 313253 */   GIR_EraseRootFromParent_Done,
     /* 313254 */ // Label 6369: @313254
     /* 313254 */ GIM_Try, /*On fail goto*//*Label 6370*/ GIMT_Encode4(313443), // Rule ID 6349 //
     /* 313259 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 313262 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 313265 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 313269 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 313273 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 313277 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 313280 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 313287 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 313291 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 313293 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 313300 */   // (sint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$ext))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>)  =>  (SCVTFv1i32:{ *:[f32] } (EXTRACT_SUBREG:{ *:[f32] } (SSHLLv4i16_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$ext), hsub:{ *:[i32] }), 0:{ *:[i32] }), ssub:{ *:[i32] }))
     /* 313300 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /* 313303 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 313307 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313312 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 313317 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 313322 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // ext
     /* 313327 */   GIR_MergeMemOperands, /*InsnID*/5, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 313332 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 313334 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s64,
     /* 313337 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 313341 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313346 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 313348 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 313351 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 313355 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313360 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 313363 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/4,
     /* 313366 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/9,
     /* 313369 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 313374 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 313379 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 313384 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 313387 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 313391 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313396 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 313399 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 313402 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 313404 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 313407 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 313411 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313416 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 313423 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 313428 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313433 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i32),
     /* 313436 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 313438 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 313441 */   GIR_RootConstrainSelectedInstOperands,
     /* 313442 */   // GIR_Coverage, 6349,
     /* 313442 */   GIR_EraseRootFromParent_Done,
     /* 313443 */ // Label 6370: @313443
     /* 313443 */ GIM_Try, /*On fail goto*//*Label 6371*/ GIMT_Encode4(313632), // Rule ID 6350 //
     /* 313448 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 313451 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 313454 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 313458 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 313462 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 313466 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 313469 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 313476 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 313480 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 313482 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 313489 */   // (sint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$ext))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>)  =>  (SCVTFv1i32:{ *:[f32] } (EXTRACT_SUBREG:{ *:[f32] } (SSHLLv4i16_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$ext), hsub:{ *:[i32] }), 0:{ *:[i32] }), ssub:{ *:[i32] }))
     /* 313489 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /* 313492 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 313496 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313501 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 313506 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 313511 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // ext
     /* 313516 */   GIR_MergeMemOperands, /*InsnID*/5, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 313521 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 313523 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s64,
     /* 313526 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 313530 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313535 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 313537 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 313540 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 313544 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313549 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 313552 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/4,
     /* 313555 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/9,
     /* 313558 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 313563 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 313568 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 313573 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 313576 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 313580 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313585 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 313588 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 313591 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 313593 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 313596 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 313600 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313605 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 313612 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 313617 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313622 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i32),
     /* 313625 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 313627 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 313630 */   GIR_RootConstrainSelectedInstOperands,
     /* 313631 */   // GIR_Coverage, 6350,
     /* 313631 */   GIR_EraseRootFromParent_Done,
     /* 313632 */ // Label 6371: @313632
     /* 313632 */ GIM_Try, /*On fail goto*//*Label 6372*/ GIMT_Encode4(313865), // Rule ID 6347 //
     /* 313637 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 313640 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 313643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 313647 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 313651 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 313655 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 313658 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 313665 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 313669 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 313671 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 313678 */   // (sint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>)  =>  (SCVTFv1i32:{ *:[f32] } (EXTRACT_SUBREG:{ *:[f32] } (SSHLLv4i16_shift:{ *:[f128] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv8i8_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRBui:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), bsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }), 0:{ *:[i32] }), ssub:{ *:[i32] }))
     /* 313678 */   GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s8,
     /* 313681 */   GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::LDRBui),
     /* 313685 */   GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313690 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 313695 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 313700 */   GIR_MergeMemOperands, /*InsnID*/7, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 313705 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 313707 */   GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s64,
     /* 313710 */   GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 313714 */   GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313719 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 313721 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s64,
     /* 313724 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 313728 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313733 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 313736 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /* 313739 */   GIR_AddImm8, /*InsnID*/5, /*Imm*/1,
     /* 313742 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 313747 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 313752 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 313757 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 313760 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv8i8_shift),
     /* 313764 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313769 */   GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 313772 */   GIR_AddImm8, /*InsnID*/4, /*Imm*/0,
     /* 313775 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 313777 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 313780 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 313784 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313789 */   GIR_AddTempSubRegister, /*InsnID*/3, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 313796 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 313801 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313806 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 313809 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 313813 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313818 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 313821 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 313824 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 313826 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 313829 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 313833 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313838 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 313845 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 313850 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313855 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i32),
     /* 313858 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 313860 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 313863 */   GIR_RootConstrainSelectedInstOperands,
     /* 313864 */   // GIR_Coverage, 6347,
     /* 313864 */   GIR_EraseRootFromParent_Done,
     /* 313865 */ // Label 6372: @313865
     /* 313865 */ GIM_Try, /*On fail goto*//*Label 6373*/ GIMT_Encode4(314098), // Rule ID 6348 //
     /* 313870 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 313873 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 313876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 313880 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 313884 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 313888 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 313891 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 313898 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 313902 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 313904 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 313911 */   // (sint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>)  =>  (SCVTFv1i32:{ *:[f32] } (EXTRACT_SUBREG:{ *:[f32] } (SSHLLv4i16_shift:{ *:[f128] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv8i8_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDURBi:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), bsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }), 0:{ *:[i32] }), ssub:{ *:[i32] }))
     /* 313911 */   GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s8,
     /* 313914 */   GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::LDURBi),
     /* 313918 */   GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313923 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 313928 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 313933 */   GIR_MergeMemOperands, /*InsnID*/7, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 313938 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 313940 */   GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s64,
     /* 313943 */   GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 313947 */   GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313952 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 313954 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s64,
     /* 313957 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 313961 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313966 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 313969 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /* 313972 */   GIR_AddImm8, /*InsnID*/5, /*Imm*/1,
     /* 313975 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 313980 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 313985 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 313990 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 313993 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv8i8_shift),
     /* 313997 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314002 */   GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 314005 */   GIR_AddImm8, /*InsnID*/4, /*Imm*/0,
     /* 314008 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 314010 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 314013 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 314017 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314022 */   GIR_AddTempSubRegister, /*InsnID*/3, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 314029 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314034 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 314039 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 314042 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 314046 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314051 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 314054 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 314057 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 314059 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 314062 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 314066 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314071 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 314078 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 314083 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 314088 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i32),
     /* 314091 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 314093 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 314096 */   GIR_RootConstrainSelectedInstOperands,
     /* 314097 */   // GIR_Coverage, 6348,
     /* 314097 */   GIR_EraseRootFromParent_Done,
     /* 314098 */ // Label 6373: @314098
     /* 314098 */ GIM_Try, /*On fail goto*//*Label 6374*/ GIMT_Encode4(314282), // Rule ID 6351 //
     /* 314103 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 314106 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 314109 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 314113 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 314117 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 314121 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 314124 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 314131 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 314135 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 314137 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 314144 */   // (sint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>)  =>  (SCVTFv1i32:{ *:[f32] } (EXTRACT_SUBREG:{ *:[f32] } (SSHLLv4i16_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] }), 0:{ *:[i32] }), ssub:{ *:[i32] }))
     /* 314144 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /* 314147 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 314151 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314156 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 314161 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 314166 */   GIR_MergeMemOperands, /*InsnID*/5, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 314171 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 314173 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s64,
     /* 314176 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 314180 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314185 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 314187 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 314190 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 314194 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314199 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 314202 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/4,
     /* 314205 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/9,
     /* 314208 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314213 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314218 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 314223 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 314226 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 314230 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314235 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 314238 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 314241 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 314243 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 314246 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 314250 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314255 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 314262 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 314267 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 314272 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i32),
     /* 314275 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 314277 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 314280 */   GIR_RootConstrainSelectedInstOperands,
     /* 314281 */   // GIR_Coverage, 6351,
     /* 314281 */   GIR_EraseRootFromParent_Done,
     /* 314282 */ // Label 6374: @314282
     /* 314282 */ GIM_Try, /*On fail goto*//*Label 6375*/ GIMT_Encode4(314466), // Rule ID 6352 //
     /* 314287 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 314290 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 314293 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 314297 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 314301 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 314305 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 314308 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 314315 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 314319 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 314321 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 314328 */   // (sint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>)  =>  (SCVTFv1i32:{ *:[f32] } (EXTRACT_SUBREG:{ *:[f32] } (SSHLLv4i16_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] }), 0:{ *:[i32] }), ssub:{ *:[i32] }))
     /* 314328 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /* 314331 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 314335 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314340 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 314345 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 314350 */   GIR_MergeMemOperands, /*InsnID*/5, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 314355 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 314357 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s64,
     /* 314360 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 314364 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314369 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 314371 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 314374 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 314378 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314383 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 314386 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/4,
     /* 314389 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/9,
     /* 314392 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314397 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314402 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 314407 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 314410 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 314414 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314419 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 314422 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 314425 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 314427 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 314430 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 314434 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314439 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 314446 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 314451 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 314456 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i32),
     /* 314459 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 314461 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 314464 */   GIR_RootConstrainSelectedInstOperands,
     /* 314465 */   // GIR_Coverage, 6352,
     /* 314465 */   GIR_EraseRootFromParent_Done,
     /* 314466 */ // Label 6375: @314466
     /* 314466 */ GIM_Try, /*On fail goto*//*Label 6376*/ GIMT_Encode4(314546), // Rule ID 5304 //
     /* 314471 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 314474 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 314477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 314481 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 314485 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 314489 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 314493 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 314497 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 314502 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 314506 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 314508 */   // (sint_to_fp:{ *:[f32] } (vector_extract:{ *:[i32] } FPR128:{ *:[v4i32] }:$Rn, 0:{ *:[i64] }))  =>  (SCVTFv1i32:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } FPR128:{ *:[v4i32] }:$Rn, ssub:{ *:[i32] }))
     /* 314508 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 314511 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 314515 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314520 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 314526 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 314531 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 314536 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i32),
     /* 314539 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 314541 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 314544 */   GIR_RootConstrainSelectedInstOperands,
     /* 314545 */   // GIR_Coverage, 5304,
     /* 314545 */   GIR_EraseRootFromParent_Done,
     /* 314546 */ // Label 6376: @314546
     /* 314546 */ GIM_Try, /*On fail goto*//*Label 6377*/ GIMT_Encode4(314603), // Rule ID 5287 //
     /* 314551 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 314554 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 314557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 314561 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 314565 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPTOSI),
     /* 314569 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 314573 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 314575 */   // (sint_to_fp:{ *:[f32] } (fp_to_sint:{ *:[i32] } f32:{ *:[f32] }:$Rn))  =>  (SCVTFv1i32:{ *:[f32] } (FCVTZSv1i32:{ *:[i32] } f32:{ *:[f32] }:$Rn))
     /* 314575 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 314578 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv1i32),
     /* 314582 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314587 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 314591 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 314593 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i32),
     /* 314596 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 314598 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 314601 */   GIR_RootConstrainSelectedInstOperands,
     /* 314602 */   // GIR_Coverage, 5287,
     /* 314602 */   GIR_EraseRootFromParent_Done,
     /* 314603 */ // Label 6377: @314603
     /* 314603 */ GIM_Try, /*On fail goto*//*Label 6378*/ GIMT_Encode4(314633), // Rule ID 445 //
     /* 314608 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 314611 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 314614 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 314618 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 314622 */   // (sint_to_fp:{ *:[f32] } GPR32:{ *:[i32] }:$Rn)  =>  (SCVTFUWSri:{ *:[f32] } GPR32:{ *:[i32] }:$Rn)
     /* 314622 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFUWSri),
     /* 314627 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 314631 */   GIR_RootConstrainSelectedInstOperands,
     /* 314632 */   // GIR_Coverage, 445,
     /* 314632 */   GIR_Done,
     /* 314633 */ // Label 6378: @314633
     /* 314633 */ GIM_Try, /*On fail goto*//*Label 6379*/ GIMT_Encode4(314663), // Rule ID 451 //
     /* 314638 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 314641 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 314644 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 314648 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 314652 */   // (sint_to_fp:{ *:[f32] } GPR64:{ *:[i64] }:$Rn)  =>  (SCVTFUXSri:{ *:[f32] } GPR64:{ *:[i64] }:$Rn)
     /* 314652 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFUXSri),
     /* 314657 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 314661 */   GIR_RootConstrainSelectedInstOperands,
     /* 314662 */   // GIR_Coverage, 451,
     /* 314662 */   GIR_Done,
     /* 314663 */ // Label 6379: @314663
     /* 314663 */ GIM_Try, /*On fail goto*//*Label 6380*/ GIMT_Encode4(314693), // Rule ID 497 //
     /* 314668 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 314671 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 314674 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 314678 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314682 */   // (sint_to_fp:{ *:[f32] } FPR64:{ *:[i64] }:$Rn)  =>  (SCVTFSDr:{ *:[f32] } FPR64:{ *:[i64] }:$Rn)
     /* 314682 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFSDr),
     /* 314687 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 314691 */   GIR_RootConstrainSelectedInstOperands,
     /* 314692 */   // GIR_Coverage, 497,
     /* 314692 */   GIR_Done,
     /* 314693 */ // Label 6380: @314693
     /* 314693 */ GIM_Reject,
     /* 314694 */ // Label 6355: @314694
     /* 314694 */ GIM_Try, /*On fail goto*//*Label 6381*/ GIMT_Encode4(314880), // Rule ID 6357 //
     /* 314699 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 314702 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 314705 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314709 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 314713 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 314717 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 314720 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 314724 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 314728 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 314730 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 314737 */   // (sint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$ext))<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (SCVTFv1i64:{ *:[f64] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv2i32_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$ext), ssub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }))
     /* 314737 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 314740 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 314744 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314749 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 314754 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 314759 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // ext
     /* 314764 */   GIR_MergeMemOperands, /*InsnID*/5, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 314769 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 314771 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s64,
     /* 314774 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 314778 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314783 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 314785 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 314788 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 314792 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314797 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 314800 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/4,
     /* 314803 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/18,
     /* 314806 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314811 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314816 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 314821 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 314824 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv2i32_shift),
     /* 314828 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314833 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 314836 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 314839 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 314841 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 314844 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 314848 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314853 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 314860 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314865 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 314870 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i64),
     /* 314873 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 314875 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 314878 */   GIR_RootConstrainSelectedInstOperands,
     /* 314879 */   // GIR_Coverage, 6357,
     /* 314879 */   GIR_EraseRootFromParent_Done,
     /* 314880 */ // Label 6381: @314880
     /* 314880 */ GIM_Try, /*On fail goto*//*Label 6382*/ GIMT_Encode4(315066), // Rule ID 6358 //
     /* 314885 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 314888 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 314891 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314895 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 314899 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 314903 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 314906 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 314910 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 314914 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 314916 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 314923 */   // (sint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$ext))<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (SCVTFv1i64:{ *:[f64] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv2i32_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$ext), ssub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }))
     /* 314923 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 314926 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 314930 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314935 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 314940 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 314945 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // ext
     /* 314950 */   GIR_MergeMemOperands, /*InsnID*/5, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 314955 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 314957 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s64,
     /* 314960 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 314964 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314969 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 314971 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 314974 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 314978 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314983 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 314986 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/4,
     /* 314989 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/18,
     /* 314992 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314997 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315002 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 315007 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 315010 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv2i32_shift),
     /* 315014 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315019 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 315022 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 315025 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 315027 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 315030 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 315034 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315039 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 315046 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315051 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 315056 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i64),
     /* 315059 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 315061 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 315064 */   GIR_RootConstrainSelectedInstOperands,
     /* 315065 */   // GIR_Coverage, 6358,
     /* 315065 */   GIR_EraseRootFromParent_Done,
     /* 315066 */ // Label 6382: @315066
     /* 315066 */ GIM_Try, /*On fail goto*//*Label 6383*/ GIMT_Encode4(315304), // Rule ID 6353 //
     /* 315071 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 315074 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 315077 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315081 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 315085 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 315089 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 315092 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 315099 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 315103 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 315105 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 315112 */   // (sint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$ext))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>)  =>  (SCVTFv1i64:{ *:[f64] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv2i32_shift:{ *:[f128] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv4i16_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$ext), hsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }))
     /* 315112 */   GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s16,
     /* 315115 */   GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 315119 */   GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315124 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 315129 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 315134 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // ext
     /* 315139 */   GIR_MergeMemOperands, /*InsnID*/7, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 315144 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 315146 */   GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s64,
     /* 315149 */   GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 315153 */   GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315158 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 315160 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s64,
     /* 315163 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 315167 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315172 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 315175 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /* 315178 */   GIR_AddImm8, /*InsnID*/5, /*Imm*/9,
     /* 315181 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315186 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315191 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 315196 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 315199 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 315203 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315208 */   GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 315211 */   GIR_AddImm8, /*InsnID*/4, /*Imm*/0,
     /* 315214 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 315216 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 315219 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 315223 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315228 */   GIR_AddTempSubRegister, /*InsnID*/3, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 315235 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315240 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 315245 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 315248 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv2i32_shift),
     /* 315252 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315257 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 315260 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 315263 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 315265 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 315268 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 315272 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315277 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 315284 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315289 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 315294 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i64),
     /* 315297 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 315299 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 315302 */   GIR_RootConstrainSelectedInstOperands,
     /* 315303 */   // GIR_Coverage, 6353,
     /* 315303 */   GIR_EraseRootFromParent_Done,
     /* 315304 */ // Label 6383: @315304
     /* 315304 */ GIM_Try, /*On fail goto*//*Label 6384*/ GIMT_Encode4(315542), // Rule ID 6354 //
     /* 315309 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 315312 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 315315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315319 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 315323 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 315327 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 315330 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 315337 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 315341 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 315343 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 315350 */   // (sint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$ext))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>)  =>  (SCVTFv1i64:{ *:[f64] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv2i32_shift:{ *:[f128] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv4i16_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$ext), hsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }))
     /* 315350 */   GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s16,
     /* 315353 */   GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 315357 */   GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315362 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 315367 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 315372 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // ext
     /* 315377 */   GIR_MergeMemOperands, /*InsnID*/7, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 315382 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 315384 */   GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s64,
     /* 315387 */   GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 315391 */   GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315396 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 315398 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s64,
     /* 315401 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 315405 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315410 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 315413 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /* 315416 */   GIR_AddImm8, /*InsnID*/5, /*Imm*/9,
     /* 315419 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315424 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315429 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 315434 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 315437 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 315441 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315446 */   GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 315449 */   GIR_AddImm8, /*InsnID*/4, /*Imm*/0,
     /* 315452 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 315454 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 315457 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 315461 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315466 */   GIR_AddTempSubRegister, /*InsnID*/3, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 315473 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315478 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 315483 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 315486 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv2i32_shift),
     /* 315490 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315495 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 315498 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 315501 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 315503 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 315506 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 315510 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315515 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 315522 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315527 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 315532 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i64),
     /* 315535 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 315537 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 315540 */   GIR_RootConstrainSelectedInstOperands,
     /* 315541 */   // GIR_Coverage, 6354,
     /* 315541 */   GIR_EraseRootFromParent_Done,
     /* 315542 */ // Label 6384: @315542
     /* 315542 */ GIM_Try, /*On fail goto*//*Label 6385*/ GIMT_Encode4(315723), // Rule ID 6359 //
     /* 315547 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 315550 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 315553 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315557 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 315561 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 315565 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 315568 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 315572 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 315576 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 315578 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 315585 */   // (sint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (SCVTFv1i64:{ *:[f64] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv2i32_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }))
     /* 315585 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 315588 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 315592 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315597 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 315602 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 315607 */   GIR_MergeMemOperands, /*InsnID*/5, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 315612 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 315614 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s64,
     /* 315617 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 315621 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315626 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 315628 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 315631 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 315635 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315640 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 315643 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/4,
     /* 315646 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/18,
     /* 315649 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315654 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315659 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 315664 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 315667 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv2i32_shift),
     /* 315671 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315676 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 315679 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 315682 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 315684 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 315687 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 315691 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315696 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 315703 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315708 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 315713 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i64),
     /* 315716 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 315718 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 315721 */   GIR_RootConstrainSelectedInstOperands,
     /* 315722 */   // GIR_Coverage, 6359,
     /* 315722 */   GIR_EraseRootFromParent_Done,
     /* 315723 */ // Label 6385: @315723
     /* 315723 */ GIM_Try, /*On fail goto*//*Label 6386*/ GIMT_Encode4(315904), // Rule ID 6360 //
     /* 315728 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 315731 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 315734 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315738 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 315742 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 315746 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 315749 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 315753 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 315757 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 315759 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 315766 */   // (sint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (SCVTFv1i64:{ *:[f64] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv2i32_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }))
     /* 315766 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 315769 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 315773 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315778 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 315783 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 315788 */   GIR_MergeMemOperands, /*InsnID*/5, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 315793 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 315795 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s64,
     /* 315798 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 315802 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315807 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 315809 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 315812 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 315816 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315821 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 315824 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/4,
     /* 315827 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/18,
     /* 315830 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315835 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315840 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 315845 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 315848 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv2i32_shift),
     /* 315852 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315857 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 315860 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 315863 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 315865 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 315868 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 315872 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315877 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 315884 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315889 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 315894 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i64),
     /* 315897 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 315899 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 315902 */   GIR_RootConstrainSelectedInstOperands,
     /* 315903 */   // GIR_Coverage, 6360,
     /* 315903 */   GIR_EraseRootFromParent_Done,
     /* 315904 */ // Label 6386: @315904
     /* 315904 */ GIM_Try, /*On fail goto*//*Label 6387*/ GIMT_Encode4(316137), // Rule ID 6355 //
     /* 315909 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 315912 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 315915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315919 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 315923 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 315927 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 315930 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 315937 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 315941 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 315943 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 315950 */   // (sint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>)  =>  (SCVTFv1i64:{ *:[f64] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv2i32_shift:{ *:[f128] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv4i16_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }))
     /* 315950 */   GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s16,
     /* 315953 */   GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 315957 */   GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315962 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 315967 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 315972 */   GIR_MergeMemOperands, /*InsnID*/7, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 315977 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 315979 */   GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s64,
     /* 315982 */   GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 315986 */   GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315991 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 315993 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s64,
     /* 315996 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 316000 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316005 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 316008 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /* 316011 */   GIR_AddImm8, /*InsnID*/5, /*Imm*/9,
     /* 316014 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316019 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316024 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 316029 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 316032 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 316036 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316041 */   GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 316044 */   GIR_AddImm8, /*InsnID*/4, /*Imm*/0,
     /* 316047 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 316049 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 316052 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 316056 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316061 */   GIR_AddTempSubRegister, /*InsnID*/3, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 316068 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316073 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 316078 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 316081 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv2i32_shift),
     /* 316085 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316090 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 316093 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 316096 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 316098 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 316101 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 316105 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316110 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 316117 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316122 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 316127 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i64),
     /* 316130 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 316132 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 316135 */   GIR_RootConstrainSelectedInstOperands,
     /* 316136 */   // GIR_Coverage, 6355,
     /* 316136 */   GIR_EraseRootFromParent_Done,
     /* 316137 */ // Label 6387: @316137
     /* 316137 */ GIM_Try, /*On fail goto*//*Label 6388*/ GIMT_Encode4(316370), // Rule ID 6356 //
     /* 316142 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 316145 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 316148 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316152 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 316156 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 316160 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 316163 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 316170 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 316174 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 316176 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 316183 */   // (sint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>)  =>  (SCVTFv1i64:{ *:[f64] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv2i32_shift:{ *:[f128] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv4i16_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }))
     /* 316183 */   GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s16,
     /* 316186 */   GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 316190 */   GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316195 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 316200 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 316205 */   GIR_MergeMemOperands, /*InsnID*/7, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 316210 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 316212 */   GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s64,
     /* 316215 */   GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 316219 */   GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316224 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 316226 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s64,
     /* 316229 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 316233 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316238 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 316241 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /* 316244 */   GIR_AddImm8, /*InsnID*/5, /*Imm*/9,
     /* 316247 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316252 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316257 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 316262 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 316265 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 316269 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316274 */   GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 316277 */   GIR_AddImm8, /*InsnID*/4, /*Imm*/0,
     /* 316280 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 316282 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 316285 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 316289 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316294 */   GIR_AddTempSubRegister, /*InsnID*/3, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 316301 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316306 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 316311 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 316314 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv2i32_shift),
     /* 316318 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316323 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 316326 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 316329 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 316331 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 316334 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 316338 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316343 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 316350 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316355 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 316360 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i64),
     /* 316363 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 316365 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 316368 */   GIR_RootConstrainSelectedInstOperands,
     /* 316369 */   // GIR_Coverage, 6356,
     /* 316369 */   GIR_EraseRootFromParent_Done,
     /* 316370 */ // Label 6388: @316370
     /* 316370 */ GIM_Try, /*On fail goto*//*Label 6389*/ GIMT_Encode4(316450), // Rule ID 5306 //
     /* 316375 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 316378 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 316381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316385 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 316389 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 316393 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 316397 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 316401 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 316406 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 316410 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 316412 */   // (sint_to_fp:{ *:[f64] } (vector_extract:{ *:[i64] } FPR128:{ *:[v2i64] }:$Rn, 0:{ *:[i64] }))  =>  (SCVTFv1i64:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } FPR128:{ *:[v2i64] }:$Rn, dsub:{ *:[i32] }))
     /* 316412 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 316415 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 316419 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316424 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 316430 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316435 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 316440 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i64),
     /* 316443 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 316445 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 316448 */   GIR_RootConstrainSelectedInstOperands,
     /* 316449 */   // GIR_Coverage, 5306,
     /* 316449 */   GIR_EraseRootFromParent_Done,
     /* 316450 */ // Label 6389: @316450
     /* 316450 */ GIM_Try, /*On fail goto*//*Label 6390*/ GIMT_Encode4(316507), // Rule ID 5283 //
     /* 316455 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 316458 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 316461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316465 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 316469 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPTOSI),
     /* 316473 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 316477 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 316479 */   // (sint_to_fp:{ *:[f64] } (fp_to_sint:{ *:[i64] } f64:{ *:[f64] }:$Rn))  =>  (SCVTFv1i64:{ *:[f64] } (FCVTZSv1i64:{ *:[i64] } f64:{ *:[f64] }:$Rn))
     /* 316479 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 316482 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv1i64),
     /* 316486 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316491 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 316495 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 316497 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i64),
     /* 316500 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 316502 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 316505 */   GIR_RootConstrainSelectedInstOperands,
     /* 316506 */   // GIR_Coverage, 5283,
     /* 316506 */   GIR_EraseRootFromParent_Done,
     /* 316507 */ // Label 6390: @316507
     /* 316507 */ GIM_Try, /*On fail goto*//*Label 6391*/ GIMT_Encode4(316537), // Rule ID 447 //
     /* 316512 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 316515 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 316518 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316522 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 316526 */   // (sint_to_fp:{ *:[f64] } GPR32:{ *:[i32] }:$Rn)  =>  (SCVTFUWDri:{ *:[f64] } GPR32:{ *:[i32] }:$Rn)
     /* 316526 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFUWDri),
     /* 316531 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 316535 */   GIR_RootConstrainSelectedInstOperands,
     /* 316536 */   // GIR_Coverage, 447,
     /* 316536 */   GIR_Done,
     /* 316537 */ // Label 6391: @316537
     /* 316537 */ GIM_Try, /*On fail goto*//*Label 6392*/ GIMT_Encode4(316567), // Rule ID 453 //
     /* 316542 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 316545 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 316548 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316552 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 316556 */   // (sint_to_fp:{ *:[f64] } GPR64:{ *:[i64] }:$Rn)  =>  (SCVTFUXDri:{ *:[f64] } GPR64:{ *:[i64] }:$Rn)
     /* 316556 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFUXDri),
     /* 316561 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 316565 */   GIR_RootConstrainSelectedInstOperands,
     /* 316566 */   // GIR_Coverage, 453,
     /* 316566 */   GIR_Done,
     /* 316567 */ // Label 6392: @316567
     /* 316567 */ GIM_Try, /*On fail goto*//*Label 6393*/ GIMT_Encode4(316597), // Rule ID 493 //
     /* 316572 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 316575 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 316578 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316582 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 316586 */   // (sint_to_fp:{ *:[f64] } FPR32:{ *:[i32] }:$Rn)  =>  (SCVTFDSr:{ *:[f64] } FPR32:{ *:[i32] }:$Rn)
     /* 316586 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFDSr),
     /* 316591 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 316595 */   GIR_RootConstrainSelectedInstOperands,
     /* 316596 */   // GIR_Coverage, 493,
     /* 316596 */   GIR_Done,
     /* 316597 */ // Label 6393: @316597
     /* 316597 */ GIM_Reject,
     /* 316598 */ // Label 6356: @316598
     /* 316598 */ GIM_Try, /*On fail goto*//*Label 6394*/ GIMT_Encode4(316628), // Rule ID 1017 //
     /* 316603 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 316606 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 316609 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316613 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316617 */   // (sint_to_fp:{ *:[v2f32] } V64:{ *:[v2i32] }:$Rn)  =>  (SCVTFv2f32:{ *:[v2f32] } V64:{ *:[v2i32] }:$Rn)
     /* 316617 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv2f32),
     /* 316622 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 316626 */   GIR_RootConstrainSelectedInstOperands,
     /* 316627 */   // GIR_Coverage, 1017,
     /* 316627 */   GIR_Done,
     /* 316628 */ // Label 6394: @316628
     /* 316628 */ GIM_Reject,
     /* 316629 */ // Label 6357: @316629
     /* 316629 */ GIM_Try, /*On fail goto*//*Label 6395*/ GIMT_Encode4(316659), // Rule ID 1021 //
     /* 316634 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 316637 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 316640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 316644 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 316648 */   // (sint_to_fp:{ *:[v2f64] } V128:{ *:[v2i64] }:$Rn)  =>  (SCVTFv2f64:{ *:[v2f64] } V128:{ *:[v2i64] }:$Rn)
     /* 316648 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv2f64),
     /* 316653 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 316657 */   GIR_RootConstrainSelectedInstOperands,
     /* 316658 */   // GIR_Coverage, 1021,
     /* 316658 */   GIR_Done,
     /* 316659 */ // Label 6395: @316659
     /* 316659 */ GIM_Reject,
     /* 316660 */ // Label 6358: @316660
     /* 316660 */ GIM_Try, /*On fail goto*//*Label 6396*/ GIMT_Encode4(316690), // Rule ID 1013 //
     /* 316665 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 316668 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 316671 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316675 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316679 */   // (sint_to_fp:{ *:[v4f16] } V64:{ *:[v4i16] }:$Rn)  =>  (SCVTFv4f16:{ *:[v4f16] } V64:{ *:[v4i16] }:$Rn)
     /* 316679 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv4f16),
     /* 316684 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 316688 */   GIR_RootConstrainSelectedInstOperands,
     /* 316689 */   // GIR_Coverage, 1013,
     /* 316689 */   GIR_Done,
     /* 316690 */ // Label 6396: @316690
     /* 316690 */ GIM_Reject,
     /* 316691 */ // Label 6359: @316691
     /* 316691 */ GIM_Try, /*On fail goto*//*Label 6397*/ GIMT_Encode4(316721), // Rule ID 1019 //
     /* 316696 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 316699 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 316702 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 316706 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 316710 */   // (sint_to_fp:{ *:[v4f32] } V128:{ *:[v4i32] }:$Rn)  =>  (SCVTFv4f32:{ *:[v4f32] } V128:{ *:[v4i32] }:$Rn)
     /* 316710 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv4f32),
     /* 316715 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 316719 */   GIR_RootConstrainSelectedInstOperands,
     /* 316720 */   // GIR_Coverage, 1019,
     /* 316720 */   GIR_Done,
     /* 316721 */ // Label 6397: @316721
     /* 316721 */ GIM_Reject,
     /* 316722 */ // Label 6360: @316722
     /* 316722 */ GIM_Try, /*On fail goto*//*Label 6398*/ GIMT_Encode4(316752), // Rule ID 1015 //
     /* 316727 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 316730 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 316733 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 316737 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 316741 */   // (sint_to_fp:{ *:[v8f16] } V128:{ *:[v8i16] }:$Rn)  =>  (SCVTFv8f16:{ *:[v8f16] } V128:{ *:[v8i16] }:$Rn)
     /* 316741 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv8f16),
     /* 316746 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 316750 */   GIR_RootConstrainSelectedInstOperands,
     /* 316751 */   // GIR_Coverage, 1015,
     /* 316751 */   GIR_Done,
     /* 316752 */ // Label 6398: @316752
     /* 316752 */ GIM_Reject,
     /* 316753 */ // Label 6361: @316753
     /* 316753 */ GIM_Reject,
     /* 316754 */ // Label 68: @316754
     /* 316754 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6407*/ GIMT_Encode4(320439),
     /* 316765 */ /*GILLT_s16*//*Label 6399*/ GIMT_Encode4(316805),
     /* 316769 */ /*GILLT_s32*//*Label 6400*/ GIMT_Encode4(317090),
     /* 316773 */ /*GILLT_s64*//*Label 6401*/ GIMT_Encode4(318418), GIMT_Encode4(0),
     /* 316781 */ /*GILLT_v2s32*//*Label 6402*/ GIMT_Encode4(320284),
     /* 316785 */ /*GILLT_v2s64*//*Label 6403*/ GIMT_Encode4(320315),
     /* 316789 */ /*GILLT_v4s16*//*Label 6404*/ GIMT_Encode4(320346),
     /* 316793 */ /*GILLT_v4s32*//*Label 6405*/ GIMT_Encode4(320377), GIMT_Encode4(0),
     /* 316801 */ /*GILLT_v8s16*//*Label 6406*/ GIMT_Encode4(320408),
     /* 316805 */ // Label 6399: @316805
     /* 316805 */ GIM_Try, /*On fail goto*//*Label 6408*/ GIMT_Encode4(316912), // Rule ID 5309 //
     /* 316810 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEONandIsSME2p2StreamingSafe),
     /* 316813 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 316816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 316820 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 316824 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 316828 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 316832 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 316836 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 316840 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 316844 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 316848 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 316852 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 316857 */   GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 316861 */   GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /* 316872 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 316874 */   // (uint_to_fp:{ *:[f16] } (and:{ *:[i32] } (vector_extract:{ *:[i32] } FPR128:{ *:[v8i16] }:$Rn, 0:{ *:[i64] }), 65535:{ *:[i32] }))  =>  (UCVTFv1i16:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } FPR128:{ *:[v8i16] }:$Rn, hsub:{ *:[i32] }))
     /* 316874 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 316877 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 316881 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316886 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 316892 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 316897 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 316902 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i16),
     /* 316905 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 316907 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 316910 */   GIR_RootConstrainSelectedInstOperands,
     /* 316911 */   // GIR_Coverage, 5309,
     /* 316911 */   GIR_EraseRootFromParent_Done,
     /* 316912 */ // Label 6408: @316912
     /* 316912 */ GIM_Try, /*On fail goto*//*Label 6409*/ GIMT_Encode4(316969), // Rule ID 5303 //
     /* 316917 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEONandIsSME2p2StreamingSafe),
     /* 316920 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 316923 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 316927 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 316931 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPTOUI),
     /* 316935 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 316939 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 316941 */   // (uint_to_fp:{ *:[f16] } (fp_to_uint:{ *:[i32] } f16:{ *:[f16] }:$Rn))  =>  (UCVTFv1i16:{ *:[f16] } (FCVTZUv1f16:{ *:[f16] } f16:{ *:[f16] }:$Rn))
     /* 316941 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 316944 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv1f16),
     /* 316948 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316953 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 316957 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 316959 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i16),
     /* 316962 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 316964 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 316967 */   GIR_RootConstrainSelectedInstOperands,
     /* 316968 */   // GIR_Coverage, 5303,
     /* 316968 */   GIR_EraseRootFromParent_Done,
     /* 316969 */ // Label 6409: @316969
     /* 316969 */ GIM_Try, /*On fail goto*//*Label 6410*/ GIMT_Encode4(316999), // Rule ID 467 //
     /* 316974 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 316977 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 316980 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 316984 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 316988 */   // (uint_to_fp:{ *:[f16] } GPR32:{ *:[i32] }:$Rn)  =>  (UCVTFUWHri:{ *:[f16] } GPR32:{ *:[i32] }:$Rn)
     /* 316988 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFUWHri),
     /* 316993 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 316997 */   GIR_RootConstrainSelectedInstOperands,
     /* 316998 */   // GIR_Coverage, 467,
     /* 316998 */   GIR_Done,
     /* 316999 */ // Label 6410: @316999
     /* 316999 */ GIM_Try, /*On fail goto*//*Label 6411*/ GIMT_Encode4(317029), // Rule ID 473 //
     /* 317004 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 317007 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 317010 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 317014 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 317018 */   // (uint_to_fp:{ *:[f16] } GPR64:{ *:[i64] }:$Rn)  =>  (UCVTFUXHri:{ *:[f16] } GPR64:{ *:[i64] }:$Rn)
     /* 317018 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFUXHri),
     /* 317023 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 317027 */   GIR_RootConstrainSelectedInstOperands,
     /* 317028 */   // GIR_Coverage, 473,
     /* 317028 */   GIR_Done,
     /* 317029 */ // Label 6411: @317029
     /* 317029 */ GIM_Try, /*On fail goto*//*Label 6412*/ GIMT_Encode4(317059), // Rule ID 499 //
     /* 317034 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 317037 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 317040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 317044 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 317048 */   // (uint_to_fp:{ *:[f16] } FPR32:{ *:[i32] }:$Rn)  =>  (UCVTFHSr:{ *:[f16] } FPR32:{ *:[i32] }:$Rn)
     /* 317048 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFHSr),
     /* 317053 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 317057 */   GIR_RootConstrainSelectedInstOperands,
     /* 317058 */   // GIR_Coverage, 499,
     /* 317058 */   GIR_Done,
     /* 317059 */ // Label 6412: @317059
     /* 317059 */ GIM_Try, /*On fail goto*//*Label 6413*/ GIMT_Encode4(317089), // Rule ID 503 //
     /* 317064 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 317067 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 317070 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 317074 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317078 */   // (uint_to_fp:{ *:[f16] } FPR64:{ *:[i64] }:$Rn)  =>  (UCVTFHDr:{ *:[f16] } FPR64:{ *:[i64] }:$Rn)
     /* 317078 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFHDr),
     /* 317083 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 317087 */   GIR_RootConstrainSelectedInstOperands,
     /* 317088 */   // GIR_Coverage, 503,
     /* 317088 */   GIR_Done,
     /* 317089 */ // Label 6413: @317089
     /* 317089 */ GIM_Reject,
     /* 317090 */ // Label 6400: @317090
     /* 317090 */ GIM_Try, /*On fail goto*//*Label 6414*/ GIMT_Encode4(317230), // Rule ID 5310 //
     /* 317095 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 317098 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 317101 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 317105 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 317109 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 317113 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 317116 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 317123 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 317127 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 317129 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 317136 */   // (uint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>)  =>  (UCVTFv1i32:{ *:[f32] } (INSERT_SUBREG:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), (LDRBroW:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] }))
     /* 317136 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 317139 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRBroW),
     /* 317143 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317148 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 317153 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 317158 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 317163 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 317168 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 317170 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 317173 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 317177 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317182 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 317184 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 317187 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 317191 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317196 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 317199 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 317202 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 317205 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 317210 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 317215 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 317220 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i32),
     /* 317223 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 317225 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 317228 */   GIR_RootConstrainSelectedInstOperands,
     /* 317229 */   // GIR_Coverage, 5310,
     /* 317229 */   GIR_EraseRootFromParent_Done,
     /* 317230 */ // Label 6414: @317230
     /* 317230 */ GIM_Try, /*On fail goto*//*Label 6415*/ GIMT_Encode4(317370), // Rule ID 5311 //
     /* 317235 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 317238 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 317241 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 317245 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 317249 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 317253 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 317256 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 317263 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 317267 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 317269 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 317276 */   // (uint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>)  =>  (UCVTFv1i32:{ *:[f32] } (INSERT_SUBREG:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), (LDRBroX:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] }))
     /* 317276 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 317279 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRBroX),
     /* 317283 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317288 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 317293 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 317298 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 317303 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 317308 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 317310 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 317313 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 317317 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317322 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 317324 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 317327 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 317331 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317336 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 317339 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 317342 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 317345 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 317350 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 317355 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 317360 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i32),
     /* 317363 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 317365 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 317368 */   GIR_RootConstrainSelectedInstOperands,
     /* 317369 */   // GIR_Coverage, 5311,
     /* 317369 */   GIR_EraseRootFromParent_Done,
     /* 317370 */ // Label 6415: @317370
     /* 317370 */ GIM_Try, /*On fail goto*//*Label 6416*/ GIMT_Encode4(317510), // Rule ID 5314 //
     /* 317375 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 317378 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 317381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 317385 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 317389 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 317393 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 317396 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 317403 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 317407 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 317409 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 317416 */   // (uint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>)  =>  (UCVTFv1i32:{ *:[f32] } (INSERT_SUBREG:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] }))
     /* 317416 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 317419 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 317423 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317428 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 317433 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 317438 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 317443 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 317448 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 317450 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 317453 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 317457 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317462 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 317464 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 317467 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 317471 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317476 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 317479 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 317482 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 317485 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 317490 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 317495 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 317500 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i32),
     /* 317503 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 317505 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 317508 */   GIR_RootConstrainSelectedInstOperands,
     /* 317509 */   // GIR_Coverage, 5314,
     /* 317509 */   GIR_EraseRootFromParent_Done,
     /* 317510 */ // Label 6416: @317510
     /* 317510 */ GIM_Try, /*On fail goto*//*Label 6417*/ GIMT_Encode4(317650), // Rule ID 5315 //
     /* 317515 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 317518 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 317521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 317525 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 317529 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 317533 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 317536 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 317543 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 317547 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 317549 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 317556 */   // (uint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>)  =>  (UCVTFv1i32:{ *:[f32] } (INSERT_SUBREG:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] }))
     /* 317556 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 317559 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 317563 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317568 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 317573 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 317578 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 317583 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 317588 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 317590 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 317593 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 317597 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317602 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 317604 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 317607 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 317611 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317616 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 317619 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 317622 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 317625 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 317630 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 317635 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 317640 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i32),
     /* 317643 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 317645 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 317648 */   GIR_RootConstrainSelectedInstOperands,
     /* 317649 */   // GIR_Coverage, 5315,
     /* 317649 */   GIR_EraseRootFromParent_Done,
     /* 317650 */ // Label 6417: @317650
     /* 317650 */ GIM_Try, /*On fail goto*//*Label 6418*/ GIMT_Encode4(317785), // Rule ID 5312 //
     /* 317655 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 317658 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 317661 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 317665 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 317669 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 317673 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 317676 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 317683 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 317687 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 317689 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 317696 */   // (uint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>)  =>  (UCVTFv1i32:{ *:[f32] } (INSERT_SUBREG:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), (LDRBui:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), bsub:{ *:[i32] }))
     /* 317696 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 317699 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRBui),
     /* 317703 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317708 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 317713 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 317718 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 317723 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 317725 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 317728 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 317732 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317737 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 317739 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 317742 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 317746 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317751 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 317754 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 317757 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 317760 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 317765 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 317770 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 317775 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i32),
     /* 317778 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 317780 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 317783 */   GIR_RootConstrainSelectedInstOperands,
     /* 317784 */   // GIR_Coverage, 5312,
     /* 317784 */   GIR_EraseRootFromParent_Done,
     /* 317785 */ // Label 6418: @317785
     /* 317785 */ GIM_Try, /*On fail goto*//*Label 6419*/ GIMT_Encode4(317920), // Rule ID 5313 //
     /* 317790 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 317793 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 317796 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 317800 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 317804 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 317808 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 317811 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 317818 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 317822 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 317824 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 317831 */   // (uint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>)  =>  (UCVTFv1i32:{ *:[f32] } (INSERT_SUBREG:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), (LDURBi:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), bsub:{ *:[i32] }))
     /* 317831 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 317834 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDURBi),
     /* 317838 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317843 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 317848 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 317853 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 317858 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 317860 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 317863 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 317867 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317872 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 317874 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 317877 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 317881 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317886 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 317889 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 317892 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 317895 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 317900 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 317905 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 317910 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i32),
     /* 317913 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 317915 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 317918 */   GIR_RootConstrainSelectedInstOperands,
     /* 317919 */   // GIR_Coverage, 5313,
     /* 317919 */   GIR_EraseRootFromParent_Done,
     /* 317920 */ // Label 6419: @317920
     /* 317920 */ GIM_Try, /*On fail goto*//*Label 6420*/ GIMT_Encode4(318055), // Rule ID 5316 //
     /* 317925 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 317928 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 317931 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 317935 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 317939 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 317943 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 317946 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 317953 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 317957 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 317959 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 317966 */   // (uint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>)  =>  (UCVTFv1i32:{ *:[f32] } (INSERT_SUBREG:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] }))
     /* 317966 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 317969 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 317973 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317978 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 317983 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 317988 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 317993 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 317995 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 317998 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 318002 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318007 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 318009 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 318012 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 318016 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318021 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 318024 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 318027 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 318030 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 318035 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 318040 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 318045 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i32),
     /* 318048 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 318050 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 318053 */   GIR_RootConstrainSelectedInstOperands,
     /* 318054 */   // GIR_Coverage, 5316,
     /* 318054 */   GIR_EraseRootFromParent_Done,
     /* 318055 */ // Label 6420: @318055
     /* 318055 */ GIM_Try, /*On fail goto*//*Label 6421*/ GIMT_Encode4(318190), // Rule ID 5317 //
     /* 318060 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 318063 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 318066 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 318070 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 318074 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 318078 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 318081 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 318088 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 318092 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 318094 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 318101 */   // (uint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>)  =>  (UCVTFv1i32:{ *:[f32] } (INSERT_SUBREG:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] }))
     /* 318101 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 318104 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 318108 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318113 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 318118 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 318123 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 318128 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 318130 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 318133 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 318137 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318142 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 318144 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 318147 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 318151 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318156 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 318159 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 318162 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 318165 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 318170 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 318175 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 318180 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i32),
     /* 318183 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 318185 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 318188 */   GIR_RootConstrainSelectedInstOperands,
     /* 318189 */   // GIR_Coverage, 5317,
     /* 318189 */   GIR_EraseRootFromParent_Done,
     /* 318190 */ // Label 6421: @318190
     /* 318190 */ GIM_Try, /*On fail goto*//*Label 6422*/ GIMT_Encode4(318270), // Rule ID 5305 //
     /* 318195 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 318198 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 318201 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 318205 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 318209 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 318213 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 318217 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 318221 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 318226 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 318230 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 318232 */   // (uint_to_fp:{ *:[f32] } (vector_extract:{ *:[i32] } FPR128:{ *:[v4i32] }:$Rn, 0:{ *:[i64] }))  =>  (UCVTFv1i32:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } FPR128:{ *:[v4i32] }:$Rn, ssub:{ *:[i32] }))
     /* 318232 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 318235 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 318239 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318244 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 318250 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 318255 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 318260 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i32),
     /* 318263 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 318265 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 318268 */   GIR_RootConstrainSelectedInstOperands,
     /* 318269 */   // GIR_Coverage, 5305,
     /* 318269 */   GIR_EraseRootFromParent_Done,
     /* 318270 */ // Label 6422: @318270
     /* 318270 */ GIM_Try, /*On fail goto*//*Label 6423*/ GIMT_Encode4(318327), // Rule ID 5295 //
     /* 318275 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 318278 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 318281 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 318285 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 318289 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPTOUI),
     /* 318293 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 318297 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 318299 */   // (uint_to_fp:{ *:[f32] } (fp_to_uint:{ *:[i32] } f32:{ *:[f32] }:$Rn))  =>  (UCVTFv1i32:{ *:[f32] } (FCVTZUv1i32:{ *:[i32] } f32:{ *:[f32] }:$Rn))
     /* 318299 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 318302 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv1i32),
     /* 318306 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318311 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 318315 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 318317 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i32),
     /* 318320 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 318322 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 318325 */   GIR_RootConstrainSelectedInstOperands,
     /* 318326 */   // GIR_Coverage, 5295,
     /* 318326 */   GIR_EraseRootFromParent_Done,
     /* 318327 */ // Label 6423: @318327
     /* 318327 */ GIM_Try, /*On fail goto*//*Label 6424*/ GIMT_Encode4(318357), // Rule ID 469 //
     /* 318332 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 318335 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 318338 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 318342 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 318346 */   // (uint_to_fp:{ *:[f32] } GPR32:{ *:[i32] }:$Rn)  =>  (UCVTFUWSri:{ *:[f32] } GPR32:{ *:[i32] }:$Rn)
     /* 318346 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFUWSri),
     /* 318351 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 318355 */   GIR_RootConstrainSelectedInstOperands,
     /* 318356 */   // GIR_Coverage, 469,
     /* 318356 */   GIR_Done,
     /* 318357 */ // Label 6424: @318357
     /* 318357 */ GIM_Try, /*On fail goto*//*Label 6425*/ GIMT_Encode4(318387), // Rule ID 475 //
     /* 318362 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 318365 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 318368 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 318372 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 318376 */   // (uint_to_fp:{ *:[f32] } GPR64:{ *:[i64] }:$Rn)  =>  (UCVTFUXSri:{ *:[f32] } GPR64:{ *:[i64] }:$Rn)
     /* 318376 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFUXSri),
     /* 318381 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 318385 */   GIR_RootConstrainSelectedInstOperands,
     /* 318386 */   // GIR_Coverage, 475,
     /* 318386 */   GIR_Done,
     /* 318387 */ // Label 6425: @318387
     /* 318387 */ GIM_Try, /*On fail goto*//*Label 6426*/ GIMT_Encode4(318417), // Rule ID 505 //
     /* 318392 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 318395 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 318398 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 318402 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 318406 */   // (uint_to_fp:{ *:[f32] } FPR64:{ *:[i64] }:$Rn)  =>  (UCVTFSDr:{ *:[f32] } FPR64:{ *:[i64] }:$Rn)
     /* 318406 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFSDr),
     /* 318411 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 318415 */   GIR_RootConstrainSelectedInstOperands,
     /* 318416 */   // GIR_Coverage, 505,
     /* 318416 */   GIR_Done,
     /* 318417 */ // Label 6426: @318417
     /* 318417 */ GIM_Reject,
     /* 318418 */ // Label 6401: @318418
     /* 318418 */ GIM_Try, /*On fail goto*//*Label 6427*/ GIMT_Encode4(318555), // Rule ID 5326 //
     /* 318423 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 318426 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 318429 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 318433 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 318437 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 318441 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 318444 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 318448 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 318452 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 318454 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 318461 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] }))
     /* 318461 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 318464 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 318468 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318473 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 318478 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 318483 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 318488 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 318493 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 318495 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 318498 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 318502 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318507 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 318509 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 318512 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 318516 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318521 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 318524 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 318527 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 318530 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 318535 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 318540 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 318545 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 318548 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 318550 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 318553 */   GIR_RootConstrainSelectedInstOperands,
     /* 318554 */   // GIR_Coverage, 5326,
     /* 318554 */   GIR_EraseRootFromParent_Done,
     /* 318555 */ // Label 6427: @318555
     /* 318555 */ GIM_Try, /*On fail goto*//*Label 6428*/ GIMT_Encode4(318692), // Rule ID 5327 //
     /* 318560 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 318563 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 318566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 318570 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 318574 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 318578 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 318581 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 318585 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 318589 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 318591 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 318598 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] }))
     /* 318598 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 318601 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 318605 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318610 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 318615 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 318620 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 318625 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 318630 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 318632 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 318635 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 318639 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318644 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 318646 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 318649 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 318653 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318658 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 318661 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 318664 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 318667 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 318672 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 318677 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 318682 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 318685 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 318687 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 318690 */   GIR_RootConstrainSelectedInstOperands,
     /* 318691 */   // GIR_Coverage, 5327,
     /* 318691 */   GIR_EraseRootFromParent_Done,
     /* 318692 */ // Label 6428: @318692
     /* 318692 */ GIM_Try, /*On fail goto*//*Label 6429*/ GIMT_Encode4(318832), // Rule ID 5318 //
     /* 318697 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 318700 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 318703 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 318707 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 318711 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 318715 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 318718 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 318725 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 318729 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 318731 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 318738 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRBroW:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] }))
     /* 318738 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 318741 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRBroW),
     /* 318745 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318750 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 318755 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 318760 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 318765 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 318770 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 318772 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 318775 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 318779 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318784 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 318786 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 318789 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 318793 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318798 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 318801 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 318804 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 318807 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 318812 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 318817 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 318822 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 318825 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 318827 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 318830 */   GIR_RootConstrainSelectedInstOperands,
     /* 318831 */   // GIR_Coverage, 5318,
     /* 318831 */   GIR_EraseRootFromParent_Done,
     /* 318832 */ // Label 6429: @318832
     /* 318832 */ GIM_Try, /*On fail goto*//*Label 6430*/ GIMT_Encode4(318972), // Rule ID 5319 //
     /* 318837 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 318840 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 318843 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 318847 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 318851 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 318855 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 318858 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 318865 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 318869 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 318871 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 318878 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRBroX:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] }))
     /* 318878 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 318881 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRBroX),
     /* 318885 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318890 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 318895 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 318900 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 318905 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 318910 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 318912 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 318915 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 318919 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318924 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 318926 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 318929 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 318933 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318938 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 318941 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 318944 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 318947 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 318952 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 318957 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 318962 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 318965 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 318967 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 318970 */   GIR_RootConstrainSelectedInstOperands,
     /* 318971 */   // GIR_Coverage, 5319,
     /* 318971 */   GIR_EraseRootFromParent_Done,
     /* 318972 */ // Label 6430: @318972
     /* 318972 */ GIM_Try, /*On fail goto*//*Label 6431*/ GIMT_Encode4(319112), // Rule ID 5322 //
     /* 318977 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 318980 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 318983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 318987 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 318991 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 318995 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 318998 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 319005 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 319009 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 319011 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 319018 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] }))
     /* 319018 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 319021 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 319025 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319030 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 319035 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 319040 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 319045 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 319050 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 319052 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 319055 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 319059 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319064 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 319066 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 319069 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 319073 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319078 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 319081 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 319084 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 319087 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 319092 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 319097 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 319102 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 319105 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 319107 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 319110 */   GIR_RootConstrainSelectedInstOperands,
     /* 319111 */   // GIR_Coverage, 5322,
     /* 319111 */   GIR_EraseRootFromParent_Done,
     /* 319112 */ // Label 6431: @319112
     /* 319112 */ GIM_Try, /*On fail goto*//*Label 6432*/ GIMT_Encode4(319252), // Rule ID 5323 //
     /* 319117 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 319120 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 319123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 319127 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 319131 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 319135 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 319138 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 319145 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 319149 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 319151 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 319158 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] }))
     /* 319158 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 319161 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 319165 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319170 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 319175 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 319180 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 319185 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 319190 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 319192 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 319195 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 319199 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319204 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 319206 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 319209 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 319213 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319218 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 319221 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 319224 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 319227 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 319232 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 319237 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 319242 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 319245 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 319247 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 319250 */   GIR_RootConstrainSelectedInstOperands,
     /* 319251 */   // GIR_Coverage, 5323,
     /* 319251 */   GIR_EraseRootFromParent_Done,
     /* 319252 */ // Label 6432: @319252
     /* 319252 */ GIM_Try, /*On fail goto*//*Label 6433*/ GIMT_Encode4(319384), // Rule ID 5328 //
     /* 319257 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 319260 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 319263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 319267 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 319271 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 319275 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 319278 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 319282 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 319286 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 319288 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 319295 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] }))
     /* 319295 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 319298 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 319302 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319307 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 319312 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 319317 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 319322 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 319324 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 319327 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 319331 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319336 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 319338 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 319341 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 319345 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319350 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 319353 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 319356 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 319359 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 319364 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 319369 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319374 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 319377 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 319379 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 319382 */   GIR_RootConstrainSelectedInstOperands,
     /* 319383 */   // GIR_Coverage, 5328,
     /* 319383 */   GIR_EraseRootFromParent_Done,
     /* 319384 */ // Label 6433: @319384
     /* 319384 */ GIM_Try, /*On fail goto*//*Label 6434*/ GIMT_Encode4(319516), // Rule ID 5329 //
     /* 319389 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 319392 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 319395 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 319399 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 319403 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 319407 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 319410 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 319414 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 319418 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 319420 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 319427 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] }))
     /* 319427 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 319430 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 319434 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319439 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 319444 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 319449 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 319454 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 319456 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 319459 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 319463 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319468 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 319470 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 319473 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 319477 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319482 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 319485 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 319488 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 319491 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 319496 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 319501 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319506 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 319509 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 319511 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 319514 */   GIR_RootConstrainSelectedInstOperands,
     /* 319515 */   // GIR_Coverage, 5329,
     /* 319515 */   GIR_EraseRootFromParent_Done,
     /* 319516 */ // Label 6434: @319516
     /* 319516 */ GIM_Try, /*On fail goto*//*Label 6435*/ GIMT_Encode4(319651), // Rule ID 5320 //
     /* 319521 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 319524 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 319527 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 319531 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 319535 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 319539 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 319542 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 319549 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 319553 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 319555 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 319562 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRBui:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), bsub:{ *:[i32] }))
     /* 319562 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 319565 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRBui),
     /* 319569 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319574 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 319579 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 319584 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 319589 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 319591 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 319594 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 319598 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319603 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 319605 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 319608 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 319612 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319617 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 319620 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 319623 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 319626 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 319631 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 319636 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 319641 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 319644 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 319646 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 319649 */   GIR_RootConstrainSelectedInstOperands,
     /* 319650 */   // GIR_Coverage, 5320,
     /* 319650 */   GIR_EraseRootFromParent_Done,
     /* 319651 */ // Label 6435: @319651
     /* 319651 */ GIM_Try, /*On fail goto*//*Label 6436*/ GIMT_Encode4(319786), // Rule ID 5321 //
     /* 319656 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 319659 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 319662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 319666 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 319670 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 319674 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 319677 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 319684 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 319688 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 319690 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 319697 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDURBi:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), bsub:{ *:[i32] }))
     /* 319697 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 319700 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDURBi),
     /* 319704 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319709 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 319714 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 319719 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 319724 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 319726 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 319729 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 319733 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319738 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 319740 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 319743 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 319747 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319752 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 319755 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 319758 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 319761 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 319766 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 319771 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 319776 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 319779 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 319781 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 319784 */   GIR_RootConstrainSelectedInstOperands,
     /* 319785 */   // GIR_Coverage, 5321,
     /* 319785 */   GIR_EraseRootFromParent_Done,
     /* 319786 */ // Label 6436: @319786
     /* 319786 */ GIM_Try, /*On fail goto*//*Label 6437*/ GIMT_Encode4(319921), // Rule ID 5324 //
     /* 319791 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 319794 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 319797 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 319801 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 319805 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 319809 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 319812 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 319819 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 319823 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 319825 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 319832 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] }))
     /* 319832 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 319835 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 319839 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319844 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 319849 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 319854 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 319859 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 319861 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 319864 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 319868 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319873 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 319875 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 319878 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 319882 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319887 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 319890 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 319893 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 319896 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 319901 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 319906 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 319911 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 319914 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 319916 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 319919 */   GIR_RootConstrainSelectedInstOperands,
     /* 319920 */   // GIR_Coverage, 5324,
     /* 319920 */   GIR_EraseRootFromParent_Done,
     /* 319921 */ // Label 6437: @319921
     /* 319921 */ GIM_Try, /*On fail goto*//*Label 6438*/ GIMT_Encode4(320056), // Rule ID 5325 //
     /* 319926 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 319929 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 319932 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 319936 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 319940 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 319944 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 319947 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 319954 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 319958 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 319960 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 319967 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] }))
     /* 319967 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 319970 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 319974 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319979 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 319984 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 319989 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 319994 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 319996 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 319999 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 320003 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320008 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 320010 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 320013 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 320017 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320022 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 320025 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 320028 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 320031 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320036 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320041 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 320046 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 320049 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 320051 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 320054 */   GIR_RootConstrainSelectedInstOperands,
     /* 320055 */   // GIR_Coverage, 5325,
     /* 320055 */   GIR_EraseRootFromParent_Done,
     /* 320056 */ // Label 6438: @320056
     /* 320056 */ GIM_Try, /*On fail goto*//*Label 6439*/ GIMT_Encode4(320136), // Rule ID 5307 //
     /* 320061 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 320064 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 320067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320071 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 320075 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 320079 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 320083 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 320087 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 320092 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 320096 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 320098 */   // (uint_to_fp:{ *:[f64] } (vector_extract:{ *:[i64] } FPR128:{ *:[v2i64] }:$Rn, 0:{ *:[i64] }))  =>  (UCVTFv1i64:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } FPR128:{ *:[v2i64] }:$Rn, dsub:{ *:[i32] }))
     /* 320098 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 320101 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 320105 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320110 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 320116 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320121 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 320126 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 320129 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 320131 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 320134 */   GIR_RootConstrainSelectedInstOperands,
     /* 320135 */   // GIR_Coverage, 5307,
     /* 320135 */   GIR_EraseRootFromParent_Done,
     /* 320136 */ // Label 6439: @320136
     /* 320136 */ GIM_Try, /*On fail goto*//*Label 6440*/ GIMT_Encode4(320193), // Rule ID 5291 //
     /* 320141 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 320144 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 320147 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320151 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 320155 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPTOUI),
     /* 320159 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 320163 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 320165 */   // (uint_to_fp:{ *:[f64] } (fp_to_uint:{ *:[i64] } f64:{ *:[f64] }:$Rn))  =>  (UCVTFv1i64:{ *:[f64] } (FCVTZUv1i64:{ *:[i64] } f64:{ *:[f64] }:$Rn))
     /* 320165 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 320168 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv1i64),
     /* 320172 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320177 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 320181 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 320183 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 320186 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 320188 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 320191 */   GIR_RootConstrainSelectedInstOperands,
     /* 320192 */   // GIR_Coverage, 5291,
     /* 320192 */   GIR_EraseRootFromParent_Done,
     /* 320193 */ // Label 6440: @320193
     /* 320193 */ GIM_Try, /*On fail goto*//*Label 6441*/ GIMT_Encode4(320223), // Rule ID 471 //
     /* 320198 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 320201 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 320204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320208 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 320212 */   // (uint_to_fp:{ *:[f64] } GPR32:{ *:[i32] }:$Rn)  =>  (UCVTFUWDri:{ *:[f64] } GPR32:{ *:[i32] }:$Rn)
     /* 320212 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFUWDri),
     /* 320217 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 320221 */   GIR_RootConstrainSelectedInstOperands,
     /* 320222 */   // GIR_Coverage, 471,
     /* 320222 */   GIR_Done,
     /* 320223 */ // Label 6441: @320223
     /* 320223 */ GIM_Try, /*On fail goto*//*Label 6442*/ GIMT_Encode4(320253), // Rule ID 477 //
     /* 320228 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 320231 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 320234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320238 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 320242 */   // (uint_to_fp:{ *:[f64] } GPR64:{ *:[i64] }:$Rn)  =>  (UCVTFUXDri:{ *:[f64] } GPR64:{ *:[i64] }:$Rn)
     /* 320242 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFUXDri),
     /* 320247 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 320251 */   GIR_RootConstrainSelectedInstOperands,
     /* 320252 */   // GIR_Coverage, 477,
     /* 320252 */   GIR_Done,
     /* 320253 */ // Label 6442: @320253
     /* 320253 */ GIM_Try, /*On fail goto*//*Label 6443*/ GIMT_Encode4(320283), // Rule ID 501 //
     /* 320258 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 320261 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 320264 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320268 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 320272 */   // (uint_to_fp:{ *:[f64] } FPR32:{ *:[i32] }:$Rn)  =>  (UCVTFDSr:{ *:[f64] } FPR32:{ *:[i32] }:$Rn)
     /* 320272 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFDSr),
     /* 320277 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 320281 */   GIR_RootConstrainSelectedInstOperands,
     /* 320282 */   // GIR_Coverage, 501,
     /* 320282 */   GIR_Done,
     /* 320283 */ // Label 6443: @320283
     /* 320283 */ GIM_Reject,
     /* 320284 */ // Label 6402: @320284
     /* 320284 */ GIM_Try, /*On fail goto*//*Label 6444*/ GIMT_Encode4(320314), // Rule ID 1078 //
     /* 320289 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 320292 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 320295 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320299 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320303 */   // (uint_to_fp:{ *:[v2f32] } V64:{ *:[v2i32] }:$Rn)  =>  (UCVTFv2f32:{ *:[v2f32] } V64:{ *:[v2i32] }:$Rn)
     /* 320303 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv2f32),
     /* 320308 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 320312 */   GIR_RootConstrainSelectedInstOperands,
     /* 320313 */   // GIR_Coverage, 1078,
     /* 320313 */   GIR_Done,
     /* 320314 */ // Label 6444: @320314
     /* 320314 */ GIM_Reject,
     /* 320315 */ // Label 6403: @320315
     /* 320315 */ GIM_Try, /*On fail goto*//*Label 6445*/ GIMT_Encode4(320345), // Rule ID 1082 //
     /* 320320 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 320323 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 320326 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 320330 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 320334 */   // (uint_to_fp:{ *:[v2f64] } V128:{ *:[v2i64] }:$Rn)  =>  (UCVTFv2f64:{ *:[v2f64] } V128:{ *:[v2i64] }:$Rn)
     /* 320334 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv2f64),
     /* 320339 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 320343 */   GIR_RootConstrainSelectedInstOperands,
     /* 320344 */   // GIR_Coverage, 1082,
     /* 320344 */   GIR_Done,
     /* 320345 */ // Label 6445: @320345
     /* 320345 */ GIM_Reject,
     /* 320346 */ // Label 6404: @320346
     /* 320346 */ GIM_Try, /*On fail goto*//*Label 6446*/ GIMT_Encode4(320376), // Rule ID 1074 //
     /* 320351 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 320354 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 320357 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320361 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320365 */   // (uint_to_fp:{ *:[v4f16] } V64:{ *:[v4i16] }:$Rn)  =>  (UCVTFv4f16:{ *:[v4f16] } V64:{ *:[v4i16] }:$Rn)
     /* 320365 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv4f16),
     /* 320370 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 320374 */   GIR_RootConstrainSelectedInstOperands,
     /* 320375 */   // GIR_Coverage, 1074,
     /* 320375 */   GIR_Done,
     /* 320376 */ // Label 6446: @320376
     /* 320376 */ GIM_Reject,
     /* 320377 */ // Label 6405: @320377
     /* 320377 */ GIM_Try, /*On fail goto*//*Label 6447*/ GIMT_Encode4(320407), // Rule ID 1080 //
     /* 320382 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 320385 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 320388 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 320392 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 320396 */   // (uint_to_fp:{ *:[v4f32] } V128:{ *:[v4i32] }:$Rn)  =>  (UCVTFv4f32:{ *:[v4f32] } V128:{ *:[v4i32] }:$Rn)
     /* 320396 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv4f32),
     /* 320401 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 320405 */   GIR_RootConstrainSelectedInstOperands,
     /* 320406 */   // GIR_Coverage, 1080,
     /* 320406 */   GIR_Done,
     /* 320407 */ // Label 6447: @320407
     /* 320407 */ GIM_Reject,
     /* 320408 */ // Label 6406: @320408
     /* 320408 */ GIM_Try, /*On fail goto*//*Label 6448*/ GIMT_Encode4(320438), // Rule ID 1076 //
     /* 320413 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 320416 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 320419 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 320423 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 320427 */   // (uint_to_fp:{ *:[v8f16] } V128:{ *:[v8i16] }:$Rn)  =>  (UCVTFv8f16:{ *:[v8f16] } V128:{ *:[v8i16] }:$Rn)
     /* 320427 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv8f16),
     /* 320432 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 320436 */   GIR_RootConstrainSelectedInstOperands,
     /* 320437 */   // GIR_Coverage, 1076,
     /* 320437 */   GIR_Done,
     /* 320438 */ // Label 6448: @320438
     /* 320438 */ GIM_Reject,
     /* 320439 */ // Label 6407: @320439
     /* 320439 */ GIM_Reject,
     /* 320440 */ // Label 69: @320440
     /* 320440 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(11), /*)*//*default:*//*Label 6456*/ GIMT_Encode4(320759),
     /* 320451 */ /*GILLT_s32*//*Label 6449*/ GIMT_Encode4(320487),
     /* 320455 */ /*GILLT_s64*//*Label 6450*/ GIMT_Encode4(320560), GIMT_Encode4(0),
     /* 320463 */ /*GILLT_v2s32*//*Label 6451*/ GIMT_Encode4(320633),
     /* 320467 */ /*GILLT_v2s64*//*Label 6452*/ GIMT_Encode4(320657),
     /* 320471 */ /*GILLT_v4s16*//*Label 6453*/ GIMT_Encode4(320681),
     /* 320475 */ /*GILLT_v4s32*//*Label 6454*/ GIMT_Encode4(320708), GIMT_Encode4(0),
     /* 320483 */ /*GILLT_v8s16*//*Label 6455*/ GIMT_Encode4(320732),
     /* 320487 */ // Label 6449: @320487
     /* 320487 */ GIM_Try, /*On fail goto*//*Label 6457*/ GIMT_Encode4(320513), // Rule ID 4571 //
     /* 320492 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 320495 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 320498 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 320502 */   // (fp_to_sint_sat_gi:{ *:[i32] } f16:{ *:[f16] }:$Rn)  =>  (FCVTZSUWHr:{ *:[i32] } f16:{ *:[f16] }:$Rn)
     /* 320502 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWHr),
     /* 320507 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 320511 */   GIR_RootConstrainSelectedInstOperands,
     /* 320512 */   // GIR_Coverage, 4571,
     /* 320512 */   GIR_Done,
     /* 320513 */ // Label 6457: @320513
     /* 320513 */ GIM_Try, /*On fail goto*//*Label 6458*/ GIMT_Encode4(320536), // Rule ID 4573 //
     /* 320518 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 320521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 320525 */   // (fp_to_sint_sat_gi:{ *:[i32] } f32:{ *:[f32] }:$Rn)  =>  (FCVTZSUWSr:{ *:[i32] } f32:{ *:[f32] }:$Rn)
     /* 320525 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWSr),
     /* 320530 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 320534 */   GIR_RootConstrainSelectedInstOperands,
     /* 320535 */   // GIR_Coverage, 4573,
     /* 320535 */   GIR_Done,
     /* 320536 */ // Label 6458: @320536
     /* 320536 */ GIM_Try, /*On fail goto*//*Label 6459*/ GIMT_Encode4(320559), // Rule ID 4575 //
     /* 320541 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 320544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 320548 */   // (fp_to_sint_sat_gi:{ *:[i32] } f64:{ *:[f64] }:$Rn)  =>  (FCVTZSUWDr:{ *:[i32] } f64:{ *:[f64] }:$Rn)
     /* 320548 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWDr),
     /* 320553 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 320557 */   GIR_RootConstrainSelectedInstOperands,
     /* 320558 */   // GIR_Coverage, 4575,
     /* 320558 */   GIR_Done,
     /* 320559 */ // Label 6459: @320559
     /* 320559 */ GIM_Reject,
     /* 320560 */ // Label 6450: @320560
     /* 320560 */ GIM_Try, /*On fail goto*//*Label 6460*/ GIMT_Encode4(320586), // Rule ID 4572 //
     /* 320565 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 320568 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 320571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 320575 */   // (fp_to_sint_sat_gi:{ *:[i64] } f16:{ *:[f16] }:$Rn)  =>  (FCVTZSUXHr:{ *:[i64] } f16:{ *:[f16] }:$Rn)
     /* 320575 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXHr),
     /* 320580 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 320584 */   GIR_RootConstrainSelectedInstOperands,
     /* 320585 */   // GIR_Coverage, 4572,
     /* 320585 */   GIR_Done,
     /* 320586 */ // Label 6460: @320586
     /* 320586 */ GIM_Try, /*On fail goto*//*Label 6461*/ GIMT_Encode4(320609), // Rule ID 4574 //
     /* 320591 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 320594 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 320598 */   // (fp_to_sint_sat_gi:{ *:[i64] } f32:{ *:[f32] }:$Rn)  =>  (FCVTZSUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 320598 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXSr),
     /* 320603 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 320607 */   GIR_RootConstrainSelectedInstOperands,
     /* 320608 */   // GIR_Coverage, 4574,
     /* 320608 */   GIR_Done,
     /* 320609 */ // Label 6461: @320609
     /* 320609 */ GIM_Try, /*On fail goto*//*Label 6462*/ GIMT_Encode4(320632), // Rule ID 4576 //
     /* 320614 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 320617 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 320621 */   // (fp_to_sint_sat_gi:{ *:[i64] } f64:{ *:[f64] }:$Rn)  =>  (FCVTZSUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 320621 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXDr),
     /* 320626 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 320630 */   GIR_RootConstrainSelectedInstOperands,
     /* 320631 */   // GIR_Coverage, 4576,
     /* 320631 */   GIR_Done,
     /* 320632 */ // Label 6462: @320632
     /* 320632 */ GIM_Reject,
     /* 320633 */ // Label 6451: @320633
     /* 320633 */ GIM_Try, /*On fail goto*//*Label 6463*/ GIMT_Encode4(320656), // Rule ID 4912 //
     /* 320638 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 320641 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320645 */   // (fp_to_sint_sat_gi:{ *:[v2i32] } v2f32:{ *:[v2f32] }:$Rn)  =>  (FCVTZSv2f32:{ *:[v2i32] } v2f32:{ *:[v2f32] }:$Rn)
     /* 320645 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv2f32),
     /* 320650 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 320654 */   GIR_RootConstrainSelectedInstOperands,
     /* 320655 */   // GIR_Coverage, 4912,
     /* 320655 */   GIR_Done,
     /* 320656 */ // Label 6463: @320656
     /* 320656 */ GIM_Reject,
     /* 320657 */ // Label 6452: @320657
     /* 320657 */ GIM_Try, /*On fail goto*//*Label 6464*/ GIMT_Encode4(320680), // Rule ID 4914 //
     /* 320662 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 320665 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 320669 */   // (fp_to_sint_sat_gi:{ *:[v2i64] } v2f64:{ *:[v2f64] }:$Rn)  =>  (FCVTZSv2f64:{ *:[v2i64] } v2f64:{ *:[v2f64] }:$Rn)
     /* 320669 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv2f64),
     /* 320674 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 320678 */   GIR_RootConstrainSelectedInstOperands,
     /* 320679 */   // GIR_Coverage, 4914,
     /* 320679 */   GIR_Done,
     /* 320680 */ // Label 6464: @320680
     /* 320680 */ GIM_Reject,
     /* 320681 */ // Label 6453: @320681
     /* 320681 */ GIM_Try, /*On fail goto*//*Label 6465*/ GIMT_Encode4(320707), // Rule ID 4907 //
     /* 320686 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 320689 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 320692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320696 */   // (fp_to_sint_sat_gi:{ *:[v4i16] } v4f16:{ *:[v4f16] }:$Rn)  =>  (FCVTZSv4f16:{ *:[v4i16] } v4f16:{ *:[v4f16] }:$Rn)
     /* 320696 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv4f16),
     /* 320701 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 320705 */   GIR_RootConstrainSelectedInstOperands,
     /* 320706 */   // GIR_Coverage, 4907,
     /* 320706 */   GIR_Done,
     /* 320707 */ // Label 6465: @320707
     /* 320707 */ GIM_Reject,
     /* 320708 */ // Label 6454: @320708
     /* 320708 */ GIM_Try, /*On fail goto*//*Label 6466*/ GIMT_Encode4(320731), // Rule ID 4913 //
     /* 320713 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 320716 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 320720 */   // (fp_to_sint_sat_gi:{ *:[v4i32] } v4f32:{ *:[v4f32] }:$Rn)  =>  (FCVTZSv4f32:{ *:[v4i32] } v4f32:{ *:[v4f32] }:$Rn)
     /* 320720 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv4f32),
     /* 320725 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 320729 */   GIR_RootConstrainSelectedInstOperands,
     /* 320730 */   // GIR_Coverage, 4913,
     /* 320730 */   GIR_Done,
     /* 320731 */ // Label 6466: @320731
     /* 320731 */ GIM_Reject,
     /* 320732 */ // Label 6455: @320732
     /* 320732 */ GIM_Try, /*On fail goto*//*Label 6467*/ GIMT_Encode4(320758), // Rule ID 4908 //
     /* 320737 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 320740 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 320743 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 320747 */   // (fp_to_sint_sat_gi:{ *:[v8i16] } v8f16:{ *:[v8f16] }:$Rn)  =>  (FCVTZSv8f16:{ *:[v8i16] } v8f16:{ *:[v8f16] }:$Rn)
     /* 320747 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv8f16),
     /* 320752 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 320756 */   GIR_RootConstrainSelectedInstOperands,
     /* 320757 */   // GIR_Coverage, 4908,
     /* 320757 */   GIR_Done,
     /* 320758 */ // Label 6467: @320758
     /* 320758 */ GIM_Reject,
     /* 320759 */ // Label 6456: @320759
     /* 320759 */ GIM_Reject,
     /* 320760 */ // Label 70: @320760
     /* 320760 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(11), /*)*//*default:*//*Label 6475*/ GIMT_Encode4(321079),
     /* 320771 */ /*GILLT_s32*//*Label 6468*/ GIMT_Encode4(320807),
     /* 320775 */ /*GILLT_s64*//*Label 6469*/ GIMT_Encode4(320880), GIMT_Encode4(0),
     /* 320783 */ /*GILLT_v2s32*//*Label 6470*/ GIMT_Encode4(320953),
     /* 320787 */ /*GILLT_v2s64*//*Label 6471*/ GIMT_Encode4(320977),
     /* 320791 */ /*GILLT_v4s16*//*Label 6472*/ GIMT_Encode4(321001),
     /* 320795 */ /*GILLT_v4s32*//*Label 6473*/ GIMT_Encode4(321028), GIMT_Encode4(0),
     /* 320803 */ /*GILLT_v8s16*//*Label 6474*/ GIMT_Encode4(321052),
     /* 320807 */ // Label 6468: @320807
     /* 320807 */ GIM_Try, /*On fail goto*//*Label 6476*/ GIMT_Encode4(320833), // Rule ID 4595 //
     /* 320812 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 320815 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 320818 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 320822 */   // (fp_to_uint_sat_gi:{ *:[i32] } f16:{ *:[f16] }:$Rn)  =>  (FCVTZUUWHr:{ *:[i32] } f16:{ *:[f16] }:$Rn)
     /* 320822 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUWHr),
     /* 320827 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 320831 */   GIR_RootConstrainSelectedInstOperands,
     /* 320832 */   // GIR_Coverage, 4595,
     /* 320832 */   GIR_Done,
     /* 320833 */ // Label 6476: @320833
     /* 320833 */ GIM_Try, /*On fail goto*//*Label 6477*/ GIMT_Encode4(320856), // Rule ID 4597 //
     /* 320838 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 320841 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 320845 */   // (fp_to_uint_sat_gi:{ *:[i32] } f32:{ *:[f32] }:$Rn)  =>  (FCVTZUUWSr:{ *:[i32] } f32:{ *:[f32] }:$Rn)
     /* 320845 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUWSr),
     /* 320850 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 320854 */   GIR_RootConstrainSelectedInstOperands,
     /* 320855 */   // GIR_Coverage, 4597,
     /* 320855 */   GIR_Done,
     /* 320856 */ // Label 6477: @320856
     /* 320856 */ GIM_Try, /*On fail goto*//*Label 6478*/ GIMT_Encode4(320879), // Rule ID 4599 //
     /* 320861 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 320864 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 320868 */   // (fp_to_uint_sat_gi:{ *:[i32] } f64:{ *:[f64] }:$Rn)  =>  (FCVTZUUWDr:{ *:[i32] } f64:{ *:[f64] }:$Rn)
     /* 320868 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUWDr),
     /* 320873 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 320877 */   GIR_RootConstrainSelectedInstOperands,
     /* 320878 */   // GIR_Coverage, 4599,
     /* 320878 */   GIR_Done,
     /* 320879 */ // Label 6478: @320879
     /* 320879 */ GIM_Reject,
     /* 320880 */ // Label 6469: @320880
     /* 320880 */ GIM_Try, /*On fail goto*//*Label 6479*/ GIMT_Encode4(320906), // Rule ID 4596 //
     /* 320885 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 320888 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 320891 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 320895 */   // (fp_to_uint_sat_gi:{ *:[i64] } f16:{ *:[f16] }:$Rn)  =>  (FCVTZUUXHr:{ *:[i64] } f16:{ *:[f16] }:$Rn)
     /* 320895 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUXHr),
     /* 320900 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 320904 */   GIR_RootConstrainSelectedInstOperands,
     /* 320905 */   // GIR_Coverage, 4596,
     /* 320905 */   GIR_Done,
     /* 320906 */ // Label 6479: @320906
     /* 320906 */ GIM_Try, /*On fail goto*//*Label 6480*/ GIMT_Encode4(320929), // Rule ID 4598 //
     /* 320911 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 320914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 320918 */   // (fp_to_uint_sat_gi:{ *:[i64] } f32:{ *:[f32] }:$Rn)  =>  (FCVTZUUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 320918 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUXSr),
     /* 320923 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 320927 */   GIR_RootConstrainSelectedInstOperands,
     /* 320928 */   // GIR_Coverage, 4598,
     /* 320928 */   GIR_Done,
     /* 320929 */ // Label 6480: @320929
     /* 320929 */ GIM_Try, /*On fail goto*//*Label 6481*/ GIMT_Encode4(320952), // Rule ID 4600 //
     /* 320934 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 320937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 320941 */   // (fp_to_uint_sat_gi:{ *:[i64] } f64:{ *:[f64] }:$Rn)  =>  (FCVTZUUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 320941 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUXDr),
     /* 320946 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 320950 */   GIR_RootConstrainSelectedInstOperands,
     /* 320951 */   // GIR_Coverage, 4600,
     /* 320951 */   GIR_Done,
     /* 320952 */ // Label 6481: @320952
     /* 320952 */ GIM_Reject,
     /* 320953 */ // Label 6470: @320953
     /* 320953 */ GIM_Try, /*On fail goto*//*Label 6482*/ GIMT_Encode4(320976), // Rule ID 4922 //
     /* 320958 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 320961 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320965 */   // (fp_to_uint_sat_gi:{ *:[v2i32] } v2f32:{ *:[v2f32] }:$Rn)  =>  (FCVTZUv2f32:{ *:[v2i32] } v2f32:{ *:[v2f32] }:$Rn)
     /* 320965 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv2f32),
     /* 320970 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 320974 */   GIR_RootConstrainSelectedInstOperands,
     /* 320975 */   // GIR_Coverage, 4922,
     /* 320975 */   GIR_Done,
     /* 320976 */ // Label 6482: @320976
     /* 320976 */ GIM_Reject,
     /* 320977 */ // Label 6471: @320977
     /* 320977 */ GIM_Try, /*On fail goto*//*Label 6483*/ GIMT_Encode4(321000), // Rule ID 4924 //
     /* 320982 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 320985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 320989 */   // (fp_to_uint_sat_gi:{ *:[v2i64] } v2f64:{ *:[v2f64] }:$Rn)  =>  (FCVTZUv2f64:{ *:[v2i64] } v2f64:{ *:[v2f64] }:$Rn)
     /* 320989 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv2f64),
     /* 320994 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 320998 */   GIR_RootConstrainSelectedInstOperands,
     /* 320999 */   // GIR_Coverage, 4924,
     /* 320999 */   GIR_Done,
     /* 321000 */ // Label 6483: @321000
     /* 321000 */ GIM_Reject,
     /* 321001 */ // Label 6472: @321001
     /* 321001 */ GIM_Try, /*On fail goto*//*Label 6484*/ GIMT_Encode4(321027), // Rule ID 4917 //
     /* 321006 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 321009 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 321012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321016 */   // (fp_to_uint_sat_gi:{ *:[v4i16] } v4f16:{ *:[v4f16] }:$Rn)  =>  (FCVTZUv4f16:{ *:[v4i16] } v4f16:{ *:[v4f16] }:$Rn)
     /* 321016 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv4f16),
     /* 321021 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 321025 */   GIR_RootConstrainSelectedInstOperands,
     /* 321026 */   // GIR_Coverage, 4917,
     /* 321026 */   GIR_Done,
     /* 321027 */ // Label 6484: @321027
     /* 321027 */ GIM_Reject,
     /* 321028 */ // Label 6473: @321028
     /* 321028 */ GIM_Try, /*On fail goto*//*Label 6485*/ GIMT_Encode4(321051), // Rule ID 4923 //
     /* 321033 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 321036 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 321040 */   // (fp_to_uint_sat_gi:{ *:[v4i32] } v4f32:{ *:[v4f32] }:$Rn)  =>  (FCVTZUv4f32:{ *:[v4i32] } v4f32:{ *:[v4f32] }:$Rn)
     /* 321040 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv4f32),
     /* 321045 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 321049 */   GIR_RootConstrainSelectedInstOperands,
     /* 321050 */   // GIR_Coverage, 4923,
     /* 321050 */   GIR_Done,
     /* 321051 */ // Label 6485: @321051
     /* 321051 */ GIM_Reject,
     /* 321052 */ // Label 6474: @321052
     /* 321052 */ GIM_Try, /*On fail goto*//*Label 6486*/ GIMT_Encode4(321078), // Rule ID 4918 //
     /* 321057 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 321060 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 321063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 321067 */   // (fp_to_uint_sat_gi:{ *:[v8i16] } v8f16:{ *:[v8f16] }:$Rn)  =>  (FCVTZUv8f16:{ *:[v8i16] } v8f16:{ *:[v8f16] }:$Rn)
     /* 321067 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv8f16),
     /* 321072 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 321076 */   GIR_RootConstrainSelectedInstOperands,
     /* 321077 */   // GIR_Coverage, 4918,
     /* 321077 */   GIR_Done,
     /* 321078 */ // Label 6486: @321078
     /* 321078 */ GIM_Reject,
     /* 321079 */ // Label 6475: @321079
     /* 321079 */ GIM_Reject,
     /* 321080 */ // Label 71: @321080
     /* 321080 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6495*/ GIMT_Encode4(321936),
     /* 321091 */ /*GILLT_s16*//*Label 6487*/ GIMT_Encode4(321131),
     /* 321095 */ /*GILLT_s32*//*Label 6488*/ GIMT_Encode4(321350),
     /* 321099 */ /*GILLT_s64*//*Label 6489*/ GIMT_Encode4(321424), GIMT_Encode4(0),
     /* 321107 */ /*GILLT_v2s32*//*Label 6490*/ GIMT_Encode4(321498),
     /* 321111 */ /*GILLT_v2s64*//*Label 6491*/ GIMT_Encode4(321572),
     /* 321115 */ /*GILLT_v4s16*//*Label 6492*/ GIMT_Encode4(321646),
     /* 321119 */ /*GILLT_v4s32*//*Label 6493*/ GIMT_Encode4(321754), GIMT_Encode4(0),
     /* 321127 */ /*GILLT_v8s16*//*Label 6494*/ GIMT_Encode4(321828),
     /* 321131 */ // Label 6487: @321131
     /* 321131 */ GIM_Try, /*On fail goto*//*Label 6496*/ GIMT_Encode4(321349),
     /* 321136 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 321139 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 321143 */   GIM_Try, /*On fail goto*//*Label 6497*/ GIMT_Encode4(321184), // Rule ID 5193 //
     /* 321148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 321151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 321155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSUB),
     /* 321159 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 321163 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 321167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 321169 */     // (fabs:{ *:[f16] } (fsub:{ *:[f16] } f16:{ *:[f16] }:$Rn, f16:{ *:[f16] }:$Rm))  =>  (FABD16:{ *:[f16] } f16:{ *:[f16] }:$Rn, f16:{ *:[f16] }:$Rm)
     /* 321169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD16),
     /* 321172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 321174 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 321178 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 321182 */     GIR_RootConstrainSelectedInstOperands,
     /* 321183 */     // GIR_Coverage, 5193,
     /* 321183 */     GIR_EraseRootFromParent_Done,
     /* 321184 */   // Label 6497: @321184
     /* 321184 */   GIM_Try, /*On fail goto*//*Label 6498*/ GIMT_Encode4(321203), // Rule ID 521 //
     /* 321189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 321192 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 321196 */     // (fabs:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (FABSHr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 321196 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FABSHr),
     /* 321201 */     GIR_RootConstrainSelectedInstOperands,
     /* 321202 */     // GIR_Coverage, 521,
     /* 321202 */     GIR_Done,
     /* 321203 */   // Label 6498: @321203
     /* 321203 */   GIM_Try, /*On fail goto*//*Label 6499*/ GIMT_Encode4(321348), // Rule ID 6339 //
     /* 321208 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 321212 */     // (fabs:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[f16] } (COPY_TO_REGCLASS:{ *:[f32] } (ANDWri:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i32] } (INSERT_SUBREG:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), FPR16:{ *:[f16] }:$Rn, hsub:{ *:[i32] }), GPR32:{ *:[i32] }), (logical_imm32_XFORM:{ *:[i32] } 32767:{ *:[i32] })), FPR32:{ *:[i32] }), hsub:{ *:[i32] })
     /* 321212 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 321215 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 321219 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 321226 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /* 321229 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 321233 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321238 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 321241 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 321245 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/9,
     /* 321248 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 321253 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 321258 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 321263 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 321266 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 321270 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321275 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 321278 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 321283 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 321286 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::ANDWri),
     /* 321290 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321295 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 321298 */     GIR_CustomRenderer, /*InsnID*/2, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderLogicalImm32), // 
     /* 321303 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 321305 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 321308 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 321312 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321317 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 321320 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 321325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 321328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 321330 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::hsub),
     /* 321337 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 321342 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 321347 */     // GIR_Coverage, 6339,
     /* 321347 */     GIR_EraseRootFromParent_Done,
     /* 321348 */   // Label 6499: @321348
     /* 321348 */   GIM_Reject,
     /* 321349 */ // Label 6496: @321349
     /* 321349 */ GIM_Reject,
     /* 321350 */ // Label 6488: @321350
     /* 321350 */ GIM_Try, /*On fail goto*//*Label 6500*/ GIMT_Encode4(321423),
     /* 321355 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 321358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 321362 */   GIM_Try, /*On fail goto*//*Label 6501*/ GIMT_Encode4(321403), // Rule ID 5194 //
     /* 321367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 321370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 321374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSUB),
     /* 321378 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 321382 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 321386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 321388 */     // (fabs:{ *:[f32] } (fsub:{ *:[f32] } f32:{ *:[f32] }:$Rn, f32:{ *:[f32] }:$Rm))  =>  (FABD32:{ *:[f32] } f32:{ *:[f32] }:$Rn, f32:{ *:[f32] }:$Rm)
     /* 321388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD32),
     /* 321391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 321393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 321397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 321401 */     GIR_RootConstrainSelectedInstOperands,
     /* 321402 */     // GIR_Coverage, 5194,
     /* 321402 */     GIR_EraseRootFromParent_Done,
     /* 321403 */   // Label 6501: @321403
     /* 321403 */   GIM_Try, /*On fail goto*//*Label 6502*/ GIMT_Encode4(321422), // Rule ID 522 //
     /* 321408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 321411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 321415 */     // (fabs:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (FABSSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 321415 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FABSSr),
     /* 321420 */     GIR_RootConstrainSelectedInstOperands,
     /* 321421 */     // GIR_Coverage, 522,
     /* 321421 */     GIR_Done,
     /* 321422 */   // Label 6502: @321422
     /* 321422 */   GIM_Reject,
     /* 321423 */ // Label 6500: @321423
     /* 321423 */ GIM_Reject,
     /* 321424 */ // Label 6489: @321424
     /* 321424 */ GIM_Try, /*On fail goto*//*Label 6503*/ GIMT_Encode4(321497),
     /* 321429 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 321432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321436 */   GIM_Try, /*On fail goto*//*Label 6504*/ GIMT_Encode4(321477), // Rule ID 5195 //
     /* 321441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 321444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 321448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSUB),
     /* 321452 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 321456 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 321460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 321462 */     // (fabs:{ *:[f64] } (fsub:{ *:[f64] } f64:{ *:[f64] }:$Rn, f64:{ *:[f64] }:$Rm))  =>  (FABD64:{ *:[f64] } f64:{ *:[f64] }:$Rn, f64:{ *:[f64] }:$Rm)
     /* 321462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD64),
     /* 321465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 321467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 321471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 321475 */     GIR_RootConstrainSelectedInstOperands,
     /* 321476 */     // GIR_Coverage, 5195,
     /* 321476 */     GIR_EraseRootFromParent_Done,
     /* 321477 */   // Label 6504: @321477
     /* 321477 */   GIM_Try, /*On fail goto*//*Label 6505*/ GIMT_Encode4(321496), // Rule ID 523 //
     /* 321482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 321485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321489 */     // (fabs:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (FABSDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 321489 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FABSDr),
     /* 321494 */     GIR_RootConstrainSelectedInstOperands,
     /* 321495 */     // GIR_Coverage, 523,
     /* 321495 */     GIR_Done,
     /* 321496 */   // Label 6505: @321496
     /* 321496 */   GIM_Reject,
     /* 321497 */ // Label 6503: @321497
     /* 321497 */ GIM_Reject,
     /* 321498 */ // Label 6490: @321498
     /* 321498 */ GIM_Try, /*On fail goto*//*Label 6506*/ GIMT_Encode4(321571),
     /* 321503 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 321506 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321510 */   GIM_Try, /*On fail goto*//*Label 6507*/ GIMT_Encode4(321551), // Rule ID 4986 //
     /* 321515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 321518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 321522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSUB),
     /* 321526 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 321530 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 321534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 321536 */     // (fabs:{ *:[v2f32] } (fsub:{ *:[v2f32] } v2f32:{ *:[v2f32] }:$Rn, v2f32:{ *:[v2f32] }:$Rm))  =>  (FABDv2f32:{ *:[v2f32] } v2f32:{ *:[v2f32] }:$Rn, v2f32:{ *:[v2f32] }:$Rm)
     /* 321536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABDv2f32),
     /* 321539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 321541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 321545 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 321549 */     GIR_RootConstrainSelectedInstOperands,
     /* 321550 */     // GIR_Coverage, 4986,
     /* 321550 */     GIR_EraseRootFromParent_Done,
     /* 321551 */   // Label 6507: @321551
     /* 321551 */   GIM_Try, /*On fail goto*//*Label 6508*/ GIMT_Encode4(321570), // Rule ID 768 //
     /* 321556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 321559 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321563 */     // (fabs:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FABSv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 321563 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FABSv2f32),
     /* 321568 */     GIR_RootConstrainSelectedInstOperands,
     /* 321569 */     // GIR_Coverage, 768,
     /* 321569 */     GIR_Done,
     /* 321570 */   // Label 6508: @321570
     /* 321570 */   GIM_Reject,
     /* 321571 */ // Label 6506: @321571
     /* 321571 */ GIM_Reject,
     /* 321572 */ // Label 6491: @321572
     /* 321572 */ GIM_Try, /*On fail goto*//*Label 6509*/ GIMT_Encode4(321645),
     /* 321577 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 321580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 321584 */   GIM_Try, /*On fail goto*//*Label 6510*/ GIMT_Encode4(321625), // Rule ID 4988 //
     /* 321589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 321592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 321596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSUB),
     /* 321600 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 321604 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 321608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 321610 */     // (fabs:{ *:[v2f64] } (fsub:{ *:[v2f64] } v2f64:{ *:[v2f64] }:$Rn, v2f64:{ *:[v2f64] }:$Rm))  =>  (FABDv2f64:{ *:[v2f64] } v2f64:{ *:[v2f64] }:$Rn, v2f64:{ *:[v2f64] }:$Rm)
     /* 321610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABDv2f64),
     /* 321613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 321615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 321619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 321623 */     GIR_RootConstrainSelectedInstOperands,
     /* 321624 */     // GIR_Coverage, 4988,
     /* 321624 */     GIR_EraseRootFromParent_Done,
     /* 321625 */   // Label 6510: @321625
     /* 321625 */   GIM_Try, /*On fail goto*//*Label 6511*/ GIMT_Encode4(321644), // Rule ID 770 //
     /* 321630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 321633 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 321637 */     // (fabs:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FABSv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 321637 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FABSv2f64),
     /* 321642 */     GIR_RootConstrainSelectedInstOperands,
     /* 321643 */     // GIR_Coverage, 770,
     /* 321643 */     GIR_Done,
     /* 321644 */   // Label 6511: @321644
     /* 321644 */   GIM_Reject,
     /* 321645 */ // Label 6509: @321645
     /* 321645 */ GIM_Reject,
     /* 321646 */ // Label 6492: @321646
     /* 321646 */ GIM_Try, /*On fail goto*//*Label 6512*/ GIMT_Encode4(321753),
     /* 321651 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 321654 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321658 */   GIM_Try, /*On fail goto*//*Label 6513*/ GIMT_Encode4(321699), // Rule ID 4989 //
     /* 321663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 321666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 321670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSUB),
     /* 321674 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 321678 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 321682 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 321684 */     // (fabs:{ *:[v4f16] } (fsub:{ *:[v4f16] } v4f16:{ *:[v4f16] }:$Rn, v4f16:{ *:[v4f16] }:$Rm))  =>  (FABDv4f16:{ *:[v4f16] } v4f16:{ *:[v4f16] }:$Rn, v4f16:{ *:[v4f16] }:$Rm)
     /* 321684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABDv4f16),
     /* 321687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 321689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 321693 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 321697 */     GIR_RootConstrainSelectedInstOperands,
     /* 321698 */     // GIR_Coverage, 4989,
     /* 321698 */     GIR_EraseRootFromParent_Done,
     /* 321699 */   // Label 6513: @321699
     /* 321699 */   GIM_Try, /*On fail goto*//*Label 6514*/ GIMT_Encode4(321718), // Rule ID 766 //
     /* 321704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 321707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321711 */     // (fabs:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FABSv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 321711 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FABSv4f16),
     /* 321716 */     GIR_RootConstrainSelectedInstOperands,
     /* 321717 */     // GIR_Coverage, 766,
     /* 321717 */     GIR_Done,
     /* 321718 */   // Label 6514: @321718
     /* 321718 */   GIM_Try, /*On fail goto*//*Label 6515*/ GIMT_Encode4(321752), // Rule ID 6341 //
     /* 321723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 321726 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321730 */     // (fabs:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (BICv4i16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, 128:{ *:[i32] }, 8:{ *:[i32] })
     /* 321730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv4i16),
     /* 321733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 321735 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 321737 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(128),
     /* 321747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 321750 */     GIR_RootConstrainSelectedInstOperands,
     /* 321751 */     // GIR_Coverage, 6341,
     /* 321751 */     GIR_EraseRootFromParent_Done,
     /* 321752 */   // Label 6515: @321752
     /* 321752 */   GIM_Reject,
     /* 321753 */ // Label 6512: @321753
     /* 321753 */ GIM_Reject,
     /* 321754 */ // Label 6493: @321754
     /* 321754 */ GIM_Try, /*On fail goto*//*Label 6516*/ GIMT_Encode4(321827),
     /* 321759 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 321762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 321766 */   GIM_Try, /*On fail goto*//*Label 6517*/ GIMT_Encode4(321807), // Rule ID 4987 //
     /* 321771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 321774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 321778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSUB),
     /* 321782 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 321786 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 321790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 321792 */     // (fabs:{ *:[v4f32] } (fsub:{ *:[v4f32] } v4f32:{ *:[v4f32] }:$Rn, v4f32:{ *:[v4f32] }:$Rm))  =>  (FABDv4f32:{ *:[v4f32] } v4f32:{ *:[v4f32] }:$Rn, v4f32:{ *:[v4f32] }:$Rm)
     /* 321792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABDv4f32),
     /* 321795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 321797 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 321801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 321805 */     GIR_RootConstrainSelectedInstOperands,
     /* 321806 */     // GIR_Coverage, 4987,
     /* 321806 */     GIR_EraseRootFromParent_Done,
     /* 321807 */   // Label 6517: @321807
     /* 321807 */   GIM_Try, /*On fail goto*//*Label 6518*/ GIMT_Encode4(321826), // Rule ID 769 //
     /* 321812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 321815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 321819 */     // (fabs:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FABSv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 321819 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FABSv4f32),
     /* 321824 */     GIR_RootConstrainSelectedInstOperands,
     /* 321825 */     // GIR_Coverage, 769,
     /* 321825 */     GIR_Done,
     /* 321826 */   // Label 6518: @321826
     /* 321826 */   GIM_Reject,
     /* 321827 */ // Label 6516: @321827
     /* 321827 */ GIM_Reject,
     /* 321828 */ // Label 6494: @321828
     /* 321828 */ GIM_Try, /*On fail goto*//*Label 6519*/ GIMT_Encode4(321935),
     /* 321833 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 321836 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 321840 */   GIM_Try, /*On fail goto*//*Label 6520*/ GIMT_Encode4(321881), // Rule ID 4990 //
     /* 321845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 321848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 321852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSUB),
     /* 321856 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 321860 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 321864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 321866 */     // (fabs:{ *:[v8f16] } (fsub:{ *:[v8f16] } v8f16:{ *:[v8f16] }:$Rn, v8f16:{ *:[v8f16] }:$Rm))  =>  (FABDv8f16:{ *:[v8f16] } v8f16:{ *:[v8f16] }:$Rn, v8f16:{ *:[v8f16] }:$Rm)
     /* 321866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABDv8f16),
     /* 321869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 321871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 321875 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 321879 */     GIR_RootConstrainSelectedInstOperands,
     /* 321880 */     // GIR_Coverage, 4990,
     /* 321880 */     GIR_EraseRootFromParent_Done,
     /* 321881 */   // Label 6520: @321881
     /* 321881 */   GIM_Try, /*On fail goto*//*Label 6521*/ GIMT_Encode4(321900), // Rule ID 767 //
     /* 321886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 321889 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 321893 */     // (fabs:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FABSv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 321893 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FABSv8f16),
     /* 321898 */     GIR_RootConstrainSelectedInstOperands,
     /* 321899 */     // GIR_Coverage, 767,
     /* 321899 */     GIR_Done,
     /* 321900 */   // Label 6521: @321900
     /* 321900 */   GIM_Try, /*On fail goto*//*Label 6522*/ GIMT_Encode4(321934), // Rule ID 6342 //
     /* 321905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 321908 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 321912 */     // (fabs:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (BICv8i16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, 128:{ *:[i32] }, 8:{ *:[i32] })
     /* 321912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv8i16),
     /* 321915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 321917 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 321919 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(128),
     /* 321929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 321932 */     GIR_RootConstrainSelectedInstOperands,
     /* 321933 */     // GIR_Coverage, 6342,
     /* 321933 */     GIR_EraseRootFromParent_Done,
     /* 321934 */   // Label 6522: @321934
     /* 321934 */   GIM_Reject,
     /* 321935 */ // Label 6519: @321935
     /* 321935 */ GIM_Reject,
     /* 321936 */ // Label 6495: @321936
     /* 321936 */ GIM_Reject,
     /* 321937 */ // Label 72: @321937
     /* 321937 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6531*/ GIMT_Encode4(322218),
     /* 321948 */ /*GILLT_s16*//*Label 6523*/ GIMT_Encode4(321988),
     /* 321952 */ /*GILLT_s32*//*Label 6524*/ GIMT_Encode4(322015),
     /* 321956 */ /*GILLT_s64*//*Label 6525*/ GIMT_Encode4(322039), GIMT_Encode4(0),
     /* 321964 */ /*GILLT_v2s32*//*Label 6526*/ GIMT_Encode4(322063),
     /* 321968 */ /*GILLT_v2s64*//*Label 6527*/ GIMT_Encode4(322094),
     /* 321972 */ /*GILLT_v4s16*//*Label 6528*/ GIMT_Encode4(322125),
     /* 321976 */ /*GILLT_v4s32*//*Label 6529*/ GIMT_Encode4(322156), GIMT_Encode4(0),
     /* 321984 */ /*GILLT_v8s16*//*Label 6530*/ GIMT_Encode4(322187),
     /* 321988 */ // Label 6523: @321988
     /* 321988 */ GIM_Try, /*On fail goto*//*Label 6532*/ GIMT_Encode4(322014), // Rule ID 4811 //
     /* 321993 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 321996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 321999 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 322003 */   // (fcanonicalize:{ *:[f16] } f16:{ *:[f16] }:$a)  =>  (FMINNMHrr:{ *:[f16] } f16:{ *:[f16] }:$a, f16:{ *:[f16] }:$a)
     /* 322003 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMHrr),
     /* 322006 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 322008 */   GIR_RootToRootCopy, /*OpIdx*/1, // a
     /* 322010 */   GIR_RootToRootCopy, /*OpIdx*/1, // a
     /* 322012 */   GIR_RootConstrainSelectedInstOperands,
     /* 322013 */   // GIR_Coverage, 4811,
     /* 322013 */   GIR_EraseRootFromParent_Done,
     /* 322014 */ // Label 6532: @322014
     /* 322014 */ GIM_Reject,
     /* 322015 */ // Label 6524: @322015
     /* 322015 */ GIM_Try, /*On fail goto*//*Label 6533*/ GIMT_Encode4(322038), // Rule ID 4808 //
     /* 322020 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 322023 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 322027 */   // (fcanonicalize:{ *:[f32] } f32:{ *:[f32] }:$a)  =>  (FMINNMSrr:{ *:[f32] } f32:{ *:[f32] }:$a, f32:{ *:[f32] }:$a)
     /* 322027 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMSrr),
     /* 322030 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 322032 */   GIR_RootToRootCopy, /*OpIdx*/1, // a
     /* 322034 */   GIR_RootToRootCopy, /*OpIdx*/1, // a
     /* 322036 */   GIR_RootConstrainSelectedInstOperands,
     /* 322037 */   // GIR_Coverage, 4808,
     /* 322037 */   GIR_EraseRootFromParent_Done,
     /* 322038 */ // Label 6533: @322038
     /* 322038 */ GIM_Reject,
     /* 322039 */ // Label 6525: @322039
     /* 322039 */ GIM_Try, /*On fail goto*//*Label 6534*/ GIMT_Encode4(322062), // Rule ID 4805 //
     /* 322044 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 322047 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322051 */   // (fcanonicalize:{ *:[f64] } f64:{ *:[f64] }:$a)  =>  (FMINNMDrr:{ *:[f64] } f64:{ *:[f64] }:$a, f64:{ *:[f64] }:$a)
     /* 322051 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMDrr),
     /* 322054 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 322056 */   GIR_RootToRootCopy, /*OpIdx*/1, // a
     /* 322058 */   GIR_RootToRootCopy, /*OpIdx*/1, // a
     /* 322060 */   GIR_RootConstrainSelectedInstOperands,
     /* 322061 */   // GIR_Coverage, 4805,
     /* 322061 */   GIR_EraseRootFromParent_Done,
     /* 322062 */ // Label 6534: @322062
     /* 322062 */ GIM_Reject,
     /* 322063 */ // Label 6526: @322063
     /* 322063 */ GIM_Try, /*On fail goto*//*Label 6535*/ GIMT_Encode4(322093), // Rule ID 4999 //
     /* 322068 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 322071 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 322074 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322078 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322082 */   // (fcanonicalize:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FMINNMv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rn)
     /* 322082 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv2f32),
     /* 322085 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 322087 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 322089 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 322091 */   GIR_RootConstrainSelectedInstOperands,
     /* 322092 */   // GIR_Coverage, 4999,
     /* 322092 */   GIR_EraseRootFromParent_Done,
     /* 322093 */ // Label 6535: @322093
     /* 322093 */ GIM_Reject,
     /* 322094 */ // Label 6527: @322094
     /* 322094 */ GIM_Try, /*On fail goto*//*Label 6536*/ GIMT_Encode4(322124), // Rule ID 4993 //
     /* 322099 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 322102 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 322105 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322109 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322113 */   // (fcanonicalize:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FMINNMv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rn)
     /* 322113 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv2f64),
     /* 322116 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 322118 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 322120 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 322122 */   GIR_RootConstrainSelectedInstOperands,
     /* 322123 */   // GIR_Coverage, 4993,
     /* 322123 */   GIR_EraseRootFromParent_Done,
     /* 322124 */ // Label 6536: @322124
     /* 322124 */ GIM_Reject,
     /* 322125 */ // Label 6528: @322125
     /* 322125 */ GIM_Try, /*On fail goto*//*Label 6537*/ GIMT_Encode4(322155), // Rule ID 5005 //
     /* 322130 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 322133 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 322136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322140 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322144 */   // (fcanonicalize:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FMINNMv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rn)
     /* 322144 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv4f16),
     /* 322147 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 322149 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 322151 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 322153 */   GIR_RootConstrainSelectedInstOperands,
     /* 322154 */   // GIR_Coverage, 5005,
     /* 322154 */   GIR_EraseRootFromParent_Done,
     /* 322155 */ // Label 6537: @322155
     /* 322155 */ GIM_Reject,
     /* 322156 */ // Label 6529: @322156
     /* 322156 */ GIM_Try, /*On fail goto*//*Label 6538*/ GIMT_Encode4(322186), // Rule ID 4996 //
     /* 322161 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 322164 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 322167 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322171 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322175 */   // (fcanonicalize:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FMINNMv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rn)
     /* 322175 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv4f32),
     /* 322178 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 322180 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 322182 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 322184 */   GIR_RootConstrainSelectedInstOperands,
     /* 322185 */   // GIR_Coverage, 4996,
     /* 322185 */   GIR_EraseRootFromParent_Done,
     /* 322186 */ // Label 6538: @322186
     /* 322186 */ GIM_Reject,
     /* 322187 */ // Label 6530: @322187
     /* 322187 */ GIM_Try, /*On fail goto*//*Label 6539*/ GIMT_Encode4(322217), // Rule ID 5002 //
     /* 322192 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 322195 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 322198 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322202 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322206 */   // (fcanonicalize:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FMINNMv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rn)
     /* 322206 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv8f16),
     /* 322209 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 322211 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 322213 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 322215 */   GIR_RootConstrainSelectedInstOperands,
     /* 322216 */   // GIR_Coverage, 5002,
     /* 322216 */   GIR_EraseRootFromParent_Done,
     /* 322217 */ // Label 6539: @322217
     /* 322217 */ GIM_Reject,
     /* 322218 */ // Label 6531: @322218
     /* 322218 */ GIM_Reject,
     /* 322219 */ // Label 73: @322219
     /* 322219 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6548*/ GIMT_Encode4(322596),
     /* 322230 */ /*GILLT_s16*//*Label 6540*/ GIMT_Encode4(322270),
     /* 322234 */ /*GILLT_s32*//*Label 6541*/ GIMT_Encode4(322308),
     /* 322238 */ /*GILLT_s64*//*Label 6542*/ GIMT_Encode4(322346), GIMT_Encode4(0),
     /* 322246 */ /*GILLT_v2s32*//*Label 6543*/ GIMT_Encode4(322406),
     /* 322250 */ /*GILLT_v2s64*//*Label 6544*/ GIMT_Encode4(322444),
     /* 322254 */ /*GILLT_v4s16*//*Label 6545*/ GIMT_Encode4(322482),
     /* 322258 */ /*GILLT_v4s32*//*Label 6546*/ GIMT_Encode4(322520), GIMT_Encode4(0),
     /* 322266 */ /*GILLT_v8s16*//*Label 6547*/ GIMT_Encode4(322558),
     /* 322270 */ // Label 6540: @322270
     /* 322270 */ GIM_Try, /*On fail goto*//*Label 6549*/ GIMT_Encode4(322307), // Rule ID 608 //
     /* 322275 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 322278 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 322281 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 322284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 322288 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 322292 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 322296 */   // (fminnum:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FMINNMHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 322296 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMHrr),
     /* 322301 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322305 */   GIR_RootConstrainSelectedInstOperands,
     /* 322306 */   // GIR_Coverage, 608,
     /* 322306 */   GIR_Done,
     /* 322307 */ // Label 6549: @322307
     /* 322307 */ GIM_Reject,
     /* 322308 */ // Label 6541: @322308
     /* 322308 */ GIM_Try, /*On fail goto*//*Label 6550*/ GIMT_Encode4(322345), // Rule ID 610 //
     /* 322313 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 322316 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 322319 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 322322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 322326 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 322330 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 322334 */   // (fminnum:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FMINNMSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 322334 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMSrr),
     /* 322339 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322343 */   GIR_RootConstrainSelectedInstOperands,
     /* 322344 */   // GIR_Coverage, 610,
     /* 322344 */   GIR_Done,
     /* 322345 */ // Label 6550: @322345
     /* 322345 */ GIM_Reject,
     /* 322346 */ // Label 6542: @322346
     /* 322346 */ GIM_Try, /*On fail goto*//*Label 6551*/ GIMT_Encode4(322405),
     /* 322351 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 322354 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 322357 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322361 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322365 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322369 */   GIM_Try, /*On fail goto*//*Label 6552*/ GIMT_Encode4(322388), // Rule ID 612 //
     /* 322374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 322377 */     // (fminnum:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FMINNMDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 322377 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMDrr),
     /* 322382 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322386 */     GIR_RootConstrainSelectedInstOperands,
     /* 322387 */     // GIR_Coverage, 612,
     /* 322387 */     GIR_Done,
     /* 322388 */   // Label 6552: @322388
     /* 322388 */   GIM_Try, /*On fail goto*//*Label 6553*/ GIMT_Encode4(322404), // Rule ID 4802 //
     /* 322393 */     // (fminnum:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FMINNMDrr:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 322393 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMDrr),
     /* 322398 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322402 */     GIR_RootConstrainSelectedInstOperands,
     /* 322403 */     // GIR_Coverage, 4802,
     /* 322403 */     GIR_Done,
     /* 322404 */   // Label 6553: @322404
     /* 322404 */   GIM_Reject,
     /* 322405 */ // Label 6551: @322405
     /* 322405 */ GIM_Reject,
     /* 322406 */ // Label 6543: @322406
     /* 322406 */ GIM_Try, /*On fail goto*//*Label 6554*/ GIMT_Encode4(322443), // Rule ID 1273 //
     /* 322411 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 322414 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 322417 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 322420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322424 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322428 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322432 */   // (fminnum:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMINNMv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 322432 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv2f32),
     /* 322437 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322441 */   GIR_RootConstrainSelectedInstOperands,
     /* 322442 */   // GIR_Coverage, 1273,
     /* 322442 */   GIR_Done,
     /* 322443 */ // Label 6554: @322443
     /* 322443 */ GIM_Reject,
     /* 322444 */ // Label 6544: @322444
     /* 322444 */ GIM_Try, /*On fail goto*//*Label 6555*/ GIMT_Encode4(322481), // Rule ID 1277 //
     /* 322449 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 322452 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 322455 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 322458 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322462 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322466 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322470 */   // (fminnum:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMINNMv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 322470 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv2f64),
     /* 322475 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322479 */   GIR_RootConstrainSelectedInstOperands,
     /* 322480 */   // GIR_Coverage, 1277,
     /* 322480 */   GIR_Done,
     /* 322481 */ // Label 6555: @322481
     /* 322481 */ GIM_Reject,
     /* 322482 */ // Label 6545: @322482
     /* 322482 */ GIM_Try, /*On fail goto*//*Label 6556*/ GIMT_Encode4(322519), // Rule ID 1269 //
     /* 322487 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 322490 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 322493 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 322496 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322500 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322504 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322508 */   // (fminnum:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMINNMv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 322508 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv4f16),
     /* 322513 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322517 */   GIR_RootConstrainSelectedInstOperands,
     /* 322518 */   // GIR_Coverage, 1269,
     /* 322518 */   GIR_Done,
     /* 322519 */ // Label 6556: @322519
     /* 322519 */ GIM_Reject,
     /* 322520 */ // Label 6546: @322520
     /* 322520 */ GIM_Try, /*On fail goto*//*Label 6557*/ GIMT_Encode4(322557), // Rule ID 1275 //
     /* 322525 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 322528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 322531 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 322534 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322538 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322542 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322546 */   // (fminnum:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMINNMv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 322546 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv4f32),
     /* 322551 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322555 */   GIR_RootConstrainSelectedInstOperands,
     /* 322556 */   // GIR_Coverage, 1275,
     /* 322556 */   GIR_Done,
     /* 322557 */ // Label 6557: @322557
     /* 322557 */ GIM_Reject,
     /* 322558 */ // Label 6547: @322558
     /* 322558 */ GIM_Try, /*On fail goto*//*Label 6558*/ GIMT_Encode4(322595), // Rule ID 1271 //
     /* 322563 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 322566 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 322569 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 322572 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322576 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322580 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322584 */   // (fminnum:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMINNMv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 322584 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv8f16),
     /* 322589 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322593 */   GIR_RootConstrainSelectedInstOperands,
     /* 322594 */   // GIR_Coverage, 1271,
     /* 322594 */   GIR_Done,
     /* 322595 */ // Label 6558: @322595
     /* 322595 */ GIM_Reject,
     /* 322596 */ // Label 6548: @322596
     /* 322596 */ GIM_Reject,
     /* 322597 */ // Label 74: @322597
     /* 322597 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6567*/ GIMT_Encode4(322974),
     /* 322608 */ /*GILLT_s16*//*Label 6559*/ GIMT_Encode4(322648),
     /* 322612 */ /*GILLT_s32*//*Label 6560*/ GIMT_Encode4(322686),
     /* 322616 */ /*GILLT_s64*//*Label 6561*/ GIMT_Encode4(322724), GIMT_Encode4(0),
     /* 322624 */ /*GILLT_v2s32*//*Label 6562*/ GIMT_Encode4(322784),
     /* 322628 */ /*GILLT_v2s64*//*Label 6563*/ GIMT_Encode4(322822),
     /* 322632 */ /*GILLT_v4s16*//*Label 6564*/ GIMT_Encode4(322860),
     /* 322636 */ /*GILLT_v4s32*//*Label 6565*/ GIMT_Encode4(322898), GIMT_Encode4(0),
     /* 322644 */ /*GILLT_v8s16*//*Label 6566*/ GIMT_Encode4(322936),
     /* 322648 */ // Label 6559: @322648
     /* 322648 */ GIM_Try, /*On fail goto*//*Label 6568*/ GIMT_Encode4(322685), // Rule ID 596 //
     /* 322653 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 322656 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 322659 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 322662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 322666 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 322670 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 322674 */   // (fmaxnum:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FMAXNMHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 322674 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMHrr),
     /* 322679 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322683 */   GIR_RootConstrainSelectedInstOperands,
     /* 322684 */   // GIR_Coverage, 596,
     /* 322684 */   GIR_Done,
     /* 322685 */ // Label 6568: @322685
     /* 322685 */ GIM_Reject,
     /* 322686 */ // Label 6560: @322686
     /* 322686 */ GIM_Try, /*On fail goto*//*Label 6569*/ GIMT_Encode4(322723), // Rule ID 598 //
     /* 322691 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 322694 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 322697 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 322700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 322704 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 322708 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 322712 */   // (fmaxnum:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FMAXNMSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 322712 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMSrr),
     /* 322717 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322721 */   GIR_RootConstrainSelectedInstOperands,
     /* 322722 */   // GIR_Coverage, 598,
     /* 322722 */   GIR_Done,
     /* 322723 */ // Label 6569: @322723
     /* 322723 */ GIM_Reject,
     /* 322724 */ // Label 6561: @322724
     /* 322724 */ GIM_Try, /*On fail goto*//*Label 6570*/ GIMT_Encode4(322783),
     /* 322729 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 322732 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 322735 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322739 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322743 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322747 */   GIM_Try, /*On fail goto*//*Label 6571*/ GIMT_Encode4(322766), // Rule ID 600 //
     /* 322752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 322755 */     // (fmaxnum:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FMAXNMDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 322755 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMDrr),
     /* 322760 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322764 */     GIR_RootConstrainSelectedInstOperands,
     /* 322765 */     // GIR_Coverage, 600,
     /* 322765 */     GIR_Done,
     /* 322766 */   // Label 6571: @322766
     /* 322766 */   GIM_Try, /*On fail goto*//*Label 6572*/ GIMT_Encode4(322782), // Rule ID 4801 //
     /* 322771 */     // (fmaxnum:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FMAXNMDrr:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 322771 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMDrr),
     /* 322776 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322780 */     GIR_RootConstrainSelectedInstOperands,
     /* 322781 */     // GIR_Coverage, 4801,
     /* 322781 */     GIR_Done,
     /* 322782 */   // Label 6572: @322782
     /* 322782 */   GIM_Reject,
     /* 322783 */ // Label 6570: @322783
     /* 322783 */ GIM_Reject,
     /* 322784 */ // Label 6562: @322784
     /* 322784 */ GIM_Try, /*On fail goto*//*Label 6573*/ GIMT_Encode4(322821), // Rule ID 1243 //
     /* 322789 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 322792 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 322795 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 322798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322802 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322806 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322810 */   // (fmaxnum:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMAXNMv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 322810 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMv2f32),
     /* 322815 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322819 */   GIR_RootConstrainSelectedInstOperands,
     /* 322820 */   // GIR_Coverage, 1243,
     /* 322820 */   GIR_Done,
     /* 322821 */ // Label 6573: @322821
     /* 322821 */ GIM_Reject,
     /* 322822 */ // Label 6563: @322822
     /* 322822 */ GIM_Try, /*On fail goto*//*Label 6574*/ GIMT_Encode4(322859), // Rule ID 1247 //
     /* 322827 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 322830 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 322833 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 322836 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322840 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322844 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322848 */   // (fmaxnum:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMAXNMv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 322848 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMv2f64),
     /* 322853 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322857 */   GIR_RootConstrainSelectedInstOperands,
     /* 322858 */   // GIR_Coverage, 1247,
     /* 322858 */   GIR_Done,
     /* 322859 */ // Label 6574: @322859
     /* 322859 */ GIM_Reject,
     /* 322860 */ // Label 6564: @322860
     /* 322860 */ GIM_Try, /*On fail goto*//*Label 6575*/ GIMT_Encode4(322897), // Rule ID 1239 //
     /* 322865 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 322868 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 322871 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 322874 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322878 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322882 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322886 */   // (fmaxnum:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMAXNMv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 322886 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMv4f16),
     /* 322891 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322895 */   GIR_RootConstrainSelectedInstOperands,
     /* 322896 */   // GIR_Coverage, 1239,
     /* 322896 */   GIR_Done,
     /* 322897 */ // Label 6575: @322897
     /* 322897 */ GIM_Reject,
     /* 322898 */ // Label 6565: @322898
     /* 322898 */ GIM_Try, /*On fail goto*//*Label 6576*/ GIMT_Encode4(322935), // Rule ID 1245 //
     /* 322903 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 322906 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 322909 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 322912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322916 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322920 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322924 */   // (fmaxnum:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMAXNMv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 322924 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMv4f32),
     /* 322929 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322933 */   GIR_RootConstrainSelectedInstOperands,
     /* 322934 */   // GIR_Coverage, 1245,
     /* 322934 */   GIR_Done,
     /* 322935 */ // Label 6576: @322935
     /* 322935 */ GIM_Reject,
     /* 322936 */ // Label 6566: @322936
     /* 322936 */ GIM_Try, /*On fail goto*//*Label 6577*/ GIMT_Encode4(322973), // Rule ID 1241 //
     /* 322941 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 322944 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 322947 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 322950 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322954 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322958 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322962 */   // (fmaxnum:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMAXNMv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 322962 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMv8f16),
     /* 322967 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322971 */   GIR_RootConstrainSelectedInstOperands,
     /* 322972 */   // GIR_Coverage, 1241,
     /* 322972 */   GIR_Done,
     /* 322973 */ // Label 6577: @322973
     /* 322973 */ GIM_Reject,
     /* 322974 */ // Label 6567: @322974
     /* 322974 */ GIM_Reject,
     /* 322975 */ // Label 75: @322975
     /* 322975 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6586*/ GIMT_Encode4(323324),
     /* 322986 */ /*GILLT_s16*//*Label 6578*/ GIMT_Encode4(323026),
     /* 322990 */ /*GILLT_s32*//*Label 6579*/ GIMT_Encode4(323064),
     /* 322994 */ /*GILLT_s64*//*Label 6580*/ GIMT_Encode4(323099), GIMT_Encode4(0),
     /* 323002 */ /*GILLT_v2s32*//*Label 6581*/ GIMT_Encode4(323134),
     /* 323006 */ /*GILLT_v2s64*//*Label 6582*/ GIMT_Encode4(323172),
     /* 323010 */ /*GILLT_v4s16*//*Label 6583*/ GIMT_Encode4(323210),
     /* 323014 */ /*GILLT_v4s32*//*Label 6584*/ GIMT_Encode4(323248), GIMT_Encode4(0),
     /* 323022 */ /*GILLT_v8s16*//*Label 6585*/ GIMT_Encode4(323286),
     /* 323026 */ // Label 6578: @323026
     /* 323026 */ GIM_Try, /*On fail goto*//*Label 6587*/ GIMT_Encode4(323063), // Rule ID 4809 //
     /* 323031 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 323034 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 323037 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 323040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 323044 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 323048 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 323052 */   // (fminnum_ieee:{ *:[f16] } FPR16:{ *:[f16] }:$a, FPR16:{ *:[f16] }:$b)  =>  (FMINNMHrr:{ *:[f16] } FPR16:{ *:[f16] }:$a, FPR16:{ *:[f16] }:$b)
     /* 323052 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMHrr),
     /* 323057 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 323061 */   GIR_RootConstrainSelectedInstOperands,
     /* 323062 */   // GIR_Coverage, 4809,
     /* 323062 */   GIR_Done,
     /* 323063 */ // Label 6587: @323063
     /* 323063 */ GIM_Reject,
     /* 323064 */ // Label 6579: @323064
     /* 323064 */ GIM_Try, /*On fail goto*//*Label 6588*/ GIMT_Encode4(323098), // Rule ID 4806 //
     /* 323069 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 323072 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 323075 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 323079 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 323083 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 323087 */   // (fminnum_ieee:{ *:[f32] } FPR32:{ *:[f32] }:$a, FPR32:{ *:[f32] }:$b)  =>  (FMINNMSrr:{ *:[f32] } FPR32:{ *:[f32] }:$a, FPR32:{ *:[f32] }:$b)
     /* 323087 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMSrr),
     /* 323092 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 323096 */   GIR_RootConstrainSelectedInstOperands,
     /* 323097 */   // GIR_Coverage, 4806,
     /* 323097 */   GIR_Done,
     /* 323098 */ // Label 6588: @323098
     /* 323098 */ GIM_Reject,
     /* 323099 */ // Label 6580: @323099
     /* 323099 */ GIM_Try, /*On fail goto*//*Label 6589*/ GIMT_Encode4(323133), // Rule ID 4803 //
     /* 323104 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 323107 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 323110 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323114 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323118 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323122 */   // (fminnum_ieee:{ *:[f64] } FPR64:{ *:[f64] }:$a, FPR64:{ *:[f64] }:$b)  =>  (FMINNMDrr:{ *:[f64] } FPR64:{ *:[f64] }:$a, FPR64:{ *:[f64] }:$b)
     /* 323122 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMDrr),
     /* 323127 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 323131 */   GIR_RootConstrainSelectedInstOperands,
     /* 323132 */   // GIR_Coverage, 4803,
     /* 323132 */   GIR_Done,
     /* 323133 */ // Label 6589: @323133
     /* 323133 */ GIM_Reject,
     /* 323134 */ // Label 6581: @323134
     /* 323134 */ GIM_Try, /*On fail goto*//*Label 6590*/ GIMT_Encode4(323171), // Rule ID 4997 //
     /* 323139 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 323142 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 323145 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 323148 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323152 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323156 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323160 */   // (fminnum_ieee:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMINNMv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 323160 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv2f32),
     /* 323165 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 323169 */   GIR_RootConstrainSelectedInstOperands,
     /* 323170 */   // GIR_Coverage, 4997,
     /* 323170 */   GIR_Done,
     /* 323171 */ // Label 6590: @323171
     /* 323171 */ GIM_Reject,
     /* 323172 */ // Label 6582: @323172
     /* 323172 */ GIM_Try, /*On fail goto*//*Label 6591*/ GIMT_Encode4(323209), // Rule ID 4991 //
     /* 323177 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 323180 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 323183 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 323186 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 323190 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 323194 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 323198 */   // (fminnum_ieee:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMINNMv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 323198 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv2f64),
     /* 323203 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 323207 */   GIR_RootConstrainSelectedInstOperands,
     /* 323208 */   // GIR_Coverage, 4991,
     /* 323208 */   GIR_Done,
     /* 323209 */ // Label 6591: @323209
     /* 323209 */ GIM_Reject,
     /* 323210 */ // Label 6583: @323210
     /* 323210 */ GIM_Try, /*On fail goto*//*Label 6592*/ GIMT_Encode4(323247), // Rule ID 5003 //
     /* 323215 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 323218 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 323221 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 323224 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323228 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323232 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323236 */   // (fminnum_ieee:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMINNMv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 323236 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv4f16),
     /* 323241 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 323245 */   GIR_RootConstrainSelectedInstOperands,
     /* 323246 */   // GIR_Coverage, 5003,
     /* 323246 */   GIR_Done,
     /* 323247 */ // Label 6592: @323247
     /* 323247 */ GIM_Reject,
     /* 323248 */ // Label 6584: @323248
     /* 323248 */ GIM_Try, /*On fail goto*//*Label 6593*/ GIMT_Encode4(323285), // Rule ID 4994 //
     /* 323253 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 323256 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 323259 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 323262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 323266 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 323270 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 323274 */   // (fminnum_ieee:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMINNMv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 323274 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv4f32),
     /* 323279 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 323283 */   GIR_RootConstrainSelectedInstOperands,
     /* 323284 */   // GIR_Coverage, 4994,
     /* 323284 */   GIR_Done,
     /* 323285 */ // Label 6593: @323285
     /* 323285 */ GIM_Reject,
     /* 323286 */ // Label 6585: @323286
     /* 323286 */ GIM_Try, /*On fail goto*//*Label 6594*/ GIMT_Encode4(323323), // Rule ID 5000 //
     /* 323291 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 323294 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 323297 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 323300 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 323304 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 323308 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 323312 */   // (fminnum_ieee:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMINNMv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 323312 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv8f16),
     /* 323317 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 323321 */   GIR_RootConstrainSelectedInstOperands,
     /* 323322 */   // GIR_Coverage, 5000,
     /* 323322 */   GIR_Done,
     /* 323323 */ // Label 6594: @323323
     /* 323323 */ GIM_Reject,
     /* 323324 */ // Label 6586: @323324
     /* 323324 */ GIM_Reject,
     /* 323325 */ // Label 76: @323325
     /* 323325 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6603*/ GIMT_Encode4(323674),
     /* 323336 */ /*GILLT_s16*//*Label 6595*/ GIMT_Encode4(323376),
     /* 323340 */ /*GILLT_s32*//*Label 6596*/ GIMT_Encode4(323414),
     /* 323344 */ /*GILLT_s64*//*Label 6597*/ GIMT_Encode4(323449), GIMT_Encode4(0),
     /* 323352 */ /*GILLT_v2s32*//*Label 6598*/ GIMT_Encode4(323484),
     /* 323356 */ /*GILLT_v2s64*//*Label 6599*/ GIMT_Encode4(323522),
     /* 323360 */ /*GILLT_v4s16*//*Label 6600*/ GIMT_Encode4(323560),
     /* 323364 */ /*GILLT_v4s32*//*Label 6601*/ GIMT_Encode4(323598), GIMT_Encode4(0),
     /* 323372 */ /*GILLT_v8s16*//*Label 6602*/ GIMT_Encode4(323636),
     /* 323376 */ // Label 6595: @323376
     /* 323376 */ GIM_Try, /*On fail goto*//*Label 6604*/ GIMT_Encode4(323413), // Rule ID 4810 //
     /* 323381 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 323384 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 323387 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 323390 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 323394 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 323398 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 323402 */   // (fmaxnum_ieee:{ *:[f16] } FPR16:{ *:[f16] }:$a, FPR16:{ *:[f16] }:$b)  =>  (FMAXNMHrr:{ *:[f16] } FPR16:{ *:[f16] }:$a, FPR16:{ *:[f16] }:$b)
     /* 323402 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMHrr),
     /* 323407 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 323411 */   GIR_RootConstrainSelectedInstOperands,
     /* 323412 */   // GIR_Coverage, 4810,
     /* 323412 */   GIR_Done,
     /* 323413 */ // Label 6604: @323413
     /* 323413 */ GIM_Reject,
     /* 323414 */ // Label 6596: @323414
     /* 323414 */ GIM_Try, /*On fail goto*//*Label 6605*/ GIMT_Encode4(323448), // Rule ID 4807 //
     /* 323419 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 323422 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 323425 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 323429 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 323433 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 323437 */   // (fmaxnum_ieee:{ *:[f32] } FPR32:{ *:[f32] }:$a, FPR32:{ *:[f32] }:$b)  =>  (FMAXNMSrr:{ *:[f32] } FPR32:{ *:[f32] }:$a, FPR32:{ *:[f32] }:$b)
     /* 323437 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMSrr),
     /* 323442 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 323446 */   GIR_RootConstrainSelectedInstOperands,
     /* 323447 */   // GIR_Coverage, 4807,
     /* 323447 */   GIR_Done,
     /* 323448 */ // Label 6605: @323448
     /* 323448 */ GIM_Reject,
     /* 323449 */ // Label 6597: @323449
     /* 323449 */ GIM_Try, /*On fail goto*//*Label 6606*/ GIMT_Encode4(323483), // Rule ID 4804 //
     /* 323454 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 323457 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 323460 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323464 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323468 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323472 */   // (fmaxnum_ieee:{ *:[f64] } FPR64:{ *:[f64] }:$a, FPR64:{ *:[f64] }:$b)  =>  (FMAXNMDrr:{ *:[f64] } FPR64:{ *:[f64] }:$a, FPR64:{ *:[f64] }:$b)
     /* 323472 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMDrr),
     /* 323477 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 323481 */   GIR_RootConstrainSelectedInstOperands,
     /* 323482 */   // GIR_Coverage, 4804,
     /* 323482 */   GIR_Done,
     /* 323483 */ // Label 6606: @323483
     /* 323483 */ GIM_Reject,
     /* 323484 */ // Label 6598: @323484
     /* 323484 */ GIM_Try, /*On fail goto*//*Label 6607*/ GIMT_Encode4(323521), // Rule ID 4998 //
     /* 323489 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 323492 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 323495 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 323498 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323502 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323506 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323510 */   // (fmaxnum_ieee:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMAXNMv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 323510 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMv2f32),
     /* 323515 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 323519 */   GIR_RootConstrainSelectedInstOperands,
     /* 323520 */   // GIR_Coverage, 4998,
     /* 323520 */   GIR_Done,
     /* 323521 */ // Label 6607: @323521
     /* 323521 */ GIM_Reject,
     /* 323522 */ // Label 6599: @323522
     /* 323522 */ GIM_Try, /*On fail goto*//*Label 6608*/ GIMT_Encode4(323559), // Rule ID 4992 //
     /* 323527 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 323530 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 323533 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 323536 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 323540 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 323544 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 323548 */   // (fmaxnum_ieee:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMAXNMv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 323548 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMv2f64),
     /* 323553 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 323557 */   GIR_RootConstrainSelectedInstOperands,
     /* 323558 */   // GIR_Coverage, 4992,
     /* 323558 */   GIR_Done,
     /* 323559 */ // Label 6608: @323559
     /* 323559 */ GIM_Reject,
     /* 323560 */ // Label 6600: @323560
     /* 323560 */ GIM_Try, /*On fail goto*//*Label 6609*/ GIMT_Encode4(323597), // Rule ID 5004 //
     /* 323565 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 323568 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 323571 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 323574 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323578 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323582 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323586 */   // (fmaxnum_ieee:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMAXNMv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 323586 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMv4f16),
     /* 323591 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 323595 */   GIR_RootConstrainSelectedInstOperands,
     /* 323596 */   // GIR_Coverage, 5004,
     /* 323596 */   GIR_Done,
     /* 323597 */ // Label 6609: @323597
     /* 323597 */ GIM_Reject,
     /* 323598 */ // Label 6601: @323598
     /* 323598 */ GIM_Try, /*On fail goto*//*Label 6610*/ GIMT_Encode4(323635), // Rule ID 4995 //
     /* 323603 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 323606 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 323609 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 323612 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 323616 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 323620 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 323624 */   // (fmaxnum_ieee:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMAXNMv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 323624 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMv4f32),
     /* 323629 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 323633 */   GIR_RootConstrainSelectedInstOperands,
     /* 323634 */   // GIR_Coverage, 4995,
     /* 323634 */   GIR_Done,
     /* 323635 */ // Label 6610: @323635
     /* 323635 */ GIM_Reject,
     /* 323636 */ // Label 6602: @323636
     /* 323636 */ GIM_Try, /*On fail goto*//*Label 6611*/ GIMT_Encode4(323673), // Rule ID 5001 //
     /* 323641 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 323644 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 323647 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 323650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 323654 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 323658 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 323662 */   // (fmaxnum_ieee:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMAXNMv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 323662 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMv8f16),
     /* 323667 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 323671 */   GIR_RootConstrainSelectedInstOperands,
     /* 323672 */   // GIR_Coverage, 5001,
     /* 323672 */   GIR_Done,
     /* 323673 */ // Label 6611: @323673
     /* 323673 */ GIM_Reject,
     /* 323674 */ // Label 6603: @323674
     /* 323674 */ GIM_Reject,
     /* 323675 */ // Label 77: @323675
     /* 323675 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6620*/ GIMT_Encode4(324377),
     /* 323686 */ /*GILLT_s16*//*Label 6612*/ GIMT_Encode4(323726),
     /* 323690 */ /*GILLT_s32*//*Label 6613*/ GIMT_Encode4(323764),
     /* 323694 */ /*GILLT_s64*//*Label 6614*/ GIMT_Encode4(323802), GIMT_Encode4(0),
     /* 323702 */ /*GILLT_v2s32*//*Label 6615*/ GIMT_Encode4(323862),
     /* 323706 */ /*GILLT_v2s64*//*Label 6616*/ GIMT_Encode4(323965),
     /* 323710 */ /*GILLT_v4s16*//*Label 6617*/ GIMT_Encode4(324068),
     /* 323714 */ /*GILLT_v4s32*//*Label 6618*/ GIMT_Encode4(324171), GIMT_Encode4(0),
     /* 323722 */ /*GILLT_v8s16*//*Label 6619*/ GIMT_Encode4(324274),
     /* 323726 */ // Label 6612: @323726
     /* 323726 */ GIM_Try, /*On fail goto*//*Label 6621*/ GIMT_Encode4(323763), // Rule ID 614 //
     /* 323731 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 323734 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 323737 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 323740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 323744 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 323748 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 323752 */   // (fminimum:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FMINHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 323752 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINHrr),
     /* 323757 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 323761 */   GIR_RootConstrainSelectedInstOperands,
     /* 323762 */   // GIR_Coverage, 614,
     /* 323762 */   GIR_Done,
     /* 323763 */ // Label 6621: @323763
     /* 323763 */ GIM_Reject,
     /* 323764 */ // Label 6613: @323764
     /* 323764 */ GIM_Try, /*On fail goto*//*Label 6622*/ GIMT_Encode4(323801), // Rule ID 616 //
     /* 323769 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 323772 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 323775 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 323778 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 323782 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 323786 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 323790 */   // (fminimum:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FMINSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 323790 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINSrr),
     /* 323795 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 323799 */   GIR_RootConstrainSelectedInstOperands,
     /* 323800 */   // GIR_Coverage, 616,
     /* 323800 */   GIR_Done,
     /* 323801 */ // Label 6622: @323801
     /* 323801 */ GIM_Reject,
     /* 323802 */ // Label 6614: @323802
     /* 323802 */ GIM_Try, /*On fail goto*//*Label 6623*/ GIMT_Encode4(323861),
     /* 323807 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 323810 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 323813 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323817 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323821 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323825 */   GIM_Try, /*On fail goto*//*Label 6624*/ GIMT_Encode4(323844), // Rule ID 618 //
     /* 323830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 323833 */     // (fminimum:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FMINDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 323833 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINDrr),
     /* 323838 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 323842 */     GIR_RootConstrainSelectedInstOperands,
     /* 323843 */     // GIR_Coverage, 618,
     /* 323843 */     GIR_Done,
     /* 323844 */   // Label 6624: @323844
     /* 323844 */   GIM_Try, /*On fail goto*//*Label 6625*/ GIMT_Encode4(323860), // Rule ID 4800 //
     /* 323849 */     // (fminimum:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FMINDrr:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 323849 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINDrr),
     /* 323854 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 323858 */     GIR_RootConstrainSelectedInstOperands,
     /* 323859 */     // GIR_Coverage, 4800,
     /* 323859 */     GIR_Done,
     /* 323860 */   // Label 6625: @323860
     /* 323860 */   GIM_Reject,
     /* 323861 */ // Label 6623: @323861
     /* 323861 */ GIM_Reject,
     /* 323862 */ // Label 6615: @323862
     /* 323862 */ GIM_Try, /*On fail goto*//*Label 6626*/ GIMT_Encode4(323964),
     /* 323867 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 323870 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 323873 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323877 */   GIM_Try, /*On fail goto*//*Label 6627*/ GIMT_Encode4(323936), // Rule ID 2366 //
     /* 323882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 323885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 323889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 323893 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 323897 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323902 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 323906 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 323910 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 323914 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323919 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 323921 */     // (fminimum:{ *:[v2f32] } (fabs:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), (fabs:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rm))  =>  (FAMINv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 323921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMINv2f32),
     /* 323924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 323926 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 323930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 323934 */     GIR_RootConstrainSelectedInstOperands,
     /* 323935 */     // GIR_Coverage, 2366,
     /* 323935 */     GIR_EraseRootFromParent_Done,
     /* 323936 */   // Label 6627: @323936
     /* 323936 */   GIM_Try, /*On fail goto*//*Label 6628*/ GIMT_Encode4(323963), // Rule ID 1288 //
     /* 323941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 323944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323952 */     // (fminimum:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMINv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 323952 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINv2f32),
     /* 323957 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 323961 */     GIR_RootConstrainSelectedInstOperands,
     /* 323962 */     // GIR_Coverage, 1288,
     /* 323962 */     GIR_Done,
     /* 323963 */   // Label 6628: @323963
     /* 323963 */   GIM_Reject,
     /* 323964 */ // Label 6626: @323964
     /* 323964 */ GIM_Reject,
     /* 323965 */ // Label 6616: @323965
     /* 323965 */ GIM_Try, /*On fail goto*//*Label 6629*/ GIMT_Encode4(324067),
     /* 323970 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 323973 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 323976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 323980 */   GIM_Try, /*On fail goto*//*Label 6630*/ GIMT_Encode4(324039), // Rule ID 2372 //
     /* 323985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 323988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 323992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 323996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 324000 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324005 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 324009 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 324013 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 324017 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324022 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 324024 */     // (fminimum:{ *:[v2f64] } (fabs:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), (fabs:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm))  =>  (FAMINv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 324024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMINv2f64),
     /* 324027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 324029 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 324033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 324037 */     GIR_RootConstrainSelectedInstOperands,
     /* 324038 */     // GIR_Coverage, 2372,
     /* 324038 */     GIR_EraseRootFromParent_Done,
     /* 324039 */   // Label 6630: @324039
     /* 324039 */   GIM_Try, /*On fail goto*//*Label 6631*/ GIMT_Encode4(324066), // Rule ID 1292 //
     /* 324044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 324047 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324055 */     // (fminimum:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMINv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 324055 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINv2f64),
     /* 324060 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324064 */     GIR_RootConstrainSelectedInstOperands,
     /* 324065 */     // GIR_Coverage, 1292,
     /* 324065 */     GIR_Done,
     /* 324066 */   // Label 6631: @324066
     /* 324066 */   GIM_Reject,
     /* 324067 */ // Label 6629: @324067
     /* 324067 */ GIM_Reject,
     /* 324068 */ // Label 6617: @324068
     /* 324068 */ GIM_Try, /*On fail goto*//*Label 6632*/ GIMT_Encode4(324170),
     /* 324073 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 324076 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 324079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324083 */   GIM_Try, /*On fail goto*//*Label 6633*/ GIMT_Encode4(324142), // Rule ID 2360 //
     /* 324088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 324091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 324095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 324099 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 324103 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324108 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 324112 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 324116 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 324120 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324125 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 324127 */     // (fminimum:{ *:[v4f16] } (fabs:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), (fabs:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rm))  =>  (FAMINv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 324127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMINv4f16),
     /* 324130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 324132 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 324136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 324140 */     GIR_RootConstrainSelectedInstOperands,
     /* 324141 */     // GIR_Coverage, 2360,
     /* 324141 */     GIR_EraseRootFromParent_Done,
     /* 324142 */   // Label 6633: @324142
     /* 324142 */   GIM_Try, /*On fail goto*//*Label 6634*/ GIMT_Encode4(324169), // Rule ID 1284 //
     /* 324147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 324150 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324158 */     // (fminimum:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMINv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 324158 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINv4f16),
     /* 324163 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324167 */     GIR_RootConstrainSelectedInstOperands,
     /* 324168 */     // GIR_Coverage, 1284,
     /* 324168 */     GIR_Done,
     /* 324169 */   // Label 6634: @324169
     /* 324169 */   GIM_Reject,
     /* 324170 */ // Label 6632: @324170
     /* 324170 */ GIM_Reject,
     /* 324171 */ // Label 6618: @324171
     /* 324171 */ GIM_Try, /*On fail goto*//*Label 6635*/ GIMT_Encode4(324273),
     /* 324176 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 324179 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 324182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324186 */   GIM_Try, /*On fail goto*//*Label 6636*/ GIMT_Encode4(324245), // Rule ID 2369 //
     /* 324191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 324194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 324198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 324202 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 324206 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324211 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 324215 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 324219 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 324223 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324228 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 324230 */     // (fminimum:{ *:[v4f32] } (fabs:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), (fabs:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm))  =>  (FAMINv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 324230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMINv4f32),
     /* 324233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 324235 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 324239 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 324243 */     GIR_RootConstrainSelectedInstOperands,
     /* 324244 */     // GIR_Coverage, 2369,
     /* 324244 */     GIR_EraseRootFromParent_Done,
     /* 324245 */   // Label 6636: @324245
     /* 324245 */   GIM_Try, /*On fail goto*//*Label 6637*/ GIMT_Encode4(324272), // Rule ID 1290 //
     /* 324250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 324253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324261 */     // (fminimum:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMINv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 324261 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINv4f32),
     /* 324266 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324270 */     GIR_RootConstrainSelectedInstOperands,
     /* 324271 */     // GIR_Coverage, 1290,
     /* 324271 */     GIR_Done,
     /* 324272 */   // Label 6637: @324272
     /* 324272 */   GIM_Reject,
     /* 324273 */ // Label 6635: @324273
     /* 324273 */ GIM_Reject,
     /* 324274 */ // Label 6619: @324274
     /* 324274 */ GIM_Try, /*On fail goto*//*Label 6638*/ GIMT_Encode4(324376),
     /* 324279 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 324282 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 324285 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324289 */   GIM_Try, /*On fail goto*//*Label 6639*/ GIMT_Encode4(324348), // Rule ID 2363 //
     /* 324294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 324297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 324301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 324305 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 324309 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324314 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 324318 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 324322 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 324326 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324331 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 324333 */     // (fminimum:{ *:[v8f16] } (fabs:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), (fabs:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rm))  =>  (FAMINv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 324333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMINv8f16),
     /* 324336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 324338 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 324342 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 324346 */     GIR_RootConstrainSelectedInstOperands,
     /* 324347 */     // GIR_Coverage, 2363,
     /* 324347 */     GIR_EraseRootFromParent_Done,
     /* 324348 */   // Label 6639: @324348
     /* 324348 */   GIM_Try, /*On fail goto*//*Label 6640*/ GIMT_Encode4(324375), // Rule ID 1286 //
     /* 324353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 324356 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324364 */     // (fminimum:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMINv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 324364 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINv8f16),
     /* 324369 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324373 */     GIR_RootConstrainSelectedInstOperands,
     /* 324374 */     // GIR_Coverage, 1286,
     /* 324374 */     GIR_Done,
     /* 324375 */   // Label 6640: @324375
     /* 324375 */   GIM_Reject,
     /* 324376 */ // Label 6638: @324376
     /* 324376 */ GIM_Reject,
     /* 324377 */ // Label 6620: @324377
     /* 324377 */ GIM_Reject,
     /* 324378 */ // Label 78: @324378
     /* 324378 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6649*/ GIMT_Encode4(325080),
     /* 324389 */ /*GILLT_s16*//*Label 6641*/ GIMT_Encode4(324429),
     /* 324393 */ /*GILLT_s32*//*Label 6642*/ GIMT_Encode4(324467),
     /* 324397 */ /*GILLT_s64*//*Label 6643*/ GIMT_Encode4(324505), GIMT_Encode4(0),
     /* 324405 */ /*GILLT_v2s32*//*Label 6644*/ GIMT_Encode4(324565),
     /* 324409 */ /*GILLT_v2s64*//*Label 6645*/ GIMT_Encode4(324668),
     /* 324413 */ /*GILLT_v4s16*//*Label 6646*/ GIMT_Encode4(324771),
     /* 324417 */ /*GILLT_v4s32*//*Label 6647*/ GIMT_Encode4(324874), GIMT_Encode4(0),
     /* 324425 */ /*GILLT_v8s16*//*Label 6648*/ GIMT_Encode4(324977),
     /* 324429 */ // Label 6641: @324429
     /* 324429 */ GIM_Try, /*On fail goto*//*Label 6650*/ GIMT_Encode4(324466), // Rule ID 602 //
     /* 324434 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 324437 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 324440 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 324443 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 324447 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 324451 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 324455 */   // (fmaximum:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FMAXHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 324455 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXHrr),
     /* 324460 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324464 */   GIR_RootConstrainSelectedInstOperands,
     /* 324465 */   // GIR_Coverage, 602,
     /* 324465 */   GIR_Done,
     /* 324466 */ // Label 6650: @324466
     /* 324466 */ GIM_Reject,
     /* 324467 */ // Label 6642: @324467
     /* 324467 */ GIM_Try, /*On fail goto*//*Label 6651*/ GIMT_Encode4(324504), // Rule ID 604 //
     /* 324472 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 324475 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 324478 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 324481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 324485 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 324489 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 324493 */   // (fmaximum:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FMAXSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 324493 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXSrr),
     /* 324498 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324502 */   GIR_RootConstrainSelectedInstOperands,
     /* 324503 */   // GIR_Coverage, 604,
     /* 324503 */   GIR_Done,
     /* 324504 */ // Label 6651: @324504
     /* 324504 */ GIM_Reject,
     /* 324505 */ // Label 6643: @324505
     /* 324505 */ GIM_Try, /*On fail goto*//*Label 6652*/ GIMT_Encode4(324564),
     /* 324510 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 324513 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 324516 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324520 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324524 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324528 */   GIM_Try, /*On fail goto*//*Label 6653*/ GIMT_Encode4(324547), // Rule ID 606 //
     /* 324533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 324536 */     // (fmaximum:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FMAXDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 324536 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXDrr),
     /* 324541 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324545 */     GIR_RootConstrainSelectedInstOperands,
     /* 324546 */     // GIR_Coverage, 606,
     /* 324546 */     GIR_Done,
     /* 324547 */   // Label 6653: @324547
     /* 324547 */   GIM_Try, /*On fail goto*//*Label 6654*/ GIMT_Encode4(324563), // Rule ID 4799 //
     /* 324552 */     // (fmaximum:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FMAXDrr:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 324552 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXDrr),
     /* 324557 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324561 */     GIR_RootConstrainSelectedInstOperands,
     /* 324562 */     // GIR_Coverage, 4799,
     /* 324562 */     GIR_Done,
     /* 324563 */   // Label 6654: @324563
     /* 324563 */   GIM_Reject,
     /* 324564 */ // Label 6652: @324564
     /* 324564 */ GIM_Reject,
     /* 324565 */ // Label 6644: @324565
     /* 324565 */ GIM_Try, /*On fail goto*//*Label 6655*/ GIMT_Encode4(324667),
     /* 324570 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 324573 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 324576 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324580 */   GIM_Try, /*On fail goto*//*Label 6656*/ GIMT_Encode4(324639), // Rule ID 2351 //
     /* 324585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 324588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 324592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 324596 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 324600 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324605 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 324609 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 324613 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 324617 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324622 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 324624 */     // (fmaximum:{ *:[v2f32] } (fabs:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), (fabs:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rm))  =>  (FAMAXv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 324624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAXv2f32),
     /* 324627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 324629 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 324633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 324637 */     GIR_RootConstrainSelectedInstOperands,
     /* 324638 */     // GIR_Coverage, 2351,
     /* 324638 */     GIR_EraseRootFromParent_Done,
     /* 324639 */   // Label 6656: @324639
     /* 324639 */   GIM_Try, /*On fail goto*//*Label 6657*/ GIMT_Encode4(324666), // Rule ID 1258 //
     /* 324644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 324647 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324655 */     // (fmaximum:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMAXv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 324655 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXv2f32),
     /* 324660 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324664 */     GIR_RootConstrainSelectedInstOperands,
     /* 324665 */     // GIR_Coverage, 1258,
     /* 324665 */     GIR_Done,
     /* 324666 */   // Label 6657: @324666
     /* 324666 */   GIM_Reject,
     /* 324667 */ // Label 6655: @324667
     /* 324667 */ GIM_Reject,
     /* 324668 */ // Label 6645: @324668
     /* 324668 */ GIM_Try, /*On fail goto*//*Label 6658*/ GIMT_Encode4(324770),
     /* 324673 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 324676 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 324679 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324683 */   GIM_Try, /*On fail goto*//*Label 6659*/ GIMT_Encode4(324742), // Rule ID 2357 //
     /* 324688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 324691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 324695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 324699 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 324703 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324708 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 324712 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 324716 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 324720 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324725 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 324727 */     // (fmaximum:{ *:[v2f64] } (fabs:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), (fabs:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm))  =>  (FAMAXv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 324727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAXv2f64),
     /* 324730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 324732 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 324736 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 324740 */     GIR_RootConstrainSelectedInstOperands,
     /* 324741 */     // GIR_Coverage, 2357,
     /* 324741 */     GIR_EraseRootFromParent_Done,
     /* 324742 */   // Label 6659: @324742
     /* 324742 */   GIM_Try, /*On fail goto*//*Label 6660*/ GIMT_Encode4(324769), // Rule ID 1262 //
     /* 324747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 324750 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324758 */     // (fmaximum:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMAXv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 324758 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXv2f64),
     /* 324763 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324767 */     GIR_RootConstrainSelectedInstOperands,
     /* 324768 */     // GIR_Coverage, 1262,
     /* 324768 */     GIR_Done,
     /* 324769 */   // Label 6660: @324769
     /* 324769 */   GIM_Reject,
     /* 324770 */ // Label 6658: @324770
     /* 324770 */ GIM_Reject,
     /* 324771 */ // Label 6646: @324771
     /* 324771 */ GIM_Try, /*On fail goto*//*Label 6661*/ GIMT_Encode4(324873),
     /* 324776 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 324779 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 324782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324786 */   GIM_Try, /*On fail goto*//*Label 6662*/ GIMT_Encode4(324845), // Rule ID 2345 //
     /* 324791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 324794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 324798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 324802 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 324806 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324811 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 324815 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 324819 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 324823 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324828 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 324830 */     // (fmaximum:{ *:[v4f16] } (fabs:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), (fabs:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rm))  =>  (FAMAXv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 324830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAXv4f16),
     /* 324833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 324835 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 324839 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 324843 */     GIR_RootConstrainSelectedInstOperands,
     /* 324844 */     // GIR_Coverage, 2345,
     /* 324844 */     GIR_EraseRootFromParent_Done,
     /* 324845 */   // Label 6662: @324845
     /* 324845 */   GIM_Try, /*On fail goto*//*Label 6663*/ GIMT_Encode4(324872), // Rule ID 1254 //
     /* 324850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 324853 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324861 */     // (fmaximum:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMAXv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 324861 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXv4f16),
     /* 324866 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324870 */     GIR_RootConstrainSelectedInstOperands,
     /* 324871 */     // GIR_Coverage, 1254,
     /* 324871 */     GIR_Done,
     /* 324872 */   // Label 6663: @324872
     /* 324872 */   GIM_Reject,
     /* 324873 */ // Label 6661: @324873
     /* 324873 */ GIM_Reject,
     /* 324874 */ // Label 6647: @324874
     /* 324874 */ GIM_Try, /*On fail goto*//*Label 6664*/ GIMT_Encode4(324976),
     /* 324879 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 324882 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 324885 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324889 */   GIM_Try, /*On fail goto*//*Label 6665*/ GIMT_Encode4(324948), // Rule ID 2354 //
     /* 324894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 324897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 324901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 324905 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 324909 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324914 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 324918 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 324922 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 324926 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324931 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 324933 */     // (fmaximum:{ *:[v4f32] } (fabs:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), (fabs:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm))  =>  (FAMAXv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 324933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAXv4f32),
     /* 324936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 324938 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 324942 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 324946 */     GIR_RootConstrainSelectedInstOperands,
     /* 324947 */     // GIR_Coverage, 2354,
     /* 324947 */     GIR_EraseRootFromParent_Done,
     /* 324948 */   // Label 6665: @324948
     /* 324948 */   GIM_Try, /*On fail goto*//*Label 6666*/ GIMT_Encode4(324975), // Rule ID 1260 //
     /* 324953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 324956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324964 */     // (fmaximum:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMAXv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 324964 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXv4f32),
     /* 324969 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324973 */     GIR_RootConstrainSelectedInstOperands,
     /* 324974 */     // GIR_Coverage, 1260,
     /* 324974 */     GIR_Done,
     /* 324975 */   // Label 6666: @324975
     /* 324975 */   GIM_Reject,
     /* 324976 */ // Label 6664: @324976
     /* 324976 */ GIM_Reject,
     /* 324977 */ // Label 6648: @324977
     /* 324977 */ GIM_Try, /*On fail goto*//*Label 6667*/ GIMT_Encode4(325079),
     /* 324982 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 324985 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 324988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324992 */   GIM_Try, /*On fail goto*//*Label 6668*/ GIMT_Encode4(325051), // Rule ID 2348 //
     /* 324997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 325000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 325004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 325008 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 325012 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325017 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 325021 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 325025 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 325029 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325034 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 325036 */     // (fmaximum:{ *:[v8f16] } (fabs:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), (fabs:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rm))  =>  (FAMAXv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 325036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAXv8f16),
     /* 325039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 325041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 325045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 325049 */     GIR_RootConstrainSelectedInstOperands,
     /* 325050 */     // GIR_Coverage, 2348,
     /* 325050 */     GIR_EraseRootFromParent_Done,
     /* 325051 */   // Label 6668: @325051
     /* 325051 */   GIM_Try, /*On fail goto*//*Label 6669*/ GIMT_Encode4(325078), // Rule ID 1256 //
     /* 325056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 325059 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325067 */     // (fmaximum:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMAXv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 325067 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXv8f16),
     /* 325072 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 325076 */     GIR_RootConstrainSelectedInstOperands,
     /* 325077 */     // GIR_Coverage, 1256,
     /* 325077 */     GIR_Done,
     /* 325078 */   // Label 6669: @325078
     /* 325078 */   GIM_Reject,
     /* 325079 */ // Label 6667: @325079
     /* 325079 */ GIM_Reject,
     /* 325080 */ // Label 6649: @325080
     /* 325080 */ GIM_Reject,
     /* 325081 */ // Label 79: @325081
     /* 325081 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(12), /*)*//*default:*//*Label 6678*/ GIMT_Encode4(325484),
     /* 325092 */ /*GILLT_s32*//*Label 6670*/ GIMT_Encode4(325132),
     /* 325096 */ /*GILLT_s64*//*Label 6671*/ GIMT_Encode4(325206), GIMT_Encode4(0),
     /* 325104 */ /*GILLT_v2s32*//*Label 6672*/ GIMT_Encode4(325280), GIMT_Encode4(0),
     /* 325112 */ /*GILLT_v4s16*//*Label 6673*/ GIMT_Encode4(325314),
     /* 325116 */ /*GILLT_v4s32*//*Label 6674*/ GIMT_Encode4(325348),
     /* 325120 */ /*GILLT_v8s8*//*Label 6675*/ GIMT_Encode4(325382),
     /* 325124 */ /*GILLT_v8s16*//*Label 6676*/ GIMT_Encode4(325416),
     /* 325128 */ /*GILLT_v16s8*//*Label 6677*/ GIMT_Encode4(325450),
     /* 325132 */ // Label 6670: @325132
     /* 325132 */ GIM_Try, /*On fail goto*//*Label 6679*/ GIMT_Encode4(325205),
     /* 325137 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 325140 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 325143 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 325147 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 325151 */   GIM_Try, /*On fail goto*//*Label 6680*/ GIMT_Encode4(325185), // Rule ID 2328 //
     /* 325156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 325159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 325163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 325167 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm8_32b),
     /* 325171 */     // MIs[1] Operand 1
     /* 325171 */     // No operand predicates
     /* 325171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 325173 */     // (smin:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_simm8_32b>>:$imm)  =>  (SMINWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 325173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINWri),
     /* 325176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 325178 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 325180 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 325183 */     GIR_RootConstrainSelectedInstOperands,
     /* 325184 */     // GIR_Coverage, 2328,
     /* 325184 */     GIR_EraseRootFromParent_Done,
     /* 325185 */   // Label 6680: @325185
     /* 325185 */   GIM_Try, /*On fail goto*//*Label 6681*/ GIMT_Encode4(325204), // Rule ID 2327 //
     /* 325190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 325193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 325197 */     // (smin:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (SMINWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 325197 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINWrr),
     /* 325202 */     GIR_RootConstrainSelectedInstOperands,
     /* 325203 */     // GIR_Coverage, 2327,
     /* 325203 */     GIR_Done,
     /* 325204 */   // Label 6681: @325204
     /* 325204 */   GIM_Reject,
     /* 325205 */ // Label 6679: @325205
     /* 325205 */ GIM_Reject,
     /* 325206 */ // Label 6671: @325206
     /* 325206 */ GIM_Try, /*On fail goto*//*Label 6682*/ GIMT_Encode4(325279),
     /* 325211 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 325214 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 325217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 325221 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 325225 */   GIM_Try, /*On fail goto*//*Label 6683*/ GIMT_Encode4(325259), // Rule ID 2330 //
     /* 325230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 325233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 325237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 325241 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm8_64b),
     /* 325245 */     // MIs[1] Operand 1
     /* 325245 */     // No operand predicates
     /* 325245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 325247 */     // (smin:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm8_64b>>:$imm)  =>  (SMINXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$imm)
     /* 325247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINXri),
     /* 325250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 325252 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 325254 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 325257 */     GIR_RootConstrainSelectedInstOperands,
     /* 325258 */     // GIR_Coverage, 2330,
     /* 325258 */     GIR_EraseRootFromParent_Done,
     /* 325259 */   // Label 6683: @325259
     /* 325259 */   GIM_Try, /*On fail goto*//*Label 6684*/ GIMT_Encode4(325278), // Rule ID 2329 //
     /* 325264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 325267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 325271 */     // (smin:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (SMINXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 325271 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINXrr),
     /* 325276 */     GIR_RootConstrainSelectedInstOperands,
     /* 325277 */     // GIR_Coverage, 2329,
     /* 325277 */     GIR_Done,
     /* 325278 */   // Label 6684: @325278
     /* 325278 */   GIM_Reject,
     /* 325279 */ // Label 6682: @325279
     /* 325279 */ GIM_Reject,
     /* 325280 */ // Label 6672: @325280
     /* 325280 */ GIM_Try, /*On fail goto*//*Label 6685*/ GIMT_Encode4(325313), // Rule ID 1414 //
     /* 325285 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 325288 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 325291 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 325294 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325298 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325302 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325306 */   // (smin:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SMINv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 325306 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINv2i32),
     /* 325311 */   GIR_RootConstrainSelectedInstOperands,
     /* 325312 */   // GIR_Coverage, 1414,
     /* 325312 */   GIR_Done,
     /* 325313 */ // Label 6685: @325313
     /* 325313 */ GIM_Reject,
     /* 325314 */ // Label 6673: @325314
     /* 325314 */ GIM_Try, /*On fail goto*//*Label 6686*/ GIMT_Encode4(325347), // Rule ID 1412 //
     /* 325319 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 325322 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 325325 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 325328 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325332 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325336 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325340 */   // (smin:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SMINv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 325340 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINv4i16),
     /* 325345 */   GIR_RootConstrainSelectedInstOperands,
     /* 325346 */   // GIR_Coverage, 1412,
     /* 325346 */   GIR_Done,
     /* 325347 */ // Label 6686: @325347
     /* 325347 */ GIM_Reject,
     /* 325348 */ // Label 6674: @325348
     /* 325348 */ GIM_Try, /*On fail goto*//*Label 6687*/ GIMT_Encode4(325381), // Rule ID 1415 //
     /* 325353 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 325356 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 325359 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 325362 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325366 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325370 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325374 */   // (smin:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SMINv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 325374 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINv4i32),
     /* 325379 */   GIR_RootConstrainSelectedInstOperands,
     /* 325380 */   // GIR_Coverage, 1415,
     /* 325380 */   GIR_Done,
     /* 325381 */ // Label 6687: @325381
     /* 325381 */ GIM_Reject,
     /* 325382 */ // Label 6675: @325382
     /* 325382 */ GIM_Try, /*On fail goto*//*Label 6688*/ GIMT_Encode4(325415), // Rule ID 1410 //
     /* 325387 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 325390 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 325393 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 325396 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325400 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325404 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325408 */   // (smin:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SMINv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 325408 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINv8i8),
     /* 325413 */   GIR_RootConstrainSelectedInstOperands,
     /* 325414 */   // GIR_Coverage, 1410,
     /* 325414 */   GIR_Done,
     /* 325415 */ // Label 6688: @325415
     /* 325415 */ GIM_Reject,
     /* 325416 */ // Label 6676: @325416
     /* 325416 */ GIM_Try, /*On fail goto*//*Label 6689*/ GIMT_Encode4(325449), // Rule ID 1413 //
     /* 325421 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 325424 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 325427 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 325430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325434 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325438 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325442 */   // (smin:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SMINv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 325442 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINv8i16),
     /* 325447 */   GIR_RootConstrainSelectedInstOperands,
     /* 325448 */   // GIR_Coverage, 1413,
     /* 325448 */   GIR_Done,
     /* 325449 */ // Label 6689: @325449
     /* 325449 */ GIM_Reject,
     /* 325450 */ // Label 6677: @325450
     /* 325450 */ GIM_Try, /*On fail goto*//*Label 6690*/ GIMT_Encode4(325483), // Rule ID 1411 //
     /* 325455 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 325458 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 325461 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 325464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325468 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325472 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325476 */   // (smin:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SMINv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 325476 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINv16i8),
     /* 325481 */   GIR_RootConstrainSelectedInstOperands,
     /* 325482 */   // GIR_Coverage, 1411,
     /* 325482 */   GIR_Done,
     /* 325483 */ // Label 6690: @325483
     /* 325483 */ GIM_Reject,
     /* 325484 */ // Label 6678: @325484
     /* 325484 */ GIM_Reject,
     /* 325485 */ // Label 80: @325485
     /* 325485 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(12), /*)*//*default:*//*Label 6699*/ GIMT_Encode4(325888),
     /* 325496 */ /*GILLT_s32*//*Label 6691*/ GIMT_Encode4(325536),
     /* 325500 */ /*GILLT_s64*//*Label 6692*/ GIMT_Encode4(325610), GIMT_Encode4(0),
     /* 325508 */ /*GILLT_v2s32*//*Label 6693*/ GIMT_Encode4(325684), GIMT_Encode4(0),
     /* 325516 */ /*GILLT_v4s16*//*Label 6694*/ GIMT_Encode4(325718),
     /* 325520 */ /*GILLT_v4s32*//*Label 6695*/ GIMT_Encode4(325752),
     /* 325524 */ /*GILLT_v8s8*//*Label 6696*/ GIMT_Encode4(325786),
     /* 325528 */ /*GILLT_v8s16*//*Label 6697*/ GIMT_Encode4(325820),
     /* 325532 */ /*GILLT_v16s8*//*Label 6698*/ GIMT_Encode4(325854),
     /* 325536 */ // Label 6691: @325536
     /* 325536 */ GIM_Try, /*On fail goto*//*Label 6700*/ GIMT_Encode4(325609),
     /* 325541 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 325544 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 325547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 325551 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 325555 */   GIM_Try, /*On fail goto*//*Label 6701*/ GIMT_Encode4(325589), // Rule ID 2324 //
     /* 325560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 325563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 325567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 325571 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm8_32b),
     /* 325575 */     // MIs[1] Operand 1
     /* 325575 */     // No operand predicates
     /* 325575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 325577 */     // (smax:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_simm8_32b>>:$imm)  =>  (SMAXWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 325577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXWri),
     /* 325580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 325582 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 325584 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 325587 */     GIR_RootConstrainSelectedInstOperands,
     /* 325588 */     // GIR_Coverage, 2324,
     /* 325588 */     GIR_EraseRootFromParent_Done,
     /* 325589 */   // Label 6701: @325589
     /* 325589 */   GIM_Try, /*On fail goto*//*Label 6702*/ GIMT_Encode4(325608), // Rule ID 2323 //
     /* 325594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 325597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 325601 */     // (smax:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (SMAXWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 325601 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXWrr),
     /* 325606 */     GIR_RootConstrainSelectedInstOperands,
     /* 325607 */     // GIR_Coverage, 2323,
     /* 325607 */     GIR_Done,
     /* 325608 */   // Label 6702: @325608
     /* 325608 */   GIM_Reject,
     /* 325609 */ // Label 6700: @325609
     /* 325609 */ GIM_Reject,
     /* 325610 */ // Label 6692: @325610
     /* 325610 */ GIM_Try, /*On fail goto*//*Label 6703*/ GIMT_Encode4(325683),
     /* 325615 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 325618 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 325621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 325625 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 325629 */   GIM_Try, /*On fail goto*//*Label 6704*/ GIMT_Encode4(325663), // Rule ID 2326 //
     /* 325634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 325637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 325641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 325645 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm8_64b),
     /* 325649 */     // MIs[1] Operand 1
     /* 325649 */     // No operand predicates
     /* 325649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 325651 */     // (smax:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm8_64b>>:$imm)  =>  (SMAXXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$imm)
     /* 325651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXXri),
     /* 325654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 325656 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 325658 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 325661 */     GIR_RootConstrainSelectedInstOperands,
     /* 325662 */     // GIR_Coverage, 2326,
     /* 325662 */     GIR_EraseRootFromParent_Done,
     /* 325663 */   // Label 6704: @325663
     /* 325663 */   GIM_Try, /*On fail goto*//*Label 6705*/ GIMT_Encode4(325682), // Rule ID 2325 //
     /* 325668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 325671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 325675 */     // (smax:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (SMAXXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 325675 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXXrr),
     /* 325680 */     GIR_RootConstrainSelectedInstOperands,
     /* 325681 */     // GIR_Coverage, 2325,
     /* 325681 */     GIR_Done,
     /* 325682 */   // Label 6705: @325682
     /* 325682 */   GIM_Reject,
     /* 325683 */ // Label 6703: @325683
     /* 325683 */ GIM_Reject,
     /* 325684 */ // Label 6693: @325684
     /* 325684 */ GIM_Try, /*On fail goto*//*Label 6706*/ GIMT_Encode4(325717), // Rule ID 1402 //
     /* 325689 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 325692 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 325695 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 325698 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325702 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325706 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325710 */   // (smax:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SMAXv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 325710 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXv2i32),
     /* 325715 */   GIR_RootConstrainSelectedInstOperands,
     /* 325716 */   // GIR_Coverage, 1402,
     /* 325716 */   GIR_Done,
     /* 325717 */ // Label 6706: @325717
     /* 325717 */ GIM_Reject,
     /* 325718 */ // Label 6694: @325718
     /* 325718 */ GIM_Try, /*On fail goto*//*Label 6707*/ GIMT_Encode4(325751), // Rule ID 1400 //
     /* 325723 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 325726 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 325729 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 325732 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325736 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325740 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325744 */   // (smax:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SMAXv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 325744 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXv4i16),
     /* 325749 */   GIR_RootConstrainSelectedInstOperands,
     /* 325750 */   // GIR_Coverage, 1400,
     /* 325750 */   GIR_Done,
     /* 325751 */ // Label 6707: @325751
     /* 325751 */ GIM_Reject,
     /* 325752 */ // Label 6695: @325752
     /* 325752 */ GIM_Try, /*On fail goto*//*Label 6708*/ GIMT_Encode4(325785), // Rule ID 1403 //
     /* 325757 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 325760 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 325763 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 325766 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325770 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325774 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325778 */   // (smax:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SMAXv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 325778 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXv4i32),
     /* 325783 */   GIR_RootConstrainSelectedInstOperands,
     /* 325784 */   // GIR_Coverage, 1403,
     /* 325784 */   GIR_Done,
     /* 325785 */ // Label 6708: @325785
     /* 325785 */ GIM_Reject,
     /* 325786 */ // Label 6696: @325786
     /* 325786 */ GIM_Try, /*On fail goto*//*Label 6709*/ GIMT_Encode4(325819), // Rule ID 1398 //
     /* 325791 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 325794 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 325797 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 325800 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325804 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325808 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325812 */   // (smax:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SMAXv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 325812 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXv8i8),
     /* 325817 */   GIR_RootConstrainSelectedInstOperands,
     /* 325818 */   // GIR_Coverage, 1398,
     /* 325818 */   GIR_Done,
     /* 325819 */ // Label 6709: @325819
     /* 325819 */ GIM_Reject,
     /* 325820 */ // Label 6697: @325820
     /* 325820 */ GIM_Try, /*On fail goto*//*Label 6710*/ GIMT_Encode4(325853), // Rule ID 1401 //
     /* 325825 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 325828 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 325831 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 325834 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325838 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325842 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325846 */   // (smax:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SMAXv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 325846 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXv8i16),
     /* 325851 */   GIR_RootConstrainSelectedInstOperands,
     /* 325852 */   // GIR_Coverage, 1401,
     /* 325852 */   GIR_Done,
     /* 325853 */ // Label 6710: @325853
     /* 325853 */ GIM_Reject,
     /* 325854 */ // Label 6698: @325854
     /* 325854 */ GIM_Try, /*On fail goto*//*Label 6711*/ GIMT_Encode4(325887), // Rule ID 1399 //
     /* 325859 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 325862 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 325865 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 325868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325872 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325876 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325880 */   // (smax:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SMAXv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 325880 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXv16i8),
     /* 325885 */   GIR_RootConstrainSelectedInstOperands,
     /* 325886 */   // GIR_Coverage, 1399,
     /* 325886 */   GIR_Done,
     /* 325887 */ // Label 6711: @325887
     /* 325887 */ GIM_Reject,
     /* 325888 */ // Label 6699: @325888
     /* 325888 */ GIM_Reject,
     /* 325889 */ // Label 81: @325889
     /* 325889 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(12), /*)*//*default:*//*Label 6720*/ GIMT_Encode4(326292),
     /* 325900 */ /*GILLT_s32*//*Label 6712*/ GIMT_Encode4(325940),
     /* 325904 */ /*GILLT_s64*//*Label 6713*/ GIMT_Encode4(326014), GIMT_Encode4(0),
     /* 325912 */ /*GILLT_v2s32*//*Label 6714*/ GIMT_Encode4(326088), GIMT_Encode4(0),
     /* 325920 */ /*GILLT_v4s16*//*Label 6715*/ GIMT_Encode4(326122),
     /* 325924 */ /*GILLT_v4s32*//*Label 6716*/ GIMT_Encode4(326156),
     /* 325928 */ /*GILLT_v8s8*//*Label 6717*/ GIMT_Encode4(326190),
     /* 325932 */ /*GILLT_v8s16*//*Label 6718*/ GIMT_Encode4(326224),
     /* 325936 */ /*GILLT_v16s8*//*Label 6719*/ GIMT_Encode4(326258),
     /* 325940 */ // Label 6712: @325940
     /* 325940 */ GIM_Try, /*On fail goto*//*Label 6721*/ GIMT_Encode4(326013),
     /* 325945 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 325948 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 325951 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 325955 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 325959 */   GIM_Try, /*On fail goto*//*Label 6722*/ GIMT_Encode4(325993), // Rule ID 2336 //
     /* 325964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 325967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 325971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 325975 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm8_32b),
     /* 325979 */     // MIs[1] Operand 1
     /* 325979 */     // No operand predicates
     /* 325979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 325981 */     // (umin:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_uimm8_32b>>:$imm)  =>  (UMINWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 325981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINWri),
     /* 325984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 325986 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 325988 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 325991 */     GIR_RootConstrainSelectedInstOperands,
     /* 325992 */     // GIR_Coverage, 2336,
     /* 325992 */     GIR_EraseRootFromParent_Done,
     /* 325993 */   // Label 6722: @325993
     /* 325993 */   GIM_Try, /*On fail goto*//*Label 6723*/ GIMT_Encode4(326012), // Rule ID 2335 //
     /* 325998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 326001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 326005 */     // (umin:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (UMINWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 326005 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINWrr),
     /* 326010 */     GIR_RootConstrainSelectedInstOperands,
     /* 326011 */     // GIR_Coverage, 2335,
     /* 326011 */     GIR_Done,
     /* 326012 */   // Label 6723: @326012
     /* 326012 */   GIM_Reject,
     /* 326013 */ // Label 6721: @326013
     /* 326013 */ GIM_Reject,
     /* 326014 */ // Label 6713: @326014
     /* 326014 */ GIM_Try, /*On fail goto*//*Label 6724*/ GIMT_Encode4(326087),
     /* 326019 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 326022 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 326025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 326029 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 326033 */   GIM_Try, /*On fail goto*//*Label 6725*/ GIMT_Encode4(326067), // Rule ID 2338 //
     /* 326038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 326041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 326045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 326049 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm8_64b),
     /* 326053 */     // MIs[1] Operand 1
     /* 326053 */     // No operand predicates
     /* 326053 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 326055 */     // (umin:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_uimm8_64b>>:$imm)  =>  (UMINXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$imm)
     /* 326055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINXri),
     /* 326058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 326060 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 326062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 326065 */     GIR_RootConstrainSelectedInstOperands,
     /* 326066 */     // GIR_Coverage, 2338,
     /* 326066 */     GIR_EraseRootFromParent_Done,
     /* 326067 */   // Label 6725: @326067
     /* 326067 */   GIM_Try, /*On fail goto*//*Label 6726*/ GIMT_Encode4(326086), // Rule ID 2337 //
     /* 326072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 326075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 326079 */     // (umin:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (UMINXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 326079 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINXrr),
     /* 326084 */     GIR_RootConstrainSelectedInstOperands,
     /* 326085 */     // GIR_Coverage, 2337,
     /* 326085 */     GIR_Done,
     /* 326086 */   // Label 6726: @326086
     /* 326086 */   GIM_Reject,
     /* 326087 */ // Label 6724: @326087
     /* 326087 */ GIM_Reject,
     /* 326088 */ // Label 6714: @326088
     /* 326088 */ GIM_Try, /*On fail goto*//*Label 6727*/ GIMT_Encode4(326121), // Rule ID 1537 //
     /* 326093 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 326096 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 326099 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 326102 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326106 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326110 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326114 */   // (umin:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UMINv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 326114 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINv2i32),
     /* 326119 */   GIR_RootConstrainSelectedInstOperands,
     /* 326120 */   // GIR_Coverage, 1537,
     /* 326120 */   GIR_Done,
     /* 326121 */ // Label 6727: @326121
     /* 326121 */ GIM_Reject,
     /* 326122 */ // Label 6715: @326122
     /* 326122 */ GIM_Try, /*On fail goto*//*Label 6728*/ GIMT_Encode4(326155), // Rule ID 1535 //
     /* 326127 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 326130 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 326133 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 326136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326140 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326144 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326148 */   // (umin:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UMINv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 326148 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINv4i16),
     /* 326153 */   GIR_RootConstrainSelectedInstOperands,
     /* 326154 */   // GIR_Coverage, 1535,
     /* 326154 */   GIR_Done,
     /* 326155 */ // Label 6728: @326155
     /* 326155 */ GIM_Reject,
     /* 326156 */ // Label 6716: @326156
     /* 326156 */ GIM_Try, /*On fail goto*//*Label 6729*/ GIMT_Encode4(326189), // Rule ID 1538 //
     /* 326161 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 326164 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 326167 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 326170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326174 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326178 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326182 */   // (umin:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UMINv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 326182 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINv4i32),
     /* 326187 */   GIR_RootConstrainSelectedInstOperands,
     /* 326188 */   // GIR_Coverage, 1538,
     /* 326188 */   GIR_Done,
     /* 326189 */ // Label 6729: @326189
     /* 326189 */ GIM_Reject,
     /* 326190 */ // Label 6717: @326190
     /* 326190 */ GIM_Try, /*On fail goto*//*Label 6730*/ GIMT_Encode4(326223), // Rule ID 1533 //
     /* 326195 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 326198 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 326201 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 326204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326208 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326212 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326216 */   // (umin:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UMINv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 326216 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINv8i8),
     /* 326221 */   GIR_RootConstrainSelectedInstOperands,
     /* 326222 */   // GIR_Coverage, 1533,
     /* 326222 */   GIR_Done,
     /* 326223 */ // Label 6730: @326223
     /* 326223 */ GIM_Reject,
     /* 326224 */ // Label 6718: @326224
     /* 326224 */ GIM_Try, /*On fail goto*//*Label 6731*/ GIMT_Encode4(326257), // Rule ID 1536 //
     /* 326229 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 326232 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 326235 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 326238 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326242 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326246 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326250 */   // (umin:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UMINv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 326250 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINv8i16),
     /* 326255 */   GIR_RootConstrainSelectedInstOperands,
     /* 326256 */   // GIR_Coverage, 1536,
     /* 326256 */   GIR_Done,
     /* 326257 */ // Label 6731: @326257
     /* 326257 */ GIM_Reject,
     /* 326258 */ // Label 6719: @326258
     /* 326258 */ GIM_Try, /*On fail goto*//*Label 6732*/ GIMT_Encode4(326291), // Rule ID 1534 //
     /* 326263 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 326266 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 326269 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 326272 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326276 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326280 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326284 */   // (umin:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UMINv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 326284 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINv16i8),
     /* 326289 */   GIR_RootConstrainSelectedInstOperands,
     /* 326290 */   // GIR_Coverage, 1534,
     /* 326290 */   GIR_Done,
     /* 326291 */ // Label 6732: @326291
     /* 326291 */ GIM_Reject,
     /* 326292 */ // Label 6720: @326292
     /* 326292 */ GIM_Reject,
     /* 326293 */ // Label 82: @326293
     /* 326293 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(12), /*)*//*default:*//*Label 6741*/ GIMT_Encode4(326696),
     /* 326304 */ /*GILLT_s32*//*Label 6733*/ GIMT_Encode4(326344),
     /* 326308 */ /*GILLT_s64*//*Label 6734*/ GIMT_Encode4(326418), GIMT_Encode4(0),
     /* 326316 */ /*GILLT_v2s32*//*Label 6735*/ GIMT_Encode4(326492), GIMT_Encode4(0),
     /* 326324 */ /*GILLT_v4s16*//*Label 6736*/ GIMT_Encode4(326526),
     /* 326328 */ /*GILLT_v4s32*//*Label 6737*/ GIMT_Encode4(326560),
     /* 326332 */ /*GILLT_v8s8*//*Label 6738*/ GIMT_Encode4(326594),
     /* 326336 */ /*GILLT_v8s16*//*Label 6739*/ GIMT_Encode4(326628),
     /* 326340 */ /*GILLT_v16s8*//*Label 6740*/ GIMT_Encode4(326662),
     /* 326344 */ // Label 6733: @326344
     /* 326344 */ GIM_Try, /*On fail goto*//*Label 6742*/ GIMT_Encode4(326417),
     /* 326349 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 326352 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 326355 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 326359 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 326363 */   GIM_Try, /*On fail goto*//*Label 6743*/ GIMT_Encode4(326397), // Rule ID 2332 //
     /* 326368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 326371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 326375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 326379 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm8_32b),
     /* 326383 */     // MIs[1] Operand 1
     /* 326383 */     // No operand predicates
     /* 326383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 326385 */     // (umax:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_uimm8_32b>>:$imm)  =>  (UMAXWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 326385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXWri),
     /* 326388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 326390 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 326392 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 326395 */     GIR_RootConstrainSelectedInstOperands,
     /* 326396 */     // GIR_Coverage, 2332,
     /* 326396 */     GIR_EraseRootFromParent_Done,
     /* 326397 */   // Label 6743: @326397
     /* 326397 */   GIM_Try, /*On fail goto*//*Label 6744*/ GIMT_Encode4(326416), // Rule ID 2331 //
     /* 326402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 326405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 326409 */     // (umax:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (UMAXWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 326409 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXWrr),
     /* 326414 */     GIR_RootConstrainSelectedInstOperands,
     /* 326415 */     // GIR_Coverage, 2331,
     /* 326415 */     GIR_Done,
     /* 326416 */   // Label 6744: @326416
     /* 326416 */   GIM_Reject,
     /* 326417 */ // Label 6742: @326417
     /* 326417 */ GIM_Reject,
     /* 326418 */ // Label 6734: @326418
     /* 326418 */ GIM_Try, /*On fail goto*//*Label 6745*/ GIMT_Encode4(326491),
     /* 326423 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 326426 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 326429 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 326433 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 326437 */   GIM_Try, /*On fail goto*//*Label 6746*/ GIMT_Encode4(326471), // Rule ID 2334 //
     /* 326442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 326445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 326449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 326453 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm8_64b),
     /* 326457 */     // MIs[1] Operand 1
     /* 326457 */     // No operand predicates
     /* 326457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 326459 */     // (umax:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_uimm8_64b>>:$imm)  =>  (UMAXXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$imm)
     /* 326459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXXri),
     /* 326462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 326464 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 326466 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 326469 */     GIR_RootConstrainSelectedInstOperands,
     /* 326470 */     // GIR_Coverage, 2334,
     /* 326470 */     GIR_EraseRootFromParent_Done,
     /* 326471 */   // Label 6746: @326471
     /* 326471 */   GIM_Try, /*On fail goto*//*Label 6747*/ GIMT_Encode4(326490), // Rule ID 2333 //
     /* 326476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 326479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 326483 */     // (umax:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (UMAXXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 326483 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXXrr),
     /* 326488 */     GIR_RootConstrainSelectedInstOperands,
     /* 326489 */     // GIR_Coverage, 2333,
     /* 326489 */     GIR_Done,
     /* 326490 */   // Label 6747: @326490
     /* 326490 */   GIM_Reject,
     /* 326491 */ // Label 6745: @326491
     /* 326491 */ GIM_Reject,
     /* 326492 */ // Label 6735: @326492
     /* 326492 */ GIM_Try, /*On fail goto*//*Label 6748*/ GIMT_Encode4(326525), // Rule ID 1525 //
     /* 326497 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 326500 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 326503 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 326506 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326510 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326514 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326518 */   // (umax:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UMAXv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 326518 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXv2i32),
     /* 326523 */   GIR_RootConstrainSelectedInstOperands,
     /* 326524 */   // GIR_Coverage, 1525,
     /* 326524 */   GIR_Done,
     /* 326525 */ // Label 6748: @326525
     /* 326525 */ GIM_Reject,
     /* 326526 */ // Label 6736: @326526
     /* 326526 */ GIM_Try, /*On fail goto*//*Label 6749*/ GIMT_Encode4(326559), // Rule ID 1523 //
     /* 326531 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 326534 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 326537 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 326540 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326544 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326548 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326552 */   // (umax:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UMAXv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 326552 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXv4i16),
     /* 326557 */   GIR_RootConstrainSelectedInstOperands,
     /* 326558 */   // GIR_Coverage, 1523,
     /* 326558 */   GIR_Done,
     /* 326559 */ // Label 6749: @326559
     /* 326559 */ GIM_Reject,
     /* 326560 */ // Label 6737: @326560
     /* 326560 */ GIM_Try, /*On fail goto*//*Label 6750*/ GIMT_Encode4(326593), // Rule ID 1526 //
     /* 326565 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 326568 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 326571 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 326574 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326578 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326582 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326586 */   // (umax:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UMAXv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 326586 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXv4i32),
     /* 326591 */   GIR_RootConstrainSelectedInstOperands,
     /* 326592 */   // GIR_Coverage, 1526,
     /* 326592 */   GIR_Done,
     /* 326593 */ // Label 6750: @326593
     /* 326593 */ GIM_Reject,
     /* 326594 */ // Label 6738: @326594
     /* 326594 */ GIM_Try, /*On fail goto*//*Label 6751*/ GIMT_Encode4(326627), // Rule ID 1521 //
     /* 326599 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 326602 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 326605 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 326608 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326612 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326616 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326620 */   // (umax:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UMAXv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 326620 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXv8i8),
     /* 326625 */   GIR_RootConstrainSelectedInstOperands,
     /* 326626 */   // GIR_Coverage, 1521,
     /* 326626 */   GIR_Done,
     /* 326627 */ // Label 6751: @326627
     /* 326627 */ GIM_Reject,
     /* 326628 */ // Label 6739: @326628
     /* 326628 */ GIM_Try, /*On fail goto*//*Label 6752*/ GIMT_Encode4(326661), // Rule ID 1524 //
     /* 326633 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 326636 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 326639 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 326642 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326646 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326650 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326654 */   // (umax:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UMAXv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 326654 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXv8i16),
     /* 326659 */   GIR_RootConstrainSelectedInstOperands,
     /* 326660 */   // GIR_Coverage, 1524,
     /* 326660 */   GIR_Done,
     /* 326661 */ // Label 6752: @326661
     /* 326661 */ GIM_Reject,
     /* 326662 */ // Label 6740: @326662
     /* 326662 */ GIM_Try, /*On fail goto*//*Label 6753*/ GIMT_Encode4(326695), // Rule ID 1522 //
     /* 326667 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 326670 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 326673 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 326676 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326680 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326684 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326688 */   // (umax:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UMAXv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 326688 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXv16i8),
     /* 326693 */   GIR_RootConstrainSelectedInstOperands,
     /* 326694 */   // GIR_Coverage, 1522,
     /* 326694 */   GIR_Done,
     /* 326695 */ // Label 6753: @326695
     /* 326695 */ GIM_Reject,
     /* 326696 */ // Label 6741: @326696
     /* 326696 */ GIM_Reject,
     /* 326697 */ // Label 83: @326697
     /* 326697 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(12), /*)*//*default:*//*Label 6763*/ GIMT_Encode4(327511),
     /* 326708 */ /*GILLT_s32*//*Label 6754*/ GIMT_Encode4(326748),
     /* 326712 */ /*GILLT_s64*//*Label 6755*/ GIMT_Encode4(326775), GIMT_Encode4(0),
     /* 326720 */ /*GILLT_v2s32*//*Label 6756*/ GIMT_Encode4(326854),
     /* 326724 */ /*GILLT_v2s64*//*Label 6757*/ GIMT_Encode4(326881),
     /* 326728 */ /*GILLT_v4s16*//*Label 6758*/ GIMT_Encode4(327064),
     /* 326732 */ /*GILLT_v4s32*//*Label 6759*/ GIMT_Encode4(327091),
     /* 326736 */ /*GILLT_v8s8*//*Label 6760*/ GIMT_Encode4(327274),
     /* 326740 */ /*GILLT_v8s16*//*Label 6761*/ GIMT_Encode4(327301),
     /* 326744 */ /*GILLT_v16s8*//*Label 6762*/ GIMT_Encode4(327484),
     /* 326748 */ // Label 6754: @326748
     /* 326748 */ GIM_Try, /*On fail goto*//*Label 6764*/ GIMT_Encode4(326774), // Rule ID 2317 //
     /* 326753 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 326756 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 326759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 326763 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 326767 */   // (abs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)  =>  (ABSWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 326767 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ABSWr),
     /* 326772 */   GIR_RootConstrainSelectedInstOperands,
     /* 326773 */   // GIR_Coverage, 2317,
     /* 326773 */   GIR_Done,
     /* 326774 */ // Label 6764: @326774
     /* 326774 */ GIM_Reject,
     /* 326775 */ // Label 6755: @326775
     /* 326775 */ GIM_Try, /*On fail goto*//*Label 6765*/ GIMT_Encode4(326853),
     /* 326780 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 326783 */   GIM_Try, /*On fail goto*//*Label 6766*/ GIMT_Encode4(326806), // Rule ID 1652 //
     /* 326788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 326791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326795 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326799 */     // (abs:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn)  =>  (ABSv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn)
     /* 326799 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ABSv1i64),
     /* 326804 */     GIR_RootConstrainSelectedInstOperands,
     /* 326805 */     // GIR_Coverage, 1652,
     /* 326805 */     GIR_Done,
     /* 326806 */   // Label 6766: @326806
     /* 326806 */   GIM_Try, /*On fail goto*//*Label 6767*/ GIMT_Encode4(326829), // Rule ID 2318 //
     /* 326811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 326814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 326818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 326822 */     // (abs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)  =>  (ABSXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /* 326822 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ABSXr),
     /* 326827 */     GIR_RootConstrainSelectedInstOperands,
     /* 326828 */     // GIR_Coverage, 2318,
     /* 326828 */     GIR_Done,
     /* 326829 */   // Label 6767: @326829
     /* 326829 */   GIM_Try, /*On fail goto*//*Label 6768*/ GIMT_Encode4(326852), // Rule ID 2514 //
     /* 326834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoCSSC),
     /* 326837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326841 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326845 */     // (abs:{ *:[i64] } FPR64:{ *:[i64] }:$Rn)  =>  (ABSv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn)
     /* 326845 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ABSv1i64),
     /* 326850 */     GIR_RootConstrainSelectedInstOperands,
     /* 326851 */     // GIR_Coverage, 2514,
     /* 326851 */     GIR_Done,
     /* 326852 */   // Label 6768: @326852
     /* 326852 */   GIM_Reject,
     /* 326853 */ // Label 6765: @326853
     /* 326853 */ GIM_Reject,
     /* 326854 */ // Label 6756: @326854
     /* 326854 */ GIM_Try, /*On fail goto*//*Label 6769*/ GIMT_Encode4(326880), // Rule ID 707 //
     /* 326859 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 326862 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 326865 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326869 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326873 */   // (abs:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)  =>  (ABSv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 326873 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ABSv2i32),
     /* 326878 */   GIR_RootConstrainSelectedInstOperands,
     /* 326879 */   // GIR_Coverage, 707,
     /* 326879 */   GIR_Done,
     /* 326880 */ // Label 6769: @326880
     /* 326880 */ GIM_Reject,
     /* 326881 */ // Label 6757: @326881
     /* 326881 */ GIM_Try, /*On fail goto*//*Label 6770*/ GIMT_Encode4(327063),
     /* 326886 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 326889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326893 */   GIM_Try, /*On fail goto*//*Label 6771*/ GIMT_Encode4(326971), // Rule ID 4877 //
     /* 326898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 326902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 326906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 326910 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 326914 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 326918 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 326922 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 326926 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 326930 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 326934 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 326938 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 326940 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 326947 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 326954 */     // (abs:{ *:[v2i64] } (sub:{ *:[v2i64] } (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$opA)), (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$opB))))  =>  (UABDLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$opA, V128:{ *:[v4i32] }:$opB)
     /* 326954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv4i32_v2i64),
     /* 326957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 326959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // opA
     /* 326964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // opB
     /* 326969 */     GIR_RootConstrainSelectedInstOperands,
     /* 326970 */     // GIR_Coverage, 4877,
     /* 326970 */     GIR_EraseRootFromParent_Done,
     /* 326971 */   // Label 6771: @326971
     /* 326971 */   GIM_Try, /*On fail goto*//*Label 6772*/ GIMT_Encode4(327043), // Rule ID 4876 //
     /* 326976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 326980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 326984 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 326988 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 326992 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 326996 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 327000 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 327004 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327009 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 327013 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 327017 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 327021 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327026 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 327028 */     // (abs:{ *:[v2i64] } (sub:{ *:[v2i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$opA), (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$opB)))  =>  (UABDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$opA, V64:{ *:[v2i32] }:$opB)
     /* 327028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv2i32_v2i64),
     /* 327031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 327033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // opA
     /* 327037 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // opB
     /* 327041 */     GIR_RootConstrainSelectedInstOperands,
     /* 327042 */     // GIR_Coverage, 4876,
     /* 327042 */     GIR_EraseRootFromParent_Done,
     /* 327043 */   // Label 6772: @327043
     /* 327043 */   GIM_Try, /*On fail goto*//*Label 6773*/ GIMT_Encode4(327062), // Rule ID 709 //
     /* 327048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 327051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327055 */     // (abs:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)  =>  (ABSv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 327055 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ABSv2i64),
     /* 327060 */     GIR_RootConstrainSelectedInstOperands,
     /* 327061 */     // GIR_Coverage, 709,
     /* 327061 */     GIR_Done,
     /* 327062 */   // Label 6773: @327062
     /* 327062 */   GIM_Reject,
     /* 327063 */ // Label 6770: @327063
     /* 327063 */ GIM_Reject,
     /* 327064 */ // Label 6758: @327064
     /* 327064 */ GIM_Try, /*On fail goto*//*Label 6774*/ GIMT_Encode4(327090), // Rule ID 705 //
     /* 327069 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 327072 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 327075 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327079 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327083 */   // (abs:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)  =>  (ABSv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 327083 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ABSv4i16),
     /* 327088 */   GIR_RootConstrainSelectedInstOperands,
     /* 327089 */   // GIR_Coverage, 705,
     /* 327089 */   GIR_Done,
     /* 327090 */ // Label 6774: @327090
     /* 327090 */ GIM_Reject,
     /* 327091 */ // Label 6759: @327091
     /* 327091 */ GIM_Try, /*On fail goto*//*Label 6775*/ GIMT_Encode4(327273),
     /* 327096 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 327099 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327103 */   GIM_Try, /*On fail goto*//*Label 6776*/ GIMT_Encode4(327181), // Rule ID 4875 //
     /* 327108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 327112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 327116 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 327120 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 327124 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 327128 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 327132 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 327136 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 327140 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 327144 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 327148 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 327150 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 327157 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 327164 */     // (abs:{ *:[v4i32] } (sub:{ *:[v4i32] } (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$opA)), (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$opB))))  =>  (UABDLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$opA, V128:{ *:[v8i16] }:$opB)
     /* 327164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv8i16_v4i32),
     /* 327167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 327169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // opA
     /* 327174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // opB
     /* 327179 */     GIR_RootConstrainSelectedInstOperands,
     /* 327180 */     // GIR_Coverage, 4875,
     /* 327180 */     GIR_EraseRootFromParent_Done,
     /* 327181 */   // Label 6776: @327181
     /* 327181 */   GIM_Try, /*On fail goto*//*Label 6777*/ GIMT_Encode4(327253), // Rule ID 4874 //
     /* 327186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 327190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 327194 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 327198 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 327202 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 327206 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 327210 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 327214 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327219 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 327223 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 327227 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 327231 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327236 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 327238 */     // (abs:{ *:[v4i32] } (sub:{ *:[v4i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$opA), (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$opB)))  =>  (UABDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$opA, V64:{ *:[v4i16] }:$opB)
     /* 327238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv4i16_v4i32),
     /* 327241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 327243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // opA
     /* 327247 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // opB
     /* 327251 */     GIR_RootConstrainSelectedInstOperands,
     /* 327252 */     // GIR_Coverage, 4874,
     /* 327252 */     GIR_EraseRootFromParent_Done,
     /* 327253 */   // Label 6777: @327253
     /* 327253 */   GIM_Try, /*On fail goto*//*Label 6778*/ GIMT_Encode4(327272), // Rule ID 708 //
     /* 327258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 327261 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327265 */     // (abs:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)  =>  (ABSv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 327265 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ABSv4i32),
     /* 327270 */     GIR_RootConstrainSelectedInstOperands,
     /* 327271 */     // GIR_Coverage, 708,
     /* 327271 */     GIR_Done,
     /* 327272 */   // Label 6778: @327272
     /* 327272 */   GIM_Reject,
     /* 327273 */ // Label 6775: @327273
     /* 327273 */ GIM_Reject,
     /* 327274 */ // Label 6760: @327274
     /* 327274 */ GIM_Try, /*On fail goto*//*Label 6779*/ GIMT_Encode4(327300), // Rule ID 703 //
     /* 327279 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 327282 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 327285 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327289 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327293 */   // (abs:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)  =>  (ABSv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 327293 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ABSv8i8),
     /* 327298 */   GIR_RootConstrainSelectedInstOperands,
     /* 327299 */   // GIR_Coverage, 703,
     /* 327299 */   GIR_Done,
     /* 327300 */ // Label 6779: @327300
     /* 327300 */ GIM_Reject,
     /* 327301 */ // Label 6761: @327301
     /* 327301 */ GIM_Try, /*On fail goto*//*Label 6780*/ GIMT_Encode4(327483),
     /* 327306 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 327309 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327313 */   GIM_Try, /*On fail goto*//*Label 6781*/ GIMT_Encode4(327391), // Rule ID 4873 //
     /* 327318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 327322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 327326 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 327330 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 327334 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 327338 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 327342 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 327346 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 327350 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 327354 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 327358 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 327360 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 327367 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 327374 */     // (abs:{ *:[v8i16] } (sub:{ *:[v8i16] } (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$opA)), (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$opB))))  =>  (UABDLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$opA, V128:{ *:[v16i8] }:$opB)
     /* 327374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv16i8_v8i16),
     /* 327377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 327379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // opA
     /* 327384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // opB
     /* 327389 */     GIR_RootConstrainSelectedInstOperands,
     /* 327390 */     // GIR_Coverage, 4873,
     /* 327390 */     GIR_EraseRootFromParent_Done,
     /* 327391 */   // Label 6781: @327391
     /* 327391 */   GIM_Try, /*On fail goto*//*Label 6782*/ GIMT_Encode4(327463), // Rule ID 4872 //
     /* 327396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 327400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 327404 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 327408 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 327412 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 327416 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 327420 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 327424 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327429 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 327433 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 327437 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 327441 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327446 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 327448 */     // (abs:{ *:[v8i16] } (sub:{ *:[v8i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$opA), (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$opB)))  =>  (UABDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$opA, V64:{ *:[v8i8] }:$opB)
     /* 327448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv8i8_v8i16),
     /* 327451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 327453 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // opA
     /* 327457 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // opB
     /* 327461 */     GIR_RootConstrainSelectedInstOperands,
     /* 327462 */     // GIR_Coverage, 4872,
     /* 327462 */     GIR_EraseRootFromParent_Done,
     /* 327463 */   // Label 6782: @327463
     /* 327463 */   GIM_Try, /*On fail goto*//*Label 6783*/ GIMT_Encode4(327482), // Rule ID 706 //
     /* 327468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 327471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327475 */     // (abs:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)  =>  (ABSv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 327475 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ABSv8i16),
     /* 327480 */     GIR_RootConstrainSelectedInstOperands,
     /* 327481 */     // GIR_Coverage, 706,
     /* 327481 */     GIR_Done,
     /* 327482 */   // Label 6783: @327482
     /* 327482 */   GIM_Reject,
     /* 327483 */ // Label 6780: @327483
     /* 327483 */ GIM_Reject,
     /* 327484 */ // Label 6762: @327484
     /* 327484 */ GIM_Try, /*On fail goto*//*Label 6784*/ GIMT_Encode4(327510), // Rule ID 704 //
     /* 327489 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 327492 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 327495 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327499 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327503 */   // (abs:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)  =>  (ABSv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 327503 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ABSv16i8),
     /* 327508 */   GIR_RootConstrainSelectedInstOperands,
     /* 327509 */   // GIR_Coverage, 704,
     /* 327509 */   GIR_Done,
     /* 327510 */ // Label 6784: @327510
     /* 327510 */ GIM_Reject,
     /* 327511 */ // Label 6763: @327511
     /* 327511 */ GIM_Reject,
     /* 327512 */ // Label 84: @327512
     /* 327512 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 6787*/ GIMT_Encode4(327677),
     /* 327523 */ /*GILLT_s32*//*Label 6785*/ GIMT_Encode4(327531),
     /* 327527 */ /*GILLT_s64*//*Label 6786*/ GIMT_Encode4(327604),
     /* 327531 */ // Label 6785: @327531
     /* 327531 */ GIM_Try, /*On fail goto*//*Label 6788*/ GIMT_Encode4(327557), // Rule ID 4718 //
     /* 327536 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 327539 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 327542 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 327546 */   // (lround:{ *:[i32] } f16:{ *:[f16] }:$Rn)  =>  (FCVTASUWHr:{ *:[i32] } f16:{ *:[f16] }:$Rn)
     /* 327546 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUWHr),
     /* 327551 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 327555 */   GIR_RootConstrainSelectedInstOperands,
     /* 327556 */   // GIR_Coverage, 4718,
     /* 327556 */   GIR_Done,
     /* 327557 */ // Label 6788: @327557
     /* 327557 */ GIM_Try, /*On fail goto*//*Label 6789*/ GIMT_Encode4(327580), // Rule ID 4724 //
     /* 327562 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 327565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 327569 */   // (lround:{ *:[i32] } f32:{ *:[f32] }:$Rn)  =>  (FCVTASUWSr:{ *:[i32] } f32:{ *:[f32] }:$Rn)
     /* 327569 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUWSr),
     /* 327574 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 327578 */   GIR_RootConstrainSelectedInstOperands,
     /* 327579 */   // GIR_Coverage, 4724,
     /* 327579 */   GIR_Done,
     /* 327580 */ // Label 6789: @327580
     /* 327580 */ GIM_Try, /*On fail goto*//*Label 6790*/ GIMT_Encode4(327603), // Rule ID 4726 //
     /* 327585 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 327588 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 327592 */   // (lround:{ *:[i32] } f64:{ *:[f64] }:$Rn)  =>  (FCVTASUWDr:{ *:[i32] } f64:{ *:[f64] }:$Rn)
     /* 327592 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUWDr),
     /* 327597 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 327601 */   GIR_RootConstrainSelectedInstOperands,
     /* 327602 */   // GIR_Coverage, 4726,
     /* 327602 */   GIR_Done,
     /* 327603 */ // Label 6790: @327603
     /* 327603 */ GIM_Reject,
     /* 327604 */ // Label 6786: @327604
     /* 327604 */ GIM_Try, /*On fail goto*//*Label 6791*/ GIMT_Encode4(327630), // Rule ID 4720 //
     /* 327609 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 327612 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 327615 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 327619 */   // (lround:{ *:[i64] } f16:{ *:[f16] }:$Rn)  =>  (FCVTASUXHr:{ *:[i64] } f16:{ *:[f16] }:$Rn)
     /* 327619 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUXHr),
     /* 327624 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 327628 */   GIR_RootConstrainSelectedInstOperands,
     /* 327629 */   // GIR_Coverage, 4720,
     /* 327629 */   GIR_Done,
     /* 327630 */ // Label 6791: @327630
     /* 327630 */ GIM_Try, /*On fail goto*//*Label 6792*/ GIMT_Encode4(327653), // Rule ID 4728 //
     /* 327635 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 327638 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 327642 */   // (lround:{ *:[i64] } f32:{ *:[f32] }:$Rn)  =>  (FCVTASUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 327642 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUXSr),
     /* 327647 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 327651 */   GIR_RootConstrainSelectedInstOperands,
     /* 327652 */   // GIR_Coverage, 4728,
     /* 327652 */   GIR_Done,
     /* 327653 */ // Label 6792: @327653
     /* 327653 */ GIM_Try, /*On fail goto*//*Label 6793*/ GIMT_Encode4(327676), // Rule ID 4730 //
     /* 327658 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 327661 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 327665 */   // (lround:{ *:[i64] } f64:{ *:[f64] }:$Rn)  =>  (FCVTASUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 327665 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUXDr),
     /* 327670 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 327674 */   GIR_RootConstrainSelectedInstOperands,
     /* 327675 */   // GIR_Coverage, 4730,
     /* 327675 */   GIR_Done,
     /* 327676 */ // Label 6793: @327676
     /* 327676 */ GIM_Reject,
     /* 327677 */ // Label 6787: @327677
     /* 327677 */ GIM_Reject,
     /* 327678 */ // Label 85: @327678
     /* 327678 */ GIM_Try, /*On fail goto*//*Label 6794*/ GIMT_Encode4(327776),
     /* 327683 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 327686 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 6798*/ GIMT_Encode4(327775),
     /* 327697 */   /*GILLT_s16*//*Label 6795*/ GIMT_Encode4(327709),
     /* 327701 */   /*GILLT_s32*//*Label 6796*/ GIMT_Encode4(327733),
     /* 327705 */   /*GILLT_s64*//*Label 6797*/ GIMT_Encode4(327754),
     /* 327709 */   // Label 6795: @327709
     /* 327709 */   GIM_Try, /*On fail goto*//*Label 6799*/ GIMT_Encode4(327732), // Rule ID 4722 //
     /* 327714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 327717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 327721 */     // (llround:{ *:[i64] } f16:{ *:[f16] }:$Rn)  =>  (FCVTASUXHr:{ *:[i64] } f16:{ *:[f16] }:$Rn)
     /* 327721 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUXHr),
     /* 327726 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 327730 */     GIR_RootConstrainSelectedInstOperands,
     /* 327731 */     // GIR_Coverage, 4722,
     /* 327731 */     GIR_Done,
     /* 327732 */   // Label 6799: @327732
     /* 327732 */   GIM_Reject,
     /* 327733 */   // Label 6796: @327733
     /* 327733 */   GIM_Try, /*On fail goto*//*Label 6800*/ GIMT_Encode4(327753), // Rule ID 4732 //
     /* 327738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 327742 */     // (llround:{ *:[i64] } f32:{ *:[f32] }:$Rn)  =>  (FCVTASUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 327742 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUXSr),
     /* 327747 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 327751 */     GIR_RootConstrainSelectedInstOperands,
     /* 327752 */     // GIR_Coverage, 4732,
     /* 327752 */     GIR_Done,
     /* 327753 */   // Label 6800: @327753
     /* 327753 */   GIM_Reject,
     /* 327754 */   // Label 6797: @327754
     /* 327754 */   GIM_Try, /*On fail goto*//*Label 6801*/ GIMT_Encode4(327774), // Rule ID 4734 //
     /* 327759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 327763 */     // (llround:{ *:[i64] } f64:{ *:[f64] }:$Rn)  =>  (FCVTASUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 327763 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUXDr),
     /* 327768 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 327772 */     GIR_RootConstrainSelectedInstOperands,
     /* 327773 */     // GIR_Coverage, 4734,
     /* 327773 */     GIR_Done,
     /* 327774 */   // Label 6801: @327774
     /* 327774 */   GIM_Reject,
     /* 327775 */   // Label 6798: @327775
     /* 327775 */   GIM_Reject,
     /* 327776 */ // Label 6794: @327776
     /* 327776 */ GIM_Reject,
     /* 327777 */ // Label 86: @327777
     /* 327777 */ GIM_Try, /*On fail goto*//*Label 6802*/ GIMT_Encode4(327792), // Rule ID 225 //
     /* 327782 */   // MIs[0] addr
     /* 327782 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/0,
     /* 327785 */   // (br (bb:{ *:[Other] }):$addr)  =>  (B (bb:{ *:[Other] }):$addr)
     /* 327785 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::B),
     /* 327790 */   GIR_RootConstrainSelectedInstOperands,
     /* 327791 */   // GIR_Coverage, 225,
     /* 327791 */   GIR_Done,
     /* 327792 */ // Label 6802: @327792
     /* 327792 */ GIM_Reject,
     /* 327793 */ // Label 87: @327793
     /* 327793 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(21), /*)*//*default:*//*Label 6814*/ GIMT_Encode4(333164),
     /* 327804 */ /*GILLT_s64*//*Label 6803*/ GIMT_Encode4(327876), GIMT_Encode4(0),
     /* 327812 */ /*GILLT_v2s32*//*Label 6804*/ GIMT_Encode4(328278), GIMT_Encode4(0),
     /* 327820 */ /*GILLT_v4s16*//*Label 6805*/ GIMT_Encode4(328680), GIMT_Encode4(0),
     /* 327828 */ /*GILLT_v8s8*//*Label 6806*/ GIMT_Encode4(329082), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 327840 */ /*GILLT_nxv1s1*//*Label 6807*/ GIMT_Encode4(329262),
     /* 327844 */ /*GILLT_nxv2s1*//*Label 6808*/ GIMT_Encode4(331525),
     /* 327848 */ /*GILLT_nxv2s16*//*Label 6809*/ GIMT_Encode4(332380),
     /* 327852 */ /*GILLT_nxv2s32*//*Label 6810*/ GIMT_Encode4(332667), GIMT_Encode4(0),
     /* 327860 */ /*GILLT_nxv4s1*//*Label 6811*/ GIMT_Encode4(332737),
     /* 327864 */ /*GILLT_nxv4s16*//*Label 6812*/ GIMT_Encode4(333024), GIMT_Encode4(0),
     /* 327872 */ /*GILLT_nxv8s1*//*Label 6813*/ GIMT_Encode4(333094),
     /* 327876 */ // Label 6803: @327876
     /* 327876 */ GIM_Try, /*On fail goto*//*Label 6815*/ GIMT_Encode4(328277),
     /* 327881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 327884 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327888 */   GIM_Try, /*On fail goto*//*Label 6816*/ GIMT_Encode4(327940), // Rule ID 5565 //
     /* 327893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 327897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 327901 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 327905 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 327907 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327912 */     // MIs[0] Operand 2
     /* 327912 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 327923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 327925 */     // (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Vn)<<P:Predicate_anyext_oneuse>>, 0:{ *:[i64] })  =>  (ZIP1v2i32:{ *:[v1i64] } V64:{ *:[v2i32] }:$Vn, V64:{ *:[v2i32] }:$Vn)
     /* 327925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v2i32),
     /* 327928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 327930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 327934 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 327938 */     GIR_RootConstrainSelectedInstOperands,
     /* 327939 */     // GIR_Coverage, 5565,
     /* 327939 */     GIR_EraseRootFromParent_Done,
     /* 327940 */   // Label 6816: @327940
     /* 327940 */   GIM_Try, /*On fail goto*//*Label 6817*/ GIMT_Encode4(327992), // Rule ID 5568 //
     /* 327945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 327949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 327953 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 327957 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 327959 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327964 */     // MIs[0] Operand 2
     /* 327964 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 327975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 327977 */     // (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Vn)<<P:Predicate_anyext_oneuse>>, 1:{ *:[i64] })  =>  (ZIP2v2i32:{ *:[v1i64] } V64:{ *:[v2i32] }:$Vn, V64:{ *:[v2i32] }:$Vn)
     /* 327977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v2i32),
     /* 327980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 327982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 327986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 327990 */     GIR_RootConstrainSelectedInstOperands,
     /* 327991 */     // GIR_Coverage, 5568,
     /* 327991 */     GIR_EraseRootFromParent_Done,
     /* 327992 */   // Label 6817: @327992
     /* 327992 */   GIM_Try, /*On fail goto*//*Label 6818*/ GIMT_Encode4(328060), // Rule ID 5444 //
     /* 327997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328001 */     // MIs[0] Operand 2
     /* 328001 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 328012 */     // (extract_subvector:{ *:[v1i64] } V128:{ *:[v2i64] }:$Rn, 1:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (EXTv16i8:{ *:[f128] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rn, 8:{ *:[i32] }), dsub:{ *:[i32] })
     /* 328012 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 328015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 328019 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 328024 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 328028 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 328032 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/8,
     /* 328035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 328037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 328040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 328042 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 328049 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328054 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328059 */     // GIR_Coverage, 5444,
     /* 328059 */     GIR_EraseRootFromParent_Done,
     /* 328060 */   // Label 6818: @328060
     /* 328060 */   GIM_Try, /*On fail goto*//*Label 6819*/ GIMT_Encode4(328128), // Rule ID 5449 //
     /* 328065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328069 */     // MIs[0] Operand 2
     /* 328069 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 328080 */     // (extract_subvector:{ *:[v1f64] } V128:{ *:[v2f64] }:$Rn, 1:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v1f64] } (EXTv16i8:{ *:[f128] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rn, 8:{ *:[i32] }), dsub:{ *:[i32] })
     /* 328080 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 328083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 328087 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 328092 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 328096 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 328100 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/8,
     /* 328103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 328105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 328108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 328110 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 328117 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328122 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328127 */     // GIR_Coverage, 5449,
     /* 328127 */     GIR_EraseRootFromParent_Done,
     /* 328128 */   // Label 6819: @328128
     /* 328128 */   GIM_Try, /*On fail goto*//*Label 6820*/ GIMT_Encode4(328170), // Rule ID 6856 //
     /* 328133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328137 */     // MIs[0] Operand 2
     /* 328137 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 328148 */     // (extract_subvector:{ *:[v1i64] } V128:{ *:[v2i64] }:$Rn, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v1i64] } V128:{ *:[v2i64] }:$Rn, dsub:{ *:[i32] })
     /* 328148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 328151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 328153 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 328159 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328164 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328169 */     // GIR_Coverage, 6856,
     /* 328169 */     GIR_EraseRootFromParent_Done,
     /* 328170 */   // Label 6820: @328170
     /* 328170 */   GIM_Try, /*On fail goto*//*Label 6821*/ GIMT_Encode4(328212), // Rule ID 6857 //
     /* 328175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328179 */     // MIs[0] Operand 2
     /* 328179 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 328190 */     // (extract_subvector:{ *:[v1f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v1f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] })
     /* 328190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 328193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 328195 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 328201 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328206 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328211 */     // GIR_Coverage, 6857,
     /* 328211 */     GIR_EraseRootFromParent_Done,
     /* 328212 */   // Label 6821: @328212
     /* 328212 */   GIM_Try, /*On fail goto*//*Label 6822*/ GIMT_Encode4(328276), // Rule ID 6861 //
     /* 328217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328221 */     // MIs[0] Operand 2
     /* 328221 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 328232 */     // (extract_subvector:{ *:[v1i64] } FPR128:{ *:[v2i64] }:$Rn, 1:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (DUPv2i64lane:{ *:[f128] } FPR128:{ *:[v2i64] }:$Rn, 1:{ *:[i64] }), dsub:{ *:[i32] })
     /* 328232 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 328235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i64lane),
     /* 328239 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 328244 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 328248 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 328251 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 328253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 328256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 328258 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 328265 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328270 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328275 */     // GIR_Coverage, 6861,
     /* 328275 */     GIR_EraseRootFromParent_Done,
     /* 328276 */   // Label 6822: @328276
     /* 328276 */   GIM_Reject,
     /* 328277 */ // Label 6815: @328277
     /* 328277 */ GIM_Reject,
     /* 328278 */ // Label 6804: @328278
     /* 328278 */ GIM_Try, /*On fail goto*//*Label 6823*/ GIMT_Encode4(328679),
     /* 328283 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 328286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328290 */   GIM_Try, /*On fail goto*//*Label 6824*/ GIMT_Encode4(328342), // Rule ID 5564 //
     /* 328295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 328299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 328303 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 328307 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 328309 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328314 */     // MIs[0] Operand 2
     /* 328314 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 328325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 328327 */     // (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Vn)<<P:Predicate_anyext_oneuse>>, 0:{ *:[i64] })  =>  (ZIP1v4i16:{ *:[v2i32] } V64:{ *:[v4i16] }:$Vn, V64:{ *:[v4i16] }:$Vn)
     /* 328327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v4i16),
     /* 328330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 328332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 328336 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 328340 */     GIR_RootConstrainSelectedInstOperands,
     /* 328341 */     // GIR_Coverage, 5564,
     /* 328341 */     GIR_EraseRootFromParent_Done,
     /* 328342 */   // Label 6824: @328342
     /* 328342 */   GIM_Try, /*On fail goto*//*Label 6825*/ GIMT_Encode4(328394), // Rule ID 5567 //
     /* 328347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 328351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 328355 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 328359 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 328361 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328366 */     // MIs[0] Operand 2
     /* 328366 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 328377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 328379 */     // (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Vn)<<P:Predicate_anyext_oneuse>>, 2:{ *:[i64] })  =>  (ZIP2v4i16:{ *:[v2i32] } V64:{ *:[v4i16] }:$Vn, V64:{ *:[v4i16] }:$Vn)
     /* 328379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v4i16),
     /* 328382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 328384 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 328388 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 328392 */     GIR_RootConstrainSelectedInstOperands,
     /* 328393 */     // GIR_Coverage, 5567,
     /* 328393 */     GIR_EraseRootFromParent_Done,
     /* 328394 */   // Label 6825: @328394
     /* 328394 */   GIM_Try, /*On fail goto*//*Label 6826*/ GIMT_Encode4(328462), // Rule ID 5434 //
     /* 328399 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328403 */     // MIs[0] Operand 2
     /* 328403 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 328414 */     // (extract_subvector:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn, 2:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (EXTv16i8:{ *:[f128] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rn, 8:{ *:[i32] }), dsub:{ *:[i32] })
     /* 328414 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 328417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 328421 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 328426 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 328430 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 328434 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/8,
     /* 328437 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 328439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 328442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 328444 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 328451 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328456 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328461 */     // GIR_Coverage, 5434,
     /* 328461 */     GIR_EraseRootFromParent_Done,
     /* 328462 */   // Label 6826: @328462
     /* 328462 */   GIM_Try, /*On fail goto*//*Label 6827*/ GIMT_Encode4(328530), // Rule ID 5439 //
     /* 328467 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328471 */     // MIs[0] Operand 2
     /* 328471 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 328482 */     // (extract_subvector:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rn, 2:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v2f32] } (EXTv16i8:{ *:[f128] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rn, 8:{ *:[i32] }), dsub:{ *:[i32] })
     /* 328482 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 328485 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 328489 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 328494 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 328498 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 328502 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/8,
     /* 328505 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 328507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 328510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 328512 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 328519 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328524 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328529 */     // GIR_Coverage, 5439,
     /* 328529 */     GIR_EraseRootFromParent_Done,
     /* 328530 */   // Label 6827: @328530
     /* 328530 */   GIM_Try, /*On fail goto*//*Label 6828*/ GIMT_Encode4(328572), // Rule ID 6853 //
     /* 328535 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328539 */     // MIs[0] Operand 2
     /* 328539 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 328550 */     // (extract_subvector:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rn, dsub:{ *:[i32] })
     /* 328550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 328553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 328555 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 328561 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328566 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328571 */     // GIR_Coverage, 6853,
     /* 328571 */     GIR_EraseRootFromParent_Done,
     /* 328572 */   // Label 6828: @328572
     /* 328572 */   GIM_Try, /*On fail goto*//*Label 6829*/ GIMT_Encode4(328614), // Rule ID 6855 //
     /* 328577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328581 */     // MIs[0] Operand 2
     /* 328581 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 328592 */     // (extract_subvector:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn, dsub:{ *:[i32] })
     /* 328592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 328595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 328597 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 328603 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328608 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328613 */     // GIR_Coverage, 6855,
     /* 328613 */     GIR_EraseRootFromParent_Done,
     /* 328614 */   // Label 6829: @328614
     /* 328614 */   GIM_Try, /*On fail goto*//*Label 6830*/ GIMT_Encode4(328678), // Rule ID 6860 //
     /* 328619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328623 */     // MIs[0] Operand 2
     /* 328623 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 328634 */     // (extract_subvector:{ *:[v2i32] } FPR128:{ *:[v4i32] }:$Rn, 1:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (DUPv2i64lane:{ *:[f128] } FPR128:{ *:[v4i32] }:$Rn, 1:{ *:[i64] }), dsub:{ *:[i32] })
     /* 328634 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 328637 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i64lane),
     /* 328641 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 328646 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 328650 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 328653 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 328655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 328658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 328660 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 328667 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328672 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328677 */     // GIR_Coverage, 6860,
     /* 328677 */     GIR_EraseRootFromParent_Done,
     /* 328678 */   // Label 6830: @328678
     /* 328678 */   GIM_Reject,
     /* 328679 */ // Label 6823: @328679
     /* 328679 */ GIM_Reject,
     /* 328680 */ // Label 6805: @328680
     /* 328680 */ GIM_Try, /*On fail goto*//*Label 6831*/ GIMT_Encode4(329081),
     /* 328685 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 328688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328692 */   GIM_Try, /*On fail goto*//*Label 6832*/ GIMT_Encode4(328744), // Rule ID 5563 //
     /* 328697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 328701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 328705 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 328709 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 328711 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328716 */     // MIs[0] Operand 2
     /* 328716 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 328727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 328729 */     // (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Vn)<<P:Predicate_anyext_oneuse>>, 0:{ *:[i64] })  =>  (ZIP1v8i8:{ *:[v4i16] } V64:{ *:[v8i8] }:$Vn, V64:{ *:[v8i8] }:$Vn)
     /* 328729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v8i8),
     /* 328732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 328734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 328738 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 328742 */     GIR_RootConstrainSelectedInstOperands,
     /* 328743 */     // GIR_Coverage, 5563,
     /* 328743 */     GIR_EraseRootFromParent_Done,
     /* 328744 */   // Label 6832: @328744
     /* 328744 */   GIM_Try, /*On fail goto*//*Label 6833*/ GIMT_Encode4(328796), // Rule ID 5566 //
     /* 328749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 328753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 328757 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 328761 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 328763 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328768 */     // MIs[0] Operand 2
     /* 328768 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 328779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 328781 */     // (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Vn)<<P:Predicate_anyext_oneuse>>, 4:{ *:[i64] })  =>  (ZIP2v8i8:{ *:[v4i16] } V64:{ *:[v8i8] }:$Vn, V64:{ *:[v8i8] }:$Vn)
     /* 328781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v8i8),
     /* 328784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 328786 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 328790 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 328794 */     GIR_RootConstrainSelectedInstOperands,
     /* 328795 */     // GIR_Coverage, 5566,
     /* 328795 */     GIR_EraseRootFromParent_Done,
     /* 328796 */   // Label 6833: @328796
     /* 328796 */   GIM_Try, /*On fail goto*//*Label 6834*/ GIMT_Encode4(328864), // Rule ID 5424 //
     /* 328801 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328805 */     // MIs[0] Operand 2
     /* 328805 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 328816 */     // (extract_subvector:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn, 4:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (EXTv16i8:{ *:[f128] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rn, 8:{ *:[i32] }), dsub:{ *:[i32] })
     /* 328816 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 328819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 328823 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 328828 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 328832 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 328836 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/8,
     /* 328839 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 328841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 328844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 328846 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 328853 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328858 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328863 */     // GIR_Coverage, 5424,
     /* 328863 */     GIR_EraseRootFromParent_Done,
     /* 328864 */   // Label 6834: @328864
     /* 328864 */   GIM_Try, /*On fail goto*//*Label 6835*/ GIMT_Encode4(328932), // Rule ID 5429 //
     /* 328869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328873 */     // MIs[0] Operand 2
     /* 328873 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 328884 */     // (extract_subvector:{ *:[v4f16] } V128:{ *:[v8f16] }:$Rn, 4:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v4f16] } (EXTv16i8:{ *:[f128] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rn, 8:{ *:[i32] }), dsub:{ *:[i32] })
     /* 328884 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 328887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 328891 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 328896 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 328900 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 328904 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/8,
     /* 328907 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 328909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 328912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 328914 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 328921 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328926 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328931 */     // GIR_Coverage, 5429,
     /* 328931 */     GIR_EraseRootFromParent_Done,
     /* 328932 */   // Label 6835: @328932
     /* 328932 */   GIM_Try, /*On fail goto*//*Label 6836*/ GIMT_Encode4(328974), // Rule ID 6851 //
     /* 328937 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328941 */     // MIs[0] Operand 2
     /* 328941 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 328952 */     // (extract_subvector:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn, dsub:{ *:[i32] })
     /* 328952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 328955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 328957 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 328963 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328968 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328973 */     // GIR_Coverage, 6851,
     /* 328973 */     GIR_EraseRootFromParent_Done,
     /* 328974 */   // Label 6836: @328974
     /* 328974 */   GIM_Try, /*On fail goto*//*Label 6837*/ GIMT_Encode4(329016), // Rule ID 6854 //
     /* 328979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328983 */     // MIs[0] Operand 2
     /* 328983 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 328994 */     // (extract_subvector:{ *:[v4f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v4f16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })
     /* 328994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 328997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 328999 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 329005 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329010 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 329015 */     // GIR_Coverage, 6854,
     /* 329015 */     GIR_EraseRootFromParent_Done,
     /* 329016 */   // Label 6837: @329016
     /* 329016 */   GIM_Try, /*On fail goto*//*Label 6838*/ GIMT_Encode4(329080), // Rule ID 6859 //
     /* 329021 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 329025 */     // MIs[0] Operand 2
     /* 329025 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 329036 */     // (extract_subvector:{ *:[v4i16] } FPR128:{ *:[v8i16] }:$Rn, 1:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (DUPv2i64lane:{ *:[f128] } FPR128:{ *:[v8i16] }:$Rn, 1:{ *:[i64] }), dsub:{ *:[i32] })
     /* 329036 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 329039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i64lane),
     /* 329043 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 329048 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 329052 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 329055 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 329057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 329060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 329062 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 329069 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329074 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 329079 */     // GIR_Coverage, 6859,
     /* 329079 */     GIR_EraseRootFromParent_Done,
     /* 329080 */   // Label 6838: @329080
     /* 329080 */   GIM_Reject,
     /* 329081 */ // Label 6831: @329081
     /* 329081 */ GIM_Reject,
     /* 329082 */ // Label 6806: @329082
     /* 329082 */ GIM_Try, /*On fail goto*//*Label 6839*/ GIMT_Encode4(329261),
     /* 329087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 329090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329094 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 329098 */   GIM_Try, /*On fail goto*//*Label 6840*/ GIMT_Encode4(329162), // Rule ID 5419 //
     /* 329103 */     // MIs[0] Operand 2
     /* 329103 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 329114 */     // (extract_subvector:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn, 8:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v8i8] } (EXTv16i8:{ *:[f128] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rn, 8:{ *:[i32] }), dsub:{ *:[i32] })
     /* 329114 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 329117 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 329121 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 329126 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 329130 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 329134 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/8,
     /* 329137 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 329139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 329142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 329144 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 329151 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329156 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 329161 */     // GIR_Coverage, 5419,
     /* 329161 */     GIR_EraseRootFromParent_Done,
     /* 329162 */   // Label 6840: @329162
     /* 329162 */   GIM_Try, /*On fail goto*//*Label 6841*/ GIMT_Encode4(329200), // Rule ID 6852 //
     /* 329167 */     // MIs[0] Operand 2
     /* 329167 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 329178 */     // (extract_subvector:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn, dsub:{ *:[i32] })
     /* 329178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 329181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 329183 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 329189 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329194 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 329199 */     // GIR_Coverage, 6852,
     /* 329199 */     GIR_EraseRootFromParent_Done,
     /* 329200 */   // Label 6841: @329200
     /* 329200 */   GIM_Try, /*On fail goto*//*Label 6842*/ GIMT_Encode4(329260), // Rule ID 6858 //
     /* 329205 */     // MIs[0] Operand 2
     /* 329205 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 329216 */     // (extract_subvector:{ *:[v8i8] } FPR128:{ *:[v16i8] }:$Rn, 1:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v8i8] } (DUPv2i64lane:{ *:[f128] } FPR128:{ *:[v16i8] }:$Rn, 1:{ *:[i64] }), dsub:{ *:[i32] })
     /* 329216 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 329219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i64lane),
     /* 329223 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 329228 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 329232 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 329235 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 329237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 329240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 329242 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 329249 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329254 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 329259 */     // GIR_Coverage, 6858,
     /* 329259 */     GIR_EraseRootFromParent_Done,
     /* 329260 */   // Label 6842: @329260
     /* 329260 */   GIM_Reject,
     /* 329261 */ // Label 6839: @329261
     /* 329261 */ GIM_Reject,
     /* 329262 */ // Label 6807: @329262
     /* 329262 */ GIM_Try, /*On fail goto*//*Label 6843*/ GIMT_Encode4(329297), // Rule ID 8914 //
     /* 329267 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 329270 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 329273 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 329277 */   // MIs[0] Operand 2
     /* 329277 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 329288 */   // (extract_subvector:{ *:[nxv1i1] } nxv2i1:{ *:[nxv2i1] }:$Ps, 0:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv2i1] }:$Ps)
     /* 329288 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 329291 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 329293 */   GIR_RootToRootCopy, /*OpIdx*/1, // Ps
     /* 329295 */   GIR_RootConstrainSelectedInstOperands,
     /* 329296 */   // GIR_Coverage, 8914,
     /* 329296 */   GIR_EraseRootFromParent_Done,
     /* 329297 */ // Label 6843: @329297
     /* 329297 */ GIM_Try, /*On fail goto*//*Label 6844*/ GIMT_Encode4(329332), // Rule ID 8915 //
     /* 329302 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 329305 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 329308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 329312 */   // MIs[0] Operand 2
     /* 329312 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 329323 */   // (extract_subvector:{ *:[nxv1i1] } nxv2i1:{ *:[nxv2i1] }:$Ps, 1:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv2i1] }:$Ps)
     /* 329323 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 329326 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 329328 */   GIR_RootToRootCopy, /*OpIdx*/1, // Ps
     /* 329330 */   GIR_RootConstrainSelectedInstOperands,
     /* 329331 */   // GIR_Coverage, 8915,
     /* 329331 */   GIR_EraseRootFromParent_Done,
     /* 329332 */ // Label 6844: @329332
     /* 329332 */ GIM_Try, /*On fail goto*//*Label 6845*/ GIMT_Encode4(329386), // Rule ID 8922 //
     /* 329337 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 329340 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 329343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 329347 */   // MIs[0] Operand 2
     /* 329347 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 329358 */   // (extract_subvector:{ *:[nxv1i1] } nxv4i1:{ *:[nxv4i1] }:$Ps, 0:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv4i1] }:$Ps))
     /* 329358 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 329361 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 329365 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 329370 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 329374 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 329376 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 329379 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 329381 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 329384 */   GIR_RootConstrainSelectedInstOperands,
     /* 329385 */   // GIR_Coverage, 8922,
     /* 329385 */   GIR_EraseRootFromParent_Done,
     /* 329386 */ // Label 6845: @329386
     /* 329386 */ GIM_Try, /*On fail goto*//*Label 6846*/ GIMT_Encode4(329440), // Rule ID 8923 //
     /* 329391 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 329394 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 329397 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 329401 */   // MIs[0] Operand 2
     /* 329401 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 329412 */   // (extract_subvector:{ *:[nxv1i1] } nxv4i1:{ *:[nxv4i1] }:$Ps, 1:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv4i1] }:$Ps))
     /* 329412 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 329415 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 329419 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 329424 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 329428 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 329430 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 329433 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 329435 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 329438 */   GIR_RootConstrainSelectedInstOperands,
     /* 329439 */   // GIR_Coverage, 8923,
     /* 329439 */   GIR_EraseRootFromParent_Done,
     /* 329440 */ // Label 6846: @329440
     /* 329440 */ GIM_Try, /*On fail goto*//*Label 6847*/ GIMT_Encode4(329494), // Rule ID 8924 //
     /* 329445 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 329448 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 329451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 329455 */   // MIs[0] Operand 2
     /* 329455 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 329466 */   // (extract_subvector:{ *:[nxv1i1] } nxv4i1:{ *:[nxv4i1] }:$Ps, 2:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv4i1] }:$Ps))
     /* 329466 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 329469 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 329473 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 329478 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 329482 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 329484 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 329487 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 329489 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 329492 */   GIR_RootConstrainSelectedInstOperands,
     /* 329493 */   // GIR_Coverage, 8924,
     /* 329493 */   GIR_EraseRootFromParent_Done,
     /* 329494 */ // Label 6847: @329494
     /* 329494 */ GIM_Try, /*On fail goto*//*Label 6848*/ GIMT_Encode4(329548), // Rule ID 8925 //
     /* 329499 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 329502 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 329505 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 329509 */   // MIs[0] Operand 2
     /* 329509 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(3),
     /* 329520 */   // (extract_subvector:{ *:[nxv1i1] } nxv4i1:{ *:[nxv4i1] }:$Ps, 3:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv4i1] }:$Ps))
     /* 329520 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 329523 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 329527 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 329532 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 329536 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 329538 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 329541 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 329543 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 329546 */   GIR_RootConstrainSelectedInstOperands,
     /* 329547 */   // GIR_Coverage, 8925,
     /* 329547 */   GIR_EraseRootFromParent_Done,
     /* 329548 */ // Label 6848: @329548
     /* 329548 */ GIM_Try, /*On fail goto*//*Label 6849*/ GIMT_Encode4(329619), // Rule ID 8934 //
     /* 329553 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 329556 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 329559 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 329563 */   // MIs[0] Operand 2
     /* 329563 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 329574 */   // (extract_subvector:{ *:[nxv1i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 0:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps)))
     /* 329574 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 329577 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 329581 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 329586 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 329590 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 329592 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 329595 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 329599 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 329604 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 329607 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 329609 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 329612 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 329614 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 329617 */   GIR_RootConstrainSelectedInstOperands,
     /* 329618 */   // GIR_Coverage, 8934,
     /* 329618 */   GIR_EraseRootFromParent_Done,
     /* 329619 */ // Label 6849: @329619
     /* 329619 */ GIM_Try, /*On fail goto*//*Label 6850*/ GIMT_Encode4(329690), // Rule ID 8935 //
     /* 329624 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 329627 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 329630 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 329634 */   // MIs[0] Operand 2
     /* 329634 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 329645 */   // (extract_subvector:{ *:[nxv1i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 1:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps)))
     /* 329645 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 329648 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 329652 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 329657 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 329661 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 329663 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 329666 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 329670 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 329675 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 329678 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 329680 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 329683 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 329685 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 329688 */   GIR_RootConstrainSelectedInstOperands,
     /* 329689 */   // GIR_Coverage, 8935,
     /* 329689 */   GIR_EraseRootFromParent_Done,
     /* 329690 */ // Label 6850: @329690
     /* 329690 */ GIM_Try, /*On fail goto*//*Label 6851*/ GIMT_Encode4(329761), // Rule ID 8936 //
     /* 329695 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 329698 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 329701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 329705 */   // MIs[0] Operand 2
     /* 329705 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 329716 */   // (extract_subvector:{ *:[nxv1i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 2:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps)))
     /* 329716 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 329719 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 329723 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 329728 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 329732 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 329734 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 329737 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 329741 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 329746 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 329749 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 329751 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 329754 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 329756 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 329759 */   GIR_RootConstrainSelectedInstOperands,
     /* 329760 */   // GIR_Coverage, 8936,
     /* 329760 */   GIR_EraseRootFromParent_Done,
     /* 329761 */ // Label 6851: @329761
     /* 329761 */ GIM_Try, /*On fail goto*//*Label 6852*/ GIMT_Encode4(329832), // Rule ID 8937 //
     /* 329766 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 329769 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 329772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 329776 */   // MIs[0] Operand 2
     /* 329776 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(3),
     /* 329787 */   // (extract_subvector:{ *:[nxv1i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 3:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps)))
     /* 329787 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 329790 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 329794 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 329799 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 329803 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 329805 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 329808 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 329812 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 329817 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 329820 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 329822 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 329825 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 329827 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 329830 */   GIR_RootConstrainSelectedInstOperands,
     /* 329831 */   // GIR_Coverage, 8937,
     /* 329831 */   GIR_EraseRootFromParent_Done,
     /* 329832 */ // Label 6852: @329832
     /* 329832 */ GIM_Try, /*On fail goto*//*Label 6853*/ GIMT_Encode4(329903), // Rule ID 8938 //
     /* 329837 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 329840 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 329843 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 329847 */   // MIs[0] Operand 2
     /* 329847 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 329858 */   // (extract_subvector:{ *:[nxv1i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 4:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps)))
     /* 329858 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 329861 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 329865 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 329870 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 329874 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 329876 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 329879 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 329883 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 329888 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 329891 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 329893 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 329896 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 329898 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 329901 */   GIR_RootConstrainSelectedInstOperands,
     /* 329902 */   // GIR_Coverage, 8938,
     /* 329902 */   GIR_EraseRootFromParent_Done,
     /* 329903 */ // Label 6853: @329903
     /* 329903 */ GIM_Try, /*On fail goto*//*Label 6854*/ GIMT_Encode4(329974), // Rule ID 8939 //
     /* 329908 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 329911 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 329914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 329918 */   // MIs[0] Operand 2
     /* 329918 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(5),
     /* 329929 */   // (extract_subvector:{ *:[nxv1i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 5:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps)))
     /* 329929 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 329932 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 329936 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 329941 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 329945 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 329947 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 329950 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 329954 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 329959 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 329962 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 329964 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 329967 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 329969 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 329972 */   GIR_RootConstrainSelectedInstOperands,
     /* 329973 */   // GIR_Coverage, 8939,
     /* 329973 */   GIR_EraseRootFromParent_Done,
     /* 329974 */ // Label 6854: @329974
     /* 329974 */ GIM_Try, /*On fail goto*//*Label 6855*/ GIMT_Encode4(330045), // Rule ID 8940 //
     /* 329979 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 329982 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 329985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 329989 */   // MIs[0] Operand 2
     /* 329989 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(6),
     /* 330000 */   // (extract_subvector:{ *:[nxv1i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 6:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps)))
     /* 330000 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 330003 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 330007 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330012 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 330016 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 330018 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 330021 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 330025 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330030 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 330033 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 330035 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 330038 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 330040 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 330043 */   GIR_RootConstrainSelectedInstOperands,
     /* 330044 */   // GIR_Coverage, 8940,
     /* 330044 */   GIR_EraseRootFromParent_Done,
     /* 330045 */ // Label 6855: @330045
     /* 330045 */ GIM_Try, /*On fail goto*//*Label 6856*/ GIMT_Encode4(330116), // Rule ID 8941 //
     /* 330050 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 330053 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 330056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 330060 */   // MIs[0] Operand 2
     /* 330060 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(7),
     /* 330071 */   // (extract_subvector:{ *:[nxv1i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 7:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps)))
     /* 330071 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 330074 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 330078 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330083 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 330087 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 330089 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 330092 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 330096 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330101 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 330104 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 330106 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 330109 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 330111 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 330114 */   GIR_RootConstrainSelectedInstOperands,
     /* 330115 */   // GIR_Coverage, 8941,
     /* 330115 */   GIR_EraseRootFromParent_Done,
     /* 330116 */ // Label 6856: @330116
     /* 330116 */ GIM_Try, /*On fail goto*//*Label 6857*/ GIMT_Encode4(330204), // Rule ID 8950 //
     /* 330121 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 330124 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 330127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 330131 */   // MIs[0] Operand 2
     /* 330131 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 330142 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 0:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 330142 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 330145 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 330149 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330154 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 330158 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 330160 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 330163 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 330167 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330172 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 330175 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 330177 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 330180 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 330184 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330189 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 330192 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 330194 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 330197 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 330199 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 330202 */   GIR_RootConstrainSelectedInstOperands,
     /* 330203 */   // GIR_Coverage, 8950,
     /* 330203 */   GIR_EraseRootFromParent_Done,
     /* 330204 */ // Label 6857: @330204
     /* 330204 */ GIM_Try, /*On fail goto*//*Label 6858*/ GIMT_Encode4(330292), // Rule ID 8951 //
     /* 330209 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 330212 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 330215 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 330219 */   // MIs[0] Operand 2
     /* 330219 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 330230 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 1:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 330230 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 330233 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 330237 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330242 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 330246 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 330248 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 330251 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 330255 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330260 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 330263 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 330265 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 330268 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 330272 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330277 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 330280 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 330282 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 330285 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 330287 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 330290 */   GIR_RootConstrainSelectedInstOperands,
     /* 330291 */   // GIR_Coverage, 8951,
     /* 330291 */   GIR_EraseRootFromParent_Done,
     /* 330292 */ // Label 6858: @330292
     /* 330292 */ GIM_Try, /*On fail goto*//*Label 6859*/ GIMT_Encode4(330380), // Rule ID 8952 //
     /* 330297 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 330300 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 330303 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 330307 */   // MIs[0] Operand 2
     /* 330307 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 330318 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 2:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 330318 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 330321 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 330325 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330330 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 330334 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 330336 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 330339 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 330343 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330348 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 330351 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 330353 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 330356 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 330360 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330365 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 330368 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 330370 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 330373 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 330375 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 330378 */   GIR_RootConstrainSelectedInstOperands,
     /* 330379 */   // GIR_Coverage, 8952,
     /* 330379 */   GIR_EraseRootFromParent_Done,
     /* 330380 */ // Label 6859: @330380
     /* 330380 */ GIM_Try, /*On fail goto*//*Label 6860*/ GIMT_Encode4(330468), // Rule ID 8953 //
     /* 330385 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 330388 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 330391 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 330395 */   // MIs[0] Operand 2
     /* 330395 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(3),
     /* 330406 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 3:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 330406 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 330409 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 330413 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330418 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 330422 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 330424 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 330427 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 330431 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330436 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 330439 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 330441 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 330444 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 330448 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330453 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 330456 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 330458 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 330461 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 330463 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 330466 */   GIR_RootConstrainSelectedInstOperands,
     /* 330467 */   // GIR_Coverage, 8953,
     /* 330467 */   GIR_EraseRootFromParent_Done,
     /* 330468 */ // Label 6860: @330468
     /* 330468 */ GIM_Try, /*On fail goto*//*Label 6861*/ GIMT_Encode4(330556), // Rule ID 8954 //
     /* 330473 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 330476 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 330479 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 330483 */   // MIs[0] Operand 2
     /* 330483 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 330494 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 4:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 330494 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 330497 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 330501 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330506 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 330510 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 330512 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 330515 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 330519 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330524 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 330527 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 330529 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 330532 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 330536 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330541 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 330544 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 330546 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 330549 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 330551 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 330554 */   GIR_RootConstrainSelectedInstOperands,
     /* 330555 */   // GIR_Coverage, 8954,
     /* 330555 */   GIR_EraseRootFromParent_Done,
     /* 330556 */ // Label 6861: @330556
     /* 330556 */ GIM_Try, /*On fail goto*//*Label 6862*/ GIMT_Encode4(330644), // Rule ID 8955 //
     /* 330561 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 330564 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 330567 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 330571 */   // MIs[0] Operand 2
     /* 330571 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(5),
     /* 330582 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 5:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 330582 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 330585 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 330589 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330594 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 330598 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 330600 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 330603 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 330607 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330612 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 330615 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 330617 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 330620 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 330624 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330629 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 330632 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 330634 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 330637 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 330639 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 330642 */   GIR_RootConstrainSelectedInstOperands,
     /* 330643 */   // GIR_Coverage, 8955,
     /* 330643 */   GIR_EraseRootFromParent_Done,
     /* 330644 */ // Label 6862: @330644
     /* 330644 */ GIM_Try, /*On fail goto*//*Label 6863*/ GIMT_Encode4(330732), // Rule ID 8956 //
     /* 330649 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 330652 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 330655 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 330659 */   // MIs[0] Operand 2
     /* 330659 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(6),
     /* 330670 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 6:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 330670 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 330673 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 330677 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330682 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 330686 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 330688 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 330691 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 330695 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330700 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 330703 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 330705 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 330708 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 330712 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330717 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 330720 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 330722 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 330725 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 330727 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 330730 */   GIR_RootConstrainSelectedInstOperands,
     /* 330731 */   // GIR_Coverage, 8956,
     /* 330731 */   GIR_EraseRootFromParent_Done,
     /* 330732 */ // Label 6863: @330732
     /* 330732 */ GIM_Try, /*On fail goto*//*Label 6864*/ GIMT_Encode4(330820), // Rule ID 8957 //
     /* 330737 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 330740 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 330743 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 330747 */   // MIs[0] Operand 2
     /* 330747 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(7),
     /* 330758 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 7:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 330758 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 330761 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 330765 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330770 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 330774 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 330776 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 330779 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 330783 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330788 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 330791 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 330793 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 330796 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 330800 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330805 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 330808 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 330810 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 330813 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 330815 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 330818 */   GIR_RootConstrainSelectedInstOperands,
     /* 330819 */   // GIR_Coverage, 8957,
     /* 330819 */   GIR_EraseRootFromParent_Done,
     /* 330820 */ // Label 6864: @330820
     /* 330820 */ GIM_Try, /*On fail goto*//*Label 6865*/ GIMT_Encode4(330908), // Rule ID 8958 //
     /* 330825 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 330828 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 330831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 330835 */   // MIs[0] Operand 2
     /* 330835 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 330846 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 8:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 330846 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 330849 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 330853 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330858 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 330862 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 330864 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 330867 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 330871 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330876 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 330879 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 330881 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 330884 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 330888 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330893 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 330896 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 330898 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 330901 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 330903 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 330906 */   GIR_RootConstrainSelectedInstOperands,
     /* 330907 */   // GIR_Coverage, 8958,
     /* 330907 */   GIR_EraseRootFromParent_Done,
     /* 330908 */ // Label 6865: @330908
     /* 330908 */ GIM_Try, /*On fail goto*//*Label 6866*/ GIMT_Encode4(330996), // Rule ID 8959 //
     /* 330913 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 330916 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 330919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 330923 */   // MIs[0] Operand 2
     /* 330923 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(9),
     /* 330934 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 9:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 330934 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 330937 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 330941 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330946 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 330950 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 330952 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 330955 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 330959 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330964 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 330967 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 330969 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 330972 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 330976 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330981 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 330984 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 330986 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 330989 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 330991 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 330994 */   GIR_RootConstrainSelectedInstOperands,
     /* 330995 */   // GIR_Coverage, 8959,
     /* 330995 */   GIR_EraseRootFromParent_Done,
     /* 330996 */ // Label 6866: @330996
     /* 330996 */ GIM_Try, /*On fail goto*//*Label 6867*/ GIMT_Encode4(331084), // Rule ID 8960 //
     /* 331001 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 331004 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 331007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 331011 */   // MIs[0] Operand 2
     /* 331011 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(10),
     /* 331022 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 10:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 331022 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 331025 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331029 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331034 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 331038 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 331040 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 331043 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331047 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331052 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 331055 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 331057 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 331060 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331064 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331069 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 331072 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331074 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331077 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 331079 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 331082 */   GIR_RootConstrainSelectedInstOperands,
     /* 331083 */   // GIR_Coverage, 8960,
     /* 331083 */   GIR_EraseRootFromParent_Done,
     /* 331084 */ // Label 6867: @331084
     /* 331084 */ GIM_Try, /*On fail goto*//*Label 6868*/ GIMT_Encode4(331172), // Rule ID 8961 //
     /* 331089 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 331092 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 331095 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 331099 */   // MIs[0] Operand 2
     /* 331099 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(11),
     /* 331110 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 11:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 331110 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 331113 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331117 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331122 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 331126 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 331128 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 331131 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331135 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331140 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 331143 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 331145 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 331148 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331152 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331157 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 331160 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331162 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331165 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 331167 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 331170 */   GIR_RootConstrainSelectedInstOperands,
     /* 331171 */   // GIR_Coverage, 8961,
     /* 331171 */   GIR_EraseRootFromParent_Done,
     /* 331172 */ // Label 6868: @331172
     /* 331172 */ GIM_Try, /*On fail goto*//*Label 6869*/ GIMT_Encode4(331260), // Rule ID 8962 //
     /* 331177 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 331180 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 331183 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 331187 */   // MIs[0] Operand 2
     /* 331187 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(12),
     /* 331198 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 12:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 331198 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 331201 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331205 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331210 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 331214 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 331216 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 331219 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331223 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331228 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 331231 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 331233 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 331236 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331240 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331245 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 331248 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331250 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331253 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 331255 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 331258 */   GIR_RootConstrainSelectedInstOperands,
     /* 331259 */   // GIR_Coverage, 8962,
     /* 331259 */   GIR_EraseRootFromParent_Done,
     /* 331260 */ // Label 6869: @331260
     /* 331260 */ GIM_Try, /*On fail goto*//*Label 6870*/ GIMT_Encode4(331348), // Rule ID 8963 //
     /* 331265 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 331268 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 331271 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 331275 */   // MIs[0] Operand 2
     /* 331275 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(13),
     /* 331286 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 13:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 331286 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 331289 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331293 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331298 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 331302 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 331304 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 331307 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331311 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331316 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 331319 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 331321 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 331324 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331328 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331333 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 331336 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331338 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331341 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 331343 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 331346 */   GIR_RootConstrainSelectedInstOperands,
     /* 331347 */   // GIR_Coverage, 8963,
     /* 331347 */   GIR_EraseRootFromParent_Done,
     /* 331348 */ // Label 6870: @331348
     /* 331348 */ GIM_Try, /*On fail goto*//*Label 6871*/ GIMT_Encode4(331436), // Rule ID 8964 //
     /* 331353 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 331356 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 331359 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 331363 */   // MIs[0] Operand 2
     /* 331363 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(14),
     /* 331374 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 14:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 331374 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 331377 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331381 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331386 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 331390 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 331392 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 331395 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331399 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331404 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 331407 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 331409 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 331412 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331416 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331421 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 331424 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331426 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331429 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 331431 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 331434 */   GIR_RootConstrainSelectedInstOperands,
     /* 331435 */   // GIR_Coverage, 8964,
     /* 331435 */   GIR_EraseRootFromParent_Done,
     /* 331436 */ // Label 6871: @331436
     /* 331436 */ GIM_Try, /*On fail goto*//*Label 6872*/ GIMT_Encode4(331524), // Rule ID 8965 //
     /* 331441 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 331444 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 331447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 331451 */   // MIs[0] Operand 2
     /* 331451 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(15),
     /* 331462 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 15:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 331462 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 331465 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331469 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331474 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 331478 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 331480 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 331483 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331487 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331492 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 331495 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 331497 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 331500 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331504 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331509 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 331512 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331514 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331517 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 331519 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 331522 */   GIR_RootConstrainSelectedInstOperands,
     /* 331523 */   // GIR_Coverage, 8965,
     /* 331523 */   GIR_EraseRootFromParent_Done,
     /* 331524 */ // Label 6872: @331524
     /* 331524 */ GIM_Reject,
     /* 331525 */ // Label 6808: @331525
     /* 331525 */ GIM_Try, /*On fail goto*//*Label 6873*/ GIMT_Encode4(331560), // Rule ID 8916 //
     /* 331530 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 331533 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 331536 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 331540 */   // MIs[0] Operand 2
     /* 331540 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 331551 */   // (extract_subvector:{ *:[nxv2i1] } nxv4i1:{ *:[nxv4i1] }:$Ps, 0:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv2i1] } PPR:{ *:[nxv4i1] }:$Ps)
     /* 331551 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331554 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 331556 */   GIR_RootToRootCopy, /*OpIdx*/1, // Ps
     /* 331558 */   GIR_RootConstrainSelectedInstOperands,
     /* 331559 */   // GIR_Coverage, 8916,
     /* 331559 */   GIR_EraseRootFromParent_Done,
     /* 331560 */ // Label 6873: @331560
     /* 331560 */ GIM_Try, /*On fail goto*//*Label 6874*/ GIMT_Encode4(331595), // Rule ID 8917 //
     /* 331565 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 331568 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 331571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 331575 */   // MIs[0] Operand 2
     /* 331575 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 331586 */   // (extract_subvector:{ *:[nxv2i1] } nxv4i1:{ *:[nxv4i1] }:$Ps, 2:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv2i1] } PPR:{ *:[nxv4i1] }:$Ps)
     /* 331586 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331589 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 331591 */   GIR_RootToRootCopy, /*OpIdx*/1, // Ps
     /* 331593 */   GIR_RootConstrainSelectedInstOperands,
     /* 331594 */   // GIR_Coverage, 8917,
     /* 331594 */   GIR_EraseRootFromParent_Done,
     /* 331595 */ // Label 6874: @331595
     /* 331595 */ GIM_Try, /*On fail goto*//*Label 6875*/ GIMT_Encode4(331649), // Rule ID 8926 //
     /* 331600 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 331603 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 331606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 331610 */   // MIs[0] Operand 2
     /* 331610 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 331621 */   // (extract_subvector:{ *:[nxv2i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 0:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv2i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps))
     /* 331621 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 331624 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331628 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331633 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 331637 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331639 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331642 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 331644 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 331647 */   GIR_RootConstrainSelectedInstOperands,
     /* 331648 */   // GIR_Coverage, 8926,
     /* 331648 */   GIR_EraseRootFromParent_Done,
     /* 331649 */ // Label 6875: @331649
     /* 331649 */ GIM_Try, /*On fail goto*//*Label 6876*/ GIMT_Encode4(331703), // Rule ID 8927 //
     /* 331654 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 331657 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 331660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 331664 */   // MIs[0] Operand 2
     /* 331664 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 331675 */   // (extract_subvector:{ *:[nxv2i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 2:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv2i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps))
     /* 331675 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 331678 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331682 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331687 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 331691 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331693 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331696 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 331698 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 331701 */   GIR_RootConstrainSelectedInstOperands,
     /* 331702 */   // GIR_Coverage, 8927,
     /* 331702 */   GIR_EraseRootFromParent_Done,
     /* 331703 */ // Label 6876: @331703
     /* 331703 */ GIM_Try, /*On fail goto*//*Label 6877*/ GIMT_Encode4(331757), // Rule ID 8928 //
     /* 331708 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 331711 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 331714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 331718 */   // MIs[0] Operand 2
     /* 331718 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 331729 */   // (extract_subvector:{ *:[nxv2i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 4:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv2i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps))
     /* 331729 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 331732 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331736 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331741 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 331745 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331747 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331750 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 331752 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 331755 */   GIR_RootConstrainSelectedInstOperands,
     /* 331756 */   // GIR_Coverage, 8928,
     /* 331756 */   GIR_EraseRootFromParent_Done,
     /* 331757 */ // Label 6877: @331757
     /* 331757 */ GIM_Try, /*On fail goto*//*Label 6878*/ GIMT_Encode4(331811), // Rule ID 8929 //
     /* 331762 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 331765 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 331768 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 331772 */   // MIs[0] Operand 2
     /* 331772 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(6),
     /* 331783 */   // (extract_subvector:{ *:[nxv2i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 6:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv2i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps))
     /* 331783 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 331786 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331790 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331795 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 331799 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331801 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331804 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 331806 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 331809 */   GIR_RootConstrainSelectedInstOperands,
     /* 331810 */   // GIR_Coverage, 8929,
     /* 331810 */   GIR_EraseRootFromParent_Done,
     /* 331811 */ // Label 6878: @331811
     /* 331811 */ GIM_Try, /*On fail goto*//*Label 6879*/ GIMT_Encode4(331882), // Rule ID 8942 //
     /* 331816 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 331819 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 331822 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 331826 */   // MIs[0] Operand 2
     /* 331826 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 331837 */   // (extract_subvector:{ *:[nxv2i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 0:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv2i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps)))
     /* 331837 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 331840 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331844 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331849 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 331853 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 331855 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 331858 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331862 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331867 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 331870 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331872 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331875 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 331877 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 331880 */   GIR_RootConstrainSelectedInstOperands,
     /* 331881 */   // GIR_Coverage, 8942,
     /* 331881 */   GIR_EraseRootFromParent_Done,
     /* 331882 */ // Label 6879: @331882
     /* 331882 */ GIM_Try, /*On fail goto*//*Label 6880*/ GIMT_Encode4(331953), // Rule ID 8943 //
     /* 331887 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 331890 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 331893 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 331897 */   // MIs[0] Operand 2
     /* 331897 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 331908 */   // (extract_subvector:{ *:[nxv2i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 2:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv2i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps)))
     /* 331908 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 331911 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331915 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331920 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 331924 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 331926 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 331929 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331933 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331938 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 331941 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331943 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331946 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 331948 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 331951 */   GIR_RootConstrainSelectedInstOperands,
     /* 331952 */   // GIR_Coverage, 8943,
     /* 331952 */   GIR_EraseRootFromParent_Done,
     /* 331953 */ // Label 6880: @331953
     /* 331953 */ GIM_Try, /*On fail goto*//*Label 6881*/ GIMT_Encode4(332024), // Rule ID 8944 //
     /* 331958 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 331961 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 331964 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 331968 */   // MIs[0] Operand 2
     /* 331968 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 331979 */   // (extract_subvector:{ *:[nxv2i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 4:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv2i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps)))
     /* 331979 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 331982 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331986 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331991 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 331995 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 331997 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 332000 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332004 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332009 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 332012 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 332014 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332017 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 332019 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 332022 */   GIR_RootConstrainSelectedInstOperands,
     /* 332023 */   // GIR_Coverage, 8944,
     /* 332023 */   GIR_EraseRootFromParent_Done,
     /* 332024 */ // Label 6881: @332024
     /* 332024 */ GIM_Try, /*On fail goto*//*Label 6882*/ GIMT_Encode4(332095), // Rule ID 8945 //
     /* 332029 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 332032 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 332035 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 332039 */   // MIs[0] Operand 2
     /* 332039 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(6),
     /* 332050 */   // (extract_subvector:{ *:[nxv2i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 6:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv2i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps)))
     /* 332050 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 332053 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332057 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332062 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 332066 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 332068 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 332071 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332075 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332080 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 332083 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 332085 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332088 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 332090 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 332093 */   GIR_RootConstrainSelectedInstOperands,
     /* 332094 */   // GIR_Coverage, 8945,
     /* 332094 */   GIR_EraseRootFromParent_Done,
     /* 332095 */ // Label 6882: @332095
     /* 332095 */ GIM_Try, /*On fail goto*//*Label 6883*/ GIMT_Encode4(332166), // Rule ID 8946 //
     /* 332100 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 332103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 332106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 332110 */   // MIs[0] Operand 2
     /* 332110 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 332121 */   // (extract_subvector:{ *:[nxv2i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 8:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv2i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps)))
     /* 332121 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 332124 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332128 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332133 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 332137 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 332139 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 332142 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332146 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332151 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 332154 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 332156 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332159 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 332161 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 332164 */   GIR_RootConstrainSelectedInstOperands,
     /* 332165 */   // GIR_Coverage, 8946,
     /* 332165 */   GIR_EraseRootFromParent_Done,
     /* 332166 */ // Label 6883: @332166
     /* 332166 */ GIM_Try, /*On fail goto*//*Label 6884*/ GIMT_Encode4(332237), // Rule ID 8947 //
     /* 332171 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 332174 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 332177 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 332181 */   // MIs[0] Operand 2
     /* 332181 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(10),
     /* 332192 */   // (extract_subvector:{ *:[nxv2i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 10:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv2i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps)))
     /* 332192 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 332195 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332199 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332204 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 332208 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 332210 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 332213 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332217 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332222 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 332225 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 332227 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332230 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 332232 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 332235 */   GIR_RootConstrainSelectedInstOperands,
     /* 332236 */   // GIR_Coverage, 8947,
     /* 332236 */   GIR_EraseRootFromParent_Done,
     /* 332237 */ // Label 6884: @332237
     /* 332237 */ GIM_Try, /*On fail goto*//*Label 6885*/ GIMT_Encode4(332308), // Rule ID 8948 //
     /* 332242 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 332245 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 332248 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 332252 */   // MIs[0] Operand 2
     /* 332252 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(12),
     /* 332263 */   // (extract_subvector:{ *:[nxv2i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 12:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv2i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps)))
     /* 332263 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 332266 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332270 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332275 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 332279 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 332281 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 332284 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332288 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332293 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 332296 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 332298 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332301 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 332303 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 332306 */   GIR_RootConstrainSelectedInstOperands,
     /* 332307 */   // GIR_Coverage, 8948,
     /* 332307 */   GIR_EraseRootFromParent_Done,
     /* 332308 */ // Label 6885: @332308
     /* 332308 */ GIM_Try, /*On fail goto*//*Label 6886*/ GIMT_Encode4(332379), // Rule ID 8949 //
     /* 332313 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 332316 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 332319 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 332323 */   // MIs[0] Operand 2
     /* 332323 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(14),
     /* 332334 */   // (extract_subvector:{ *:[nxv2i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 14:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv2i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps)))
     /* 332334 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 332337 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332341 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332346 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 332350 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 332352 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 332355 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332359 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332364 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 332367 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 332369 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332372 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 332374 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 332377 */   GIR_RootConstrainSelectedInstOperands,
     /* 332378 */   // GIR_Coverage, 8949,
     /* 332378 */   GIR_EraseRootFromParent_Done,
     /* 332379 */ // Label 6886: @332379
     /* 332379 */ GIM_Reject,
     /* 332380 */ // Label 6809: @332380
     /* 332380 */ GIM_Try, /*On fail goto*//*Label 6887*/ GIMT_Encode4(332415), // Rule ID 8966 //
     /* 332385 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 332388 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 332391 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 332395 */   // MIs[0] Operand 2
     /* 332395 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 332406 */   // (extract_subvector:{ *:[nxv2f16] } nxv4f16:{ *:[nxv4f16] }:$Zs, 0:{ *:[i64] })  =>  (UUNPKLO_ZZ_D:{ *:[nxv2f16] } ZPR:{ *:[nxv4f16] }:$Zs)
     /* 332406 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UUNPKLO_ZZ_D),
     /* 332409 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 332411 */   GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 332413 */   GIR_RootConstrainSelectedInstOperands,
     /* 332414 */   // GIR_Coverage, 8966,
     /* 332414 */   GIR_EraseRootFromParent_Done,
     /* 332415 */ // Label 6887: @332415
     /* 332415 */ GIM_Try, /*On fail goto*//*Label 6888*/ GIMT_Encode4(332450), // Rule ID 8967 //
     /* 332420 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 332423 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 332426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 332430 */   // MIs[0] Operand 2
     /* 332430 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 332441 */   // (extract_subvector:{ *:[nxv2f16] } nxv4f16:{ *:[nxv4f16] }:$Zs, 2:{ *:[i64] })  =>  (UUNPKHI_ZZ_D:{ *:[nxv2f16] } ZPR:{ *:[nxv4f16] }:$Zs)
     /* 332441 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UUNPKHI_ZZ_D),
     /* 332444 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 332446 */   GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 332448 */   GIR_RootConstrainSelectedInstOperands,
     /* 332449 */   // GIR_Coverage, 8967,
     /* 332449 */   GIR_EraseRootFromParent_Done,
     /* 332450 */ // Label 6888: @332450
     /* 332450 */ GIM_Try, /*On fail goto*//*Label 6889*/ GIMT_Encode4(332504), // Rule ID 8972 //
     /* 332455 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 332458 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 332461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 332465 */   // MIs[0] Operand 2
     /* 332465 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 332476 */   // (extract_subvector:{ *:[nxv2f16] } nxv8f16:{ *:[nxv8f16] }:$Zs, 0:{ *:[i64] })  =>  (UUNPKLO_ZZ_D:{ *:[nxv2f16] } (UUNPKLO_ZZ_S:{ *:[nxv16i8] } ZPR:{ *:[nxv8f16] }:$Zs))
     /* 332476 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 332479 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UUNPKLO_ZZ_S),
     /* 332483 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332488 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Zs
     /* 332492 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 332494 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UUNPKLO_ZZ_D),
     /* 332497 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 332499 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 332502 */   GIR_RootConstrainSelectedInstOperands,
     /* 332503 */   // GIR_Coverage, 8972,
     /* 332503 */   GIR_EraseRootFromParent_Done,
     /* 332504 */ // Label 6889: @332504
     /* 332504 */ GIM_Try, /*On fail goto*//*Label 6890*/ GIMT_Encode4(332558), // Rule ID 8973 //
     /* 332509 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 332512 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 332515 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 332519 */   // MIs[0] Operand 2
     /* 332519 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 332530 */   // (extract_subvector:{ *:[nxv2f16] } nxv8f16:{ *:[nxv8f16] }:$Zs, 2:{ *:[i64] })  =>  (UUNPKHI_ZZ_D:{ *:[nxv2f16] } (UUNPKLO_ZZ_S:{ *:[nxv16i8] } ZPR:{ *:[nxv8f16] }:$Zs))
     /* 332530 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 332533 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UUNPKLO_ZZ_S),
     /* 332537 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332542 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Zs
     /* 332546 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 332548 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UUNPKHI_ZZ_D),
     /* 332551 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 332553 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 332556 */   GIR_RootConstrainSelectedInstOperands,
     /* 332557 */   // GIR_Coverage, 8973,
     /* 332557 */   GIR_EraseRootFromParent_Done,
     /* 332558 */ // Label 6890: @332558
     /* 332558 */ GIM_Try, /*On fail goto*//*Label 6891*/ GIMT_Encode4(332612), // Rule ID 8974 //
     /* 332563 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 332566 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 332569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 332573 */   // MIs[0] Operand 2
     /* 332573 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 332584 */   // (extract_subvector:{ *:[nxv2f16] } nxv8f16:{ *:[nxv8f16] }:$Zs, 4:{ *:[i64] })  =>  (UUNPKLO_ZZ_D:{ *:[nxv2f16] } (UUNPKHI_ZZ_S:{ *:[nxv16i8] } ZPR:{ *:[nxv8f16] }:$Zs))
     /* 332584 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 332587 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UUNPKHI_ZZ_S),
     /* 332591 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332596 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Zs
     /* 332600 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 332602 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UUNPKLO_ZZ_D),
     /* 332605 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 332607 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 332610 */   GIR_RootConstrainSelectedInstOperands,
     /* 332611 */   // GIR_Coverage, 8974,
     /* 332611 */   GIR_EraseRootFromParent_Done,
     /* 332612 */ // Label 6891: @332612
     /* 332612 */ GIM_Try, /*On fail goto*//*Label 6892*/ GIMT_Encode4(332666), // Rule ID 8975 //
     /* 332617 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 332620 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 332623 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 332627 */   // MIs[0] Operand 2
     /* 332627 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(6),
     /* 332638 */   // (extract_subvector:{ *:[nxv2f16] } nxv8f16:{ *:[nxv8f16] }:$Zs, 6:{ *:[i64] })  =>  (UUNPKHI_ZZ_D:{ *:[nxv2f16] } (UUNPKHI_ZZ_S:{ *:[nxv16i8] } ZPR:{ *:[nxv8f16] }:$Zs))
     /* 332638 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 332641 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UUNPKHI_ZZ_S),
     /* 332645 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332650 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Zs
     /* 332654 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 332656 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UUNPKHI_ZZ_D),
     /* 332659 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 332661 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 332664 */   GIR_RootConstrainSelectedInstOperands,
     /* 332665 */   // GIR_Coverage, 8975,
     /* 332665 */   GIR_EraseRootFromParent_Done,
     /* 332666 */ // Label 6892: @332666
     /* 332666 */ GIM_Reject,
     /* 332667 */ // Label 6810: @332667
     /* 332667 */ GIM_Try, /*On fail goto*//*Label 6893*/ GIMT_Encode4(332736),
     /* 332672 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 332675 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 332679 */   GIM_Try, /*On fail goto*//*Label 6894*/ GIMT_Encode4(332707), // Rule ID 8970 //
     /* 332684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 332687 */     // MIs[0] Operand 2
     /* 332687 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 332698 */     // (extract_subvector:{ *:[nxv2f32] } nxv4f32:{ *:[nxv4f32] }:$Zs, 0:{ *:[i64] })  =>  (UUNPKLO_ZZ_D:{ *:[nxv2f32] } ZPR:{ *:[nxv4f32] }:$Zs)
     /* 332698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UUNPKLO_ZZ_D),
     /* 332701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 332703 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 332705 */     GIR_RootConstrainSelectedInstOperands,
     /* 332706 */     // GIR_Coverage, 8970,
     /* 332706 */     GIR_EraseRootFromParent_Done,
     /* 332707 */   // Label 6894: @332707
     /* 332707 */   GIM_Try, /*On fail goto*//*Label 6895*/ GIMT_Encode4(332735), // Rule ID 8971 //
     /* 332712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 332715 */     // MIs[0] Operand 2
     /* 332715 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 332726 */     // (extract_subvector:{ *:[nxv2f32] } nxv4f32:{ *:[nxv4f32] }:$Zs, 2:{ *:[i64] })  =>  (UUNPKHI_ZZ_D:{ *:[nxv2f32] } ZPR:{ *:[nxv4f32] }:$Zs)
     /* 332726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UUNPKHI_ZZ_D),
     /* 332729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 332731 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 332733 */     GIR_RootConstrainSelectedInstOperands,
     /* 332734 */     // GIR_Coverage, 8971,
     /* 332734 */     GIR_EraseRootFromParent_Done,
     /* 332735 */   // Label 6895: @332735
     /* 332735 */   GIM_Reject,
     /* 332736 */ // Label 6893: @332736
     /* 332736 */ GIM_Reject,
     /* 332737 */ // Label 6811: @332737
     /* 332737 */ GIM_Try, /*On fail goto*//*Label 6896*/ GIMT_Encode4(332772), // Rule ID 8918 //
     /* 332742 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 332745 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 332748 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 332752 */   // MIs[0] Operand 2
     /* 332752 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 332763 */   // (extract_subvector:{ *:[nxv4i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 0:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv4i1] } PPR:{ *:[nxv8i1] }:$Ps)
     /* 332763 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332766 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 332768 */   GIR_RootToRootCopy, /*OpIdx*/1, // Ps
     /* 332770 */   GIR_RootConstrainSelectedInstOperands,
     /* 332771 */   // GIR_Coverage, 8918,
     /* 332771 */   GIR_EraseRootFromParent_Done,
     /* 332772 */ // Label 6896: @332772
     /* 332772 */ GIM_Try, /*On fail goto*//*Label 6897*/ GIMT_Encode4(332807), // Rule ID 8919 //
     /* 332777 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 332780 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 332783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 332787 */   // MIs[0] Operand 2
     /* 332787 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 332798 */   // (extract_subvector:{ *:[nxv4i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 4:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv4i1] } PPR:{ *:[nxv8i1] }:$Ps)
     /* 332798 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332801 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 332803 */   GIR_RootToRootCopy, /*OpIdx*/1, // Ps
     /* 332805 */   GIR_RootConstrainSelectedInstOperands,
     /* 332806 */   // GIR_Coverage, 8919,
     /* 332806 */   GIR_EraseRootFromParent_Done,
     /* 332807 */ // Label 6897: @332807
     /* 332807 */ GIM_Try, /*On fail goto*//*Label 6898*/ GIMT_Encode4(332861), // Rule ID 8930 //
     /* 332812 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 332815 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 332818 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 332822 */   // MIs[0] Operand 2
     /* 332822 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 332833 */   // (extract_subvector:{ *:[nxv4i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 0:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv4i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))
     /* 332833 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 332836 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332840 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332845 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 332849 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 332851 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332854 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 332856 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 332859 */   GIR_RootConstrainSelectedInstOperands,
     /* 332860 */   // GIR_Coverage, 8930,
     /* 332860 */   GIR_EraseRootFromParent_Done,
     /* 332861 */ // Label 6898: @332861
     /* 332861 */ GIM_Try, /*On fail goto*//*Label 6899*/ GIMT_Encode4(332915), // Rule ID 8931 //
     /* 332866 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 332869 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 332872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 332876 */   // MIs[0] Operand 2
     /* 332876 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 332887 */   // (extract_subvector:{ *:[nxv4i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 4:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv4i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))
     /* 332887 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 332890 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332894 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332899 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 332903 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 332905 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332908 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 332910 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 332913 */   GIR_RootConstrainSelectedInstOperands,
     /* 332914 */   // GIR_Coverage, 8931,
     /* 332914 */   GIR_EraseRootFromParent_Done,
     /* 332915 */ // Label 6899: @332915
     /* 332915 */ GIM_Try, /*On fail goto*//*Label 6900*/ GIMT_Encode4(332969), // Rule ID 8932 //
     /* 332920 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 332923 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 332926 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 332930 */   // MIs[0] Operand 2
     /* 332930 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 332941 */   // (extract_subvector:{ *:[nxv4i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 8:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv4i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))
     /* 332941 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 332944 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332948 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332953 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 332957 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 332959 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332962 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 332964 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 332967 */   GIR_RootConstrainSelectedInstOperands,
     /* 332968 */   // GIR_Coverage, 8932,
     /* 332968 */   GIR_EraseRootFromParent_Done,
     /* 332969 */ // Label 6900: @332969
     /* 332969 */ GIM_Try, /*On fail goto*//*Label 6901*/ GIMT_Encode4(333023), // Rule ID 8933 //
     /* 332974 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 332977 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 332980 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 332984 */   // MIs[0] Operand 2
     /* 332984 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(12),
     /* 332995 */   // (extract_subvector:{ *:[nxv4i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 12:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv4i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))
     /* 332995 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 332998 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333002 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333007 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 333011 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 333013 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333016 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 333018 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 333021 */   GIR_RootConstrainSelectedInstOperands,
     /* 333022 */   // GIR_Coverage, 8933,
     /* 333022 */   GIR_EraseRootFromParent_Done,
     /* 333023 */ // Label 6901: @333023
     /* 333023 */ GIM_Reject,
     /* 333024 */ // Label 6812: @333024
     /* 333024 */ GIM_Try, /*On fail goto*//*Label 6902*/ GIMT_Encode4(333093),
     /* 333029 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 333032 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 333036 */   GIM_Try, /*On fail goto*//*Label 6903*/ GIMT_Encode4(333064), // Rule ID 8968 //
     /* 333041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 333044 */     // MIs[0] Operand 2
     /* 333044 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 333055 */     // (extract_subvector:{ *:[nxv4f16] } nxv8f16:{ *:[nxv8f16] }:$Zs, 0:{ *:[i64] })  =>  (UUNPKLO_ZZ_S:{ *:[nxv4f16] } ZPR:{ *:[nxv8f16] }:$Zs)
     /* 333055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UUNPKLO_ZZ_S),
     /* 333058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 333060 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 333062 */     GIR_RootConstrainSelectedInstOperands,
     /* 333063 */     // GIR_Coverage, 8968,
     /* 333063 */     GIR_EraseRootFromParent_Done,
     /* 333064 */   // Label 6903: @333064
     /* 333064 */   GIM_Try, /*On fail goto*//*Label 6904*/ GIMT_Encode4(333092), // Rule ID 8969 //
     /* 333069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 333072 */     // MIs[0] Operand 2
     /* 333072 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 333083 */     // (extract_subvector:{ *:[nxv4f16] } nxv8f16:{ *:[nxv8f16] }:$Zs, 4:{ *:[i64] })  =>  (UUNPKHI_ZZ_S:{ *:[nxv4f16] } ZPR:{ *:[nxv8f16] }:$Zs)
     /* 333083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UUNPKHI_ZZ_S),
     /* 333086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 333088 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 333090 */     GIR_RootConstrainSelectedInstOperands,
     /* 333091 */     // GIR_Coverage, 8969,
     /* 333091 */     GIR_EraseRootFromParent_Done,
     /* 333092 */   // Label 6904: @333092
     /* 333092 */   GIM_Reject,
     /* 333093 */ // Label 6902: @333093
     /* 333093 */ GIM_Reject,
     /* 333094 */ // Label 6813: @333094
     /* 333094 */ GIM_Try, /*On fail goto*//*Label 6905*/ GIMT_Encode4(333163),
     /* 333099 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 333102 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 333106 */   GIM_Try, /*On fail goto*//*Label 6906*/ GIMT_Encode4(333134), // Rule ID 8920 //
     /* 333111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 333114 */     // MIs[0] Operand 2
     /* 333114 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 333125 */     // (extract_subvector:{ *:[nxv8i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 0:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv8i1] } PPR:{ *:[nxv16i1] }:$Ps)
     /* 333125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 333128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 333130 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ps
     /* 333132 */     GIR_RootConstrainSelectedInstOperands,
     /* 333133 */     // GIR_Coverage, 8920,
     /* 333133 */     GIR_EraseRootFromParent_Done,
     /* 333134 */   // Label 6906: @333134
     /* 333134 */   GIM_Try, /*On fail goto*//*Label 6907*/ GIMT_Encode4(333162), // Rule ID 8921 //
     /* 333139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 333142 */     // MIs[0] Operand 2
     /* 333142 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 333153 */     // (extract_subvector:{ *:[nxv8i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 8:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv8i1] } PPR:{ *:[nxv16i1] }:$Ps)
     /* 333153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 333158 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ps
     /* 333160 */     GIR_RootConstrainSelectedInstOperands,
     /* 333161 */     // GIR_Coverage, 8921,
     /* 333161 */     GIR_EraseRootFromParent_Done,
     /* 333162 */   // Label 6907: @333162
     /* 333162 */   GIM_Reject,
     /* 333163 */ // Label 6905: @333163
     /* 333163 */ GIM_Reject,
     /* 333164 */ // Label 6814: @333164
     /* 333164 */ GIM_Reject,
     /* 333165 */ // Label 88: @333165
     /* 333165 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(24), /*)*//*default:*//*Label 6923*/ GIMT_Encode4(360561),
     /* 333176 */ /*GILLT_s64*//*Label 6908*/ GIMT_Encode4(333260), GIMT_Encode4(0),
     /* 333184 */ /*GILLT_v2s32*//*Label 6909*/ GIMT_Encode4(333970),
     /* 333188 */ /*GILLT_v2s64*//*Label 6910*/ GIMT_Encode4(337501),
     /* 333192 */ /*GILLT_v4s16*//*Label 6911*/ GIMT_Encode4(340330),
     /* 333196 */ /*GILLT_v4s32*//*Label 6912*/ GIMT_Encode4(343970),
     /* 333200 */ /*GILLT_v8s8*//*Label 6913*/ GIMT_Encode4(346634),
     /* 333204 */ /*GILLT_v8s16*//*Label 6914*/ GIMT_Encode4(348478),
     /* 333208 */ /*GILLT_v16s8*//*Label 6915*/ GIMT_Encode4(351453), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 333220 */ /*GILLT_nxv2s16*//*Label 6916*/ GIMT_Encode4(353033),
     /* 333224 */ /*GILLT_nxv2s32*//*Label 6917*/ GIMT_Encode4(353158),
     /* 333228 */ /*GILLT_nxv2s64*//*Label 6918*/ GIMT_Encode4(353283), GIMT_Encode4(0),
     /* 333236 */ /*GILLT_nxv4s16*//*Label 6919*/ GIMT_Encode4(355197),
     /* 333240 */ /*GILLT_nxv4s32*//*Label 6920*/ GIMT_Encode4(355349), GIMT_Encode4(0),
     /* 333248 */ /*GILLT_nxv8s16*//*Label 6921*/ GIMT_Encode4(357317), GIMT_Encode4(0),
     /* 333256 */ /*GILLT_nxv16s8*//*Label 6922*/ GIMT_Encode4(359511),
     /* 333260 */ // Label 6908: @333260
     /* 333260 */ GIM_Try, /*On fail goto*//*Label 6924*/ GIMT_Encode4(333969),
     /* 333265 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 333268 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 333271 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 333274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 333278 */   GIM_Try, /*On fail goto*//*Label 6925*/ GIMT_Encode4(333408), // Rule ID 5713 //
     /* 333283 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 333287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 333291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 333295 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 333299 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 333303 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 333308 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 333312 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 333316 */     // MIs[2] Operand 1
     /* 333316 */     // No operand predicates
     /* 333316 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 333320 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 333324 */     // MIs[3] Operand 1
     /* 333324 */     // No operand predicates
     /* 333324 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 333326 */     // (vector_insert:{ *:[v1f64] } V64:{ *:[v1f64] }:$src, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v1f64] } (INSvi64lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v1f64] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 333326 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 333329 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 333333 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333338 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 333341 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 333345 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 333348 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 333353 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 333358 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 333361 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 333365 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333370 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 333373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 333376 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 333380 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 333383 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 333385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 333388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 333390 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 333397 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 333402 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 333407 */     // GIR_Coverage, 5713,
     /* 333407 */     GIR_EraseRootFromParent_Done,
     /* 333408 */   // Label 6925: @333408
     /* 333408 */   GIM_Try, /*On fail goto*//*Label 6926*/ GIMT_Encode4(333569), // Rule ID 5714 //
     /* 333413 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 333417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 333421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 333425 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 333429 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 333433 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 333438 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 333442 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 333446 */     // MIs[2] Operand 1
     /* 333446 */     // No operand predicates
     /* 333446 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 333450 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 333454 */     // MIs[3] Operand 1
     /* 333454 */     // No operand predicates
     /* 333454 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 333456 */     // (vector_insert:{ *:[v1f64] } V64:{ *:[v1f64] }:$src, (vector_extract:{ *:[f64] } V64:{ *:[v1f64] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v1f64] } (INSvi64lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v1f64] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v1f64] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 333456 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /* 333459 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 333463 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333468 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 333471 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 333475 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /* 333478 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 333483 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 333488 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 333491 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 333495 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333500 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 333503 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 333507 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 333510 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 333515 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 333520 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 333523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 333527 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333532 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 333535 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 333538 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 333541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 333544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 333546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 333549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 333551 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 333558 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 333563 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 333568 */     // GIR_Coverage, 5714,
     /* 333568 */     GIR_EraseRootFromParent_Done,
     /* 333569 */   // Label 6926: @333569
     /* 333569 */   GIM_Try, /*On fail goto*//*Label 6927*/ GIMT_Encode4(333699), // Rule ID 5737 //
     /* 333574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 333578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 333582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 333586 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 333590 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 333594 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 333599 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 333603 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 333607 */     // MIs[2] Operand 1
     /* 333607 */     // No operand predicates
     /* 333607 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 333611 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 333615 */     // MIs[3] Operand 1
     /* 333615 */     // No operand predicates
     /* 333615 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 333617 */     // (vector_insert:{ *:[v1i64] } V64:{ *:[v1i64] }:$src, (vector_extract:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (INSvi64lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v1i64] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 333617 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 333620 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 333624 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333629 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 333632 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 333636 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 333639 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 333644 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 333649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 333652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 333656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333661 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 333664 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 333667 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 333671 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 333674 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 333676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 333679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 333681 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 333688 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 333693 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 333698 */     // GIR_Coverage, 5737,
     /* 333698 */     GIR_EraseRootFromParent_Done,
     /* 333699 */   // Label 6927: @333699
     /* 333699 */   GIM_Try, /*On fail goto*//*Label 6928*/ GIMT_Encode4(333860), // Rule ID 5738 //
     /* 333704 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 333708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 333712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 333716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 333720 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 333724 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 333729 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 333733 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 333737 */     // MIs[2] Operand 1
     /* 333737 */     // No operand predicates
     /* 333737 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 333741 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 333745 */     // MIs[3] Operand 1
     /* 333745 */     // No operand predicates
     /* 333745 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 333747 */     // (vector_insert:{ *:[v1i64] } V64:{ *:[v1i64] }:$src, (vector_extract:{ *:[i64] } V64:{ *:[v1i64] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (INSvi64lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v1i64] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 333747 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /* 333750 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 333754 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333759 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 333762 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 333766 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /* 333769 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 333774 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 333779 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 333782 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 333786 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333791 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 333794 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 333798 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 333801 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 333806 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 333811 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 333814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 333818 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333823 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 333826 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 333829 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 333832 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 333835 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 333837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 333840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 333842 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 333849 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 333854 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 333859 */     // GIR_Coverage, 5738,
     /* 333859 */     GIR_EraseRootFromParent_Done,
     /* 333860 */   // Label 6928: @333860
     /* 333860 */   GIM_Try, /*On fail goto*//*Label 6929*/ GIMT_Encode4(333896), // Rule ID 6632 //
     /* 333865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 333869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 333873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 333877 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 333881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 333883 */     // (vector_insert:{ *:[v1i64] } (undef:{ *:[v1i64] }), GPR64:{ *:[i64] }:$Xn, 0:{ *:[i64] })  =>  (COPY_TO_REGCLASS:{ *:[v1i64] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] })
     /* 333883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 333886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 333888 */     GIR_RootToRootCopy, /*OpIdx*/2, // Xn
     /* 333890 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 333895 */     // GIR_Coverage, 6632,
     /* 333895 */     GIR_EraseRootFromParent_Done,
     /* 333896 */   // Label 6929: @333896
     /* 333896 */   GIM_Try, /*On fail goto*//*Label 6930*/ GIMT_Encode4(333932), // Rule ID 6634 //
     /* 333901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 333905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 333909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 333913 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 333917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 333919 */     // (vector_insert:{ *:[v1f64] } (undef:{ *:[v1f64] }), GPR64:{ *:[i64] }:$Xn, 0:{ *:[i64] })  =>  (COPY_TO_REGCLASS:{ *:[v1f64] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] })
     /* 333919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 333922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 333924 */     GIR_RootToRootCopy, /*OpIdx*/2, // Xn
     /* 333926 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 333931 */     // GIR_Coverage, 6634,
     /* 333931 */     GIR_EraseRootFromParent_Done,
     /* 333932 */   // Label 6930: @333932
     /* 333932 */   GIM_Try, /*On fail goto*//*Label 6931*/ GIMT_Encode4(333968), // Rule ID 6636 //
     /* 333937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 333941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 333945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 333949 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 333953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 333955 */     // (vector_insert:{ *:[v1f64] } (undef:{ *:[v1f64] }), FPR64:{ *:[f64] }:$Xn, 0:{ *:[i64] })  =>  FPR64:{ *:[v1f64] }:$Xn
     /* 333955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 333958 */     GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /* 333960 */     GIR_RootToRootCopy, /*OpIdx*/2, // Xn
     /* 333962 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 333967 */     // GIR_Coverage, 6636,
     /* 333967 */     GIR_EraseRootFromParent_Done,
     /* 333968 */   // Label 6931: @333968
     /* 333968 */   GIM_Reject,
     /* 333969 */ // Label 6924: @333969
     /* 333969 */ GIM_Reject,
     /* 333970 */ // Label 6909: @333970
     /* 333970 */ GIM_Try, /*On fail goto*//*Label 6932*/ GIMT_Encode4(337500),
     /* 333975 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 333978 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 333981 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 333984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 333988 */   GIM_Try, /*On fail goto*//*Label 6933*/ GIMT_Encode4(334097), // Rule ID 4262 //
     /* 333993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 333997 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 334003 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 334005 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 334009 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 334013 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 334016 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 334020 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 334024 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 334028 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 334030 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 334037 */     // (vector_insert:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, (ld:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 334037 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 334040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 334044 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 334054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 334059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 334064 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 334070 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 334072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 334075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 334077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 334080 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 334083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 334086 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 334091 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 334096 */     // GIR_Coverage, 4262,
     /* 334096 */     GIR_EraseRootFromParent_Done,
     /* 334097 */   // Label 6933: @334097
     /* 334097 */   GIM_Try, /*On fail goto*//*Label 6934*/ GIMT_Encode4(334206), // Rule ID 4263 //
     /* 334102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 334106 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 334112 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 334114 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 334118 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 334122 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 334125 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 334129 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 334133 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 334137 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 334139 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 334146 */     // (vector_insert:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, (ld:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 334146 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 334149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 334153 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 334163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 334168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 334173 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 334179 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 334181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 334184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 334186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 334189 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 334192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 334195 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 334200 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 334205 */     // GIR_Coverage, 4263,
     /* 334205 */     GIR_EraseRootFromParent_Done,
     /* 334206 */   // Label 6934: @334206
     /* 334206 */   GIM_Try, /*On fail goto*//*Label 6935*/ GIMT_Encode4(334315), // Rule ID 4370 //
     /* 334211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 334215 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 334221 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 334223 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 334227 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 334231 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 334234 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 334238 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 334242 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 334246 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 334248 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 334255 */     // (vector_insert:{ *:[v2f32] } immAllZerosV:{ *:[v2f32] }, (ld:{ *:[f32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 334255 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 334258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 334262 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 334272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 334277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 334282 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 334288 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 334290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 334293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 334295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 334298 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 334301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 334304 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 334309 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 334314 */     // GIR_Coverage, 4370,
     /* 334314 */     GIR_EraseRootFromParent_Done,
     /* 334315 */   // Label 6935: @334315
     /* 334315 */   GIM_Try, /*On fail goto*//*Label 6936*/ GIMT_Encode4(334424), // Rule ID 4371 //
     /* 334320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 334324 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 334330 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 334332 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 334336 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 334340 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 334343 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 334347 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 334351 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 334355 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 334357 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 334364 */     // (vector_insert:{ *:[v2f32] } immAllZerosV:{ *:[v2f32] }, (ld:{ *:[f32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 334364 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 334367 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 334371 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 334381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 334386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 334391 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 334397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 334399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 334402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 334404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 334407 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 334410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 334413 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 334418 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 334423 */     // GIR_Coverage, 4371,
     /* 334423 */     GIR_EraseRootFromParent_Done,
     /* 334424 */   // Label 6936: @334424
     /* 334424 */   GIM_Try, /*On fail goto*//*Label 6937*/ GIMT_Encode4(334529), // Rule ID 4268 //
     /* 334429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 334433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 334437 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 334441 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 334445 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 334448 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 334452 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 334456 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 334460 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 334462 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 334469 */     // (vector_insert:{ *:[v2i32] } (undef:{ *:[v2i32] }), (ld:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 334469 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 334472 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 334476 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 334486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 334491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 334496 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 334502 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 334504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 334507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 334509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 334512 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 334515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 334518 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 334523 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 334528 */     // GIR_Coverage, 4268,
     /* 334528 */     GIR_EraseRootFromParent_Done,
     /* 334529 */   // Label 6937: @334529
     /* 334529 */   GIM_Try, /*On fail goto*//*Label 6938*/ GIMT_Encode4(334634), // Rule ID 4270 //
     /* 334534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 334538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 334542 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 334546 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 334550 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 334553 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 334557 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 334561 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 334565 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 334567 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 334574 */     // (vector_insert:{ *:[v2i32] } (undef:{ *:[v2i32] }), (ld:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 334574 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 334577 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 334581 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 334591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 334596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 334601 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 334607 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 334609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 334612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 334614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 334617 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 334620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 334623 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 334628 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 334633 */     // GIR_Coverage, 4270,
     /* 334633 */     GIR_EraseRootFromParent_Done,
     /* 334634 */   // Label 6938: @334634
     /* 334634 */   GIM_Try, /*On fail goto*//*Label 6939*/ GIMT_Encode4(334739), // Rule ID 4376 //
     /* 334639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 334643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 334647 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 334651 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 334655 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 334658 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 334662 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 334666 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 334670 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 334672 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 334679 */     // (vector_insert:{ *:[v2f32] } (undef:{ *:[v2f32] }), (ld:{ *:[f32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 334679 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 334682 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 334686 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 334696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 334701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 334706 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 334712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 334714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 334717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 334719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 334722 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 334725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 334728 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 334733 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 334738 */     // GIR_Coverage, 4376,
     /* 334738 */     GIR_EraseRootFromParent_Done,
     /* 334739 */   // Label 6939: @334739
     /* 334739 */   GIM_Try, /*On fail goto*//*Label 6940*/ GIMT_Encode4(334844), // Rule ID 4378 //
     /* 334744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 334748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 334752 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 334756 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 334760 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 334763 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 334767 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 334771 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 334775 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 334777 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 334784 */     // (vector_insert:{ *:[v2f32] } (undef:{ *:[v2f32] }), (ld:{ *:[f32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 334784 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 334787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 334791 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 334801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 334806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 334811 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 334817 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 334819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 334822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 334824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 334827 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 334830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 334833 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 334838 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 334843 */     // GIR_Coverage, 4378,
     /* 334843 */     GIR_EraseRootFromParent_Done,
     /* 334844 */   // Label 6940: @334844
     /* 334844 */   GIM_Try, /*On fail goto*//*Label 6941*/ GIMT_Encode4(334948), // Rule ID 4260 //
     /* 334849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 334853 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 334859 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 334861 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 334865 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 334869 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 334872 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 334876 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 334880 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 334884 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 334886 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 334893 */     // (vector_insert:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, (ld:{ *:[i32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 334893 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 334896 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 334900 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 334910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 334915 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 334921 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 334923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 334926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 334928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 334931 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 334934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 334937 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 334942 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 334947 */     // GIR_Coverage, 4260,
     /* 334947 */     GIR_EraseRootFromParent_Done,
     /* 334948 */   // Label 6941: @334948
     /* 334948 */   GIM_Try, /*On fail goto*//*Label 6942*/ GIMT_Encode4(335052), // Rule ID 4261 //
     /* 334953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 334957 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 334963 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 334965 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 334969 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 334973 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 334976 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 334980 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 334984 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 334988 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 334990 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 334997 */     // (vector_insert:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, (ld:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 334997 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 335000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 335004 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 335014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 335019 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 335025 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 335027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 335030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 335032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 335035 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 335038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 335041 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335046 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 335051 */     // GIR_Coverage, 4261,
     /* 335051 */     GIR_EraseRootFromParent_Done,
     /* 335052 */   // Label 6942: @335052
     /* 335052 */   GIM_Try, /*On fail goto*//*Label 6943*/ GIMT_Encode4(335156), // Rule ID 4368 //
     /* 335057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 335061 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 335067 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 335069 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 335073 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 335077 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 335080 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 335084 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 335088 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 335092 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 335094 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 335101 */     // (vector_insert:{ *:[v2f32] } immAllZerosV:{ *:[v2f32] }, (ld:{ *:[f32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 335101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 335104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 335108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 335118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 335123 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 335129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 335131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 335134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 335136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 335139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 335142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 335145 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335150 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 335155 */     // GIR_Coverage, 4368,
     /* 335155 */     GIR_EraseRootFromParent_Done,
     /* 335156 */   // Label 6943: @335156
     /* 335156 */   GIM_Try, /*On fail goto*//*Label 6944*/ GIMT_Encode4(335260), // Rule ID 4369 //
     /* 335161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 335165 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 335171 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 335173 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 335177 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 335181 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 335184 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 335188 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 335192 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 335196 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 335198 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 335205 */     // (vector_insert:{ *:[v2f32] } immAllZerosV:{ *:[v2f32] }, (ld:{ *:[f32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 335205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 335208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 335212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 335222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 335227 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 335233 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 335235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 335238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 335240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 335243 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 335246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 335249 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335254 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 335259 */     // GIR_Coverage, 4369,
     /* 335259 */     GIR_EraseRootFromParent_Done,
     /* 335260 */   // Label 6944: @335260
     /* 335260 */   GIM_Try, /*On fail goto*//*Label 6945*/ GIMT_Encode4(335360), // Rule ID 4264 //
     /* 335265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 335269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 335273 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 335277 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 335281 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 335284 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 335288 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 335292 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 335296 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 335298 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 335305 */     // (vector_insert:{ *:[v2i32] } (undef:{ *:[v2i32] }), (ld:{ *:[i32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 335305 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 335308 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 335312 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 335322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 335327 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 335333 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 335335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 335338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 335340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 335343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 335346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 335349 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335354 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 335359 */     // GIR_Coverage, 4264,
     /* 335359 */     GIR_EraseRootFromParent_Done,
     /* 335360 */   // Label 6945: @335360
     /* 335360 */   GIM_Try, /*On fail goto*//*Label 6946*/ GIMT_Encode4(335460), // Rule ID 4266 //
     /* 335365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 335369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 335373 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 335377 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 335381 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 335384 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 335388 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 335392 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 335396 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 335398 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 335405 */     // (vector_insert:{ *:[v2i32] } (undef:{ *:[v2i32] }), (ld:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 335405 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 335408 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 335412 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 335422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 335427 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 335433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 335435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 335438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 335440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 335443 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 335446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 335449 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335454 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 335459 */     // GIR_Coverage, 4266,
     /* 335459 */     GIR_EraseRootFromParent_Done,
     /* 335460 */   // Label 6946: @335460
     /* 335460 */   GIM_Try, /*On fail goto*//*Label 6947*/ GIMT_Encode4(335560), // Rule ID 4372 //
     /* 335465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 335469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 335473 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 335477 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 335481 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 335484 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 335488 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 335492 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 335496 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 335498 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 335505 */     // (vector_insert:{ *:[v2f32] } (undef:{ *:[v2f32] }), (ld:{ *:[f32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 335505 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 335508 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 335512 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 335522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 335527 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 335533 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 335535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 335538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 335540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 335543 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 335546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 335549 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335554 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 335559 */     // GIR_Coverage, 4372,
     /* 335559 */     GIR_EraseRootFromParent_Done,
     /* 335560 */   // Label 6947: @335560
     /* 335560 */   GIM_Try, /*On fail goto*//*Label 6948*/ GIMT_Encode4(335660), // Rule ID 4374 //
     /* 335565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 335569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 335573 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 335577 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 335581 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 335584 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 335588 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 335592 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 335596 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 335598 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 335605 */     // (vector_insert:{ *:[v2f32] } (undef:{ *:[v2f32] }), (ld:{ *:[f32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 335605 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 335608 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 335612 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 335622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 335627 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 335633 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 335635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 335638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 335640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 335643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 335646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 335649 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335654 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 335659 */     // GIR_Coverage, 4374,
     /* 335659 */     GIR_EraseRootFromParent_Done,
     /* 335660 */   // Label 6948: @335660
     /* 335660 */   GIM_Try, /*On fail goto*//*Label 6949*/ GIMT_Encode4(335780), // Rule ID 6411 //
     /* 335665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 335668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 335672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 335676 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 335680 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 335684 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 335687 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 335691 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 335698 */     // MIs[2] Rn
     /* 335698 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/64,
     /* 335702 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 335707 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 335711 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 335713 */     // (vector_insert:{ *:[v2i32] } (undef:{ *:[v2i32] }), (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (LD1i16:{ *:[f128] } (IMPLICIT_DEF:{ *:[v8i16] }), 0:{ *:[i64] }, GPR64sp:{ *:[i64] }:$Rn), dsub:{ *:[i32] })
     /* 335713 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 335716 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 335720 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335725 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 335727 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 335730 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LD1i16),
     /* 335734 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335739 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 335742 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 335745 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 335749 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 335755 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 335757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 335760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 335762 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 335769 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335774 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 335779 */     // GIR_Coverage, 6411,
     /* 335779 */     GIR_EraseRootFromParent_Done,
     /* 335780 */   // Label 6949: @335780
     /* 335780 */   GIM_Try, /*On fail goto*//*Label 6950*/ GIMT_Encode4(335900), // Rule ID 6413 //
     /* 335785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 335788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 335792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 335796 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 335800 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 335804 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 335807 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 335811 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 335818 */     // MIs[2] Rn
     /* 335818 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/64,
     /* 335822 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 335827 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 335831 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 335833 */     // (vector_insert:{ *:[v2i32] } (undef:{ *:[v2i32] }), (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (LD1i8:{ *:[f128] } (IMPLICIT_DEF:{ *:[v16i8] }), 0:{ *:[i64] }, GPR64sp:{ *:[i64] }:$Rn), dsub:{ *:[i32] })
     /* 335833 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 335836 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 335840 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335845 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 335847 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 335850 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LD1i8),
     /* 335854 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335859 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 335862 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 335865 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 335869 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 335875 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 335877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 335880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 335882 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 335889 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335894 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 335899 */     // GIR_Coverage, 6413,
     /* 335899 */     GIR_EraseRootFromParent_Done,
     /* 335900 */   // Label 6950: @335900
     /* 335900 */   GIM_Try, /*On fail goto*//*Label 6951*/ GIMT_Encode4(336030), // Rule ID 5707 //
     /* 335905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 335913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 335917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 335921 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 335925 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 335930 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 335934 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 335938 */     // MIs[2] Operand 1
     /* 335938 */     // No operand predicates
     /* 335938 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 335942 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 335946 */     // MIs[3] Operand 1
     /* 335946 */     // No operand predicates
     /* 335946 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 335948 */     // (vector_insert:{ *:[v2f32] } V64:{ *:[v2f32] }:$src, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v2f32] } (INSvi32lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v2f32] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 335948 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 335951 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 335955 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335960 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 335963 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 335967 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 335970 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 335975 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335980 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 335983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 335987 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335992 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 335995 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 335998 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 336002 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 336005 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 336007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 336010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 336012 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 336019 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336024 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 336029 */     // GIR_Coverage, 5707,
     /* 336029 */     GIR_EraseRootFromParent_Done,
     /* 336030 */   // Label 6951: @336030
     /* 336030 */   GIM_Try, /*On fail goto*//*Label 6952*/ GIMT_Encode4(336191), // Rule ID 5708 //
     /* 336035 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 336043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 336047 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 336051 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 336055 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336060 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 336064 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 336068 */     // MIs[2] Operand 1
     /* 336068 */     // No operand predicates
     /* 336068 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 336072 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 336076 */     // MIs[3] Operand 1
     /* 336076 */     // No operand predicates
     /* 336076 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 336078 */     // (vector_insert:{ *:[v2f32] } V64:{ *:[v2f32] }:$src, (vector_extract:{ *:[f32] } V64:{ *:[v2f32] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v2f32] } (INSvi32lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v2f32] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v2f32] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 336078 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /* 336081 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 336085 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336090 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 336093 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 336097 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /* 336100 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 336105 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336110 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 336113 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 336117 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336122 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 336125 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 336129 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 336132 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 336137 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336142 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 336145 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 336149 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336154 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 336157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 336160 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 336163 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 336166 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 336168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 336171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 336173 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 336180 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336185 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 336190 */     // GIR_Coverage, 5708,
     /* 336190 */     GIR_EraseRootFromParent_Done,
     /* 336191 */   // Label 6952: @336191
     /* 336191 */   GIM_Try, /*On fail goto*//*Label 6953*/ GIMT_Encode4(336321), // Rule ID 5731 //
     /* 336196 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 336204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 336208 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 336212 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 336216 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 336221 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 336225 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 336229 */     // MIs[2] Operand 1
     /* 336229 */     // No operand predicates
     /* 336229 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 336233 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 336237 */     // MIs[3] Operand 1
     /* 336237 */     // No operand predicates
     /* 336237 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 336239 */     // (vector_insert:{ *:[v2i32] } V64:{ *:[v2i32] }:$src, (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (INSvi32lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v2i32] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 336239 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 336242 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 336246 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336251 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 336254 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 336258 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 336261 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 336266 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336271 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 336274 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 336278 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336283 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 336286 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 336289 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 336293 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 336296 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 336298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 336301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 336303 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 336310 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336315 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 336320 */     // GIR_Coverage, 5731,
     /* 336320 */     GIR_EraseRootFromParent_Done,
     /* 336321 */   // Label 6953: @336321
     /* 336321 */   GIM_Try, /*On fail goto*//*Label 6954*/ GIMT_Encode4(336482), // Rule ID 5732 //
     /* 336326 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 336334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 336338 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 336342 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 336346 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336351 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 336355 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 336359 */     // MIs[2] Operand 1
     /* 336359 */     // No operand predicates
     /* 336359 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 336363 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 336367 */     // MIs[3] Operand 1
     /* 336367 */     // No operand predicates
     /* 336367 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 336369 */     // (vector_insert:{ *:[v2i32] } V64:{ *:[v2i32] }:$src, (vector_extract:{ *:[i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (INSvi32lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v2i32] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 336369 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /* 336372 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 336376 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336381 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 336384 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 336388 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /* 336391 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 336396 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336401 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 336404 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 336408 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336413 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 336416 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 336420 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 336423 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 336428 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 336436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 336440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336445 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 336448 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 336451 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 336454 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 336457 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 336459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 336462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 336464 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 336471 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336476 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 336481 */     // GIR_Coverage, 5732,
     /* 336481 */     GIR_EraseRootFromParent_Done,
     /* 336482 */   // Label 6954: @336482
     /* 336482 */   GIM_Try, /*On fail goto*//*Label 6955*/ GIMT_Encode4(336548), // Rule ID 5662 //
     /* 336487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 336491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 336495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 336499 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 336503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 336505 */     // (vector_insert:{ *:[v2i32] } (undef:{ *:[v2i32] }), FPR32:{ *:[i32] }:$Rn, 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v2i32] } (IMPLICIT_DEF:{ *:[v2i32] }), FPR32:{ *:[i32] }:$Rn, ssub:{ *:[i32] })
     /* 336505 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s32,
     /* 336508 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 336512 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336517 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 336519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 336522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 336524 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 336527 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 336529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 336532 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336537 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336542 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 336547 */     // GIR_Coverage, 5662,
     /* 336547 */     GIR_EraseRootFromParent_Done,
     /* 336548 */   // Label 6955: @336548
     /* 336548 */   GIM_Try, /*On fail goto*//*Label 6956*/ GIMT_Encode4(336614), // Rule ID 5674 //
     /* 336553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 336557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 336561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 336565 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 336569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 336571 */     // (vector_insert:{ *:[v2f32] } (undef:{ *:[v2f32] }), FPR32:{ *:[f32] }:$Rn, 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v2f32] } (IMPLICIT_DEF:{ *:[v2f32] }), FPR32:{ *:[f32] }:$Rn, ssub:{ *:[i32] })
     /* 336571 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s32,
     /* 336574 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 336578 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336583 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 336585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 336588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 336590 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 336593 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 336595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 336598 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336603 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336608 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 336613 */     // GIR_Coverage, 5674,
     /* 336613 */     GIR_EraseRootFromParent_Done,
     /* 336614 */   // Label 6956: @336614
     /* 336614 */   GIM_Try, /*On fail goto*//*Label 6957*/ GIMT_Encode4(336749), // Rule ID 5682 //
     /* 336619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 336627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 336631 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 336635 */     // MIs[1] Operand 1
     /* 336635 */     // No operand predicates
     /* 336635 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 336639 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 336643 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 336647 */     // MIs[2] Operand 1
     /* 336647 */     // No operand predicates
     /* 336647 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 336649 */     // (vector_insert:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (fpimm:{ *:[f32] })<<P:Predicate_fpimm0>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm)  =>  (EXTRACT_SUBREG:{ *:[v2f32] } (INSvi32gpr:{ *:[f128] } (INSERT_SUBREG:{ *:[v4f32] } (IMPLICIT_DEF:{ *:[v4f32] }), V64:{ *:[v2f32] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm, WZR:{ *:[i32] }), dsub:{ *:[i32] })
     /* 336649 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /* 336652 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 336656 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336661 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 336663 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 336666 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 336670 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336675 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 336678 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 336682 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 336685 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 336690 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 336695 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336700 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 336703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi32gpr),
     /* 336707 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336712 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 336715 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // imm
     /* 336718 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 336724 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 336726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 336729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 336731 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 336738 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336743 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 336748 */     // GIR_Coverage, 5682,
     /* 336748 */     GIR_EraseRootFromParent_Done,
     /* 336749 */   // Label 6957: @336749
     /* 336749 */   GIM_Try, /*On fail goto*//*Label 6958*/ GIMT_Encode4(336881), // Rule ID 6419 //
     /* 336754 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 336762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 336766 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 336769 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 336773 */     // MIs[1] Rn
     /* 336773 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 336777 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 336782 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 336786 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 336790 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 336794 */     // MIs[2] Operand 1
     /* 336794 */     // No operand predicates
     /* 336794 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 336796 */     // (vector_insert:{ *:[v2i32] } VecListOne64:{ *:[v2i32] }:$Rd, (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (LD1i32:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, VecListOne64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, GPR64sp:{ *:[i64] }:$Rn), dsub:{ *:[i32] })
     /* 336796 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 336799 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 336803 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336808 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 336811 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /* 336815 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 336818 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 336823 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336828 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 336831 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LD1i32),
     /* 336835 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336840 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 336843 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // idx
     /* 336846 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 336850 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 336856 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 336858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 336861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 336863 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 336870 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336875 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 336880 */     // GIR_Coverage, 6419,
     /* 336880 */     GIR_EraseRootFromParent_Done,
     /* 336881 */   // Label 6958: @336881
     /* 336881 */   GIM_Try, /*On fail goto*//*Label 6959*/ GIMT_Encode4(337013), // Rule ID 6420 //
     /* 336886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 336894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 336898 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 336901 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 336905 */     // MIs[1] Rn
     /* 336905 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 336909 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 336914 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 336918 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 336922 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 336926 */     // MIs[2] Operand 1
     /* 336926 */     // No operand predicates
     /* 336926 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 336928 */     // (vector_insert:{ *:[v2f32] } VecListOne64:{ *:[v2f32] }:$Rd, (ld:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)  =>  (EXTRACT_SUBREG:{ *:[v2f32] } (LD1i32:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, VecListOne64:{ *:[v2f32] }:$Rd, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, GPR64sp:{ *:[i64] }:$Rn), dsub:{ *:[i32] })
     /* 336928 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 336931 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 336935 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336940 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 336943 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /* 336947 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 336950 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 336955 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336960 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 336963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LD1i32),
     /* 336967 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336972 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 336975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // idx
     /* 336978 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 336982 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 336988 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 336990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 336993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 336995 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 337002 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 337007 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337012 */     // GIR_Coverage, 6420,
     /* 337012 */     GIR_EraseRootFromParent_Done,
     /* 337013 */   // Label 6959: @337013
     /* 337013 */   GIM_Try, /*On fail goto*//*Label 6960*/ GIMT_Encode4(337196), // Rule ID 5740 //
     /* 337018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 337022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 337026 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 337030 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 337035 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 337039 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 337043 */     // MIs[2] Operand 1
     /* 337043 */     // No operand predicates
     /* 337043 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 337045 */     // (vector_insert:{ *:[v2i32] } v2i32:{ *:[v2i32] }:$src, (bitconvert:{ *:[i32] } FPR32:{ *:[f32] }:$Sn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (INSvi32lane:{ *:[f128] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), FPR32:{ *:[f32] }:$Sn, ssub:{ *:[i32] }), 0:{ *:[i64] }), dsub:{ *:[i32] })
     /* 337045 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s128,
     /* 337048 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 337052 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337057 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 337059 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 337062 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 337066 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337071 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 337074 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/1, // Sn
     /* 337078 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/18,
     /* 337081 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337086 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337091 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 337096 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /* 337099 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 337103 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337108 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 337110 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 337113 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 337117 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337122 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 337125 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 337129 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 337132 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337137 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337142 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 337147 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 337150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 337154 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337159 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 337162 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immd
     /* 337165 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 337168 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 337171 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 337173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 337176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 337178 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 337185 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 337190 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337195 */     // GIR_Coverage, 5740,
     /* 337195 */     GIR_EraseRootFromParent_Done,
     /* 337196 */   // Label 6960: @337196
     /* 337196 */   GIM_Try, /*On fail goto*//*Label 6961*/ GIMT_Encode4(337374), // Rule ID 5685 //
     /* 337201 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 337205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 337209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 337213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 337217 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 337221 */     // MIs[1] Operand 1
     /* 337221 */     // No operand predicates
     /* 337221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 337223 */     // (vector_insert:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm)  =>  (EXTRACT_SUBREG:{ *:[v2f32] } (INSvi32lane:{ *:[f128] } (INSERT_SUBREG:{ *:[v4f32] } (IMPLICIT_DEF:{ *:[v4f32] }), V64:{ *:[v2f32] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm, (INSERT_SUBREG:{ *:[v4f32] } (IMPLICIT_DEF:{ *:[v4f32] }), FPR32:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] }), dsub:{ *:[i32] })
     /* 337223 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 337226 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 337230 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337235 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 337237 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 337240 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 337244 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337249 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 337252 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 337256 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/18,
     /* 337259 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337264 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337269 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 337274 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /* 337277 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 337281 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337286 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 337288 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 337291 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 337295 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337300 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 337303 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 337307 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 337310 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337315 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337320 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 337325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 337328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 337332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337337 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 337340 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 337343 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 337346 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 337349 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 337351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 337354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 337356 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 337363 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 337368 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337373 */     // GIR_Coverage, 5685,
     /* 337373 */     GIR_EraseRootFromParent_Done,
     /* 337374 */   // Label 6961: @337374
     /* 337374 */   GIM_Try, /*On fail goto*//*Label 6962*/ GIMT_Encode4(337499), // Rule ID 5688 //
     /* 337379 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 337383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 337387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 337391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 337395 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 337399 */     // MIs[1] Operand 1
     /* 337399 */     // No operand predicates
     /* 337399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 337401 */     // (vector_insert:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm)  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (INSvi32gpr:{ *:[f128] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm, GPR32:{ *:[i32] }:$Rm), dsub:{ *:[i32] })
     /* 337401 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /* 337404 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 337408 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337413 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 337415 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 337418 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 337422 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337427 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 337430 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 337434 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 337437 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337442 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337447 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 337452 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 337455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi32gpr),
     /* 337459 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337464 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 337467 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 337470 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 337474 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 337476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 337479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 337481 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 337488 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 337493 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337498 */     // GIR_Coverage, 5688,
     /* 337498 */     GIR_EraseRootFromParent_Done,
     /* 337499 */   // Label 6962: @337499
     /* 337499 */   GIM_Reject,
     /* 337500 */ // Label 6932: @337500
     /* 337500 */ GIM_Reject,
     /* 337501 */ // Label 6910: @337501
     /* 337501 */ GIM_Try, /*On fail goto*//*Label 6963*/ GIMT_Encode4(340329),
     /* 337506 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 337509 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 337512 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 337515 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337519 */   GIM_Try, /*On fail goto*//*Label 6964*/ GIMT_Encode4(337628), // Rule ID 4286 //
     /* 337524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 337528 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 337534 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 337536 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 337540 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 337544 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 337547 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 337551 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 337555 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 337559 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 337561 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 337568 */     // (vector_insert:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, (ld:{ *:[i64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (LDRDroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 337568 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 337571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 337575 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 337585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 337590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 337595 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 337601 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 337603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 337606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 337608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 337611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 337614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 337617 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337622 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 337627 */     // GIR_Coverage, 4286,
     /* 337627 */     GIR_EraseRootFromParent_Done,
     /* 337628 */   // Label 6964: @337628
     /* 337628 */   GIM_Try, /*On fail goto*//*Label 6965*/ GIMT_Encode4(337737), // Rule ID 4287 //
     /* 337633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 337637 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 337643 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 337645 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 337649 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 337653 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 337656 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 337660 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 337664 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 337668 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 337670 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 337677 */     // (vector_insert:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, (ld:{ *:[i64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (LDRDroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 337677 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 337680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 337684 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 337694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 337699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 337704 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 337710 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 337712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 337715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 337717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 337720 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 337723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 337726 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337731 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 337736 */     // GIR_Coverage, 4287,
     /* 337736 */     GIR_EraseRootFromParent_Done,
     /* 337737 */   // Label 6965: @337737
     /* 337737 */   GIM_Try, /*On fail goto*//*Label 6966*/ GIMT_Encode4(337846), // Rule ID 4394 //
     /* 337742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 337746 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 337752 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 337754 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 337758 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 337762 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 337765 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 337769 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 337773 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 337777 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 337779 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 337786 */     // (vector_insert:{ *:[v2f64] } immAllZerosV:{ *:[v2f64] }, (ld:{ *:[f64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f64] } 0:{ *:[i64] }, (LDRDroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 337786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 337789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 337793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 337803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 337808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 337813 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 337819 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 337821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 337824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 337826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 337829 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 337832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 337835 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337840 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 337845 */     // GIR_Coverage, 4394,
     /* 337845 */     GIR_EraseRootFromParent_Done,
     /* 337846 */   // Label 6966: @337846
     /* 337846 */   GIM_Try, /*On fail goto*//*Label 6967*/ GIMT_Encode4(337955), // Rule ID 4395 //
     /* 337851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 337855 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 337861 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 337863 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 337867 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 337871 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 337874 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 337878 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 337882 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 337886 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 337888 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 337895 */     // (vector_insert:{ *:[v2f64] } immAllZerosV:{ *:[v2f64] }, (ld:{ *:[f64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f64] } 0:{ *:[i64] }, (LDRDroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 337895 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 337898 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 337902 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 337912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 337917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 337922 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 337928 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 337930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 337933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 337935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 337938 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 337941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 337944 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337949 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 337954 */     // GIR_Coverage, 4395,
     /* 337954 */     GIR_EraseRootFromParent_Done,
     /* 337955 */   // Label 6967: @337955
     /* 337955 */   GIM_Try, /*On fail goto*//*Label 6968*/ GIMT_Encode4(338060), // Rule ID 4292 //
     /* 337960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 337964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 337968 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 337972 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 337976 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 337979 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 337983 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 337987 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 337991 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 337993 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 338000 */     // (vector_insert:{ *:[v2i64] } (undef:{ *:[v2i64] }), (ld:{ *:[i64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (LDRDroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 338000 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 338003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 338007 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 338017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 338022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 338027 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 338033 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 338035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 338038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 338040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 338043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 338046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 338049 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338054 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338059 */     // GIR_Coverage, 4292,
     /* 338059 */     GIR_EraseRootFromParent_Done,
     /* 338060 */   // Label 6968: @338060
     /* 338060 */   GIM_Try, /*On fail goto*//*Label 6969*/ GIMT_Encode4(338165), // Rule ID 4294 //
     /* 338065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 338069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 338073 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 338077 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 338081 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 338084 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 338088 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 338092 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 338096 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 338098 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 338105 */     // (vector_insert:{ *:[v2i64] } (undef:{ *:[v2i64] }), (ld:{ *:[i64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (LDRDroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 338105 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 338108 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 338112 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 338122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 338127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 338132 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 338138 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 338140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 338143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 338145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 338148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 338151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 338154 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338159 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338164 */     // GIR_Coverage, 4294,
     /* 338164 */     GIR_EraseRootFromParent_Done,
     /* 338165 */   // Label 6969: @338165
     /* 338165 */   GIM_Try, /*On fail goto*//*Label 6970*/ GIMT_Encode4(338270), // Rule ID 4400 //
     /* 338170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 338174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 338178 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 338182 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 338186 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 338189 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 338193 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 338197 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 338201 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 338203 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 338210 */     // (vector_insert:{ *:[v2f64] } (undef:{ *:[v2f64] }), (ld:{ *:[f64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f64] } 0:{ *:[i64] }, (LDRDroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 338210 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 338213 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 338217 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 338227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 338232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 338237 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 338243 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 338245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 338248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 338250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 338253 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 338256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 338259 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338264 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338269 */     // GIR_Coverage, 4400,
     /* 338269 */     GIR_EraseRootFromParent_Done,
     /* 338270 */   // Label 6970: @338270
     /* 338270 */   GIM_Try, /*On fail goto*//*Label 6971*/ GIMT_Encode4(338375), // Rule ID 4402 //
     /* 338275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 338279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 338283 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 338287 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 338291 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 338294 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 338298 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 338302 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 338306 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 338308 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 338315 */     // (vector_insert:{ *:[v2f64] } (undef:{ *:[v2f64] }), (ld:{ *:[f64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f64] } 0:{ *:[i64] }, (LDRDroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 338315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 338318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 338322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 338332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 338337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 338342 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 338348 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 338350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 338353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 338355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 338358 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 338361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 338364 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338369 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338374 */     // GIR_Coverage, 4402,
     /* 338374 */     GIR_EraseRootFromParent_Done,
     /* 338375 */   // Label 6971: @338375
     /* 338375 */   GIM_Try, /*On fail goto*//*Label 6972*/ GIMT_Encode4(338479), // Rule ID 4284 //
     /* 338380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 338384 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 338390 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 338392 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 338396 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 338400 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 338403 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 338407 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 338411 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 338415 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 338417 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 338424 */     // (vector_insert:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, (ld:{ *:[i64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (LDRDui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset), dsub:{ *:[i32] })
     /* 338424 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 338427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 338431 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 338441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 338446 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 338452 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 338454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 338457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 338459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 338462 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 338465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 338468 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338473 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338478 */     // GIR_Coverage, 4284,
     /* 338478 */     GIR_EraseRootFromParent_Done,
     /* 338479 */   // Label 6972: @338479
     /* 338479 */   GIM_Try, /*On fail goto*//*Label 6973*/ GIMT_Encode4(338583), // Rule ID 4285 //
     /* 338484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 338488 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 338494 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 338496 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 338500 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 338504 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 338507 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 338511 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 338515 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 338519 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 338521 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 338528 */     // (vector_insert:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, (ld:{ *:[i64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (LDURDi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), dsub:{ *:[i32] })
     /* 338528 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 338531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 338535 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 338545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 338550 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 338556 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 338558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 338561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 338563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 338566 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 338569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 338572 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338577 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338582 */     // GIR_Coverage, 4285,
     /* 338582 */     GIR_EraseRootFromParent_Done,
     /* 338583 */   // Label 6973: @338583
     /* 338583 */   GIM_Try, /*On fail goto*//*Label 6974*/ GIMT_Encode4(338687), // Rule ID 4392 //
     /* 338588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 338592 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 338598 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 338600 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 338604 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 338608 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 338611 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 338615 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 338619 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 338623 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 338625 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 338632 */     // (vector_insert:{ *:[v2f64] } immAllZerosV:{ *:[v2f64] }, (ld:{ *:[f64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f64] } 0:{ *:[i64] }, (LDRDui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset), dsub:{ *:[i32] })
     /* 338632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 338635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 338639 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 338649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 338654 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 338660 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 338662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 338665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 338667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 338670 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 338673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 338676 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338681 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338686 */     // GIR_Coverage, 4392,
     /* 338686 */     GIR_EraseRootFromParent_Done,
     /* 338687 */   // Label 6974: @338687
     /* 338687 */   GIM_Try, /*On fail goto*//*Label 6975*/ GIMT_Encode4(338791), // Rule ID 4393 //
     /* 338692 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 338696 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 338702 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 338704 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 338708 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 338712 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 338715 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 338719 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 338723 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 338727 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 338729 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 338736 */     // (vector_insert:{ *:[v2f64] } immAllZerosV:{ *:[v2f64] }, (ld:{ *:[f64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f64] } 0:{ *:[i64] }, (LDURDi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), dsub:{ *:[i32] })
     /* 338736 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 338739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 338743 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 338753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 338758 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 338764 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 338766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 338769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 338771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 338774 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 338777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 338780 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338785 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338790 */     // GIR_Coverage, 4393,
     /* 338790 */     GIR_EraseRootFromParent_Done,
     /* 338791 */   // Label 6975: @338791
     /* 338791 */   GIM_Try, /*On fail goto*//*Label 6976*/ GIMT_Encode4(338891), // Rule ID 4288 //
     /* 338796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 338800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 338804 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 338808 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 338812 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 338815 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 338819 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 338823 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 338827 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 338829 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 338836 */     // (vector_insert:{ *:[v2i64] } (undef:{ *:[v2i64] }), (ld:{ *:[i64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (LDRDui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset), dsub:{ *:[i32] })
     /* 338836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 338839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 338843 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 338853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 338858 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 338864 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 338866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 338869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 338871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 338874 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 338877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 338880 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338885 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338890 */     // GIR_Coverage, 4288,
     /* 338890 */     GIR_EraseRootFromParent_Done,
     /* 338891 */   // Label 6976: @338891
     /* 338891 */   GIM_Try, /*On fail goto*//*Label 6977*/ GIMT_Encode4(338991), // Rule ID 4290 //
     /* 338896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 338900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 338904 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 338908 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 338912 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 338915 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 338919 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 338923 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 338927 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 338929 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 338936 */     // (vector_insert:{ *:[v2i64] } (undef:{ *:[v2i64] }), (ld:{ *:[i64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (LDURDi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), dsub:{ *:[i32] })
     /* 338936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 338939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 338943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 338953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 338958 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 338964 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 338966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 338969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 338971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 338974 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 338977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 338980 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338985 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338990 */     // GIR_Coverage, 4290,
     /* 338990 */     GIR_EraseRootFromParent_Done,
     /* 338991 */   // Label 6977: @338991
     /* 338991 */   GIM_Try, /*On fail goto*//*Label 6978*/ GIMT_Encode4(339091), // Rule ID 4396 //
     /* 338996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 339000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 339004 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 339008 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 339012 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 339015 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 339019 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 339023 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 339027 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 339029 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 339036 */     // (vector_insert:{ *:[v2f64] } (undef:{ *:[v2f64] }), (ld:{ *:[f64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f64] } 0:{ *:[i64] }, (LDRDui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset), dsub:{ *:[i32] })
     /* 339036 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 339039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 339043 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 339048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 339053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 339058 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 339064 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 339066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 339069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 339071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 339074 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 339077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 339080 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339085 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 339090 */     // GIR_Coverage, 4396,
     /* 339090 */     GIR_EraseRootFromParent_Done,
     /* 339091 */   // Label 6978: @339091
     /* 339091 */   GIM_Try, /*On fail goto*//*Label 6979*/ GIMT_Encode4(339191), // Rule ID 4398 //
     /* 339096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 339100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 339104 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 339108 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 339112 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 339115 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 339119 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 339123 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 339127 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 339129 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 339136 */     // (vector_insert:{ *:[v2f64] } (undef:{ *:[v2f64] }), (ld:{ *:[f64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f64] } 0:{ *:[i64] }, (LDURDi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), dsub:{ *:[i32] })
     /* 339136 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 339139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 339143 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 339148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 339153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 339158 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 339164 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 339166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 339169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 339171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 339174 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 339177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 339180 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339185 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 339190 */     // GIR_Coverage, 4398,
     /* 339190 */     GIR_EraseRootFromParent_Done,
     /* 339191 */   // Label 6979: @339191
     /* 339191 */   GIM_Try, /*On fail goto*//*Label 6980*/ GIMT_Encode4(339269), // Rule ID 1941 //
     /* 339196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 339199 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 339207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 339211 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 339215 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 339219 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339224 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 339228 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 339232 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 339236 */     // MIs[2] Operand 1
     /* 339236 */     // No operand predicates
     /* 339236 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 339240 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 339244 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 339248 */     // MIs[3] Operand 1
     /* 339248 */     // No operand predicates
     /* 339248 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 339250 */     // (vector_insert:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (vector_extract:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx2), (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)  =>  (INSvi64lane:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (imm:{ *:[i64] }):$idx, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] }):$idx2)
     /* 339250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 339253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 339255 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 339257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 339260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 339264 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx2
     /* 339267 */     GIR_RootConstrainSelectedInstOperands,
     /* 339268 */     // GIR_Coverage, 1941,
     /* 339268 */     GIR_EraseRootFromParent_Done,
     /* 339269 */   // Label 6980: @339269
     /* 339269 */   GIM_Try, /*On fail goto*//*Label 6981*/ GIMT_Encode4(339360), // Rule ID 7367 //
     /* 339274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRCPC3),
     /* 339277 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 339285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 339289 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 339293 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 339297 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 339301 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 339304 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 339311 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 339314 */     // MIs[2] Rn
     /* 339314 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/64,
     /* 339318 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 339323 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 339327 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 339331 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 339335 */     // MIs[3] Operand 1
     /* 339335 */     // No operand predicates
     /* 339335 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 339337 */     // (vector_insert:{ *:[v2f64] } VecListOne128:{ *:[v2f64] }:$Rd, (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_15798>>), (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)  =>  (LDAP1:{ *:[v2f64] } VecListOne128:{ *:[v2f64] }:$Rd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 339337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDAP1),
     /* 339340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 339342 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 339344 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 339347 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 339351 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /* 339358 */     GIR_RootConstrainSelectedInstOperands,
     /* 339359 */     // GIR_Coverage, 7367,
     /* 339359 */     GIR_EraseRootFromParent_Done,
     /* 339360 */   // Label 6981: @339360
     /* 339360 */   GIM_Try, /*On fail goto*//*Label 6982*/ GIMT_Encode4(339427), // Rule ID 5711 //
     /* 339365 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 339373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 339377 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 339381 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 339385 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339390 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 339394 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 339398 */     // MIs[2] Operand 1
     /* 339398 */     // No operand predicates
     /* 339398 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 339402 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 339406 */     // MIs[3] Operand 1
     /* 339406 */     // No operand predicates
     /* 339406 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 339408 */     // (vector_insert:{ *:[v2f64] } V128:{ *:[v2f64] }:$src, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi64lane:{ *:[v2f64] } V128:{ *:[v2f64] }:$src, (imm:{ *:[i64] }):$Immd, V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] }):$Immn)
     /* 339408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 339411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 339413 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 339415 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 339418 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 339422 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 339425 */     GIR_RootConstrainSelectedInstOperands,
     /* 339426 */     // GIR_Coverage, 5711,
     /* 339426 */     GIR_EraseRootFromParent_Done,
     /* 339427 */   // Label 6982: @339427
     /* 339427 */   GIM_Try, /*On fail goto*//*Label 6983*/ GIMT_Encode4(339525), // Rule ID 5712 //
     /* 339432 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 339440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 339444 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 339448 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 339452 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 339457 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 339461 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 339465 */     // MIs[2] Operand 1
     /* 339465 */     // No operand predicates
     /* 339465 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 339469 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 339473 */     // MIs[3] Operand 1
     /* 339473 */     // No operand predicates
     /* 339473 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 339475 */     // (vector_insert:{ *:[v2f64] } V128:{ *:[v2f64] }:$src, (vector_extract:{ *:[f64] } V64:{ *:[v1f64] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi64lane:{ *:[v2f64] } V128:{ *:[v2f64] }:$src, (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v1f64] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn)
     /* 339475 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 339478 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 339482 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 339487 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 339490 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 339494 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 339497 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339502 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 339507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 339510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 339512 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 339514 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 339517 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 339520 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 339523 */     GIR_RootConstrainSelectedInstOperands,
     /* 339524 */     // GIR_Coverage, 5712,
     /* 339524 */     GIR_EraseRootFromParent_Done,
     /* 339525 */   // Label 6983: @339525
     /* 339525 */   GIM_Try, /*On fail goto*//*Label 6984*/ GIMT_Encode4(339592), // Rule ID 5735 //
     /* 339530 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 339538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 339542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 339546 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 339550 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339555 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 339559 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 339563 */     // MIs[2] Operand 1
     /* 339563 */     // No operand predicates
     /* 339563 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 339567 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 339571 */     // MIs[3] Operand 1
     /* 339571 */     // No operand predicates
     /* 339571 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 339573 */     // (vector_insert:{ *:[v2i64] } V128:{ *:[v2i64] }:$src, (vector_extract:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi64lane:{ *:[v2i64] } V128:{ *:[v2i64] }:$src, (imm:{ *:[i64] }):$Immd, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] }):$Immn)
     /* 339573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 339576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 339578 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 339580 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 339583 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 339587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 339590 */     GIR_RootConstrainSelectedInstOperands,
     /* 339591 */     // GIR_Coverage, 5735,
     /* 339591 */     GIR_EraseRootFromParent_Done,
     /* 339592 */   // Label 6984: @339592
     /* 339592 */   GIM_Try, /*On fail goto*//*Label 6985*/ GIMT_Encode4(339690), // Rule ID 5736 //
     /* 339597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 339605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 339609 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 339613 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 339617 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 339622 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 339626 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 339630 */     // MIs[2] Operand 1
     /* 339630 */     // No operand predicates
     /* 339630 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 339634 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 339638 */     // MIs[3] Operand 1
     /* 339638 */     // No operand predicates
     /* 339638 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 339640 */     // (vector_insert:{ *:[v2i64] } V128:{ *:[v2i64] }:$src, (vector_extract:{ *:[i64] } V64:{ *:[v1i64] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi64lane:{ *:[v2i64] } V128:{ *:[v2i64] }:$src, (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn)
     /* 339640 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 339643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 339647 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 339652 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 339655 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 339659 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 339662 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339667 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 339672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 339675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 339677 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 339679 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 339682 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 339685 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 339688 */     GIR_RootConstrainSelectedInstOperands,
     /* 339689 */     // GIR_Coverage, 5736,
     /* 339689 */     GIR_EraseRootFromParent_Done,
     /* 339690 */   // Label 6985: @339690
     /* 339690 */   GIM_Try, /*On fail goto*//*Label 6986*/ GIMT_Encode4(339756), // Rule ID 5666 //
     /* 339695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 339699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 339703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 339707 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 339711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 339713 */     // (vector_insert:{ *:[v2i64] } (undef:{ *:[v2i64] }), FPR64:{ *:[i64] }:$Rn, 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), FPR64:{ *:[i64] }:$Rn, dsub:{ *:[i32] })
     /* 339713 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /* 339716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 339720 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 339725 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 339727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 339730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 339732 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 339735 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 339737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 339740 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339745 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339750 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 339755 */     // GIR_Coverage, 5666,
     /* 339755 */     GIR_EraseRootFromParent_Done,
     /* 339756 */   // Label 6986: @339756
     /* 339756 */   GIM_Try, /*On fail goto*//*Label 6987*/ GIMT_Encode4(339822), // Rule ID 5676 //
     /* 339761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 339765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 339769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 339773 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 339777 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 339779 */     // (vector_insert:{ *:[v2f64] } (undef:{ *:[v2f64] }), FPR64:{ *:[f64] }:$Rn, 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v2f64] } (IMPLICIT_DEF:{ *:[v2f64] }), FPR64:{ *:[f64] }:$Rn, dsub:{ *:[i32] })
     /* 339779 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /* 339782 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 339786 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 339791 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 339793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 339796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 339798 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 339801 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 339803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 339806 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339811 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339816 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 339821 */     // GIR_Coverage, 5676,
     /* 339821 */     GIR_EraseRootFromParent_Done,
     /* 339822 */   // Label 6987: @339822
     /* 339822 */   GIM_Try, /*On fail goto*//*Label 6988*/ GIMT_Encode4(339900), // Rule ID 7366 //
     /* 339827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRCPC3),
     /* 339830 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 339838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 339842 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 339845 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 339852 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 339855 */     // MIs[1] Rn
     /* 339855 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 339859 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 339864 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 339868 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 339872 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 339876 */     // MIs[2] Operand 1
     /* 339876 */     // No operand predicates
     /* 339876 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 339878 */     // (vector_insert:{ *:[v2i64] } VecListOne128:{ *:[v2i64] }:$Rd, (atomic_load:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_15798>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)  =>  (LDAP1:{ *:[v2i64] } VecListOne128:{ *:[v2i64] }:$Rd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 339878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDAP1),
     /* 339881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 339883 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 339885 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 339888 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 339892 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 339898 */     GIR_RootConstrainSelectedInstOperands,
     /* 339899 */     // GIR_Coverage, 7366,
     /* 339899 */     GIR_EraseRootFromParent_Done,
     /* 339900 */   // Label 6988: @339900
     /* 339900 */   GIM_Try, /*On fail goto*//*Label 6989*/ GIMT_Encode4(339969), // Rule ID 6402 //
     /* 339905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 339913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 339917 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 339920 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 339924 */     // MIs[1] Rn
     /* 339924 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 339928 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 339933 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 339937 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 339941 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 339945 */     // MIs[2] Operand 1
     /* 339945 */     // No operand predicates
     /* 339945 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 339947 */     // (vector_insert:{ *:[v2i64] } VecListOne128:{ *:[v2i64] }:$Rd, (ld:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)  =>  (LD1i64:{ *:[v2i64] } VecListOne128:{ *:[v2i64] }:$Rd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 339947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1i64),
     /* 339950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 339952 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 339954 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 339957 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 339961 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 339967 */     GIR_RootConstrainSelectedInstOperands,
     /* 339968 */     // GIR_Coverage, 6402,
     /* 339968 */     GIR_EraseRootFromParent_Done,
     /* 339969 */   // Label 6989: @339969
     /* 339969 */   GIM_Try, /*On fail goto*//*Label 6990*/ GIMT_Encode4(340038), // Rule ID 6403 //
     /* 339974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 339982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 339986 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 339989 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 339993 */     // MIs[1] Rn
     /* 339993 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 339997 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 340002 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 340006 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 340010 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 340014 */     // MIs[2] Operand 1
     /* 340014 */     // No operand predicates
     /* 340014 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 340016 */     // (vector_insert:{ *:[v2f64] } VecListOne128:{ *:[v2f64] }:$Rd, (ld:{ *:[f64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)  =>  (LD1i64:{ *:[v2f64] } VecListOne128:{ *:[v2f64] }:$Rd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 340016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1i64),
     /* 340019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 340021 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 340023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 340026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 340030 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 340036 */     GIR_RootConstrainSelectedInstOperands,
     /* 340037 */     // GIR_Coverage, 6403,
     /* 340037 */     GIR_EraseRootFromParent_Done,
     /* 340038 */   // Label 6990: @340038
     /* 340038 */   GIM_Try, /*On fail goto*//*Label 6991*/ GIMT_Encode4(340087), // Rule ID 5683 //
     /* 340043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 340047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 340051 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 340055 */     // MIs[1] Operand 1
     /* 340055 */     // No operand predicates
     /* 340055 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 340059 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 340063 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 340067 */     // MIs[2] Operand 1
     /* 340067 */     // No operand predicates
     /* 340067 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 340069 */     // (vector_insert:{ *:[v2f64] } v2f64:{ *:[v2f64] }:$Rn, (fpimm:{ *:[f64] })<<P:Predicate_fpimm0>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$imm)  =>  (INSvi64gpr:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm, XZR:{ *:[i64] })
     /* 340069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64gpr),
     /* 340072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 340074 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 340076 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 340079 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 340085 */     GIR_RootConstrainSelectedInstOperands,
     /* 340086 */     // GIR_Coverage, 5683,
     /* 340086 */     GIR_EraseRootFromParent_Done,
     /* 340087 */   // Label 6991: @340087
     /* 340087 */   GIM_Try, /*On fail goto*//*Label 6992*/ GIMT_Encode4(340188), // Rule ID 5741 //
     /* 340092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 340096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 340100 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 340104 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 340109 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 340113 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 340117 */     // MIs[2] Operand 1
     /* 340117 */     // No operand predicates
     /* 340117 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 340119 */     // (vector_insert:{ *:[v2i64] } v2i64:{ *:[v2i64] }:$src, (bitconvert:{ *:[i64] } FPR64:{ *:[f64] }:$Sn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi64lane:{ *:[v2i64] } V128:{ *:[v2i64] }:$src, (imm:{ *:[i64] }):$Immd, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), FPR64:{ *:[f64] }:$Sn, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 340119 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 340122 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 340126 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 340131 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 340133 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 340136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 340140 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 340145 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 340148 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Sn
     /* 340152 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 340155 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340160 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340165 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 340170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 340173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 340175 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 340177 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immd
     /* 340180 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 340183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340186 */     GIR_RootConstrainSelectedInstOperands,
     /* 340187 */     // GIR_Coverage, 5741,
     /* 340187 */     GIR_EraseRootFromParent_Done,
     /* 340188 */   // Label 6992: @340188
     /* 340188 */   GIM_Try, /*On fail goto*//*Label 6993*/ GIMT_Encode4(340232), // Rule ID 1937 //
     /* 340193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 340196 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 340204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 340208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 340212 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 340216 */     // MIs[1] Operand 1
     /* 340216 */     // No operand predicates
     /* 340216 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 340218 */     // (vector_insert:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)  =>  (INSvi64gpr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (imm:{ *:[i64] }):$idx, GPR64:{ *:[i64] }:$Rn)
     /* 340218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64gpr),
     /* 340221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 340223 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 340225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 340228 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 340230 */     GIR_RootConstrainSelectedInstOperands,
     /* 340231 */     // GIR_Coverage, 1937,
     /* 340231 */     GIR_EraseRootFromParent_Done,
     /* 340232 */   // Label 6993: @340232
     /* 340232 */   GIM_Try, /*On fail goto*//*Label 6994*/ GIMT_Encode4(340328), // Rule ID 5687 //
     /* 340237 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 340245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 340249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 340253 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 340257 */     // MIs[1] Operand 1
     /* 340257 */     // No operand predicates
     /* 340257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 340259 */     // (vector_insert:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$imm)  =>  (INSvi64lane:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$imm, (INSERT_SUBREG:{ *:[v2f64] } (IMPLICIT_DEF:{ *:[v2f64] }), FPR64:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 340259 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /* 340262 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 340266 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 340271 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 340273 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /* 340276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 340280 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 340285 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 340288 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 340292 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 340295 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340300 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340305 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 340310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 340313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 340315 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 340317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 340320 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 340323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340326 */     GIR_RootConstrainSelectedInstOperands,
     /* 340327 */     // GIR_Coverage, 5687,
     /* 340327 */     GIR_EraseRootFromParent_Done,
     /* 340328 */   // Label 6994: @340328
     /* 340328 */   GIM_Reject,
     /* 340329 */ // Label 6963: @340329
     /* 340329 */ GIM_Reject,
     /* 340330 */ // Label 6911: @340330
     /* 340330 */ GIM_Try, /*On fail goto*//*Label 6995*/ GIMT_Encode4(343969),
     /* 340335 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 340338 */   GIM_Try, /*On fail goto*//*Label 6996*/ GIMT_Encode4(340464), // Rule ID 4226 //
     /* 340343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 340346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 340349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 340353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 340357 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 340363 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 340365 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 340369 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 340373 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 340376 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 340380 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 340387 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 340391 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 340395 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 340397 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 340404 */     // (vector_insert:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 340404 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 340407 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 340411 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 340416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 340421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 340426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 340431 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 340437 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 340439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 340442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 340444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340447 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 340450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 340453 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 340458 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 340463 */     // GIR_Coverage, 4226,
     /* 340463 */     GIR_EraseRootFromParent_Done,
     /* 340464 */   // Label 6996: @340464
     /* 340464 */   GIM_Try, /*On fail goto*//*Label 6997*/ GIMT_Encode4(340590), // Rule ID 4227 //
     /* 340469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 340472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 340475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 340479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 340483 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 340489 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 340491 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 340495 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 340499 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 340502 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 340506 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 340513 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 340517 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 340521 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 340523 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 340530 */     // (vector_insert:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 340530 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 340533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 340537 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 340542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 340547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 340552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 340557 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 340563 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 340565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 340568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 340570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 340576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 340579 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 340584 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 340589 */     // GIR_Coverage, 4227,
     /* 340589 */     GIR_EraseRootFromParent_Done,
     /* 340590 */   // Label 6997: @340590
     /* 340590 */   GIM_Try, /*On fail goto*//*Label 6998*/ GIMT_Encode4(340709), // Rule ID 4334 //
     /* 340595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 340598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 340601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 340605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 340609 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 340615 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 340617 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 340621 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 340625 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 340628 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 340632 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 340636 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 340640 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 340642 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 340649 */     // (vector_insert:{ *:[v4f16] } immAllZerosV:{ *:[v4f16] }, (ld:{ *:[f16] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 340649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 340652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 340656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 340661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 340666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 340671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 340676 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 340682 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 340684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 340687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 340689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340692 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 340695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 340698 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 340703 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 340708 */     // GIR_Coverage, 4334,
     /* 340708 */     GIR_EraseRootFromParent_Done,
     /* 340709 */   // Label 6998: @340709
     /* 340709 */   GIM_Try, /*On fail goto*//*Label 6999*/ GIMT_Encode4(340828), // Rule ID 4335 //
     /* 340714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 340717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 340720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 340724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 340728 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 340734 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 340736 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 340740 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 340744 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 340747 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 340751 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 340755 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 340759 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 340761 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 340768 */     // (vector_insert:{ *:[v4f16] } immAllZerosV:{ *:[v4f16] }, (ld:{ *:[f16] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 340768 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 340771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 340775 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 340780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 340785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 340790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 340795 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 340801 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 340803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 340806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 340808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340811 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 340814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 340817 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 340822 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 340827 */     // GIR_Coverage, 4335,
     /* 340827 */     GIR_EraseRootFromParent_Done,
     /* 340828 */   // Label 6999: @340828
     /* 340828 */   GIM_Try, /*On fail goto*//*Label 7000*/ GIMT_Encode4(340950), // Rule ID 4232 //
     /* 340833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 340836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 340839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 340843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 340847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 340851 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 340855 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 340859 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 340862 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 340866 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 340873 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 340877 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 340881 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 340883 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 340890 */     // (vector_insert:{ *:[v4i16] } (undef:{ *:[v4i16] }), (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 340890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 340893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 340897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 340902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 340907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 340912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 340917 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 340923 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 340925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 340928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 340930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340933 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 340936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 340939 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 340944 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 340949 */     // GIR_Coverage, 4232,
     /* 340949 */     GIR_EraseRootFromParent_Done,
     /* 340950 */   // Label 7000: @340950
     /* 340950 */   GIM_Try, /*On fail goto*//*Label 7001*/ GIMT_Encode4(341072), // Rule ID 4234 //
     /* 340955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 340958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 340961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 340965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 340969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 340973 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 340977 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 340981 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 340984 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 340988 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 340995 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 340999 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 341003 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 341005 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 341012 */     // (vector_insert:{ *:[v4i16] } (undef:{ *:[v4i16] }), (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 341012 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 341015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 341019 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 341024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 341029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 341034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 341039 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 341045 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 341047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 341050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 341052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 341055 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 341058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 341061 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 341066 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 341071 */     // GIR_Coverage, 4234,
     /* 341071 */     GIR_EraseRootFromParent_Done,
     /* 341072 */   // Label 7001: @341072
     /* 341072 */   GIM_Try, /*On fail goto*//*Label 7002*/ GIMT_Encode4(341187), // Rule ID 4340 //
     /* 341077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 341080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 341083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 341087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 341091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 341095 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 341099 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 341103 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 341106 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 341110 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 341114 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 341118 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 341120 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 341127 */     // (vector_insert:{ *:[v4f16] } (undef:{ *:[v4f16] }), (ld:{ *:[f16] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 341127 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 341130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 341134 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 341139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 341144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 341149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 341154 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 341160 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 341162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 341165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 341167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 341170 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 341173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 341176 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 341181 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 341186 */     // GIR_Coverage, 4340,
     /* 341186 */     GIR_EraseRootFromParent_Done,
     /* 341187 */   // Label 7002: @341187
     /* 341187 */   GIM_Try, /*On fail goto*//*Label 7003*/ GIMT_Encode4(341302), // Rule ID 4342 //
     /* 341192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 341195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 341198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 341202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 341206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 341210 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 341214 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 341218 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 341221 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 341225 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 341229 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 341233 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 341235 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 341242 */     // (vector_insert:{ *:[v4f16] } (undef:{ *:[v4f16] }), (ld:{ *:[f16] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 341242 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 341245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 341249 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 341254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 341259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 341264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 341269 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 341275 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 341277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 341280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 341282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 341285 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 341288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 341291 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 341296 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 341301 */     // GIR_Coverage, 4342,
     /* 341301 */     GIR_EraseRootFromParent_Done,
     /* 341302 */   // Label 7003: @341302
     /* 341302 */   GIM_Try, /*On fail goto*//*Label 7004*/ GIMT_Encode4(341423), // Rule ID 4224 //
     /* 341307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 341310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 341313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 341317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 341321 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 341327 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 341329 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 341333 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 341337 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 341340 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 341344 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 341351 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 341355 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 341359 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 341361 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 341368 */     // (vector_insert:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 341368 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 341371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 341375 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 341380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 341385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 341390 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 341396 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 341398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 341401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 341403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 341406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 341409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 341412 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 341417 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 341422 */     // GIR_Coverage, 4224,
     /* 341422 */     GIR_EraseRootFromParent_Done,
     /* 341423 */   // Label 7004: @341423
     /* 341423 */   GIM_Try, /*On fail goto*//*Label 7005*/ GIMT_Encode4(341544), // Rule ID 4225 //
     /* 341428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 341431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 341434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 341438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 341442 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 341448 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 341450 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 341454 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 341458 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 341461 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 341465 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 341472 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 341476 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 341480 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 341482 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 341489 */     // (vector_insert:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 341489 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 341492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 341496 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 341501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 341506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 341511 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 341517 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 341519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 341522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 341524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 341527 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 341530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 341533 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 341538 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 341543 */     // GIR_Coverage, 4225,
     /* 341543 */     GIR_EraseRootFromParent_Done,
     /* 341544 */   // Label 7005: @341544
     /* 341544 */   GIM_Try, /*On fail goto*//*Label 7006*/ GIMT_Encode4(341658), // Rule ID 4332 //
     /* 341549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 341552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 341555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 341559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 341563 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 341569 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 341571 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 341575 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 341579 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 341582 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 341586 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 341590 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 341594 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 341596 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 341603 */     // (vector_insert:{ *:[v4f16] } immAllZerosV:{ *:[v4f16] }, (ld:{ *:[f16] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 341603 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 341606 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 341610 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 341615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 341620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 341625 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 341631 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 341633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 341636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 341638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 341641 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 341644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 341647 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 341652 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 341657 */     // GIR_Coverage, 4332,
     /* 341657 */     GIR_EraseRootFromParent_Done,
     /* 341658 */   // Label 7006: @341658
     /* 341658 */   GIM_Try, /*On fail goto*//*Label 7007*/ GIMT_Encode4(341772), // Rule ID 4333 //
     /* 341663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 341666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 341669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 341673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 341677 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 341683 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 341685 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 341689 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 341693 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 341696 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 341700 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 341704 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 341708 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 341710 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 341717 */     // (vector_insert:{ *:[v4f16] } immAllZerosV:{ *:[v4f16] }, (ld:{ *:[f16] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 341717 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 341720 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 341724 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 341729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 341734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 341739 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 341745 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 341747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 341750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 341752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 341755 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 341758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 341761 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 341766 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 341771 */     // GIR_Coverage, 4333,
     /* 341771 */     GIR_EraseRootFromParent_Done,
     /* 341772 */   // Label 7007: @341772
     /* 341772 */   GIM_Try, /*On fail goto*//*Label 7008*/ GIMT_Encode4(341889), // Rule ID 4228 //
     /* 341777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 341780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 341783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 341787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 341791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 341795 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 341799 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 341803 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 341806 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 341810 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 341817 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 341821 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 341825 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 341827 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 341834 */     // (vector_insert:{ *:[v4i16] } (undef:{ *:[v4i16] }), (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 341834 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 341837 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 341841 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 341846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 341851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 341856 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 341862 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 341864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 341867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 341869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 341872 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 341875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 341878 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 341883 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 341888 */     // GIR_Coverage, 4228,
     /* 341888 */     GIR_EraseRootFromParent_Done,
     /* 341889 */   // Label 7008: @341889
     /* 341889 */   GIM_Try, /*On fail goto*//*Label 7009*/ GIMT_Encode4(342006), // Rule ID 4230 //
     /* 341894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 341897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 341900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 341904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 341908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 341912 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 341916 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 341920 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 341923 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 341927 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 341934 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 341938 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 341942 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 341944 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 341951 */     // (vector_insert:{ *:[v4i16] } (undef:{ *:[v4i16] }), (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 341951 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 341954 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 341958 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 341963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 341968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 341973 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 341979 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 341981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 341984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 341986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 341989 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 341992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 341995 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342000 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 342005 */     // GIR_Coverage, 4230,
     /* 342005 */     GIR_EraseRootFromParent_Done,
     /* 342006 */   // Label 7009: @342006
     /* 342006 */   GIM_Try, /*On fail goto*//*Label 7010*/ GIMT_Encode4(342116), // Rule ID 4336 //
     /* 342011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 342014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 342017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 342025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 342029 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 342033 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 342037 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 342040 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 342044 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 342048 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 342052 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 342054 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 342061 */     // (vector_insert:{ *:[v4f16] } (undef:{ *:[v4f16] }), (ld:{ *:[f16] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 342061 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 342064 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 342068 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 342073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 342078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 342083 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 342089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 342091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 342094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 342096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 342099 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 342102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 342105 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342110 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 342115 */     // GIR_Coverage, 4336,
     /* 342115 */     GIR_EraseRootFromParent_Done,
     /* 342116 */   // Label 7010: @342116
     /* 342116 */   GIM_Try, /*On fail goto*//*Label 7011*/ GIMT_Encode4(342226), // Rule ID 4338 //
     /* 342121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 342124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 342127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 342135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 342139 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 342143 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 342147 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 342150 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 342154 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 342158 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 342162 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 342164 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 342171 */     // (vector_insert:{ *:[v4f16] } (undef:{ *:[v4f16] }), (ld:{ *:[f16] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 342171 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 342174 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 342178 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 342183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 342188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 342193 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 342199 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 342201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 342204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 342206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 342209 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 342212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 342215 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342220 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 342225 */     // GIR_Coverage, 4338,
     /* 342225 */     GIR_EraseRootFromParent_Done,
     /* 342226 */   // Label 7011: @342226
     /* 342226 */   GIM_Try, /*On fail goto*//*Label 7012*/ GIMT_Encode4(342356), // Rule ID 6415 //
     /* 342231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 342234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 342237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 342240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 342248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 342252 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 342256 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 342260 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 342263 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 342267 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 342274 */     // MIs[2] Rn
     /* 342274 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/64,
     /* 342278 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 342283 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 342287 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 342289 */     // (vector_insert:{ *:[v4i16] } (undef:{ *:[v4i16] }), (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (LD1i8:{ *:[f128] } (IMPLICIT_DEF:{ *:[v16i8] }), 0:{ *:[i64] }, GPR64sp:{ *:[i64] }:$Rn), dsub:{ *:[i32] })
     /* 342289 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 342292 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 342296 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 342301 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 342303 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 342306 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LD1i8),
     /* 342310 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 342315 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 342318 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 342321 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 342325 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 342331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 342333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 342336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 342338 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 342345 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342350 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 342355 */     // GIR_Coverage, 6415,
     /* 342355 */     GIR_EraseRootFromParent_Done,
     /* 342356 */   // Label 7012: @342356
     /* 342356 */   GIM_Try, /*On fail goto*//*Label 7013*/ GIMT_Encode4(342496), // Rule ID 5701 //
     /* 342361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 342364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 342367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342371 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 342379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 342383 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 342387 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 342391 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 342396 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 342400 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 342404 */     // MIs[2] Operand 1
     /* 342404 */     // No operand predicates
     /* 342404 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 342408 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 342412 */     // MIs[3] Operand 1
     /* 342412 */     // No operand predicates
     /* 342412 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 342414 */     // (vector_insert:{ *:[v4f16] } V64:{ *:[v4f16] }:$src, (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v4f16] } (INSvi16lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v4f16] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 342414 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 342417 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 342421 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 342426 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 342429 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 342433 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 342436 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 342441 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342446 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 342449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 342453 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 342458 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 342461 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 342464 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 342468 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 342471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 342473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 342476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 342478 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 342485 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342490 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 342495 */     // GIR_Coverage, 5701,
     /* 342495 */     GIR_EraseRootFromParent_Done,
     /* 342496 */   // Label 7013: @342496
     /* 342496 */   GIM_Try, /*On fail goto*//*Label 7014*/ GIMT_Encode4(342667), // Rule ID 5702 //
     /* 342501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 342504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 342507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342511 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 342519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 342523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 342527 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 342531 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342536 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 342540 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 342544 */     // MIs[2] Operand 1
     /* 342544 */     // No operand predicates
     /* 342544 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 342548 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 342552 */     // MIs[3] Operand 1
     /* 342552 */     // No operand predicates
     /* 342552 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 342554 */     // (vector_insert:{ *:[v4f16] } V64:{ *:[v4f16] }:$src, (vector_extract:{ *:[f16] } V64:{ *:[v4f16] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v4f16] } (INSvi16lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v4f16] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v4f16] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 342554 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /* 342557 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 342561 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 342566 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 342569 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 342573 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /* 342576 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 342581 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342586 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 342589 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 342593 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 342598 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 342601 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 342605 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 342608 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 342613 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342618 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 342621 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 342625 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 342630 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 342633 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 342636 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 342639 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 342642 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 342644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 342647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 342649 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 342656 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342661 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 342666 */     // GIR_Coverage, 5702,
     /* 342666 */     GIR_EraseRootFromParent_Done,
     /* 342667 */   // Label 7014: @342667
     /* 342667 */   GIM_Try, /*On fail goto*//*Label 7015*/ GIMT_Encode4(342807), // Rule ID 5725 //
     /* 342672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 342675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 342678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342682 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 342690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 342694 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 342698 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 342702 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 342707 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 342711 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 342715 */     // MIs[2] Operand 1
     /* 342715 */     // No operand predicates
     /* 342715 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 342719 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 342723 */     // MIs[3] Operand 1
     /* 342723 */     // No operand predicates
     /* 342723 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 342725 */     // (vector_insert:{ *:[v4i16] } V64:{ *:[v4i16] }:$src, (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (INSvi16lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v4i16] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 342725 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 342728 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 342732 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 342737 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 342740 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 342744 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 342747 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 342752 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342757 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 342760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 342764 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 342769 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 342772 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 342775 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 342779 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 342782 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 342784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 342787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 342789 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 342796 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342801 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 342806 */     // GIR_Coverage, 5725,
     /* 342806 */     GIR_EraseRootFromParent_Done,
     /* 342807 */   // Label 7015: @342807
     /* 342807 */   GIM_Try, /*On fail goto*//*Label 7016*/ GIMT_Encode4(342978), // Rule ID 5726 //
     /* 342812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 342815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 342818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342822 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 342830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 342834 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 342838 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 342842 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342847 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 342851 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 342855 */     // MIs[2] Operand 1
     /* 342855 */     // No operand predicates
     /* 342855 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 342859 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 342863 */     // MIs[3] Operand 1
     /* 342863 */     // No operand predicates
     /* 342863 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 342865 */     // (vector_insert:{ *:[v4i16] } V64:{ *:[v4i16] }:$src, (vector_extract:{ *:[i32] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (INSvi16lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v4i16] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 342865 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /* 342868 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 342872 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 342877 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 342880 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 342884 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /* 342887 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 342892 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342897 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 342900 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 342904 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 342909 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 342912 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 342916 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 342919 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 342924 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342929 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 342932 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 342936 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 342941 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 342944 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 342947 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 342950 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 342953 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 342955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 342958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 342960 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 342967 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342972 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 342977 */     // GIR_Coverage, 5726,
     /* 342977 */     GIR_EraseRootFromParent_Done,
     /* 342978 */   // Label 7016: @342978
     /* 342978 */   GIM_Try, /*On fail goto*//*Label 7017*/ GIMT_Encode4(343057), // Rule ID 5656 //
     /* 342983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 342986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 342989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 342997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 343001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 343005 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 343009 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 343011 */     // (vector_insert:{ *:[v4i16] } (undef:{ *:[v4i16] }), GPR32:{ *:[i32] }:$Rn, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i16] } 0:{ *:[i32] }, (COPY_TO_REGCLASS:{ *:[f32] } GPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }), ssub:{ *:[i32] })
     /* 343011 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 343014 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 343018 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343023 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 343027 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 343032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 343035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 343037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343040 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 343043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 343046 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343051 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 343056 */     // GIR_Coverage, 5656,
     /* 343056 */     GIR_EraseRootFromParent_Done,
     /* 343057 */   // Label 7017: @343057
     /* 343057 */   GIM_Try, /*On fail goto*//*Label 7018*/ GIMT_Encode4(343133), // Rule ID 5658 //
     /* 343062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 343065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 343068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 343076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 343080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 343084 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 343088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 343090 */     // (vector_insert:{ *:[v4f16] } (undef:{ *:[v4f16] }), FPR16:{ *:[f16] }:$Rn, 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v4f16] } (IMPLICIT_DEF:{ *:[v4f16] }), FPR16:{ *:[f16] }:$Rn, hsub:{ *:[i32] })
     /* 343090 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s16,
     /* 343093 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 343097 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 343104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 343107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 343109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 343112 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 343114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 343117 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343122 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343127 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 343132 */     // GIR_Coverage, 5658,
     /* 343132 */     GIR_EraseRootFromParent_Done,
     /* 343133 */   // Label 7018: @343133
     /* 343133 */   GIM_Try, /*On fail goto*//*Label 7019*/ GIMT_Encode4(343209), // Rule ID 5668 //
     /* 343138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 343141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 343144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 343152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 343156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 343160 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 343164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 343166 */     // (vector_insert:{ *:[v4f16] } (undef:{ *:[v4f16] }), FPR16:{ *:[f16] }:$Rn, 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v4f16] } (IMPLICIT_DEF:{ *:[v4f16] }), FPR16:{ *:[f16] }:$Rn, hsub:{ *:[i32] })
     /* 343166 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s16,
     /* 343169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 343173 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 343180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 343183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 343185 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 343188 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 343190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 343193 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343198 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343203 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 343208 */     // GIR_Coverage, 5668,
     /* 343208 */     GIR_EraseRootFromParent_Done,
     /* 343209 */   // Label 7019: @343209
     /* 343209 */   GIM_Try, /*On fail goto*//*Label 7020*/ GIMT_Encode4(343354), // Rule ID 5680 //
     /* 343214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 343217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 343220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343224 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 343232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 343236 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 343240 */     // MIs[1] Operand 1
     /* 343240 */     // No operand predicates
     /* 343240 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 343244 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 343248 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 343252 */     // MIs[2] Operand 1
     /* 343252 */     // No operand predicates
     /* 343252 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 343254 */     // (vector_insert:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (fpimm:{ *:[f16] })<<P:Predicate_fpimm0>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm)  =>  (EXTRACT_SUBREG:{ *:[v4f16] } (INSvi16gpr:{ *:[f128] } (INSERT_SUBREG:{ *:[v8f16] } (IMPLICIT_DEF:{ *:[v8f16] }), V64:{ *:[v4f16] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm, WZR:{ *:[i32] }), dsub:{ *:[i32] })
     /* 343254 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /* 343257 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 343261 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343266 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 343268 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 343271 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 343275 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343280 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 343283 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 343287 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 343290 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 343295 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 343300 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343305 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 343308 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi16gpr),
     /* 343312 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343317 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 343320 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // imm
     /* 343323 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 343329 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 343331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 343334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 343336 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 343343 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343348 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 343353 */     // GIR_Coverage, 5680,
     /* 343353 */     GIR_EraseRootFromParent_Done,
     /* 343354 */   // Label 7020: @343354
     /* 343354 */   GIM_Try, /*On fail goto*//*Label 7021*/ GIMT_Encode4(343503), // Rule ID 6418 //
     /* 343359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 343362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 343365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343369 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 343377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 343381 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 343384 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 343388 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 343395 */     // MIs[1] Rn
     /* 343395 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 343399 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 343404 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 343408 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 343412 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 343416 */     // MIs[2] Operand 1
     /* 343416 */     // No operand predicates
     /* 343416 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 343418 */     // (vector_insert:{ *:[v4i16] } VecListOne64:{ *:[v4i16] }:$Rd, (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (LD1i16:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, VecListOne64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx, GPR64sp:{ *:[i64] }:$Rn), dsub:{ *:[i32] })
     /* 343418 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 343421 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 343425 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343430 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 343433 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /* 343437 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 343440 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 343445 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 343453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LD1i16),
     /* 343457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343462 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 343465 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // idx
     /* 343468 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 343472 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 343478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 343480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 343483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 343485 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 343492 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343497 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 343502 */     // GIR_Coverage, 6418,
     /* 343502 */     GIR_EraseRootFromParent_Done,
     /* 343503 */   // Label 7021: @343503
     /* 343503 */   GIM_Try, /*On fail goto*//*Label 7022*/ GIMT_Encode4(343645), // Rule ID 6421 //
     /* 343508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 343511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 343514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 343526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 343530 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 343533 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 343537 */     // MIs[1] Rn
     /* 343537 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 343541 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 343546 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 343550 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 343554 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 343558 */     // MIs[2] Operand 1
     /* 343558 */     // No operand predicates
     /* 343558 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 343560 */     // (vector_insert:{ *:[v4f16] } VecListOne64:{ *:[v4f16] }:$Rd, (ld:{ *:[f16] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)  =>  (EXTRACT_SUBREG:{ *:[v4f16] } (LD1i16:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, VecListOne64:{ *:[v4f16] }:$Rd, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx, GPR64sp:{ *:[i64] }:$Rn), dsub:{ *:[i32] })
     /* 343560 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 343563 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 343567 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343572 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 343575 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /* 343579 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 343582 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 343587 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 343595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LD1i16),
     /* 343599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343604 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 343607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // idx
     /* 343610 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 343614 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 343620 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 343622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 343625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 343627 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 343634 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343639 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 343644 */     // GIR_Coverage, 6421,
     /* 343644 */     GIR_EraseRootFromParent_Done,
     /* 343645 */   // Label 7022: @343645
     /* 343645 */   GIM_Try, /*On fail goto*//*Label 7023*/ GIMT_Encode4(343833), // Rule ID 5678 //
     /* 343650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 343653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 343656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 343668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 343672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 343676 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 343680 */     // MIs[1] Operand 1
     /* 343680 */     // No operand predicates
     /* 343680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 343682 */     // (vector_insert:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm)  =>  (EXTRACT_SUBREG:{ *:[v4f16] } (INSvi16lane:{ *:[f128] } (INSERT_SUBREG:{ *:[v8f16] } (IMPLICIT_DEF:{ *:[v8f16] }), V64:{ *:[v4f16] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm, (INSERT_SUBREG:{ *:[v8f16] } (IMPLICIT_DEF:{ *:[v8f16] }), FPR16:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] }), dsub:{ *:[i32] })
     /* 343682 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s16,
     /* 343685 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 343689 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343694 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 343696 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s16,
     /* 343699 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 343703 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343708 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 343711 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 343715 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/9,
     /* 343718 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 343723 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 343728 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 343733 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /* 343736 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 343740 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343745 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 343747 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 343750 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 343754 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343759 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 343762 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 343766 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 343769 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 343774 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 343779 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343784 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 343787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 343791 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343796 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 343799 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 343802 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 343805 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 343808 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 343810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 343813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 343815 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 343822 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343827 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 343832 */     // GIR_Coverage, 5678,
     /* 343832 */     GIR_EraseRootFromParent_Done,
     /* 343833 */   // Label 7023: @343833
     /* 343833 */   GIM_Try, /*On fail goto*//*Label 7024*/ GIMT_Encode4(343968), // Rule ID 5689 //
     /* 343838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 343841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 343844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 343856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 343860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 343864 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 343868 */     // MIs[1] Operand 1
     /* 343868 */     // No operand predicates
     /* 343868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 343870 */     // (vector_insert:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, GPR32:{ *:[i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm)  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (INSvi16gpr:{ *:[f128] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm, GPR32:{ *:[i32] }:$Rm), dsub:{ *:[i32] })
     /* 343870 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /* 343873 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 343877 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343882 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 343884 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 343887 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 343891 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343896 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 343899 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 343903 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 343906 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 343911 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 343916 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343921 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 343924 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi16gpr),
     /* 343928 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343933 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 343936 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 343939 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 343943 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 343945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 343948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 343950 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 343957 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343962 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 343967 */     // GIR_Coverage, 5689,
     /* 343967 */     GIR_EraseRootFromParent_Done,
     /* 343968 */   // Label 7024: @343968
     /* 343968 */   GIM_Reject,
     /* 343969 */ // Label 6995: @343969
     /* 343969 */ GIM_Reject,
     /* 343970 */ // Label 6912: @343970
     /* 343970 */ GIM_Try, /*On fail goto*//*Label 7025*/ GIMT_Encode4(346633),
     /* 343975 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 343978 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 343981 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 343984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 343988 */   GIM_Try, /*On fail goto*//*Label 7026*/ GIMT_Encode4(344097), // Rule ID 4250 //
     /* 343993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 343997 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 344003 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 344005 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 344009 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 344013 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 344016 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 344020 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 344024 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 344028 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 344030 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 344037 */     // (vector_insert:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, (ld:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 344037 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 344040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 344044 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 344049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 344054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 344059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 344064 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 344070 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 344072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 344075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 344077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344080 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 344083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 344086 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 344091 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 344096 */     // GIR_Coverage, 4250,
     /* 344096 */     GIR_EraseRootFromParent_Done,
     /* 344097 */   // Label 7026: @344097
     /* 344097 */   GIM_Try, /*On fail goto*//*Label 7027*/ GIMT_Encode4(344206), // Rule ID 4251 //
     /* 344102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 344106 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 344112 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 344114 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 344118 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 344122 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 344125 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 344129 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 344133 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 344137 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 344139 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 344146 */     // (vector_insert:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, (ld:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 344146 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 344149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 344153 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 344158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 344163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 344168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 344173 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 344179 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 344181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 344184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 344186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344189 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 344192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 344195 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 344200 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 344205 */     // GIR_Coverage, 4251,
     /* 344205 */     GIR_EraseRootFromParent_Done,
     /* 344206 */   // Label 7027: @344206
     /* 344206 */   GIM_Try, /*On fail goto*//*Label 7028*/ GIMT_Encode4(344315), // Rule ID 4358 //
     /* 344211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 344215 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 344221 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 344223 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 344227 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 344231 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 344234 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 344238 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 344242 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 344246 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 344248 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 344255 */     // (vector_insert:{ *:[v4f32] } immAllZerosV:{ *:[v4f32] }, (ld:{ *:[f32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 344255 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 344258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 344262 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 344267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 344272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 344277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 344282 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 344288 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 344290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 344293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 344295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344298 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 344301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 344304 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 344309 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 344314 */     // GIR_Coverage, 4358,
     /* 344314 */     GIR_EraseRootFromParent_Done,
     /* 344315 */   // Label 7028: @344315
     /* 344315 */   GIM_Try, /*On fail goto*//*Label 7029*/ GIMT_Encode4(344424), // Rule ID 4359 //
     /* 344320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 344324 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 344330 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 344332 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 344336 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 344340 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 344343 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 344347 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 344351 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 344355 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 344357 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 344364 */     // (vector_insert:{ *:[v4f32] } immAllZerosV:{ *:[v4f32] }, (ld:{ *:[f32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 344364 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 344367 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 344371 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 344376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 344381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 344386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 344391 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 344397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 344399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 344402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 344404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344407 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 344410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 344413 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 344418 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 344423 */     // GIR_Coverage, 4359,
     /* 344423 */     GIR_EraseRootFromParent_Done,
     /* 344424 */   // Label 7029: @344424
     /* 344424 */   GIM_Try, /*On fail goto*//*Label 7030*/ GIMT_Encode4(344529), // Rule ID 4256 //
     /* 344429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 344433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 344437 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 344441 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 344445 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 344448 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 344452 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 344456 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 344460 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 344462 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 344469 */     // (vector_insert:{ *:[v4i32] } (undef:{ *:[v4i32] }), (ld:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 344469 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 344472 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 344476 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 344481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 344486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 344491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 344496 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 344502 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 344504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 344507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 344509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344512 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 344515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 344518 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 344523 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 344528 */     // GIR_Coverage, 4256,
     /* 344528 */     GIR_EraseRootFromParent_Done,
     /* 344529 */   // Label 7030: @344529
     /* 344529 */   GIM_Try, /*On fail goto*//*Label 7031*/ GIMT_Encode4(344634), // Rule ID 4258 //
     /* 344534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 344538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 344542 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 344546 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 344550 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 344553 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 344557 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 344561 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 344565 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 344567 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 344574 */     // (vector_insert:{ *:[v4i32] } (undef:{ *:[v4i32] }), (ld:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 344574 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 344577 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 344581 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 344586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 344591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 344596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 344601 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 344607 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 344609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 344612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 344614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344617 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 344620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 344623 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 344628 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 344633 */     // GIR_Coverage, 4258,
     /* 344633 */     GIR_EraseRootFromParent_Done,
     /* 344634 */   // Label 7031: @344634
     /* 344634 */   GIM_Try, /*On fail goto*//*Label 7032*/ GIMT_Encode4(344739), // Rule ID 4364 //
     /* 344639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 344643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 344647 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 344651 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 344655 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 344658 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 344662 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 344666 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 344670 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 344672 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 344679 */     // (vector_insert:{ *:[v4f32] } (undef:{ *:[v4f32] }), (ld:{ *:[f32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 344679 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 344682 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 344686 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 344691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 344696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 344701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 344706 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 344712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 344714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 344717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 344719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344722 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 344725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 344728 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 344733 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 344738 */     // GIR_Coverage, 4364,
     /* 344738 */     GIR_EraseRootFromParent_Done,
     /* 344739 */   // Label 7032: @344739
     /* 344739 */   GIM_Try, /*On fail goto*//*Label 7033*/ GIMT_Encode4(344844), // Rule ID 4366 //
     /* 344744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 344748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 344752 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 344756 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 344760 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 344763 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 344767 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 344771 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 344775 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 344777 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 344784 */     // (vector_insert:{ *:[v4f32] } (undef:{ *:[v4f32] }), (ld:{ *:[f32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 344784 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 344787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 344791 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 344796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 344801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 344806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 344811 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 344817 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 344819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 344822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 344824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344827 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 344830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 344833 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 344838 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 344843 */     // GIR_Coverage, 4366,
     /* 344843 */     GIR_EraseRootFromParent_Done,
     /* 344844 */   // Label 7033: @344844
     /* 344844 */   GIM_Try, /*On fail goto*//*Label 7034*/ GIMT_Encode4(344948), // Rule ID 4248 //
     /* 344849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 344853 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 344859 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 344861 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 344865 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 344869 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 344872 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 344876 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 344880 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 344884 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 344886 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 344893 */     // (vector_insert:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, (ld:{ *:[i32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 344893 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 344896 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 344900 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 344905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 344910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 344915 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 344921 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 344923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 344926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 344928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344931 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 344934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 344937 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 344942 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 344947 */     // GIR_Coverage, 4248,
     /* 344947 */     GIR_EraseRootFromParent_Done,
     /* 344948 */   // Label 7034: @344948
     /* 344948 */   GIM_Try, /*On fail goto*//*Label 7035*/ GIMT_Encode4(345052), // Rule ID 4249 //
     /* 344953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 344957 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 344963 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 344965 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 344969 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 344973 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 344976 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 344980 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 344984 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 344988 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 344990 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 344997 */     // (vector_insert:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, (ld:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 344997 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 345000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 345004 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 345014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 345019 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 345025 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 345027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 345030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 345032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 345035 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 345038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 345041 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345046 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 345051 */     // GIR_Coverage, 4249,
     /* 345051 */     GIR_EraseRootFromParent_Done,
     /* 345052 */   // Label 7035: @345052
     /* 345052 */   GIM_Try, /*On fail goto*//*Label 7036*/ GIMT_Encode4(345156), // Rule ID 4356 //
     /* 345057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 345061 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 345067 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 345069 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 345073 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 345077 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 345080 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 345084 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 345088 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 345092 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 345094 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 345101 */     // (vector_insert:{ *:[v4f32] } immAllZerosV:{ *:[v4f32] }, (ld:{ *:[f32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 345101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 345104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 345108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 345118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 345123 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 345129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 345131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 345134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 345136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 345139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 345142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 345145 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345150 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 345155 */     // GIR_Coverage, 4356,
     /* 345155 */     GIR_EraseRootFromParent_Done,
     /* 345156 */   // Label 7036: @345156
     /* 345156 */   GIM_Try, /*On fail goto*//*Label 7037*/ GIMT_Encode4(345260), // Rule ID 4357 //
     /* 345161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 345165 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 345171 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 345173 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 345177 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 345181 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 345184 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 345188 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 345192 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 345196 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 345198 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 345205 */     // (vector_insert:{ *:[v4f32] } immAllZerosV:{ *:[v4f32] }, (ld:{ *:[f32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 345205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 345208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 345212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 345222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 345227 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 345233 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 345235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 345238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 345240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 345243 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 345246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 345249 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345254 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 345259 */     // GIR_Coverage, 4357,
     /* 345259 */     GIR_EraseRootFromParent_Done,
     /* 345260 */   // Label 7037: @345260
     /* 345260 */   GIM_Try, /*On fail goto*//*Label 7038*/ GIMT_Encode4(345360), // Rule ID 4252 //
     /* 345265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 345269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 345273 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 345277 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 345281 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 345284 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 345288 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 345292 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 345296 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 345298 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 345305 */     // (vector_insert:{ *:[v4i32] } (undef:{ *:[v4i32] }), (ld:{ *:[i32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 345305 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 345308 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 345312 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 345322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 345327 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 345333 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 345335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 345338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 345340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 345343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 345346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 345349 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345354 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 345359 */     // GIR_Coverage, 4252,
     /* 345359 */     GIR_EraseRootFromParent_Done,
     /* 345360 */   // Label 7038: @345360
     /* 345360 */   GIM_Try, /*On fail goto*//*Label 7039*/ GIMT_Encode4(345460), // Rule ID 4254 //
     /* 345365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 345369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 345373 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 345377 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 345381 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 345384 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 345388 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 345392 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 345396 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 345398 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 345405 */     // (vector_insert:{ *:[v4i32] } (undef:{ *:[v4i32] }), (ld:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 345405 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 345408 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 345412 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 345422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 345427 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 345433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 345435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 345438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 345440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 345443 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 345446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 345449 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345454 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 345459 */     // GIR_Coverage, 4254,
     /* 345459 */     GIR_EraseRootFromParent_Done,
     /* 345460 */   // Label 7039: @345460
     /* 345460 */   GIM_Try, /*On fail goto*//*Label 7040*/ GIMT_Encode4(345560), // Rule ID 4360 //
     /* 345465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 345469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 345473 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 345477 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 345481 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 345484 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 345488 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 345492 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 345496 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 345498 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 345505 */     // (vector_insert:{ *:[v4f32] } (undef:{ *:[v4f32] }), (ld:{ *:[f32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 345505 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 345508 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 345512 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 345522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 345527 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 345533 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 345535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 345538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 345540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 345543 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 345546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 345549 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345554 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 345559 */     // GIR_Coverage, 4360,
     /* 345559 */     GIR_EraseRootFromParent_Done,
     /* 345560 */   // Label 7040: @345560
     /* 345560 */   GIM_Try, /*On fail goto*//*Label 7041*/ GIMT_Encode4(345660), // Rule ID 4362 //
     /* 345565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 345569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 345573 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 345577 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 345581 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 345584 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 345588 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 345592 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 345596 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 345598 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 345605 */     // (vector_insert:{ *:[v4f32] } (undef:{ *:[v4f32] }), (ld:{ *:[f32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 345605 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 345608 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 345612 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 345622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 345627 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 345633 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 345635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 345638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 345640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 345643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 345646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 345649 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345654 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 345659 */     // GIR_Coverage, 4362,
     /* 345659 */     GIR_EraseRootFromParent_Done,
     /* 345660 */   // Label 7041: @345660
     /* 345660 */   GIM_Try, /*On fail goto*//*Label 7042*/ GIMT_Encode4(345738), // Rule ID 1940 //
     /* 345665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 345668 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 345676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 345680 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 345684 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 345688 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345693 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 345697 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 345701 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 345705 */     // MIs[2] Operand 1
     /* 345705 */     // No operand predicates
     /* 345705 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 345709 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 345713 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 345717 */     // MIs[3] Operand 1
     /* 345717 */     // No operand predicates
     /* 345717 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 345719 */     // (vector_insert:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx2), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)  =>  (INSvi32lane:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (imm:{ *:[i64] }):$idx, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] }):$idx2)
     /* 345719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 345722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 345724 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 345726 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 345729 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 345733 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx2
     /* 345736 */     GIR_RootConstrainSelectedInstOperands,
     /* 345737 */     // GIR_Coverage, 1940,
     /* 345737 */     GIR_EraseRootFromParent_Done,
     /* 345738 */   // Label 7042: @345738
     /* 345738 */   GIM_Try, /*On fail goto*//*Label 7043*/ GIMT_Encode4(345805), // Rule ID 5705 //
     /* 345743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 345751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 345755 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 345759 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 345763 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345768 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 345772 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 345776 */     // MIs[2] Operand 1
     /* 345776 */     // No operand predicates
     /* 345776 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 345780 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 345784 */     // MIs[3] Operand 1
     /* 345784 */     // No operand predicates
     /* 345784 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 345786 */     // (vector_insert:{ *:[v4f32] } V128:{ *:[v4f32] }:$src, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi32lane:{ *:[v4f32] } V128:{ *:[v4f32] }:$src, (imm:{ *:[i64] }):$Immd, V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] }):$Immn)
     /* 345786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 345789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 345791 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 345793 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 345796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 345800 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 345803 */     GIR_RootConstrainSelectedInstOperands,
     /* 345804 */     // GIR_Coverage, 5705,
     /* 345804 */     GIR_EraseRootFromParent_Done,
     /* 345805 */   // Label 7043: @345805
     /* 345805 */   GIM_Try, /*On fail goto*//*Label 7044*/ GIMT_Encode4(345903), // Rule ID 5706 //
     /* 345810 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 345818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 345822 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 345826 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 345830 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345835 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 345839 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 345843 */     // MIs[2] Operand 1
     /* 345843 */     // No operand predicates
     /* 345843 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 345847 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 345851 */     // MIs[3] Operand 1
     /* 345851 */     // No operand predicates
     /* 345851 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 345853 */     // (vector_insert:{ *:[v4f32] } V128:{ *:[v4f32] }:$src, (vector_extract:{ *:[f32] } V64:{ *:[v2f32] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi32lane:{ *:[v4f32] } V128:{ *:[v4f32] }:$src, (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v2f32] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn)
     /* 345853 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 345856 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 345860 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345865 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 345868 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 345872 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 345875 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345880 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 345888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 345890 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 345892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 345895 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 345898 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 345901 */     GIR_RootConstrainSelectedInstOperands,
     /* 345902 */     // GIR_Coverage, 5706,
     /* 345902 */     GIR_EraseRootFromParent_Done,
     /* 345903 */   // Label 7044: @345903
     /* 345903 */   GIM_Try, /*On fail goto*//*Label 7045*/ GIMT_Encode4(345970), // Rule ID 5729 //
     /* 345908 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 345916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 345920 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 345924 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 345928 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345933 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 345937 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 345941 */     // MIs[2] Operand 1
     /* 345941 */     // No operand predicates
     /* 345941 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 345945 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 345949 */     // MIs[3] Operand 1
     /* 345949 */     // No operand predicates
     /* 345949 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 345951 */     // (vector_insert:{ *:[v4i32] } V128:{ *:[v4i32] }:$src, (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi32lane:{ *:[v4i32] } V128:{ *:[v4i32] }:$src, (imm:{ *:[i64] }):$Immd, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] }):$Immn)
     /* 345951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 345954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 345956 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 345958 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 345961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 345965 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 345968 */     GIR_RootConstrainSelectedInstOperands,
     /* 345969 */     // GIR_Coverage, 5729,
     /* 345969 */     GIR_EraseRootFromParent_Done,
     /* 345970 */   // Label 7045: @345970
     /* 345970 */   GIM_Try, /*On fail goto*//*Label 7046*/ GIMT_Encode4(346068), // Rule ID 5730 //
     /* 345975 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 345983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 345987 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 345991 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 345995 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 346000 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 346004 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 346008 */     // MIs[2] Operand 1
     /* 346008 */     // No operand predicates
     /* 346008 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 346012 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 346016 */     // MIs[3] Operand 1
     /* 346016 */     // No operand predicates
     /* 346016 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 346018 */     // (vector_insert:{ *:[v4i32] } V128:{ *:[v4i32] }:$src, (vector_extract:{ *:[i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi32lane:{ *:[v4i32] } V128:{ *:[v4i32] }:$src, (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn)
     /* 346018 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 346021 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 346025 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 346030 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 346033 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 346037 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 346040 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 346045 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 346050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 346053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 346055 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 346057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 346060 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 346063 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 346066 */     GIR_RootConstrainSelectedInstOperands,
     /* 346067 */     // GIR_Coverage, 5730,
     /* 346067 */     GIR_EraseRootFromParent_Done,
     /* 346068 */   // Label 7046: @346068
     /* 346068 */   GIM_Try, /*On fail goto*//*Label 7047*/ GIMT_Encode4(346134), // Rule ID 5664 //
     /* 346073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 346077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 346081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 346085 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 346089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 346091 */     // (vector_insert:{ *:[v4i32] } (undef:{ *:[v4i32] }), FPR32:{ *:[i32] }:$Rn, 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR32:{ *:[i32] }:$Rn, ssub:{ *:[i32] })
     /* 346091 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 346094 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 346098 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 346103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 346105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 346108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 346110 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 346113 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 346115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 346118 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 346123 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 346128 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 346133 */     // GIR_Coverage, 5664,
     /* 346133 */     GIR_EraseRootFromParent_Done,
     /* 346134 */   // Label 7047: @346134
     /* 346134 */   GIM_Try, /*On fail goto*//*Label 7048*/ GIMT_Encode4(346200), // Rule ID 5672 //
     /* 346139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 346143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 346147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 346151 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 346155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 346157 */     // (vector_insert:{ *:[v4f32] } (undef:{ *:[v4f32] }), FPR32:{ *:[f32] }:$Rn, 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v4f32] } (IMPLICIT_DEF:{ *:[v4f32] }), FPR32:{ *:[f32] }:$Rn, ssub:{ *:[i32] })
     /* 346157 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 346160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 346164 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 346169 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 346171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 346174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 346176 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 346179 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 346181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 346184 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 346189 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 346194 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 346199 */     // GIR_Coverage, 5672,
     /* 346199 */     GIR_EraseRootFromParent_Done,
     /* 346200 */   // Label 7048: @346200
     /* 346200 */   GIM_Try, /*On fail goto*//*Label 7049*/ GIMT_Encode4(346253), // Rule ID 5681 //
     /* 346205 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 346209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 346213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 346217 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 346221 */     // MIs[1] Operand 1
     /* 346221 */     // No operand predicates
     /* 346221 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 346225 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 346229 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 346233 */     // MIs[2] Operand 1
     /* 346233 */     // No operand predicates
     /* 346233 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 346235 */     // (vector_insert:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (fpimm:{ *:[f32] })<<P:Predicate_fpimm0>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm)  =>  (INSvi32gpr:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm, WZR:{ *:[i32] })
     /* 346235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi32gpr),
     /* 346238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 346240 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 346242 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 346245 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 346251 */     GIR_RootConstrainSelectedInstOperands,
     /* 346252 */     // GIR_Coverage, 5681,
     /* 346252 */     GIR_EraseRootFromParent_Done,
     /* 346253 */   // Label 7049: @346253
     /* 346253 */   GIM_Try, /*On fail goto*//*Label 7050*/ GIMT_Encode4(346322), // Rule ID 6400 //
     /* 346258 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 346262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 346266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 346270 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 346273 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 346277 */     // MIs[1] Rn
     /* 346277 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 346281 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 346286 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 346290 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 346294 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 346298 */     // MIs[2] Operand 1
     /* 346298 */     // No operand predicates
     /* 346298 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 346300 */     // (vector_insert:{ *:[v4i32] } VecListOne128:{ *:[v4i32] }:$Rd, (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)  =>  (LD1i32:{ *:[v4i32] } VecListOne128:{ *:[v4i32] }:$Rd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 346300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1i32),
     /* 346303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 346305 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 346307 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 346310 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 346314 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 346320 */     GIR_RootConstrainSelectedInstOperands,
     /* 346321 */     // GIR_Coverage, 6400,
     /* 346321 */     GIR_EraseRootFromParent_Done,
     /* 346322 */   // Label 7050: @346322
     /* 346322 */   GIM_Try, /*On fail goto*//*Label 7051*/ GIMT_Encode4(346391), // Rule ID 6401 //
     /* 346327 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 346331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 346335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 346339 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 346342 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 346346 */     // MIs[1] Rn
     /* 346346 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 346350 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 346355 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 346359 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 346363 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 346367 */     // MIs[2] Operand 1
     /* 346367 */     // No operand predicates
     /* 346367 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 346369 */     // (vector_insert:{ *:[v4f32] } VecListOne128:{ *:[v4f32] }:$Rd, (ld:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)  =>  (LD1i32:{ *:[v4f32] } VecListOne128:{ *:[v4f32] }:$Rd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 346369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1i32),
     /* 346372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 346374 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 346376 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 346379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 346383 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 346389 */     GIR_RootConstrainSelectedInstOperands,
     /* 346390 */     // GIR_Coverage, 6401,
     /* 346390 */     GIR_EraseRootFromParent_Done,
     /* 346391 */   // Label 7051: @346391
     /* 346391 */   GIM_Try, /*On fail goto*//*Label 7052*/ GIMT_Encode4(346492), // Rule ID 5739 //
     /* 346396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 346400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 346404 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 346408 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 346413 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 346417 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 346421 */     // MIs[2] Operand 1
     /* 346421 */     // No operand predicates
     /* 346421 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 346423 */     // (vector_insert:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$src, (bitconvert:{ *:[i32] } FPR32:{ *:[f32] }:$Sn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi32lane:{ *:[v4i32] } V128:{ *:[v4i32] }:$src, (imm:{ *:[i64] }):$Immd, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), FPR32:{ *:[f32] }:$Sn, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 346423 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 346426 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 346430 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 346435 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 346437 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 346440 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 346444 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 346449 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 346452 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Sn
     /* 346456 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 346459 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 346464 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 346469 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 346474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 346477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 346479 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 346481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immd
     /* 346484 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 346487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346490 */     GIR_RootConstrainSelectedInstOperands,
     /* 346491 */     // GIR_Coverage, 5739,
     /* 346491 */     GIR_EraseRootFromParent_Done,
     /* 346492 */   // Label 7052: @346492
     /* 346492 */   GIM_Try, /*On fail goto*//*Label 7053*/ GIMT_Encode4(346536), // Rule ID 1936 //
     /* 346497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 346500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 346504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 346508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 346512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 346516 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 346520 */     // MIs[1] Operand 1
     /* 346520 */     // No operand predicates
     /* 346520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 346522 */     // (vector_insert:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)  =>  (INSvi32gpr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (imm:{ *:[i64] }):$idx, GPR32:{ *:[i32] }:$Rn)
     /* 346522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi32gpr),
     /* 346525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 346527 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 346529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 346532 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 346534 */     GIR_RootConstrainSelectedInstOperands,
     /* 346535 */     // GIR_Coverage, 1936,
     /* 346535 */     GIR_EraseRootFromParent_Done,
     /* 346536 */   // Label 7053: @346536
     /* 346536 */   GIM_Try, /*On fail goto*//*Label 7054*/ GIMT_Encode4(346632), // Rule ID 5686 //
     /* 346541 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 346545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 346549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 346553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 346557 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 346561 */     // MIs[1] Operand 1
     /* 346561 */     // No operand predicates
     /* 346561 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 346563 */     // (vector_insert:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm)  =>  (INSvi32lane:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm, (INSERT_SUBREG:{ *:[v4f32] } (IMPLICIT_DEF:{ *:[v4f32] }), FPR32:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 346563 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 346566 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 346570 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 346575 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 346577 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 346580 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 346584 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 346589 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 346592 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 346596 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 346599 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 346604 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 346609 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 346614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 346617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 346619 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 346621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 346624 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 346627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346630 */     GIR_RootConstrainSelectedInstOperands,
     /* 346631 */     // GIR_Coverage, 5686,
     /* 346631 */     GIR_EraseRootFromParent_Done,
     /* 346632 */   // Label 7054: @346632
     /* 346632 */   GIM_Reject,
     /* 346633 */ // Label 7025: @346633
     /* 346633 */ GIM_Reject,
     /* 346634 */ // Label 6913: @346634
     /* 346634 */ GIM_Try, /*On fail goto*//*Label 7055*/ GIMT_Encode4(348477),
     /* 346639 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 346642 */   GIM_Try, /*On fail goto*//*Label 7056*/ GIMT_Encode4(346768), // Rule ID 4190 //
     /* 346647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 346650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 346653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 346657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 346661 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 346667 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 346669 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 346673 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 346677 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 346680 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 346684 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 346691 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 346695 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 346699 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 346701 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 346708 */     // (vector_insert:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i8] } 0:{ *:[i64] }, (LDRBroW:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 346708 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 346711 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroW),
     /* 346715 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 346720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 346725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 346730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 346735 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 346741 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 346743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 346746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 346748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346751 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 346754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 346757 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 346762 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 346767 */     // GIR_Coverage, 4190,
     /* 346767 */     GIR_EraseRootFromParent_Done,
     /* 346768 */   // Label 7056: @346768
     /* 346768 */   GIM_Try, /*On fail goto*//*Label 7057*/ GIMT_Encode4(346894), // Rule ID 4191 //
     /* 346773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 346776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 346779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 346783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 346787 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 346793 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 346795 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 346799 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 346803 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 346806 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 346810 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 346817 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 346821 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 346825 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 346827 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 346834 */     // (vector_insert:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i8] } 0:{ *:[i64] }, (LDRBroX:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 346834 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 346837 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroX),
     /* 346841 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 346846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 346851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 346856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 346861 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 346867 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 346869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 346872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 346874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346877 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 346880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 346883 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 346888 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 346893 */     // GIR_Coverage, 4191,
     /* 346893 */     GIR_EraseRootFromParent_Done,
     /* 346894 */   // Label 7057: @346894
     /* 346894 */   GIM_Try, /*On fail goto*//*Label 7058*/ GIMT_Encode4(347016), // Rule ID 4196 //
     /* 346899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 346902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 346905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 346909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 346913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 346917 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 346921 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 346925 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 346928 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 346932 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 346939 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 346943 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 346947 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 346949 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 346956 */     // (vector_insert:{ *:[v8i8] } (undef:{ *:[v8i8] }), (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i8] } 0:{ *:[i64] }, (LDRBroW:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 346956 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 346959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroW),
     /* 346963 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 346968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 346973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 346978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 346983 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 346989 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 346991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 346994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 346996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346999 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 347002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 347005 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 347010 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 347015 */     // GIR_Coverage, 4196,
     /* 347015 */     GIR_EraseRootFromParent_Done,
     /* 347016 */   // Label 7058: @347016
     /* 347016 */   GIM_Try, /*On fail goto*//*Label 7059*/ GIMT_Encode4(347138), // Rule ID 4198 //
     /* 347021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 347024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 347027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 347031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 347035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 347039 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 347043 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 347047 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 347050 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 347054 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 347061 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 347065 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 347069 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 347071 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 347078 */     // (vector_insert:{ *:[v8i8] } (undef:{ *:[v8i8] }), (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i8] } 0:{ *:[i64] }, (LDRBroX:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 347078 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 347081 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroX),
     /* 347085 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 347090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 347095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 347100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 347105 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 347111 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 347113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 347116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 347118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347121 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 347124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 347127 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 347132 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 347137 */     // GIR_Coverage, 4198,
     /* 347137 */     GIR_EraseRootFromParent_Done,
     /* 347138 */   // Label 7059: @347138
     /* 347138 */   GIM_Try, /*On fail goto*//*Label 7060*/ GIMT_Encode4(347259), // Rule ID 4188 //
     /* 347143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 347146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 347149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 347153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 347157 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 347163 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 347165 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 347169 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 347173 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 347176 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 347180 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 347187 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 347191 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 347195 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 347197 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 347204 */     // (vector_insert:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i8] } 0:{ *:[i64] }, (LDRBui:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), bsub:{ *:[i32] })
     /* 347204 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 347207 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBui),
     /* 347211 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 347216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 347221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 347226 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 347232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 347234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 347237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 347239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347242 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 347245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 347248 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 347253 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 347258 */     // GIR_Coverage, 4188,
     /* 347258 */     GIR_EraseRootFromParent_Done,
     /* 347259 */   // Label 7060: @347259
     /* 347259 */   GIM_Try, /*On fail goto*//*Label 7061*/ GIMT_Encode4(347380), // Rule ID 4189 //
     /* 347264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 347267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 347270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 347274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 347278 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 347284 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 347286 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 347290 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 347294 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 347297 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 347301 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 347308 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 347312 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 347316 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 347318 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 347325 */     // (vector_insert:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i8] } 0:{ *:[i64] }, (LDURBi:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), bsub:{ *:[i32] })
     /* 347325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 347328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURBi),
     /* 347332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 347337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 347342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 347347 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 347353 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 347355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 347358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 347360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 347366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 347369 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 347374 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 347379 */     // GIR_Coverage, 4189,
     /* 347379 */     GIR_EraseRootFromParent_Done,
     /* 347380 */   // Label 7061: @347380
     /* 347380 */   GIM_Try, /*On fail goto*//*Label 7062*/ GIMT_Encode4(347497), // Rule ID 4192 //
     /* 347385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 347388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 347391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 347395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 347399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 347403 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 347407 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 347411 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 347414 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 347418 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 347425 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 347429 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 347433 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 347435 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 347442 */     // (vector_insert:{ *:[v8i8] } (undef:{ *:[v8i8] }), (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i8] } 0:{ *:[i64] }, (LDRBui:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), bsub:{ *:[i32] })
     /* 347442 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 347445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBui),
     /* 347449 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 347454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 347459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 347464 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 347470 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 347472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 347475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 347477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347480 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 347483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 347486 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 347491 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 347496 */     // GIR_Coverage, 4192,
     /* 347496 */     GIR_EraseRootFromParent_Done,
     /* 347497 */   // Label 7062: @347497
     /* 347497 */   GIM_Try, /*On fail goto*//*Label 7063*/ GIMT_Encode4(347614), // Rule ID 4194 //
     /* 347502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 347505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 347508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 347512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 347516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 347520 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 347524 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 347528 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 347531 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 347535 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 347542 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 347546 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 347550 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 347552 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 347559 */     // (vector_insert:{ *:[v8i8] } (undef:{ *:[v8i8] }), (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i8] } 0:{ *:[i64] }, (LDURBi:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), bsub:{ *:[i32] })
     /* 347559 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 347562 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURBi),
     /* 347566 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 347571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 347576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 347581 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 347587 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 347589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 347592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 347594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347597 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 347600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 347603 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 347608 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 347613 */     // GIR_Coverage, 4194,
     /* 347613 */     GIR_EraseRootFromParent_Done,
     /* 347614 */   // Label 7063: @347614
     /* 347614 */   GIM_Try, /*On fail goto*//*Label 7064*/ GIMT_Encode4(347754), // Rule ID 5719 //
     /* 347619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 347622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 347625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 347629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 347633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 347637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 347641 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 347645 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 347649 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 347654 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 347658 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 347662 */     // MIs[2] Operand 1
     /* 347662 */     // No operand predicates
     /* 347662 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 347666 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 347670 */     // MIs[3] Operand 1
     /* 347670 */     // No operand predicates
     /* 347670 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 347672 */     // (vector_insert:{ *:[v8i8] } V64:{ *:[v8i8] }:$src, (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v8i8] } (INSvi8lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v8i8] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 347672 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 347675 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 347679 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 347684 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 347687 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 347691 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 347694 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 347699 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 347704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 347707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi8lane),
     /* 347711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 347716 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 347719 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 347722 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 347726 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 347729 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 347731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 347734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 347736 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 347743 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 347748 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 347753 */     // GIR_Coverage, 5719,
     /* 347753 */     GIR_EraseRootFromParent_Done,
     /* 347754 */   // Label 7064: @347754
     /* 347754 */   GIM_Try, /*On fail goto*//*Label 7065*/ GIMT_Encode4(347925), // Rule ID 5720 //
     /* 347759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 347762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 347765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 347769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 347773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 347777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 347781 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 347785 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 347789 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 347794 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 347798 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 347802 */     // MIs[2] Operand 1
     /* 347802 */     // No operand predicates
     /* 347802 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 347806 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 347810 */     // MIs[3] Operand 1
     /* 347810 */     // No operand predicates
     /* 347810 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 347812 */     // (vector_insert:{ *:[v8i8] } V64:{ *:[v8i8] }:$src, (vector_extract:{ *:[i32] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v8i8] } (INSvi8lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v8i8] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v8i8] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 347812 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /* 347815 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 347819 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 347824 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 347827 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 347831 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /* 347834 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 347839 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 347844 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 347847 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 347851 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 347856 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 347859 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 347863 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 347866 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 347871 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 347876 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 347879 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi8lane),
     /* 347883 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 347888 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 347891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 347894 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 347897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 347900 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 347902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 347905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 347907 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 347914 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 347919 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 347924 */     // GIR_Coverage, 5720,
     /* 347924 */     GIR_EraseRootFromParent_Done,
     /* 347925 */   // Label 7065: @347925
     /* 347925 */   GIM_Try, /*On fail goto*//*Label 7066*/ GIMT_Encode4(348004), // Rule ID 5651 //
     /* 347930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 347933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 347936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 347940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 347944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 347948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 347952 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 347956 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 347958 */     // (vector_insert:{ *:[v8i8] } (undef:{ *:[v8i8] }), GPR32:{ *:[i32] }:$Rn, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i8] } 0:{ *:[i32] }, (COPY_TO_REGCLASS:{ *:[f32] } GPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }), ssub:{ *:[i32] })
     /* 347958 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 347961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 347965 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 347970 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 347974 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 347979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 347982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 347984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347987 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 347990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 347993 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 347998 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 348003 */     // GIR_Coverage, 5651,
     /* 348003 */     GIR_EraseRootFromParent_Done,
     /* 348004 */   // Label 7066: @348004
     /* 348004 */   GIM_Try, /*On fail goto*//*Label 7067*/ GIMT_Encode4(348153), // Rule ID 6417 //
     /* 348009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 348012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 348015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 348019 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 348023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 348027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 348031 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 348034 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 348038 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 348045 */     // MIs[1] Rn
     /* 348045 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 348049 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 348054 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 348058 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 348062 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 348066 */     // MIs[2] Operand 1
     /* 348066 */     // No operand predicates
     /* 348066 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 348068 */     // (vector_insert:{ *:[v8i8] } VecListOne64:{ *:[v8i8] }:$Rd, (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)  =>  (EXTRACT_SUBREG:{ *:[v8i8] } (LD1i8:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, VecListOne64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx, GPR64sp:{ *:[i64] }:$Rn), dsub:{ *:[i32] })
     /* 348068 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 348071 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 348075 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348080 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 348083 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /* 348087 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 348090 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348095 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 348100 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 348103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LD1i8),
     /* 348107 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348112 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 348115 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // idx
     /* 348118 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 348122 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 348128 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 348130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 348133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 348135 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 348142 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 348147 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348152 */     // GIR_Coverage, 6417,
     /* 348152 */     GIR_EraseRootFromParent_Done,
     /* 348153 */   // Label 7067: @348153
     /* 348153 */   GIM_Try, /*On fail goto*//*Label 7068*/ GIMT_Encode4(348288), // Rule ID 5690 //
     /* 348158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 348161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 348164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 348168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 348172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 348176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 348180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 348184 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 348188 */     // MIs[1] Operand 1
     /* 348188 */     // No operand predicates
     /* 348188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 348190 */     // (vector_insert:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, GPR32:{ *:[i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$imm)  =>  (EXTRACT_SUBREG:{ *:[v8i8] } (INSvi8gpr:{ *:[f128] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), V64:{ *:[v8i8] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$imm, GPR32:{ *:[i32] }:$Rm), dsub:{ *:[i32] })
     /* 348190 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 348193 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 348197 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348202 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 348204 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 348207 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 348211 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348216 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 348219 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 348223 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 348226 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348231 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348236 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 348241 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 348244 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi8gpr),
     /* 348248 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348253 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 348256 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 348259 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 348263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 348265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 348268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 348270 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 348277 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 348282 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348287 */     // GIR_Coverage, 5690,
     /* 348287 */     GIR_EraseRootFromParent_Done,
     /* 348288 */   // Label 7068: @348288
     /* 348288 */   GIM_Try, /*On fail goto*//*Label 7069*/ GIMT_Encode4(348476), // Rule ID 5691 //
     /* 348293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 348296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 348299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 348303 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 348307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 348311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 348315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 348319 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 348323 */     // MIs[1] Operand 1
     /* 348323 */     // No operand predicates
     /* 348323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 348325 */     // (vector_insert:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, FPR8:{ *:[i8] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$imm)  =>  (EXTRACT_SUBREG:{ *:[v8i8] } (INSvi8lane:{ *:[f128] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), V64:{ *:[v8i8] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$imm, (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), FPR8:{ *:[i8] }:$Rm, bsub:{ *:[i32] }), 0:{ *:[i64] }), dsub:{ *:[i32] })
     /* 348325 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v16s8,
     /* 348328 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 348332 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348337 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 348339 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v16s8,
     /* 348342 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 348346 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348351 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 348354 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 348358 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/1,
     /* 348361 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348366 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348371 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 348376 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 348379 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 348383 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348388 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 348390 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 348393 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 348397 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348402 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 348405 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 348409 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 348412 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348417 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348422 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 348427 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 348430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi8lane),
     /* 348434 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348439 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 348442 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 348445 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 348448 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 348451 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 348453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 348456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 348458 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 348465 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 348470 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348475 */     // GIR_Coverage, 5691,
     /* 348475 */     GIR_EraseRootFromParent_Done,
     /* 348476 */   // Label 7069: @348476
     /* 348476 */   GIM_Reject,
     /* 348477 */ // Label 7055: @348477
     /* 348477 */ GIM_Reject,
     /* 348478 */ // Label 6914: @348478
     /* 348478 */ GIM_Try, /*On fail goto*//*Label 7070*/ GIMT_Encode4(351452),
     /* 348483 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 348486 */   GIM_Try, /*On fail goto*//*Label 7071*/ GIMT_Encode4(348612), // Rule ID 4214 //
     /* 348491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 348494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 348497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 348505 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 348511 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 348513 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 348517 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 348521 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 348524 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 348528 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 348535 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 348539 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 348543 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 348545 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 348552 */     // (vector_insert:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 348552 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 348555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 348559 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 348569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 348574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 348579 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 348585 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 348587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 348590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 348592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 348595 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 348598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 348601 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348606 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 348611 */     // GIR_Coverage, 4214,
     /* 348611 */     GIR_EraseRootFromParent_Done,
     /* 348612 */   // Label 7071: @348612
     /* 348612 */   GIM_Try, /*On fail goto*//*Label 7072*/ GIMT_Encode4(348738), // Rule ID 4215 //
     /* 348617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 348620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 348623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 348631 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 348637 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 348639 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 348643 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 348647 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 348650 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 348654 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 348661 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 348665 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 348669 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 348671 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 348678 */     // (vector_insert:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 348678 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 348681 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 348685 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 348695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 348700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 348705 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 348711 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 348713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 348716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 348718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 348721 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 348724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 348727 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348732 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 348737 */     // GIR_Coverage, 4215,
     /* 348737 */     GIR_EraseRootFromParent_Done,
     /* 348738 */   // Label 7072: @348738
     /* 348738 */   GIM_Try, /*On fail goto*//*Label 7073*/ GIMT_Encode4(348857), // Rule ID 4322 //
     /* 348743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 348746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 348749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 348757 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 348763 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 348765 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 348769 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 348773 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 348776 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 348780 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 348784 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 348788 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 348790 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 348797 */     // (vector_insert:{ *:[v8f16] } immAllZerosV:{ *:[v8f16] }, (ld:{ *:[f16] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8f16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 348797 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 348800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 348804 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 348814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 348819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 348824 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 348830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 348832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 348835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 348837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 348840 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 348843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 348846 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348851 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 348856 */     // GIR_Coverage, 4322,
     /* 348856 */     GIR_EraseRootFromParent_Done,
     /* 348857 */   // Label 7073: @348857
     /* 348857 */   GIM_Try, /*On fail goto*//*Label 7074*/ GIMT_Encode4(348976), // Rule ID 4323 //
     /* 348862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 348865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 348868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 348876 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 348882 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 348884 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 348888 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 348892 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 348895 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 348899 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 348903 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 348907 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 348909 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 348916 */     // (vector_insert:{ *:[v8f16] } immAllZerosV:{ *:[v8f16] }, (ld:{ *:[f16] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8f16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 348916 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 348919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 348923 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 348933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 348938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 348943 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 348949 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 348951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 348954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 348956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 348959 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 348962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 348965 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348970 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 348975 */     // GIR_Coverage, 4323,
     /* 348975 */     GIR_EraseRootFromParent_Done,
     /* 348976 */   // Label 7074: @348976
     /* 348976 */   GIM_Try, /*On fail goto*//*Label 7075*/ GIMT_Encode4(349098), // Rule ID 4220 //
     /* 348981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 348984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 348987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 348995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 348999 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 349003 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 349007 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 349010 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 349014 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 349021 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 349025 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 349029 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 349031 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 349038 */     // (vector_insert:{ *:[v8i16] } (undef:{ *:[v8i16] }), (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 349038 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 349041 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 349045 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 349050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 349055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 349060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 349065 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 349071 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 349073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 349076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 349078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 349081 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 349084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 349087 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 349092 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 349097 */     // GIR_Coverage, 4220,
     /* 349097 */     GIR_EraseRootFromParent_Done,
     /* 349098 */   // Label 7075: @349098
     /* 349098 */   GIM_Try, /*On fail goto*//*Label 7076*/ GIMT_Encode4(349220), // Rule ID 4222 //
     /* 349103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 349106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 349109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 349113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 349117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 349121 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 349125 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 349129 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 349132 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 349136 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 349143 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 349147 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 349151 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 349153 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 349160 */     // (vector_insert:{ *:[v8i16] } (undef:{ *:[v8i16] }), (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 349160 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 349163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 349167 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 349172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 349177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 349182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 349187 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 349193 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 349195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 349198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 349200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 349203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 349206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 349209 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 349214 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 349219 */     // GIR_Coverage, 4222,
     /* 349219 */     GIR_EraseRootFromParent_Done,
     /* 349220 */   // Label 7076: @349220
     /* 349220 */   GIM_Try, /*On fail goto*//*Label 7077*/ GIMT_Encode4(349335), // Rule ID 4328 //
     /* 349225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 349228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 349231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 349235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 349239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 349243 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 349247 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 349251 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 349254 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 349258 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 349262 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 349266 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 349268 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 349275 */     // (vector_insert:{ *:[v8f16] } (undef:{ *:[v8f16] }), (ld:{ *:[f16] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8f16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 349275 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 349278 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 349282 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 349287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 349292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 349297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 349302 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 349308 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 349310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 349313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 349315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 349318 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 349321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 349324 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 349329 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 349334 */     // GIR_Coverage, 4328,
     /* 349334 */     GIR_EraseRootFromParent_Done,
     /* 349335 */   // Label 7077: @349335
     /* 349335 */   GIM_Try, /*On fail goto*//*Label 7078*/ GIMT_Encode4(349450), // Rule ID 4330 //
     /* 349340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 349343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 349346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 349350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 349354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 349358 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 349362 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 349366 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 349369 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 349373 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 349377 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 349381 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 349383 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 349390 */     // (vector_insert:{ *:[v8f16] } (undef:{ *:[v8f16] }), (ld:{ *:[f16] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8f16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 349390 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 349393 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 349397 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 349402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 349407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 349412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 349417 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 349423 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 349425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 349428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 349430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 349433 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 349436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 349439 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 349444 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 349449 */     // GIR_Coverage, 4330,
     /* 349449 */     GIR_EraseRootFromParent_Done,
     /* 349450 */   // Label 7078: @349450
     /* 349450 */   GIM_Try, /*On fail goto*//*Label 7079*/ GIMT_Encode4(349571), // Rule ID 4212 //
     /* 349455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 349458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 349461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 349465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 349469 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 349475 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 349477 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 349481 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 349485 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 349488 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 349492 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 349499 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 349503 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 349507 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 349509 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 349516 */     // (vector_insert:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 349516 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 349519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 349523 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 349528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 349533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 349538 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 349544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 349546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 349549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 349551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 349554 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 349557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 349560 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 349565 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 349570 */     // GIR_Coverage, 4212,
     /* 349570 */     GIR_EraseRootFromParent_Done,
     /* 349571 */   // Label 7079: @349571
     /* 349571 */   GIM_Try, /*On fail goto*//*Label 7080*/ GIMT_Encode4(349692), // Rule ID 4213 //
     /* 349576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 349579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 349582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 349586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 349590 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 349596 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 349598 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 349602 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 349606 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 349609 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 349613 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 349620 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 349624 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 349628 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 349630 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 349637 */     // (vector_insert:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 349637 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 349640 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 349644 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 349649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 349654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 349659 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 349665 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 349667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 349670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 349672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 349675 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 349678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 349681 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 349686 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 349691 */     // GIR_Coverage, 4213,
     /* 349691 */     GIR_EraseRootFromParent_Done,
     /* 349692 */   // Label 7080: @349692
     /* 349692 */   GIM_Try, /*On fail goto*//*Label 7081*/ GIMT_Encode4(349806), // Rule ID 4320 //
     /* 349697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 349700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 349703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 349707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 349711 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 349717 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 349719 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 349723 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 349727 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 349730 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 349734 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 349738 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 349742 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 349744 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 349751 */     // (vector_insert:{ *:[v8f16] } immAllZerosV:{ *:[v8f16] }, (ld:{ *:[f16] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8f16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 349751 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 349754 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 349758 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 349763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 349768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 349773 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 349779 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 349781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 349784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 349786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 349789 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 349792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 349795 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 349800 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 349805 */     // GIR_Coverage, 4320,
     /* 349805 */     GIR_EraseRootFromParent_Done,
     /* 349806 */   // Label 7081: @349806
     /* 349806 */   GIM_Try, /*On fail goto*//*Label 7082*/ GIMT_Encode4(349920), // Rule ID 4321 //
     /* 349811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 349814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 349817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 349821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 349825 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 349831 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 349833 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 349837 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 349841 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 349844 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 349848 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 349852 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 349856 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 349858 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 349865 */     // (vector_insert:{ *:[v8f16] } immAllZerosV:{ *:[v8f16] }, (ld:{ *:[f16] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8f16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 349865 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 349868 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 349872 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 349877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 349882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 349887 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 349893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 349895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 349898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 349900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 349903 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 349906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 349909 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 349914 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 349919 */     // GIR_Coverage, 4321,
     /* 349919 */     GIR_EraseRootFromParent_Done,
     /* 349920 */   // Label 7082: @349920
     /* 349920 */   GIM_Try, /*On fail goto*//*Label 7083*/ GIMT_Encode4(350037), // Rule ID 4216 //
     /* 349925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 349928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 349931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 349935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 349939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 349943 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 349947 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 349951 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 349954 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 349958 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 349965 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 349969 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 349973 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 349975 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 349982 */     // (vector_insert:{ *:[v8i16] } (undef:{ *:[v8i16] }), (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 349982 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 349985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 349989 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 349994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 349999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 350004 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 350010 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 350012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 350015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 350017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 350020 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 350023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 350026 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350031 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 350036 */     // GIR_Coverage, 4216,
     /* 350036 */     GIR_EraseRootFromParent_Done,
     /* 350037 */   // Label 7083: @350037
     /* 350037 */   GIM_Try, /*On fail goto*//*Label 7084*/ GIMT_Encode4(350154), // Rule ID 4218 //
     /* 350042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 350045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 350048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 350056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 350060 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 350064 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 350068 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 350071 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 350075 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 350082 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 350086 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 350090 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 350092 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 350099 */     // (vector_insert:{ *:[v8i16] } (undef:{ *:[v8i16] }), (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 350099 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 350102 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 350106 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 350111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 350116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 350121 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 350127 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 350129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 350132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 350134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 350137 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 350140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 350143 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350148 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 350153 */     // GIR_Coverage, 4218,
     /* 350153 */     GIR_EraseRootFromParent_Done,
     /* 350154 */   // Label 7084: @350154
     /* 350154 */   GIM_Try, /*On fail goto*//*Label 7085*/ GIMT_Encode4(350264), // Rule ID 4324 //
     /* 350159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 350162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 350165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 350173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 350177 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 350181 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 350185 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 350188 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 350192 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 350196 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 350200 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 350202 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 350209 */     // (vector_insert:{ *:[v8f16] } (undef:{ *:[v8f16] }), (ld:{ *:[f16] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8f16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 350209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 350212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 350216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 350221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 350226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 350231 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 350237 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 350239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 350242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 350244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 350247 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 350250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 350253 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350258 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 350263 */     // GIR_Coverage, 4324,
     /* 350263 */     GIR_EraseRootFromParent_Done,
     /* 350264 */   // Label 7085: @350264
     /* 350264 */   GIM_Try, /*On fail goto*//*Label 7086*/ GIMT_Encode4(350374), // Rule ID 4326 //
     /* 350269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 350272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 350275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 350283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 350287 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 350291 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 350295 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 350298 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 350302 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 350306 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 350310 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 350312 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 350319 */     // (vector_insert:{ *:[v8f16] } (undef:{ *:[v8f16] }), (ld:{ *:[f16] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8f16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 350319 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 350322 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 350326 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 350331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 350336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 350341 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 350347 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 350349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 350352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 350354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 350357 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 350360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 350363 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350368 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 350373 */     // GIR_Coverage, 4326,
     /* 350373 */     GIR_EraseRootFromParent_Done,
     /* 350374 */   // Label 7086: @350374
     /* 350374 */   GIM_Try, /*On fail goto*//*Label 7087*/ GIMT_Encode4(350462), // Rule ID 1939 //
     /* 350379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 350382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 350385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 350388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350392 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 350400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 350404 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 350408 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 350412 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350417 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 350421 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 350425 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 350429 */     // MIs[2] Operand 1
     /* 350429 */     // No operand predicates
     /* 350429 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 350433 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 350437 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 350441 */     // MIs[3] Operand 1
     /* 350441 */     // No operand predicates
     /* 350441 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 350443 */     // (vector_insert:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx2), (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)  =>  (INSvi16lane:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (imm:{ *:[i64] }):$idx, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] }):$idx2)
     /* 350443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 350446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 350448 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 350450 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 350453 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 350457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx2
     /* 350460 */     GIR_RootConstrainSelectedInstOperands,
     /* 350461 */     // GIR_Coverage, 1939,
     /* 350461 */     GIR_EraseRootFromParent_Done,
     /* 350462 */   // Label 7087: @350462
     /* 350462 */   GIM_Try, /*On fail goto*//*Label 7088*/ GIMT_Encode4(350539), // Rule ID 5699 //
     /* 350467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 350470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 350473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 350485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 350489 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 350493 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 350497 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350502 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 350506 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 350510 */     // MIs[2] Operand 1
     /* 350510 */     // No operand predicates
     /* 350510 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 350514 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 350518 */     // MIs[3] Operand 1
     /* 350518 */     // No operand predicates
     /* 350518 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 350520 */     // (vector_insert:{ *:[v8f16] } V128:{ *:[v8f16] }:$src, (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi16lane:{ *:[v8f16] } V128:{ *:[v8f16] }:$src, (imm:{ *:[i64] }):$Immd, V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] }):$Immn)
     /* 350520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 350523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 350525 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 350527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 350530 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 350534 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 350537 */     GIR_RootConstrainSelectedInstOperands,
     /* 350538 */     // GIR_Coverage, 5699,
     /* 350538 */     GIR_EraseRootFromParent_Done,
     /* 350539 */   // Label 7088: @350539
     /* 350539 */   GIM_Try, /*On fail goto*//*Label 7089*/ GIMT_Encode4(350647), // Rule ID 5700 //
     /* 350544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 350547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 350550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350554 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 350562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 350566 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 350570 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 350574 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350579 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 350583 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 350587 */     // MIs[2] Operand 1
     /* 350587 */     // No operand predicates
     /* 350587 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 350591 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 350595 */     // MIs[3] Operand 1
     /* 350595 */     // No operand predicates
     /* 350595 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 350597 */     // (vector_insert:{ *:[v8f16] } V128:{ *:[v8f16] }:$src, (vector_extract:{ *:[f16] } V64:{ *:[v4f16] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi16lane:{ *:[v8f16] } V128:{ *:[v8f16] }:$src, (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v4f16] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn)
     /* 350597 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 350600 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 350604 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 350609 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 350612 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 350616 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 350619 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350624 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 350632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 350634 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 350636 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 350639 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 350642 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 350645 */     GIR_RootConstrainSelectedInstOperands,
     /* 350646 */     // GIR_Coverage, 5700,
     /* 350646 */     GIR_EraseRootFromParent_Done,
     /* 350647 */   // Label 7089: @350647
     /* 350647 */   GIM_Try, /*On fail goto*//*Label 7090*/ GIMT_Encode4(350724), // Rule ID 5723 //
     /* 350652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 350655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 350658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350662 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 350670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 350674 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 350678 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 350682 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350687 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 350691 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 350695 */     // MIs[2] Operand 1
     /* 350695 */     // No operand predicates
     /* 350695 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 350699 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 350703 */     // MIs[3] Operand 1
     /* 350703 */     // No operand predicates
     /* 350703 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 350705 */     // (vector_insert:{ *:[v8i16] } V128:{ *:[v8i16] }:$src, (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi16lane:{ *:[v8i16] } V128:{ *:[v8i16] }:$src, (imm:{ *:[i64] }):$Immd, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] }):$Immn)
     /* 350705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 350708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 350710 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 350712 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 350715 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 350719 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 350722 */     GIR_RootConstrainSelectedInstOperands,
     /* 350723 */     // GIR_Coverage, 5723,
     /* 350723 */     GIR_EraseRootFromParent_Done,
     /* 350724 */   // Label 7090: @350724
     /* 350724 */   GIM_Try, /*On fail goto*//*Label 7091*/ GIMT_Encode4(350832), // Rule ID 5724 //
     /* 350729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 350732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 350735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 350747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 350751 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 350755 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 350759 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350764 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 350768 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 350772 */     // MIs[2] Operand 1
     /* 350772 */     // No operand predicates
     /* 350772 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 350776 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 350780 */     // MIs[3] Operand 1
     /* 350780 */     // No operand predicates
     /* 350780 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 350782 */     // (vector_insert:{ *:[v8i16] } V128:{ *:[v8i16] }:$src, (vector_extract:{ *:[i32] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi16lane:{ *:[v8i16] } V128:{ *:[v8i16] }:$src, (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn)
     /* 350782 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 350785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 350789 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 350794 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 350797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 350801 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 350804 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350809 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 350817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 350819 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 350821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 350824 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 350827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 350830 */     GIR_RootConstrainSelectedInstOperands,
     /* 350831 */     // GIR_Coverage, 5724,
     /* 350831 */     GIR_EraseRootFromParent_Done,
     /* 350832 */   // Label 7091: @350832
     /* 350832 */   GIM_Try, /*On fail goto*//*Label 7092*/ GIMT_Encode4(350911), // Rule ID 5654 //
     /* 350837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 350840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 350843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 350851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 350855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 350859 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 350863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 350865 */     // (vector_insert:{ *:[v8i16] } (undef:{ *:[v8i16] }), GPR32:{ *:[i32] }:$Rn, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i16] } 0:{ *:[i32] }, (COPY_TO_REGCLASS:{ *:[f32] } GPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }), ssub:{ *:[i32] })
     /* 350865 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 350868 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 350872 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 350877 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 350881 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 350886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 350889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 350891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 350894 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 350897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 350900 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350905 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 350910 */     // GIR_Coverage, 5654,
     /* 350910 */     GIR_EraseRootFromParent_Done,
     /* 350911 */   // Label 7092: @350911
     /* 350911 */   GIM_Try, /*On fail goto*//*Label 7093*/ GIMT_Encode4(350987), // Rule ID 5660 //
     /* 350916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 350919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 350922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 350930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 350934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 350938 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 350942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 350944 */     // (vector_insert:{ *:[v8f16] } (undef:{ *:[v8f16] }), FPR16:{ *:[f16] }:$Rn, 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v8f16] } (IMPLICIT_DEF:{ *:[v8f16] }), FPR16:{ *:[f16] }:$Rn, hsub:{ *:[i32] })
     /* 350944 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 350947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 350951 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 350956 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 350958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 350961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 350963 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 350966 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 350968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 350971 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350976 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350981 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 350986 */     // GIR_Coverage, 5660,
     /* 350986 */     GIR_EraseRootFromParent_Done,
     /* 350987 */   // Label 7093: @350987
     /* 350987 */   GIM_Try, /*On fail goto*//*Label 7094*/ GIMT_Encode4(351063), // Rule ID 5670 //
     /* 350992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 350995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 350998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 351006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 351010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 351014 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 351018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 351020 */     // (vector_insert:{ *:[v8f16] } (undef:{ *:[v8f16] }), FPR16:{ *:[f16] }:$Rn, 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v8f16] } (IMPLICIT_DEF:{ *:[v8f16] }), FPR16:{ *:[f16] }:$Rn, hsub:{ *:[i32] })
     /* 351020 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 351023 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 351027 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 351032 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 351034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 351037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 351039 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 351042 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 351044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 351047 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351052 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351057 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 351062 */     // GIR_Coverage, 5670,
     /* 351062 */     GIR_EraseRootFromParent_Done,
     /* 351063 */   // Label 7094: @351063
     /* 351063 */   GIM_Try, /*On fail goto*//*Label 7095*/ GIMT_Encode4(351126), // Rule ID 5679 //
     /* 351068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 351071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 351074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351078 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 351086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 351090 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 351094 */     // MIs[1] Operand 1
     /* 351094 */     // No operand predicates
     /* 351094 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 351098 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 351102 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 351106 */     // MIs[2] Operand 1
     /* 351106 */     // No operand predicates
     /* 351106 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 351108 */     // (vector_insert:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (fpimm:{ *:[f16] })<<P:Predicate_fpimm0>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm)  =>  (INSvi16gpr:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm, WZR:{ *:[i32] })
     /* 351108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi16gpr),
     /* 351111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 351113 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 351115 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 351118 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 351124 */     GIR_RootConstrainSelectedInstOperands,
     /* 351125 */     // GIR_Coverage, 5679,
     /* 351125 */     GIR_EraseRootFromParent_Done,
     /* 351126 */   // Label 7095: @351126
     /* 351126 */   GIM_Try, /*On fail goto*//*Label 7096*/ GIMT_Encode4(351212), // Rule ID 6399 //
     /* 351131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 351134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 351137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 351149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 351153 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 351156 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 351160 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 351167 */     // MIs[1] Rn
     /* 351167 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 351171 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 351176 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 351180 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 351184 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 351188 */     // MIs[2] Operand 1
     /* 351188 */     // No operand predicates
     /* 351188 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 351190 */     // (vector_insert:{ *:[v8i16] } VecListOne128:{ *:[v8i16] }:$Rd, (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)  =>  (LD1i16:{ *:[v8i16] } VecListOne128:{ *:[v8i16] }:$Rd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 351190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1i16),
     /* 351193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 351195 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 351197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 351200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 351204 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 351210 */     GIR_RootConstrainSelectedInstOperands,
     /* 351211 */     // GIR_Coverage, 6399,
     /* 351211 */     GIR_EraseRootFromParent_Done,
     /* 351212 */   // Label 7096: @351212
     /* 351212 */   GIM_Try, /*On fail goto*//*Label 7097*/ GIMT_Encode4(351291), // Rule ID 6404 //
     /* 351217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 351220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 351223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 351235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 351239 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 351242 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 351246 */     // MIs[1] Rn
     /* 351246 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 351250 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 351255 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 351259 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 351263 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 351267 */     // MIs[2] Operand 1
     /* 351267 */     // No operand predicates
     /* 351267 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 351269 */     // (vector_insert:{ *:[v8f16] } VecListOne128:{ *:[v8f16] }:$Rd, (ld:{ *:[f16] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)  =>  (LD1i16:{ *:[v8f16] } VecListOne128:{ *:[v8f16] }:$Rd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 351269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1i16),
     /* 351272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 351274 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 351276 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 351279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 351283 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 351289 */     GIR_RootConstrainSelectedInstOperands,
     /* 351290 */     // GIR_Coverage, 6404,
     /* 351290 */     GIR_EraseRootFromParent_Done,
     /* 351291 */   // Label 7097: @351291
     /* 351291 */   GIM_Try, /*On fail goto*//*Label 7098*/ GIMT_Encode4(351345), // Rule ID 1935 //
     /* 351296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 351299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 351302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 351305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351309 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 351317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 351321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 351325 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 351329 */     // MIs[1] Operand 1
     /* 351329 */     // No operand predicates
     /* 351329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 351331 */     // (vector_insert:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)  =>  (INSvi16gpr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (imm:{ *:[i64] }):$idx, GPR32:{ *:[i32] }:$Rn)
     /* 351331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi16gpr),
     /* 351334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 351336 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 351338 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 351341 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 351343 */     GIR_RootConstrainSelectedInstOperands,
     /* 351344 */     // GIR_Coverage, 1935,
     /* 351344 */     GIR_EraseRootFromParent_Done,
     /* 351345 */   // Label 7098: @351345
     /* 351345 */   GIM_Try, /*On fail goto*//*Label 7099*/ GIMT_Encode4(351451), // Rule ID 5684 //
     /* 351350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 351353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 351356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351360 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 351368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 351372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 351376 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 351380 */     // MIs[1] Operand 1
     /* 351380 */     // No operand predicates
     /* 351380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 351382 */     // (vector_insert:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm)  =>  (INSvi16lane:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm, (INSERT_SUBREG:{ *:[v8f16] } (IMPLICIT_DEF:{ *:[v8f16] }), FPR16:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 351382 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 351385 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 351389 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 351394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 351396 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 351399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 351403 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 351408 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 351411 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 351415 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 351418 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351423 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351428 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 351433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 351436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 351438 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 351440 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 351443 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 351446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 351449 */     GIR_RootConstrainSelectedInstOperands,
     /* 351450 */     // GIR_Coverage, 5684,
     /* 351450 */     GIR_EraseRootFromParent_Done,
     /* 351451 */   // Label 7099: @351451
     /* 351451 */   GIM_Reject,
     /* 351452 */ // Label 7070: @351452
     /* 351452 */ GIM_Reject,
     /* 351453 */ // Label 6915: @351453
     /* 351453 */ GIM_Try, /*On fail goto*//*Label 7100*/ GIMT_Encode4(353032),
     /* 351458 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 351461 */   GIM_Try, /*On fail goto*//*Label 7101*/ GIMT_Encode4(351587), // Rule ID 4178 //
     /* 351466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 351469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 351472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 351480 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 351486 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 351488 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 351492 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 351496 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 351499 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 351503 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 351510 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 351514 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 351518 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 351520 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 351527 */     // (vector_insert:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i64] }, (LDRBroW:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 351527 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 351530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroW),
     /* 351534 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 351539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 351544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 351549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 351554 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 351560 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 351562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 351565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 351567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 351570 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 351573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 351576 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351581 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 351586 */     // GIR_Coverage, 4178,
     /* 351586 */     GIR_EraseRootFromParent_Done,
     /* 351587 */   // Label 7101: @351587
     /* 351587 */   GIM_Try, /*On fail goto*//*Label 7102*/ GIMT_Encode4(351713), // Rule ID 4179 //
     /* 351592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 351595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 351598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 351606 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 351612 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 351614 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 351618 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 351622 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 351625 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 351629 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 351636 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 351640 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 351644 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 351646 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 351653 */     // (vector_insert:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i64] }, (LDRBroX:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 351653 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 351656 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroX),
     /* 351660 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 351665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 351670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 351675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 351680 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 351686 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 351688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 351691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 351693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 351696 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 351699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 351702 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351707 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 351712 */     // GIR_Coverage, 4179,
     /* 351712 */     GIR_EraseRootFromParent_Done,
     /* 351713 */   // Label 7102: @351713
     /* 351713 */   GIM_Try, /*On fail goto*//*Label 7103*/ GIMT_Encode4(351835), // Rule ID 4184 //
     /* 351718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 351721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 351724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 351732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 351736 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 351740 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 351744 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 351747 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 351751 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 351758 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 351762 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 351766 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 351768 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 351775 */     // (vector_insert:{ *:[v16i8] } (undef:{ *:[v16i8] }), (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i64] }, (LDRBroW:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 351775 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 351778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroW),
     /* 351782 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 351787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 351792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 351797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 351802 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 351808 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 351810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 351813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 351815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 351818 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 351821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 351824 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351829 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 351834 */     // GIR_Coverage, 4184,
     /* 351834 */     GIR_EraseRootFromParent_Done,
     /* 351835 */   // Label 7103: @351835
     /* 351835 */   GIM_Try, /*On fail goto*//*Label 7104*/ GIMT_Encode4(351957), // Rule ID 4186 //
     /* 351840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 351843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 351846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 351854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 351858 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 351862 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 351866 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 351869 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 351873 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 351880 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 351884 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 351888 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 351890 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 351897 */     // (vector_insert:{ *:[v16i8] } (undef:{ *:[v16i8] }), (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i64] }, (LDRBroX:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 351897 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 351900 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroX),
     /* 351904 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 351909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 351914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 351919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 351924 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 351930 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 351932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 351935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 351937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 351940 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 351943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 351946 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351951 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 351956 */     // GIR_Coverage, 4186,
     /* 351956 */     GIR_EraseRootFromParent_Done,
     /* 351957 */   // Label 7104: @351957
     /* 351957 */   GIM_Try, /*On fail goto*//*Label 7105*/ GIMT_Encode4(352078), // Rule ID 4176 //
     /* 351962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 351965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 351968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 351976 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 351982 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 351984 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 351988 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 351992 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 351995 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 351999 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 352006 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 352010 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 352014 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 352016 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 352023 */     // (vector_insert:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i64] }, (LDRBui:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), bsub:{ *:[i32] })
     /* 352023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 352026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBui),
     /* 352030 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 352035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 352040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 352045 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 352051 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 352053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 352056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 352058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 352064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 352067 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352072 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 352077 */     // GIR_Coverage, 4176,
     /* 352077 */     GIR_EraseRootFromParent_Done,
     /* 352078 */   // Label 7105: @352078
     /* 352078 */   GIM_Try, /*On fail goto*//*Label 7106*/ GIMT_Encode4(352199), // Rule ID 4177 //
     /* 352083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 352086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 352089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 352097 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 352103 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 352105 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 352109 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 352113 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 352116 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 352120 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 352127 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 352131 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 352135 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 352137 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 352144 */     // (vector_insert:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i64] }, (LDURBi:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), bsub:{ *:[i32] })
     /* 352144 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 352147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURBi),
     /* 352151 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 352156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 352161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 352166 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 352172 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 352174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 352177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 352179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352182 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 352185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 352188 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352193 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 352198 */     // GIR_Coverage, 4177,
     /* 352198 */     GIR_EraseRootFromParent_Done,
     /* 352199 */   // Label 7106: @352199
     /* 352199 */   GIM_Try, /*On fail goto*//*Label 7107*/ GIMT_Encode4(352316), // Rule ID 4180 //
     /* 352204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 352207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 352210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 352218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 352222 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 352226 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 352230 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 352233 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 352237 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 352244 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 352248 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 352252 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 352254 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 352261 */     // (vector_insert:{ *:[v16i8] } (undef:{ *:[v16i8] }), (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i64] }, (LDRBui:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), bsub:{ *:[i32] })
     /* 352261 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 352264 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBui),
     /* 352268 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 352273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 352278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 352283 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 352289 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 352291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 352294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 352296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352299 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 352302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 352305 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352310 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 352315 */     // GIR_Coverage, 4180,
     /* 352315 */     GIR_EraseRootFromParent_Done,
     /* 352316 */   // Label 7107: @352316
     /* 352316 */   GIM_Try, /*On fail goto*//*Label 7108*/ GIMT_Encode4(352433), // Rule ID 4182 //
     /* 352321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 352324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 352327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 352335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 352339 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 352343 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 352347 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 352350 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 352354 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 352361 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 352365 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 352369 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 352371 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 352378 */     // (vector_insert:{ *:[v16i8] } (undef:{ *:[v16i8] }), (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i64] }, (LDURBi:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), bsub:{ *:[i32] })
     /* 352378 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 352381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURBi),
     /* 352385 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 352390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 352395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 352400 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 352406 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 352408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 352411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 352413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 352419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 352422 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352427 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 352432 */     // GIR_Coverage, 4182,
     /* 352432 */     GIR_EraseRootFromParent_Done,
     /* 352433 */   // Label 7108: @352433
     /* 352433 */   GIM_Try, /*On fail goto*//*Label 7109*/ GIMT_Encode4(352521), // Rule ID 1938 //
     /* 352438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 352441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 352444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 352447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352451 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 352459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 352463 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 352467 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 352471 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352476 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 352480 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 352484 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 352488 */     // MIs[2] Operand 1
     /* 352488 */     // No operand predicates
     /* 352488 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 352492 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 352496 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 352500 */     // MIs[3] Operand 1
     /* 352500 */     // No operand predicates
     /* 352500 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 352502 */     // (vector_insert:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx2), (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)  =>  (INSvi8lane:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, (imm:{ *:[i64] }):$idx, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] }):$idx2)
     /* 352502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi8lane),
     /* 352505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 352507 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 352509 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 352512 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 352516 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx2
     /* 352519 */     GIR_RootConstrainSelectedInstOperands,
     /* 352520 */     // GIR_Coverage, 1938,
     /* 352520 */     GIR_EraseRootFromParent_Done,
     /* 352521 */   // Label 7109: @352521
     /* 352521 */   GIM_Try, /*On fail goto*//*Label 7110*/ GIMT_Encode4(352598), // Rule ID 5717 //
     /* 352526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 352529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 352532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352536 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 352544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 352548 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 352552 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 352556 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352561 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 352565 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 352569 */     // MIs[2] Operand 1
     /* 352569 */     // No operand predicates
     /* 352569 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 352573 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 352577 */     // MIs[3] Operand 1
     /* 352577 */     // No operand predicates
     /* 352577 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 352579 */     // (vector_insert:{ *:[v16i8] } V128:{ *:[v16i8] }:$src, (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi8lane:{ *:[v16i8] } V128:{ *:[v16i8] }:$src, (imm:{ *:[i64] }):$Immd, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] }):$Immn)
     /* 352579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi8lane),
     /* 352582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 352584 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 352586 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 352589 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 352593 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 352596 */     GIR_RootConstrainSelectedInstOperands,
     /* 352597 */     // GIR_Coverage, 5717,
     /* 352597 */     GIR_EraseRootFromParent_Done,
     /* 352598 */   // Label 7110: @352598
     /* 352598 */   GIM_Try, /*On fail goto*//*Label 7111*/ GIMT_Encode4(352706), // Rule ID 5718 //
     /* 352603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 352606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 352609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352613 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 352621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 352625 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 352629 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 352633 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 352638 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 352642 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 352646 */     // MIs[2] Operand 1
     /* 352646 */     // No operand predicates
     /* 352646 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 352650 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 352654 */     // MIs[3] Operand 1
     /* 352654 */     // No operand predicates
     /* 352654 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 352656 */     // (vector_insert:{ *:[v16i8] } V128:{ *:[v16i8] }:$src, (vector_extract:{ *:[i32] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi8lane:{ *:[v16i8] } V128:{ *:[v16i8] }:$src, (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v8i8] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn)
     /* 352656 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 352659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 352663 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 352668 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 352671 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 352675 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 352678 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352683 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 352688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi8lane),
     /* 352691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 352693 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 352695 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 352698 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 352701 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 352704 */     GIR_RootConstrainSelectedInstOperands,
     /* 352705 */     // GIR_Coverage, 5718,
     /* 352705 */     GIR_EraseRootFromParent_Done,
     /* 352706 */   // Label 7111: @352706
     /* 352706 */   GIM_Try, /*On fail goto*//*Label 7112*/ GIMT_Encode4(352785), // Rule ID 5649 //
     /* 352711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 352714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 352717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 352725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 352729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 352733 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 352737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 352739 */     // (vector_insert:{ *:[v16i8] } (undef:{ *:[v16i8] }), GPR32:{ *:[i32] }:$Rn, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, (COPY_TO_REGCLASS:{ *:[f32] } GPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }), ssub:{ *:[i32] })
     /* 352739 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 352742 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 352746 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 352751 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 352755 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 352760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 352763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 352765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352768 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 352771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 352774 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352779 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 352784 */     // GIR_Coverage, 5649,
     /* 352784 */     GIR_EraseRootFromParent_Done,
     /* 352785 */   // Label 7112: @352785
     /* 352785 */   GIM_Try, /*On fail goto*//*Label 7113*/ GIMT_Encode4(352871), // Rule ID 6398 //
     /* 352790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 352793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 352796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352800 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 352808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 352812 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 352815 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 352819 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 352826 */     // MIs[1] Rn
     /* 352826 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 352830 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 352835 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 352839 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 352843 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 352847 */     // MIs[2] Operand 1
     /* 352847 */     // No operand predicates
     /* 352847 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 352849 */     // (vector_insert:{ *:[v16i8] } VecListOne128:{ *:[v16i8] }:$Rd, (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)  =>  (LD1i8:{ *:[v16i8] } VecListOne128:{ *:[v16i8] }:$Rd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 352849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1i8),
     /* 352852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 352854 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 352856 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 352859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 352863 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 352869 */     GIR_RootConstrainSelectedInstOperands,
     /* 352870 */     // GIR_Coverage, 6398,
     /* 352870 */     GIR_EraseRootFromParent_Done,
     /* 352871 */   // Label 7113: @352871
     /* 352871 */   GIM_Try, /*On fail goto*//*Label 7114*/ GIMT_Encode4(352925), // Rule ID 1934 //
     /* 352876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 352879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 352882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 352885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352889 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 352897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 352901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 352905 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 352909 */     // MIs[1] Operand 1
     /* 352909 */     // No operand predicates
     /* 352909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 352911 */     // (vector_insert:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)  =>  (INSvi8gpr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, (imm:{ *:[i64] }):$idx, GPR32:{ *:[i32] }:$Rn)
     /* 352911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi8gpr),
     /* 352914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 352916 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 352918 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 352921 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 352923 */     GIR_RootConstrainSelectedInstOperands,
     /* 352924 */     // GIR_Coverage, 1934,
     /* 352924 */     GIR_EraseRootFromParent_Done,
     /* 352925 */   // Label 7114: @352925
     /* 352925 */   GIM_Try, /*On fail goto*//*Label 7115*/ GIMT_Encode4(353031), // Rule ID 5692 //
     /* 352930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 352933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 352936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352940 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 352948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 352952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 352956 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 352960 */     // MIs[1] Operand 1
     /* 352960 */     // No operand predicates
     /* 352960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 352962 */     // (vector_insert:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, FPR8:{ *:[i8] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$imm)  =>  (INSvi8lane:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$imm, (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), FPR8:{ *:[i8] }:$Rm, bsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 352962 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 352965 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 352969 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 352974 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 352976 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 352979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 352983 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 352988 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 352991 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 352995 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 352998 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353003 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353008 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 353013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi8lane),
     /* 353016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 353018 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 353020 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 353023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 353026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 353029 */     GIR_RootConstrainSelectedInstOperands,
     /* 353030 */     // GIR_Coverage, 5692,
     /* 353030 */     GIR_EraseRootFromParent_Done,
     /* 353031 */   // Label 7115: @353031
     /* 353031 */   GIM_Reject,
     /* 353032 */ // Label 7100: @353032
     /* 353032 */ GIM_Reject,
     /* 353033 */ // Label 6916: @353033
     /* 353033 */ GIM_Try, /*On fail goto*//*Label 7116*/ GIMT_Encode4(353157), // Rule ID 11123 //
     /* 353038 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 353041 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 353044 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 353047 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 353050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 353054 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 353058 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 353062 */   // (vector_insert:{ *:[nxv2f16] } nxv2f16:{ *:[nxv2f16] }:$vec, FPR16:{ *:[f16] }:$src, GPR64:{ *:[i64] }:$index)  =>  (CPY_ZPmV_H:{ *:[nxv2f16] } ZPR:{ *:[nxv2f16] }:$vec, (CMPEQ_PPzZZ_D:{ *:[nxv1i1] }:{ *:[i32] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), (INDEX_II_D:{ *:[nxv16i8] } 0:{ *:[i64] }, 1:{ *:[i64] }), (DUP_ZR_D:{ *:[nxv16i8] } GPR64:{ *:[i64] }:$index)), ?:{ *:[f16] }:$src)
     /* 353062 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_nxv16s8,
     /* 353065 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_D),
     /* 353069 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 353074 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/3, // index
     /* 353078 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 353080 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv16s8,
     /* 353083 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::INDEX_II_D),
     /* 353087 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 353092 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 353095 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/1,
     /* 353098 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 353100 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 353103 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 353107 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 353112 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 353115 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 353117 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 353120 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_PPzZZ_D),
     /* 353124 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 353129 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 353132 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 353135 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 353138 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 353141 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 353143 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CPY_ZPmV_H),
     /* 353146 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 353148 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 353150 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 353153 */   GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 353155 */   GIR_RootConstrainSelectedInstOperands,
     /* 353156 */   // GIR_Coverage, 11123,
     /* 353156 */   GIR_EraseRootFromParent_Done,
     /* 353157 */ // Label 7116: @353157
     /* 353157 */ GIM_Reject,
     /* 353158 */ // Label 6917: @353158
     /* 353158 */ GIM_Try, /*On fail goto*//*Label 7117*/ GIMT_Encode4(353282), // Rule ID 11126 //
     /* 353163 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 353166 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 353169 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 353172 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 353175 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 353179 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 353183 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 353187 */   // (vector_insert:{ *:[nxv2f32] } nxv2f32:{ *:[nxv2f32] }:$vec, FPR32:{ *:[f32] }:$src, GPR64:{ *:[i64] }:$index)  =>  (CPY_ZPmV_S:{ *:[nxv2f32] } ZPR:{ *:[nxv2f32] }:$vec, (CMPEQ_PPzZZ_D:{ *:[nxv1i1] }:{ *:[i32] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), (INDEX_II_D:{ *:[nxv16i8] } 0:{ *:[i64] }, 1:{ *:[i64] }), (DUP_ZR_D:{ *:[nxv16i8] } GPR64:{ *:[i64] }:$index)), ?:{ *:[f32] }:$src)
     /* 353187 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_nxv16s8,
     /* 353190 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_D),
     /* 353194 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 353199 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/3, // index
     /* 353203 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 353205 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv16s8,
     /* 353208 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::INDEX_II_D),
     /* 353212 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 353217 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 353220 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/1,
     /* 353223 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 353225 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 353228 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 353232 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 353237 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 353240 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 353242 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 353245 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_PPzZZ_D),
     /* 353249 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 353254 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 353257 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 353260 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 353263 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 353266 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 353268 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CPY_ZPmV_S),
     /* 353271 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 353273 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 353275 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 353278 */   GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 353280 */   GIR_RootConstrainSelectedInstOperands,
     /* 353281 */   // GIR_Coverage, 11126,
     /* 353281 */   GIR_EraseRootFromParent_Done,
     /* 353282 */ // Label 7117: @353282
     /* 353282 */ GIM_Reject,
     /* 353283 */ // Label 6918: @353283
     /* 353283 */ GIM_Try, /*On fail goto*//*Label 7118*/ GIMT_Encode4(355196),
     /* 353288 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 353291 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 353294 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 353297 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 353301 */   GIM_Try, /*On fail goto*//*Label 7119*/ GIMT_Encode4(353410), // Rule ID 4310 //
     /* 353306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 353310 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 353316 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 353318 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 353322 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 353326 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 353329 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 353333 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 353337 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 353341 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 353343 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 353350 */     // (vector_insert:{ *:[nxv2i64] } immAllZerosV:{ *:[nxv2i64] }, (ld:{ *:[i64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2i64] } 0:{ *:[i64] }, (LDRDroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 353350 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 353353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 353357 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 353362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 353367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 353372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 353377 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 353383 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 353385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 353388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 353390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 353393 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 353396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 353399 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 353404 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 353409 */     // GIR_Coverage, 4310,
     /* 353409 */     GIR_EraseRootFromParent_Done,
     /* 353410 */   // Label 7119: @353410
     /* 353410 */   GIM_Try, /*On fail goto*//*Label 7120*/ GIMT_Encode4(353519), // Rule ID 4311 //
     /* 353415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 353419 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 353425 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 353427 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 353431 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 353435 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 353438 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 353442 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 353446 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 353450 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 353452 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 353459 */     // (vector_insert:{ *:[nxv2i64] } immAllZerosV:{ *:[nxv2i64] }, (ld:{ *:[i64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2i64] } 0:{ *:[i64] }, (LDRDroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 353459 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 353462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 353466 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 353471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 353476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 353481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 353486 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 353492 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 353494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 353497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 353499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 353502 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 353505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 353508 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 353513 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 353518 */     // GIR_Coverage, 4311,
     /* 353518 */     GIR_EraseRootFromParent_Done,
     /* 353519 */   // Label 7120: @353519
     /* 353519 */   GIM_Try, /*On fail goto*//*Label 7121*/ GIMT_Encode4(353628), // Rule ID 4418 //
     /* 353524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 353528 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 353534 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 353536 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 353540 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 353544 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 353547 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 353551 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 353555 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 353559 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 353561 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 353568 */     // (vector_insert:{ *:[nxv2f64] } immAllZerosV:{ *:[nxv2f64] }, (ld:{ *:[f64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2f64] } 0:{ *:[i64] }, (LDRDroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 353568 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 353571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 353575 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 353580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 353585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 353590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 353595 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 353601 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 353603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 353606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 353608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 353611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 353614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 353617 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 353622 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 353627 */     // GIR_Coverage, 4418,
     /* 353627 */     GIR_EraseRootFromParent_Done,
     /* 353628 */   // Label 7121: @353628
     /* 353628 */   GIM_Try, /*On fail goto*//*Label 7122*/ GIMT_Encode4(353737), // Rule ID 4419 //
     /* 353633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 353637 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 353643 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 353645 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 353649 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 353653 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 353656 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 353660 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 353664 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 353668 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 353670 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 353677 */     // (vector_insert:{ *:[nxv2f64] } immAllZerosV:{ *:[nxv2f64] }, (ld:{ *:[f64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2f64] } 0:{ *:[i64] }, (LDRDroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 353677 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 353680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 353684 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 353689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 353694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 353699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 353704 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 353710 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 353712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 353715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 353717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 353720 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 353723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 353726 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 353731 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 353736 */     // GIR_Coverage, 4419,
     /* 353736 */     GIR_EraseRootFromParent_Done,
     /* 353737 */   // Label 7122: @353737
     /* 353737 */   GIM_Try, /*On fail goto*//*Label 7123*/ GIMT_Encode4(353842), // Rule ID 4316 //
     /* 353742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 353746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 353750 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 353754 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 353758 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 353761 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 353765 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 353769 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 353773 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 353775 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 353782 */     // (vector_insert:{ *:[nxv2i64] } (undef:{ *:[nxv2i64] }), (ld:{ *:[i64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2i64] } 0:{ *:[i64] }, (LDRDroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 353782 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 353785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 353789 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 353794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 353799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 353804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 353809 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 353815 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 353817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 353820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 353822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 353825 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 353828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 353831 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 353836 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 353841 */     // GIR_Coverage, 4316,
     /* 353841 */     GIR_EraseRootFromParent_Done,
     /* 353842 */   // Label 7123: @353842
     /* 353842 */   GIM_Try, /*On fail goto*//*Label 7124*/ GIMT_Encode4(353947), // Rule ID 4318 //
     /* 353847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 353851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 353855 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 353859 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 353863 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 353866 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 353870 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 353874 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 353878 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 353880 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 353887 */     // (vector_insert:{ *:[nxv2i64] } (undef:{ *:[nxv2i64] }), (ld:{ *:[i64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2i64] } 0:{ *:[i64] }, (LDRDroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 353887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 353890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 353894 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 353899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 353904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 353909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 353914 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 353920 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 353922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 353925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 353927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 353930 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 353933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 353936 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 353941 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 353946 */     // GIR_Coverage, 4318,
     /* 353946 */     GIR_EraseRootFromParent_Done,
     /* 353947 */   // Label 7124: @353947
     /* 353947 */   GIM_Try, /*On fail goto*//*Label 7125*/ GIMT_Encode4(354052), // Rule ID 4424 //
     /* 353952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 353956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 353960 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 353964 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 353968 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 353971 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 353975 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 353979 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 353983 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 353985 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 353992 */     // (vector_insert:{ *:[nxv2f64] } (undef:{ *:[nxv2f64] }), (ld:{ *:[f64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2f64] } 0:{ *:[i64] }, (LDRDroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 353992 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 353995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 353999 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 354004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 354009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 354014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 354019 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 354025 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 354027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 354030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 354032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 354035 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 354038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 354041 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 354046 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 354051 */     // GIR_Coverage, 4424,
     /* 354051 */     GIR_EraseRootFromParent_Done,
     /* 354052 */   // Label 7125: @354052
     /* 354052 */   GIM_Try, /*On fail goto*//*Label 7126*/ GIMT_Encode4(354157), // Rule ID 4426 //
     /* 354057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 354061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 354065 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 354069 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 354073 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 354076 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 354080 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 354084 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 354088 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 354090 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 354097 */     // (vector_insert:{ *:[nxv2f64] } (undef:{ *:[nxv2f64] }), (ld:{ *:[f64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2f64] } 0:{ *:[i64] }, (LDRDroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 354097 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 354100 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 354104 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 354109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 354114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 354119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 354124 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 354130 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 354132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 354135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 354137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 354140 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 354143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 354146 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 354151 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 354156 */     // GIR_Coverage, 4426,
     /* 354156 */     GIR_EraseRootFromParent_Done,
     /* 354157 */   // Label 7126: @354157
     /* 354157 */   GIM_Try, /*On fail goto*//*Label 7127*/ GIMT_Encode4(354261), // Rule ID 4308 //
     /* 354162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 354166 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 354172 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 354174 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 354178 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 354182 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 354185 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 354189 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 354193 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 354197 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 354199 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 354206 */     // (vector_insert:{ *:[nxv2i64] } immAllZerosV:{ *:[nxv2i64] }, (ld:{ *:[i64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2i64] } 0:{ *:[i64] }, (LDRDui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset), dsub:{ *:[i32] })
     /* 354206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 354209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 354213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 354218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 354223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 354228 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 354234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 354236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 354239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 354241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 354244 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 354247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 354250 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 354255 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 354260 */     // GIR_Coverage, 4308,
     /* 354260 */     GIR_EraseRootFromParent_Done,
     /* 354261 */   // Label 7127: @354261
     /* 354261 */   GIM_Try, /*On fail goto*//*Label 7128*/ GIMT_Encode4(354365), // Rule ID 4309 //
     /* 354266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 354270 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 354276 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 354278 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 354282 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 354286 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 354289 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 354293 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 354297 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 354301 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 354303 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 354310 */     // (vector_insert:{ *:[nxv2i64] } immAllZerosV:{ *:[nxv2i64] }, (ld:{ *:[i64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2i64] } 0:{ *:[i64] }, (LDURDi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), dsub:{ *:[i32] })
     /* 354310 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 354313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 354317 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 354322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 354327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 354332 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 354338 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 354340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 354343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 354345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 354348 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 354351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 354354 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 354359 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 354364 */     // GIR_Coverage, 4309,
     /* 354364 */     GIR_EraseRootFromParent_Done,
     /* 354365 */   // Label 7128: @354365
     /* 354365 */   GIM_Try, /*On fail goto*//*Label 7129*/ GIMT_Encode4(354469), // Rule ID 4416 //
     /* 354370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 354374 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 354380 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 354382 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 354386 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 354390 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 354393 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 354397 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 354401 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 354405 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 354407 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 354414 */     // (vector_insert:{ *:[nxv2f64] } immAllZerosV:{ *:[nxv2f64] }, (ld:{ *:[f64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2f64] } 0:{ *:[i64] }, (LDRDui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset), dsub:{ *:[i32] })
     /* 354414 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 354417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 354421 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 354426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 354431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 354436 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 354442 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 354444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 354447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 354449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 354452 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 354455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 354458 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 354463 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 354468 */     // GIR_Coverage, 4416,
     /* 354468 */     GIR_EraseRootFromParent_Done,
     /* 354469 */   // Label 7129: @354469
     /* 354469 */   GIM_Try, /*On fail goto*//*Label 7130*/ GIMT_Encode4(354573), // Rule ID 4417 //
     /* 354474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 354478 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 354484 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 354486 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 354490 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 354494 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 354497 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 354501 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 354505 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 354509 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 354511 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 354518 */     // (vector_insert:{ *:[nxv2f64] } immAllZerosV:{ *:[nxv2f64] }, (ld:{ *:[f64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2f64] } 0:{ *:[i64] }, (LDURDi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), dsub:{ *:[i32] })
     /* 354518 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 354521 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 354525 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 354530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 354535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 354540 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 354546 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 354548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 354551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 354553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 354556 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 354559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 354562 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 354567 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 354572 */     // GIR_Coverage, 4417,
     /* 354572 */     GIR_EraseRootFromParent_Done,
     /* 354573 */   // Label 7130: @354573
     /* 354573 */   GIM_Try, /*On fail goto*//*Label 7131*/ GIMT_Encode4(354673), // Rule ID 4312 //
     /* 354578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 354582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 354586 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 354590 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 354594 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 354597 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 354601 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 354605 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 354609 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 354611 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 354618 */     // (vector_insert:{ *:[nxv2i64] } (undef:{ *:[nxv2i64] }), (ld:{ *:[i64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2i64] } 0:{ *:[i64] }, (LDRDui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset), dsub:{ *:[i32] })
     /* 354618 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 354621 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 354625 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 354630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 354635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 354640 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 354646 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 354648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 354651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 354653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 354656 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 354659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 354662 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 354667 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 354672 */     // GIR_Coverage, 4312,
     /* 354672 */     GIR_EraseRootFromParent_Done,
     /* 354673 */   // Label 7131: @354673
     /* 354673 */   GIM_Try, /*On fail goto*//*Label 7132*/ GIMT_Encode4(354773), // Rule ID 4314 //
     /* 354678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 354682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 354686 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 354690 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 354694 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 354697 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 354701 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 354705 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 354709 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 354711 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 354718 */     // (vector_insert:{ *:[nxv2i64] } (undef:{ *:[nxv2i64] }), (ld:{ *:[i64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2i64] } 0:{ *:[i64] }, (LDURDi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), dsub:{ *:[i32] })
     /* 354718 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 354721 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 354725 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 354730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 354735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 354740 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 354746 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 354748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 354751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 354753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 354756 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 354759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 354762 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 354767 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 354772 */     // GIR_Coverage, 4314,
     /* 354772 */     GIR_EraseRootFromParent_Done,
     /* 354773 */   // Label 7132: @354773
     /* 354773 */   GIM_Try, /*On fail goto*//*Label 7133*/ GIMT_Encode4(354873), // Rule ID 4420 //
     /* 354778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 354782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 354786 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 354790 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 354794 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 354797 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 354801 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 354805 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 354809 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 354811 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 354818 */     // (vector_insert:{ *:[nxv2f64] } (undef:{ *:[nxv2f64] }), (ld:{ *:[f64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2f64] } 0:{ *:[i64] }, (LDRDui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset), dsub:{ *:[i32] })
     /* 354818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 354821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 354825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 354830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 354835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 354840 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 354846 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 354848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 354851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 354853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 354856 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 354859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 354862 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 354867 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 354872 */     // GIR_Coverage, 4420,
     /* 354872 */     GIR_EraseRootFromParent_Done,
     /* 354873 */   // Label 7133: @354873
     /* 354873 */   GIM_Try, /*On fail goto*//*Label 7134*/ GIMT_Encode4(354973), // Rule ID 4422 //
     /* 354878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 354882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 354886 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 354890 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 354894 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 354897 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 354901 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 354905 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 354909 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 354911 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 354918 */     // (vector_insert:{ *:[nxv2f64] } (undef:{ *:[nxv2f64] }), (ld:{ *:[f64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2f64] } 0:{ *:[i64] }, (LDURDi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), dsub:{ *:[i32] })
     /* 354918 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 354921 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 354925 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 354930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 354935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 354940 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 354946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 354948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 354951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 354953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 354956 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 354959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 354962 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 354967 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 354972 */     // GIR_Coverage, 4422,
     /* 354972 */     GIR_EraseRootFromParent_Done,
     /* 354973 */   // Label 7134: @354973
     /* 354973 */   GIM_Try, /*On fail goto*//*Label 7135*/ GIMT_Encode4(355084), // Rule ID 11122 //
     /* 354978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 354981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 354985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 354989 */     // (vector_insert:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$vec, GPR64:{ *:[i64] }:$src, GPR64:{ *:[i64] }:$index)  =>  (CPY_ZPmR_D:{ *:[nxv2i64] } ZPR:{ *:[nxv2i64] }:$vec, (CMPEQ_PPzZZ_D:{ *:[nxv1i1] }:{ *:[i32] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), (INDEX_II_D:{ *:[nxv16i8] } 0:{ *:[i64] }, 1:{ *:[i64] }), (DUP_ZR_D:{ *:[nxv16i8] } GPR64:{ *:[i64] }:$index)), GPR64:{ *:[i64] }:$src)
     /* 354989 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_nxv16s8,
     /* 354992 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_D),
     /* 354996 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 355001 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/3, // index
     /* 355005 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 355007 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv16s8,
     /* 355010 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::INDEX_II_D),
     /* 355014 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 355019 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 355022 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/1,
     /* 355025 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 355027 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 355030 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 355034 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 355039 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 355042 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 355044 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 355047 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_PPzZZ_D),
     /* 355051 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 355056 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 355059 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 355062 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 355065 */     GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 355068 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 355070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CPY_ZPmR_D),
     /* 355073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 355075 */     GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 355077 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 355080 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 355082 */     GIR_RootConstrainSelectedInstOperands,
     /* 355083 */     // GIR_Coverage, 11122,
     /* 355083 */     GIR_EraseRootFromParent_Done,
     /* 355084 */   // Label 7135: @355084
     /* 355084 */   GIM_Try, /*On fail goto*//*Label 7136*/ GIMT_Encode4(355195), // Rule ID 11128 //
     /* 355089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 355092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 355096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 355100 */     // (vector_insert:{ *:[nxv2f64] } nxv2f64:{ *:[nxv2f64] }:$vec, FPR64:{ *:[f64] }:$src, GPR64:{ *:[i64] }:$index)  =>  (CPY_ZPmV_D:{ *:[nxv2f64] } ZPR:{ *:[nxv2f64] }:$vec, (CMPEQ_PPzZZ_D:{ *:[nxv1i1] }:{ *:[i32] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), (INDEX_II_D:{ *:[nxv16i8] } 0:{ *:[i64] }, 1:{ *:[i64] }), (DUP_ZR_D:{ *:[nxv16i8] } ?:{ *:[i64] }:$index)), ?:{ *:[f64] }:$src)
     /* 355100 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_nxv16s8,
     /* 355103 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_D),
     /* 355107 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 355112 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/3, // index
     /* 355116 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 355118 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv16s8,
     /* 355121 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::INDEX_II_D),
     /* 355125 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 355130 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 355133 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/1,
     /* 355136 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 355138 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 355141 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 355145 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 355150 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 355153 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 355155 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 355158 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_PPzZZ_D),
     /* 355162 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 355167 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 355170 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 355173 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 355176 */     GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 355179 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 355181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CPY_ZPmV_D),
     /* 355184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 355186 */     GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 355188 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 355191 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 355193 */     GIR_RootConstrainSelectedInstOperands,
     /* 355194 */     // GIR_Coverage, 11128,
     /* 355194 */     GIR_EraseRootFromParent_Done,
     /* 355195 */   // Label 7136: @355195
     /* 355195 */   GIM_Reject,
     /* 355196 */ // Label 7118: @355196
     /* 355196 */ GIM_Reject,
     /* 355197 */ // Label 6919: @355197
     /* 355197 */ GIM_Try, /*On fail goto*//*Label 7137*/ GIMT_Encode4(355348), // Rule ID 11124 //
     /* 355202 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 355205 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 355208 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 355211 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 355214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 355218 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 355222 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 355226 */   // (vector_insert:{ *:[nxv4f16] } nxv4f16:{ *:[nxv4f16] }:$vec, FPR16:{ *:[f16] }:$src, GPR64:{ *:[i64] }:$index)  =>  (CPY_ZPmV_H:{ *:[nxv4f16] } ZPR:{ *:[nxv4f16] }:$vec, (CMPEQ_PPzZZ_S:{ *:[nxv1i1] }:{ *:[i32] } (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), (INDEX_II_S:{ *:[nxv16i8] } 0:{ *:[i32] }, 1:{ *:[i32] }), (DUP_ZR_S:{ *:[nxv16i8] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$index, sub_32:{ *:[i32] }))), ?:{ *:[f16] }:$src)
     /* 355226 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 355229 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 355233 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 355238 */   GIR_CopySubReg, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/3, /*SubRegIdx*/GIMT_Encode2(20), // index
     /* 355244 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 355249 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 355254 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_nxv16s8,
     /* 355257 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_S),
     /* 355261 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 355266 */   GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 355269 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 355271 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv16s8,
     /* 355274 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::INDEX_II_S),
     /* 355278 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 355283 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 355286 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/1,
     /* 355289 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 355291 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 355294 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /* 355298 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 355303 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 355306 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 355308 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 355311 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_PPzZZ_S),
     /* 355315 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 355320 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 355323 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 355326 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 355329 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 355332 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 355334 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CPY_ZPmV_H),
     /* 355337 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 355339 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 355341 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 355344 */   GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 355346 */   GIR_RootConstrainSelectedInstOperands,
     /* 355347 */   // GIR_Coverage, 11124,
     /* 355347 */   GIR_EraseRootFromParent_Done,
     /* 355348 */ // Label 7137: @355348
     /* 355348 */ GIM_Reject,
     /* 355349 */ // Label 6920: @355349
     /* 355349 */ GIM_Try, /*On fail goto*//*Label 7138*/ GIMT_Encode4(357316),
     /* 355354 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 355357 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 355360 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 355363 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 355367 */   GIM_Try, /*On fail goto*//*Label 7139*/ GIMT_Encode4(355476), // Rule ID 4274 //
     /* 355372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 355376 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 355382 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 355384 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 355388 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 355392 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 355395 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 355399 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 355403 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 355407 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 355409 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 355416 */     // (vector_insert:{ *:[nxv4i32] } immAllZerosV:{ *:[nxv4i32] }, (ld:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4i32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 355416 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 355419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 355423 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 355428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 355433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 355438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 355443 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 355449 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 355451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 355454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 355456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 355459 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 355462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 355465 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 355470 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 355475 */     // GIR_Coverage, 4274,
     /* 355475 */     GIR_EraseRootFromParent_Done,
     /* 355476 */   // Label 7139: @355476
     /* 355476 */   GIM_Try, /*On fail goto*//*Label 7140*/ GIMT_Encode4(355585), // Rule ID 4275 //
     /* 355481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 355485 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 355491 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 355493 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 355497 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 355501 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 355504 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 355508 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 355512 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 355516 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 355518 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 355525 */     // (vector_insert:{ *:[nxv4i32] } immAllZerosV:{ *:[nxv4i32] }, (ld:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4i32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 355525 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 355528 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 355532 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 355537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 355542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 355547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 355552 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 355558 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 355560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 355563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 355565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 355568 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 355571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 355574 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 355579 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 355584 */     // GIR_Coverage, 4275,
     /* 355584 */     GIR_EraseRootFromParent_Done,
     /* 355585 */   // Label 7140: @355585
     /* 355585 */   GIM_Try, /*On fail goto*//*Label 7141*/ GIMT_Encode4(355694), // Rule ID 4382 //
     /* 355590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 355594 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 355600 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 355602 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 355606 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 355610 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 355613 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 355617 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 355621 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 355625 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 355627 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 355634 */     // (vector_insert:{ *:[nxv4f32] } immAllZerosV:{ *:[nxv4f32] }, (ld:{ *:[f32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4f32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 355634 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 355637 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 355641 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 355646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 355651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 355656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 355661 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 355667 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 355669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 355672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 355674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 355677 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 355680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 355683 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 355688 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 355693 */     // GIR_Coverage, 4382,
     /* 355693 */     GIR_EraseRootFromParent_Done,
     /* 355694 */   // Label 7141: @355694
     /* 355694 */   GIM_Try, /*On fail goto*//*Label 7142*/ GIMT_Encode4(355803), // Rule ID 4383 //
     /* 355699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 355703 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 355709 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 355711 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 355715 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 355719 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 355722 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 355726 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 355730 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 355734 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 355736 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 355743 */     // (vector_insert:{ *:[nxv4f32] } immAllZerosV:{ *:[nxv4f32] }, (ld:{ *:[f32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4f32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 355743 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 355746 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 355750 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 355755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 355760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 355765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 355770 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 355776 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 355778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 355781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 355783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 355786 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 355789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 355792 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 355797 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 355802 */     // GIR_Coverage, 4383,
     /* 355802 */     GIR_EraseRootFromParent_Done,
     /* 355803 */   // Label 7142: @355803
     /* 355803 */   GIM_Try, /*On fail goto*//*Label 7143*/ GIMT_Encode4(355908), // Rule ID 4280 //
     /* 355808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 355812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 355816 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 355820 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 355824 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 355827 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 355831 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 355835 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 355839 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 355841 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 355848 */     // (vector_insert:{ *:[nxv4i32] } (undef:{ *:[nxv4i32] }), (ld:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4i32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 355848 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 355851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 355855 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 355860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 355865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 355870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 355875 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 355881 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 355883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 355886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 355888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 355891 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 355894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 355897 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 355902 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 355907 */     // GIR_Coverage, 4280,
     /* 355907 */     GIR_EraseRootFromParent_Done,
     /* 355908 */   // Label 7143: @355908
     /* 355908 */   GIM_Try, /*On fail goto*//*Label 7144*/ GIMT_Encode4(356013), // Rule ID 4282 //
     /* 355913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 355917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 355921 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 355925 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 355929 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 355932 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 355936 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 355940 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 355944 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 355946 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 355953 */     // (vector_insert:{ *:[nxv4i32] } (undef:{ *:[nxv4i32] }), (ld:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4i32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 355953 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 355956 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 355960 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 355965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 355970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 355975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 355980 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 355986 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 355988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 355991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 355993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 355996 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 355999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 356002 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 356007 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 356012 */     // GIR_Coverage, 4282,
     /* 356012 */     GIR_EraseRootFromParent_Done,
     /* 356013 */   // Label 7144: @356013
     /* 356013 */   GIM_Try, /*On fail goto*//*Label 7145*/ GIMT_Encode4(356118), // Rule ID 4388 //
     /* 356018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 356022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 356026 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 356030 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 356034 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 356037 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 356041 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 356045 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 356049 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 356051 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 356058 */     // (vector_insert:{ *:[nxv4f32] } (undef:{ *:[nxv4f32] }), (ld:{ *:[f32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4f32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 356058 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 356061 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 356065 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 356075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 356080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 356085 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 356091 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 356093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 356096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 356098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 356101 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 356104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 356107 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 356112 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 356117 */     // GIR_Coverage, 4388,
     /* 356117 */     GIR_EraseRootFromParent_Done,
     /* 356118 */   // Label 7145: @356118
     /* 356118 */   GIM_Try, /*On fail goto*//*Label 7146*/ GIMT_Encode4(356223), // Rule ID 4390 //
     /* 356123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 356127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 356131 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 356135 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 356139 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 356142 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 356146 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 356150 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 356154 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 356156 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 356163 */     // (vector_insert:{ *:[nxv4f32] } (undef:{ *:[nxv4f32] }), (ld:{ *:[f32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4f32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 356163 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 356166 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 356170 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 356180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 356185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 356190 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 356196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 356198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 356201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 356203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 356206 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 356209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 356212 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 356217 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 356222 */     // GIR_Coverage, 4390,
     /* 356222 */     GIR_EraseRootFromParent_Done,
     /* 356223 */   // Label 7146: @356223
     /* 356223 */   GIM_Try, /*On fail goto*//*Label 7147*/ GIMT_Encode4(356327), // Rule ID 4272 //
     /* 356228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 356232 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 356238 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 356240 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 356244 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 356248 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 356251 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 356255 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 356259 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 356263 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 356265 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 356272 */     // (vector_insert:{ *:[nxv4i32] } immAllZerosV:{ *:[nxv4i32] }, (ld:{ *:[i32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4i32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 356272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 356275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 356279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 356289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 356294 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 356300 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 356302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 356305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 356307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 356310 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 356313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 356316 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 356321 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 356326 */     // GIR_Coverage, 4272,
     /* 356326 */     GIR_EraseRootFromParent_Done,
     /* 356327 */   // Label 7147: @356327
     /* 356327 */   GIM_Try, /*On fail goto*//*Label 7148*/ GIMT_Encode4(356431), // Rule ID 4273 //
     /* 356332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 356336 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 356342 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 356344 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 356348 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 356352 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 356355 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 356359 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 356363 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 356367 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 356369 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 356376 */     // (vector_insert:{ *:[nxv4i32] } immAllZerosV:{ *:[nxv4i32] }, (ld:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4i32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 356376 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 356379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 356383 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 356393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 356398 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 356404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 356406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 356409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 356411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 356414 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 356417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 356420 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 356425 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 356430 */     // GIR_Coverage, 4273,
     /* 356430 */     GIR_EraseRootFromParent_Done,
     /* 356431 */   // Label 7148: @356431
     /* 356431 */   GIM_Try, /*On fail goto*//*Label 7149*/ GIMT_Encode4(356535), // Rule ID 4380 //
     /* 356436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 356440 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 356446 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 356448 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 356452 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 356456 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 356459 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 356463 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 356467 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 356471 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 356473 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 356480 */     // (vector_insert:{ *:[nxv4f32] } immAllZerosV:{ *:[nxv4f32] }, (ld:{ *:[f32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4f32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 356480 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 356483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 356487 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 356497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 356502 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 356508 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 356510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 356513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 356515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 356518 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 356521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 356524 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 356529 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 356534 */     // GIR_Coverage, 4380,
     /* 356534 */     GIR_EraseRootFromParent_Done,
     /* 356535 */   // Label 7149: @356535
     /* 356535 */   GIM_Try, /*On fail goto*//*Label 7150*/ GIMT_Encode4(356639), // Rule ID 4381 //
     /* 356540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 356544 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 356550 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 356552 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 356556 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 356560 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 356563 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 356567 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 356571 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 356575 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 356577 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 356584 */     // (vector_insert:{ *:[nxv4f32] } immAllZerosV:{ *:[nxv4f32] }, (ld:{ *:[f32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4f32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 356584 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 356587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 356591 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 356601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 356606 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 356612 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 356614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 356617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 356619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 356622 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 356625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 356628 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 356633 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 356638 */     // GIR_Coverage, 4381,
     /* 356638 */     GIR_EraseRootFromParent_Done,
     /* 356639 */   // Label 7150: @356639
     /* 356639 */   GIM_Try, /*On fail goto*//*Label 7151*/ GIMT_Encode4(356739), // Rule ID 4276 //
     /* 356644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 356648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 356652 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 356656 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 356660 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 356663 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 356667 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 356671 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 356675 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 356677 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 356684 */     // (vector_insert:{ *:[nxv4i32] } (undef:{ *:[nxv4i32] }), (ld:{ *:[i32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4i32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 356684 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 356687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 356691 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 356701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 356706 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 356712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 356714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 356717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 356719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 356722 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 356725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 356728 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 356733 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 356738 */     // GIR_Coverage, 4276,
     /* 356738 */     GIR_EraseRootFromParent_Done,
     /* 356739 */   // Label 7151: @356739
     /* 356739 */   GIM_Try, /*On fail goto*//*Label 7152*/ GIMT_Encode4(356839), // Rule ID 4278 //
     /* 356744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 356748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 356752 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 356756 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 356760 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 356763 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 356767 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 356771 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 356775 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 356777 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 356784 */     // (vector_insert:{ *:[nxv4i32] } (undef:{ *:[nxv4i32] }), (ld:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4i32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 356784 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 356787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 356791 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 356801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 356806 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 356812 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 356814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 356817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 356819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 356822 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 356825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 356828 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 356833 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 356838 */     // GIR_Coverage, 4278,
     /* 356838 */     GIR_EraseRootFromParent_Done,
     /* 356839 */   // Label 7152: @356839
     /* 356839 */   GIM_Try, /*On fail goto*//*Label 7153*/ GIMT_Encode4(356939), // Rule ID 4384 //
     /* 356844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 356848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 356852 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 356856 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 356860 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 356863 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 356867 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 356871 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 356875 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 356877 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 356884 */     // (vector_insert:{ *:[nxv4f32] } (undef:{ *:[nxv4f32] }), (ld:{ *:[f32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4f32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 356884 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 356887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 356891 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 356901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 356906 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 356912 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 356914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 356917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 356919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 356922 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 356925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 356928 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 356933 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 356938 */     // GIR_Coverage, 4384,
     /* 356938 */     GIR_EraseRootFromParent_Done,
     /* 356939 */   // Label 7153: @356939
     /* 356939 */   GIM_Try, /*On fail goto*//*Label 7154*/ GIMT_Encode4(357039), // Rule ID 4386 //
     /* 356944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 356948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 356952 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 356956 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 356960 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 356963 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 356967 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 356971 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 356975 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 356977 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 356984 */     // (vector_insert:{ *:[nxv4f32] } (undef:{ *:[nxv4f32] }), (ld:{ *:[f32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4f32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 356984 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 356987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 356991 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 357001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 357006 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 357012 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 357014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 357017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 357019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357022 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 357025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 357028 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 357033 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 357038 */     // GIR_Coverage, 4386,
     /* 357038 */     GIR_EraseRootFromParent_Done,
     /* 357039 */   // Label 7154: @357039
     /* 357039 */   GIM_Try, /*On fail goto*//*Label 7155*/ GIMT_Encode4(357177), // Rule ID 11121 //
     /* 357044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 357047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 357051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 357055 */     // (vector_insert:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$vec, GPR32:{ *:[i32] }:$src, GPR64:{ *:[i64] }:$index)  =>  (CPY_ZPmR_S:{ *:[nxv4i32] } ZPR:{ *:[nxv4i32] }:$vec, (CMPEQ_PPzZZ_S:{ *:[nxv1i1] }:{ *:[i32] } (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), (INDEX_II_S:{ *:[nxv16i8] } 0:{ *:[i32] }, 1:{ *:[i32] }), (DUP_ZR_S:{ *:[nxv16i8] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$index, sub_32:{ *:[i32] }))), GPR32:{ *:[i32] }:$src)
     /* 357055 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 357058 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 357062 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357067 */     GIR_CopySubReg, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/3, /*SubRegIdx*/GIMT_Encode2(20), // index
     /* 357073 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 357078 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 357083 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_nxv16s8,
     /* 357086 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_S),
     /* 357090 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357095 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 357098 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 357100 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv16s8,
     /* 357103 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::INDEX_II_S),
     /* 357107 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357112 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 357115 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/1,
     /* 357118 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 357120 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 357123 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /* 357127 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357132 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 357135 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 357137 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 357140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_PPzZZ_S),
     /* 357144 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357149 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 357152 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 357155 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 357158 */     GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 357161 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 357163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CPY_ZPmR_S),
     /* 357166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 357168 */     GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 357170 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 357173 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 357175 */     GIR_RootConstrainSelectedInstOperands,
     /* 357176 */     // GIR_Coverage, 11121,
     /* 357176 */     GIR_EraseRootFromParent_Done,
     /* 357177 */   // Label 7155: @357177
     /* 357177 */   GIM_Try, /*On fail goto*//*Label 7156*/ GIMT_Encode4(357315), // Rule ID 11127 //
     /* 357182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 357185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 357189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 357193 */     // (vector_insert:{ *:[nxv4f32] } nxv4f32:{ *:[nxv4f32] }:$vec, FPR32:{ *:[f32] }:$src, GPR64:{ *:[i64] }:$index)  =>  (CPY_ZPmV_S:{ *:[nxv4f32] } ZPR:{ *:[nxv4f32] }:$vec, (CMPEQ_PPzZZ_S:{ *:[nxv1i1] }:{ *:[i32] } (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), (INDEX_II_S:{ *:[nxv16i8] } 0:{ *:[i32] }, 1:{ *:[i32] }), (DUP_ZR_S:{ *:[nxv16i8] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$index, sub_32:{ *:[i32] }))), ?:{ *:[f32] }:$src)
     /* 357193 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 357196 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 357200 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357205 */     GIR_CopySubReg, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/3, /*SubRegIdx*/GIMT_Encode2(20), // index
     /* 357211 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 357216 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 357221 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_nxv16s8,
     /* 357224 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_S),
     /* 357228 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357233 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 357236 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 357238 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv16s8,
     /* 357241 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::INDEX_II_S),
     /* 357245 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357250 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 357253 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/1,
     /* 357256 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 357258 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 357261 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /* 357265 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357270 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 357273 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 357275 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 357278 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_PPzZZ_S),
     /* 357282 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357287 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 357290 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 357293 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 357296 */     GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 357299 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 357301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CPY_ZPmV_S),
     /* 357304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 357306 */     GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 357308 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 357311 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 357313 */     GIR_RootConstrainSelectedInstOperands,
     /* 357314 */     // GIR_Coverage, 11127,
     /* 357314 */     GIR_EraseRootFromParent_Done,
     /* 357315 */   // Label 7156: @357315
     /* 357315 */   GIM_Reject,
     /* 357316 */ // Label 7138: @357316
     /* 357316 */ GIM_Reject,
     /* 357317 */ // Label 6921: @357317
     /* 357317 */ GIM_Try, /*On fail goto*//*Label 7157*/ GIMT_Encode4(359510),
     /* 357322 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 357325 */   GIM_Try, /*On fail goto*//*Label 7158*/ GIMT_Encode4(357451), // Rule ID 4238 //
     /* 357330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 357333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 357336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 357340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 357344 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 357350 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 357352 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 357356 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 357360 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 357363 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 357367 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 357374 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 357378 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 357382 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 357384 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 357391 */     // (vector_insert:{ *:[nxv8i16] } immAllZerosV:{ *:[nxv8i16] }, (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8i16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 357391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 357394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 357398 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 357408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 357413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 357418 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 357424 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 357426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 357429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 357431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357434 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 357437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 357440 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 357445 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 357450 */     // GIR_Coverage, 4238,
     /* 357450 */     GIR_EraseRootFromParent_Done,
     /* 357451 */   // Label 7158: @357451
     /* 357451 */   GIM_Try, /*On fail goto*//*Label 7159*/ GIMT_Encode4(357577), // Rule ID 4239 //
     /* 357456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 357459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 357462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 357466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 357470 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 357476 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 357478 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 357482 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 357486 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 357489 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 357493 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 357500 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 357504 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 357508 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 357510 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 357517 */     // (vector_insert:{ *:[nxv8i16] } immAllZerosV:{ *:[nxv8i16] }, (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8i16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 357517 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 357520 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 357524 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 357534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 357539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 357544 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 357550 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 357552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 357555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 357557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357560 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 357563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 357566 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 357571 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 357576 */     // GIR_Coverage, 4239,
     /* 357576 */     GIR_EraseRootFromParent_Done,
     /* 357577 */   // Label 7159: @357577
     /* 357577 */   GIM_Try, /*On fail goto*//*Label 7160*/ GIMT_Encode4(357696), // Rule ID 4346 //
     /* 357582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 357585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 357588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 357592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 357596 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 357602 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 357604 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 357608 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 357612 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 357615 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 357619 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 357623 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 357627 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 357629 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 357636 */     // (vector_insert:{ *:[nxv8f16] } immAllZerosV:{ *:[nxv8f16] }, (ld:{ *:[f16] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8f16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 357636 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 357639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 357643 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 357653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 357658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 357663 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 357669 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 357671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 357674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 357676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 357682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 357685 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 357690 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 357695 */     // GIR_Coverage, 4346,
     /* 357695 */     GIR_EraseRootFromParent_Done,
     /* 357696 */   // Label 7160: @357696
     /* 357696 */   GIM_Try, /*On fail goto*//*Label 7161*/ GIMT_Encode4(357815), // Rule ID 4347 //
     /* 357701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 357704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 357707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 357711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 357715 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 357721 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 357723 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 357727 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 357731 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 357734 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 357738 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 357742 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 357746 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 357748 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 357755 */     // (vector_insert:{ *:[nxv8f16] } immAllZerosV:{ *:[nxv8f16] }, (ld:{ *:[f16] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8f16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 357755 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 357758 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 357762 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 357772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 357777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 357782 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 357788 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 357790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 357793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 357795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357798 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 357801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 357804 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 357809 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 357814 */     // GIR_Coverage, 4347,
     /* 357814 */     GIR_EraseRootFromParent_Done,
     /* 357815 */   // Label 7161: @357815
     /* 357815 */   GIM_Try, /*On fail goto*//*Label 7162*/ GIMT_Encode4(357937), // Rule ID 4244 //
     /* 357820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 357823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 357826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 357830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 357834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 357838 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 357842 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 357846 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 357849 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 357853 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 357860 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 357864 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 357868 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 357870 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 357877 */     // (vector_insert:{ *:[nxv8i16] } (undef:{ *:[nxv8i16] }), (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8i16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 357877 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 357880 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 357884 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 357894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 357899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 357904 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 357910 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 357912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 357915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 357917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357920 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 357923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 357926 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 357931 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 357936 */     // GIR_Coverage, 4244,
     /* 357936 */     GIR_EraseRootFromParent_Done,
     /* 357937 */   // Label 7162: @357937
     /* 357937 */   GIM_Try, /*On fail goto*//*Label 7163*/ GIMT_Encode4(358059), // Rule ID 4246 //
     /* 357942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 357945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 357948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 357952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 357956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 357960 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 357964 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 357968 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 357971 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 357975 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 357982 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 357986 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 357990 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 357992 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 357999 */     // (vector_insert:{ *:[nxv8i16] } (undef:{ *:[nxv8i16] }), (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8i16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 357999 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 358002 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 358006 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 358016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 358021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 358026 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 358032 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 358034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 358037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 358039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 358042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 358045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 358048 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 358053 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 358058 */     // GIR_Coverage, 4246,
     /* 358058 */     GIR_EraseRootFromParent_Done,
     /* 358059 */   // Label 7163: @358059
     /* 358059 */   GIM_Try, /*On fail goto*//*Label 7164*/ GIMT_Encode4(358174), // Rule ID 4352 //
     /* 358064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 358067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 358070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 358074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 358078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 358082 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 358086 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 358090 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 358093 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 358097 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 358101 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 358105 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 358107 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 358114 */     // (vector_insert:{ *:[nxv8f16] } (undef:{ *:[nxv8f16] }), (ld:{ *:[f16] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8f16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 358114 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 358117 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 358121 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 358131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 358136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 358141 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 358147 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 358149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 358152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 358154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 358157 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 358160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 358163 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 358168 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 358173 */     // GIR_Coverage, 4352,
     /* 358173 */     GIR_EraseRootFromParent_Done,
     /* 358174 */   // Label 7164: @358174
     /* 358174 */   GIM_Try, /*On fail goto*//*Label 7165*/ GIMT_Encode4(358289), // Rule ID 4354 //
     /* 358179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 358182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 358185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 358189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 358193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 358197 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 358201 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 358205 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 358208 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 358212 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 358216 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 358220 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 358222 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 358229 */     // (vector_insert:{ *:[nxv8f16] } (undef:{ *:[nxv8f16] }), (ld:{ *:[f16] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8f16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 358229 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 358232 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 358236 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 358246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 358251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 358256 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 358262 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 358264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 358267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 358269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 358272 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 358275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 358278 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 358283 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 358288 */     // GIR_Coverage, 4354,
     /* 358288 */     GIR_EraseRootFromParent_Done,
     /* 358289 */   // Label 7165: @358289
     /* 358289 */   GIM_Try, /*On fail goto*//*Label 7166*/ GIMT_Encode4(358410), // Rule ID 4236 //
     /* 358294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 358297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 358300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 358304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 358308 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 358314 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 358316 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 358320 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 358324 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 358327 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 358331 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 358338 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 358342 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 358346 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 358348 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 358355 */     // (vector_insert:{ *:[nxv8i16] } immAllZerosV:{ *:[nxv8i16] }, (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8i16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 358355 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 358358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 358362 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 358372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 358377 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 358383 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 358385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 358388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 358390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 358393 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 358396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 358399 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 358404 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 358409 */     // GIR_Coverage, 4236,
     /* 358409 */     GIR_EraseRootFromParent_Done,
     /* 358410 */   // Label 7166: @358410
     /* 358410 */   GIM_Try, /*On fail goto*//*Label 7167*/ GIMT_Encode4(358531), // Rule ID 4237 //
     /* 358415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 358418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 358421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 358425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 358429 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 358435 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 358437 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 358441 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 358445 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 358448 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 358452 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 358459 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 358463 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 358467 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 358469 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 358476 */     // (vector_insert:{ *:[nxv8i16] } immAllZerosV:{ *:[nxv8i16] }, (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8i16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 358476 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 358479 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 358483 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 358493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 358498 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 358504 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 358506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 358509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 358511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 358514 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 358517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 358520 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 358525 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 358530 */     // GIR_Coverage, 4237,
     /* 358530 */     GIR_EraseRootFromParent_Done,
     /* 358531 */   // Label 7167: @358531
     /* 358531 */   GIM_Try, /*On fail goto*//*Label 7168*/ GIMT_Encode4(358645), // Rule ID 4344 //
     /* 358536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 358539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 358542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 358546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 358550 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 358556 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 358558 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 358562 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 358566 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 358569 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 358573 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 358577 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 358581 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 358583 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 358590 */     // (vector_insert:{ *:[nxv8f16] } immAllZerosV:{ *:[nxv8f16] }, (ld:{ *:[f16] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8f16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 358590 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 358593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 358597 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 358607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 358612 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 358618 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 358620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 358623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 358625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 358628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 358631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 358634 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 358639 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 358644 */     // GIR_Coverage, 4344,
     /* 358644 */     GIR_EraseRootFromParent_Done,
     /* 358645 */   // Label 7168: @358645
     /* 358645 */   GIM_Try, /*On fail goto*//*Label 7169*/ GIMT_Encode4(358759), // Rule ID 4345 //
     /* 358650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 358653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 358656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 358660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 358664 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 358670 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 358672 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 358676 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 358680 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 358683 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 358687 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 358691 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 358695 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 358697 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 358704 */     // (vector_insert:{ *:[nxv8f16] } immAllZerosV:{ *:[nxv8f16] }, (ld:{ *:[f16] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8f16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 358704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 358707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 358711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 358721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 358726 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 358732 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 358734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 358737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 358739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 358742 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 358745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 358748 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 358753 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 358758 */     // GIR_Coverage, 4345,
     /* 358758 */     GIR_EraseRootFromParent_Done,
     /* 358759 */   // Label 7169: @358759
     /* 358759 */   GIM_Try, /*On fail goto*//*Label 7170*/ GIMT_Encode4(358876), // Rule ID 4240 //
     /* 358764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 358767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 358770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 358774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 358778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 358782 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 358786 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 358790 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 358793 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 358797 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 358804 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 358808 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 358812 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 358814 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 358821 */     // (vector_insert:{ *:[nxv8i16] } (undef:{ *:[nxv8i16] }), (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8i16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 358821 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 358824 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 358828 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 358838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 358843 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 358849 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 358851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 358854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 358856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 358859 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 358862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 358865 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 358870 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 358875 */     // GIR_Coverage, 4240,
     /* 358875 */     GIR_EraseRootFromParent_Done,
     /* 358876 */   // Label 7170: @358876
     /* 358876 */   GIM_Try, /*On fail goto*//*Label 7171*/ GIMT_Encode4(358993), // Rule ID 4242 //
     /* 358881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 358884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 358887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 358891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 358895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 358899 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 358903 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 358907 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 358910 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 358914 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 358921 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 358925 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 358929 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 358931 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 358938 */     // (vector_insert:{ *:[nxv8i16] } (undef:{ *:[nxv8i16] }), (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8i16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 358938 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 358941 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 358945 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 358955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 358960 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 358966 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 358968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 358971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 358973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 358976 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 358979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 358982 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 358987 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 358992 */     // GIR_Coverage, 4242,
     /* 358992 */     GIR_EraseRootFromParent_Done,
     /* 358993 */   // Label 7171: @358993
     /* 358993 */   GIM_Try, /*On fail goto*//*Label 7172*/ GIMT_Encode4(359103), // Rule ID 4348 //
     /* 358998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 359001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 359004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 359008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 359012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 359016 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 359020 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 359024 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 359027 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 359031 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 359035 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 359039 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 359041 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 359048 */     // (vector_insert:{ *:[nxv8f16] } (undef:{ *:[nxv8f16] }), (ld:{ *:[f16] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8f16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 359048 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 359051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 359055 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 359065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 359070 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 359076 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 359078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 359081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 359083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359086 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 359089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 359092 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 359097 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 359102 */     // GIR_Coverage, 4348,
     /* 359102 */     GIR_EraseRootFromParent_Done,
     /* 359103 */   // Label 7172: @359103
     /* 359103 */   GIM_Try, /*On fail goto*//*Label 7173*/ GIMT_Encode4(359213), // Rule ID 4350 //
     /* 359108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 359111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 359114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 359118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 359122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 359126 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 359130 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 359134 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 359137 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 359141 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 359145 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 359149 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 359151 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 359158 */     // (vector_insert:{ *:[nxv8f16] } (undef:{ *:[nxv8f16] }), (ld:{ *:[f16] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8f16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 359158 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 359161 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 359165 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 359175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 359180 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 359186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 359188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 359191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 359193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359196 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 359199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 359202 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 359207 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 359212 */     // GIR_Coverage, 4350,
     /* 359212 */     GIR_EraseRootFromParent_Done,
     /* 359213 */   // Label 7173: @359213
     /* 359213 */   GIM_Try, /*On fail goto*//*Label 7174*/ GIMT_Encode4(359361), // Rule ID 11120 //
     /* 359218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 359221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 359224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 359227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 359231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 359235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 359239 */     // (vector_insert:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$vec, GPR32:{ *:[i32] }:$src, GPR64:{ *:[i64] }:$index)  =>  (CPY_ZPmR_H:{ *:[nxv8i16] } ZPR:{ *:[nxv8i16] }:$vec, (CMPEQ_PPzZZ_H:{ *:[nxv1i1] }:{ *:[i32] } (PTRUE_H:{ *:[nxv1i1] } 31:{ *:[i32] }), (INDEX_II_H:{ *:[nxv16i8] } 0:{ *:[i32] }, 1:{ *:[i32] }), (DUP_ZR_H:{ *:[nxv16i8] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$index, sub_32:{ *:[i32] }))), GPR32:{ *:[i32] }:$src)
     /* 359239 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 359242 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 359246 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359251 */     GIR_CopySubReg, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/3, /*SubRegIdx*/GIMT_Encode2(20), // index
     /* 359257 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 359262 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 359267 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_nxv16s8,
     /* 359270 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_H),
     /* 359274 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359279 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 359282 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 359284 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv16s8,
     /* 359287 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::INDEX_II_H),
     /* 359291 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359296 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 359299 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/1,
     /* 359302 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 359304 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 359307 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_H),
     /* 359311 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359316 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 359319 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 359321 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 359324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_PPzZZ_H),
     /* 359328 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359333 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 359336 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 359339 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 359342 */     GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 359345 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 359347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CPY_ZPmR_H),
     /* 359350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 359352 */     GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 359354 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 359357 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 359359 */     GIR_RootConstrainSelectedInstOperands,
     /* 359360 */     // GIR_Coverage, 11120,
     /* 359360 */     GIR_EraseRootFromParent_Done,
     /* 359361 */   // Label 7174: @359361
     /* 359361 */   GIM_Try, /*On fail goto*//*Label 7175*/ GIMT_Encode4(359509), // Rule ID 11125 //
     /* 359366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 359369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 359372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 359375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 359379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 359383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 359387 */     // (vector_insert:{ *:[nxv8f16] } nxv8f16:{ *:[nxv8f16] }:$vec, FPR16:{ *:[f16] }:$src, GPR64:{ *:[i64] }:$index)  =>  (CPY_ZPmV_H:{ *:[nxv8f16] } ZPR:{ *:[nxv8f16] }:$vec, (CMPEQ_PPzZZ_H:{ *:[nxv1i1] }:{ *:[i32] } (PTRUE_H:{ *:[nxv1i1] } 31:{ *:[i32] }), (INDEX_II_H:{ *:[nxv16i8] } 0:{ *:[i32] }, 1:{ *:[i32] }), (DUP_ZR_H:{ *:[nxv16i8] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$index, sub_32:{ *:[i32] }))), ?:{ *:[f16] }:$src)
     /* 359387 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 359390 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 359394 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359399 */     GIR_CopySubReg, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/3, /*SubRegIdx*/GIMT_Encode2(20), // index
     /* 359405 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 359410 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 359415 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_nxv16s8,
     /* 359418 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_H),
     /* 359422 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359427 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 359430 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 359432 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv16s8,
     /* 359435 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::INDEX_II_H),
     /* 359439 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359444 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 359447 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/1,
     /* 359450 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 359452 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 359455 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_H),
     /* 359459 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359464 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 359467 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 359469 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 359472 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_PPzZZ_H),
     /* 359476 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359481 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 359484 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 359487 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 359490 */     GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 359493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 359495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CPY_ZPmV_H),
     /* 359498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 359500 */     GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 359502 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 359505 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 359507 */     GIR_RootConstrainSelectedInstOperands,
     /* 359508 */     // GIR_Coverage, 11125,
     /* 359508 */     GIR_EraseRootFromParent_Done,
     /* 359509 */   // Label 7175: @359509
     /* 359509 */   GIM_Reject,
     /* 359510 */ // Label 7157: @359510
     /* 359510 */ GIM_Reject,
     /* 359511 */ // Label 6922: @359511
     /* 359511 */ GIM_Try, /*On fail goto*//*Label 7176*/ GIMT_Encode4(360560),
     /* 359516 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 359519 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 359522 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 359525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 359529 */   GIM_Try, /*On fail goto*//*Label 7177*/ GIMT_Encode4(359645), // Rule ID 4202 //
     /* 359534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 359538 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 359544 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 359546 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 359550 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 359554 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 359557 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 359561 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 359568 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 359572 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 359576 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 359578 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 359585 */     // (vector_insert:{ *:[nxv16i8] } immAllZerosV:{ *:[nxv16i8] }, (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv16i8] } 0:{ *:[i64] }, (LDRBroW:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 359585 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 359588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroW),
     /* 359592 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 359602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 359607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 359612 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 359618 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 359620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 359623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 359625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 359631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 359634 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 359639 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 359644 */     // GIR_Coverage, 4202,
     /* 359644 */     GIR_EraseRootFromParent_Done,
     /* 359645 */   // Label 7177: @359645
     /* 359645 */   GIM_Try, /*On fail goto*//*Label 7178*/ GIMT_Encode4(359761), // Rule ID 4203 //
     /* 359650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 359654 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 359660 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 359662 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 359666 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 359670 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 359673 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 359677 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 359684 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 359688 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 359692 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 359694 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 359701 */     // (vector_insert:{ *:[nxv16i8] } immAllZerosV:{ *:[nxv16i8] }, (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv16i8] } 0:{ *:[i64] }, (LDRBroX:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 359701 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 359704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroX),
     /* 359708 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 359718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 359723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 359728 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 359734 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 359736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 359739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 359741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359744 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 359747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 359750 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 359755 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 359760 */     // GIR_Coverage, 4203,
     /* 359760 */     GIR_EraseRootFromParent_Done,
     /* 359761 */   // Label 7178: @359761
     /* 359761 */   GIM_Try, /*On fail goto*//*Label 7179*/ GIMT_Encode4(359873), // Rule ID 4208 //
     /* 359766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 359770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 359774 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 359778 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 359782 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 359785 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 359789 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 359796 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 359800 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 359804 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 359806 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 359813 */     // (vector_insert:{ *:[nxv16i8] } (undef:{ *:[nxv16i8] }), (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv16i8] } 0:{ *:[i64] }, (LDRBroW:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 359813 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 359816 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroW),
     /* 359820 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 359830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 359835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 359840 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 359846 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 359848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 359851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 359853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359856 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 359859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 359862 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 359867 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 359872 */     // GIR_Coverage, 4208,
     /* 359872 */     GIR_EraseRootFromParent_Done,
     /* 359873 */   // Label 7179: @359873
     /* 359873 */   GIM_Try, /*On fail goto*//*Label 7180*/ GIMT_Encode4(359985), // Rule ID 4210 //
     /* 359878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 359882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 359886 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 359890 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 359894 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 359897 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 359901 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 359908 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 359912 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 359916 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 359918 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 359925 */     // (vector_insert:{ *:[nxv16i8] } (undef:{ *:[nxv16i8] }), (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv16i8] } 0:{ *:[i64] }, (LDRBroX:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 359925 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 359928 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroX),
     /* 359932 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 359942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 359947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 359952 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 359958 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 359960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 359963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 359965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359968 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 359971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 359974 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 359979 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 359984 */     // GIR_Coverage, 4210,
     /* 359984 */     GIR_EraseRootFromParent_Done,
     /* 359985 */   // Label 7180: @359985
     /* 359985 */   GIM_Try, /*On fail goto*//*Label 7181*/ GIMT_Encode4(360096), // Rule ID 4200 //
     /* 359990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 359994 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 360000 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 360002 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 360006 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 360010 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 360013 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 360017 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 360024 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 360028 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 360032 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 360034 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 360041 */     // (vector_insert:{ *:[nxv16i8] } immAllZerosV:{ *:[nxv16i8] }, (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv16i8] } 0:{ *:[i64] }, (LDRBui:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), bsub:{ *:[i32] })
     /* 360041 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 360044 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBui),
     /* 360048 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 360058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 360063 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 360069 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 360071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 360074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 360076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 360079 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 360082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 360085 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 360090 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 360095 */     // GIR_Coverage, 4200,
     /* 360095 */     GIR_EraseRootFromParent_Done,
     /* 360096 */   // Label 7181: @360096
     /* 360096 */   GIM_Try, /*On fail goto*//*Label 7182*/ GIMT_Encode4(360207), // Rule ID 4201 //
     /* 360101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 360105 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 360111 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 360113 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 360117 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 360121 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 360124 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 360128 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 360135 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 360139 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 360143 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 360145 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 360152 */     // (vector_insert:{ *:[nxv16i8] } immAllZerosV:{ *:[nxv16i8] }, (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv16i8] } 0:{ *:[i64] }, (LDURBi:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), bsub:{ *:[i32] })
     /* 360152 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 360155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURBi),
     /* 360159 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 360169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 360174 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 360180 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 360182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 360185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 360187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 360190 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 360193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 360196 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 360201 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 360206 */     // GIR_Coverage, 4201,
     /* 360206 */     GIR_EraseRootFromParent_Done,
     /* 360207 */   // Label 7182: @360207
     /* 360207 */   GIM_Try, /*On fail goto*//*Label 7183*/ GIMT_Encode4(360314), // Rule ID 4204 //
     /* 360212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 360216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 360220 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 360224 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 360228 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 360231 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 360235 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 360242 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 360246 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 360250 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 360252 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 360259 */     // (vector_insert:{ *:[nxv16i8] } (undef:{ *:[nxv16i8] }), (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv16i8] } 0:{ *:[i64] }, (LDRBui:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), bsub:{ *:[i32] })
     /* 360259 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 360262 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBui),
     /* 360266 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 360276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 360281 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 360287 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 360289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 360292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 360294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 360297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 360300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 360303 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 360308 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 360313 */     // GIR_Coverage, 4204,
     /* 360313 */     GIR_EraseRootFromParent_Done,
     /* 360314 */   // Label 7183: @360314
     /* 360314 */   GIM_Try, /*On fail goto*//*Label 7184*/ GIMT_Encode4(360421), // Rule ID 4206 //
     /* 360319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 360323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 360327 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 360331 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 360335 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 360338 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 360342 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 360349 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 360353 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 360357 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 360359 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 360366 */     // (vector_insert:{ *:[nxv16i8] } (undef:{ *:[nxv16i8] }), (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv16i8] } 0:{ *:[i64] }, (LDURBi:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), bsub:{ *:[i32] })
     /* 360366 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 360369 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURBi),
     /* 360373 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 360383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 360388 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 360394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 360396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 360399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 360401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 360404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 360407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 360410 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 360415 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 360420 */     // GIR_Coverage, 4206,
     /* 360420 */     GIR_EraseRootFromParent_Done,
     /* 360421 */   // Label 7184: @360421
     /* 360421 */   GIM_Try, /*On fail goto*//*Label 7185*/ GIMT_Encode4(360559), // Rule ID 11119 //
     /* 360426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 360429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 360433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 360437 */     // (vector_insert:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$vec, GPR32:{ *:[i32] }:$src, GPR64:{ *:[i64] }:$index)  =>  (CPY_ZPmR_B:{ *:[nxv16i8] } ZPR:{ *:[nxv16i8] }:$vec, (CMPEQ_PPzZZ_B:{ *:[nxv1i1] }:{ *:[i32] } (PTRUE_B:{ *:[nxv1i1] } 31:{ *:[i32] }), (INDEX_II_B:{ *:[nxv16i8] } 0:{ *:[i32] }, 1:{ *:[i32] }), (DUP_ZR_B:{ *:[nxv16i8] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$index, sub_32:{ *:[i32] }))), GPR32:{ *:[i32] }:$src)
     /* 360437 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 360440 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 360444 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360449 */     GIR_CopySubReg, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/3, /*SubRegIdx*/GIMT_Encode2(20), // index
     /* 360455 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 360460 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 360465 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_nxv16s8,
     /* 360468 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_B),
     /* 360472 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360477 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 360480 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 360482 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv16s8,
     /* 360485 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::INDEX_II_B),
     /* 360489 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360494 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 360497 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/1,
     /* 360500 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 360502 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 360505 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_B),
     /* 360509 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360514 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 360517 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 360519 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 360522 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_PPzZZ_B),
     /* 360526 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360531 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 360534 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 360537 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 360540 */     GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 360543 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 360545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CPY_ZPmR_B),
     /* 360548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 360550 */     GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 360552 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 360555 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 360557 */     GIR_RootConstrainSelectedInstOperands,
     /* 360558 */     // GIR_Coverage, 11119,
     /* 360558 */     GIR_EraseRootFromParent_Done,
     /* 360559 */   // Label 7185: @360559
     /* 360559 */   GIM_Reject,
     /* 360560 */ // Label 7176: @360560
     /* 360560 */ GIM_Reject,
     /* 360561 */ // Label 6923: @360561
     /* 360561 */ GIM_Reject,
     /* 360562 */ // Label 89: @360562
     /* 360562 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 7189*/ GIMT_Encode4(363479),
     /* 360573 */ /*GILLT_s16*//*Label 7186*/ GIMT_Encode4(360585),
     /* 360577 */ /*GILLT_s32*//*Label 7187*/ GIMT_Encode4(361219),
     /* 360581 */ /*GILLT_s64*//*Label 7188*/ GIMT_Encode4(362812),
     /* 360585 */ // Label 7186: @360585
     /* 360585 */ GIM_Try, /*On fail goto*//*Label 7190*/ GIMT_Encode4(360629), // Rule ID 11168 //
     /* 360590 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 360593 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 360596 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 360599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 360603 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 360607 */   // (vector_extract:{ *:[f16] } nxv8f16:{ *:[nxv8f16] }:$Zs, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[f16] } ZPR:{ *:[nxv8f16] }:$Zs, hsub:{ *:[i32] })
     /* 360607 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 360610 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 360612 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Zs
     /* 360618 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 360623 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 360628 */   // GIR_Coverage, 11168,
     /* 360628 */   GIR_EraseRootFromParent_Done,
     /* 360629 */ // Label 7190: @360629
     /* 360629 */ GIM_Try, /*On fail goto*//*Label 7191*/ GIMT_Encode4(360673), // Rule ID 11169 //
     /* 360634 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 360637 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 360640 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 360643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 360647 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 360651 */   // (vector_extract:{ *:[f16] } nxv4f16:{ *:[nxv4f16] }:$Zs, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[f16] } ZPR:{ *:[nxv4f16] }:$Zs, hsub:{ *:[i32] })
     /* 360651 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 360654 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 360656 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Zs
     /* 360662 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 360667 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 360672 */   // GIR_Coverage, 11169,
     /* 360672 */   GIR_EraseRootFromParent_Done,
     /* 360673 */ // Label 7191: @360673
     /* 360673 */ GIM_Try, /*On fail goto*//*Label 7192*/ GIMT_Encode4(360717), // Rule ID 11170 //
     /* 360678 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 360681 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 360684 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 360687 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 360691 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 360695 */   // (vector_extract:{ *:[f16] } nxv2f16:{ *:[nxv2f16] }:$Zs, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[f16] } ZPR:{ *:[nxv2f16] }:$Zs, hsub:{ *:[i32] })
     /* 360695 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 360698 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 360700 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Zs
     /* 360706 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 360711 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 360716 */   // GIR_Coverage, 11170,
     /* 360716 */   GIR_EraseRootFromParent_Done,
     /* 360717 */ // Label 7192: @360717
     /* 360717 */ GIM_Try, /*On fail goto*//*Label 7193*/ GIMT_Encode4(360762), // Rule ID 5748 //
     /* 360722 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 360725 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 360728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 360732 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 360736 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 360740 */   // (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] })
     /* 360740 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 360743 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 360745 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 360751 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 360756 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 360761 */   // GIR_Coverage, 5748,
     /* 360761 */   GIR_EraseRootFromParent_Done,
     /* 360762 */ // Label 7193: @360762
     /* 360762 */ GIM_Try, /*On fail goto*//*Label 7194*/ GIMT_Encode4(360807), // Rule ID 5751 //
     /* 360767 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 360770 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 360773 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 360777 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 360781 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 360785 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 360789 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 360793 */   // MIs[1] Operand 1
     /* 360793 */   // No operand predicates
     /* 360793 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 360795 */   // (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)  =>  (DUPi16:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 360795 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPi16),
     /* 360798 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 360800 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 360802 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 360805 */   GIR_RootConstrainSelectedInstOperands,
     /* 360806 */   // GIR_Coverage, 5751,
     /* 360806 */   GIR_EraseRootFromParent_Done,
     /* 360807 */ // Label 7194: @360807
     /* 360807 */ GIM_Try, /*On fail goto*//*Label 7195*/ GIMT_Encode4(360883), // Rule ID 11143 //
     /* 360812 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 360815 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 360818 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 360821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 360825 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 360829 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 360833 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_h),
     /* 360837 */   // MIs[1] Operand 1
     /* 360837 */   // No operand predicates
     /* 360837 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 360839 */   // (vector_extract:{ *:[f16] } nxv8f16:{ *:[nxv8f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index)  =>  (EXTRACT_SUBREG:{ *:[f16] } (DUP_ZZI_H:{ *:[nxv16i8] } ZPR:{ *:[nxv8f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index), hsub:{ *:[i32] })
     /* 360839 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 360842 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_H),
     /* 360846 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360851 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // vec
     /* 360855 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // index
     /* 360858 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 360860 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 360863 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 360865 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::hsub),
     /* 360872 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 360877 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 360882 */   // GIR_Coverage, 11143,
     /* 360882 */   GIR_EraseRootFromParent_Done,
     /* 360883 */ // Label 7195: @360883
     /* 360883 */ GIM_Try, /*On fail goto*//*Label 7196*/ GIMT_Encode4(360959), // Rule ID 11144 //
     /* 360888 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 360891 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 360894 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 360897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 360901 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 360905 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 360909 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_s),
     /* 360913 */   // MIs[1] Operand 1
     /* 360913 */   // No operand predicates
     /* 360913 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 360915 */   // (vector_extract:{ *:[f16] } nxv4f16:{ *:[nxv4f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index)  =>  (EXTRACT_SUBREG:{ *:[f16] } (DUP_ZZI_S:{ *:[nxv16i8] } ZPR:{ *:[nxv4f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index), hsub:{ *:[i32] })
     /* 360915 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 360918 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_S),
     /* 360922 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360927 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // vec
     /* 360931 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // index
     /* 360934 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 360936 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 360939 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 360941 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::hsub),
     /* 360948 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 360953 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 360958 */   // GIR_Coverage, 11144,
     /* 360958 */   GIR_EraseRootFromParent_Done,
     /* 360959 */ // Label 7196: @360959
     /* 360959 */ GIM_Try, /*On fail goto*//*Label 7197*/ GIMT_Encode4(361035), // Rule ID 11145 //
     /* 360964 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 360967 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 360970 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 360973 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 360977 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 360981 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 360985 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_d),
     /* 360989 */   // MIs[1] Operand 1
     /* 360989 */   // No operand predicates
     /* 360989 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 360991 */   // (vector_extract:{ *:[f16] } nxv2f16:{ *:[nxv2f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index)  =>  (EXTRACT_SUBREG:{ *:[f16] } (DUP_ZZI_D:{ *:[nxv16i8] } ZPR:{ *:[nxv2f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index), hsub:{ *:[i32] })
     /* 360991 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 360994 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_D),
     /* 360998 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 361003 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // vec
     /* 361007 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // index
     /* 361010 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 361012 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 361015 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 361017 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::hsub),
     /* 361024 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 361029 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 361034 */   // GIR_Coverage, 11145,
     /* 361034 */   GIR_EraseRootFromParent_Done,
     /* 361035 */ // Label 7197: @361035
     /* 361035 */ GIM_Try, /*On fail goto*//*Label 7198*/ GIMT_Encode4(361096), // Rule ID 11133 //
     /* 361040 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 361043 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 361046 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 361049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 361053 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 361057 */   // (vector_extract:{ *:[f16] } nxv8f16:{ *:[nxv8f16] }:$vec, GPR64:{ *:[i64] }:$index)  =>  (LASTB_VPZ_H:{ *:[f16] } (WHILELS_PXX_H:{ *:[nxv1i1] }:{ *:[i32] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$index), ZPR:{ *:[nxv8f16] }:$vec)
     /* 361057 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 361060 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_H),
     /* 361064 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 361069 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 361075 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // index
     /* 361079 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 361082 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 361084 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LASTB_VPZ_H),
     /* 361087 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 361089 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 361092 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 361094 */   GIR_RootConstrainSelectedInstOperands,
     /* 361095 */   // GIR_Coverage, 11133,
     /* 361095 */   GIR_EraseRootFromParent_Done,
     /* 361096 */ // Label 7198: @361096
     /* 361096 */ GIM_Try, /*On fail goto*//*Label 7199*/ GIMT_Encode4(361157), // Rule ID 11134 //
     /* 361101 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 361104 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 361107 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 361110 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 361114 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 361118 */   // (vector_extract:{ *:[f16] } nxv4f16:{ *:[nxv4f16] }:$vec, GPR64:{ *:[i64] }:$index)  =>  (LASTB_VPZ_H:{ *:[f16] } (WHILELS_PXX_S:{ *:[nxv1i1] }:{ *:[i32] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$index), ZPR:{ *:[nxv4f16] }:$vec)
     /* 361118 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 361121 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_S),
     /* 361125 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 361130 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 361136 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // index
     /* 361140 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 361143 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 361145 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LASTB_VPZ_H),
     /* 361148 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 361150 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 361153 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 361155 */   GIR_RootConstrainSelectedInstOperands,
     /* 361156 */   // GIR_Coverage, 11134,
     /* 361156 */   GIR_EraseRootFromParent_Done,
     /* 361157 */ // Label 7199: @361157
     /* 361157 */ GIM_Try, /*On fail goto*//*Label 7200*/ GIMT_Encode4(361218), // Rule ID 11135 //
     /* 361162 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 361165 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 361168 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 361171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 361175 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 361179 */   // (vector_extract:{ *:[f16] } nxv2f16:{ *:[nxv2f16] }:$vec, GPR64:{ *:[i64] }:$index)  =>  (LASTB_VPZ_H:{ *:[f16] } (WHILELS_PXX_D:{ *:[nxv1i1] }:{ *:[i32] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$index), ZPR:{ *:[nxv2f16] }:$vec)
     /* 361179 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 361182 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_D),
     /* 361186 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 361191 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 361197 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // index
     /* 361201 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 361204 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 361206 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LASTB_VPZ_H),
     /* 361209 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 361211 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 361214 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 361216 */   GIR_RootConstrainSelectedInstOperands,
     /* 361217 */   // GIR_Coverage, 11135,
     /* 361217 */   GIR_EraseRootFromParent_Done,
     /* 361218 */ // Label 7200: @361218
     /* 361218 */ GIM_Reject,
     /* 361219 */ // Label 7187: @361219
     /* 361219 */ GIM_Try, /*On fail goto*//*Label 7201*/ GIMT_Encode4(361264), // Rule ID 6925 //
     /* 361224 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 361227 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 361230 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 361234 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 361238 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 361242 */   // (extractelt:{ *:[i32] } V128:{ *:[v4i32] }:$V, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4i32] }:$V, ssub:{ *:[i32] })
     /* 361242 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 361245 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 361247 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // V
     /* 361253 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 361258 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 361263 */   // GIR_Coverage, 6925,
     /* 361263 */   GIR_EraseRootFromParent_Done,
     /* 361264 */ // Label 7201: @361264
     /* 361264 */ GIM_Try, /*On fail goto*//*Label 7202*/ GIMT_Encode4(361309), // Rule ID 6926 //
     /* 361269 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 361272 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 361275 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 361279 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 361283 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 361287 */   // (extractelt:{ *:[i32] } V64:{ *:[v2i32] }:$V, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[i32] } V64:{ *:[v2i32] }:$V, ssub:{ *:[i32] })
     /* 361287 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 361290 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 361292 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // V
     /* 361298 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 361303 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 361308 */   // GIR_Coverage, 6926,
     /* 361308 */   GIR_EraseRootFromParent_Done,
     /* 361309 */ // Label 7202: @361309
     /* 361309 */ GIM_Try, /*On fail goto*//*Label 7203*/ GIMT_Encode4(361353), // Rule ID 11164 //
     /* 361314 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 361317 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 361320 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 361323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 361327 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 361331 */   // (vector_extract:{ *:[i32] } nxv16i8:{ *:[nxv16i8] }:$Zs, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[i32] } ZPR:{ *:[nxv16i8] }:$Zs, ssub:{ *:[i32] })
     /* 361331 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 361334 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 361336 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Zs
     /* 361342 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 361347 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 361352 */   // GIR_Coverage, 11164,
     /* 361352 */   GIR_EraseRootFromParent_Done,
     /* 361353 */ // Label 7203: @361353
     /* 361353 */ GIM_Try, /*On fail goto*//*Label 7204*/ GIMT_Encode4(361397), // Rule ID 11165 //
     /* 361358 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 361361 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 361364 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 361367 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 361371 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 361375 */   // (vector_extract:{ *:[i32] } nxv8i16:{ *:[nxv8i16] }:$Zs, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[i32] } ZPR:{ *:[nxv8i16] }:$Zs, ssub:{ *:[i32] })
     /* 361375 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 361378 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 361380 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Zs
     /* 361386 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 361391 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 361396 */   // GIR_Coverage, 11165,
     /* 361396 */   GIR_EraseRootFromParent_Done,
     /* 361397 */ // Label 7204: @361397
     /* 361397 */ GIM_Try, /*On fail goto*//*Label 7205*/ GIMT_Encode4(361441), // Rule ID 11166 //
     /* 361402 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 361405 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 361408 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 361411 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 361415 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 361419 */   // (vector_extract:{ *:[i32] } nxv4i32:{ *:[nxv4i32] }:$Zs, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[i32] } ZPR:{ *:[nxv4i32] }:$Zs, ssub:{ *:[i32] })
     /* 361419 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 361422 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 361424 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Zs
     /* 361430 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 361435 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 361440 */   // GIR_Coverage, 11166,
     /* 361440 */   GIR_EraseRootFromParent_Done,
     /* 361441 */ // Label 7205: @361441
     /* 361441 */ GIM_Try, /*On fail goto*//*Label 7206*/ GIMT_Encode4(361485), // Rule ID 11171 //
     /* 361446 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 361449 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 361452 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 361455 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 361459 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 361463 */   // (vector_extract:{ *:[f32] } nxv4f32:{ *:[nxv4f32] }:$Zs, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[f32] } ZPR:{ *:[nxv4f32] }:$Zs, ssub:{ *:[i32] })
     /* 361463 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 361466 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 361468 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Zs
     /* 361474 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 361479 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 361484 */   // GIR_Coverage, 11171,
     /* 361484 */   GIR_EraseRootFromParent_Done,
     /* 361485 */ // Label 7206: @361485
     /* 361485 */ GIM_Try, /*On fail goto*//*Label 7207*/ GIMT_Encode4(361529), // Rule ID 11172 //
     /* 361490 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 361493 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 361496 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 361499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 361503 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 361507 */   // (vector_extract:{ *:[f32] } nxv2f32:{ *:[nxv2f32] }:$Zs, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[f32] } ZPR:{ *:[nxv2f32] }:$Zs, ssub:{ *:[i32] })
     /* 361507 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 361510 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 361512 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Zs
     /* 361518 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 361523 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 361528 */   // GIR_Coverage, 11172,
     /* 361528 */   GIR_EraseRootFromParent_Done,
     /* 361529 */ // Label 7207: @361529
     /* 361529 */ GIM_Try, /*On fail goto*//*Label 7208*/ GIMT_Encode4(361574), // Rule ID 5747 //
     /* 361534 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 361537 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 361540 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 361544 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 361548 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 361552 */   // (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] })
     /* 361552 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 361555 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 361557 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 361563 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 361568 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 361573 */   // GIR_Coverage, 5747,
     /* 361573 */   GIR_EraseRootFromParent_Done,
     /* 361574 */ // Label 7208: @361574
     /* 361574 */ GIM_Try, /*On fail goto*//*Label 7209*/ GIMT_Encode4(361647), // Rule ID 11149 //
     /* 361579 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 361582 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 361585 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 361588 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 361592 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 361596 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 361600 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 361604 */   // MIs[1] Operand 1
     /* 361604 */   // No operand predicates
     /* 361604 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 361606 */   // (vector_extract:{ *:[i32] } nxv16i8:{ *:[nxv16i8] }:$vec, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$index)  =>  (UMOVvi8:{ *:[i32] } (EXTRACT_SUBREG:{ *:[v16i8] } ZPR:{ *:[nxv16i8] }:$vec, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$index)
     /* 361606 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 361609 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 361613 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 361618 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // vec
     /* 361624 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 361629 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 361634 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi8),
     /* 361637 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 361639 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 361642 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // index
     /* 361645 */   GIR_RootConstrainSelectedInstOperands,
     /* 361646 */   // GIR_Coverage, 11149,
     /* 361646 */   GIR_EraseRootFromParent_Done,
     /* 361647 */ // Label 7209: @361647
     /* 361647 */ GIM_Try, /*On fail goto*//*Label 7210*/ GIMT_Encode4(361720), // Rule ID 11150 //
     /* 361652 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 361655 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 361658 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 361661 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 361665 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 361669 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 361673 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 361677 */   // MIs[1] Operand 1
     /* 361677 */   // No operand predicates
     /* 361677 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 361679 */   // (vector_extract:{ *:[i32] } nxv8i16:{ *:[nxv8i16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$index)  =>  (UMOVvi16:{ *:[i32] } (EXTRACT_SUBREG:{ *:[v8i16] } ZPR:{ *:[nxv8i16] }:$vec, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$index)
     /* 361679 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 361682 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 361686 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 361691 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // vec
     /* 361697 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 361702 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 361707 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi16),
     /* 361710 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 361712 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 361715 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // index
     /* 361718 */   GIR_RootConstrainSelectedInstOperands,
     /* 361719 */   // GIR_Coverage, 11150,
     /* 361719 */   GIR_EraseRootFromParent_Done,
     /* 361720 */ // Label 7210: @361720
     /* 361720 */ GIM_Try, /*On fail goto*//*Label 7211*/ GIMT_Encode4(361793), // Rule ID 11151 //
     /* 361725 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 361728 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 361731 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 361734 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 361738 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 361742 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 361746 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 361750 */   // MIs[1] Operand 1
     /* 361750 */   // No operand predicates
     /* 361750 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 361752 */   // (vector_extract:{ *:[i32] } nxv4i32:{ *:[nxv4i32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$index)  =>  (UMOVvi32:{ *:[i32] } (EXTRACT_SUBREG:{ *:[v4i32] } ZPR:{ *:[nxv4i32] }:$vec, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$index)
     /* 361752 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 361755 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 361759 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 361764 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // vec
     /* 361770 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 361775 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 361780 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi32),
     /* 361783 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 361785 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 361788 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // index
     /* 361791 */   GIR_RootConstrainSelectedInstOperands,
     /* 361792 */   // GIR_Coverage, 11151,
     /* 361792 */   GIR_EraseRootFromParent_Done,
     /* 361793 */ // Label 7211: @361793
     /* 361793 */ GIM_Try, /*On fail goto*//*Label 7212*/ GIMT_Encode4(361841), // Rule ID 1926 //
     /* 361798 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 361801 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 361804 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 361807 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 361811 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 361815 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 361819 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 361823 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndex0),
     /* 361827 */   // MIs[1] Operand 1
     /* 361827 */   // No operand predicates
     /* 361827 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 361829 */   // (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndex0>>:$idx)  =>  (UMOVvi8_idx0:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 361829 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi8_idx0),
     /* 361832 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 361834 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 361836 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 361839 */   GIR_RootConstrainSelectedInstOperands,
     /* 361840 */   // GIR_Coverage, 1926,
     /* 361840 */   GIR_EraseRootFromParent_Done,
     /* 361841 */ // Label 7212: @361841
     /* 361841 */ GIM_Try, /*On fail goto*//*Label 7213*/ GIMT_Encode4(361889), // Rule ID 1927 //
     /* 361846 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 361849 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 361852 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 361855 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 361859 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 361863 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 361867 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 361871 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndex0),
     /* 361875 */   // MIs[1] Operand 1
     /* 361875 */   // No operand predicates
     /* 361875 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 361877 */   // (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndex0>>:$idx)  =>  (UMOVvi16_idx0:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 361877 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi16_idx0),
     /* 361880 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 361882 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 361884 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 361887 */   GIR_RootConstrainSelectedInstOperands,
     /* 361888 */   // GIR_Coverage, 1927,
     /* 361888 */   GIR_EraseRootFromParent_Done,
     /* 361889 */ // Label 7213: @361889
     /* 361889 */ GIM_Try, /*On fail goto*//*Label 7214*/ GIMT_Encode4(361937), // Rule ID 1928 //
     /* 361894 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 361897 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 361900 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 361903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 361907 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 361911 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 361915 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 361919 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndex0),
     /* 361923 */   // MIs[1] Operand 1
     /* 361923 */   // No operand predicates
     /* 361923 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 361925 */   // (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndex0>>:$idx)  =>  (UMOVvi32_idx0:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 361925 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi32_idx0),
     /* 361928 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 361930 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 361932 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 361935 */   GIR_RootConstrainSelectedInstOperands,
     /* 361936 */   // GIR_Coverage, 1928,
     /* 361936 */   GIR_EraseRootFromParent_Done,
     /* 361937 */ // Label 7214: @361937
     /* 361937 */ GIM_Try, /*On fail goto*//*Label 7215*/ GIMT_Encode4(361985), // Rule ID 1930 //
     /* 361942 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 361945 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 361948 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 361951 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 361955 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 361959 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 361963 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 361967 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 361971 */   // MIs[1] Operand 1
     /* 361971 */   // No operand predicates
     /* 361971 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 361973 */   // (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)  =>  (UMOVvi8:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 361973 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi8),
     /* 361976 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 361978 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 361980 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 361983 */   GIR_RootConstrainSelectedInstOperands,
     /* 361984 */   // GIR_Coverage, 1930,
     /* 361984 */   GIR_EraseRootFromParent_Done,
     /* 361985 */ // Label 7215: @361985
     /* 361985 */ GIM_Try, /*On fail goto*//*Label 7216*/ GIMT_Encode4(362033), // Rule ID 1931 //
     /* 361990 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 361993 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 361996 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 361999 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 362003 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 362007 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 362011 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 362015 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 362019 */   // MIs[1] Operand 1
     /* 362019 */   // No operand predicates
     /* 362019 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 362021 */   // (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)  =>  (UMOVvi16:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 362021 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi16),
     /* 362024 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 362026 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 362028 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 362031 */   GIR_RootConstrainSelectedInstOperands,
     /* 362032 */   // GIR_Coverage, 1931,
     /* 362032 */   GIR_EraseRootFromParent_Done,
     /* 362033 */ // Label 7216: @362033
     /* 362033 */ GIM_Try, /*On fail goto*//*Label 7217*/ GIMT_Encode4(362081), // Rule ID 1932 //
     /* 362038 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 362041 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 362044 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 362047 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 362051 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 362055 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 362059 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 362063 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 362067 */   // MIs[1] Operand 1
     /* 362067 */   // No operand predicates
     /* 362067 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 362069 */   // (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)  =>  (UMOVvi32:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 362069 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi32),
     /* 362072 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 362074 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 362076 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 362079 */   GIR_RootConstrainSelectedInstOperands,
     /* 362080 */   // GIR_Coverage, 1932,
     /* 362080 */   GIR_EraseRootFromParent_Done,
     /* 362081 */ // Label 7217: @362081
     /* 362081 */ GIM_Try, /*On fail goto*//*Label 7218*/ GIMT_Encode4(362126), // Rule ID 5750 //
     /* 362086 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 362089 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 362092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 362096 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 362100 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 362104 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 362108 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 362112 */   // MIs[1] Operand 1
     /* 362112 */   // No operand predicates
     /* 362112 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 362114 */   // (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)  =>  (DUPi32:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 362114 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPi32),
     /* 362117 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 362119 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 362121 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 362124 */   GIR_RootConstrainSelectedInstOperands,
     /* 362125 */   // GIR_Coverage, 5750,
     /* 362125 */   GIR_EraseRootFromParent_Done,
     /* 362126 */ // Label 7218: @362126
     /* 362126 */ GIM_Try, /*On fail goto*//*Label 7219*/ GIMT_Encode4(362202), // Rule ID 11139 //
     /* 362131 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 362134 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 362137 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 362140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 362144 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 362148 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 362152 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_b),
     /* 362156 */   // MIs[1] Operand 1
     /* 362156 */   // No operand predicates
     /* 362156 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 362158 */   // (vector_extract:{ *:[i32] } nxv16i8:{ *:[nxv16i8] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_b>>:$index)  =>  (EXTRACT_SUBREG:{ *:[i32] } (DUP_ZZI_B:{ *:[nxv16i8] } ZPR:{ *:[nxv16i8] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_b>>:$index), ssub:{ *:[i32] })
     /* 362158 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 362161 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_B),
     /* 362165 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362170 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // vec
     /* 362174 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // index
     /* 362177 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 362179 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 362182 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 362184 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 362191 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 362196 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 362201 */   // GIR_Coverage, 11139,
     /* 362201 */   GIR_EraseRootFromParent_Done,
     /* 362202 */ // Label 7219: @362202
     /* 362202 */ GIM_Try, /*On fail goto*//*Label 7220*/ GIMT_Encode4(362278), // Rule ID 11140 //
     /* 362207 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 362210 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 362213 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 362216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 362220 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 362224 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 362228 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_h),
     /* 362232 */   // MIs[1] Operand 1
     /* 362232 */   // No operand predicates
     /* 362232 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 362234 */   // (vector_extract:{ *:[i32] } nxv8i16:{ *:[nxv8i16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index)  =>  (EXTRACT_SUBREG:{ *:[i32] } (DUP_ZZI_H:{ *:[nxv16i8] } ZPR:{ *:[nxv8i16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index), ssub:{ *:[i32] })
     /* 362234 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 362237 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_H),
     /* 362241 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362246 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // vec
     /* 362250 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // index
     /* 362253 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 362255 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 362258 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 362260 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 362267 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 362272 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 362277 */   // GIR_Coverage, 11140,
     /* 362277 */   GIR_EraseRootFromParent_Done,
     /* 362278 */ // Label 7220: @362278
     /* 362278 */ GIM_Try, /*On fail goto*//*Label 7221*/ GIMT_Encode4(362354), // Rule ID 11141 //
     /* 362283 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 362286 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 362289 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 362292 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 362296 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 362300 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 362304 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_s),
     /* 362308 */   // MIs[1] Operand 1
     /* 362308 */   // No operand predicates
     /* 362308 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 362310 */   // (vector_extract:{ *:[i32] } nxv4i32:{ *:[nxv4i32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index)  =>  (EXTRACT_SUBREG:{ *:[i32] } (DUP_ZZI_S:{ *:[nxv16i8] } ZPR:{ *:[nxv4i32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index), ssub:{ *:[i32] })
     /* 362310 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 362313 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_S),
     /* 362317 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362322 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // vec
     /* 362326 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // index
     /* 362329 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 362331 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 362334 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 362336 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 362343 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 362348 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 362353 */   // GIR_Coverage, 11141,
     /* 362353 */   GIR_EraseRootFromParent_Done,
     /* 362354 */ // Label 7221: @362354
     /* 362354 */ GIM_Try, /*On fail goto*//*Label 7222*/ GIMT_Encode4(362430), // Rule ID 11146 //
     /* 362359 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 362362 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 362365 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 362368 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 362372 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 362376 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 362380 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_s),
     /* 362384 */   // MIs[1] Operand 1
     /* 362384 */   // No operand predicates
     /* 362384 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 362386 */   // (vector_extract:{ *:[f32] } nxv4f32:{ *:[nxv4f32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index)  =>  (EXTRACT_SUBREG:{ *:[f32] } (DUP_ZZI_S:{ *:[nxv16i8] } ZPR:{ *:[nxv4f32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index), ssub:{ *:[i32] })
     /* 362386 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 362389 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_S),
     /* 362393 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362398 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // vec
     /* 362402 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // index
     /* 362405 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 362407 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 362410 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 362412 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 362419 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 362424 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 362429 */   // GIR_Coverage, 11146,
     /* 362429 */   GIR_EraseRootFromParent_Done,
     /* 362430 */ // Label 7222: @362430
     /* 362430 */ GIM_Try, /*On fail goto*//*Label 7223*/ GIMT_Encode4(362506), // Rule ID 11147 //
     /* 362435 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 362438 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 362441 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 362444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 362448 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 362452 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 362456 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_d),
     /* 362460 */   // MIs[1] Operand 1
     /* 362460 */   // No operand predicates
     /* 362460 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 362462 */   // (vector_extract:{ *:[f32] } nxv2f32:{ *:[nxv2f32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index)  =>  (EXTRACT_SUBREG:{ *:[f32] } (DUP_ZZI_D:{ *:[nxv16i8] } ZPR:{ *:[nxv2f32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index), ssub:{ *:[i32] })
     /* 362462 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 362465 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_D),
     /* 362469 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362474 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // vec
     /* 362478 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // index
     /* 362481 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 362483 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 362486 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 362488 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 362495 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 362500 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 362505 */   // GIR_Coverage, 11147,
     /* 362505 */   GIR_EraseRootFromParent_Done,
     /* 362506 */ // Label 7223: @362506
     /* 362506 */ GIM_Try, /*On fail goto*//*Label 7224*/ GIMT_Encode4(362567), // Rule ID 11129 //
     /* 362511 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 362514 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 362517 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 362520 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 362524 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 362528 */   // (vector_extract:{ *:[i32] } nxv16i8:{ *:[nxv16i8] }:$vec, GPR64:{ *:[i64] }:$index)  =>  (LASTB_RPZ_B:{ *:[i32] } (WHILELS_PXX_B:{ *:[nxv1i1] }:{ *:[i32] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$index), ZPR:{ *:[nxv16i8] }:$vec)
     /* 362528 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 362531 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_B),
     /* 362535 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362540 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 362546 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // index
     /* 362550 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 362553 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 362555 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LASTB_RPZ_B),
     /* 362558 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 362560 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 362563 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 362565 */   GIR_RootConstrainSelectedInstOperands,
     /* 362566 */   // GIR_Coverage, 11129,
     /* 362566 */   GIR_EraseRootFromParent_Done,
     /* 362567 */ // Label 7224: @362567
     /* 362567 */ GIM_Try, /*On fail goto*//*Label 7225*/ GIMT_Encode4(362628), // Rule ID 11130 //
     /* 362572 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 362575 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 362578 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 362581 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 362585 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 362589 */   // (vector_extract:{ *:[i32] } nxv8i16:{ *:[nxv8i16] }:$vec, GPR64:{ *:[i64] }:$index)  =>  (LASTB_RPZ_H:{ *:[i32] } (WHILELS_PXX_H:{ *:[nxv1i1] }:{ *:[i32] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$index), ZPR:{ *:[nxv8i16] }:$vec)
     /* 362589 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 362592 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_H),
     /* 362596 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362601 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 362607 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // index
     /* 362611 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 362614 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 362616 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LASTB_RPZ_H),
     /* 362619 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 362621 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 362624 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 362626 */   GIR_RootConstrainSelectedInstOperands,
     /* 362627 */   // GIR_Coverage, 11130,
     /* 362627 */   GIR_EraseRootFromParent_Done,
     /* 362628 */ // Label 7225: @362628
     /* 362628 */ GIM_Try, /*On fail goto*//*Label 7226*/ GIMT_Encode4(362689), // Rule ID 11131 //
     /* 362633 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 362636 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 362639 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 362642 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 362646 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 362650 */   // (vector_extract:{ *:[i32] } nxv4i32:{ *:[nxv4i32] }:$vec, GPR64:{ *:[i64] }:$index)  =>  (LASTB_RPZ_S:{ *:[i32] } (WHILELS_PXX_S:{ *:[nxv1i1] }:{ *:[i32] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$index), ZPR:{ *:[nxv4i32] }:$vec)
     /* 362650 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 362653 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_S),
     /* 362657 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362662 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 362668 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // index
     /* 362672 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 362675 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 362677 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LASTB_RPZ_S),
     /* 362680 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 362682 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 362685 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 362687 */   GIR_RootConstrainSelectedInstOperands,
     /* 362688 */   // GIR_Coverage, 11131,
     /* 362688 */   GIR_EraseRootFromParent_Done,
     /* 362689 */ // Label 7226: @362689
     /* 362689 */ GIM_Try, /*On fail goto*//*Label 7227*/ GIMT_Encode4(362750), // Rule ID 11136 //
     /* 362694 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 362697 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 362700 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 362703 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 362707 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 362711 */   // (vector_extract:{ *:[f32] } nxv4f32:{ *:[nxv4f32] }:$vec, GPR64:{ *:[i64] }:$index)  =>  (LASTB_VPZ_S:{ *:[f32] } (WHILELS_PXX_S:{ *:[nxv1i1] }:{ *:[i32] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$index), ZPR:{ *:[nxv4f32] }:$vec)
     /* 362711 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 362714 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_S),
     /* 362718 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362723 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 362729 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // index
     /* 362733 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 362736 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 362738 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LASTB_VPZ_S),
     /* 362741 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 362743 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 362746 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 362748 */   GIR_RootConstrainSelectedInstOperands,
     /* 362749 */   // GIR_Coverage, 11136,
     /* 362749 */   GIR_EraseRootFromParent_Done,
     /* 362750 */ // Label 7227: @362750
     /* 362750 */ GIM_Try, /*On fail goto*//*Label 7228*/ GIMT_Encode4(362811), // Rule ID 11137 //
     /* 362755 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 362758 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 362761 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 362764 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 362768 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 362772 */   // (vector_extract:{ *:[f32] } nxv2f32:{ *:[nxv2f32] }:$vec, GPR64:{ *:[i64] }:$index)  =>  (LASTB_VPZ_S:{ *:[f32] } (WHILELS_PXX_D:{ *:[nxv1i1] }:{ *:[i32] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$index), ZPR:{ *:[nxv2f32] }:$vec)
     /* 362772 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 362775 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_D),
     /* 362779 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362784 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 362790 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // index
     /* 362794 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 362797 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 362799 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LASTB_VPZ_S),
     /* 362802 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 362804 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 362807 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 362809 */   GIR_RootConstrainSelectedInstOperands,
     /* 362810 */   // GIR_Coverage, 11137,
     /* 362810 */   GIR_EraseRootFromParent_Done,
     /* 362811 */ // Label 7228: @362811
     /* 362811 */ GIM_Reject,
     /* 362812 */ // Label 7188: @362812
     /* 362812 */ GIM_Try, /*On fail goto*//*Label 7229*/ GIMT_Encode4(362857), // Rule ID 6924 //
     /* 362817 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 362820 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 362823 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 362827 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 362831 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 362835 */   // (extractelt:{ *:[i64] } V128:{ *:[v2i64] }:$V, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2i64] }:$V, dsub:{ *:[i32] })
     /* 362835 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 362838 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 362840 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // V
     /* 362846 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 362851 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 362856 */   // GIR_Coverage, 6924,
     /* 362856 */   GIR_EraseRootFromParent_Done,
     /* 362857 */ // Label 7229: @362857
     /* 362857 */ GIM_Try, /*On fail goto*//*Label 7230*/ GIMT_Encode4(362901), // Rule ID 11167 //
     /* 362862 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 362865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 362868 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 362871 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 362875 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 362879 */   // (vector_extract:{ *:[i64] } nxv2i64:{ *:[nxv2i64] }:$Zs, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[i64] } ZPR:{ *:[nxv2i64] }:$Zs, dsub:{ *:[i32] })
     /* 362879 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 362882 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 362884 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Zs
     /* 362890 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 362895 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 362900 */   // GIR_Coverage, 11167,
     /* 362900 */   GIR_EraseRootFromParent_Done,
     /* 362901 */ // Label 7230: @362901
     /* 362901 */ GIM_Try, /*On fail goto*//*Label 7231*/ GIMT_Encode4(362945), // Rule ID 11173 //
     /* 362906 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 362909 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 362912 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 362915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 362919 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 362923 */   // (vector_extract:{ *:[f64] } nxv2f64:{ *:[nxv2f64] }:$Zs, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[f64] } ZPR:{ *:[nxv2f64] }:$Zs, dsub:{ *:[i32] })
     /* 362923 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 362926 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 362928 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Zs
     /* 362934 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 362939 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 362944 */   // GIR_Coverage, 11173,
     /* 362944 */   GIR_EraseRootFromParent_Done,
     /* 362945 */ // Label 7231: @362945
     /* 362945 */ GIM_Try, /*On fail goto*//*Label 7232*/ GIMT_Encode4(362990), // Rule ID 5746 //
     /* 362950 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 362953 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 362956 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 362960 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 362964 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 362968 */   // (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] })
     /* 362968 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 362971 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 362973 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 362979 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 362984 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 362989 */   // GIR_Coverage, 5746,
     /* 362989 */   GIR_EraseRootFromParent_Done,
     /* 362990 */ // Label 7232: @362990
     /* 362990 */ GIM_Try, /*On fail goto*//*Label 7233*/ GIMT_Encode4(363063), // Rule ID 11152 //
     /* 362995 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 362998 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 363001 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 363004 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 363008 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 363012 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 363016 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 363020 */   // MIs[1] Operand 1
     /* 363020 */   // No operand predicates
     /* 363020 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 363022 */   // (vector_extract:{ *:[i64] } nxv2i64:{ *:[nxv2i64] }:$vec, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$index)  =>  (UMOVvi64:{ *:[i64] } (EXTRACT_SUBREG:{ *:[v2i64] } ZPR:{ *:[nxv2i64] }:$vec, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$index)
     /* 363022 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /* 363025 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 363029 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363034 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // vec
     /* 363040 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 363045 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 363050 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi64),
     /* 363053 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 363055 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 363058 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // index
     /* 363061 */   GIR_RootConstrainSelectedInstOperands,
     /* 363062 */   // GIR_Coverage, 11152,
     /* 363062 */   GIR_EraseRootFromParent_Done,
     /* 363063 */ // Label 7233: @363063
     /* 363063 */ GIM_Try, /*On fail goto*//*Label 7234*/ GIMT_Encode4(363111), // Rule ID 1929 //
     /* 363068 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 363071 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 363074 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 363077 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 363081 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 363085 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 363089 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 363093 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndex0),
     /* 363097 */   // MIs[1] Operand 1
     /* 363097 */   // No operand predicates
     /* 363097 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 363099 */   // (vector_extract:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndex0>>:$idx)  =>  (UMOVvi64_idx0:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 363099 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi64_idx0),
     /* 363102 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 363104 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 363106 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 363109 */   GIR_RootConstrainSelectedInstOperands,
     /* 363110 */   // GIR_Coverage, 1929,
     /* 363110 */   GIR_EraseRootFromParent_Done,
     /* 363111 */ // Label 7234: @363111
     /* 363111 */ GIM_Try, /*On fail goto*//*Label 7235*/ GIMT_Encode4(363159), // Rule ID 1933 //
     /* 363116 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 363119 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 363122 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 363125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 363129 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 363133 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 363137 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 363141 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 363145 */   // MIs[1] Operand 1
     /* 363145 */   // No operand predicates
     /* 363145 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 363147 */   // (vector_extract:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)  =>  (UMOVvi64:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 363147 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi64),
     /* 363150 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 363152 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 363154 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 363157 */   GIR_RootConstrainSelectedInstOperands,
     /* 363158 */   // GIR_Coverage, 1933,
     /* 363158 */   GIR_EraseRootFromParent_Done,
     /* 363159 */ // Label 7235: @363159
     /* 363159 */ GIM_Try, /*On fail goto*//*Label 7236*/ GIMT_Encode4(363204), // Rule ID 5749 //
     /* 363164 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 363167 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 363170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 363174 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 363178 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 363182 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 363186 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 363190 */   // MIs[1] Operand 1
     /* 363190 */   // No operand predicates
     /* 363190 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 363192 */   // (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)  =>  (DUPi64:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 363192 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPi64),
     /* 363195 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 363197 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 363199 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 363202 */   GIR_RootConstrainSelectedInstOperands,
     /* 363203 */   // GIR_Coverage, 5749,
     /* 363203 */   GIR_EraseRootFromParent_Done,
     /* 363204 */ // Label 7236: @363204
     /* 363204 */ GIM_Try, /*On fail goto*//*Label 7237*/ GIMT_Encode4(363280), // Rule ID 11142 //
     /* 363209 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 363212 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 363215 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 363218 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 363222 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 363226 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 363230 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_d),
     /* 363234 */   // MIs[1] Operand 1
     /* 363234 */   // No operand predicates
     /* 363234 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 363236 */   // (vector_extract:{ *:[i64] } nxv2i64:{ *:[nxv2i64] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index)  =>  (EXTRACT_SUBREG:{ *:[i64] } (DUP_ZZI_D:{ *:[nxv16i8] } ZPR:{ *:[nxv2i64] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index), dsub:{ *:[i32] })
     /* 363236 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 363239 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_D),
     /* 363243 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363248 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // vec
     /* 363252 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // index
     /* 363255 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 363257 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 363260 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 363262 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 363269 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 363274 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 363279 */   // GIR_Coverage, 11142,
     /* 363279 */   GIR_EraseRootFromParent_Done,
     /* 363280 */ // Label 7237: @363280
     /* 363280 */ GIM_Try, /*On fail goto*//*Label 7238*/ GIMT_Encode4(363356), // Rule ID 11148 //
     /* 363285 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 363288 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 363291 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 363294 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 363298 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 363302 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 363306 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_d),
     /* 363310 */   // MIs[1] Operand 1
     /* 363310 */   // No operand predicates
     /* 363310 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 363312 */   // (vector_extract:{ *:[f64] } nxv2f64:{ *:[nxv2f64] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index)  =>  (EXTRACT_SUBREG:{ *:[f64] } (DUP_ZZI_D:{ *:[nxv16i8] } ZPR:{ *:[nxv2f64] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index), dsub:{ *:[i32] })
     /* 363312 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 363315 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_D),
     /* 363319 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363324 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // vec
     /* 363328 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // index
     /* 363331 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 363333 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 363336 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 363338 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 363345 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 363350 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 363355 */   // GIR_Coverage, 11148,
     /* 363355 */   GIR_EraseRootFromParent_Done,
     /* 363356 */ // Label 7238: @363356
     /* 363356 */ GIM_Try, /*On fail goto*//*Label 7239*/ GIMT_Encode4(363417), // Rule ID 11132 //
     /* 363361 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 363364 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 363367 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 363370 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 363374 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 363378 */   // (vector_extract:{ *:[i64] } nxv2i64:{ *:[nxv2i64] }:$vec, GPR64:{ *:[i64] }:$index)  =>  (LASTB_RPZ_D:{ *:[i64] } (WHILELS_PXX_D:{ *:[nxv1i1] }:{ *:[i32] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$index), ZPR:{ *:[nxv2i64] }:$vec)
     /* 363378 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 363381 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_D),
     /* 363385 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363390 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 363396 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // index
     /* 363400 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 363403 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 363405 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LASTB_RPZ_D),
     /* 363408 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 363410 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 363413 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 363415 */   GIR_RootConstrainSelectedInstOperands,
     /* 363416 */   // GIR_Coverage, 11132,
     /* 363416 */   GIR_EraseRootFromParent_Done,
     /* 363417 */ // Label 7239: @363417
     /* 363417 */ GIM_Try, /*On fail goto*//*Label 7240*/ GIMT_Encode4(363478), // Rule ID 11138 //
     /* 363422 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 363425 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 363428 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 363431 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 363435 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 363439 */   // (vector_extract:{ *:[f64] } nxv2f64:{ *:[nxv2f64] }:$vec, GPR64:{ *:[i64] }:$index)  =>  (LASTB_VPZ_D:{ *:[f64] } (WHILELS_PXX_D:{ *:[nxv1i1] }:{ *:[i32] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$index), ZPR:{ *:[nxv2f64] }:$vec)
     /* 363439 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 363442 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_D),
     /* 363446 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363451 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 363457 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // index
     /* 363461 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 363464 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 363466 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LASTB_VPZ_D),
     /* 363469 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 363471 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 363474 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 363476 */   GIR_RootConstrainSelectedInstOperands,
     /* 363477 */   // GIR_Coverage, 11138,
     /* 363477 */   GIR_EraseRootFromParent_Done,
     /* 363478 */ // Label 7240: @363478
     /* 363478 */ GIM_Reject,
     /* 363479 */ // Label 7189: @363479
     /* 363479 */ GIM_Reject,
     /* 363480 */ // Label 90: @363480
     /* 363480 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(14), GIMT_Encode2(24), /*)*//*default:*//*Label 7248*/ GIMT_Encode4(365799),
     /* 363491 */ /*GILLT_nxv2s16*//*Label 7241*/ GIMT_Encode4(363531),
     /* 363495 */ /*GILLT_nxv2s32*//*Label 7242*/ GIMT_Encode4(363890),
     /* 363499 */ /*GILLT_nxv2s64*//*Label 7243*/ GIMT_Encode4(364192), GIMT_Encode4(0),
     /* 363507 */ /*GILLT_nxv4s16*//*Label 7244*/ GIMT_Encode4(364567),
     /* 363511 */ /*GILLT_nxv4s32*//*Label 7245*/ GIMT_Encode4(364869), GIMT_Encode4(0),
     /* 363519 */ /*GILLT_nxv8s16*//*Label 7246*/ GIMT_Encode4(365244), GIMT_Encode4(0),
     /* 363527 */ /*GILLT_nxv16s8*//*Label 7247*/ GIMT_Encode4(365655),
     /* 363531 */ // Label 7241: @363531
     /* 363531 */ GIM_Try, /*On fail goto*//*Label 7249*/ GIMT_Encode4(363889),
     /* 363536 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 363539 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 363543 */   GIM_Try, /*On fail goto*//*Label 7250*/ GIMT_Encode4(363607), // Rule ID 5980 //
     /* 363548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 363551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 363555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 363559 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 363563 */     // MIs[1] Operand 1
     /* 363563 */     // No operand predicates
     /* 363563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 363565 */     // (splat_vector:{ *:[nxv2f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm0>>)  =>  (SUBREG_TO_REG:{ *:[nxv2f16] } 0:{ *:[i32] }, (MOVIv2d_ns:{ *:[f128] } 0:{ *:[i32] }), zsub:{ *:[i32] })
     /* 363565 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 363568 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /* 363572 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363577 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 363580 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 363582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 363585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 363587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 363590 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 363593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/43,
     /* 363596 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 363601 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 363606 */     // GIR_Coverage, 5980,
     /* 363606 */     GIR_EraseRootFromParent_Done,
     /* 363607 */   // Label 7250: @363607
     /* 363607 */   GIM_Try, /*On fail goto*//*Label 7251*/ GIMT_Encode4(363664), // Rule ID 2675 //
     /* 363612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 363615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 363619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 363623 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 363627 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 363631 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 363636 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 363640 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 363644 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_s),
     /* 363648 */     // MIs[2] Operand 1
     /* 363648 */     // No operand predicates
     /* 363648 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 363650 */     // (splat_vector:{ *:[nxv2f16] } (vector_extract:{ *:[f16] } ZPR:{ *:[nxv4f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index))  =>  (DUP_ZZI_S:{ *:[nxv2f16] } ZPR:{ *:[nxv4f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index)
     /* 363650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_S),
     /* 363653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 363655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 363659 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 363662 */     GIR_RootConstrainSelectedInstOperands,
     /* 363663 */     // GIR_Coverage, 2675,
     /* 363663 */     GIR_EraseRootFromParent_Done,
     /* 363664 */   // Label 7251: @363664
     /* 363664 */   GIM_Try, /*On fail goto*//*Label 7252*/ GIMT_Encode4(363721), // Rule ID 2677 //
     /* 363669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 363672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 363676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 363680 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 363684 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 363688 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 363693 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 363697 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 363701 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_d),
     /* 363705 */     // MIs[2] Operand 1
     /* 363705 */     // No operand predicates
     /* 363705 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 363707 */     // (splat_vector:{ *:[nxv2f16] } (vector_extract:{ *:[f16] } ZPR:{ *:[nxv2f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index))  =>  (DUP_ZZI_D:{ *:[nxv2f16] } ZPR:{ *:[nxv2f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index)
     /* 363707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_D),
     /* 363710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 363712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 363716 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 363719 */     GIR_RootConstrainSelectedInstOperands,
     /* 363720 */     // GIR_Coverage, 2677,
     /* 363720 */     GIR_EraseRootFromParent_Done,
     /* 363721 */   // Label 7252: @363721
     /* 363721 */   GIM_Try, /*On fail goto*//*Label 7253*/ GIMT_Encode4(363778), // Rule ID 8284 //
     /* 363726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 363729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 363733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 363737 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 363741 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 363745 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 363750 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 363754 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 363758 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_h),
     /* 363762 */     // MIs[2] Operand 1
     /* 363762 */     // No operand predicates
     /* 363762 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 363764 */     // (splat_vector:{ *:[nxv2f16] } (vector_extract:{ *:[f16] } ZPR:{ *:[nxv8f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index))  =>  (DUP_ZZI_H:{ *:[nxv2f16] } ZPR:{ *:[nxv8f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index)
     /* 363764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_H),
     /* 363767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 363769 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 363773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 363776 */     GIR_RootConstrainSelectedInstOperands,
     /* 363777 */     // GIR_Coverage, 8284,
     /* 363777 */     GIR_EraseRootFromParent_Done,
     /* 363778 */   // Label 7253: @363778
     /* 363778 */   GIM_Try, /*On fail goto*//*Label 7254*/ GIMT_Encode4(363812), // Rule ID 8327 //
     /* 363783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 363786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 363790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 363794 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm16),
     /* 363798 */     // MIs[1] Operand 1
     /* 363798 */     // No operand predicates
     /* 363798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 363800 */     // (splat_vector:{ *:[nxv2f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>><<X:fpimm16XForm>>:$imm8)  =>  (FDUP_ZI_H:{ *:[nxv2f16] } (fpimm16XForm:{ *:[f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>>:$imm8))
     /* 363800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDUP_ZI_H),
     /* 363803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 363805 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFPImm16), // imm8
     /* 363810 */     GIR_RootConstrainSelectedInstOperands,
     /* 363811 */     // GIR_Coverage, 8327,
     /* 363811 */     GIR_EraseRootFromParent_Done,
     /* 363812 */   // Label 7254: @363812
     /* 363812 */   GIM_Try, /*On fail goto*//*Label 7255*/ GIMT_Encode4(363888), // Rule ID 8305 //
     /* 363817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 363820 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 363824 */     // (splat_vector:{ *:[nxv2f16] } FPR16:{ *:[f16] }:$src)  =>  (DUP_ZZI_H:{ *:[nxv2f16] } (INSERT_SUBREG:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), FPR16:{ *:[f16] }:$src, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 363824 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv16s8,
     /* 363827 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 363831 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363836 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 363838 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 363841 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 363845 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363850 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 363853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 363857 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 363860 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 363865 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 363870 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 363875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_H),
     /* 363878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 363880 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 363883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 363886 */     GIR_RootConstrainSelectedInstOperands,
     /* 363887 */     // GIR_Coverage, 8305,
     /* 363887 */     GIR_EraseRootFromParent_Done,
     /* 363888 */   // Label 7255: @363888
     /* 363888 */   GIM_Reject,
     /* 363889 */ // Label 7249: @363889
     /* 363889 */ GIM_Reject,
     /* 363890 */ // Label 7242: @363890
     /* 363890 */ GIM_Try, /*On fail goto*//*Label 7256*/ GIMT_Encode4(364191),
     /* 363895 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 363898 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 363902 */   GIM_Try, /*On fail goto*//*Label 7257*/ GIMT_Encode4(363966), // Rule ID 5978 //
     /* 363907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 363910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 363914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 363918 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 363922 */     // MIs[1] Operand 1
     /* 363922 */     // No operand predicates
     /* 363922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 363924 */     // (splat_vector:{ *:[nxv2f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm0>>)  =>  (SUBREG_TO_REG:{ *:[nxv2f32] } 0:{ *:[i32] }, (MOVIv2d_ns:{ *:[f128] } 0:{ *:[i32] }), zsub:{ *:[i32] })
     /* 363924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 363927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /* 363931 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363936 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 363939 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 363941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 363944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 363946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 363949 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 363952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/43,
     /* 363955 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 363960 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 363965 */     // GIR_Coverage, 5978,
     /* 363965 */     GIR_EraseRootFromParent_Done,
     /* 363966 */   // Label 7257: @363966
     /* 363966 */   GIM_Try, /*On fail goto*//*Label 7258*/ GIMT_Encode4(364023), // Rule ID 8293 //
     /* 363971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 363974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 363978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 363982 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 363986 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 363990 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 363995 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 363999 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 364003 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_s),
     /* 364007 */     // MIs[2] Operand 1
     /* 364007 */     // No operand predicates
     /* 364007 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 364009 */     // (splat_vector:{ *:[nxv2f32] } (vector_extract:{ *:[f32] } ZPR:{ *:[nxv4f32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index))  =>  (DUP_ZZI_S:{ *:[nxv2f32] } ZPR:{ *:[nxv4f32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index)
     /* 364009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_S),
     /* 364012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 364014 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 364018 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 364021 */     GIR_RootConstrainSelectedInstOperands,
     /* 364022 */     // GIR_Coverage, 8293,
     /* 364022 */     GIR_EraseRootFromParent_Done,
     /* 364023 */   // Label 7258: @364023
     /* 364023 */   GIM_Try, /*On fail goto*//*Label 7259*/ GIMT_Encode4(364080), // Rule ID 8302 //
     /* 364028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 364031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 364035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 364039 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 364043 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 364047 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 364052 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 364056 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 364060 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_d),
     /* 364064 */     // MIs[2] Operand 1
     /* 364064 */     // No operand predicates
     /* 364064 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 364066 */     // (splat_vector:{ *:[nxv2f32] } (vector_extract:{ *:[f32] } ZPR:{ *:[nxv2f32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index))  =>  (DUP_ZZI_D:{ *:[nxv2f32] } ZPR:{ *:[nxv2f32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index)
     /* 364066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_D),
     /* 364069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 364071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 364075 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 364078 */     GIR_RootConstrainSelectedInstOperands,
     /* 364079 */     // GIR_Coverage, 8302,
     /* 364079 */     GIR_EraseRootFromParent_Done,
     /* 364080 */   // Label 7259: @364080
     /* 364080 */   GIM_Try, /*On fail goto*//*Label 7260*/ GIMT_Encode4(364114), // Rule ID 8329 //
     /* 364085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 364088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 364092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 364096 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm32),
     /* 364100 */     // MIs[1] Operand 1
     /* 364100 */     // No operand predicates
     /* 364100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 364102 */     // (splat_vector:{ *:[nxv2f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm32>><<X:fpimm32XForm>>:$imm8)  =>  (FDUP_ZI_S:{ *:[nxv2f32] } (fpimm32XForm:{ *:[f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm32>>:$imm8))
     /* 364102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDUP_ZI_S),
     /* 364105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 364107 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFPImm32), // imm8
     /* 364112 */     GIR_RootConstrainSelectedInstOperands,
     /* 364113 */     // GIR_Coverage, 8329,
     /* 364113 */     GIR_EraseRootFromParent_Done,
     /* 364114 */   // Label 7260: @364114
     /* 364114 */   GIM_Try, /*On fail goto*//*Label 7261*/ GIMT_Encode4(364190), // Rule ID 8307 //
     /* 364119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 364122 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 364126 */     // (splat_vector:{ *:[nxv2f32] } FPR32:{ *:[f32] }:$src)  =>  (DUP_ZZI_S:{ *:[nxv2f32] } (INSERT_SUBREG:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), FPR32:{ *:[f32] }:$src, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 364126 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv16s8,
     /* 364129 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 364133 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 364138 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 364140 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 364143 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 364147 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 364152 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 364155 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 364159 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 364162 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 364167 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 364172 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 364177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_S),
     /* 364180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 364182 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 364185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 364188 */     GIR_RootConstrainSelectedInstOperands,
     /* 364189 */     // GIR_Coverage, 8307,
     /* 364189 */     GIR_EraseRootFromParent_Done,
     /* 364190 */   // Label 7261: @364190
     /* 364190 */   GIM_Reject,
     /* 364191 */ // Label 7256: @364191
     /* 364191 */ GIM_Reject,
     /* 364192 */ // Label 7243: @364192
     /* 364192 */ GIM_Try, /*On fail goto*//*Label 7262*/ GIMT_Encode4(364566),
     /* 364197 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 364200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 364204 */   GIM_Try, /*On fail goto*//*Label 7263*/ GIMT_Encode4(364258), // Rule ID 5973 //
     /* 364209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 364212 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /* 364216 */     // (splat_vector:{ *:[nxv2i64] } 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2i64] } 0:{ *:[i32] }, (MOVIv2d_ns:{ *:[f128] } 0:{ *:[i32] }), zsub:{ *:[i32] })
     /* 364216 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 364219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /* 364223 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 364228 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 364231 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 364233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 364236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 364238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 364241 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 364244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/43,
     /* 364247 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 364252 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 364257 */     // GIR_Coverage, 5973,
     /* 364257 */     GIR_EraseRootFromParent_Done,
     /* 364258 */   // Label 7263: @364258
     /* 364258 */   GIM_Try, /*On fail goto*//*Label 7264*/ GIMT_Encode4(364322), // Rule ID 5977 //
     /* 364263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 364266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 364270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 364274 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 364278 */     // MIs[1] Operand 1
     /* 364278 */     // No operand predicates
     /* 364278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 364280 */     // (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm0>>)  =>  (SUBREG_TO_REG:{ *:[nxv2f64] } 0:{ *:[i32] }, (MOVIv2d_ns:{ *:[f128] } 0:{ *:[i32] }), zsub:{ *:[i32] })
     /* 364280 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 364283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /* 364287 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 364292 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 364295 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 364297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 364300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 364302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 364305 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 364308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/43,
     /* 364311 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 364316 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 364321 */     // GIR_Coverage, 5977,
     /* 364321 */     GIR_EraseRootFromParent_Done,
     /* 364322 */   // Label 7264: @364322
     /* 364322 */   GIM_Try, /*On fail goto*//*Label 7265*/ GIMT_Encode4(364379), // Rule ID 2672 //
     /* 364327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 364330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 364334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 364338 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 364342 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 364346 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 364351 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 364355 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 364359 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_d),
     /* 364363 */     // MIs[2] Operand 1
     /* 364363 */     // No operand predicates
     /* 364363 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 364365 */     // (splat_vector:{ *:[nxv2i64] } (vector_extract:{ *:[i64] } ZPR:{ *:[nxv2i64] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index))  =>  (DUP_ZZI_D:{ *:[nxv2i64] } ZPR:{ *:[nxv2i64] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index)
     /* 364365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_D),
     /* 364368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 364370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 364374 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 364377 */     GIR_RootConstrainSelectedInstOperands,
     /* 364378 */     // GIR_Coverage, 2672,
     /* 364378 */     GIR_EraseRootFromParent_Done,
     /* 364379 */   // Label 7265: @364379
     /* 364379 */   GIM_Try, /*On fail goto*//*Label 7266*/ GIMT_Encode4(364436), // Rule ID 8299 //
     /* 364384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 364387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 364391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 364395 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 364399 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 364403 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 364408 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 364412 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 364416 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_d),
     /* 364420 */     // MIs[2] Operand 1
     /* 364420 */     // No operand predicates
     /* 364420 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 364422 */     // (splat_vector:{ *:[nxv2f64] } (vector_extract:{ *:[f64] } ZPR:{ *:[nxv2f64] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index))  =>  (DUP_ZZI_D:{ *:[nxv2f64] } ZPR:{ *:[nxv2f64] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index)
     /* 364422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_D),
     /* 364425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 364427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 364431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 364434 */     GIR_RootConstrainSelectedInstOperands,
     /* 364435 */     // GIR_Coverage, 8299,
     /* 364435 */     GIR_EraseRootFromParent_Done,
     /* 364436 */   // Label 7266: @364436
     /* 364436 */   GIM_Try, /*On fail goto*//*Label 7267*/ GIMT_Encode4(364470), // Rule ID 8330 //
     /* 364441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 364444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 364448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 364452 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm64),
     /* 364456 */     // MIs[1] Operand 1
     /* 364456 */     // No operand predicates
     /* 364456 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 364458 */     // (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm64>><<X:fpimm64XForm>>:$imm8)  =>  (FDUP_ZI_D:{ *:[nxv2f64] } (fpimm64XForm:{ *:[f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm64>>:$imm8))
     /* 364458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDUP_ZI_D),
     /* 364461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 364463 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFPImm64), // imm8
     /* 364468 */     GIR_RootConstrainSelectedInstOperands,
     /* 364469 */     // GIR_Coverage, 8330,
     /* 364469 */     GIR_EraseRootFromParent_Done,
     /* 364470 */   // Label 7267: @364470
     /* 364470 */   GIM_Try, /*On fail goto*//*Label 7268*/ GIMT_Encode4(364489), // Rule ID 2391 //
     /* 364475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 364478 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 364482 */     // (splat_vector:{ *:[nxv2i64] } GPR64sp:{ *:[i64] }:$Rn)  =>  (DUP_ZR_D:{ *:[nxv2i64] } GPR64sp:{ *:[i64] }:$Rn)
     /* 364482 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_D),
     /* 364487 */     GIR_RootConstrainSelectedInstOperands,
     /* 364488 */     // GIR_Coverage, 2391,
     /* 364488 */     GIR_Done,
     /* 364489 */   // Label 7268: @364489
     /* 364489 */   GIM_Try, /*On fail goto*//*Label 7269*/ GIMT_Encode4(364565), // Rule ID 8308 //
     /* 364494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 364497 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 364501 */     // (splat_vector:{ *:[nxv2f64] } FPR64:{ *:[f64] }:$src)  =>  (DUP_ZZI_D:{ *:[nxv2f64] } (INSERT_SUBREG:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), FPR64:{ *:[f64] }:$src, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 364501 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv16s8,
     /* 364504 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 364508 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 364513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 364515 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 364518 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 364522 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 364527 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 364530 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 364534 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 364537 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 364542 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 364547 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 364552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_D),
     /* 364555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 364557 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 364560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 364563 */     GIR_RootConstrainSelectedInstOperands,
     /* 364564 */     // GIR_Coverage, 8308,
     /* 364564 */     GIR_EraseRootFromParent_Done,
     /* 364565 */   // Label 7269: @364565
     /* 364565 */   GIM_Reject,
     /* 364566 */ // Label 7262: @364566
     /* 364566 */ GIM_Reject,
     /* 364567 */ // Label 7244: @364567
     /* 364567 */ GIM_Try, /*On fail goto*//*Label 7270*/ GIMT_Encode4(364868),
     /* 364572 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 364575 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 364579 */   GIM_Try, /*On fail goto*//*Label 7271*/ GIMT_Encode4(364643), // Rule ID 5981 //
     /* 364584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 364587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 364591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 364595 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 364599 */     // MIs[1] Operand 1
     /* 364599 */     // No operand predicates
     /* 364599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 364601 */     // (splat_vector:{ *:[nxv4f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm0>>)  =>  (SUBREG_TO_REG:{ *:[nxv4f16] } 0:{ *:[i32] }, (MOVIv2d_ns:{ *:[f128] } 0:{ *:[i32] }), zsub:{ *:[i32] })
     /* 364601 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 364604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /* 364608 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 364613 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 364616 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 364618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 364621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 364623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 364626 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 364629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/43,
     /* 364632 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 364637 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 364642 */     // GIR_Coverage, 5981,
     /* 364642 */     GIR_EraseRootFromParent_Done,
     /* 364643 */   // Label 7271: @364643
     /* 364643 */   GIM_Try, /*On fail goto*//*Label 7272*/ GIMT_Encode4(364700), // Rule ID 2676 //
     /* 364648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 364651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 364655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 364659 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 364663 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 364667 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 364672 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 364676 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 364680 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_s),
     /* 364684 */     // MIs[2] Operand 1
     /* 364684 */     // No operand predicates
     /* 364684 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 364686 */     // (splat_vector:{ *:[nxv4f16] } (vector_extract:{ *:[f16] } ZPR:{ *:[nxv4f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index))  =>  (DUP_ZZI_S:{ *:[nxv4f16] } ZPR:{ *:[nxv4f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index)
     /* 364686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_S),
     /* 364689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 364691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 364695 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 364698 */     GIR_RootConstrainSelectedInstOperands,
     /* 364699 */     // GIR_Coverage, 2676,
     /* 364699 */     GIR_EraseRootFromParent_Done,
     /* 364700 */   // Label 7272: @364700
     /* 364700 */   GIM_Try, /*On fail goto*//*Label 7273*/ GIMT_Encode4(364757), // Rule ID 8287 //
     /* 364705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 364708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 364712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 364716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 364720 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 364724 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 364729 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 364733 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 364737 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_h),
     /* 364741 */     // MIs[2] Operand 1
     /* 364741 */     // No operand predicates
     /* 364741 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 364743 */     // (splat_vector:{ *:[nxv4f16] } (vector_extract:{ *:[f16] } ZPR:{ *:[nxv8f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index))  =>  (DUP_ZZI_H:{ *:[nxv4f16] } ZPR:{ *:[nxv8f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index)
     /* 364743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_H),
     /* 364746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 364748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 364752 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 364755 */     GIR_RootConstrainSelectedInstOperands,
     /* 364756 */     // GIR_Coverage, 8287,
     /* 364756 */     GIR_EraseRootFromParent_Done,
     /* 364757 */   // Label 7273: @364757
     /* 364757 */   GIM_Try, /*On fail goto*//*Label 7274*/ GIMT_Encode4(364791), // Rule ID 8326 //
     /* 364762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 364765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 364769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 364773 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm16),
     /* 364777 */     // MIs[1] Operand 1
     /* 364777 */     // No operand predicates
     /* 364777 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 364779 */     // (splat_vector:{ *:[nxv4f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>><<X:fpimm16XForm>>:$imm8)  =>  (FDUP_ZI_H:{ *:[nxv4f16] } (fpimm16XForm:{ *:[f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>>:$imm8))
     /* 364779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDUP_ZI_H),
     /* 364782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 364784 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFPImm16), // imm8
     /* 364789 */     GIR_RootConstrainSelectedInstOperands,
     /* 364790 */     // GIR_Coverage, 8326,
     /* 364790 */     GIR_EraseRootFromParent_Done,
     /* 364791 */   // Label 7274: @364791
     /* 364791 */   GIM_Try, /*On fail goto*//*Label 7275*/ GIMT_Encode4(364867), // Rule ID 8304 //
     /* 364796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 364799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364803 */     // (splat_vector:{ *:[nxv4f16] } FPR16:{ *:[f16] }:$src)  =>  (DUP_ZZI_H:{ *:[nxv4f16] } (INSERT_SUBREG:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), FPR16:{ *:[f16] }:$src, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 364803 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv16s8,
     /* 364806 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 364810 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 364815 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 364817 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 364820 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 364824 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 364829 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 364832 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 364836 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 364839 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 364844 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 364849 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_H),
     /* 364857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 364859 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 364862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 364865 */     GIR_RootConstrainSelectedInstOperands,
     /* 364866 */     // GIR_Coverage, 8304,
     /* 364866 */     GIR_EraseRootFromParent_Done,
     /* 364867 */   // Label 7275: @364867
     /* 364867 */   GIM_Reject,
     /* 364868 */ // Label 7270: @364868
     /* 364868 */ GIM_Reject,
     /* 364869 */ // Label 7245: @364869
     /* 364869 */ GIM_Try, /*On fail goto*//*Label 7276*/ GIMT_Encode4(365243),
     /* 364874 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 364877 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 364881 */   GIM_Try, /*On fail goto*//*Label 7277*/ GIMT_Encode4(364935), // Rule ID 5974 //
     /* 364886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 364889 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /* 364893 */     // (splat_vector:{ *:[nxv4i32] } 0:{ *:[i32] })  =>  (SUBREG_TO_REG:{ *:[nxv4i32] } 0:{ *:[i32] }, (MOVIv2d_ns:{ *:[f128] } 0:{ *:[i32] }), zsub:{ *:[i32] })
     /* 364893 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 364896 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /* 364900 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 364905 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 364908 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 364910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 364913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 364915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 364918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 364921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/43,
     /* 364924 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 364929 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 364934 */     // GIR_Coverage, 5974,
     /* 364934 */     GIR_EraseRootFromParent_Done,
     /* 364935 */   // Label 7277: @364935
     /* 364935 */   GIM_Try, /*On fail goto*//*Label 7278*/ GIMT_Encode4(364999), // Rule ID 5979 //
     /* 364940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 364943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 364947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 364951 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 364955 */     // MIs[1] Operand 1
     /* 364955 */     // No operand predicates
     /* 364955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 364957 */     // (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm0>>)  =>  (SUBREG_TO_REG:{ *:[nxv4f32] } 0:{ *:[i32] }, (MOVIv2d_ns:{ *:[f128] } 0:{ *:[i32] }), zsub:{ *:[i32] })
     /* 364957 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 364960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /* 364964 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 364969 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 364972 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 364974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 364977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 364979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 364982 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 364985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/43,
     /* 364988 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 364993 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 364998 */     // GIR_Coverage, 5979,
     /* 364998 */     GIR_EraseRootFromParent_Done,
     /* 364999 */   // Label 7278: @364999
     /* 364999 */   GIM_Try, /*On fail goto*//*Label 7279*/ GIMT_Encode4(365056), // Rule ID 2669 //
     /* 365004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 365007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 365011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 365015 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 365019 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 365023 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 365028 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 365032 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 365036 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_s),
     /* 365040 */     // MIs[2] Operand 1
     /* 365040 */     // No operand predicates
     /* 365040 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 365042 */     // (splat_vector:{ *:[nxv4i32] } (vector_extract:{ *:[i32] } ZPR:{ *:[nxv4i32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index))  =>  (DUP_ZZI_S:{ *:[nxv4i32] } ZPR:{ *:[nxv4i32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index)
     /* 365042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_S),
     /* 365045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 365047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 365051 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 365054 */     GIR_RootConstrainSelectedInstOperands,
     /* 365055 */     // GIR_Coverage, 2669,
     /* 365055 */     GIR_EraseRootFromParent_Done,
     /* 365056 */   // Label 7279: @365056
     /* 365056 */   GIM_Try, /*On fail goto*//*Label 7280*/ GIMT_Encode4(365113), // Rule ID 8296 //
     /* 365061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 365064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 365068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 365072 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 365076 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 365080 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 365085 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 365089 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 365093 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_s),
     /* 365097 */     // MIs[2] Operand 1
     /* 365097 */     // No operand predicates
     /* 365097 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 365099 */     // (splat_vector:{ *:[nxv4f32] } (vector_extract:{ *:[f32] } ZPR:{ *:[nxv4f32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index))  =>  (DUP_ZZI_S:{ *:[nxv4f32] } ZPR:{ *:[nxv4f32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index)
     /* 365099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_S),
     /* 365102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 365104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 365108 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 365111 */     GIR_RootConstrainSelectedInstOperands,
     /* 365112 */     // GIR_Coverage, 8296,
     /* 365112 */     GIR_EraseRootFromParent_Done,
     /* 365113 */   // Label 7280: @365113
     /* 365113 */   GIM_Try, /*On fail goto*//*Label 7281*/ GIMT_Encode4(365147), // Rule ID 8328 //
     /* 365118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 365121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 365125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 365129 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm32),
     /* 365133 */     // MIs[1] Operand 1
     /* 365133 */     // No operand predicates
     /* 365133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 365135 */     // (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm32>><<X:fpimm32XForm>>:$imm8)  =>  (FDUP_ZI_S:{ *:[nxv4f32] } (fpimm32XForm:{ *:[f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm32>>:$imm8))
     /* 365135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDUP_ZI_S),
     /* 365138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 365140 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFPImm32), // imm8
     /* 365145 */     GIR_RootConstrainSelectedInstOperands,
     /* 365146 */     // GIR_Coverage, 8328,
     /* 365146 */     GIR_EraseRootFromParent_Done,
     /* 365147 */   // Label 7281: @365147
     /* 365147 */   GIM_Try, /*On fail goto*//*Label 7282*/ GIMT_Encode4(365166), // Rule ID 2390 //
     /* 365152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 365155 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /* 365159 */     // (splat_vector:{ *:[nxv4i32] } GPR32sp:{ *:[i32] }:$Rn)  =>  (DUP_ZR_S:{ *:[nxv4i32] } GPR32sp:{ *:[i32] }:$Rn)
     /* 365159 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_S),
     /* 365164 */     GIR_RootConstrainSelectedInstOperands,
     /* 365165 */     // GIR_Coverage, 2390,
     /* 365165 */     GIR_Done,
     /* 365166 */   // Label 7282: @365166
     /* 365166 */   GIM_Try, /*On fail goto*//*Label 7283*/ GIMT_Encode4(365242), // Rule ID 8306 //
     /* 365171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 365174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 365178 */     // (splat_vector:{ *:[nxv4f32] } FPR32:{ *:[f32] }:$src)  =>  (DUP_ZZI_S:{ *:[nxv4f32] } (INSERT_SUBREG:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), FPR32:{ *:[f32] }:$src, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 365178 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv16s8,
     /* 365181 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 365185 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 365190 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 365192 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 365195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 365199 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 365204 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 365207 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 365211 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 365214 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 365219 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 365224 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 365229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_S),
     /* 365232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 365234 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 365237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 365240 */     GIR_RootConstrainSelectedInstOperands,
     /* 365241 */     // GIR_Coverage, 8306,
     /* 365241 */     GIR_EraseRootFromParent_Done,
     /* 365242 */   // Label 7283: @365242
     /* 365242 */   GIM_Reject,
     /* 365243 */ // Label 7276: @365243
     /* 365243 */ GIM_Reject,
     /* 365244 */ // Label 7246: @365244
     /* 365244 */ GIM_Try, /*On fail goto*//*Label 7284*/ GIMT_Encode4(365305), // Rule ID 5975 //
     /* 365249 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 365252 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 365255 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 365259 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /* 365263 */   // (splat_vector:{ *:[nxv8i16] } 0:{ *:[i32] })  =>  (SUBREG_TO_REG:{ *:[nxv8i16] } 0:{ *:[i32] }, (MOVIv2d_ns:{ *:[f128] } 0:{ *:[i32] }), zsub:{ *:[i32] })
     /* 365263 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 365266 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /* 365270 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 365275 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 365278 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 365280 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 365283 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 365285 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 365288 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 365291 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/43,
     /* 365294 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 365299 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 365304 */   // GIR_Coverage, 5975,
     /* 365304 */   GIR_EraseRootFromParent_Done,
     /* 365305 */ // Label 7284: @365305
     /* 365305 */ GIM_Try, /*On fail goto*//*Label 7285*/ GIMT_Encode4(365376), // Rule ID 5982 //
     /* 365310 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 365313 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 365316 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 365320 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 365324 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 365328 */   GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 365332 */   // MIs[1] Operand 1
     /* 365332 */   // No operand predicates
     /* 365332 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 365334 */   // (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm0>>)  =>  (SUBREG_TO_REG:{ *:[nxv8f16] } 0:{ *:[i32] }, (MOVIv2d_ns:{ *:[f128] } 0:{ *:[i32] }), zsub:{ *:[i32] })
     /* 365334 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 365337 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /* 365341 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 365346 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 365349 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 365351 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 365354 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 365356 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 365359 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 365362 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/43,
     /* 365365 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 365370 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 365375 */   // GIR_Coverage, 5982,
     /* 365375 */   GIR_EraseRootFromParent_Done,
     /* 365376 */ // Label 7285: @365376
     /* 365376 */ GIM_Try, /*On fail goto*//*Label 7286*/ GIMT_Encode4(365440), // Rule ID 2666 //
     /* 365381 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 365384 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 365387 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 365391 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 365395 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 365399 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 365403 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 365407 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 365412 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 365416 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 365420 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_h),
     /* 365424 */   // MIs[2] Operand 1
     /* 365424 */   // No operand predicates
     /* 365424 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 365426 */   // (splat_vector:{ *:[nxv8i16] } (vector_extract:{ *:[i32] } ZPR:{ *:[nxv8i16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index))  =>  (DUP_ZZI_H:{ *:[nxv8i16] } ZPR:{ *:[nxv8i16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index)
     /* 365426 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_H),
     /* 365429 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 365431 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 365435 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 365438 */   GIR_RootConstrainSelectedInstOperands,
     /* 365439 */   // GIR_Coverage, 2666,
     /* 365439 */   GIR_EraseRootFromParent_Done,
     /* 365440 */ // Label 7286: @365440
     /* 365440 */ GIM_Try, /*On fail goto*//*Label 7287*/ GIMT_Encode4(365504), // Rule ID 8290 //
     /* 365445 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 365448 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 365451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 365455 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 365459 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 365463 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 365467 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 365471 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 365476 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 365480 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 365484 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_h),
     /* 365488 */   // MIs[2] Operand 1
     /* 365488 */   // No operand predicates
     /* 365488 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 365490 */   // (splat_vector:{ *:[nxv8f16] } (vector_extract:{ *:[f16] } ZPR:{ *:[nxv8f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index))  =>  (DUP_ZZI_H:{ *:[nxv8f16] } ZPR:{ *:[nxv8f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index)
     /* 365490 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_H),
     /* 365493 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 365495 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 365499 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 365502 */   GIR_RootConstrainSelectedInstOperands,
     /* 365503 */   // GIR_Coverage, 8290,
     /* 365503 */   GIR_EraseRootFromParent_Done,
     /* 365504 */ // Label 7287: @365504
     /* 365504 */ GIM_Try, /*On fail goto*//*Label 7288*/ GIMT_Encode4(365545), // Rule ID 8325 //
     /* 365509 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 365512 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 365515 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 365519 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 365523 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 365527 */   GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm16),
     /* 365531 */   // MIs[1] Operand 1
     /* 365531 */   // No operand predicates
     /* 365531 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 365533 */   // (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>><<X:fpimm16XForm>>:$imm8)  =>  (FDUP_ZI_H:{ *:[nxv8f16] } (fpimm16XForm:{ *:[f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>>:$imm8))
     /* 365533 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDUP_ZI_H),
     /* 365536 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 365538 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFPImm16), // imm8
     /* 365543 */   GIR_RootConstrainSelectedInstOperands,
     /* 365544 */   // GIR_Coverage, 8325,
     /* 365544 */   GIR_EraseRootFromParent_Done,
     /* 365545 */ // Label 7288: @365545
     /* 365545 */ GIM_Try, /*On fail goto*//*Label 7289*/ GIMT_Encode4(365571), // Rule ID 2389 //
     /* 365550 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 365553 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 365556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 365560 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /* 365564 */   // (splat_vector:{ *:[nxv8i16] } GPR32sp:{ *:[i32] }:$Rn)  =>  (DUP_ZR_H:{ *:[nxv8i16] } GPR32sp:{ *:[i32] }:$Rn)
     /* 365564 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_H),
     /* 365569 */   GIR_RootConstrainSelectedInstOperands,
     /* 365570 */   // GIR_Coverage, 2389,
     /* 365570 */   GIR_Done,
     /* 365571 */ // Label 7289: @365571
     /* 365571 */ GIM_Try, /*On fail goto*//*Label 7290*/ GIMT_Encode4(365654), // Rule ID 8303 //
     /* 365576 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 365579 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 365582 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 365586 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 365590 */   // (splat_vector:{ *:[nxv8f16] } FPR16:{ *:[f16] }:$src)  =>  (DUP_ZZI_H:{ *:[nxv8f16] } (INSERT_SUBREG:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), FPR16:{ *:[f16] }:$src, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 365590 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv16s8,
     /* 365593 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 365597 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 365602 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 365604 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 365607 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 365611 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 365616 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 365619 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 365623 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 365626 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 365631 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 365636 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 365641 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_H),
     /* 365644 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 365646 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 365649 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 365652 */   GIR_RootConstrainSelectedInstOperands,
     /* 365653 */   // GIR_Coverage, 8303,
     /* 365653 */   GIR_EraseRootFromParent_Done,
     /* 365654 */ // Label 7290: @365654
     /* 365654 */ GIM_Reject,
     /* 365655 */ // Label 7247: @365655
     /* 365655 */ GIM_Try, /*On fail goto*//*Label 7291*/ GIMT_Encode4(365798),
     /* 365660 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 365663 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 365667 */   GIM_Try, /*On fail goto*//*Label 7292*/ GIMT_Encode4(365721), // Rule ID 5976 //
     /* 365672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 365675 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /* 365679 */     // (splat_vector:{ *:[nxv16i8] } 0:{ *:[i32] })  =>  (SUBREG_TO_REG:{ *:[nxv16i8] } 0:{ *:[i32] }, (MOVIv2d_ns:{ *:[f128] } 0:{ *:[i32] }), zsub:{ *:[i32] })
     /* 365679 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 365682 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /* 365686 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 365691 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 365694 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 365696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 365699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 365701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 365704 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 365707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/43,
     /* 365710 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 365715 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 365720 */     // GIR_Coverage, 5976,
     /* 365720 */     GIR_EraseRootFromParent_Done,
     /* 365721 */   // Label 7292: @365721
     /* 365721 */   GIM_Try, /*On fail goto*//*Label 7293*/ GIMT_Encode4(365778), // Rule ID 2663 //
     /* 365726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 365729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 365733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 365737 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 365741 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 365745 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 365750 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 365754 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 365758 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_b),
     /* 365762 */     // MIs[2] Operand 1
     /* 365762 */     // No operand predicates
     /* 365762 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 365764 */     // (splat_vector:{ *:[nxv16i8] } (vector_extract:{ *:[i32] } ZPR:{ *:[nxv16i8] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_b>>:$index))  =>  (DUP_ZZI_B:{ *:[nxv16i8] } ZPR:{ *:[nxv16i8] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_b>>:$index)
     /* 365764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_B),
     /* 365767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 365769 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 365773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 365776 */     GIR_RootConstrainSelectedInstOperands,
     /* 365777 */     // GIR_Coverage, 2663,
     /* 365777 */     GIR_EraseRootFromParent_Done,
     /* 365778 */   // Label 7293: @365778
     /* 365778 */   GIM_Try, /*On fail goto*//*Label 7294*/ GIMT_Encode4(365797), // Rule ID 2388 //
     /* 365783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 365786 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /* 365790 */     // (splat_vector:{ *:[nxv16i8] } GPR32sp:{ *:[i32] }:$Rn)  =>  (DUP_ZR_B:{ *:[nxv16i8] } GPR32sp:{ *:[i32] }:$Rn)
     /* 365790 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_B),
     /* 365795 */     GIR_RootConstrainSelectedInstOperands,
     /* 365796 */     // GIR_Coverage, 2388,
     /* 365796 */     GIR_Done,
     /* 365797 */   // Label 7294: @365797
     /* 365797 */   GIM_Reject,
     /* 365798 */ // Label 7291: @365798
     /* 365798 */ GIM_Reject,
     /* 365799 */ // Label 7248: @365799
     /* 365799 */ GIM_Reject,
     /* 365800 */ // Label 91: @365800
     /* 365800 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 7297*/ GIMT_Encode4(365951),
     /* 365811 */ /*GILLT_s32*//*Label 7295*/ GIMT_Encode4(365819),
     /* 365815 */ /*GILLT_s64*//*Label 7296*/ GIMT_Encode4(365885),
     /* 365819 */ // Label 7295: @365819
     /* 365819 */ GIM_Try, /*On fail goto*//*Label 7298*/ GIMT_Encode4(365884),
     /* 365824 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 365827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 365831 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 365835 */   GIM_Try, /*On fail goto*//*Label 7299*/ GIMT_Encode4(365850), // Rule ID 2321 //
     /* 365840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 365843 */     // (cttz:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)  =>  (CTZWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 365843 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CTZWr),
     /* 365848 */     GIR_RootConstrainSelectedInstOperands,
     /* 365849 */     // GIR_Coverage, 2321,
     /* 365849 */     GIR_Done,
     /* 365850 */   // Label 7299: @365850
     /* 365850 */   GIM_Try, /*On fail goto*//*Label 7300*/ GIMT_Encode4(365883), // Rule ID 3995 //
     /* 365855 */     // (cttz:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)  =>  (CLZWr:{ *:[i32] } (RBITWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn))
     /* 365855 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 365858 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::RBITWr),
     /* 365862 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 365867 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 365871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 365873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLZWr),
     /* 365876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 365878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 365881 */     GIR_RootConstrainSelectedInstOperands,
     /* 365882 */     // GIR_Coverage, 3995,
     /* 365882 */     GIR_EraseRootFromParent_Done,
     /* 365883 */   // Label 7300: @365883
     /* 365883 */   GIM_Reject,
     /* 365884 */ // Label 7298: @365884
     /* 365884 */ GIM_Reject,
     /* 365885 */ // Label 7296: @365885
     /* 365885 */ GIM_Try, /*On fail goto*//*Label 7301*/ GIMT_Encode4(365950),
     /* 365890 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 365893 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 365897 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 365901 */   GIM_Try, /*On fail goto*//*Label 7302*/ GIMT_Encode4(365916), // Rule ID 2322 //
     /* 365906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 365909 */     // (cttz:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)  =>  (CTZXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /* 365909 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CTZXr),
     /* 365914 */     GIR_RootConstrainSelectedInstOperands,
     /* 365915 */     // GIR_Coverage, 2322,
     /* 365915 */     GIR_Done,
     /* 365916 */   // Label 7302: @365916
     /* 365916 */   GIM_Try, /*On fail goto*//*Label 7303*/ GIMT_Encode4(365949), // Rule ID 3996 //
     /* 365921 */     // (cttz:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)  =>  (CLZXr:{ *:[i64] } (RBITXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn))
     /* 365921 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 365924 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::RBITXr),
     /* 365928 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 365933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 365937 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 365939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLZXr),
     /* 365942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 365944 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 365947 */     GIR_RootConstrainSelectedInstOperands,
     /* 365948 */     // GIR_Coverage, 3996,
     /* 365948 */     GIR_EraseRootFromParent_Done,
     /* 365949 */   // Label 7303: @365949
     /* 365949 */   GIM_Reject,
     /* 365950 */ // Label 7301: @365950
     /* 365950 */ GIM_Reject,
     /* 365951 */ // Label 7297: @365951
     /* 365951 */ GIM_Reject,
     /* 365952 */ // Label 92: @365952
     /* 365952 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(12), /*)*//*default:*//*Label 7312*/ GIMT_Encode4(366625),
     /* 365963 */ /*GILLT_s32*//*Label 7304*/ GIMT_Encode4(366003),
     /* 365967 */ /*GILLT_s64*//*Label 7305*/ GIMT_Encode4(366233), GIMT_Encode4(0),
     /* 365975 */ /*GILLT_v2s32*//*Label 7306*/ GIMT_Encode4(366463), GIMT_Encode4(0),
     /* 365983 */ /*GILLT_v4s16*//*Label 7307*/ GIMT_Encode4(366490),
     /* 365987 */ /*GILLT_v4s32*//*Label 7308*/ GIMT_Encode4(366517),
     /* 365991 */ /*GILLT_v8s8*//*Label 7309*/ GIMT_Encode4(366544),
     /* 365995 */ /*GILLT_v8s16*//*Label 7310*/ GIMT_Encode4(366571),
     /* 365999 */ /*GILLT_v16s8*//*Label 7311*/ GIMT_Encode4(366598),
     /* 366003 */ // Label 7304: @366003
     /* 366003 */ GIM_Try, /*On fail goto*//*Label 7313*/ GIMT_Encode4(366232),
     /* 366008 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 366011 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 366015 */   GIM_Try, /*On fail goto*//*Label 7314*/ GIMT_Encode4(366115), // Rule ID 3997 //
     /* 366020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 366024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /* 366028 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 366032 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 366036 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 366040 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /* 366044 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 366048 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 366052 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 366056 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 366060 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /* 366064 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /* 366068 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ASHR),
     /* 366072 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /* 366076 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 366080 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 366085 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 31,
     /* 366089 */     // MIs[3] Rn
     /* 366089 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/4, /*OtherOpIdx*/1,
     /* 366094 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /* 366098 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 366102 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 366104 */     // (ctlz:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (xor:{ *:[i32] } (sra:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, 31:{ *:[i64] }), GPR32:{ *:[i32] }:$Rn), 1:{ *:[i64] }), 1:{ *:[i32] }))  =>  (CLSWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 366104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLSWr),
     /* 366107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 366109 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Rn
     /* 366113 */     GIR_RootConstrainSelectedInstOperands,
     /* 366114 */     // GIR_Coverage, 3997,
     /* 366114 */     GIR_EraseRootFromParent_Done,
     /* 366115 */   // Label 7314: @366115
     /* 366115 */   GIM_Try, /*On fail goto*//*Label 7315*/ GIMT_Encode4(366215), // Rule ID 13713 //
     /* 366120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 366124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /* 366128 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 366132 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 366136 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 366140 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /* 366144 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 366148 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 366152 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 366156 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 366160 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /* 366164 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /* 366168 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 366173 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 366177 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ASHR),
     /* 366181 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 366185 */     // MIs[4] Rn
     /* 366185 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /* 366190 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 31,
     /* 366194 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /* 366198 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 366202 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 366204 */     // (ctlz:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (sra:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, 31:{ *:[i64] })), 1:{ *:[i64] }), 1:{ *:[i32] }))  =>  (CLSWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 366204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLSWr),
     /* 366207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 366209 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 366213 */     GIR_RootConstrainSelectedInstOperands,
     /* 366214 */     // GIR_Coverage, 13713,
     /* 366214 */     GIR_EraseRootFromParent_Done,
     /* 366215 */   // Label 7315: @366215
     /* 366215 */   GIM_Try, /*On fail goto*//*Label 7316*/ GIMT_Encode4(366231), // Rule ID 180 //
     /* 366220 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 366224 */     // (ctlz:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)  =>  (CLZWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 366224 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CLZWr),
     /* 366229 */     GIR_RootConstrainSelectedInstOperands,
     /* 366230 */     // GIR_Coverage, 180,
     /* 366230 */     GIR_Done,
     /* 366231 */   // Label 7316: @366231
     /* 366231 */   GIM_Reject,
     /* 366232 */ // Label 7313: @366232
     /* 366232 */ GIM_Reject,
     /* 366233 */ // Label 7305: @366233
     /* 366233 */ GIM_Try, /*On fail goto*//*Label 7317*/ GIMT_Encode4(366462),
     /* 366238 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 366241 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 366245 */   GIM_Try, /*On fail goto*//*Label 7318*/ GIMT_Encode4(366345), // Rule ID 3998 //
     /* 366250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 366254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /* 366258 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 366262 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 366266 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 366270 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /* 366274 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 366278 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 366282 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 366286 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 366290 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /* 366294 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /* 366298 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ASHR),
     /* 366302 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /* 366306 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 366310 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 366315 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 63,
     /* 366319 */     // MIs[3] Rn
     /* 366319 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/4, /*OtherOpIdx*/1,
     /* 366324 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /* 366328 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 366332 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 366334 */     // (ctlz:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (xor:{ *:[i64] } (sra:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, 63:{ *:[i64] }), GPR64:{ *:[i64] }:$Rn), 1:{ *:[i64] }), 1:{ *:[i64] }))  =>  (CLSXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /* 366334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLSXr),
     /* 366337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 366339 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Rn
     /* 366343 */     GIR_RootConstrainSelectedInstOperands,
     /* 366344 */     // GIR_Coverage, 3998,
     /* 366344 */     GIR_EraseRootFromParent_Done,
     /* 366345 */   // Label 7318: @366345
     /* 366345 */   GIM_Try, /*On fail goto*//*Label 7319*/ GIMT_Encode4(366445), // Rule ID 13714 //
     /* 366350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 366354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /* 366358 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 366362 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 366366 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 366370 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /* 366374 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 366378 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 366382 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 366386 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 366390 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /* 366394 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 366398 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 366403 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 366407 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ASHR),
     /* 366411 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 366415 */     // MIs[4] Rn
     /* 366415 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /* 366420 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 63,
     /* 366424 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /* 366428 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 366432 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 366434 */     // (ctlz:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (sra:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, 63:{ *:[i64] })), 1:{ *:[i64] }), 1:{ *:[i64] }))  =>  (CLSXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /* 366434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLSXr),
     /* 366437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 366439 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 366443 */     GIR_RootConstrainSelectedInstOperands,
     /* 366444 */     // GIR_Coverage, 13714,
     /* 366444 */     GIR_EraseRootFromParent_Done,
     /* 366445 */   // Label 7319: @366445
     /* 366445 */   GIM_Try, /*On fail goto*//*Label 7320*/ GIMT_Encode4(366461), // Rule ID 181 //
     /* 366450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 366454 */     // (ctlz:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)  =>  (CLZXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /* 366454 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CLZXr),
     /* 366459 */     GIR_RootConstrainSelectedInstOperands,
     /* 366460 */     // GIR_Coverage, 181,
     /* 366460 */     GIR_Done,
     /* 366461 */   // Label 7320: @366461
     /* 366461 */   GIM_Reject,
     /* 366462 */ // Label 7317: @366462
     /* 366462 */ GIM_Reject,
     /* 366463 */ // Label 7306: @366463
     /* 366463 */ GIM_Try, /*On fail goto*//*Label 7321*/ GIMT_Encode4(366489), // Rule ID 720 //
     /* 366468 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 366471 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 366474 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 366478 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 366482 */   // (ctlz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)  =>  (CLZv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 366482 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CLZv2i32),
     /* 366487 */   GIR_RootConstrainSelectedInstOperands,
     /* 366488 */   // GIR_Coverage, 720,
     /* 366488 */   GIR_Done,
     /* 366489 */ // Label 7321: @366489
     /* 366489 */ GIM_Reject,
     /* 366490 */ // Label 7307: @366490
     /* 366490 */ GIM_Try, /*On fail goto*//*Label 7322*/ GIMT_Encode4(366516), // Rule ID 718 //
     /* 366495 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 366498 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 366501 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 366505 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 366509 */   // (ctlz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)  =>  (CLZv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 366509 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CLZv4i16),
     /* 366514 */   GIR_RootConstrainSelectedInstOperands,
     /* 366515 */   // GIR_Coverage, 718,
     /* 366515 */   GIR_Done,
     /* 366516 */ // Label 7322: @366516
     /* 366516 */ GIM_Reject,
     /* 366517 */ // Label 7308: @366517
     /* 366517 */ GIM_Try, /*On fail goto*//*Label 7323*/ GIMT_Encode4(366543), // Rule ID 721 //
     /* 366522 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 366525 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 366528 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 366532 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 366536 */   // (ctlz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)  =>  (CLZv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 366536 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CLZv4i32),
     /* 366541 */   GIR_RootConstrainSelectedInstOperands,
     /* 366542 */   // GIR_Coverage, 721,
     /* 366542 */   GIR_Done,
     /* 366543 */ // Label 7323: @366543
     /* 366543 */ GIM_Reject,
     /* 366544 */ // Label 7309: @366544
     /* 366544 */ GIM_Try, /*On fail goto*//*Label 7324*/ GIMT_Encode4(366570), // Rule ID 716 //
     /* 366549 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 366552 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 366555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 366559 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 366563 */   // (ctlz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)  =>  (CLZv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 366563 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CLZv8i8),
     /* 366568 */   GIR_RootConstrainSelectedInstOperands,
     /* 366569 */   // GIR_Coverage, 716,
     /* 366569 */   GIR_Done,
     /* 366570 */ // Label 7324: @366570
     /* 366570 */ GIM_Reject,
     /* 366571 */ // Label 7310: @366571
     /* 366571 */ GIM_Try, /*On fail goto*//*Label 7325*/ GIMT_Encode4(366597), // Rule ID 719 //
     /* 366576 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 366579 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 366582 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 366586 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 366590 */   // (ctlz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)  =>  (CLZv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 366590 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CLZv8i16),
     /* 366595 */   GIR_RootConstrainSelectedInstOperands,
     /* 366596 */   // GIR_Coverage, 719,
     /* 366596 */   GIR_Done,
     /* 366597 */ // Label 7325: @366597
     /* 366597 */ GIM_Reject,
     /* 366598 */ // Label 7311: @366598
     /* 366598 */ GIM_Try, /*On fail goto*//*Label 7326*/ GIMT_Encode4(366624), // Rule ID 717 //
     /* 366603 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 366606 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 366609 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 366613 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 366617 */   // (ctlz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)  =>  (CLZv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 366617 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CLZv16i8),
     /* 366622 */   GIR_RootConstrainSelectedInstOperands,
     /* 366623 */   // GIR_Coverage, 717,
     /* 366623 */   GIR_Done,
     /* 366624 */ // Label 7326: @366624
     /* 366624 */ GIM_Reject,
     /* 366625 */ // Label 7312: @366625
     /* 366625 */ GIM_Reject,
     /* 366626 */ // Label 93: @366626
     /* 366626 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(12), /*)*//*default:*//*Label 7331*/ GIMT_Encode4(366785),
     /* 366637 */ /*GILLT_s32*//*Label 7327*/ GIMT_Encode4(366677),
     /* 366641 */ /*GILLT_s64*//*Label 7328*/ GIMT_Encode4(366704), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 366665 */ /*GILLT_v8s8*//*Label 7329*/ GIMT_Encode4(366731), GIMT_Encode4(0),
     /* 366673 */ /*GILLT_v16s8*//*Label 7330*/ GIMT_Encode4(366758),
     /* 366677 */ // Label 7327: @366677
     /* 366677 */ GIM_Try, /*On fail goto*//*Label 7332*/ GIMT_Encode4(366703), // Rule ID 2319 //
     /* 366682 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 366685 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 366688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 366692 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 366696 */   // (ctpop:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)  =>  (CNTWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 366696 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CNTWr),
     /* 366701 */   GIR_RootConstrainSelectedInstOperands,
     /* 366702 */   // GIR_Coverage, 2319,
     /* 366702 */   GIR_Done,
     /* 366703 */ // Label 7332: @366703
     /* 366703 */ GIM_Reject,
     /* 366704 */ // Label 7328: @366704
     /* 366704 */ GIM_Try, /*On fail goto*//*Label 7333*/ GIMT_Encode4(366730), // Rule ID 2320 //
     /* 366709 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 366712 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 366715 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 366719 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 366723 */   // (ctpop:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)  =>  (CNTXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /* 366723 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CNTXr),
     /* 366728 */   GIR_RootConstrainSelectedInstOperands,
     /* 366729 */   // GIR_Coverage, 2320,
     /* 366729 */   GIR_Done,
     /* 366730 */ // Label 7333: @366730
     /* 366730 */ GIM_Reject,
     /* 366731 */ // Label 7329: @366731
     /* 366731 */ GIM_Try, /*On fail goto*//*Label 7334*/ GIMT_Encode4(366757), // Rule ID 764 //
     /* 366736 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 366739 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 366742 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 366746 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 366750 */   // (ctpop:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)  =>  (CNTv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 366750 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CNTv8i8),
     /* 366755 */   GIR_RootConstrainSelectedInstOperands,
     /* 366756 */   // GIR_Coverage, 764,
     /* 366756 */   GIR_Done,
     /* 366757 */ // Label 7334: @366757
     /* 366757 */ GIM_Reject,
     /* 366758 */ // Label 7330: @366758
     /* 366758 */ GIM_Try, /*On fail goto*//*Label 7335*/ GIMT_Encode4(366784), // Rule ID 765 //
     /* 366763 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 366766 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 366769 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 366773 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 366777 */   // (ctpop:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)  =>  (CNTv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 366777 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CNTv16i8),
     /* 366782 */   GIR_RootConstrainSelectedInstOperands,
     /* 366783 */   // GIR_Coverage, 765,
     /* 366783 */   GIR_Done,
     /* 366784 */ // Label 7335: @366784
     /* 366784 */ GIM_Reject,
     /* 366785 */ // Label 7331: @366785
     /* 366785 */ GIM_Reject,
     /* 366786 */ // Label 94: @366786
     /* 366786 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(11), /*)*//*default:*//*Label 7343*/ GIMT_Encode4(367099),
     /* 366797 */ /*GILLT_s32*//*Label 7336*/ GIMT_Encode4(366833),
     /* 366801 */ /*GILLT_s64*//*Label 7337*/ GIMT_Encode4(366906), GIMT_Encode4(0),
     /* 366809 */ /*GILLT_v2s32*//*Label 7338*/ GIMT_Encode4(366979),
     /* 366813 */ /*GILLT_v2s64*//*Label 7339*/ GIMT_Encode4(367003),
     /* 366817 */ /*GILLT_v4s16*//*Label 7340*/ GIMT_Encode4(367027),
     /* 366821 */ /*GILLT_v4s32*//*Label 7341*/ GIMT_Encode4(367051), GIMT_Encode4(0),
     /* 366829 */ /*GILLT_v8s16*//*Label 7342*/ GIMT_Encode4(367075),
     /* 366833 */ // Label 7336: @366833
     /* 366833 */ GIM_Try, /*On fail goto*//*Label 7344*/ GIMT_Encode4(366905),
     /* 366838 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 366841 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 366845 */   GIM_Try, /*On fail goto*//*Label 7345*/ GIMT_Encode4(366888), // Rule ID 4001 //
     /* 366850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 366854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTR),
     /* 366858 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 366862 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 366866 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 366871 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /* 366875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 366877 */     // (bswap:{ *:[i32] } (rotr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, 16:{ *:[i64] }))  =>  (REV16Wr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 366877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV16Wr),
     /* 366880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 366882 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 366886 */     GIR_RootConstrainSelectedInstOperands,
     /* 366887 */     // GIR_Coverage, 4001,
     /* 366887 */     GIR_EraseRootFromParent_Done,
     /* 366888 */   // Label 7345: @366888
     /* 366888 */   GIM_Try, /*On fail goto*//*Label 7346*/ GIMT_Encode4(366904), // Rule ID 185 //
     /* 366893 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 366897 */     // (bswap:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)  =>  (REVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 366897 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REVWr),
     /* 366902 */     GIR_RootConstrainSelectedInstOperands,
     /* 366903 */     // GIR_Coverage, 185,
     /* 366903 */     GIR_Done,
     /* 366904 */   // Label 7346: @366904
     /* 366904 */   GIM_Reject,
     /* 366905 */ // Label 7344: @366905
     /* 366905 */ GIM_Reject,
     /* 366906 */ // Label 7337: @366906
     /* 366906 */ GIM_Try, /*On fail goto*//*Label 7347*/ GIMT_Encode4(366978),
     /* 366911 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 366914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 366918 */   GIM_Try, /*On fail goto*//*Label 7348*/ GIMT_Encode4(366961), // Rule ID 4002 //
     /* 366923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 366927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTR),
     /* 366931 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 366935 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 366939 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 366944 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 32,
     /* 366948 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 366950 */     // (bswap:{ *:[i64] } (rotr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, 32:{ *:[i64] }))  =>  (REV32Xr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /* 366950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV32Xr),
     /* 366953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 366955 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 366959 */     GIR_RootConstrainSelectedInstOperands,
     /* 366960 */     // GIR_Coverage, 4002,
     /* 366960 */     GIR_EraseRootFromParent_Done,
     /* 366961 */   // Label 7348: @366961
     /* 366961 */   GIM_Try, /*On fail goto*//*Label 7349*/ GIMT_Encode4(366977), // Rule ID 186 //
     /* 366966 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 366970 */     // (bswap:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)  =>  (REVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /* 366970 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REVXr),
     /* 366975 */     GIR_RootConstrainSelectedInstOperands,
     /* 366976 */     // GIR_Coverage, 186,
     /* 366976 */     GIR_Done,
     /* 366977 */   // Label 7349: @366977
     /* 366977 */   GIM_Reject,
     /* 366978 */ // Label 7347: @366978
     /* 366978 */ GIM_Reject,
     /* 366979 */ // Label 7338: @366979
     /* 366979 */ GIM_Try, /*On fail goto*//*Label 7350*/ GIMT_Encode4(367002), // Rule ID 4976 //
     /* 366984 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 366987 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 366991 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 366995 */   // (bswap:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)  =>  (REV32v8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 366995 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i8),
     /* 367000 */   GIR_RootConstrainSelectedInstOperands,
     /* 367001 */   // GIR_Coverage, 4976,
     /* 367001 */   GIR_Done,
     /* 367002 */ // Label 7350: @367002
     /* 367002 */ GIM_Reject,
     /* 367003 */ // Label 7339: @367003
     /* 367003 */ GIM_Try, /*On fail goto*//*Label 7351*/ GIMT_Encode4(367026), // Rule ID 4978 //
     /* 367008 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 367011 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367015 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367019 */   // (bswap:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)  =>  (REV64v16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 367019 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v16i8),
     /* 367024 */   GIR_RootConstrainSelectedInstOperands,
     /* 367025 */   // GIR_Coverage, 4978,
     /* 367025 */   GIR_Done,
     /* 367026 */ // Label 7351: @367026
     /* 367026 */ GIM_Reject,
     /* 367027 */ // Label 7340: @367027
     /* 367027 */ GIM_Try, /*On fail goto*//*Label 7352*/ GIMT_Encode4(367050), // Rule ID 4974 //
     /* 367032 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 367035 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 367039 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 367043 */   // (bswap:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)  =>  (REV16v8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 367043 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v8i8),
     /* 367048 */   GIR_RootConstrainSelectedInstOperands,
     /* 367049 */   // GIR_Coverage, 4974,
     /* 367049 */   GIR_Done,
     /* 367050 */ // Label 7352: @367050
     /* 367050 */ GIM_Reject,
     /* 367051 */ // Label 7341: @367051
     /* 367051 */ GIM_Try, /*On fail goto*//*Label 7353*/ GIMT_Encode4(367074), // Rule ID 4977 //
     /* 367056 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 367059 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367063 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367067 */   // (bswap:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)  =>  (REV32v16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 367067 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v16i8),
     /* 367072 */   GIR_RootConstrainSelectedInstOperands,
     /* 367073 */   // GIR_Coverage, 4977,
     /* 367073 */   GIR_Done,
     /* 367074 */ // Label 7353: @367074
     /* 367074 */ GIM_Reject,
     /* 367075 */ // Label 7342: @367075
     /* 367075 */ GIM_Try, /*On fail goto*//*Label 7354*/ GIMT_Encode4(367098), // Rule ID 4975 //
     /* 367080 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 367083 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367087 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367091 */   // (bswap:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)  =>  (REV16v16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 367091 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v16i8),
     /* 367096 */   GIR_RootConstrainSelectedInstOperands,
     /* 367097 */   // GIR_Coverage, 4975,
     /* 367097 */   GIR_Done,
     /* 367098 */ // Label 7354: @367098
     /* 367098 */ GIM_Reject,
     /* 367099 */ // Label 7343: @367099
     /* 367099 */ GIM_Reject,
     /* 367100 */ // Label 95: @367100
     /* 367100 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(12), /*)*//*default:*//*Label 7359*/ GIMT_Encode4(367253),
     /* 367111 */ /*GILLT_s32*//*Label 7355*/ GIMT_Encode4(367151),
     /* 367115 */ /*GILLT_s64*//*Label 7356*/ GIMT_Encode4(367175), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 367139 */ /*GILLT_v8s8*//*Label 7357*/ GIMT_Encode4(367199), GIMT_Encode4(0),
     /* 367147 */ /*GILLT_v16s8*//*Label 7358*/ GIMT_Encode4(367226),
     /* 367151 */ // Label 7355: @367151
     /* 367151 */ GIM_Try, /*On fail goto*//*Label 7360*/ GIMT_Encode4(367174), // Rule ID 182 //
     /* 367156 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 367159 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 367163 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 367167 */   // (bitreverse:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)  =>  (RBITWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 367167 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::RBITWr),
     /* 367172 */   GIR_RootConstrainSelectedInstOperands,
     /* 367173 */   // GIR_Coverage, 182,
     /* 367173 */   GIR_Done,
     /* 367174 */ // Label 7360: @367174
     /* 367174 */ GIM_Reject,
     /* 367175 */ // Label 7356: @367175
     /* 367175 */ GIM_Try, /*On fail goto*//*Label 7361*/ GIMT_Encode4(367198), // Rule ID 183 //
     /* 367180 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 367183 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 367187 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 367191 */   // (bitreverse:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)  =>  (RBITXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /* 367191 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::RBITXr),
     /* 367196 */   GIR_RootConstrainSelectedInstOperands,
     /* 367197 */   // GIR_Coverage, 183,
     /* 367197 */   GIR_Done,
     /* 367198 */ // Label 7361: @367198
     /* 367198 */ GIM_Reject,
     /* 367199 */ // Label 7357: @367199
     /* 367199 */ GIM_Try, /*On fail goto*//*Label 7362*/ GIMT_Encode4(367225), // Rule ID 974 //
     /* 367204 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 367207 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 367210 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 367214 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 367218 */   // (bitreverse:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)  =>  (RBITv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 367218 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::RBITv8i8),
     /* 367223 */   GIR_RootConstrainSelectedInstOperands,
     /* 367224 */   // GIR_Coverage, 974,
     /* 367224 */   GIR_Done,
     /* 367225 */ // Label 7362: @367225
     /* 367225 */ GIM_Reject,
     /* 367226 */ // Label 7358: @367226
     /* 367226 */ GIM_Try, /*On fail goto*//*Label 7363*/ GIMT_Encode4(367252), // Rule ID 975 //
     /* 367231 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 367234 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 367237 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367241 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367245 */   // (bitreverse:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)  =>  (RBITv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 367245 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::RBITv16i8),
     /* 367250 */   GIR_RootConstrainSelectedInstOperands,
     /* 367251 */   // GIR_Coverage, 975,
     /* 367251 */   GIR_Done,
     /* 367252 */ // Label 7363: @367252
     /* 367252 */ GIM_Reject,
     /* 367253 */ // Label 7359: @367253
     /* 367253 */ GIM_Reject,
     /* 367254 */ // Label 96: @367254
     /* 367254 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 7372*/ GIMT_Encode4(367744),
     /* 367265 */ /*GILLT_s16*//*Label 7364*/ GIMT_Encode4(367305),
     /* 367269 */ /*GILLT_s32*//*Label 7365*/ GIMT_Encode4(367336),
     /* 367273 */ /*GILLT_s64*//*Label 7366*/ GIMT_Encode4(367367), GIMT_Encode4(0),
     /* 367281 */ /*GILLT_v2s32*//*Label 7367*/ GIMT_Encode4(367398),
     /* 367285 */ /*GILLT_v2s64*//*Label 7368*/ GIMT_Encode4(367429),
     /* 367289 */ /*GILLT_v4s16*//*Label 7369*/ GIMT_Encode4(367460),
     /* 367293 */ /*GILLT_v4s32*//*Label 7370*/ GIMT_Encode4(367491), GIMT_Encode4(0),
     /* 367301 */ /*GILLT_v8s16*//*Label 7371*/ GIMT_Encode4(367522),
     /* 367305 */ // Label 7364: @367305
     /* 367305 */ GIM_Try, /*On fail goto*//*Label 7373*/ GIMT_Encode4(367335), // Rule ID 552 //
     /* 367310 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 367313 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 367316 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 367320 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 367324 */   // (fceil:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (FRINTPHr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 367324 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTPHr),
     /* 367329 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 367333 */   GIR_RootConstrainSelectedInstOperands,
     /* 367334 */   // GIR_Coverage, 552,
     /* 367334 */   GIR_Done,
     /* 367335 */ // Label 7373: @367335
     /* 367335 */ GIM_Reject,
     /* 367336 */ // Label 7365: @367336
     /* 367336 */ GIM_Try, /*On fail goto*//*Label 7374*/ GIMT_Encode4(367366), // Rule ID 554 //
     /* 367341 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 367344 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 367347 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 367351 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 367355 */   // (fceil:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (FRINTPSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 367355 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTPSr),
     /* 367360 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 367364 */   GIR_RootConstrainSelectedInstOperands,
     /* 367365 */   // GIR_Coverage, 554,
     /* 367365 */   GIR_Done,
     /* 367366 */ // Label 7374: @367366
     /* 367366 */ GIM_Reject,
     /* 367367 */ // Label 7366: @367367
     /* 367367 */ GIM_Try, /*On fail goto*//*Label 7375*/ GIMT_Encode4(367397), // Rule ID 556 //
     /* 367372 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 367375 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 367378 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 367382 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 367386 */   // (fceil:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (FRINTPDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 367386 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTPDr),
     /* 367391 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 367395 */   GIR_RootConstrainSelectedInstOperands,
     /* 367396 */   // GIR_Coverage, 556,
     /* 367396 */   GIR_Done,
     /* 367397 */ // Label 7375: @367397
     /* 367397 */ GIM_Reject,
     /* 367398 */ // Label 7367: @367398
     /* 367398 */ GIM_Try, /*On fail goto*//*Label 7376*/ GIMT_Encode4(367428), // Rule ID 913 //
     /* 367403 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 367406 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 367409 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 367413 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 367417 */   // (fceil:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FRINTPv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 367417 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTPv2f32),
     /* 367422 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 367426 */   GIR_RootConstrainSelectedInstOperands,
     /* 367427 */   // GIR_Coverage, 913,
     /* 367427 */   GIR_Done,
     /* 367428 */ // Label 7376: @367428
     /* 367428 */ GIM_Reject,
     /* 367429 */ // Label 7368: @367429
     /* 367429 */ GIM_Try, /*On fail goto*//*Label 7377*/ GIMT_Encode4(367459), // Rule ID 917 //
     /* 367434 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 367437 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 367440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367444 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367448 */   // (fceil:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FRINTPv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 367448 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTPv2f64),
     /* 367453 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 367457 */   GIR_RootConstrainSelectedInstOperands,
     /* 367458 */   // GIR_Coverage, 917,
     /* 367458 */   GIR_Done,
     /* 367459 */ // Label 7377: @367459
     /* 367459 */ GIM_Reject,
     /* 367460 */ // Label 7369: @367460
     /* 367460 */ GIM_Try, /*On fail goto*//*Label 7378*/ GIMT_Encode4(367490), // Rule ID 909 //
     /* 367465 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 367468 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 367471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 367475 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 367479 */   // (fceil:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FRINTPv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 367479 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTPv4f16),
     /* 367484 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 367488 */   GIR_RootConstrainSelectedInstOperands,
     /* 367489 */   // GIR_Coverage, 909,
     /* 367489 */   GIR_Done,
     /* 367490 */ // Label 7378: @367490
     /* 367490 */ GIM_Reject,
     /* 367491 */ // Label 7370: @367491
     /* 367491 */ GIM_Try, /*On fail goto*//*Label 7379*/ GIMT_Encode4(367521), // Rule ID 915 //
     /* 367496 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 367499 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 367502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367506 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367510 */   // (fceil:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FRINTPv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 367510 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTPv4f32),
     /* 367515 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 367519 */   GIR_RootConstrainSelectedInstOperands,
     /* 367520 */   // GIR_Coverage, 915,
     /* 367520 */   GIR_Done,
     /* 367521 */ // Label 7379: @367521
     /* 367521 */ GIM_Reject,
     /* 367522 */ // Label 7371: @367522
     /* 367522 */ GIM_Try, /*On fail goto*//*Label 7380*/ GIMT_Encode4(367743),
     /* 367527 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 367530 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367534 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367538 */   GIM_Try, /*On fail goto*//*Label 7381*/ GIMT_Encode4(367557), // Rule ID 911 //
     /* 367543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 367546 */     // (fceil:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FRINTPv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 367546 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTPv8f16),
     /* 367551 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 367555 */     GIR_RootConstrainSelectedInstOperands,
     /* 367556 */     // GIR_Coverage, 911,
     /* 367556 */     GIR_Done,
     /* 367557 */   // Label 7381: @367557
     /* 367557 */   GIM_Try, /*On fail goto*//*Label 7382*/ GIMT_Encode4(367742), // Rule ID 6957 //
     /* 367562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 367565 */     // (fceil:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FRINTPv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FRINTPv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn)))
     /* 367565 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s32,
     /* 367568 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 367572 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 367577 */     GIR_Copy, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 367581 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /* 367583 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 367586 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FRINTPv4f32),
     /* 367590 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 367595 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 367598 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 367600 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 367603 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 367607 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 367612 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 367618 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 367623 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367628 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 367631 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 367635 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 367640 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 367643 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 367645 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 367648 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FRINTPv4f32),
     /* 367652 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 367657 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 367660 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 367662 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 367665 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 367669 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 367674 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 367677 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 367679 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 367682 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 367686 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 367691 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 367693 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 367696 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 367700 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 367705 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 367708 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 367711 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 367714 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367719 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367724 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 367729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 367732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 367734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 367737 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/6,
     /* 367740 */     GIR_RootConstrainSelectedInstOperands,
     /* 367741 */     // GIR_Coverage, 6957,
     /* 367741 */     GIR_EraseRootFromParent_Done,
     /* 367742 */   // Label 7382: @367742
     /* 367742 */   GIM_Reject,
     /* 367743 */ // Label 7380: @367743
     /* 367743 */ GIM_Reject,
     /* 367744 */ // Label 7372: @367744
     /* 367744 */ GIM_Reject,
     /* 367745 */ // Label 97: @367745
     /* 367745 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 7391*/ GIMT_Encode4(368044),
     /* 367756 */ /*GILLT_s16*//*Label 7383*/ GIMT_Encode4(367796),
     /* 367760 */ /*GILLT_s32*//*Label 7384*/ GIMT_Encode4(367827),
     /* 367764 */ /*GILLT_s64*//*Label 7385*/ GIMT_Encode4(367858), GIMT_Encode4(0),
     /* 367772 */ /*GILLT_v2s32*//*Label 7386*/ GIMT_Encode4(367889),
     /* 367776 */ /*GILLT_v2s64*//*Label 7387*/ GIMT_Encode4(367920),
     /* 367780 */ /*GILLT_v4s16*//*Label 7388*/ GIMT_Encode4(367951),
     /* 367784 */ /*GILLT_v4s32*//*Label 7389*/ GIMT_Encode4(367982), GIMT_Encode4(0),
     /* 367792 */ /*GILLT_v8s16*//*Label 7390*/ GIMT_Encode4(368013),
     /* 367796 */ // Label 7383: @367796
     /* 367796 */ GIM_Try, /*On fail goto*//*Label 7392*/ GIMT_Encode4(367826), // Rule ID 570 //
     /* 367801 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 367804 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 367807 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 367811 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 367815 */   // (fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (FSQRTHr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 367815 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTHr),
     /* 367820 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 367824 */   GIR_RootConstrainSelectedInstOperands,
     /* 367825 */   // GIR_Coverage, 570,
     /* 367825 */   GIR_Done,
     /* 367826 */ // Label 7392: @367826
     /* 367826 */ GIM_Reject,
     /* 367827 */ // Label 7384: @367827
     /* 367827 */ GIM_Try, /*On fail goto*//*Label 7393*/ GIMT_Encode4(367857), // Rule ID 572 //
     /* 367832 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 367835 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 367838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 367842 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 367846 */   // (fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (FSQRTSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 367846 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTSr),
     /* 367851 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 367855 */   GIR_RootConstrainSelectedInstOperands,
     /* 367856 */   // GIR_Coverage, 572,
     /* 367856 */   GIR_Done,
     /* 367857 */ // Label 7393: @367857
     /* 367857 */ GIM_Reject,
     /* 367858 */ // Label 7385: @367858
     /* 367858 */ GIM_Try, /*On fail goto*//*Label 7394*/ GIMT_Encode4(367888), // Rule ID 574 //
     /* 367863 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 367866 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 367869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 367873 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 367877 */   // (fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (FSQRTDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 367877 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTDr),
     /* 367882 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 367886 */   GIR_RootConstrainSelectedInstOperands,
     /* 367887 */   // GIR_Coverage, 574,
     /* 367887 */   GIR_Done,
     /* 367888 */ // Label 7394: @367888
     /* 367888 */ GIM_Reject,
     /* 367889 */ // Label 7386: @367889
     /* 367889 */ GIM_Try, /*On fail goto*//*Label 7395*/ GIMT_Encode4(367919), // Rule ID 960 //
     /* 367894 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 367897 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 367900 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 367904 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 367908 */   // (fsqrt:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FSQRTv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 367908 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTv2f32),
     /* 367913 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 367917 */   GIR_RootConstrainSelectedInstOperands,
     /* 367918 */   // GIR_Coverage, 960,
     /* 367918 */   GIR_Done,
     /* 367919 */ // Label 7395: @367919
     /* 367919 */ GIM_Reject,
     /* 367920 */ // Label 7387: @367920
     /* 367920 */ GIM_Try, /*On fail goto*//*Label 7396*/ GIMT_Encode4(367950), // Rule ID 964 //
     /* 367925 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 367928 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 367931 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367935 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367939 */   // (fsqrt:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FSQRTv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 367939 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTv2f64),
     /* 367944 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 367948 */   GIR_RootConstrainSelectedInstOperands,
     /* 367949 */   // GIR_Coverage, 964,
     /* 367949 */   GIR_Done,
     /* 367950 */ // Label 7396: @367950
     /* 367950 */ GIM_Reject,
     /* 367951 */ // Label 7388: @367951
     /* 367951 */ GIM_Try, /*On fail goto*//*Label 7397*/ GIMT_Encode4(367981), // Rule ID 956 //
     /* 367956 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 367959 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 367962 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 367966 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 367970 */   // (fsqrt:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FSQRTv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 367970 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTv4f16),
     /* 367975 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 367979 */   GIR_RootConstrainSelectedInstOperands,
     /* 367980 */   // GIR_Coverage, 956,
     /* 367980 */   GIR_Done,
     /* 367981 */ // Label 7397: @367981
     /* 367981 */ GIM_Reject,
     /* 367982 */ // Label 7389: @367982
     /* 367982 */ GIM_Try, /*On fail goto*//*Label 7398*/ GIMT_Encode4(368012), // Rule ID 962 //
     /* 367987 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 367990 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 367993 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367997 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368001 */   // (fsqrt:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FSQRTv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 368001 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTv4f32),
     /* 368006 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 368010 */   GIR_RootConstrainSelectedInstOperands,
     /* 368011 */   // GIR_Coverage, 962,
     /* 368011 */   GIR_Done,
     /* 368012 */ // Label 7398: @368012
     /* 368012 */ GIM_Reject,
     /* 368013 */ // Label 7390: @368013
     /* 368013 */ GIM_Try, /*On fail goto*//*Label 7399*/ GIMT_Encode4(368043), // Rule ID 958 //
     /* 368018 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 368021 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 368024 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368028 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368032 */   // (fsqrt:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FSQRTv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 368032 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTv8f16),
     /* 368037 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 368041 */   GIR_RootConstrainSelectedInstOperands,
     /* 368042 */   // GIR_Coverage, 958,
     /* 368042 */   GIR_Done,
     /* 368043 */ // Label 7399: @368043
     /* 368043 */ GIM_Reject,
     /* 368044 */ // Label 7391: @368044
     /* 368044 */ GIM_Reject,
     /* 368045 */ // Label 98: @368045
     /* 368045 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 7408*/ GIMT_Encode4(368535),
     /* 368056 */ /*GILLT_s16*//*Label 7400*/ GIMT_Encode4(368096),
     /* 368060 */ /*GILLT_s32*//*Label 7401*/ GIMT_Encode4(368127),
     /* 368064 */ /*GILLT_s64*//*Label 7402*/ GIMT_Encode4(368158), GIMT_Encode4(0),
     /* 368072 */ /*GILLT_v2s32*//*Label 7403*/ GIMT_Encode4(368189),
     /* 368076 */ /*GILLT_v2s64*//*Label 7404*/ GIMT_Encode4(368220),
     /* 368080 */ /*GILLT_v4s16*//*Label 7405*/ GIMT_Encode4(368251),
     /* 368084 */ /*GILLT_v4s32*//*Label 7406*/ GIMT_Encode4(368282), GIMT_Encode4(0),
     /* 368092 */ /*GILLT_v8s16*//*Label 7407*/ GIMT_Encode4(368313),
     /* 368096 */ // Label 7400: @368096
     /* 368096 */ GIM_Try, /*On fail goto*//*Label 7409*/ GIMT_Encode4(368126), // Rule ID 540 //
     /* 368101 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 368104 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 368107 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 368111 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 368115 */   // (ffloor:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (FRINTMHr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 368115 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTMHr),
     /* 368120 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 368124 */   GIR_RootConstrainSelectedInstOperands,
     /* 368125 */   // GIR_Coverage, 540,
     /* 368125 */   GIR_Done,
     /* 368126 */ // Label 7409: @368126
     /* 368126 */ GIM_Reject,
     /* 368127 */ // Label 7401: @368127
     /* 368127 */ GIM_Try, /*On fail goto*//*Label 7410*/ GIMT_Encode4(368157), // Rule ID 542 //
     /* 368132 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 368135 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 368138 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 368142 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 368146 */   // (ffloor:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (FRINTMSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 368146 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTMSr),
     /* 368151 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 368155 */   GIR_RootConstrainSelectedInstOperands,
     /* 368156 */   // GIR_Coverage, 542,
     /* 368156 */   GIR_Done,
     /* 368157 */ // Label 7410: @368157
     /* 368157 */ GIM_Reject,
     /* 368158 */ // Label 7402: @368158
     /* 368158 */ GIM_Try, /*On fail goto*//*Label 7411*/ GIMT_Encode4(368188), // Rule ID 544 //
     /* 368163 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 368166 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 368169 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 368173 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 368177 */   // (ffloor:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (FRINTMDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 368177 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTMDr),
     /* 368182 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 368186 */   GIR_RootConstrainSelectedInstOperands,
     /* 368187 */   // GIR_Coverage, 544,
     /* 368187 */   GIR_Done,
     /* 368188 */ // Label 7411: @368188
     /* 368188 */ GIM_Reject,
     /* 368189 */ // Label 7403: @368189
     /* 368189 */ GIM_Try, /*On fail goto*//*Label 7412*/ GIMT_Encode4(368219), // Rule ID 893 //
     /* 368194 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 368197 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 368200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 368204 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 368208 */   // (ffloor:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FRINTMv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 368208 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTMv2f32),
     /* 368213 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 368217 */   GIR_RootConstrainSelectedInstOperands,
     /* 368218 */   // GIR_Coverage, 893,
     /* 368218 */   GIR_Done,
     /* 368219 */ // Label 7412: @368219
     /* 368219 */ GIM_Reject,
     /* 368220 */ // Label 7404: @368220
     /* 368220 */ GIM_Try, /*On fail goto*//*Label 7413*/ GIMT_Encode4(368250), // Rule ID 897 //
     /* 368225 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 368228 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 368231 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368235 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368239 */   // (ffloor:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FRINTMv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 368239 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTMv2f64),
     /* 368244 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 368248 */   GIR_RootConstrainSelectedInstOperands,
     /* 368249 */   // GIR_Coverage, 897,
     /* 368249 */   GIR_Done,
     /* 368250 */ // Label 7413: @368250
     /* 368250 */ GIM_Reject,
     /* 368251 */ // Label 7405: @368251
     /* 368251 */ GIM_Try, /*On fail goto*//*Label 7414*/ GIMT_Encode4(368281), // Rule ID 889 //
     /* 368256 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 368259 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 368262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 368266 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 368270 */   // (ffloor:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FRINTMv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 368270 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTMv4f16),
     /* 368275 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 368279 */   GIR_RootConstrainSelectedInstOperands,
     /* 368280 */   // GIR_Coverage, 889,
     /* 368280 */   GIR_Done,
     /* 368281 */ // Label 7414: @368281
     /* 368281 */ GIM_Reject,
     /* 368282 */ // Label 7406: @368282
     /* 368282 */ GIM_Try, /*On fail goto*//*Label 7415*/ GIMT_Encode4(368312), // Rule ID 895 //
     /* 368287 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 368290 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 368293 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368297 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368301 */   // (ffloor:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FRINTMv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 368301 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTMv4f32),
     /* 368306 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 368310 */   GIR_RootConstrainSelectedInstOperands,
     /* 368311 */   // GIR_Coverage, 895,
     /* 368311 */   GIR_Done,
     /* 368312 */ // Label 7415: @368312
     /* 368312 */ GIM_Reject,
     /* 368313 */ // Label 7407: @368313
     /* 368313 */ GIM_Try, /*On fail goto*//*Label 7416*/ GIMT_Encode4(368534),
     /* 368318 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 368321 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368325 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368329 */   GIM_Try, /*On fail goto*//*Label 7417*/ GIMT_Encode4(368348), // Rule ID 891 //
     /* 368334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 368337 */     // (ffloor:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FRINTMv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 368337 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTMv8f16),
     /* 368342 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 368346 */     GIR_RootConstrainSelectedInstOperands,
     /* 368347 */     // GIR_Coverage, 891,
     /* 368347 */     GIR_Done,
     /* 368348 */   // Label 7417: @368348
     /* 368348 */   GIM_Try, /*On fail goto*//*Label 7418*/ GIMT_Encode4(368533), // Rule ID 6959 //
     /* 368353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 368356 */     // (ffloor:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FRINTMv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FRINTMv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn)))
     /* 368356 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s32,
     /* 368359 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 368363 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 368368 */     GIR_Copy, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 368372 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /* 368374 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 368377 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FRINTMv4f32),
     /* 368381 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 368386 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 368389 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 368391 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 368394 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 368398 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 368403 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 368409 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 368414 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368419 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 368422 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 368426 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 368431 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 368434 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 368436 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 368439 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FRINTMv4f32),
     /* 368443 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 368448 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 368451 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 368453 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 368456 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 368460 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 368465 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 368468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 368470 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 368473 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 368477 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 368482 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 368484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 368487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 368491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 368496 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 368499 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 368502 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 368505 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368510 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368515 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 368520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 368523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 368525 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 368528 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/6,
     /* 368531 */     GIR_RootConstrainSelectedInstOperands,
     /* 368532 */     // GIR_Coverage, 6959,
     /* 368532 */     GIR_EraseRootFromParent_Done,
     /* 368533 */   // Label 7418: @368533
     /* 368533 */   GIM_Reject,
     /* 368534 */ // Label 7416: @368534
     /* 368534 */ GIM_Reject,
     /* 368535 */ // Label 7408: @368535
     /* 368535 */ GIM_Reject,
     /* 368536 */ // Label 99: @368536
     /* 368536 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 7427*/ GIMT_Encode4(369026),
     /* 368547 */ /*GILLT_s16*//*Label 7419*/ GIMT_Encode4(368587),
     /* 368551 */ /*GILLT_s32*//*Label 7420*/ GIMT_Encode4(368618),
     /* 368555 */ /*GILLT_s64*//*Label 7421*/ GIMT_Encode4(368649), GIMT_Encode4(0),
     /* 368563 */ /*GILLT_v2s32*//*Label 7422*/ GIMT_Encode4(368680),
     /* 368567 */ /*GILLT_v2s64*//*Label 7423*/ GIMT_Encode4(368711),
     /* 368571 */ /*GILLT_v4s16*//*Label 7424*/ GIMT_Encode4(368742),
     /* 368575 */ /*GILLT_v4s32*//*Label 7425*/ GIMT_Encode4(368773), GIMT_Encode4(0),
     /* 368583 */ /*GILLT_v8s16*//*Label 7426*/ GIMT_Encode4(368804),
     /* 368587 */ // Label 7419: @368587
     /* 368587 */ GIM_Try, /*On fail goto*//*Label 7428*/ GIMT_Encode4(368617), // Rule ID 558 //
     /* 368592 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 368595 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 368598 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 368602 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 368606 */   // (frint:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (FRINTXHr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 368606 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTXHr),
     /* 368611 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 368615 */   GIR_RootConstrainSelectedInstOperands,
     /* 368616 */   // GIR_Coverage, 558,
     /* 368616 */   GIR_Done,
     /* 368617 */ // Label 7428: @368617
     /* 368617 */ GIM_Reject,
     /* 368618 */ // Label 7420: @368618
     /* 368618 */ GIM_Try, /*On fail goto*//*Label 7429*/ GIMT_Encode4(368648), // Rule ID 560 //
     /* 368623 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 368626 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 368629 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 368633 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 368637 */   // (frint:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (FRINTXSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 368637 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTXSr),
     /* 368642 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 368646 */   GIR_RootConstrainSelectedInstOperands,
     /* 368647 */   // GIR_Coverage, 560,
     /* 368647 */   GIR_Done,
     /* 368648 */ // Label 7429: @368648
     /* 368648 */ GIM_Reject,
     /* 368649 */ // Label 7421: @368649
     /* 368649 */ GIM_Try, /*On fail goto*//*Label 7430*/ GIMT_Encode4(368679), // Rule ID 562 //
     /* 368654 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 368657 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 368660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 368664 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 368668 */   // (frint:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (FRINTXDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 368668 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTXDr),
     /* 368673 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 368677 */   GIR_RootConstrainSelectedInstOperands,
     /* 368678 */   // GIR_Coverage, 562,
     /* 368678 */   GIR_Done,
     /* 368679 */ // Label 7430: @368679
     /* 368679 */ GIM_Reject,
     /* 368680 */ // Label 7422: @368680
     /* 368680 */ GIM_Try, /*On fail goto*//*Label 7431*/ GIMT_Encode4(368710), // Rule ID 923 //
     /* 368685 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 368688 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 368691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 368695 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 368699 */   // (frint:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FRINTXv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 368699 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTXv2f32),
     /* 368704 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 368708 */   GIR_RootConstrainSelectedInstOperands,
     /* 368709 */   // GIR_Coverage, 923,
     /* 368709 */   GIR_Done,
     /* 368710 */ // Label 7431: @368710
     /* 368710 */ GIM_Reject,
     /* 368711 */ // Label 7423: @368711
     /* 368711 */ GIM_Try, /*On fail goto*//*Label 7432*/ GIMT_Encode4(368741), // Rule ID 927 //
     /* 368716 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 368719 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 368722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368726 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368730 */   // (frint:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FRINTXv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 368730 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTXv2f64),
     /* 368735 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 368739 */   GIR_RootConstrainSelectedInstOperands,
     /* 368740 */   // GIR_Coverage, 927,
     /* 368740 */   GIR_Done,
     /* 368741 */ // Label 7432: @368741
     /* 368741 */ GIM_Reject,
     /* 368742 */ // Label 7424: @368742
     /* 368742 */ GIM_Try, /*On fail goto*//*Label 7433*/ GIMT_Encode4(368772), // Rule ID 919 //
     /* 368747 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 368750 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 368753 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 368757 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 368761 */   // (frint:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FRINTXv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 368761 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTXv4f16),
     /* 368766 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 368770 */   GIR_RootConstrainSelectedInstOperands,
     /* 368771 */   // GIR_Coverage, 919,
     /* 368771 */   GIR_Done,
     /* 368772 */ // Label 7433: @368772
     /* 368772 */ GIM_Reject,
     /* 368773 */ // Label 7425: @368773
     /* 368773 */ GIM_Try, /*On fail goto*//*Label 7434*/ GIMT_Encode4(368803), // Rule ID 925 //
     /* 368778 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 368781 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 368784 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368788 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368792 */   // (frint:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FRINTXv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 368792 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTXv4f32),
     /* 368797 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 368801 */   GIR_RootConstrainSelectedInstOperands,
     /* 368802 */   // GIR_Coverage, 925,
     /* 368802 */   GIR_Done,
     /* 368803 */ // Label 7434: @368803
     /* 368803 */ GIM_Reject,
     /* 368804 */ // Label 7426: @368804
     /* 368804 */ GIM_Try, /*On fail goto*//*Label 7435*/ GIMT_Encode4(369025),
     /* 368809 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 368812 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368816 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368820 */   GIM_Try, /*On fail goto*//*Label 7436*/ GIMT_Encode4(368839), // Rule ID 921 //
     /* 368825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 368828 */     // (frint:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FRINTXv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 368828 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTXv8f16),
     /* 368833 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 368837 */     GIR_RootConstrainSelectedInstOperands,
     /* 368838 */     // GIR_Coverage, 921,
     /* 368838 */     GIR_Done,
     /* 368839 */   // Label 7436: @368839
     /* 368839 */   GIM_Try, /*On fail goto*//*Label 7437*/ GIMT_Encode4(369024), // Rule ID 6967 //
     /* 368844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 368847 */     // (frint:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FRINTXv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FRINTXv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn)))
     /* 368847 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s32,
     /* 368850 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 368854 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 368859 */     GIR_Copy, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 368863 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /* 368865 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 368868 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FRINTXv4f32),
     /* 368872 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 368877 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 368880 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 368882 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 368885 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 368889 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 368894 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 368900 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 368905 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368910 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 368913 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 368917 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 368922 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 368925 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 368927 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 368930 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FRINTXv4f32),
     /* 368934 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 368939 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 368942 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 368944 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 368947 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 368951 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 368956 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 368959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 368961 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 368964 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 368968 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 368973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 368975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 368978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 368982 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 368987 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 368990 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 368993 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 368996 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 369001 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 369006 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 369011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 369014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 369016 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 369019 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/6,
     /* 369022 */     GIR_RootConstrainSelectedInstOperands,
     /* 369023 */     // GIR_Coverage, 6967,
     /* 369023 */     GIR_EraseRootFromParent_Done,
     /* 369024 */   // Label 7437: @369024
     /* 369024 */   GIM_Reject,
     /* 369025 */ // Label 7435: @369025
     /* 369025 */ GIM_Reject,
     /* 369026 */ // Label 7427: @369026
     /* 369026 */ GIM_Reject,
     /* 369027 */ // Label 100: @369027
     /* 369027 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 7446*/ GIMT_Encode4(369517),
     /* 369038 */ /*GILLT_s16*//*Label 7438*/ GIMT_Encode4(369078),
     /* 369042 */ /*GILLT_s32*//*Label 7439*/ GIMT_Encode4(369109),
     /* 369046 */ /*GILLT_s64*//*Label 7440*/ GIMT_Encode4(369140), GIMT_Encode4(0),
     /* 369054 */ /*GILLT_v2s32*//*Label 7441*/ GIMT_Encode4(369171),
     /* 369058 */ /*GILLT_v2s64*//*Label 7442*/ GIMT_Encode4(369202),
     /* 369062 */ /*GILLT_v4s16*//*Label 7443*/ GIMT_Encode4(369233),
     /* 369066 */ /*GILLT_v4s32*//*Label 7444*/ GIMT_Encode4(369264), GIMT_Encode4(0),
     /* 369074 */ /*GILLT_v8s16*//*Label 7445*/ GIMT_Encode4(369295),
     /* 369078 */ // Label 7438: @369078
     /* 369078 */ GIM_Try, /*On fail goto*//*Label 7447*/ GIMT_Encode4(369108), // Rule ID 534 //
     /* 369083 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 369086 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 369089 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 369093 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 369097 */   // (fnearbyint:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (FRINTIHr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 369097 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTIHr),
     /* 369102 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 369106 */   GIR_RootConstrainSelectedInstOperands,
     /* 369107 */   // GIR_Coverage, 534,
     /* 369107 */   GIR_Done,
     /* 369108 */ // Label 7447: @369108
     /* 369108 */ GIM_Reject,
     /* 369109 */ // Label 7439: @369109
     /* 369109 */ GIM_Try, /*On fail goto*//*Label 7448*/ GIMT_Encode4(369139), // Rule ID 536 //
     /* 369114 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 369117 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 369120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 369124 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 369128 */   // (fnearbyint:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (FRINTISr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 369128 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTISr),
     /* 369133 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 369137 */   GIR_RootConstrainSelectedInstOperands,
     /* 369138 */   // GIR_Coverage, 536,
     /* 369138 */   GIR_Done,
     /* 369139 */ // Label 7448: @369139
     /* 369139 */ GIM_Reject,
     /* 369140 */ // Label 7440: @369140
     /* 369140 */ GIM_Try, /*On fail goto*//*Label 7449*/ GIMT_Encode4(369170), // Rule ID 538 //
     /* 369145 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 369148 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 369151 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 369155 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 369159 */   // (fnearbyint:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (FRINTIDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 369159 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTIDr),
     /* 369164 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 369168 */   GIR_RootConstrainSelectedInstOperands,
     /* 369169 */   // GIR_Coverage, 538,
     /* 369169 */   GIR_Done,
     /* 369170 */ // Label 7449: @369170
     /* 369170 */ GIM_Reject,
     /* 369171 */ // Label 7441: @369171
     /* 369171 */ GIM_Try, /*On fail goto*//*Label 7450*/ GIMT_Encode4(369201), // Rule ID 883 //
     /* 369176 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 369179 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 369182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 369186 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 369190 */   // (fnearbyint:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FRINTIv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 369190 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTIv2f32),
     /* 369195 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 369199 */   GIR_RootConstrainSelectedInstOperands,
     /* 369200 */   // GIR_Coverage, 883,
     /* 369200 */   GIR_Done,
     /* 369201 */ // Label 7450: @369201
     /* 369201 */ GIM_Reject,
     /* 369202 */ // Label 7442: @369202
     /* 369202 */ GIM_Try, /*On fail goto*//*Label 7451*/ GIMT_Encode4(369232), // Rule ID 887 //
     /* 369207 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 369210 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 369213 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 369217 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 369221 */   // (fnearbyint:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FRINTIv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 369221 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTIv2f64),
     /* 369226 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 369230 */   GIR_RootConstrainSelectedInstOperands,
     /* 369231 */   // GIR_Coverage, 887,
     /* 369231 */   GIR_Done,
     /* 369232 */ // Label 7451: @369232
     /* 369232 */ GIM_Reject,
     /* 369233 */ // Label 7443: @369233
     /* 369233 */ GIM_Try, /*On fail goto*//*Label 7452*/ GIMT_Encode4(369263), // Rule ID 879 //
     /* 369238 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 369241 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 369244 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 369248 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 369252 */   // (fnearbyint:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FRINTIv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 369252 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTIv4f16),
     /* 369257 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 369261 */   GIR_RootConstrainSelectedInstOperands,
     /* 369262 */   // GIR_Coverage, 879,
     /* 369262 */   GIR_Done,
     /* 369263 */ // Label 7452: @369263
     /* 369263 */ GIM_Reject,
     /* 369264 */ // Label 7444: @369264
     /* 369264 */ GIM_Try, /*On fail goto*//*Label 7453*/ GIMT_Encode4(369294), // Rule ID 885 //
     /* 369269 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 369272 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 369275 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 369279 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 369283 */   // (fnearbyint:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FRINTIv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 369283 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTIv4f32),
     /* 369288 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 369292 */   GIR_RootConstrainSelectedInstOperands,
     /* 369293 */   // GIR_Coverage, 885,
     /* 369293 */   GIR_Done,
     /* 369294 */ // Label 7453: @369294
     /* 369294 */ GIM_Reject,
     /* 369295 */ // Label 7445: @369295
     /* 369295 */ GIM_Try, /*On fail goto*//*Label 7454*/ GIMT_Encode4(369516),
     /* 369300 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 369303 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 369307 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 369311 */   GIM_Try, /*On fail goto*//*Label 7455*/ GIMT_Encode4(369330), // Rule ID 881 //
     /* 369316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 369319 */     // (fnearbyint:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FRINTIv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 369319 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTIv8f16),
     /* 369324 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 369328 */     GIR_RootConstrainSelectedInstOperands,
     /* 369329 */     // GIR_Coverage, 881,
     /* 369329 */     GIR_Done,
     /* 369330 */   // Label 7455: @369330
     /* 369330 */   GIM_Try, /*On fail goto*//*Label 7456*/ GIMT_Encode4(369515), // Rule ID 6961 //
     /* 369335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 369338 */     // (fnearbyint:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FRINTIv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FRINTIv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn)))
     /* 369338 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s32,
     /* 369341 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 369345 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 369350 */     GIR_Copy, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 369354 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /* 369356 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 369359 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FRINTIv4f32),
     /* 369363 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 369368 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 369371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 369373 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 369376 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 369380 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 369385 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 369391 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 369396 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 369401 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 369404 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 369408 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 369413 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 369416 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 369418 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 369421 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FRINTIv4f32),
     /* 369425 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 369430 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 369433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 369435 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 369438 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 369442 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 369447 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 369450 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 369452 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 369455 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 369459 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 369464 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 369466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 369469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 369473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 369478 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 369481 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 369484 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 369487 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 369492 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 369497 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 369502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 369505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 369507 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 369510 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/6,
     /* 369513 */     GIR_RootConstrainSelectedInstOperands,
     /* 369514 */     // GIR_Coverage, 6961,
     /* 369514 */     GIR_EraseRootFromParent_Done,
     /* 369515 */   // Label 7456: @369515
     /* 369515 */   GIM_Reject,
     /* 369516 */ // Label 7454: @369516
     /* 369516 */ GIM_Reject,
     /* 369517 */ // Label 7446: @369517
     /* 369517 */ GIM_Reject,
     /* 369518 */ // Label 101: @369518
     /* 369518 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 7465*/ GIMT_Encode4(370643),
     /* 369529 */ /*GILLT_s16*//*Label 7457*/ GIMT_Encode4(369569),
     /* 369533 */ /*GILLT_s32*//*Label 7458*/ GIMT_Encode4(369795),
     /* 369537 */ /*GILLT_s64*//*Label 7459*/ GIMT_Encode4(370021), GIMT_Encode4(0),
     /* 369545 */ /*GILLT_v2s32*//*Label 7460*/ GIMT_Encode4(370193),
     /* 369549 */ /*GILLT_v2s64*//*Label 7461*/ GIMT_Encode4(370231),
     /* 369553 */ /*GILLT_v4s16*//*Label 7462*/ GIMT_Encode4(370269),
     /* 369557 */ /*GILLT_v4s32*//*Label 7463*/ GIMT_Encode4(370307), GIMT_Encode4(0),
     /* 369565 */ /*GILLT_v8s16*//*Label 7464*/ GIMT_Encode4(370345),
     /* 369569 */ // Label 7457: @369569
     /* 369569 */ GIM_Try, /*On fail goto*//*Label 7466*/ GIMT_Encode4(369794),
     /* 369574 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 369577 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 369580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 369584 */   GIM_Try, /*On fail goto*//*Label 7467*/ GIMT_Encode4(369675), // Rule ID 6881 //
     /* 369589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 369593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 369597 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 369601 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 369605 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 369610 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 369614 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 369618 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 369622 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 369626 */     // MIs[2] Rn
     /* 369626 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 369631 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /* 369635 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 369637 */     // (strict_fadd:{ *:[f16] } (vector_extract:{ *:[f16] } FPR128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f16] } FPR128:{ *:[v8f16] }:$Rn, 1:{ *:[i64] }))  =>  (FADDPv2i16p:{ *:[f16] } (EXTRACT_SUBREG:{ *:[i64] } FPR128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] }))
     /* 369637 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 369640 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 369644 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 369649 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 369655 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 369660 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 369665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i16p),
     /* 369668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 369670 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 369673 */     GIR_RootConstrainSelectedInstOperands,
     /* 369674 */     // GIR_Coverage, 6881,
     /* 369674 */     GIR_EraseRootFromParent_Done,
     /* 369675 */   // Label 7467: @369675
     /* 369675 */   GIM_Try, /*On fail goto*//*Label 7468*/ GIMT_Encode4(369766), // Rule ID 13848 //
     /* 369680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 369684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 369688 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 369692 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 369696 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 369701 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 369705 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 369709 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 369713 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 369717 */     // MIs[2] Rn
     /* 369717 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 369722 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 369726 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 369728 */     // (strict_fadd:{ *:[f16] } (vector_extract:{ *:[f16] } FPR128:{ *:[v8f16] }:$Rn, 1:{ *:[i64] }), (vector_extract:{ *:[f16] } FPR128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }))  =>  (FADDPv2i16p:{ *:[f16] } (EXTRACT_SUBREG:{ *:[i64] } FPR128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] }))
     /* 369728 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 369731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 369735 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 369740 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 369746 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 369751 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 369756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i16p),
     /* 369759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 369761 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 369764 */     GIR_RootConstrainSelectedInstOperands,
     /* 369765 */     // GIR_Coverage, 13848,
     /* 369765 */     GIR_EraseRootFromParent_Done,
     /* 369766 */   // Label 7468: @369766
     /* 369766 */   GIM_Try, /*On fail goto*//*Label 7469*/ GIMT_Encode4(369793), // Rule ID 583 //
     /* 369771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 369774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 369778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 369782 */     // (strict_fadd:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FADDHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 369782 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDHrr),
     /* 369787 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 369791 */     GIR_RootConstrainSelectedInstOperands,
     /* 369792 */     // GIR_Coverage, 583,
     /* 369792 */     GIR_Done,
     /* 369793 */   // Label 7469: @369793
     /* 369793 */   GIM_Reject,
     /* 369794 */ // Label 7466: @369794
     /* 369794 */ GIM_Reject,
     /* 369795 */ // Label 7458: @369795
     /* 369795 */ GIM_Try, /*On fail goto*//*Label 7470*/ GIMT_Encode4(370020),
     /* 369800 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 369803 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 369806 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 369810 */   GIM_Try, /*On fail goto*//*Label 7471*/ GIMT_Encode4(369901), // Rule ID 6879 //
     /* 369815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 369819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 369823 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 369827 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 369831 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 369836 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 369840 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 369844 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 369848 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 369852 */     // MIs[2] Rn
     /* 369852 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 369857 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /* 369861 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 369863 */     // (strict_fadd:{ *:[f32] } (vector_extract:{ *:[f32] } FPR128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f32] } FPR128:{ *:[v4f32] }:$Rn, 1:{ *:[i64] }))  =>  (FADDPv2i32p:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i64] } FPR128:{ *:[v4f32] }:$Rn, dsub:{ *:[i32] }))
     /* 369863 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 369866 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 369870 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 369875 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 369881 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 369886 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 369891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i32p),
     /* 369894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 369896 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 369899 */     GIR_RootConstrainSelectedInstOperands,
     /* 369900 */     // GIR_Coverage, 6879,
     /* 369900 */     GIR_EraseRootFromParent_Done,
     /* 369901 */   // Label 7471: @369901
     /* 369901 */   GIM_Try, /*On fail goto*//*Label 7472*/ GIMT_Encode4(369992), // Rule ID 13846 //
     /* 369906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 369910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 369914 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 369918 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 369922 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 369927 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 369931 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 369935 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 369939 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 369943 */     // MIs[2] Rn
     /* 369943 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 369948 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 369952 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 369954 */     // (strict_fadd:{ *:[f32] } (vector_extract:{ *:[f32] } FPR128:{ *:[v4f32] }:$Rn, 1:{ *:[i64] }), (vector_extract:{ *:[f32] } FPR128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }))  =>  (FADDPv2i32p:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i64] } FPR128:{ *:[v4f32] }:$Rn, dsub:{ *:[i32] }))
     /* 369954 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 369957 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 369961 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 369966 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 369972 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 369977 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 369982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i32p),
     /* 369985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 369987 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 369990 */     GIR_RootConstrainSelectedInstOperands,
     /* 369991 */     // GIR_Coverage, 13846,
     /* 369991 */     GIR_EraseRootFromParent_Done,
     /* 369992 */   // Label 7472: @369992
     /* 369992 */   GIM_Try, /*On fail goto*//*Label 7473*/ GIMT_Encode4(370019), // Rule ID 585 //
     /* 369997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 370000 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 370004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 370008 */     // (strict_fadd:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FADDSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 370008 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDSrr),
     /* 370013 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 370017 */     GIR_RootConstrainSelectedInstOperands,
     /* 370018 */     // GIR_Coverage, 585,
     /* 370018 */     GIR_Done,
     /* 370019 */   // Label 7473: @370019
     /* 370019 */   GIM_Reject,
     /* 370020 */ // Label 7470: @370020
     /* 370020 */ GIM_Reject,
     /* 370021 */ // Label 7459: @370021
     /* 370021 */ GIM_Try, /*On fail goto*//*Label 7474*/ GIMT_Encode4(370192),
     /* 370026 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 370029 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 370032 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370036 */   GIM_Try, /*On fail goto*//*Label 7475*/ GIMT_Encode4(370100), // Rule ID 6877 //
     /* 370041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 370045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 370049 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 370053 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 370057 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370062 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 370066 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 370070 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 370074 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 370078 */     // MIs[2] Rn
     /* 370078 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 370083 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /* 370087 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 370089 */     // (strict_fadd:{ *:[f64] } (vector_extract:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn, 1:{ *:[i64] }))  =>  (FADDPv2i64p:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn)
     /* 370089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i64p),
     /* 370092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 370094 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 370098 */     GIR_RootConstrainSelectedInstOperands,
     /* 370099 */     // GIR_Coverage, 6877,
     /* 370099 */     GIR_EraseRootFromParent_Done,
     /* 370100 */   // Label 7475: @370100
     /* 370100 */   GIM_Try, /*On fail goto*//*Label 7476*/ GIMT_Encode4(370164), // Rule ID 13844 //
     /* 370105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 370109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 370113 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 370117 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 370121 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370126 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 370130 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 370134 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 370138 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 370142 */     // MIs[2] Rn
     /* 370142 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 370147 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 370151 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 370153 */     // (strict_fadd:{ *:[f64] } (vector_extract:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn, 1:{ *:[i64] }), (vector_extract:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }))  =>  (FADDPv2i64p:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn)
     /* 370153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i64p),
     /* 370156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 370158 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 370162 */     GIR_RootConstrainSelectedInstOperands,
     /* 370163 */     // GIR_Coverage, 13844,
     /* 370163 */     GIR_EraseRootFromParent_Done,
     /* 370164 */   // Label 7476: @370164
     /* 370164 */   GIM_Try, /*On fail goto*//*Label 7477*/ GIMT_Encode4(370191), // Rule ID 587 //
     /* 370169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 370172 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370180 */     // (strict_fadd:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FADDDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 370180 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDDrr),
     /* 370185 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 370189 */     GIR_RootConstrainSelectedInstOperands,
     /* 370190 */     // GIR_Coverage, 587,
     /* 370190 */     GIR_Done,
     /* 370191 */   // Label 7477: @370191
     /* 370191 */   GIM_Reject,
     /* 370192 */ // Label 7474: @370192
     /* 370192 */ GIM_Reject,
     /* 370193 */ // Label 7460: @370193
     /* 370193 */ GIM_Try, /*On fail goto*//*Label 7478*/ GIMT_Encode4(370230), // Rule ID 1202 //
     /* 370198 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 370201 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 370204 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 370207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370211 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370215 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370219 */   // (strict_fadd:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FADDv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 370219 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDv2f32),
     /* 370224 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 370228 */   GIR_RootConstrainSelectedInstOperands,
     /* 370229 */   // GIR_Coverage, 1202,
     /* 370229 */   GIR_Done,
     /* 370230 */ // Label 7478: @370230
     /* 370230 */ GIM_Reject,
     /* 370231 */ // Label 7461: @370231
     /* 370231 */ GIM_Try, /*On fail goto*//*Label 7479*/ GIMT_Encode4(370268), // Rule ID 1206 //
     /* 370236 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 370239 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 370242 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 370245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370249 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370253 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370257 */   // (strict_fadd:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FADDv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 370257 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDv2f64),
     /* 370262 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 370266 */   GIR_RootConstrainSelectedInstOperands,
     /* 370267 */   // GIR_Coverage, 1206,
     /* 370267 */   GIR_Done,
     /* 370268 */ // Label 7479: @370268
     /* 370268 */ GIM_Reject,
     /* 370269 */ // Label 7462: @370269
     /* 370269 */ GIM_Try, /*On fail goto*//*Label 7480*/ GIMT_Encode4(370306), // Rule ID 1198 //
     /* 370274 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 370277 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 370280 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 370283 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370287 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370291 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370295 */   // (strict_fadd:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FADDv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 370295 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDv4f16),
     /* 370300 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 370304 */   GIR_RootConstrainSelectedInstOperands,
     /* 370305 */   // GIR_Coverage, 1198,
     /* 370305 */   GIR_Done,
     /* 370306 */ // Label 7480: @370306
     /* 370306 */ GIM_Reject,
     /* 370307 */ // Label 7463: @370307
     /* 370307 */ GIM_Try, /*On fail goto*//*Label 7481*/ GIMT_Encode4(370344), // Rule ID 1204 //
     /* 370312 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 370315 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 370318 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 370321 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370325 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370329 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370333 */   // (strict_fadd:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FADDv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 370333 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDv4f32),
     /* 370338 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 370342 */   GIR_RootConstrainSelectedInstOperands,
     /* 370343 */   // GIR_Coverage, 1204,
     /* 370343 */   GIR_Done,
     /* 370344 */ // Label 7481: @370344
     /* 370344 */ GIM_Reject,
     /* 370345 */ // Label 7464: @370345
     /* 370345 */ GIM_Try, /*On fail goto*//*Label 7482*/ GIMT_Encode4(370642),
     /* 370350 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 370353 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 370356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370360 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370364 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370368 */   GIM_Try, /*On fail goto*//*Label 7483*/ GIMT_Encode4(370387), // Rule ID 1200 //
     /* 370373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 370376 */     // (strict_fadd:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FADDv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 370376 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDv8f16),
     /* 370381 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 370385 */     GIR_RootConstrainSelectedInstOperands,
     /* 370386 */     // GIR_Coverage, 1200,
     /* 370386 */     GIR_Done,
     /* 370387 */   // Label 7483: @370387
     /* 370387 */   GIM_Try, /*On fail goto*//*Label 7484*/ GIMT_Encode4(370641), // Rule ID 6970 //
     /* 370392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 370395 */     // (strict_fadd:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FADDv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })), (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rm, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FADDv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn), (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rm)))
     /* 370395 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_v4s32,
     /* 370398 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 370402 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 370407 */     GIR_Copy, /*NewInsnID*/11, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 370411 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/11,
     /* 370413 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_v4s32,
     /* 370416 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 370420 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 370425 */     GIR_Copy, /*NewInsnID*/10, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 370429 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/10,
     /* 370431 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_v4s32,
     /* 370434 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(AArch64::FADDv4f32),
     /* 370438 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 370443 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/9,
     /* 370446 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/10,
     /* 370449 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/9,
     /* 370451 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s16,
     /* 370454 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 370458 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 370463 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 370469 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370474 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370479 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 370482 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 370486 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 370491 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 370494 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 370496 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 370499 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 370503 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 370508 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 370514 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370519 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370524 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 370527 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 370531 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 370536 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 370539 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 370541 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 370544 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FADDv4f32),
     /* 370548 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 370553 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 370556 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/6,
     /* 370559 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 370561 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 370564 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 370568 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 370573 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 370576 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 370578 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 370581 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 370585 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 370590 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 370592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 370595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 370599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 370604 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 370607 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 370610 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 370613 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370618 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370623 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 370631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 370633 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 370636 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/8,
     /* 370639 */     GIR_RootConstrainSelectedInstOperands,
     /* 370640 */     // GIR_Coverage, 6970,
     /* 370640 */     GIR_EraseRootFromParent_Done,
     /* 370641 */   // Label 7484: @370641
     /* 370641 */   GIM_Reject,
     /* 370642 */ // Label 7482: @370642
     /* 370642 */ GIM_Reject,
     /* 370643 */ // Label 7465: @370643
     /* 370643 */ GIM_Reject,
     /* 370644 */ // Label 102: @370644
     /* 370644 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 7493*/ GIMT_Encode4(371259),
     /* 370655 */ /*GILLT_s16*//*Label 7485*/ GIMT_Encode4(370695),
     /* 370659 */ /*GILLT_s32*//*Label 7486*/ GIMT_Encode4(370733),
     /* 370663 */ /*GILLT_s64*//*Label 7487*/ GIMT_Encode4(370771), GIMT_Encode4(0),
     /* 370671 */ /*GILLT_v2s32*//*Label 7488*/ GIMT_Encode4(370809),
     /* 370675 */ /*GILLT_v2s64*//*Label 7489*/ GIMT_Encode4(370847),
     /* 370679 */ /*GILLT_v4s16*//*Label 7490*/ GIMT_Encode4(370885),
     /* 370683 */ /*GILLT_v4s32*//*Label 7491*/ GIMT_Encode4(370923), GIMT_Encode4(0),
     /* 370691 */ /*GILLT_v8s16*//*Label 7492*/ GIMT_Encode4(370961),
     /* 370695 */ // Label 7485: @370695
     /* 370695 */ GIM_Try, /*On fail goto*//*Label 7494*/ GIMT_Encode4(370732), // Rule ID 631 //
     /* 370700 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 370703 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 370706 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 370709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 370713 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 370717 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 370721 */   // (strict_fsub:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FSUBHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 370721 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBHrr),
     /* 370726 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 370730 */   GIR_RootConstrainSelectedInstOperands,
     /* 370731 */   // GIR_Coverage, 631,
     /* 370731 */   GIR_Done,
     /* 370732 */ // Label 7494: @370732
     /* 370732 */ GIM_Reject,
     /* 370733 */ // Label 7486: @370733
     /* 370733 */ GIM_Try, /*On fail goto*//*Label 7495*/ GIMT_Encode4(370770), // Rule ID 633 //
     /* 370738 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 370741 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 370744 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 370747 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 370751 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 370755 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 370759 */   // (strict_fsub:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FSUBSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 370759 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBSrr),
     /* 370764 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 370768 */   GIR_RootConstrainSelectedInstOperands,
     /* 370769 */   // GIR_Coverage, 633,
     /* 370769 */   GIR_Done,
     /* 370770 */ // Label 7495: @370770
     /* 370770 */ GIM_Reject,
     /* 370771 */ // Label 7487: @370771
     /* 370771 */ GIM_Try, /*On fail goto*//*Label 7496*/ GIMT_Encode4(370808), // Rule ID 635 //
     /* 370776 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 370779 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 370782 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 370785 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370789 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370793 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370797 */   // (strict_fsub:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FSUBDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 370797 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBDrr),
     /* 370802 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 370806 */   GIR_RootConstrainSelectedInstOperands,
     /* 370807 */   // GIR_Coverage, 635,
     /* 370807 */   GIR_Done,
     /* 370808 */ // Label 7496: @370808
     /* 370808 */ GIM_Reject,
     /* 370809 */ // Label 7488: @370809
     /* 370809 */ GIM_Try, /*On fail goto*//*Label 7497*/ GIMT_Encode4(370846), // Rule ID 1342 //
     /* 370814 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 370817 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 370820 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 370823 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370827 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370831 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370835 */   // (strict_fsub:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FSUBv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 370835 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBv2f32),
     /* 370840 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 370844 */   GIR_RootConstrainSelectedInstOperands,
     /* 370845 */   // GIR_Coverage, 1342,
     /* 370845 */   GIR_Done,
     /* 370846 */ // Label 7497: @370846
     /* 370846 */ GIM_Reject,
     /* 370847 */ // Label 7489: @370847
     /* 370847 */ GIM_Try, /*On fail goto*//*Label 7498*/ GIMT_Encode4(370884), // Rule ID 1346 //
     /* 370852 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 370855 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 370858 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 370861 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370865 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370869 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370873 */   // (strict_fsub:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FSUBv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 370873 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBv2f64),
     /* 370878 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 370882 */   GIR_RootConstrainSelectedInstOperands,
     /* 370883 */   // GIR_Coverage, 1346,
     /* 370883 */   GIR_Done,
     /* 370884 */ // Label 7498: @370884
     /* 370884 */ GIM_Reject,
     /* 370885 */ // Label 7490: @370885
     /* 370885 */ GIM_Try, /*On fail goto*//*Label 7499*/ GIMT_Encode4(370922), // Rule ID 1338 //
     /* 370890 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 370893 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 370896 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 370899 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370903 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370907 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370911 */   // (strict_fsub:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FSUBv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 370911 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBv4f16),
     /* 370916 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 370920 */   GIR_RootConstrainSelectedInstOperands,
     /* 370921 */   // GIR_Coverage, 1338,
     /* 370921 */   GIR_Done,
     /* 370922 */ // Label 7499: @370922
     /* 370922 */ GIM_Reject,
     /* 370923 */ // Label 7491: @370923
     /* 370923 */ GIM_Try, /*On fail goto*//*Label 7500*/ GIMT_Encode4(370960), // Rule ID 1344 //
     /* 370928 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 370931 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 370934 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 370937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370941 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370945 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370949 */   // (strict_fsub:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FSUBv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 370949 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBv4f32),
     /* 370954 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 370958 */   GIR_RootConstrainSelectedInstOperands,
     /* 370959 */   // GIR_Coverage, 1344,
     /* 370959 */   GIR_Done,
     /* 370960 */ // Label 7500: @370960
     /* 370960 */ GIM_Reject,
     /* 370961 */ // Label 7492: @370961
     /* 370961 */ GIM_Try, /*On fail goto*//*Label 7501*/ GIMT_Encode4(371258),
     /* 370966 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 370969 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 370972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370976 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370980 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370984 */   GIM_Try, /*On fail goto*//*Label 7502*/ GIMT_Encode4(371003), // Rule ID 1340 //
     /* 370989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 370992 */     // (strict_fsub:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FSUBv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 370992 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBv8f16),
     /* 370997 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 371001 */     GIR_RootConstrainSelectedInstOperands,
     /* 371002 */     // GIR_Coverage, 1340,
     /* 371002 */     GIR_Done,
     /* 371003 */   // Label 7502: @371003
     /* 371003 */   GIM_Try, /*On fail goto*//*Label 7503*/ GIMT_Encode4(371257), // Rule ID 6976 //
     /* 371008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 371011 */     // (strict_fsub:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FSUBv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })), (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rm, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FSUBv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn), (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rm)))
     /* 371011 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_v4s32,
     /* 371014 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 371018 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 371023 */     GIR_Copy, /*NewInsnID*/11, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 371027 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/11,
     /* 371029 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_v4s32,
     /* 371032 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 371036 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 371041 */     GIR_Copy, /*NewInsnID*/10, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 371045 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/10,
     /* 371047 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_v4s32,
     /* 371050 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(AArch64::FSUBv4f32),
     /* 371054 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 371059 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/9,
     /* 371062 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/10,
     /* 371065 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/9,
     /* 371067 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s16,
     /* 371070 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 371074 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 371079 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 371085 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371090 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371095 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 371098 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 371102 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 371107 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 371110 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 371112 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 371115 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 371119 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 371124 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 371130 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371135 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371140 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 371143 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 371147 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 371152 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 371155 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 371157 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 371160 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FSUBv4f32),
     /* 371164 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 371169 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 371172 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/6,
     /* 371175 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 371177 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 371180 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 371184 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 371189 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 371192 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 371194 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 371197 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 371201 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 371206 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 371208 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 371211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 371215 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 371220 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 371223 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 371226 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 371229 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371234 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371239 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 371247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 371249 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 371252 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/8,
     /* 371255 */     GIR_RootConstrainSelectedInstOperands,
     /* 371256 */     // GIR_Coverage, 6976,
     /* 371256 */     GIR_EraseRootFromParent_Done,
     /* 371257 */   // Label 7503: @371257
     /* 371257 */   GIM_Reject,
     /* 371258 */ // Label 7501: @371258
     /* 371258 */ GIM_Reject,
     /* 371259 */ // Label 7493: @371259
     /* 371259 */ GIM_Reject,
     /* 371260 */ // Label 103: @371260
     /* 371260 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 7512*/ GIMT_Encode4(374981),
     /* 371271 */ /*GILLT_s16*//*Label 7504*/ GIMT_Encode4(371311),
     /* 371275 */ /*GILLT_s32*//*Label 7505*/ GIMT_Encode4(371865),
     /* 371279 */ /*GILLT_s64*//*Label 7506*/ GIMT_Encode4(372413), GIMT_Encode4(0),
     /* 371287 */ /*GILLT_v2s32*//*Label 7507*/ GIMT_Encode4(372961),
     /* 371291 */ /*GILLT_v2s64*//*Label 7508*/ GIMT_Encode4(373491),
     /* 371295 */ /*GILLT_v4s16*//*Label 7509*/ GIMT_Encode4(373849),
     /* 371299 */ /*GILLT_v4s32*//*Label 7510*/ GIMT_Encode4(374191), GIMT_Encode4(0),
     /* 371307 */ /*GILLT_v8s16*//*Label 7511*/ GIMT_Encode4(374549),
     /* 371311 */ // Label 7504: @371311
     /* 371311 */ GIM_Try, /*On fail goto*//*Label 7513*/ GIMT_Encode4(371864),
     /* 371316 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 371319 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 371322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 371326 */   GIM_Try, /*On fail goto*//*Label 7514*/ GIMT_Encode4(371439), // Rule ID 6211 //
     /* 371331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 371334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 371338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 371342 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 371346 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 371350 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371355 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 371359 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 371363 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 371367 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 371371 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 371375 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371380 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 371384 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 371388 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 371392 */     // MIs[3] Operand 1
     /* 371392 */     // No operand predicates
     /* 371392 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 371394 */     // (strict_fmul:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULv1i16_indexed:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 371394 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 371397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 371401 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 371406 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 371412 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 371417 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i16_indexed),
     /* 371425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 371427 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 371430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 371434 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 371437 */     GIR_RootConstrainSelectedInstOperands,
     /* 371438 */     // GIR_Coverage, 6211,
     /* 371438 */     GIR_EraseRootFromParent_Done,
     /* 371439 */   // Label 7514: @371439
     /* 371439 */   GIM_Try, /*On fail goto*//*Label 7515*/ GIMT_Encode4(371552), // Rule ID 13825 //
     /* 371444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 371447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 371451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 371455 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 371459 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 371463 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371468 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 371472 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 371476 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 371480 */     // MIs[2] Operand 1
     /* 371480 */     // No operand predicates
     /* 371480 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 371484 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 371488 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 371492 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 371496 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371501 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 371505 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 371507 */     // (strict_fmul:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }))  =>  (FMULv1i16_indexed:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 371507 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 371510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 371514 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 371519 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 371525 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 371530 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i16_indexed),
     /* 371538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 371540 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 371543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 371547 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 371550 */     GIR_RootConstrainSelectedInstOperands,
     /* 371551 */     // GIR_Coverage, 13825,
     /* 371551 */     GIR_EraseRootFromParent_Done,
     /* 371552 */   // Label 7515: @371552
     /* 371552 */   GIM_Try, /*On fail goto*//*Label 7516*/ GIMT_Encode4(371631), // Rule ID 13762 //
     /* 371557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 371560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 371564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 371568 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 371572 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 371576 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371581 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 371585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 371589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 371591 */     // (strict_fmul:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rn)  =>  (FMULHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }))
     /* 371591 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 371594 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 371598 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 371603 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 371609 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 371614 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULHrr),
     /* 371622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 371624 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 371626 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 371629 */     GIR_RootConstrainSelectedInstOperands,
     /* 371630 */     // GIR_Coverage, 13762,
     /* 371630 */     GIR_EraseRootFromParent_Done,
     /* 371631 */   // Label 7516: @371631
     /* 371631 */   GIM_Try, /*On fail goto*//*Label 7517*/ GIMT_Encode4(371710), // Rule ID 4790 //
     /* 371636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 371639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 371643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 371647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 371651 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 371655 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 371659 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371664 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 371668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 371670 */     // (strict_fmul:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }))  =>  (FMULHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }))
     /* 371670 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 371673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 371677 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 371682 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 371688 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 371693 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULHrr),
     /* 371701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 371703 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 371705 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 371708 */     GIR_RootConstrainSelectedInstOperands,
     /* 371709 */     // GIR_Coverage, 4790,
     /* 371709 */     GIR_EraseRootFromParent_Done,
     /* 371710 */   // Label 7517: @371710
     /* 371710 */   GIM_Try, /*On fail goto*//*Label 7518*/ GIMT_Encode4(371773), // Rule ID 13377 //
     /* 371715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 371718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 371722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 371726 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 371730 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 371734 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 371739 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 371743 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 371747 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 371751 */     // MIs[2] Operand 1
     /* 371751 */     // No operand predicates
     /* 371751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 371755 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 371757 */     // (strict_fmul:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16Op:{ *:[f16] }:$Rn)  =>  (FMULv1i16_indexed:{ *:[f16] } FPR16Op:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 371757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i16_indexed),
     /* 371760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 371762 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 371764 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 371768 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 371771 */     GIR_RootConstrainSelectedInstOperands,
     /* 371772 */     // GIR_Coverage, 13377,
     /* 371772 */     GIR_EraseRootFromParent_Done,
     /* 371773 */   // Label 7518: @371773
     /* 371773 */   GIM_Try, /*On fail goto*//*Label 7519*/ GIMT_Encode4(371836), // Rule ID 2011 //
     /* 371778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 371781 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 371785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 371789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 371793 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 371797 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 371801 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 371806 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 371810 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 371814 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 371818 */     // MIs[2] Operand 1
     /* 371818 */     // No operand predicates
     /* 371818 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 371820 */     // (strict_fmul:{ *:[f16] } FPR16Op:{ *:[f16] }:$Rn, (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULv1i16_indexed:{ *:[f16] } FPR16Op:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 371820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i16_indexed),
     /* 371823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 371825 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 371827 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 371831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 371834 */     GIR_RootConstrainSelectedInstOperands,
     /* 371835 */     // GIR_Coverage, 2011,
     /* 371835 */     GIR_EraseRootFromParent_Done,
     /* 371836 */   // Label 7519: @371836
     /* 371836 */   GIM_Try, /*On fail goto*//*Label 7520*/ GIMT_Encode4(371863), // Rule ID 619 //
     /* 371841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 371844 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 371848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 371852 */     // (strict_fmul:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FMULHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 371852 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULHrr),
     /* 371857 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 371861 */     GIR_RootConstrainSelectedInstOperands,
     /* 371862 */     // GIR_Coverage, 619,
     /* 371862 */     GIR_Done,
     /* 371863 */   // Label 7520: @371863
     /* 371863 */   GIM_Reject,
     /* 371864 */ // Label 7513: @371864
     /* 371864 */ GIM_Reject,
     /* 371865 */ // Label 7505: @371865
     /* 371865 */ GIM_Try, /*On fail goto*//*Label 7521*/ GIMT_Encode4(372412),
     /* 371870 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 371873 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 371876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 371880 */   GIM_Try, /*On fail goto*//*Label 7522*/ GIMT_Encode4(371993), // Rule ID 6213 //
     /* 371885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 371888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 371892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 371896 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 371900 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 371904 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371909 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 371913 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 371917 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 371921 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 371925 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 371929 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371934 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 371938 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 371942 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 371946 */     // MIs[3] Operand 1
     /* 371946 */     // No operand predicates
     /* 371946 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 371948 */     // (strict_fmul:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULv1i32_indexed:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 371948 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 371951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 371955 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 371960 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 371966 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 371971 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i32_indexed),
     /* 371979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 371981 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 371984 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 371988 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 371991 */     GIR_RootConstrainSelectedInstOperands,
     /* 371992 */     // GIR_Coverage, 6213,
     /* 371992 */     GIR_EraseRootFromParent_Done,
     /* 371993 */   // Label 7522: @371993
     /* 371993 */   GIM_Try, /*On fail goto*//*Label 7523*/ GIMT_Encode4(372106), // Rule ID 13827 //
     /* 371998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 372001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 372005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 372009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 372013 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 372017 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372022 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 372026 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 372030 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 372034 */     // MIs[2] Operand 1
     /* 372034 */     // No operand predicates
     /* 372034 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 372038 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 372042 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 372046 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 372050 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372055 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 372059 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 372061 */     // (strict_fmul:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }))  =>  (FMULv1i32_indexed:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 372061 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 372064 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 372068 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 372073 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 372079 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 372084 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i32_indexed),
     /* 372092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 372094 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 372097 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 372101 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 372104 */     GIR_RootConstrainSelectedInstOperands,
     /* 372105 */     // GIR_Coverage, 13827,
     /* 372105 */     GIR_EraseRootFromParent_Done,
     /* 372106 */   // Label 7523: @372106
     /* 372106 */   GIM_Try, /*On fail goto*//*Label 7524*/ GIMT_Encode4(372182), // Rule ID 13764 //
     /* 372111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 372115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 372119 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 372123 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 372127 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372132 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 372136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 372140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 372142 */     // (strict_fmul:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rn)  =>  (FMULSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }))
     /* 372142 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 372145 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 372149 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 372154 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 372160 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 372165 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULSrr),
     /* 372173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 372175 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 372177 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 372180 */     GIR_RootConstrainSelectedInstOperands,
     /* 372181 */     // GIR_Coverage, 13764,
     /* 372181 */     GIR_EraseRootFromParent_Done,
     /* 372182 */   // Label 7524: @372182
     /* 372182 */   GIM_Try, /*On fail goto*//*Label 7525*/ GIMT_Encode4(372258), // Rule ID 4792 //
     /* 372187 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 372191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 372195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 372199 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 372203 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 372207 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372212 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 372216 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 372218 */     // (strict_fmul:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }))  =>  (FMULSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }))
     /* 372218 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 372221 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 372225 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 372230 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 372236 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 372241 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULSrr),
     /* 372249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 372251 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 372253 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 372256 */     GIR_RootConstrainSelectedInstOperands,
     /* 372257 */     // GIR_Coverage, 4792,
     /* 372257 */     GIR_EraseRootFromParent_Done,
     /* 372258 */   // Label 7525: @372258
     /* 372258 */   GIM_Try, /*On fail goto*//*Label 7526*/ GIMT_Encode4(372321), // Rule ID 13379 //
     /* 372263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 372266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 372270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 372274 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 372278 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 372282 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372287 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 372291 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 372295 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 372299 */     // MIs[2] Operand 1
     /* 372299 */     // No operand predicates
     /* 372299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 372303 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 372305 */     // (strict_fmul:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32Op:{ *:[f32] }:$Rn)  =>  (FMULv1i32_indexed:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 372305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i32_indexed),
     /* 372308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 372310 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 372312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 372316 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 372319 */     GIR_RootConstrainSelectedInstOperands,
     /* 372320 */     // GIR_Coverage, 13379,
     /* 372320 */     GIR_EraseRootFromParent_Done,
     /* 372321 */   // Label 7526: @372321
     /* 372321 */   GIM_Try, /*On fail goto*//*Label 7527*/ GIMT_Encode4(372384), // Rule ID 2013 //
     /* 372326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 372329 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 372333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 372337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 372341 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 372345 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 372349 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372354 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 372358 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 372362 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 372366 */     // MIs[2] Operand 1
     /* 372366 */     // No operand predicates
     /* 372366 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 372368 */     // (strict_fmul:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rn, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULv1i32_indexed:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 372368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i32_indexed),
     /* 372371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 372373 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 372375 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 372379 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 372382 */     GIR_RootConstrainSelectedInstOperands,
     /* 372383 */     // GIR_Coverage, 2013,
     /* 372383 */     GIR_EraseRootFromParent_Done,
     /* 372384 */   // Label 7527: @372384
     /* 372384 */   GIM_Try, /*On fail goto*//*Label 7528*/ GIMT_Encode4(372411), // Rule ID 621 //
     /* 372389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 372392 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 372396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 372400 */     // (strict_fmul:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FMULSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 372400 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULSrr),
     /* 372405 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 372409 */     GIR_RootConstrainSelectedInstOperands,
     /* 372410 */     // GIR_Coverage, 621,
     /* 372410 */     GIR_Done,
     /* 372411 */   // Label 7528: @372411
     /* 372411 */   GIM_Reject,
     /* 372412 */ // Label 7521: @372412
     /* 372412 */ GIM_Reject,
     /* 372413 */ // Label 7506: @372413
     /* 372413 */ GIM_Try, /*On fail goto*//*Label 7529*/ GIMT_Encode4(372960),
     /* 372418 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 372421 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 372424 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372428 */   GIM_Try, /*On fail goto*//*Label 7530*/ GIMT_Encode4(372541), // Rule ID 6215 //
     /* 372433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 372436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 372440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 372444 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 372448 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 372452 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372457 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 372461 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 372465 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 372469 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 372473 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 372477 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372482 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 372486 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 372490 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 372494 */     // MIs[3] Operand 1
     /* 372494 */     // No operand predicates
     /* 372494 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 372496 */     // (strict_fmul:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx))  =>  (FMULv1i64_indexed:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 372496 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 372499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 372503 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 372508 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 372514 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372519 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i64_indexed),
     /* 372527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 372529 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 372532 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 372536 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 372539 */     GIR_RootConstrainSelectedInstOperands,
     /* 372540 */     // GIR_Coverage, 6215,
     /* 372540 */     GIR_EraseRootFromParent_Done,
     /* 372541 */   // Label 7530: @372541
     /* 372541 */   GIM_Try, /*On fail goto*//*Label 7531*/ GIMT_Encode4(372654), // Rule ID 13829 //
     /* 372546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 372549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 372553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 372557 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 372561 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 372565 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372570 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 372574 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 372578 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 372582 */     // MIs[2] Operand 1
     /* 372582 */     // No operand predicates
     /* 372582 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 372586 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 372590 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 372594 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 372598 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372603 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 372607 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 372609 */     // (strict_fmul:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }))  =>  (FMULv1i64_indexed:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 372609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 372612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 372616 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 372621 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 372627 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372632 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i64_indexed),
     /* 372640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 372642 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 372645 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 372649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 372652 */     GIR_RootConstrainSelectedInstOperands,
     /* 372653 */     // GIR_Coverage, 13829,
     /* 372653 */     GIR_EraseRootFromParent_Done,
     /* 372654 */   // Label 7531: @372654
     /* 372654 */   GIM_Try, /*On fail goto*//*Label 7532*/ GIMT_Encode4(372730), // Rule ID 13766 //
     /* 372659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 372663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 372667 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 372671 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 372675 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372680 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 372684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 372690 */     // (strict_fmul:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rn)  =>  (FMULDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }))
     /* 372690 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 372693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 372697 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 372702 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 372708 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372713 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULDrr),
     /* 372721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 372723 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 372725 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 372728 */     GIR_RootConstrainSelectedInstOperands,
     /* 372729 */     // GIR_Coverage, 13766,
     /* 372729 */     GIR_EraseRootFromParent_Done,
     /* 372730 */   // Label 7532: @372730
     /* 372730 */   GIM_Try, /*On fail goto*//*Label 7533*/ GIMT_Encode4(372806), // Rule ID 4794 //
     /* 372735 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 372743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 372747 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 372751 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 372755 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372760 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 372764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 372766 */     // (strict_fmul:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }))  =>  (FMULDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }))
     /* 372766 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 372769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 372773 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 372778 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 372784 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372789 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULDrr),
     /* 372797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 372799 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 372801 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 372804 */     GIR_RootConstrainSelectedInstOperands,
     /* 372805 */     // GIR_Coverage, 4794,
     /* 372805 */     GIR_EraseRootFromParent_Done,
     /* 372806 */   // Label 7533: @372806
     /* 372806 */   GIM_Try, /*On fail goto*//*Label 7534*/ GIMT_Encode4(372869), // Rule ID 13381 //
     /* 372811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 372814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 372818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 372822 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 372826 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 372830 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372835 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 372839 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 372843 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 372847 */     // MIs[2] Operand 1
     /* 372847 */     // No operand predicates
     /* 372847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372851 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 372853 */     // (strict_fmul:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64Op:{ *:[f64] }:$Rn)  =>  (FMULv1i64_indexed:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 372853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i64_indexed),
     /* 372856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 372858 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 372860 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 372864 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 372867 */     GIR_RootConstrainSelectedInstOperands,
     /* 372868 */     // GIR_Coverage, 13381,
     /* 372868 */     GIR_EraseRootFromParent_Done,
     /* 372869 */   // Label 7534: @372869
     /* 372869 */   GIM_Try, /*On fail goto*//*Label 7535*/ GIMT_Encode4(372932), // Rule ID 2015 //
     /* 372874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 372877 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 372885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 372889 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 372893 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 372897 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372902 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 372906 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 372910 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 372914 */     // MIs[2] Operand 1
     /* 372914 */     // No operand predicates
     /* 372914 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 372916 */     // (strict_fmul:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rn, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx))  =>  (FMULv1i64_indexed:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 372916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i64_indexed),
     /* 372919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 372921 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 372923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 372927 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 372930 */     GIR_RootConstrainSelectedInstOperands,
     /* 372931 */     // GIR_Coverage, 2015,
     /* 372931 */     GIR_EraseRootFromParent_Done,
     /* 372932 */   // Label 7535: @372932
     /* 372932 */   GIM_Try, /*On fail goto*//*Label 7536*/ GIMT_Encode4(372959), // Rule ID 623 //
     /* 372937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 372940 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372948 */     // (strict_fmul:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FMULDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 372948 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULDrr),
     /* 372953 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 372957 */     GIR_RootConstrainSelectedInstOperands,
     /* 372958 */     // GIR_Coverage, 623,
     /* 372958 */     GIR_Done,
     /* 372959 */   // Label 7536: @372959
     /* 372959 */   GIM_Reject,
     /* 372960 */ // Label 7529: @372960
     /* 372960 */ GIM_Reject,
     /* 372961 */ // Label 7507: @372961
     /* 372961 */ GIM_Try, /*On fail goto*//*Label 7537*/ GIMT_Encode4(373490),
     /* 372966 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 372969 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 372972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372976 */   GIM_Try, /*On fail goto*//*Label 7538*/ GIMT_Encode4(373062), // Rule ID 13369 //
     /* 372981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 372984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 372988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 372992 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 372996 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 373000 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 373004 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 373008 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 373012 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373017 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 373021 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 373025 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 373029 */     // MIs[3] Operand 1
     /* 373029 */     // No operand predicates
     /* 373029 */     // MIs[1] Operand 2
     /* 373029 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 373040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373044 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 373046 */     // (strict_fmul:{ *:[v2f32] } (extract_subvector:{ *:[v2f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2f32] }:$Rn)  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 373046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 373049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 373051 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 373053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 373057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 373060 */     GIR_RootConstrainSelectedInstOperands,
     /* 373061 */     // GIR_Coverage, 13369,
     /* 373061 */     GIR_EraseRootFromParent_Done,
     /* 373062 */   // Label 7538: @373062
     /* 373062 */   GIM_Try, /*On fail goto*//*Label 7539*/ GIMT_Encode4(373148), // Rule ID 2003 //
     /* 373067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 373070 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 373078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 373082 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 373086 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 373090 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 373094 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 373098 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 373102 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373107 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 373111 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 373115 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 373119 */     // MIs[3] Operand 1
     /* 373119 */     // No operand predicates
     /* 373119 */     // MIs[1] Operand 2
     /* 373119 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 373130 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 373132 */     // (strict_fmul:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (extract_subvector:{ *:[v2f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }))  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 373132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 373135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 373137 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 373139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 373143 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 373146 */     GIR_RootConstrainSelectedInstOperands,
     /* 373147 */     // GIR_Coverage, 2003,
     /* 373147 */     GIR_EraseRootFromParent_Done,
     /* 373148 */   // Label 7539: @373148
     /* 373148 */   GIM_Try, /*On fail goto*//*Label 7540*/ GIMT_Encode4(373211), // Rule ID 13370 //
     /* 373153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 373156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 373160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 373164 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 373168 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 373172 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373177 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 373181 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 373185 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 373189 */     // MIs[2] Operand 1
     /* 373189 */     // No operand predicates
     /* 373189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373193 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 373195 */     // (strict_fmul:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rn)  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 373195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 373198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 373200 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 373202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 373206 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 373209 */     GIR_RootConstrainSelectedInstOperands,
     /* 373210 */     // GIR_Coverage, 13370,
     /* 373210 */     GIR_EraseRootFromParent_Done,
     /* 373211 */   // Label 7540: @373211
     /* 373211 */   GIM_Try, /*On fail goto*//*Label 7541*/ GIMT_Encode4(373274), // Rule ID 2004 //
     /* 373216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 373219 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 373227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 373231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 373235 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 373239 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373244 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 373248 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 373252 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 373256 */     // MIs[2] Operand 1
     /* 373256 */     // No operand predicates
     /* 373256 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 373258 */     // (strict_fmul:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 373258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 373261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 373263 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 373265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 373269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 373272 */     GIR_RootConstrainSelectedInstOperands,
     /* 373273 */     // GIR_Coverage, 2004,
     /* 373273 */     GIR_EraseRootFromParent_Done,
     /* 373274 */   // Label 7541: @373274
     /* 373274 */   GIM_Try, /*On fail goto*//*Label 7542*/ GIMT_Encode4(373368), // Rule ID 13831 //
     /* 373279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 373283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 373287 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 373291 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 373296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 373302 */     // (strict_fmul:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } FPR32:{ *:[f32] }:$Rm), V64:{ *:[v2f32] }:$Rn)  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR32:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 373302 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 373305 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 373309 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 373314 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 373316 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 373319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 373323 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 373328 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 373331 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 373335 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 373338 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373343 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373348 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 373353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 373356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 373358 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 373360 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 373363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 373366 */     GIR_RootConstrainSelectedInstOperands,
     /* 373367 */     // GIR_Coverage, 13831,
     /* 373367 */     GIR_EraseRootFromParent_Done,
     /* 373368 */   // Label 7542: @373368
     /* 373368 */   GIM_Try, /*On fail goto*//*Label 7543*/ GIMT_Encode4(373462), // Rule ID 6217 //
     /* 373373 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 373381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 373385 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 373389 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 373394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 373396 */     // (strict_fmul:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64dup:{ *:[v2f32] } FPR32:{ *:[f32] }:$Rm))  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR32:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 373396 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 373399 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 373403 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 373408 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 373410 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 373413 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 373417 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 373422 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 373425 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 373429 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 373432 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373437 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373442 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 373447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 373450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 373452 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 373454 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 373457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 373460 */     GIR_RootConstrainSelectedInstOperands,
     /* 373461 */     // GIR_Coverage, 6217,
     /* 373461 */     GIR_EraseRootFromParent_Done,
     /* 373462 */   // Label 7543: @373462
     /* 373462 */   GIM_Try, /*On fail goto*//*Label 7544*/ GIMT_Encode4(373489), // Rule ID 1322 //
     /* 373467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 373470 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373478 */     // (strict_fmul:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMULv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 373478 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULv2f32),
     /* 373483 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 373487 */     GIR_RootConstrainSelectedInstOperands,
     /* 373488 */     // GIR_Coverage, 1322,
     /* 373488 */     GIR_Done,
     /* 373489 */   // Label 7544: @373489
     /* 373489 */   GIM_Reject,
     /* 373490 */ // Label 7537: @373490
     /* 373490 */ GIM_Reject,
     /* 373491 */ // Label 7508: @373491
     /* 373491 */ GIM_Try, /*On fail goto*//*Label 7545*/ GIMT_Encode4(373848),
     /* 373496 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 373499 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 373502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373506 */   GIM_Try, /*On fail goto*//*Label 7546*/ GIMT_Encode4(373569), // Rule ID 13375 //
     /* 373511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 373514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 373518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 373522 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 373526 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 373530 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373535 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 373539 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 373543 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 373547 */     // MIs[2] Operand 1
     /* 373547 */     // No operand predicates
     /* 373547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373551 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 373553 */     // (strict_fmul:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rn)  =>  (FMULv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 373553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i64_indexed),
     /* 373556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 373558 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 373560 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 373564 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 373567 */     GIR_RootConstrainSelectedInstOperands,
     /* 373568 */     // GIR_Coverage, 13375,
     /* 373568 */     GIR_EraseRootFromParent_Done,
     /* 373569 */   // Label 7546: @373569
     /* 373569 */   GIM_Try, /*On fail goto*//*Label 7547*/ GIMT_Encode4(373632), // Rule ID 2009 //
     /* 373574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 373577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 373585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 373589 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 373593 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 373597 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373602 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 373606 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 373610 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 373614 */     // MIs[2] Operand 1
     /* 373614 */     // No operand predicates
     /* 373614 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 373616 */     // (strict_fmul:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx))  =>  (FMULv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 373616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i64_indexed),
     /* 373619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 373621 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 373623 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 373627 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 373630 */     GIR_RootConstrainSelectedInstOperands,
     /* 373631 */     // GIR_Coverage, 2009,
     /* 373631 */     GIR_EraseRootFromParent_Done,
     /* 373632 */   // Label 7547: @373632
     /* 373632 */   GIM_Try, /*On fail goto*//*Label 7548*/ GIMT_Encode4(373726), // Rule ID 13835 //
     /* 373637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 373641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 373645 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 373649 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 373660 */     // (strict_fmul:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } FPR64:{ *:[f64] }:$Rm), V128:{ *:[v2f64] }:$Rn)  =>  (FMULv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR64:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 373660 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 373663 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 373667 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 373672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 373674 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 373677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 373681 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 373686 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 373689 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 373693 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 373696 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373701 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373706 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i64_indexed),
     /* 373714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 373716 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 373718 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 373721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 373724 */     GIR_RootConstrainSelectedInstOperands,
     /* 373725 */     // GIR_Coverage, 13835,
     /* 373725 */     GIR_EraseRootFromParent_Done,
     /* 373726 */   // Label 7548: @373726
     /* 373726 */   GIM_Try, /*On fail goto*//*Label 7549*/ GIMT_Encode4(373820), // Rule ID 6221 //
     /* 373731 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 373739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 373743 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 373747 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373752 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 373754 */     // (strict_fmul:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64dup:{ *:[v2f64] } FPR64:{ *:[f64] }:$Rm))  =>  (FMULv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR64:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 373754 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 373757 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 373761 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 373766 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 373768 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 373771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 373775 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 373780 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 373783 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 373787 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 373790 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373795 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373800 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i64_indexed),
     /* 373808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 373810 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 373812 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 373815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 373818 */     GIR_RootConstrainSelectedInstOperands,
     /* 373819 */     // GIR_Coverage, 6221,
     /* 373819 */     GIR_EraseRootFromParent_Done,
     /* 373820 */   // Label 7549: @373820
     /* 373820 */   GIM_Try, /*On fail goto*//*Label 7550*/ GIMT_Encode4(373847), // Rule ID 1326 //
     /* 373825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 373828 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373836 */     // (strict_fmul:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMULv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 373836 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULv2f64),
     /* 373841 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 373845 */     GIR_RootConstrainSelectedInstOperands,
     /* 373846 */     // GIR_Coverage, 1326,
     /* 373846 */     GIR_Done,
     /* 373847 */   // Label 7550: @373847
     /* 373847 */   GIM_Reject,
     /* 373848 */ // Label 7545: @373848
     /* 373848 */ GIM_Reject,
     /* 373849 */ // Label 7509: @373849
     /* 373849 */ GIM_Try, /*On fail goto*//*Label 7551*/ GIMT_Encode4(374190),
     /* 373854 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 373857 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 373860 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373864 */   GIM_Try, /*On fail goto*//*Label 7552*/ GIMT_Encode4(373950), // Rule ID 13363 //
     /* 373869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 373872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 373876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 373880 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 373884 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 373888 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 373892 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 373896 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 373900 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 373905 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 373909 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 373913 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 373917 */     // MIs[3] Operand 1
     /* 373917 */     // No operand predicates
     /* 373917 */     // MIs[1] Operand 2
     /* 373917 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 373928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373932 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 373934 */     // (strict_fmul:{ *:[v4f16] } (extract_subvector:{ *:[v4f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4f16] }:$Rn)  =>  (FMULv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 373934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i16_indexed),
     /* 373937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 373939 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 373941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 373945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 373948 */     GIR_RootConstrainSelectedInstOperands,
     /* 373949 */     // GIR_Coverage, 13363,
     /* 373949 */     GIR_EraseRootFromParent_Done,
     /* 373950 */   // Label 7552: @373950
     /* 373950 */   GIM_Try, /*On fail goto*//*Label 7553*/ GIMT_Encode4(374036), // Rule ID 1997 //
     /* 373955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 373958 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 373966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 373970 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 373974 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 373978 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 373982 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 373986 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 373990 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 373995 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 373999 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 374003 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 374007 */     // MIs[3] Operand 1
     /* 374007 */     // No operand predicates
     /* 374007 */     // MIs[1] Operand 2
     /* 374007 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 374018 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 374020 */     // (strict_fmul:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (extract_subvector:{ *:[v4f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }))  =>  (FMULv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 374020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i16_indexed),
     /* 374023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 374025 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 374027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 374031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 374034 */     GIR_RootConstrainSelectedInstOperands,
     /* 374035 */     // GIR_Coverage, 1997,
     /* 374035 */     GIR_EraseRootFromParent_Done,
     /* 374036 */   // Label 7553: @374036
     /* 374036 */   GIM_Try, /*On fail goto*//*Label 7554*/ GIMT_Encode4(374099), // Rule ID 13364 //
     /* 374041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 374044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 374048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 374052 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 374056 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 374060 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 374065 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 374069 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 374073 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 374077 */     // MIs[2] Operand 1
     /* 374077 */     // No operand predicates
     /* 374077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374081 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 374083 */     // (strict_fmul:{ *:[v4f16] } (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4f16] }:$Rn)  =>  (FMULv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 374083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i16_indexed),
     /* 374086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 374088 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 374090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 374094 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 374097 */     GIR_RootConstrainSelectedInstOperands,
     /* 374098 */     // GIR_Coverage, 13364,
     /* 374098 */     GIR_EraseRootFromParent_Done,
     /* 374099 */   // Label 7554: @374099
     /* 374099 */   GIM_Try, /*On fail goto*//*Label 7555*/ GIMT_Encode4(374162), // Rule ID 1998 //
     /* 374104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 374107 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 374115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 374119 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 374123 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 374127 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 374132 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 374136 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 374140 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 374144 */     // MIs[2] Operand 1
     /* 374144 */     // No operand predicates
     /* 374144 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 374146 */     // (strict_fmul:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 374146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i16_indexed),
     /* 374149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 374151 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 374153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 374157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 374160 */     GIR_RootConstrainSelectedInstOperands,
     /* 374161 */     // GIR_Coverage, 1998,
     /* 374161 */     GIR_EraseRootFromParent_Done,
     /* 374162 */   // Label 7555: @374162
     /* 374162 */   GIM_Try, /*On fail goto*//*Label 7556*/ GIMT_Encode4(374189), // Rule ID 1318 //
     /* 374167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 374170 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374178 */     // (strict_fmul:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMULv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 374178 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULv4f16),
     /* 374183 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 374187 */     GIR_RootConstrainSelectedInstOperands,
     /* 374188 */     // GIR_Coverage, 1318,
     /* 374188 */     GIR_Done,
     /* 374189 */   // Label 7556: @374189
     /* 374189 */   GIM_Reject,
     /* 374190 */ // Label 7551: @374190
     /* 374190 */ GIM_Reject,
     /* 374191 */ // Label 7510: @374191
     /* 374191 */ GIM_Try, /*On fail goto*//*Label 7557*/ GIMT_Encode4(374548),
     /* 374196 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 374199 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 374202 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374206 */   GIM_Try, /*On fail goto*//*Label 7558*/ GIMT_Encode4(374269), // Rule ID 13373 //
     /* 374211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 374214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 374218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 374222 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 374226 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 374230 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374235 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 374239 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 374243 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 374247 */     // MIs[2] Operand 1
     /* 374247 */     // No operand predicates
     /* 374247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374251 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 374253 */     // (strict_fmul:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rn)  =>  (FMULv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 374253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i32_indexed),
     /* 374256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 374258 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 374260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 374264 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 374267 */     GIR_RootConstrainSelectedInstOperands,
     /* 374268 */     // GIR_Coverage, 13373,
     /* 374268 */     GIR_EraseRootFromParent_Done,
     /* 374269 */   // Label 7558: @374269
     /* 374269 */   GIM_Try, /*On fail goto*//*Label 7559*/ GIMT_Encode4(374332), // Rule ID 2007 //
     /* 374274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 374277 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 374285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 374289 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 374293 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 374297 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374302 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 374306 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 374310 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 374314 */     // MIs[2] Operand 1
     /* 374314 */     // No operand predicates
     /* 374314 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 374316 */     // (strict_fmul:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 374316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i32_indexed),
     /* 374319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 374321 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 374323 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 374327 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 374330 */     GIR_RootConstrainSelectedInstOperands,
     /* 374331 */     // GIR_Coverage, 2007,
     /* 374331 */     GIR_EraseRootFromParent_Done,
     /* 374332 */   // Label 7559: @374332
     /* 374332 */   GIM_Try, /*On fail goto*//*Label 7560*/ GIMT_Encode4(374426), // Rule ID 13833 //
     /* 374337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 374341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 374345 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 374349 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 374354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 374360 */     // (strict_fmul:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } FPR32:{ *:[f32] }:$Rm), V128:{ *:[v4f32] }:$Rn)  =>  (FMULv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR32:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 374360 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 374363 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 374367 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374372 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 374374 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 374377 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 374381 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374386 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 374389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 374393 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 374396 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374401 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374406 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 374411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i32_indexed),
     /* 374414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 374416 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 374418 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 374421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 374424 */     GIR_RootConstrainSelectedInstOperands,
     /* 374425 */     // GIR_Coverage, 13833,
     /* 374425 */     GIR_EraseRootFromParent_Done,
     /* 374426 */   // Label 7560: @374426
     /* 374426 */   GIM_Try, /*On fail goto*//*Label 7561*/ GIMT_Encode4(374520), // Rule ID 6219 //
     /* 374431 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 374439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 374443 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 374447 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 374452 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 374454 */     // (strict_fmul:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64dup:{ *:[v4f32] } FPR32:{ *:[f32] }:$Rm))  =>  (FMULv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR32:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 374454 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 374457 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 374461 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374466 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 374468 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 374471 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 374475 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374480 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 374483 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 374487 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 374490 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374495 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374500 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 374505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i32_indexed),
     /* 374508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 374510 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 374512 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 374515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 374518 */     GIR_RootConstrainSelectedInstOperands,
     /* 374519 */     // GIR_Coverage, 6219,
     /* 374519 */     GIR_EraseRootFromParent_Done,
     /* 374520 */   // Label 7561: @374520
     /* 374520 */   GIM_Try, /*On fail goto*//*Label 7562*/ GIMT_Encode4(374547), // Rule ID 1324 //
     /* 374525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 374528 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374536 */     // (strict_fmul:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMULv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 374536 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULv4f32),
     /* 374541 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 374545 */     GIR_RootConstrainSelectedInstOperands,
     /* 374546 */     // GIR_Coverage, 1324,
     /* 374546 */     GIR_Done,
     /* 374547 */   // Label 7562: @374547
     /* 374547 */   GIM_Reject,
     /* 374548 */ // Label 7557: @374548
     /* 374548 */ GIM_Reject,
     /* 374549 */ // Label 7511: @374549
     /* 374549 */ GIM_Try, /*On fail goto*//*Label 7563*/ GIMT_Encode4(374980),
     /* 374554 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 374557 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 374560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374564 */   GIM_Try, /*On fail goto*//*Label 7564*/ GIMT_Encode4(374627), // Rule ID 13367 //
     /* 374569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 374572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 374576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 374580 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 374584 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 374588 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 374593 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 374597 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 374601 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 374605 */     // MIs[2] Operand 1
     /* 374605 */     // No operand predicates
     /* 374605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374609 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 374611 */     // (strict_fmul:{ *:[v8f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V128:{ *:[v8f16] }:$Rn)  =>  (FMULv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 374611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv8i16_indexed),
     /* 374614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 374616 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 374618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 374622 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 374625 */     GIR_RootConstrainSelectedInstOperands,
     /* 374626 */     // GIR_Coverage, 13367,
     /* 374626 */     GIR_EraseRootFromParent_Done,
     /* 374627 */   // Label 7564: @374627
     /* 374627 */   GIM_Try, /*On fail goto*//*Label 7565*/ GIMT_Encode4(374690), // Rule ID 2001 //
     /* 374632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 374635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 374643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 374647 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 374651 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 374655 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 374660 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 374664 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 374668 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 374672 */     // MIs[2] Operand 1
     /* 374672 */     // No operand predicates
     /* 374672 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 374674 */     // (strict_fmul:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 374674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv8i16_indexed),
     /* 374677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 374679 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 374681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 374685 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 374688 */     GIR_RootConstrainSelectedInstOperands,
     /* 374689 */     // GIR_Coverage, 2001,
     /* 374689 */     GIR_EraseRootFromParent_Done,
     /* 374690 */   // Label 7565: @374690
     /* 374690 */   GIM_Try, /*On fail goto*//*Label 7566*/ GIMT_Encode4(374717), // Rule ID 1320 //
     /* 374695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 374698 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374706 */     // (strict_fmul:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMULv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 374706 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULv8f16),
     /* 374711 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 374715 */     GIR_RootConstrainSelectedInstOperands,
     /* 374716 */     // GIR_Coverage, 1320,
     /* 374716 */     GIR_Done,
     /* 374717 */   // Label 7566: @374717
     /* 374717 */   GIM_Try, /*On fail goto*//*Label 7567*/ GIMT_Encode4(374979), // Rule ID 6974 //
     /* 374722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 374725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374733 */     // (strict_fmul:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FMULv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })), (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rm, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FMULv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn), (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rm)))
     /* 374733 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_v4s32,
     /* 374736 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 374740 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374745 */     GIR_Copy, /*NewInsnID*/11, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 374749 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/11,
     /* 374751 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_v4s32,
     /* 374754 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 374758 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374763 */     GIR_Copy, /*NewInsnID*/10, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 374767 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/10,
     /* 374769 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_v4s32,
     /* 374772 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(AArch64::FMULv4f32),
     /* 374776 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374781 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/9,
     /* 374784 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/10,
     /* 374787 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/9,
     /* 374789 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s16,
     /* 374792 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 374796 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374801 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 374807 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374812 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374817 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 374820 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 374824 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374829 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 374832 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 374834 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 374837 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 374841 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374846 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 374852 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374857 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374862 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 374865 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 374869 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374874 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 374877 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 374879 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 374882 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FMULv4f32),
     /* 374886 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374891 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 374894 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/6,
     /* 374897 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 374899 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 374902 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 374906 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374911 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 374914 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 374916 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 374919 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 374923 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374928 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 374930 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 374933 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 374937 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374942 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 374945 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 374948 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 374951 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374956 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374961 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 374969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 374971 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 374974 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/8,
     /* 374977 */     GIR_RootConstrainSelectedInstOperands,
     /* 374978 */     // GIR_Coverage, 6974,
     /* 374978 */     GIR_EraseRootFromParent_Done,
     /* 374979 */   // Label 7567: @374979
     /* 374979 */   GIM_Reject,
     /* 374980 */ // Label 7563: @374980
     /* 374980 */ GIM_Reject,
     /* 374981 */ // Label 7512: @374981
     /* 374981 */ GIM_Reject,
     /* 374982 */ // Label 104: @374982
     /* 374982 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 7576*/ GIMT_Encode4(375597),
     /* 374993 */ /*GILLT_s16*//*Label 7568*/ GIMT_Encode4(375033),
     /* 374997 */ /*GILLT_s32*//*Label 7569*/ GIMT_Encode4(375071),
     /* 375001 */ /*GILLT_s64*//*Label 7570*/ GIMT_Encode4(375109), GIMT_Encode4(0),
     /* 375009 */ /*GILLT_v2s32*//*Label 7571*/ GIMT_Encode4(375147),
     /* 375013 */ /*GILLT_v2s64*//*Label 7572*/ GIMT_Encode4(375185),
     /* 375017 */ /*GILLT_v4s16*//*Label 7573*/ GIMT_Encode4(375223),
     /* 375021 */ /*GILLT_v4s32*//*Label 7574*/ GIMT_Encode4(375261), GIMT_Encode4(0),
     /* 375029 */ /*GILLT_v8s16*//*Label 7575*/ GIMT_Encode4(375299),
     /* 375033 */ // Label 7568: @375033
     /* 375033 */ GIM_Try, /*On fail goto*//*Label 7577*/ GIMT_Encode4(375070), // Rule ID 589 //
     /* 375038 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 375041 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 375044 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 375047 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 375051 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 375055 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 375059 */   // (strict_fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FDIVHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 375059 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVHrr),
     /* 375064 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 375068 */   GIR_RootConstrainSelectedInstOperands,
     /* 375069 */   // GIR_Coverage, 589,
     /* 375069 */   GIR_Done,
     /* 375070 */ // Label 7577: @375070
     /* 375070 */ GIM_Reject,
     /* 375071 */ // Label 7569: @375071
     /* 375071 */ GIM_Try, /*On fail goto*//*Label 7578*/ GIMT_Encode4(375108), // Rule ID 591 //
     /* 375076 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 375079 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 375082 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 375085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 375089 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 375093 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 375097 */   // (strict_fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FDIVSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 375097 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVSrr),
     /* 375102 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 375106 */   GIR_RootConstrainSelectedInstOperands,
     /* 375107 */   // GIR_Coverage, 591,
     /* 375107 */   GIR_Done,
     /* 375108 */ // Label 7578: @375108
     /* 375108 */ GIM_Reject,
     /* 375109 */ // Label 7570: @375109
     /* 375109 */ GIM_Try, /*On fail goto*//*Label 7579*/ GIMT_Encode4(375146), // Rule ID 593 //
     /* 375114 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 375117 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 375120 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 375123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 375127 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 375131 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 375135 */   // (strict_fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FDIVDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 375135 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVDrr),
     /* 375140 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 375144 */   GIR_RootConstrainSelectedInstOperands,
     /* 375145 */   // GIR_Coverage, 593,
     /* 375145 */   GIR_Done,
     /* 375146 */ // Label 7579: @375146
     /* 375146 */ GIM_Reject,
     /* 375147 */ // Label 7571: @375147
     /* 375147 */ GIM_Try, /*On fail goto*//*Label 7580*/ GIMT_Encode4(375184), // Rule ID 1227 //
     /* 375152 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 375155 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 375158 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 375161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 375165 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 375169 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 375173 */   // (strict_fdiv:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FDIVv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 375173 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVv2f32),
     /* 375178 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 375182 */   GIR_RootConstrainSelectedInstOperands,
     /* 375183 */   // GIR_Coverage, 1227,
     /* 375183 */   GIR_Done,
     /* 375184 */ // Label 7580: @375184
     /* 375184 */ GIM_Reject,
     /* 375185 */ // Label 7572: @375185
     /* 375185 */ GIM_Try, /*On fail goto*//*Label 7581*/ GIMT_Encode4(375222), // Rule ID 1231 //
     /* 375190 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 375193 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 375196 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 375199 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375203 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375207 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375211 */   // (strict_fdiv:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FDIVv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 375211 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVv2f64),
     /* 375216 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 375220 */   GIR_RootConstrainSelectedInstOperands,
     /* 375221 */   // GIR_Coverage, 1231,
     /* 375221 */   GIR_Done,
     /* 375222 */ // Label 7581: @375222
     /* 375222 */ GIM_Reject,
     /* 375223 */ // Label 7573: @375223
     /* 375223 */ GIM_Try, /*On fail goto*//*Label 7582*/ GIMT_Encode4(375260), // Rule ID 1223 //
     /* 375228 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 375231 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 375234 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 375237 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 375241 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 375245 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 375249 */   // (strict_fdiv:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FDIVv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 375249 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVv4f16),
     /* 375254 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 375258 */   GIR_RootConstrainSelectedInstOperands,
     /* 375259 */   // GIR_Coverage, 1223,
     /* 375259 */   GIR_Done,
     /* 375260 */ // Label 7582: @375260
     /* 375260 */ GIM_Reject,
     /* 375261 */ // Label 7574: @375261
     /* 375261 */ GIM_Try, /*On fail goto*//*Label 7583*/ GIMT_Encode4(375298), // Rule ID 1229 //
     /* 375266 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 375269 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 375272 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 375275 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375279 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375283 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375287 */   // (strict_fdiv:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FDIVv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 375287 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVv4f32),
     /* 375292 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 375296 */   GIR_RootConstrainSelectedInstOperands,
     /* 375297 */   // GIR_Coverage, 1229,
     /* 375297 */   GIR_Done,
     /* 375298 */ // Label 7583: @375298
     /* 375298 */ GIM_Reject,
     /* 375299 */ // Label 7575: @375299
     /* 375299 */ GIM_Try, /*On fail goto*//*Label 7584*/ GIMT_Encode4(375596),
     /* 375304 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 375307 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 375310 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375314 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375318 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375322 */   GIM_Try, /*On fail goto*//*Label 7585*/ GIMT_Encode4(375341), // Rule ID 1225 //
     /* 375327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 375330 */     // (strict_fdiv:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FDIVv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 375330 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVv8f16),
     /* 375335 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 375339 */     GIR_RootConstrainSelectedInstOperands,
     /* 375340 */     // GIR_Coverage, 1225,
     /* 375340 */     GIR_Done,
     /* 375341 */   // Label 7585: @375341
     /* 375341 */   GIM_Try, /*On fail goto*//*Label 7586*/ GIMT_Encode4(375595), // Rule ID 6972 //
     /* 375346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 375349 */     // (strict_fdiv:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FDIVv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })), (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rm, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FDIVv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn), (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rm)))
     /* 375349 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_v4s32,
     /* 375352 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 375356 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 375361 */     GIR_Copy, /*NewInsnID*/11, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 375365 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/11,
     /* 375367 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_v4s32,
     /* 375370 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 375374 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 375379 */     GIR_Copy, /*NewInsnID*/10, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 375383 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/10,
     /* 375385 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_v4s32,
     /* 375388 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(AArch64::FDIVv4f32),
     /* 375392 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 375397 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/9,
     /* 375400 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/10,
     /* 375403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/9,
     /* 375405 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s16,
     /* 375408 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 375412 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 375417 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 375423 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 375428 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375433 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 375436 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 375440 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 375445 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 375448 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 375450 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 375453 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 375457 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 375462 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 375468 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 375473 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375478 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 375481 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 375485 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 375490 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 375493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 375495 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 375498 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FDIVv4f32),
     /* 375502 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 375507 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 375510 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/6,
     /* 375513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 375515 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 375518 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 375522 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 375527 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 375530 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 375532 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 375535 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 375539 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 375544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 375546 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 375549 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 375553 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 375558 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 375561 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 375564 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 375567 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375572 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375577 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 375582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 375585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 375587 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 375590 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/8,
     /* 375593 */     GIR_RootConstrainSelectedInstOperands,
     /* 375594 */     // GIR_Coverage, 6972,
     /* 375594 */     GIR_EraseRootFromParent_Done,
     /* 375595 */   // Label 7586: @375595
     /* 375595 */   GIM_Reject,
     /* 375596 */ // Label 7584: @375596
     /* 375596 */ GIM_Reject,
     /* 375597 */ // Label 7576: @375597
     /* 375597 */ GIM_Reject,
     /* 375598 */ // Label 105: @375598
     /* 375598 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 7595*/ GIMT_Encode4(391204),
     /* 375609 */ /*GILLT_s16*//*Label 7587*/ GIMT_Encode4(375649),
     /* 375613 */ /*GILLT_s32*//*Label 7588*/ GIMT_Encode4(378423),
     /* 375617 */ /*GILLT_s64*//*Label 7589*/ GIMT_Encode4(381353), GIMT_Encode4(0),
     /* 375625 */ /*GILLT_v2s32*//*Label 7590*/ GIMT_Encode4(384283),
     /* 375629 */ /*GILLT_v2s64*//*Label 7591*/ GIMT_Encode4(385804),
     /* 375633 */ /*GILLT_v4s16*//*Label 7592*/ GIMT_Encode4(387325),
     /* 375637 */ /*GILLT_v4s32*//*Label 7593*/ GIMT_Encode4(388504), GIMT_Encode4(0),
     /* 375645 */ /*GILLT_v8s16*//*Label 7594*/ GIMT_Encode4(390025),
     /* 375649 */ // Label 7587: @375649
     /* 375649 */ GIM_Try, /*On fail goto*//*Label 7596*/ GIMT_Encode4(378422),
     /* 375654 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 375657 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 375660 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 375663 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 375667 */   GIM_Try, /*On fail goto*//*Label 7597*/ GIMT_Encode4(375817), // Rule ID 4852 //
     /* 375672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 375675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 375679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 375683 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 375687 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 375691 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375696 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 375700 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 375704 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 375708 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 375712 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 375716 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375721 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 375725 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 375729 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 375733 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s16,
     /* 375737 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 375742 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 375744 */     // (strict_fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Ra))  =>  (FNMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 375744 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 375747 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 375751 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 375756 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 375762 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 375767 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375772 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 375775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 375779 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 375784 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 375790 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 375795 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBHrrr),
     /* 375803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 375805 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 375808 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 375811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Ra
     /* 375815 */     GIR_RootConstrainSelectedInstOperands,
     /* 375816 */     // GIR_Coverage, 4852,
     /* 375816 */     GIR_EraseRootFromParent_Done,
     /* 375817 */   // Label 7597: @375817
     /* 375817 */   GIM_Try, /*On fail goto*//*Label 7598*/ GIMT_Encode4(375964), // Rule ID 4816 //
     /* 375822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 375825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 375829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 375833 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 375837 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 375841 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375846 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 375850 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 375854 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 375858 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 375862 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 375866 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 375870 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 375874 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 375878 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375883 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 375887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 375891 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 375893 */     // (strict_fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] })), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 375893 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 375896 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 375900 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 375905 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 375911 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 375916 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375921 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 375924 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 375928 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 375933 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 375939 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 375944 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 375952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 375954 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 375957 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 375960 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 375962 */     GIR_RootConstrainSelectedInstOperands,
     /* 375963 */     // GIR_Coverage, 4816,
     /* 375963 */     GIR_EraseRootFromParent_Done,
     /* 375964 */   // Label 7598: @375964
     /* 375964 */   GIM_Try, /*On fail goto*//*Label 7599*/ GIMT_Encode4(376111), // Rule ID 13775 //
     /* 375969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 375972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 375976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 375980 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 375984 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 375988 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 375992 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 375996 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 376000 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376005 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 376009 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 376013 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 376017 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 376021 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 376025 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376030 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 376034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 376038 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 376040 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] })), (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 376040 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 376043 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 376047 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 376052 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 376058 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 376063 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376068 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 376071 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 376075 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 376080 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 376086 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 376091 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 376099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 376101 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 376104 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 376107 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 376109 */     GIR_RootConstrainSelectedInstOperands,
     /* 376110 */     // GIR_Coverage, 13775,
     /* 376110 */     GIR_EraseRootFromParent_Done,
     /* 376111 */   // Label 7599: @376111
     /* 376111 */   GIM_Try, /*On fail goto*//*Label 7600*/ GIMT_Encode4(376242), // Rule ID 6049 //
     /* 376116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 376119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 376123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 376127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 376131 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 376135 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376140 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 376144 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 376148 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 376152 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 376156 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 376160 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 376164 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 376168 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 376172 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 376177 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 376181 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 376185 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 376189 */     // MIs[4] Operand 1
     /* 376189 */     // No operand predicates
     /* 376189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 376193 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 376195 */     // (strict_fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 376195 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 376198 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 376202 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 376207 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 376213 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 376218 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 376226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 376228 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 376230 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 376233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 376237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 376240 */     GIR_RootConstrainSelectedInstOperands,
     /* 376241 */     // GIR_Coverage, 6049,
     /* 376241 */     GIR_EraseRootFromParent_Done,
     /* 376242 */   // Label 7600: @376242
     /* 376242 */   GIM_Try, /*On fail goto*//*Label 7601*/ GIMT_Encode4(376373), // Rule ID 6081 //
     /* 376247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 376250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 376254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 376258 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 376262 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 376266 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 376271 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 376275 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 376279 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 376283 */     // MIs[2] Operand 1
     /* 376283 */     // No operand predicates
     /* 376283 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 376287 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 376291 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s16,
     /* 376295 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /* 376299 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 376303 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 376307 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 376311 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376316 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 376320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 376324 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 376326 */     // (strict_fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] })), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 376326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 376329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 376333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 376338 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 376344 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 376349 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 376357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 376359 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 376361 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 376364 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 376368 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 376371 */     GIR_RootConstrainSelectedInstOperands,
     /* 376372 */     // GIR_Coverage, 6081,
     /* 376372 */     GIR_EraseRootFromParent_Done,
     /* 376373 */   // Label 7601: @376373
     /* 376373 */   GIM_Try, /*On fail goto*//*Label 7602*/ GIMT_Encode4(376504), // Rule ID 6145 //
     /* 376378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 376381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 376385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 376389 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 376393 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 376397 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 376401 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 376405 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 376409 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376414 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 376418 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 376422 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 376426 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 376430 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 376434 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 376439 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 376443 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 376447 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 376451 */     // MIs[4] Operand 1
     /* 376451 */     // No operand predicates
     /* 376451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 376455 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 376457 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] })), (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 376457 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 376460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 376464 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 376469 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 376475 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 376480 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 376488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 376490 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 376492 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 376495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 376499 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 376502 */     GIR_RootConstrainSelectedInstOperands,
     /* 376503 */     // GIR_Coverage, 6145,
     /* 376503 */     GIR_EraseRootFromParent_Done,
     /* 376504 */   // Label 7602: @376504
     /* 376504 */   GIM_Try, /*On fail goto*//*Label 7603*/ GIMT_Encode4(376635), // Rule ID 6113 //
     /* 376509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 376512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 376516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 376520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 376524 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 376528 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 376532 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 376536 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 376540 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 376545 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 376549 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 376553 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 376557 */     // MIs[3] Operand 1
     /* 376557 */     // No operand predicates
     /* 376557 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /* 376561 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 376565 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 376569 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 376573 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376578 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 376582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 376586 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 376588 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 376588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 376591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 376595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 376600 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 376606 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 376611 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 376619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 376621 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 376623 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 376626 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 376630 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 376633 */     GIR_RootConstrainSelectedInstOperands,
     /* 376634 */     // GIR_Coverage, 6113,
     /* 376634 */     GIR_EraseRootFromParent_Done,
     /* 376635 */   // Label 7603: @376635
     /* 376635 */   GIM_Try, /*On fail goto*//*Label 7604*/ GIMT_Encode4(376770), // Rule ID 2455 //
     /* 376640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 376643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 376647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 376651 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 376655 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 376659 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376664 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 376668 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 376672 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 376676 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 376680 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 376684 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376689 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 376693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 376697 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 376699 */     // (strict_fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra)  =>  (FMADDHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 376699 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 376702 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 376706 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 376711 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 376717 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 376722 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376727 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 376730 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 376734 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 376739 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 376745 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 376750 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDHrrr),
     /* 376758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 376760 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 376763 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 376766 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 376768 */     GIR_RootConstrainSelectedInstOperands,
     /* 376769 */     // GIR_Coverage, 2455,
     /* 376769 */     GIR_EraseRootFromParent_Done,
     /* 376770 */   // Label 7604: @376770
     /* 376770 */   GIM_Try, /*On fail goto*//*Label 7605*/ GIMT_Encode4(376889), // Rule ID 6017 //
     /* 376775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 376778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 376782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 376786 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 376790 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 376794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376799 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 376803 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 376807 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 376811 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 376815 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 376819 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 376824 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 376828 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 376832 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 376836 */     // MIs[3] Operand 1
     /* 376836 */     // No operand predicates
     /* 376836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 376840 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 376842 */     // (strict_fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16:{ *:[f16] }:$Rd)  =>  (FMLAv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 376842 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 376845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 376849 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 376854 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 376860 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 376865 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i16_indexed),
     /* 376873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 376875 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 376877 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 376880 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 376884 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 376887 */     GIR_RootConstrainSelectedInstOperands,
     /* 376888 */     // GIR_Coverage, 6017,
     /* 376888 */     GIR_EraseRootFromParent_Done,
     /* 376889 */   // Label 7605: @376889
     /* 376889 */   GIM_Try, /*On fail goto*//*Label 7606*/ GIMT_Encode4(377008), // Rule ID 2537 //
     /* 376894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 376897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 376901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 376905 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 376909 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 376913 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 376918 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 376922 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 376926 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 376930 */     // MIs[2] Operand 1
     /* 376930 */     // No operand predicates
     /* 376930 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 376934 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 376938 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 376942 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 376946 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376951 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 376955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 376959 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 376961 */     // (strict_fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rd)  =>  (FMLAv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 376961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 376964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 376968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 376973 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 376979 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 376984 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i16_indexed),
     /* 376992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 376994 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 376996 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 376999 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 377003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 377006 */     GIR_RootConstrainSelectedInstOperands,
     /* 377007 */     // GIR_Coverage, 2537,
     /* 377007 */     GIR_EraseRootFromParent_Done,
     /* 377008 */   // Label 7606: @377008
     /* 377008 */   GIM_Try, /*On fail goto*//*Label 7607*/ GIMT_Encode4(377108), // Rule ID 4814 //
     /* 377013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 377016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 377020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 377024 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 377028 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 377032 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377037 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 377041 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 377045 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 377049 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 377053 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 377058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 377062 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 377064 */     // (strict_fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rm), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 377064 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 377067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 377071 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 377076 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 377082 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 377087 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 377095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 377097 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 377100 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 377104 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 377106 */     GIR_RootConstrainSelectedInstOperands,
     /* 377107 */     // GIR_Coverage, 4814,
     /* 377107 */     GIR_EraseRootFromParent_Done,
     /* 377108 */   // Label 7607: @377108
     /* 377108 */   GIM_Try, /*On fail goto*//*Label 7608*/ GIMT_Encode4(377208), // Rule ID 4850 //
     /* 377113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 377116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 377120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 377124 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 377128 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 377132 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377137 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 377141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 377145 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 377149 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 377153 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 377157 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 377162 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 377164 */     // (strict_fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rm, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Ra))  =>  (FNMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 377164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 377167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 377171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 377176 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 377182 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 377187 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBHrrr),
     /* 377195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 377197 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 377200 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 377202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 377206 */     GIR_RootConstrainSelectedInstOperands,
     /* 377207 */     // GIR_Coverage, 4850,
     /* 377207 */     GIR_EraseRootFromParent_Done,
     /* 377208 */   // Label 7608: @377208
     /* 377208 */   GIM_Try, /*On fail goto*//*Label 7609*/ GIMT_Encode4(377305), // Rule ID 13771 //
     /* 377213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 377216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 377220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 377224 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 377228 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 377232 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 377236 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 377240 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 377244 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377249 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 377253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 377257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 377261 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 377263 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] })), FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 377263 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 377266 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 377270 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 377275 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 377281 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 377286 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 377294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 377296 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 377298 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 377301 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 377303 */     GIR_RootConstrainSelectedInstOperands,
     /* 377304 */     // GIR_Coverage, 13771,
     /* 377304 */     GIR_EraseRootFromParent_Done,
     /* 377305 */   // Label 7609: @377305
     /* 377305 */   GIM_Try, /*On fail goto*//*Label 7610*/ GIMT_Encode4(377405), // Rule ID 13773 //
     /* 377310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 377313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 377317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 377321 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 377325 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 377330 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 377334 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 377338 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 377342 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 377346 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377351 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 377355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 377359 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 377361 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rm), (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 377361 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 377364 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 377368 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 377373 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 377379 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 377384 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 377392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 377394 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 377397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 377401 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 377403 */     GIR_RootConstrainSelectedInstOperands,
     /* 377404 */     // GIR_Coverage, 13773,
     /* 377404 */     GIR_EraseRootFromParent_Done,
     /* 377405 */   // Label 7610: @377405
     /* 377405 */   GIM_Try, /*On fail goto*//*Label 7611*/ GIMT_Encode4(377505), // Rule ID 4848 //
     /* 377410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 377413 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 377417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 377421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 377425 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 377429 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 377433 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377438 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 377442 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 377446 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 377450 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 377454 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 377459 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 377461 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Ra))  =>  (FNMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 377461 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 377464 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 377468 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 377473 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 377479 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 377484 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBHrrr),
     /* 377492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 377494 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 377496 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 377499 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 377503 */     GIR_RootConstrainSelectedInstOperands,
     /* 377504 */     // GIR_Coverage, 4848,
     /* 377504 */     GIR_EraseRootFromParent_Done,
     /* 377505 */   // Label 7611: @377505
     /* 377505 */   GIM_Try, /*On fail goto*//*Label 7612*/ GIMT_Encode4(377602), // Rule ID 4812 //
     /* 377510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 377513 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 377517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 377521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 377525 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 377529 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 377533 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 377537 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 377541 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 377545 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377550 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 377554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 377558 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 377560 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (fneg:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] })), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 377560 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 377563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 377567 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 377572 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 377578 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 377583 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 377591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 377593 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 377595 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 377598 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 377600 */     GIR_RootConstrainSelectedInstOperands,
     /* 377601 */     // GIR_Coverage, 4812,
     /* 377601 */     GIR_EraseRootFromParent_Done,
     /* 377602 */   // Label 7612: @377602
     /* 377602 */   GIM_Try, /*On fail goto*//*Label 7613*/ GIMT_Encode4(377686), // Rule ID 6079 //
     /* 377607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 377610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 377614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 377618 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 377622 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 377626 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 377631 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 377635 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 377639 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 377643 */     // MIs[2] Operand 1
     /* 377643 */     // No operand predicates
     /* 377643 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 377647 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 377651 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s16,
     /* 377655 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 377660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 377664 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 377666 */     // (strict_fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rn), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 377666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 377669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 377671 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 377673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 377677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 377681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 377684 */     GIR_RootConstrainSelectedInstOperands,
     /* 377685 */     // GIR_Coverage, 6079,
     /* 377685 */     GIR_EraseRootFromParent_Done,
     /* 377686 */   // Label 7613: @377686
     /* 377686 */   GIM_Try, /*On fail goto*//*Label 7614*/ GIMT_Encode4(377767), // Rule ID 6111 //
     /* 377691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 377694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 377698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 377702 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 377706 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 377710 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 377714 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 377718 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 377722 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 377727 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 377731 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 377735 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 377739 */     // MIs[3] Operand 1
     /* 377739 */     // No operand predicates
     /* 377739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 377743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 377747 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 377749 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 377749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 377752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 377754 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 377756 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 377758 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 377762 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 377765 */     GIR_RootConstrainSelectedInstOperands,
     /* 377766 */     // GIR_Coverage, 6111,
     /* 377766 */     GIR_EraseRootFromParent_Done,
     /* 377767 */   // Label 7614: @377767
     /* 377767 */   GIM_Try, /*On fail goto*//*Label 7615*/ GIMT_Encode4(377851), // Rule ID 6143 //
     /* 377772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 377775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 377779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 377783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 377787 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 377792 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 377796 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 377800 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 377804 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 377808 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 377813 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 377817 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 377821 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 377825 */     // MIs[3] Operand 1
     /* 377825 */     // No operand predicates
     /* 377825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 377829 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 377831 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rn), (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 377831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 377834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 377836 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 377838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 377842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 377846 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 377849 */     GIR_RootConstrainSelectedInstOperands,
     /* 377850 */     // GIR_Coverage, 6143,
     /* 377850 */     GIR_EraseRootFromParent_Done,
     /* 377851 */   // Label 7615: @377851
     /* 377851 */   GIM_Try, /*On fail goto*//*Label 7616*/ GIMT_Encode4(377932), // Rule ID 6047 //
     /* 377856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 377859 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 377863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 377867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 377871 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 377875 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 377879 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 377883 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 377887 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 377891 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 377896 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 377900 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 377904 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 377908 */     // MIs[3] Operand 1
     /* 377908 */     // No operand predicates
     /* 377908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 377912 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 377914 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 377914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 377917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 377919 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 377921 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 377923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 377927 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 377930 */     GIR_RootConstrainSelectedInstOperands,
     /* 377931 */     // GIR_Coverage, 6047,
     /* 377931 */     GIR_EraseRootFromParent_Done,
     /* 377932 */   // Label 7616: @377932
     /* 377932 */   GIM_Try, /*On fail goto*//*Label 7617*/ GIMT_Encode4(378017), // Rule ID 2453 //
     /* 377937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 377940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 377944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 377948 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 377952 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 377956 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377961 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 377965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 377969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 377973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 377975 */     // (strict_fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)  =>  (FMADDHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 377975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 377978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 377982 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 377987 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 377993 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 377998 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDHrrr),
     /* 378006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 378008 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 378011 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 378013 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 378015 */     GIR_RootConstrainSelectedInstOperands,
     /* 378016 */     // GIR_Coverage, 2453,
     /* 378016 */     GIR_EraseRootFromParent_Done,
     /* 378017 */   // Label 7617: @378017
     /* 378017 */   GIM_Try, /*On fail goto*//*Label 7618*/ GIMT_Encode4(378102), // Rule ID 2451 //
     /* 378022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 378025 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 378029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 378033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 378037 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 378041 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 378045 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378050 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 378054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 378058 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 378060 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra)  =>  (FMADDHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 378060 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 378063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 378067 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378072 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 378078 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 378083 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDHrrr),
     /* 378091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 378093 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 378095 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 378098 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 378100 */     GIR_RootConstrainSelectedInstOperands,
     /* 378101 */     // GIR_Coverage, 2451,
     /* 378101 */     GIR_EraseRootFromParent_Done,
     /* 378102 */   // Label 7618: @378102
     /* 378102 */   GIM_Try, /*On fail goto*//*Label 7619*/ GIMT_Encode4(378171), // Rule ID 2535 //
     /* 378107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 378110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 378114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 378118 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 378122 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 378126 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 378131 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 378135 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 378139 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 378143 */     // MIs[2] Operand 1
     /* 378143 */     // No operand predicates
     /* 378143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 378147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 378151 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 378153 */     // (strict_fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rd)  =>  (FMLAv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 378153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i16_indexed),
     /* 378156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 378158 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 378160 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 378162 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 378166 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 378169 */     GIR_RootConstrainSelectedInstOperands,
     /* 378170 */     // GIR_Coverage, 2535,
     /* 378170 */     GIR_EraseRootFromParent_Done,
     /* 378171 */   // Label 7619: @378171
     /* 378171 */   GIM_Try, /*On fail goto*//*Label 7620*/ GIMT_Encode4(378240), // Rule ID 6015 //
     /* 378176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 378179 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 378183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 378187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 378191 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 378195 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 378199 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 378204 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 378208 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 378212 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 378216 */     // MIs[2] Operand 1
     /* 378216 */     // No operand predicates
     /* 378216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 378220 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 378222 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16:{ *:[f16] }:$Rd)  =>  (FMLAv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 378222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i16_indexed),
     /* 378225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 378227 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 378229 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 378231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 378235 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 378238 */     GIR_RootConstrainSelectedInstOperands,
     /* 378239 */     // GIR_Coverage, 6015,
     /* 378239 */     GIR_EraseRootFromParent_Done,
     /* 378240 */   // Label 7620: @378240
     /* 378240 */   GIM_Try, /*On fail goto*//*Label 7621*/ GIMT_Encode4(378290), // Rule ID 13217 //
     /* 378245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 378248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 378252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 378256 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 378260 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 378265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 378269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 378273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 378275 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rm), FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 378275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 378278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 378280 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 378282 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 378286 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 378288 */     GIR_RootConstrainSelectedInstOperands,
     /* 378289 */     // GIR_Coverage, 13217,
     /* 378289 */     GIR_EraseRootFromParent_Done,
     /* 378290 */   // Label 7621: @378290
     /* 378290 */   GIM_Try, /*On fail goto*//*Label 7622*/ GIMT_Encode4(378340), // Rule ID 643 //
     /* 378295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 378298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 378302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 378306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 378310 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 378314 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 378319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 378323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 378325 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rm), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 378325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 378328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 378330 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 378332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 378336 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 378338 */     GIR_RootConstrainSelectedInstOperands,
     /* 378339 */     // GIR_Coverage, 643,
     /* 378339 */     GIR_EraseRootFromParent_Done,
     /* 378340 */   // Label 7622: @378340
     /* 378340 */   GIM_Try, /*On fail goto*//*Label 7623*/ GIMT_Encode4(378390), // Rule ID 655 //
     /* 378345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 378348 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 378352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 378356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 378360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 378364 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 378368 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 378373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 378375 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Ra))  =>  (FNMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 378375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBHrrr),
     /* 378378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 378380 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 378382 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 378384 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Ra
     /* 378388 */     GIR_RootConstrainSelectedInstOperands,
     /* 378389 */     // GIR_Coverage, 655,
     /* 378389 */     GIR_EraseRootFromParent_Done,
     /* 378390 */   // Label 7623: @378390
     /* 378390 */   GIM_Try, /*On fail goto*//*Label 7624*/ GIMT_Encode4(378421), // Rule ID 637 //
     /* 378395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 378398 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 378402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 378406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 378410 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)  =>  (FMADDHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 378410 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMADDHrrr),
     /* 378415 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 378419 */     GIR_RootConstrainSelectedInstOperands,
     /* 378420 */     // GIR_Coverage, 637,
     /* 378420 */     GIR_Done,
     /* 378421 */   // Label 7624: @378421
     /* 378421 */   GIM_Reject,
     /* 378422 */ // Label 7596: @378422
     /* 378422 */ GIM_Reject,
     /* 378423 */ // Label 7588: @378423
     /* 378423 */ GIM_Try, /*On fail goto*//*Label 7625*/ GIMT_Encode4(381352),
     /* 378428 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 378431 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 378434 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 378437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 378441 */   GIM_Try, /*On fail goto*//*Label 7626*/ GIMT_Encode4(378591), // Rule ID 4858 //
     /* 378446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 378449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 378453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 378457 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 378461 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 378465 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378470 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 378474 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 378478 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 378482 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 378486 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 378490 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378495 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 378499 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 378503 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 378507 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /* 378511 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 378516 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 378518 */     // (strict_fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Ra))  =>  (FNMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 378518 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 378521 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 378525 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378530 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 378536 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 378541 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378546 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 378549 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 378553 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378558 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 378564 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 378569 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBSrrr),
     /* 378577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 378579 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 378582 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 378585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Ra
     /* 378589 */     GIR_RootConstrainSelectedInstOperands,
     /* 378590 */     // GIR_Coverage, 4858,
     /* 378590 */     GIR_EraseRootFromParent_Done,
     /* 378591 */   // Label 7626: @378591
     /* 378591 */   GIM_Try, /*On fail goto*//*Label 7627*/ GIMT_Encode4(378738), // Rule ID 4822 //
     /* 378596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 378599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 378603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 378607 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 378611 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 378615 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378620 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 378624 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 378628 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 378632 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 378636 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 378640 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 378644 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 378648 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 378652 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378657 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 378661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 378665 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 378667 */     // (strict_fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] })), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 378667 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 378670 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 378674 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378679 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 378685 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 378690 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378695 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 378698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 378702 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378707 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 378713 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 378718 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 378726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 378728 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 378731 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 378734 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 378736 */     GIR_RootConstrainSelectedInstOperands,
     /* 378737 */     // GIR_Coverage, 4822,
     /* 378737 */     GIR_EraseRootFromParent_Done,
     /* 378738 */   // Label 7627: @378738
     /* 378738 */   GIM_Try, /*On fail goto*//*Label 7628*/ GIMT_Encode4(378885), // Rule ID 13781 //
     /* 378743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 378746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 378750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 378754 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 378758 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 378762 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 378766 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 378770 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 378774 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378779 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 378783 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 378787 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 378791 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 378795 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 378799 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378804 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 378808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 378812 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 378814 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] })), (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 378814 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 378817 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 378821 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378826 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 378832 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 378837 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378842 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 378845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 378849 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378854 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 378860 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 378865 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 378873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 378875 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 378878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 378881 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 378883 */     GIR_RootConstrainSelectedInstOperands,
     /* 378884 */     // GIR_Coverage, 13781,
     /* 378884 */     GIR_EraseRootFromParent_Done,
     /* 378885 */   // Label 7628: @378885
     /* 378885 */   GIM_Try, /*On fail goto*//*Label 7629*/ GIMT_Encode4(379016), // Rule ID 6065 //
     /* 378890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 378893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 378897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 378901 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 378905 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 378909 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378914 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 378918 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 378922 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 378926 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 378930 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 378934 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 378938 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 378942 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 378946 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378951 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 378955 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 378959 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 378963 */     // MIs[4] Operand 1
     /* 378963 */     // No operand predicates
     /* 378963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 378967 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 378969 */     // (strict_fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 378969 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 378972 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 378976 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378981 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 378987 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 378992 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 379000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 379002 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 379004 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 379007 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 379011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 379014 */     GIR_RootConstrainSelectedInstOperands,
     /* 379015 */     // GIR_Coverage, 6065,
     /* 379015 */     GIR_EraseRootFromParent_Done,
     /* 379016 */   // Label 7629: @379016
     /* 379016 */   GIM_Try, /*On fail goto*//*Label 7630*/ GIMT_Encode4(379147), // Rule ID 6097 //
     /* 379021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 379024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 379028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 379032 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 379036 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 379040 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379045 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 379049 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 379053 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 379057 */     // MIs[2] Operand 1
     /* 379057 */     // No operand predicates
     /* 379057 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 379061 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 379065 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /* 379069 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /* 379073 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 379077 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 379081 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 379085 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379090 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 379094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 379098 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 379100 */     // (strict_fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] })), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 379100 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 379103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 379107 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379112 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 379118 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 379123 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 379131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 379133 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 379135 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 379138 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 379142 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 379145 */     GIR_RootConstrainSelectedInstOperands,
     /* 379146 */     // GIR_Coverage, 6097,
     /* 379146 */     GIR_EraseRootFromParent_Done,
     /* 379147 */   // Label 7630: @379147
     /* 379147 */   GIM_Try, /*On fail goto*//*Label 7631*/ GIMT_Encode4(379278), // Rule ID 6161 //
     /* 379152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 379155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 379159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 379163 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 379167 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 379171 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 379175 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 379179 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 379183 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379188 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 379192 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 379196 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 379200 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 379204 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 379208 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379213 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 379217 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 379221 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 379225 */     // MIs[4] Operand 1
     /* 379225 */     // No operand predicates
     /* 379225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 379229 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 379231 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] })), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 379231 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 379234 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 379238 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379243 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 379249 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 379254 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 379262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 379264 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 379266 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 379269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 379273 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 379276 */     GIR_RootConstrainSelectedInstOperands,
     /* 379277 */     // GIR_Coverage, 6161,
     /* 379277 */     GIR_EraseRootFromParent_Done,
     /* 379278 */   // Label 7631: @379278
     /* 379278 */   GIM_Try, /*On fail goto*//*Label 7632*/ GIMT_Encode4(379409), // Rule ID 6129 //
     /* 379283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 379286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 379290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 379294 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 379298 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 379302 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 379306 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 379310 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 379314 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379319 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 379323 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 379327 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 379331 */     // MIs[3] Operand 1
     /* 379331 */     // No operand predicates
     /* 379331 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /* 379335 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 379339 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 379343 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 379347 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379352 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 379356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 379360 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 379362 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 379362 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 379365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 379369 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379374 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 379380 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 379385 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 379393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 379395 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 379397 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 379400 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 379404 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 379407 */     GIR_RootConstrainSelectedInstOperands,
     /* 379408 */     // GIR_Coverage, 6129,
     /* 379408 */     GIR_EraseRootFromParent_Done,
     /* 379409 */   // Label 7632: @379409
     /* 379409 */   GIM_Try, /*On fail goto*//*Label 7633*/ GIMT_Encode4(379544), // Rule ID 2461 //
     /* 379414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 379417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 379421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 379425 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 379429 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 379433 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379438 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 379442 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 379446 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 379450 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 379454 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 379458 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379463 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 379467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 379471 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 379473 */     // (strict_fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra)  =>  (FMADDSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 379473 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 379476 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 379480 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379485 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 379491 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 379496 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 379504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 379508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379513 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 379519 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 379524 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDSrrr),
     /* 379532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 379534 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 379537 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 379540 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 379542 */     GIR_RootConstrainSelectedInstOperands,
     /* 379543 */     // GIR_Coverage, 2461,
     /* 379543 */     GIR_EraseRootFromParent_Done,
     /* 379544 */   // Label 7633: @379544
     /* 379544 */   GIM_Try, /*On fail goto*//*Label 7634*/ GIMT_Encode4(379663), // Rule ID 6033 //
     /* 379549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 379552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 379556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 379560 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 379564 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 379568 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379573 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 379577 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 379581 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 379585 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 379589 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 379593 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379598 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 379602 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 379606 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 379610 */     // MIs[3] Operand 1
     /* 379610 */     // No operand predicates
     /* 379610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 379614 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 379616 */     // (strict_fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rd)  =>  (FMLAv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 379616 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 379619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 379623 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379628 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 379634 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 379639 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i32_indexed),
     /* 379647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 379649 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 379651 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 379654 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 379658 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 379661 */     GIR_RootConstrainSelectedInstOperands,
     /* 379662 */     // GIR_Coverage, 6033,
     /* 379662 */     GIR_EraseRootFromParent_Done,
     /* 379663 */   // Label 7634: @379663
     /* 379663 */   GIM_Try, /*On fail goto*//*Label 7635*/ GIMT_Encode4(379782), // Rule ID 2553 //
     /* 379668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 379671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 379675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 379679 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 379683 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 379687 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379692 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 379696 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 379700 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 379704 */     // MIs[2] Operand 1
     /* 379704 */     // No operand predicates
     /* 379704 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 379708 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 379712 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 379716 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 379720 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379725 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 379729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 379733 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 379735 */     // (strict_fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rd)  =>  (FMLAv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 379735 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 379738 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 379742 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379747 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 379753 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 379758 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i32_indexed),
     /* 379766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 379768 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 379770 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 379773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 379777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 379780 */     GIR_RootConstrainSelectedInstOperands,
     /* 379781 */     // GIR_Coverage, 2553,
     /* 379781 */     GIR_EraseRootFromParent_Done,
     /* 379782 */   // Label 7635: @379782
     /* 379782 */   GIM_Try, /*On fail goto*//*Label 7636*/ GIMT_Encode4(379882), // Rule ID 4820 //
     /* 379787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 379790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 379794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 379798 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 379802 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 379806 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379811 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 379815 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 379819 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 379823 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 379827 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 379832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 379836 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 379838 */     // (strict_fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rm), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 379838 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 379841 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 379845 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379850 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 379856 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 379861 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 379869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 379871 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 379874 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 379878 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 379880 */     GIR_RootConstrainSelectedInstOperands,
     /* 379881 */     // GIR_Coverage, 4820,
     /* 379881 */     GIR_EraseRootFromParent_Done,
     /* 379882 */   // Label 7636: @379882
     /* 379882 */   GIM_Try, /*On fail goto*//*Label 7637*/ GIMT_Encode4(379982), // Rule ID 4856 //
     /* 379887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 379890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 379894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 379898 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 379902 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 379906 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379911 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 379915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 379919 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 379923 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 379927 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 379931 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 379936 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 379938 */     // (strict_fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rm, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Ra))  =>  (FNMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 379938 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 379941 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 379945 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379950 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 379956 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 379961 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBSrrr),
     /* 379969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 379971 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 379974 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 379976 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 379980 */     GIR_RootConstrainSelectedInstOperands,
     /* 379981 */     // GIR_Coverage, 4856,
     /* 379981 */     GIR_EraseRootFromParent_Done,
     /* 379982 */   // Label 7637: @379982
     /* 379982 */   GIM_Try, /*On fail goto*//*Label 7638*/ GIMT_Encode4(380079), // Rule ID 13777 //
     /* 379987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 379990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 379994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 379998 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 380002 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 380006 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 380010 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 380014 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 380018 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380023 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 380027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 380031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 380035 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 380037 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] })), FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 380037 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 380040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 380044 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 380049 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 380055 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 380060 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 380068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 380070 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 380072 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 380075 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 380077 */     GIR_RootConstrainSelectedInstOperands,
     /* 380078 */     // GIR_Coverage, 13777,
     /* 380078 */     GIR_EraseRootFromParent_Done,
     /* 380079 */   // Label 7638: @380079
     /* 380079 */   GIM_Try, /*On fail goto*//*Label 7639*/ GIMT_Encode4(380179), // Rule ID 13779 //
     /* 380084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 380087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 380091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 380095 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 380099 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 380104 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 380108 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 380112 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 380116 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 380120 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380125 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 380129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 380133 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 380135 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rm), (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 380135 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 380138 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 380142 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 380147 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 380153 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 380158 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 380166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 380168 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 380171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 380175 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 380177 */     GIR_RootConstrainSelectedInstOperands,
     /* 380178 */     // GIR_Coverage, 13779,
     /* 380178 */     GIR_EraseRootFromParent_Done,
     /* 380179 */   // Label 7639: @380179
     /* 380179 */   GIM_Try, /*On fail goto*//*Label 7640*/ GIMT_Encode4(380279), // Rule ID 4854 //
     /* 380184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 380187 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 380191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 380195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 380199 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 380203 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 380207 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380212 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 380216 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 380220 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 380224 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 380228 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 380233 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 380235 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Ra))  =>  (FNMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 380235 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 380238 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 380242 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 380247 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 380253 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 380258 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBSrrr),
     /* 380266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 380268 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 380270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 380273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 380277 */     GIR_RootConstrainSelectedInstOperands,
     /* 380278 */     // GIR_Coverage, 4854,
     /* 380278 */     GIR_EraseRootFromParent_Done,
     /* 380279 */   // Label 7640: @380279
     /* 380279 */   GIM_Try, /*On fail goto*//*Label 7641*/ GIMT_Encode4(380376), // Rule ID 4818 //
     /* 380284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 380287 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 380291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 380295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 380299 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 380303 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 380307 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 380311 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 380315 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 380319 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380324 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 380328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 380332 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 380334 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (fneg:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] })), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 380334 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 380337 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 380341 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 380346 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 380352 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 380357 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 380365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 380367 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 380369 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 380372 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 380374 */     GIR_RootConstrainSelectedInstOperands,
     /* 380375 */     // GIR_Coverage, 4818,
     /* 380375 */     GIR_EraseRootFromParent_Done,
     /* 380376 */   // Label 7641: @380376
     /* 380376 */   GIM_Try, /*On fail goto*//*Label 7642*/ GIMT_Encode4(380454), // Rule ID 6183 //
     /* 380381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 380385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 380389 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 380393 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 380397 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 380401 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 380405 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 380409 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380414 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 380418 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 380422 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 380426 */     // MIs[3] Operand 1
     /* 380426 */     // No operand predicates
     /* 380426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 380430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 380434 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 380436 */     // (strict_fma:{ *:[f32] } (vector_extract:{ *:[f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 380436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 380439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 380441 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 380443 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 380445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 380449 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 380452 */     GIR_RootConstrainSelectedInstOperands,
     /* 380453 */     // GIR_Coverage, 6183,
     /* 380453 */     GIR_EraseRootFromParent_Done,
     /* 380454 */   // Label 7642: @380454
     /* 380454 */   GIM_Try, /*On fail goto*//*Label 7643*/ GIMT_Encode4(380538), // Rule ID 6095 //
     /* 380459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 380462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 380466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 380470 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 380474 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 380478 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380483 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 380487 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 380491 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 380495 */     // MIs[2] Operand 1
     /* 380495 */     // No operand predicates
     /* 380495 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 380499 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 380503 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /* 380507 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 380512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 380516 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 380518 */     // (strict_fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rn), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 380518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 380521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 380523 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 380525 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 380529 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 380533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 380536 */     GIR_RootConstrainSelectedInstOperands,
     /* 380537 */     // GIR_Coverage, 6095,
     /* 380537 */     GIR_EraseRootFromParent_Done,
     /* 380538 */   // Label 7643: @380538
     /* 380538 */   GIM_Try, /*On fail goto*//*Label 7644*/ GIMT_Encode4(380619), // Rule ID 6127 //
     /* 380543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 380546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 380550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 380554 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 380558 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 380562 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 380566 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 380570 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 380574 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380579 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 380583 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 380587 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 380591 */     // MIs[3] Operand 1
     /* 380591 */     // No operand predicates
     /* 380591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 380595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 380599 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 380601 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 380601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 380604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 380606 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 380608 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 380610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 380614 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 380617 */     GIR_RootConstrainSelectedInstOperands,
     /* 380618 */     // GIR_Coverage, 6127,
     /* 380618 */     GIR_EraseRootFromParent_Done,
     /* 380619 */   // Label 7644: @380619
     /* 380619 */   GIM_Try, /*On fail goto*//*Label 7645*/ GIMT_Encode4(380703), // Rule ID 6159 //
     /* 380624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 380627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 380631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 380635 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 380639 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 380644 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 380648 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 380652 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 380656 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 380660 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380665 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 380669 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 380673 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 380677 */     // MIs[3] Operand 1
     /* 380677 */     // No operand predicates
     /* 380677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 380681 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 380683 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rn), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 380683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 380686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 380688 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 380690 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 380694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 380698 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 380701 */     GIR_RootConstrainSelectedInstOperands,
     /* 380702 */     // GIR_Coverage, 6159,
     /* 380702 */     GIR_EraseRootFromParent_Done,
     /* 380703 */   // Label 7645: @380703
     /* 380703 */   GIM_Try, /*On fail goto*//*Label 7646*/ GIMT_Encode4(380781), // Rule ID 6205 //
     /* 380708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 380712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 380716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 380720 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 380724 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 380728 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 380732 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 380736 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 380740 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380745 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 380749 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 380753 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 380757 */     // MIs[3] Operand 1
     /* 380757 */     // No operand predicates
     /* 380757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 380761 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 380763 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (vector_extract:{ *:[f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 380763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 380766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 380768 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 380770 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 380772 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 380776 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 380779 */     GIR_RootConstrainSelectedInstOperands,
     /* 380780 */     // GIR_Coverage, 6205,
     /* 380780 */     GIR_EraseRootFromParent_Done,
     /* 380781 */   // Label 7646: @380781
     /* 380781 */   GIM_Try, /*On fail goto*//*Label 7647*/ GIMT_Encode4(380862), // Rule ID 6063 //
     /* 380786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 380789 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 380793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 380797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 380801 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 380805 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 380809 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 380813 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 380817 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 380821 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380826 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 380830 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 380834 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 380838 */     // MIs[3] Operand 1
     /* 380838 */     // No operand predicates
     /* 380838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 380842 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 380844 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 380844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 380847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 380849 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 380851 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 380853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 380857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 380860 */     GIR_RootConstrainSelectedInstOperands,
     /* 380861 */     // GIR_Coverage, 6063,
     /* 380861 */     GIR_EraseRootFromParent_Done,
     /* 380862 */   // Label 7647: @380862
     /* 380862 */   GIM_Try, /*On fail goto*//*Label 7648*/ GIMT_Encode4(380947), // Rule ID 2459 //
     /* 380867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 380870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 380874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 380878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 380882 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 380886 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380891 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 380895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 380899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 380903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 380905 */     // (strict_fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)  =>  (FMADDSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 380905 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 380908 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 380912 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 380917 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 380923 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 380928 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDSrrr),
     /* 380936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 380938 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 380941 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 380943 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 380945 */     GIR_RootConstrainSelectedInstOperands,
     /* 380946 */     // GIR_Coverage, 2459,
     /* 380946 */     GIR_EraseRootFromParent_Done,
     /* 380947 */   // Label 7648: @380947
     /* 380947 */   GIM_Try, /*On fail goto*//*Label 7649*/ GIMT_Encode4(381032), // Rule ID 2457 //
     /* 380952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 380955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 380959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 380963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 380967 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 380971 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 380975 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380980 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 380984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 380988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 380990 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra)  =>  (FMADDSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 380990 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 380993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 380997 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 381002 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 381008 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 381013 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDSrrr),
     /* 381021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 381023 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 381025 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 381028 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 381030 */     GIR_RootConstrainSelectedInstOperands,
     /* 381031 */     // GIR_Coverage, 2457,
     /* 381031 */     GIR_EraseRootFromParent_Done,
     /* 381032 */   // Label 7649: @381032
     /* 381032 */   GIM_Try, /*On fail goto*//*Label 7650*/ GIMT_Encode4(381101), // Rule ID 2551 //
     /* 381037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 381040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 381044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 381048 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 381052 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 381056 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381061 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 381065 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 381069 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 381073 */     // MIs[2] Operand 1
     /* 381073 */     // No operand predicates
     /* 381073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 381077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 381081 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 381083 */     // (strict_fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rd)  =>  (FMLAv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 381083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i32_indexed),
     /* 381086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 381088 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 381090 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 381092 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 381096 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 381099 */     GIR_RootConstrainSelectedInstOperands,
     /* 381100 */     // GIR_Coverage, 2551,
     /* 381100 */     GIR_EraseRootFromParent_Done,
     /* 381101 */   // Label 7650: @381101
     /* 381101 */   GIM_Try, /*On fail goto*//*Label 7651*/ GIMT_Encode4(381170), // Rule ID 6031 //
     /* 381106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 381109 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 381113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 381117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 381121 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 381125 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 381129 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381134 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 381138 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 381142 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 381146 */     // MIs[2] Operand 1
     /* 381146 */     // No operand predicates
     /* 381146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 381150 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 381152 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rd)  =>  (FMLAv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 381152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i32_indexed),
     /* 381155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 381157 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 381159 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 381161 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 381165 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 381168 */     GIR_RootConstrainSelectedInstOperands,
     /* 381169 */     // GIR_Coverage, 6031,
     /* 381169 */     GIR_EraseRootFromParent_Done,
     /* 381170 */   // Label 7651: @381170
     /* 381170 */   GIM_Try, /*On fail goto*//*Label 7652*/ GIMT_Encode4(381220), // Rule ID 13219 //
     /* 381175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 381178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 381182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 381186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 381190 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 381195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 381199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 381203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 381205 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rm), FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 381205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 381208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 381210 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 381212 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 381216 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 381218 */     GIR_RootConstrainSelectedInstOperands,
     /* 381219 */     // GIR_Coverage, 13219,
     /* 381219 */     GIR_EraseRootFromParent_Done,
     /* 381220 */   // Label 7652: @381220
     /* 381220 */   GIM_Try, /*On fail goto*//*Label 7653*/ GIMT_Encode4(381270), // Rule ID 645 //
     /* 381225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 381228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 381232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 381236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 381240 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 381244 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 381249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 381253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 381255 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rm), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 381255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 381258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 381260 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 381262 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 381266 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 381268 */     GIR_RootConstrainSelectedInstOperands,
     /* 381269 */     // GIR_Coverage, 645,
     /* 381269 */     GIR_EraseRootFromParent_Done,
     /* 381270 */   // Label 7653: @381270
     /* 381270 */   GIM_Try, /*On fail goto*//*Label 7654*/ GIMT_Encode4(381320), // Rule ID 657 //
     /* 381275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 381278 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 381282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 381286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 381290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 381294 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 381298 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 381303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 381305 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Ra))  =>  (FNMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 381305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBSrrr),
     /* 381308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 381310 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 381312 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 381314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Ra
     /* 381318 */     GIR_RootConstrainSelectedInstOperands,
     /* 381319 */     // GIR_Coverage, 657,
     /* 381319 */     GIR_EraseRootFromParent_Done,
     /* 381320 */   // Label 7654: @381320
     /* 381320 */   GIM_Try, /*On fail goto*//*Label 7655*/ GIMT_Encode4(381351), // Rule ID 639 //
     /* 381325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 381328 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 381332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 381336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 381340 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)  =>  (FMADDSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 381340 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMADDSrrr),
     /* 381345 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 381349 */     GIR_RootConstrainSelectedInstOperands,
     /* 381350 */     // GIR_Coverage, 639,
     /* 381350 */     GIR_Done,
     /* 381351 */   // Label 7655: @381351
     /* 381351 */   GIM_Reject,
     /* 381352 */ // Label 7625: @381352
     /* 381352 */ GIM_Reject,
     /* 381353 */ // Label 7589: @381353
     /* 381353 */ GIM_Try, /*On fail goto*//*Label 7656*/ GIMT_Encode4(384282),
     /* 381358 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 381361 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 381364 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 381367 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 381371 */   GIM_Try, /*On fail goto*//*Label 7657*/ GIMT_Encode4(381521), // Rule ID 4864 //
     /* 381376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 381379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 381383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 381387 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 381391 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 381395 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381400 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 381404 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 381408 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 381412 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 381416 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 381420 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381425 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 381429 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 381433 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 381437 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /* 381441 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 381446 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 381448 */     // (strict_fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Ra))  =>  (FNMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 381448 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 381451 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 381455 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 381460 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 381466 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 381471 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381476 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 381479 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 381483 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 381488 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 381494 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 381499 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBDrrr),
     /* 381507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 381509 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 381512 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 381515 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Ra
     /* 381519 */     GIR_RootConstrainSelectedInstOperands,
     /* 381520 */     // GIR_Coverage, 4864,
     /* 381520 */     GIR_EraseRootFromParent_Done,
     /* 381521 */   // Label 7657: @381521
     /* 381521 */   GIM_Try, /*On fail goto*//*Label 7658*/ GIMT_Encode4(381668), // Rule ID 4828 //
     /* 381526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 381529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 381533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 381537 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 381541 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 381545 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381550 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 381554 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 381558 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 381562 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 381566 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 381570 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 381574 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 381578 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 381582 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381587 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 381591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 381595 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 381597 */     // (strict_fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] })), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 381597 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 381600 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 381604 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 381609 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 381615 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 381620 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381625 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 381628 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 381632 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 381637 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 381643 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 381648 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 381656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 381658 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 381661 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 381664 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 381666 */     GIR_RootConstrainSelectedInstOperands,
     /* 381667 */     // GIR_Coverage, 4828,
     /* 381667 */     GIR_EraseRootFromParent_Done,
     /* 381668 */   // Label 7658: @381668
     /* 381668 */   GIM_Try, /*On fail goto*//*Label 7659*/ GIMT_Encode4(381815), // Rule ID 13787 //
     /* 381673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 381676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 381680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 381684 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 381688 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 381692 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 381696 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 381700 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 381704 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381709 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 381713 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 381717 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 381721 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 381725 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 381729 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381734 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 381738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 381742 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 381744 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] })), (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 381744 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 381747 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 381751 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 381756 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 381762 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 381767 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381772 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 381775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 381779 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 381784 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 381790 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 381795 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 381803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 381805 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 381808 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 381811 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 381813 */     GIR_RootConstrainSelectedInstOperands,
     /* 381814 */     // GIR_Coverage, 13787,
     /* 381814 */     GIR_EraseRootFromParent_Done,
     /* 381815 */   // Label 7659: @381815
     /* 381815 */   GIM_Try, /*On fail goto*//*Label 7660*/ GIMT_Encode4(381946), // Rule ID 6069 //
     /* 381820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 381823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 381827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 381831 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 381835 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 381839 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381844 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 381848 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 381852 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 381856 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 381860 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 381864 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 381868 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 381872 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 381876 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381881 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 381885 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 381889 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 381893 */     // MIs[4] Operand 1
     /* 381893 */     // No operand predicates
     /* 381893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 381897 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 381899 */     // (strict_fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 381899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 381902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 381906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 381911 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 381917 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 381922 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 381930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 381932 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 381934 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 381937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 381941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 381944 */     GIR_RootConstrainSelectedInstOperands,
     /* 381945 */     // GIR_Coverage, 6069,
     /* 381945 */     GIR_EraseRootFromParent_Done,
     /* 381946 */   // Label 7660: @381946
     /* 381946 */   GIM_Try, /*On fail goto*//*Label 7661*/ GIMT_Encode4(382077), // Rule ID 6101 //
     /* 381951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 381954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 381958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 381962 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 381966 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 381970 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381975 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 381979 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 381983 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 381987 */     // MIs[2] Operand 1
     /* 381987 */     // No operand predicates
     /* 381987 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 381991 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 381995 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /* 381999 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /* 382003 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 382007 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 382011 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 382015 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382020 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 382024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382028 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 382030 */     // (strict_fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] })), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 382030 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 382033 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 382037 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 382042 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 382048 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382053 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 382061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 382063 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 382065 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 382068 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 382072 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 382075 */     GIR_RootConstrainSelectedInstOperands,
     /* 382076 */     // GIR_Coverage, 6101,
     /* 382076 */     GIR_EraseRootFromParent_Done,
     /* 382077 */   // Label 7661: @382077
     /* 382077 */   GIM_Try, /*On fail goto*//*Label 7662*/ GIMT_Encode4(382208), // Rule ID 6165 //
     /* 382082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 382085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 382089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 382093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 382097 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 382101 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 382105 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 382109 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 382113 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382118 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 382122 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 382126 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 382130 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 382134 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 382138 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382143 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 382147 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 382151 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 382155 */     // MIs[4] Operand 1
     /* 382155 */     // No operand predicates
     /* 382155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382159 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 382161 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] })), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 382161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 382164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 382168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 382173 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 382179 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382184 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 382192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 382194 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 382196 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 382199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 382203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 382206 */     GIR_RootConstrainSelectedInstOperands,
     /* 382207 */     // GIR_Coverage, 6165,
     /* 382207 */     GIR_EraseRootFromParent_Done,
     /* 382208 */   // Label 7662: @382208
     /* 382208 */   GIM_Try, /*On fail goto*//*Label 7663*/ GIMT_Encode4(382339), // Rule ID 6133 //
     /* 382213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 382216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 382220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 382224 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 382228 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 382232 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 382236 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 382240 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 382244 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382249 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 382253 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 382257 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 382261 */     // MIs[3] Operand 1
     /* 382261 */     // No operand predicates
     /* 382261 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /* 382265 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 382269 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 382273 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 382277 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382282 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 382286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382290 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 382292 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 382292 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 382295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 382299 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 382304 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 382310 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382315 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 382323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 382325 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 382327 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 382330 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 382334 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 382337 */     GIR_RootConstrainSelectedInstOperands,
     /* 382338 */     // GIR_Coverage, 6133,
     /* 382338 */     GIR_EraseRootFromParent_Done,
     /* 382339 */   // Label 7663: @382339
     /* 382339 */   GIM_Try, /*On fail goto*//*Label 7664*/ GIMT_Encode4(382474), // Rule ID 2467 //
     /* 382344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 382347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 382351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 382355 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 382359 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 382363 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382368 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 382372 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 382376 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 382380 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 382384 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 382388 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382393 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 382397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382401 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 382403 */     // (strict_fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra)  =>  (FMADDDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 382403 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 382406 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 382410 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 382415 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 382421 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382426 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382431 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 382434 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 382438 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 382443 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 382449 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382454 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDDrrr),
     /* 382462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 382464 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 382467 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 382470 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 382472 */     GIR_RootConstrainSelectedInstOperands,
     /* 382473 */     // GIR_Coverage, 2467,
     /* 382473 */     GIR_EraseRootFromParent_Done,
     /* 382474 */   // Label 7664: @382474
     /* 382474 */   GIM_Try, /*On fail goto*//*Label 7665*/ GIMT_Encode4(382593), // Rule ID 6037 //
     /* 382479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 382482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 382486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 382490 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 382494 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 382498 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382503 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 382507 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 382511 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 382515 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 382519 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 382523 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382528 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 382532 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 382536 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 382540 */     // MIs[3] Operand 1
     /* 382540 */     // No operand predicates
     /* 382540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382544 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 382546 */     // (strict_fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64:{ *:[f64] }:$Rd)  =>  (FMLAv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 382546 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 382549 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 382553 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 382558 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 382564 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382569 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i64_indexed),
     /* 382577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 382579 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 382581 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 382584 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 382588 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 382591 */     GIR_RootConstrainSelectedInstOperands,
     /* 382592 */     // GIR_Coverage, 6037,
     /* 382592 */     GIR_EraseRootFromParent_Done,
     /* 382593 */   // Label 7665: @382593
     /* 382593 */   GIM_Try, /*On fail goto*//*Label 7666*/ GIMT_Encode4(382712), // Rule ID 2557 //
     /* 382598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 382601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 382605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 382609 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 382613 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 382617 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382622 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 382626 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 382630 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 382634 */     // MIs[2] Operand 1
     /* 382634 */     // No operand predicates
     /* 382634 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 382638 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 382642 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 382646 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 382650 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382655 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 382659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382663 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 382665 */     // (strict_fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rd)  =>  (FMLAv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 382665 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 382668 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 382672 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 382677 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 382683 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382688 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i64_indexed),
     /* 382696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 382698 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 382700 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 382703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 382707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 382710 */     GIR_RootConstrainSelectedInstOperands,
     /* 382711 */     // GIR_Coverage, 2557,
     /* 382711 */     GIR_EraseRootFromParent_Done,
     /* 382712 */   // Label 7666: @382712
     /* 382712 */   GIM_Try, /*On fail goto*//*Label 7667*/ GIMT_Encode4(382812), // Rule ID 4826 //
     /* 382717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 382720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 382724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 382728 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 382732 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 382736 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382741 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 382745 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 382749 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 382753 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 382757 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382766 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 382768 */     // (strict_fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rm), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 382768 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 382771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 382775 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 382780 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 382786 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382791 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 382799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 382801 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 382804 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 382808 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 382810 */     GIR_RootConstrainSelectedInstOperands,
     /* 382811 */     // GIR_Coverage, 4826,
     /* 382811 */     GIR_EraseRootFromParent_Done,
     /* 382812 */   // Label 7667: @382812
     /* 382812 */   GIM_Try, /*On fail goto*//*Label 7668*/ GIMT_Encode4(382912), // Rule ID 4862 //
     /* 382817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 382820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 382824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 382828 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 382832 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 382836 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382841 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 382845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382849 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 382853 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 382857 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 382861 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382866 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 382868 */     // (strict_fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rm, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Ra))  =>  (FNMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 382868 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 382871 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 382875 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 382880 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 382886 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382891 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBDrrr),
     /* 382899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 382901 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 382904 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 382906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 382910 */     GIR_RootConstrainSelectedInstOperands,
     /* 382911 */     // GIR_Coverage, 4862,
     /* 382911 */     GIR_EraseRootFromParent_Done,
     /* 382912 */   // Label 7668: @382912
     /* 382912 */   GIM_Try, /*On fail goto*//*Label 7669*/ GIMT_Encode4(383009), // Rule ID 13783 //
     /* 382917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 382920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 382924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 382928 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 382932 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 382936 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 382940 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 382944 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 382948 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382953 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 382957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382965 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 382967 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] })), FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 382967 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 382970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 382974 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 382979 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 382985 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 382990 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 382998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 383000 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 383002 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 383005 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 383007 */     GIR_RootConstrainSelectedInstOperands,
     /* 383008 */     // GIR_Coverage, 13783,
     /* 383008 */     GIR_EraseRootFromParent_Done,
     /* 383009 */   // Label 7669: @383009
     /* 383009 */   GIM_Try, /*On fail goto*//*Label 7670*/ GIMT_Encode4(383109), // Rule ID 13785 //
     /* 383014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 383017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 383021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 383025 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 383029 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 383034 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 383038 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 383042 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 383046 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 383050 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383055 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 383059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 383063 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 383065 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rm), (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 383065 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 383068 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 383072 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 383077 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 383083 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 383088 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 383096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 383098 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 383101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 383105 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 383107 */     GIR_RootConstrainSelectedInstOperands,
     /* 383108 */     // GIR_Coverage, 13785,
     /* 383108 */     GIR_EraseRootFromParent_Done,
     /* 383109 */   // Label 7670: @383109
     /* 383109 */   GIM_Try, /*On fail goto*//*Label 7671*/ GIMT_Encode4(383209), // Rule ID 4860 //
     /* 383114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 383117 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 383121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 383125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 383129 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 383133 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 383137 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383142 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 383146 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 383150 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 383154 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 383158 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 383163 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 383165 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Ra))  =>  (FNMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 383165 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 383168 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 383172 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 383177 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 383183 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 383188 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBDrrr),
     /* 383196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 383198 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 383200 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 383203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 383207 */     GIR_RootConstrainSelectedInstOperands,
     /* 383208 */     // GIR_Coverage, 4860,
     /* 383208 */     GIR_EraseRootFromParent_Done,
     /* 383209 */   // Label 7671: @383209
     /* 383209 */   GIM_Try, /*On fail goto*//*Label 7672*/ GIMT_Encode4(383306), // Rule ID 4824 //
     /* 383214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 383217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 383221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 383225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 383229 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 383233 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 383237 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 383241 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 383245 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 383249 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383254 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 383258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 383262 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 383264 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (fneg:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] })), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 383264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 383267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 383271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 383276 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 383282 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 383287 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 383295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 383297 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 383299 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 383302 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 383304 */     GIR_RootConstrainSelectedInstOperands,
     /* 383305 */     // GIR_Coverage, 4824,
     /* 383305 */     GIR_EraseRootFromParent_Done,
     /* 383306 */   // Label 7672: @383306
     /* 383306 */   GIM_Try, /*On fail goto*//*Label 7673*/ GIMT_Encode4(383384), // Rule ID 6187 //
     /* 383311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 383315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 383319 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 383323 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 383327 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 383331 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 383335 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 383339 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383344 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 383348 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 383352 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 383356 */     // MIs[3] Operand 1
     /* 383356 */     // No operand predicates
     /* 383356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 383360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 383364 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 383366 */     // (strict_fma:{ *:[f64] } (vector_extract:{ *:[f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 383366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 383369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 383371 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 383373 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 383375 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 383379 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 383382 */     GIR_RootConstrainSelectedInstOperands,
     /* 383383 */     // GIR_Coverage, 6187,
     /* 383383 */     GIR_EraseRootFromParent_Done,
     /* 383384 */   // Label 7673: @383384
     /* 383384 */   GIM_Try, /*On fail goto*//*Label 7674*/ GIMT_Encode4(383468), // Rule ID 6099 //
     /* 383389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 383392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 383396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 383400 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 383404 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 383408 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383413 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 383417 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 383421 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 383425 */     // MIs[2] Operand 1
     /* 383425 */     // No operand predicates
     /* 383425 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 383429 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 383433 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /* 383437 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 383442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 383446 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 383448 */     // (strict_fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rn), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 383448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 383451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 383453 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 383455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 383459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 383463 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 383466 */     GIR_RootConstrainSelectedInstOperands,
     /* 383467 */     // GIR_Coverage, 6099,
     /* 383467 */     GIR_EraseRootFromParent_Done,
     /* 383468 */   // Label 7674: @383468
     /* 383468 */   GIM_Try, /*On fail goto*//*Label 7675*/ GIMT_Encode4(383549), // Rule ID 6131 //
     /* 383473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 383476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 383480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 383484 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 383488 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 383492 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 383496 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 383500 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 383504 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383509 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 383513 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 383517 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 383521 */     // MIs[3] Operand 1
     /* 383521 */     // No operand predicates
     /* 383521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 383525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 383529 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 383531 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 383531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 383534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 383536 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 383538 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 383540 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 383544 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 383547 */     GIR_RootConstrainSelectedInstOperands,
     /* 383548 */     // GIR_Coverage, 6131,
     /* 383548 */     GIR_EraseRootFromParent_Done,
     /* 383549 */   // Label 7675: @383549
     /* 383549 */   GIM_Try, /*On fail goto*//*Label 7676*/ GIMT_Encode4(383633), // Rule ID 6163 //
     /* 383554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 383557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 383561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 383565 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 383569 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 383574 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 383578 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 383582 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 383586 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 383590 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383595 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 383599 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 383603 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 383607 */     // MIs[3] Operand 1
     /* 383607 */     // No operand predicates
     /* 383607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 383611 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 383613 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rn), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 383613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 383616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 383618 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 383620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 383624 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 383628 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 383631 */     GIR_RootConstrainSelectedInstOperands,
     /* 383632 */     // GIR_Coverage, 6163,
     /* 383632 */     GIR_EraseRootFromParent_Done,
     /* 383633 */   // Label 7676: @383633
     /* 383633 */   GIM_Try, /*On fail goto*//*Label 7677*/ GIMT_Encode4(383711), // Rule ID 6209 //
     /* 383638 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 383642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 383646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 383650 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 383654 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 383658 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 383662 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 383666 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 383670 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383675 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 383679 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 383683 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 383687 */     // MIs[3] Operand 1
     /* 383687 */     // No operand predicates
     /* 383687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 383691 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 383693 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (vector_extract:{ *:[f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 383693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 383696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 383698 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 383700 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 383702 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 383706 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 383709 */     GIR_RootConstrainSelectedInstOperands,
     /* 383710 */     // GIR_Coverage, 6209,
     /* 383710 */     GIR_EraseRootFromParent_Done,
     /* 383711 */   // Label 7677: @383711
     /* 383711 */   GIM_Try, /*On fail goto*//*Label 7678*/ GIMT_Encode4(383792), // Rule ID 6067 //
     /* 383716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 383719 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 383723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 383727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 383731 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 383735 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 383739 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 383743 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 383747 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 383751 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383756 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 383760 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 383764 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 383768 */     // MIs[3] Operand 1
     /* 383768 */     // No operand predicates
     /* 383768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 383772 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 383774 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 383774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 383777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 383779 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 383781 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 383783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 383787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 383790 */     GIR_RootConstrainSelectedInstOperands,
     /* 383791 */     // GIR_Coverage, 6067,
     /* 383791 */     GIR_EraseRootFromParent_Done,
     /* 383792 */   // Label 7678: @383792
     /* 383792 */   GIM_Try, /*On fail goto*//*Label 7679*/ GIMT_Encode4(383877), // Rule ID 2465 //
     /* 383797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 383800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 383804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 383808 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 383812 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 383816 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383821 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 383825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 383829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 383833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 383835 */     // (strict_fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)  =>  (FMADDDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 383835 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 383838 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 383842 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 383847 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 383853 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 383858 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDDrrr),
     /* 383866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 383868 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 383871 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 383873 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 383875 */     GIR_RootConstrainSelectedInstOperands,
     /* 383876 */     // GIR_Coverage, 2465,
     /* 383876 */     GIR_EraseRootFromParent_Done,
     /* 383877 */   // Label 7679: @383877
     /* 383877 */   GIM_Try, /*On fail goto*//*Label 7680*/ GIMT_Encode4(383962), // Rule ID 2463 //
     /* 383882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 383885 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 383889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 383893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 383897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 383901 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 383905 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383910 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 383914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 383918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 383920 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra)  =>  (FMADDDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 383920 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 383923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 383927 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 383932 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 383938 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 383943 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDDrrr),
     /* 383951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 383953 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 383955 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 383958 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 383960 */     GIR_RootConstrainSelectedInstOperands,
     /* 383961 */     // GIR_Coverage, 2463,
     /* 383961 */     GIR_EraseRootFromParent_Done,
     /* 383962 */   // Label 7680: @383962
     /* 383962 */   GIM_Try, /*On fail goto*//*Label 7681*/ GIMT_Encode4(384031), // Rule ID 2555 //
     /* 383967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 383970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 383974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 383978 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 383982 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 383986 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383991 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 383995 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 383999 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 384003 */     // MIs[2] Operand 1
     /* 384003 */     // No operand predicates
     /* 384003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 384007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 384011 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 384013 */     // (strict_fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rd)  =>  (FMLAv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 384013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i64_indexed),
     /* 384016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 384018 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 384020 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 384022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 384026 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 384029 */     GIR_RootConstrainSelectedInstOperands,
     /* 384030 */     // GIR_Coverage, 2555,
     /* 384030 */     GIR_EraseRootFromParent_Done,
     /* 384031 */   // Label 7681: @384031
     /* 384031 */   GIM_Try, /*On fail goto*//*Label 7682*/ GIMT_Encode4(384100), // Rule ID 6035 //
     /* 384036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 384039 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 384043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 384047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 384051 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 384055 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 384059 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384064 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 384068 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 384072 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 384076 */     // MIs[2] Operand 1
     /* 384076 */     // No operand predicates
     /* 384076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 384080 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 384082 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64:{ *:[f64] }:$Rd)  =>  (FMLAv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 384082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i64_indexed),
     /* 384085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 384087 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 384089 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 384091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 384095 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 384098 */     GIR_RootConstrainSelectedInstOperands,
     /* 384099 */     // GIR_Coverage, 6035,
     /* 384099 */     GIR_EraseRootFromParent_Done,
     /* 384100 */   // Label 7682: @384100
     /* 384100 */   GIM_Try, /*On fail goto*//*Label 7683*/ GIMT_Encode4(384150), // Rule ID 13221 //
     /* 384105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 384108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 384112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 384116 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 384120 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 384125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 384129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 384133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 384135 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rm), FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 384135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 384138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 384140 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 384142 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 384146 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 384148 */     GIR_RootConstrainSelectedInstOperands,
     /* 384149 */     // GIR_Coverage, 13221,
     /* 384149 */     GIR_EraseRootFromParent_Done,
     /* 384150 */   // Label 7683: @384150
     /* 384150 */   GIM_Try, /*On fail goto*//*Label 7684*/ GIMT_Encode4(384200), // Rule ID 647 //
     /* 384155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 384158 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 384162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 384166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 384170 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 384174 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 384179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 384183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 384185 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rm), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 384185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 384188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 384190 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 384192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 384196 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 384198 */     GIR_RootConstrainSelectedInstOperands,
     /* 384199 */     // GIR_Coverage, 647,
     /* 384199 */     GIR_EraseRootFromParent_Done,
     /* 384200 */   // Label 7684: @384200
     /* 384200 */   GIM_Try, /*On fail goto*//*Label 7685*/ GIMT_Encode4(384250), // Rule ID 659 //
     /* 384205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 384208 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 384212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 384216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 384220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 384224 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 384228 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 384233 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 384235 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Ra))  =>  (FNMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 384235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBDrrr),
     /* 384238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 384240 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 384242 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 384244 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Ra
     /* 384248 */     GIR_RootConstrainSelectedInstOperands,
     /* 384249 */     // GIR_Coverage, 659,
     /* 384249 */     GIR_EraseRootFromParent_Done,
     /* 384250 */   // Label 7685: @384250
     /* 384250 */   GIM_Try, /*On fail goto*//*Label 7686*/ GIMT_Encode4(384281), // Rule ID 641 //
     /* 384255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 384258 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 384262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 384266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 384270 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)  =>  (FMADDDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 384270 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMADDDrrr),
     /* 384275 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 384279 */     GIR_RootConstrainSelectedInstOperands,
     /* 384280 */     // GIR_Coverage, 641,
     /* 384280 */     GIR_Done,
     /* 384281 */   // Label 7686: @384281
     /* 384281 */   GIM_Reject,
     /* 384282 */ // Label 7656: @384282
     /* 384282 */ GIM_Reject,
     /* 384283 */ // Label 7590: @384283
     /* 384283 */ GIM_Try, /*On fail goto*//*Label 7687*/ GIMT_Encode4(385803),
     /* 384288 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 384291 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 384294 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 384297 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 384301 */   GIM_Try, /*On fail goto*//*Label 7688*/ GIMT_Encode4(384379), // Rule ID 6167 //
     /* 384306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 384310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 384314 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 384318 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 384322 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 384326 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 384330 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 384334 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384339 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 384343 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 384347 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 384351 */     // MIs[3] Operand 1
     /* 384351 */     // No operand predicates
     /* 384351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 384355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 384359 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 384361 */     // (strict_fma:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 384361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 384364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 384366 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 384368 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 384370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 384374 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 384377 */     GIR_RootConstrainSelectedInstOperands,
     /* 384378 */     // GIR_Coverage, 6167,
     /* 384378 */     GIR_EraseRootFromParent_Done,
     /* 384379 */   // Label 7688: @384379
     /* 384379 */   GIM_Try, /*On fail goto*//*Label 7689*/ GIMT_Encode4(384463), // Rule ID 6083 //
     /* 384384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 384387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 384391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 384395 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 384399 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 384403 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384408 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 384412 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 384416 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 384420 */     // MIs[2] Operand 1
     /* 384420 */     // No operand predicates
     /* 384420 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 384424 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 384428 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 384432 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 384437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 384441 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 384443 */     // (strict_fma:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 384443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 384446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 384448 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 384450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 384454 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 384458 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 384461 */     GIR_RootConstrainSelectedInstOperands,
     /* 384462 */     // GIR_Coverage, 6083,
     /* 384462 */     GIR_EraseRootFromParent_Done,
     /* 384463 */   // Label 7689: @384463
     /* 384463 */   GIM_Try, /*On fail goto*//*Label 7690*/ GIMT_Encode4(384544), // Rule ID 6115 //
     /* 384468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 384471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 384475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 384479 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 384483 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 384487 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 384491 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 384495 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 384499 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384504 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 384508 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 384512 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 384516 */     // MIs[3] Operand 1
     /* 384516 */     // No operand predicates
     /* 384516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 384520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 384524 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 384526 */     // (strict_fma:{ *:[v2f32] } (fneg:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 384526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 384529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 384531 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 384533 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 384535 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 384539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 384542 */     GIR_RootConstrainSelectedInstOperands,
     /* 384543 */     // GIR_Coverage, 6115,
     /* 384543 */     GIR_EraseRootFromParent_Done,
     /* 384544 */   // Label 7690: @384544
     /* 384544 */   GIM_Try, /*On fail goto*//*Label 7691*/ GIMT_Encode4(384628), // Rule ID 6147 //
     /* 384549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 384552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 384556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 384560 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 384564 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 384569 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 384573 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 384577 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 384581 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 384585 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384590 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 384594 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 384598 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 384602 */     // MIs[3] Operand 1
     /* 384602 */     // No operand predicates
     /* 384602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 384606 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 384608 */     // (strict_fma:{ *:[v2f32] } (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 384608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 384611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 384613 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 384615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 384619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 384623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 384626 */     GIR_RootConstrainSelectedInstOperands,
     /* 384627 */     // GIR_Coverage, 6147,
     /* 384627 */     GIR_EraseRootFromParent_Done,
     /* 384628 */   // Label 7691: @384628
     /* 384628 */   GIM_Try, /*On fail goto*//*Label 7692*/ GIMT_Encode4(384706), // Rule ID 6189 //
     /* 384633 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 384637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 384641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 384645 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 384649 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 384653 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 384657 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 384661 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 384665 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384670 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 384674 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 384678 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 384682 */     // MIs[3] Operand 1
     /* 384682 */     // No operand predicates
     /* 384682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 384686 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 384688 */     // (strict_fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64duplane32:{ *:[v2f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 384688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 384691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 384693 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 384695 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 384697 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 384701 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 384704 */     GIR_RootConstrainSelectedInstOperands,
     /* 384705 */     // GIR_Coverage, 6189,
     /* 384705 */     GIR_EraseRootFromParent_Done,
     /* 384706 */   // Label 7692: @384706
     /* 384706 */   GIM_Try, /*On fail goto*//*Label 7693*/ GIMT_Encode4(384787), // Rule ID 6051 //
     /* 384711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 384714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 384718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 384722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 384726 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 384730 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 384734 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 384738 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 384742 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 384746 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384751 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 384755 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 384759 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 384763 */     // MIs[3] Operand 1
     /* 384763 */     // No operand predicates
     /* 384763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 384767 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 384769 */     // (strict_fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (fneg:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 384769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 384772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 384774 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 384776 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 384778 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 384782 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 384785 */     GIR_RootConstrainSelectedInstOperands,
     /* 384786 */     // GIR_Coverage, 6051,
     /* 384786 */     GIR_EraseRootFromParent_Done,
     /* 384787 */   // Label 7693: @384787
     /* 384787 */   GIM_Try, /*On fail goto*//*Label 7694*/ GIMT_Encode4(384856), // Rule ID 2539 //
     /* 384792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 384795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 384799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 384803 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 384807 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 384811 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384816 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 384820 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 384824 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 384828 */     // MIs[2] Operand 1
     /* 384828 */     // No operand predicates
     /* 384828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 384832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 384836 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 384838 */     // (strict_fma:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLAv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 384838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i32_indexed),
     /* 384841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 384843 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 384845 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 384847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 384851 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 384854 */     GIR_RootConstrainSelectedInstOperands,
     /* 384855 */     // GIR_Coverage, 2539,
     /* 384855 */     GIR_EraseRootFromParent_Done,
     /* 384856 */   // Label 7694: @384856
     /* 384856 */   GIM_Try, /*On fail goto*//*Label 7695*/ GIMT_Encode4(384925), // Rule ID 6019 //
     /* 384861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 384864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 384868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 384872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 384876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 384880 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 384884 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384889 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 384893 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 384897 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 384901 */     // MIs[2] Operand 1
     /* 384901 */     // No operand predicates
     /* 384901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 384905 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 384907 */     // (strict_fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rd)  =>  (FMLAv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 384907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i32_indexed),
     /* 384910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 384912 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 384914 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 384916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 384920 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 384923 */     GIR_RootConstrainSelectedInstOperands,
     /* 384924 */     // GIR_Coverage, 6019,
     /* 384924 */     GIR_EraseRootFromParent_Done,
     /* 384925 */   // Label 7695: @384925
     /* 384925 */   GIM_Try, /*On fail goto*//*Label 7696*/ GIMT_Encode4(385018), // Rule ID 6171 //
     /* 384930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 384934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 384938 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 384942 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 384946 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 384950 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 384954 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 384963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 384967 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 384969 */     // (strict_fma:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } (fneg:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rm)), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 384969 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 384972 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 384976 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 384981 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 384984 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 384988 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 384991 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384996 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 385001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 385004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 385006 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 385008 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 385010 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 385013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 385016 */     GIR_RootConstrainSelectedInstOperands,
     /* 385017 */     // GIR_Coverage, 6171,
     /* 385017 */     GIR_EraseRootFromParent_Done,
     /* 385018 */   // Label 7696: @385018
     /* 385018 */   GIM_Try, /*On fail goto*//*Label 7697*/ GIMT_Encode4(385117), // Rule ID 6085 //
     /* 385023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 385026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 385030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 385034 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 385038 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 385043 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 385047 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 385051 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 385055 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385064 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 385066 */     // (strict_fma:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm), (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 385066 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 385069 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 385073 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 385078 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 385081 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 385085 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 385088 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385093 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 385098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 385101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 385103 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 385105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 385109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 385112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 385115 */     GIR_RootConstrainSelectedInstOperands,
     /* 385116 */     // GIR_Coverage, 6085,
     /* 385116 */     GIR_EraseRootFromParent_Done,
     /* 385117 */   // Label 7697: @385117
     /* 385117 */   GIM_Try, /*On fail goto*//*Label 7698*/ GIMT_Encode4(385213), // Rule ID 6117 //
     /* 385122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 385125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 385129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 385133 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 385137 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 385141 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 385145 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 385149 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 385154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385162 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 385164 */     // (strict_fma:{ *:[v2f32] } (fneg:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm)), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 385164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 385167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 385171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 385176 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 385179 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 385183 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 385186 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385191 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 385196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 385199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 385201 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 385203 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 385205 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 385208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 385211 */     GIR_RootConstrainSelectedInstOperands,
     /* 385212 */     // GIR_Coverage, 6117,
     /* 385212 */     GIR_EraseRootFromParent_Done,
     /* 385213 */   // Label 7698: @385213
     /* 385213 */   GIM_Try, /*On fail goto*//*Label 7699*/ GIMT_Encode4(385312), // Rule ID 6149 //
     /* 385218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 385221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 385225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 385229 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 385233 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385238 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 385242 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 385246 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 385250 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 385255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385259 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 385261 */     // (strict_fma:{ *:[v2f32] } (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 385261 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 385264 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 385268 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 385273 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 385276 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 385280 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 385283 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385288 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 385293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 385296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 385298 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 385300 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 385304 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 385307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 385310 */     GIR_RootConstrainSelectedInstOperands,
     /* 385311 */     // GIR_Coverage, 6149,
     /* 385311 */     GIR_EraseRootFromParent_Done,
     /* 385312 */   // Label 7699: @385312
     /* 385312 */   GIM_Try, /*On fail goto*//*Label 7700*/ GIMT_Encode4(385405), // Rule ID 6193 //
     /* 385317 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 385325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 385329 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 385333 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 385337 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 385341 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 385345 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 385350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385354 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 385356 */     // (strict_fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64dup:{ *:[v2f32] } (fneg:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rm)), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 385356 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 385359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 385363 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 385368 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 385371 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 385375 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 385378 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385383 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 385388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 385391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 385393 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 385395 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 385397 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 385400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 385403 */     GIR_RootConstrainSelectedInstOperands,
     /* 385404 */     // GIR_Coverage, 6193,
     /* 385404 */     GIR_EraseRootFromParent_Done,
     /* 385405 */   // Label 7700: @385405
     /* 385405 */   GIM_Try, /*On fail goto*//*Label 7701*/ GIMT_Encode4(385501), // Rule ID 6053 //
     /* 385410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 385413 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 385421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 385425 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 385429 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 385433 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 385437 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 385441 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 385446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385450 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 385452 */     // (strict_fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (fneg:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm)), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 385452 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 385455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 385459 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 385464 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 385467 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 385471 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 385474 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385479 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 385484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 385487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 385489 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 385491 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 385493 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 385496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 385499 */     GIR_RootConstrainSelectedInstOperands,
     /* 385500 */     // GIR_Coverage, 6053,
     /* 385500 */     GIR_EraseRootFromParent_Done,
     /* 385501 */   // Label 7701: @385501
     /* 385501 */   GIM_Try, /*On fail goto*//*Label 7702*/ GIMT_Encode4(385585), // Rule ID 2541 //
     /* 385506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 385509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 385513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 385517 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 385521 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 385526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 385536 */     // (strict_fma:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLAv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 385536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 385539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 385543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 385548 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 385551 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 385555 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 385558 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385563 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 385568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i32_indexed),
     /* 385571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 385573 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 385575 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 385577 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 385580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 385583 */     GIR_RootConstrainSelectedInstOperands,
     /* 385584 */     // GIR_Coverage, 2541,
     /* 385584 */     GIR_EraseRootFromParent_Done,
     /* 385585 */   // Label 7702: @385585
     /* 385585 */   GIM_Try, /*On fail goto*//*Label 7703*/ GIMT_Encode4(385635), // Rule ID 13251 //
     /* 385590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 385593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 385597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 385601 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 385605 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385618 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 385620 */     // (strict_fma:{ *:[v2f32] } (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rm), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 385620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2f32),
     /* 385623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 385625 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 385627 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 385629 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 385633 */     GIR_RootConstrainSelectedInstOperands,
     /* 385634 */     // GIR_Coverage, 13251,
     /* 385634 */     GIR_EraseRootFromParent_Done,
     /* 385635 */   // Label 7703: @385635
     /* 385635 */   GIM_Try, /*On fail goto*//*Label 7704*/ GIMT_Encode4(385719), // Rule ID 6021 //
     /* 385640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 385643 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 385651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 385655 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 385659 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 385664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 385670 */     // (strict_fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm), V64:{ *:[v2f32] }:$Rd)  =>  (FMLAv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 385670 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 385673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 385677 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 385682 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 385685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 385689 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 385692 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385697 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 385702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i32_indexed),
     /* 385705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 385707 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 385709 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 385711 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 385714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 385717 */     GIR_RootConstrainSelectedInstOperands,
     /* 385718 */     // GIR_Coverage, 6021,
     /* 385718 */     GIR_EraseRootFromParent_Done,
     /* 385719 */   // Label 7704: @385719
     /* 385719 */   GIM_Try, /*On fail goto*//*Label 7705*/ GIMT_Encode4(385769), // Rule ID 1307 //
     /* 385724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 385727 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 385735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 385739 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 385743 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385752 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 385754 */     // (strict_fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rm), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 385754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2f32),
     /* 385757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 385759 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 385761 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 385763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 385767 */     GIR_RootConstrainSelectedInstOperands,
     /* 385768 */     // GIR_Coverage, 1307,
     /* 385768 */     GIR_EraseRootFromParent_Done,
     /* 385769 */   // Label 7705: @385769
     /* 385769 */   GIM_Try, /*On fail goto*//*Label 7706*/ GIMT_Encode4(385802), // Rule ID 1297 //
     /* 385774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 385777 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385789 */     // (strict_fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rm, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLAv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 385789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2f32),
     /* 385792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 385794 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 385796 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 385798 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 385800 */     GIR_RootConstrainSelectedInstOperands,
     /* 385801 */     // GIR_Coverage, 1297,
     /* 385801 */     GIR_EraseRootFromParent_Done,
     /* 385802 */   // Label 7706: @385802
     /* 385802 */   GIM_Reject,
     /* 385803 */ // Label 7687: @385803
     /* 385803 */ GIM_Reject,
     /* 385804 */ // Label 7591: @385804
     /* 385804 */ GIM_Try, /*On fail goto*//*Label 7707*/ GIMT_Encode4(387324),
     /* 385809 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 385812 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 385815 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 385818 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385822 */   GIM_Try, /*On fail goto*//*Label 7708*/ GIMT_Encode4(385900), // Rule ID 6179 //
     /* 385827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 385831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 385835 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 385839 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 385843 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 385847 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 385851 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 385855 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385860 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 385864 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 385868 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 385872 */     // MIs[3] Operand 1
     /* 385872 */     // No operand predicates
     /* 385872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385880 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 385882 */     // (strict_fma:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 385882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 385885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 385887 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 385889 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 385891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 385895 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 385898 */     GIR_RootConstrainSelectedInstOperands,
     /* 385899 */     // GIR_Coverage, 6179,
     /* 385899 */     GIR_EraseRootFromParent_Done,
     /* 385900 */   // Label 7708: @385900
     /* 385900 */   GIM_Try, /*On fail goto*//*Label 7709*/ GIMT_Encode4(385984), // Rule ID 6091 //
     /* 385905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 385908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 385912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 385916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 385920 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 385924 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385929 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 385933 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 385937 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 385941 */     // MIs[2] Operand 1
     /* 385941 */     // No operand predicates
     /* 385941 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 385945 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 385949 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 385953 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385962 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 385964 */     // (strict_fma:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 385964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 385967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 385969 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 385971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 385975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 385979 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 385982 */     GIR_RootConstrainSelectedInstOperands,
     /* 385983 */     // GIR_Coverage, 6091,
     /* 385983 */     GIR_EraseRootFromParent_Done,
     /* 385984 */   // Label 7709: @385984
     /* 385984 */   GIM_Try, /*On fail goto*//*Label 7710*/ GIMT_Encode4(386065), // Rule ID 6123 //
     /* 385989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 385992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 385996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 386000 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 386004 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 386008 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 386012 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 386016 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 386020 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386025 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 386029 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 386033 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 386037 */     // MIs[3] Operand 1
     /* 386037 */     // No operand predicates
     /* 386037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386045 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 386047 */     // (strict_fma:{ *:[v2f64] } (fneg:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 386047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 386050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 386052 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 386054 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 386056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 386060 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 386063 */     GIR_RootConstrainSelectedInstOperands,
     /* 386064 */     // GIR_Coverage, 6123,
     /* 386064 */     GIR_EraseRootFromParent_Done,
     /* 386065 */   // Label 7710: @386065
     /* 386065 */   GIM_Try, /*On fail goto*//*Label 7711*/ GIMT_Encode4(386149), // Rule ID 6155 //
     /* 386070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 386073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 386077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 386081 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 386085 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386090 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 386094 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 386098 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 386102 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 386106 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386111 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 386115 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 386119 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 386123 */     // MIs[3] Operand 1
     /* 386123 */     // No operand predicates
     /* 386123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386127 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 386129 */     // (strict_fma:{ *:[v2f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 386129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 386132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 386134 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 386136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 386140 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 386144 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 386147 */     GIR_RootConstrainSelectedInstOperands,
     /* 386148 */     // GIR_Coverage, 6155,
     /* 386148 */     GIR_EraseRootFromParent_Done,
     /* 386149 */   // Label 7711: @386149
     /* 386149 */   GIM_Try, /*On fail goto*//*Label 7712*/ GIMT_Encode4(386227), // Rule ID 6201 //
     /* 386154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 386162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 386166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 386170 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 386174 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 386178 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 386182 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 386186 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386191 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 386195 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 386199 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 386203 */     // MIs[3] Operand 1
     /* 386203 */     // No operand predicates
     /* 386203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386207 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 386209 */     // (strict_fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64duplane64:{ *:[v2f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 386209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 386212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 386214 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 386216 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 386218 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 386222 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 386225 */     GIR_RootConstrainSelectedInstOperands,
     /* 386226 */     // GIR_Coverage, 6201,
     /* 386226 */     GIR_EraseRootFromParent_Done,
     /* 386227 */   // Label 7712: @386227
     /* 386227 */   GIM_Try, /*On fail goto*//*Label 7713*/ GIMT_Encode4(386308), // Rule ID 6059 //
     /* 386232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 386235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 386243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 386247 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 386251 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 386255 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 386259 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 386263 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 386267 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386272 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 386276 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 386280 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 386284 */     // MIs[3] Operand 1
     /* 386284 */     // No operand predicates
     /* 386284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386288 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 386290 */     // (strict_fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (fneg:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 386290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 386293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 386295 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 386297 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 386299 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 386303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 386306 */     GIR_RootConstrainSelectedInstOperands,
     /* 386307 */     // GIR_Coverage, 6059,
     /* 386307 */     GIR_EraseRootFromParent_Done,
     /* 386308 */   // Label 7713: @386308
     /* 386308 */   GIM_Try, /*On fail goto*//*Label 7714*/ GIMT_Encode4(386377), // Rule ID 2547 //
     /* 386313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 386316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 386320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 386324 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 386328 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 386332 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386337 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 386341 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 386345 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 386349 */     // MIs[2] Operand 1
     /* 386349 */     // No operand predicates
     /* 386349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386357 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 386359 */     // (strict_fma:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLAv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 386359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i64_indexed),
     /* 386362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 386364 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 386366 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 386368 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 386372 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 386375 */     GIR_RootConstrainSelectedInstOperands,
     /* 386376 */     // GIR_Coverage, 2547,
     /* 386376 */     GIR_EraseRootFromParent_Done,
     /* 386377 */   // Label 7714: @386377
     /* 386377 */   GIM_Try, /*On fail goto*//*Label 7715*/ GIMT_Encode4(386446), // Rule ID 6027 //
     /* 386382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 386385 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 386393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 386397 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 386401 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 386405 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386410 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 386414 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 386418 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 386422 */     // MIs[2] Operand 1
     /* 386422 */     // No operand predicates
     /* 386422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386426 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 386428 */     // (strict_fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rd)  =>  (FMLAv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 386428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i64_indexed),
     /* 386431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 386433 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 386435 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 386437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 386441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 386444 */     GIR_RootConstrainSelectedInstOperands,
     /* 386445 */     // GIR_Coverage, 6027,
     /* 386445 */     GIR_EraseRootFromParent_Done,
     /* 386446 */   // Label 7715: @386446
     /* 386446 */   GIM_Try, /*On fail goto*//*Label 7716*/ GIMT_Encode4(386539), // Rule ID 6181 //
     /* 386451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 386455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 386459 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 386463 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 386467 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 386471 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 386475 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386488 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 386490 */     // (strict_fma:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } (fneg:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rm)), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 386490 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 386493 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 386497 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 386502 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 386505 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 386509 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 386512 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386517 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 386525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 386527 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 386529 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 386531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 386534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 386537 */     GIR_RootConstrainSelectedInstOperands,
     /* 386538 */     // GIR_Coverage, 6181,
     /* 386538 */     GIR_EraseRootFromParent_Done,
     /* 386539 */   // Label 7716: @386539
     /* 386539 */   GIM_Try, /*On fail goto*//*Label 7717*/ GIMT_Encode4(386638), // Rule ID 6093 //
     /* 386544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 386547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 386551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 386555 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 386559 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386564 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 386568 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 386572 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 386576 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386585 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 386587 */     // (strict_fma:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm), (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 386587 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 386590 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 386594 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 386599 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 386602 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 386606 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 386609 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386614 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 386622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 386624 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 386626 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 386630 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 386633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 386636 */     GIR_RootConstrainSelectedInstOperands,
     /* 386637 */     // GIR_Coverage, 6093,
     /* 386637 */     GIR_EraseRootFromParent_Done,
     /* 386638 */   // Label 7717: @386638
     /* 386638 */   GIM_Try, /*On fail goto*//*Label 7718*/ GIMT_Encode4(386734), // Rule ID 6125 //
     /* 386643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 386646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 386650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 386654 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 386658 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 386662 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 386666 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 386670 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386683 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 386685 */     // (strict_fma:{ *:[v2f64] } (fneg:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm)), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 386685 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 386688 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 386692 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 386697 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 386700 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 386704 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 386707 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386712 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 386720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 386722 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 386724 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 386726 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 386729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 386732 */     GIR_RootConstrainSelectedInstOperands,
     /* 386733 */     // GIR_Coverage, 6125,
     /* 386733 */     GIR_EraseRootFromParent_Done,
     /* 386734 */   // Label 7718: @386734
     /* 386734 */   GIM_Try, /*On fail goto*//*Label 7719*/ GIMT_Encode4(386833), // Rule ID 6157 //
     /* 386739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 386742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 386746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 386750 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 386754 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386759 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 386763 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 386767 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 386771 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386780 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 386782 */     // (strict_fma:{ *:[v2f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 386782 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 386785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 386789 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 386794 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 386797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 386801 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 386804 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386809 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 386817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 386819 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 386821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 386825 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 386828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 386831 */     GIR_RootConstrainSelectedInstOperands,
     /* 386832 */     // GIR_Coverage, 6157,
     /* 386832 */     GIR_EraseRootFromParent_Done,
     /* 386833 */   // Label 7719: @386833
     /* 386833 */   GIM_Try, /*On fail goto*//*Label 7720*/ GIMT_Encode4(386926), // Rule ID 6203 //
     /* 386838 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 386846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 386850 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 386854 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 386858 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 386862 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 386866 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386875 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 386877 */     // (strict_fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64dup:{ *:[v2f64] } (fneg:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rm)), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 386877 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 386880 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 386884 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 386889 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 386892 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 386896 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 386899 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386904 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 386912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 386914 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 386916 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 386918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 386921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 386924 */     GIR_RootConstrainSelectedInstOperands,
     /* 386925 */     // GIR_Coverage, 6203,
     /* 386925 */     GIR_EraseRootFromParent_Done,
     /* 386926 */   // Label 7720: @386926
     /* 386926 */   GIM_Try, /*On fail goto*//*Label 7721*/ GIMT_Encode4(387022), // Rule ID 6061 //
     /* 386931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 386934 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 386942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 386946 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 386950 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 386954 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 386958 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 386962 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386971 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 386973 */     // (strict_fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (fneg:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm)), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 386973 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 386976 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 386980 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 386985 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 386988 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 386992 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 386995 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387000 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 387008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 387010 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 387012 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 387014 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 387017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 387020 */     GIR_RootConstrainSelectedInstOperands,
     /* 387021 */     // GIR_Coverage, 6061,
     /* 387021 */     GIR_EraseRootFromParent_Done,
     /* 387022 */   // Label 7721: @387022
     /* 387022 */   GIM_Try, /*On fail goto*//*Label 7722*/ GIMT_Encode4(387106), // Rule ID 2549 //
     /* 387027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 387030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 387034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 387038 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 387042 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 387057 */     // (strict_fma:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLAv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 387057 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 387060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 387064 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 387069 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 387072 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 387076 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 387079 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387084 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i64_indexed),
     /* 387092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 387094 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 387096 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 387098 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 387101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 387104 */     GIR_RootConstrainSelectedInstOperands,
     /* 387105 */     // GIR_Coverage, 2549,
     /* 387105 */     GIR_EraseRootFromParent_Done,
     /* 387106 */   // Label 7722: @387106
     /* 387106 */   GIM_Try, /*On fail goto*//*Label 7723*/ GIMT_Encode4(387156), // Rule ID 13255 //
     /* 387111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 387114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 387118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 387122 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 387126 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 387141 */     // (strict_fma:{ *:[v2f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 387141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2f64),
     /* 387144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 387146 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 387148 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 387150 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 387154 */     GIR_RootConstrainSelectedInstOperands,
     /* 387155 */     // GIR_Coverage, 13255,
     /* 387155 */     GIR_EraseRootFromParent_Done,
     /* 387156 */   // Label 7723: @387156
     /* 387156 */   GIM_Try, /*On fail goto*//*Label 7724*/ GIMT_Encode4(387240), // Rule ID 6029 //
     /* 387161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 387164 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 387172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 387176 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 387180 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 387191 */     // (strict_fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm), V128:{ *:[v2f64] }:$Rd)  =>  (FMLAv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 387191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 387194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 387198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 387203 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 387206 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 387210 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 387213 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387218 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i64_indexed),
     /* 387226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 387228 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 387230 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 387232 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 387235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 387238 */     GIR_RootConstrainSelectedInstOperands,
     /* 387239 */     // GIR_Coverage, 6029,
     /* 387239 */     GIR_EraseRootFromParent_Done,
     /* 387240 */   // Label 7724: @387240
     /* 387240 */   GIM_Try, /*On fail goto*//*Label 7725*/ GIMT_Encode4(387290), // Rule ID 1311 //
     /* 387245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 387248 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 387256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 387260 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 387264 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 387275 */     // (strict_fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 387275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2f64),
     /* 387278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 387280 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 387282 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 387284 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 387288 */     GIR_RootConstrainSelectedInstOperands,
     /* 387289 */     // GIR_Coverage, 1311,
     /* 387289 */     GIR_EraseRootFromParent_Done,
     /* 387290 */   // Label 7725: @387290
     /* 387290 */   GIM_Try, /*On fail goto*//*Label 7726*/ GIMT_Encode4(387323), // Rule ID 1301 //
     /* 387295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 387298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387310 */     // (strict_fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLAv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 387310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2f64),
     /* 387313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 387315 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 387317 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 387319 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 387321 */     GIR_RootConstrainSelectedInstOperands,
     /* 387322 */     // GIR_Coverage, 1301,
     /* 387322 */     GIR_EraseRootFromParent_Done,
     /* 387323 */   // Label 7726: @387323
     /* 387323 */   GIM_Reject,
     /* 387324 */ // Label 7707: @387324
     /* 387324 */ GIM_Reject,
     /* 387325 */ // Label 7592: @387325
     /* 387325 */ GIM_Try, /*On fail goto*//*Label 7727*/ GIMT_Encode4(388503),
     /* 387330 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 387333 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 387336 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 387339 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387343 */   GIM_Try, /*On fail goto*//*Label 7728*/ GIMT_Encode4(387427), // Rule ID 6075 //
     /* 387348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 387351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 387355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 387359 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 387363 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 387367 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 387372 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 387376 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 387380 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 387384 */     // MIs[2] Operand 1
     /* 387384 */     // No operand predicates
     /* 387384 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 387388 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 387392 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 387396 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387405 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 387407 */     // (strict_fma:{ *:[v4f16] } (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 387407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 387410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 387412 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 387414 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 387418 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 387422 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 387425 */     GIR_RootConstrainSelectedInstOperands,
     /* 387426 */     // GIR_Coverage, 6075,
     /* 387426 */     GIR_EraseRootFromParent_Done,
     /* 387427 */   // Label 7728: @387427
     /* 387427 */   GIM_Try, /*On fail goto*//*Label 7729*/ GIMT_Encode4(387508), // Rule ID 6107 //
     /* 387432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 387435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 387439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 387443 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 387447 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 387451 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 387455 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 387459 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 387463 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 387468 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 387472 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 387476 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 387480 */     // MIs[3] Operand 1
     /* 387480 */     // No operand predicates
     /* 387480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387488 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 387490 */     // (strict_fma:{ *:[v4f16] } (fneg:{ *:[v4f16] } (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 387490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 387493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 387495 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 387497 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 387499 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 387503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 387506 */     GIR_RootConstrainSelectedInstOperands,
     /* 387507 */     // GIR_Coverage, 6107,
     /* 387507 */     GIR_EraseRootFromParent_Done,
     /* 387508 */   // Label 7729: @387508
     /* 387508 */   GIM_Try, /*On fail goto*//*Label 7730*/ GIMT_Encode4(387592), // Rule ID 6139 //
     /* 387513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 387516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 387520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 387524 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 387528 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387533 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 387537 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 387541 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 387545 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 387549 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 387554 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 387558 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 387562 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 387566 */     // MIs[3] Operand 1
     /* 387566 */     // No operand predicates
     /* 387566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387570 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 387572 */     // (strict_fma:{ *:[v4f16] } (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 387572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 387575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 387577 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 387579 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 387583 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 387587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 387590 */     GIR_RootConstrainSelectedInstOperands,
     /* 387591 */     // GIR_Coverage, 6139,
     /* 387591 */     GIR_EraseRootFromParent_Done,
     /* 387592 */   // Label 7730: @387592
     /* 387592 */   GIM_Try, /*On fail goto*//*Label 7731*/ GIMT_Encode4(387673), // Rule ID 6043 //
     /* 387597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 387600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 387608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 387612 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 387616 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 387620 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 387624 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 387628 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 387632 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 387637 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 387641 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 387645 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 387649 */     // MIs[3] Operand 1
     /* 387649 */     // No operand predicates
     /* 387649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387653 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 387655 */     // (strict_fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (fneg:{ *:[v4f16] } (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 387655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 387658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 387660 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 387662 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 387664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 387668 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 387671 */     GIR_RootConstrainSelectedInstOperands,
     /* 387672 */     // GIR_Coverage, 6043,
     /* 387672 */     GIR_EraseRootFromParent_Done,
     /* 387673 */   // Label 7731: @387673
     /* 387673 */   GIM_Try, /*On fail goto*//*Label 7732*/ GIMT_Encode4(387742), // Rule ID 2531 //
     /* 387678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 387681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 387685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 387689 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 387693 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 387697 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 387702 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 387706 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 387710 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 387714 */     // MIs[2] Operand 1
     /* 387714 */     // No operand predicates
     /* 387714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387722 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 387724 */     // (strict_fma:{ *:[v4f16] } (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLAv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 387724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i16_indexed),
     /* 387727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 387729 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 387731 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 387733 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 387737 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 387740 */     GIR_RootConstrainSelectedInstOperands,
     /* 387741 */     // GIR_Coverage, 2531,
     /* 387741 */     GIR_EraseRootFromParent_Done,
     /* 387742 */   // Label 7732: @387742
     /* 387742 */   GIM_Try, /*On fail goto*//*Label 7733*/ GIMT_Encode4(387811), // Rule ID 6011 //
     /* 387747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 387750 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 387758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 387762 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 387766 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 387770 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 387775 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 387779 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 387783 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 387787 */     // MIs[2] Operand 1
     /* 387787 */     // No operand predicates
     /* 387787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387791 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 387793 */     // (strict_fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4f16] }:$Rd)  =>  (FMLAv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 387793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i16_indexed),
     /* 387796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 387798 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 387800 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 387802 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 387806 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 387809 */     GIR_RootConstrainSelectedInstOperands,
     /* 387810 */     // GIR_Coverage, 6011,
     /* 387810 */     GIR_EraseRootFromParent_Done,
     /* 387811 */   // Label 7733: @387811
     /* 387811 */   GIM_Try, /*On fail goto*//*Label 7734*/ GIMT_Encode4(387910), // Rule ID 6077 //
     /* 387816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 387819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 387823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 387827 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 387831 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 387836 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 387840 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 387844 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 387848 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387857 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 387859 */     // (strict_fma:{ *:[v4f16] } (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm), (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 387859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 387862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 387866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 387871 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 387874 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 387878 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 387881 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387886 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 387891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 387894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 387896 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 387898 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 387902 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 387905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 387908 */     GIR_RootConstrainSelectedInstOperands,
     /* 387909 */     // GIR_Coverage, 6077,
     /* 387909 */     GIR_EraseRootFromParent_Done,
     /* 387910 */   // Label 7734: @387910
     /* 387910 */   GIM_Try, /*On fail goto*//*Label 7735*/ GIMT_Encode4(388006), // Rule ID 6109 //
     /* 387915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 387918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 387922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 387926 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 387930 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 387934 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 387938 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 387942 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 387947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387955 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 387957 */     // (strict_fma:{ *:[v4f16] } (fneg:{ *:[v4f16] } (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm)), V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 387957 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 387960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 387964 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 387969 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 387972 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 387976 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 387979 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387984 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 387989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 387992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 387994 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 387996 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 387998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 388001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 388004 */     GIR_RootConstrainSelectedInstOperands,
     /* 388005 */     // GIR_Coverage, 6109,
     /* 388005 */     GIR_EraseRootFromParent_Done,
     /* 388006 */   // Label 7735: @388006
     /* 388006 */   GIM_Try, /*On fail goto*//*Label 7736*/ GIMT_Encode4(388105), // Rule ID 6141 //
     /* 388011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 388014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 388018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 388022 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 388026 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388031 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 388035 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 388039 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 388043 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 388048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388052 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 388054 */     // (strict_fma:{ *:[v4f16] } (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 388054 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 388057 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 388061 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 388066 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 388069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 388073 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 388076 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388081 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 388086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 388089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 388091 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 388093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 388097 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 388100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 388103 */     GIR_RootConstrainSelectedInstOperands,
     /* 388104 */     // GIR_Coverage, 6141,
     /* 388104 */     GIR_EraseRootFromParent_Done,
     /* 388105 */   // Label 7736: @388105
     /* 388105 */   GIM_Try, /*On fail goto*//*Label 7737*/ GIMT_Encode4(388201), // Rule ID 6045 //
     /* 388110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 388113 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 388121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 388125 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 388129 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 388133 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 388137 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 388141 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 388146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388150 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 388152 */     // (strict_fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (fneg:{ *:[v4f16] } (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm)), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 388152 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 388155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 388159 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 388164 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 388167 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 388171 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 388174 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388179 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 388184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 388187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 388189 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 388191 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 388193 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 388196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 388199 */     GIR_RootConstrainSelectedInstOperands,
     /* 388200 */     // GIR_Coverage, 6045,
     /* 388200 */     GIR_EraseRootFromParent_Done,
     /* 388201 */   // Label 7737: @388201
     /* 388201 */   GIM_Try, /*On fail goto*//*Label 7738*/ GIMT_Encode4(388285), // Rule ID 2533 //
     /* 388206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 388209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 388213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 388217 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 388221 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 388226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 388236 */     // (strict_fma:{ *:[v4f16] } (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLAv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 388236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 388239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 388243 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 388248 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 388251 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 388255 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 388258 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388263 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 388268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i16_indexed),
     /* 388271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 388273 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 388275 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 388277 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 388280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 388283 */     GIR_RootConstrainSelectedInstOperands,
     /* 388284 */     // GIR_Coverage, 2533,
     /* 388284 */     GIR_EraseRootFromParent_Done,
     /* 388285 */   // Label 7738: @388285
     /* 388285 */   GIM_Try, /*On fail goto*//*Label 7739*/ GIMT_Encode4(388335), // Rule ID 13247 //
     /* 388290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 388293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 388297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 388301 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 388305 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 388320 */     // (strict_fma:{ *:[v4f16] } (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rm), V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 388320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4f16),
     /* 388323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 388325 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 388327 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 388329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 388333 */     GIR_RootConstrainSelectedInstOperands,
     /* 388334 */     // GIR_Coverage, 13247,
     /* 388334 */     GIR_EraseRootFromParent_Done,
     /* 388335 */   // Label 7739: @388335
     /* 388335 */   GIM_Try, /*On fail goto*//*Label 7740*/ GIMT_Encode4(388419), // Rule ID 6013 //
     /* 388340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 388343 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 388351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 388355 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 388359 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 388364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388368 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 388370 */     // (strict_fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V64:{ *:[v4f16] }:$Rd)  =>  (FMLAv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 388370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 388373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 388377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 388382 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 388385 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 388389 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 388392 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388397 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 388402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i16_indexed),
     /* 388405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 388407 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 388409 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 388411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 388414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 388417 */     GIR_RootConstrainSelectedInstOperands,
     /* 388418 */     // GIR_Coverage, 6013,
     /* 388418 */     GIR_EraseRootFromParent_Done,
     /* 388419 */   // Label 7740: @388419
     /* 388419 */   GIM_Try, /*On fail goto*//*Label 7741*/ GIMT_Encode4(388469), // Rule ID 1303 //
     /* 388424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 388427 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 388435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 388439 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 388443 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388452 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 388454 */     // (strict_fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rm), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 388454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4f16),
     /* 388457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 388459 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 388461 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 388463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 388467 */     GIR_RootConstrainSelectedInstOperands,
     /* 388468 */     // GIR_Coverage, 1303,
     /* 388468 */     GIR_EraseRootFromParent_Done,
     /* 388469 */   // Label 7741: @388469
     /* 388469 */   GIM_Try, /*On fail goto*//*Label 7742*/ GIMT_Encode4(388502), // Rule ID 1293 //
     /* 388474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 388477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388489 */     // (strict_fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rm, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLAv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 388489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4f16),
     /* 388492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 388494 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 388496 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 388498 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 388500 */     GIR_RootConstrainSelectedInstOperands,
     /* 388501 */     // GIR_Coverage, 1293,
     /* 388501 */     GIR_EraseRootFromParent_Done,
     /* 388502 */   // Label 7742: @388502
     /* 388502 */   GIM_Reject,
     /* 388503 */ // Label 7727: @388503
     /* 388503 */ GIM_Reject,
     /* 388504 */ // Label 7593: @388504
     /* 388504 */ GIM_Try, /*On fail goto*//*Label 7743*/ GIMT_Encode4(390024),
     /* 388509 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 388512 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 388515 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 388518 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388522 */   GIM_Try, /*On fail goto*//*Label 7744*/ GIMT_Encode4(388600), // Rule ID 6173 //
     /* 388527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 388531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 388535 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 388539 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 388543 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 388547 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 388551 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 388555 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388560 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 388564 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 388568 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 388572 */     // MIs[3] Operand 1
     /* 388572 */     // No operand predicates
     /* 388572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388580 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 388582 */     // (strict_fma:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 388582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 388585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 388587 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 388589 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 388591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 388595 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 388598 */     GIR_RootConstrainSelectedInstOperands,
     /* 388599 */     // GIR_Coverage, 6173,
     /* 388599 */     GIR_EraseRootFromParent_Done,
     /* 388600 */   // Label 7744: @388600
     /* 388600 */   GIM_Try, /*On fail goto*//*Label 7745*/ GIMT_Encode4(388684), // Rule ID 6087 //
     /* 388605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 388608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 388612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 388616 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 388620 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 388624 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388629 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 388633 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 388637 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 388641 */     // MIs[2] Operand 1
     /* 388641 */     // No operand predicates
     /* 388641 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 388645 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 388649 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 388653 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388662 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 388664 */     // (strict_fma:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 388664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 388667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 388669 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 388671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 388675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 388679 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 388682 */     GIR_RootConstrainSelectedInstOperands,
     /* 388683 */     // GIR_Coverage, 6087,
     /* 388683 */     GIR_EraseRootFromParent_Done,
     /* 388684 */   // Label 7745: @388684
     /* 388684 */   GIM_Try, /*On fail goto*//*Label 7746*/ GIMT_Encode4(388765), // Rule ID 6119 //
     /* 388689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 388692 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 388696 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 388700 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 388704 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 388708 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 388712 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 388716 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 388720 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388725 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 388729 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 388733 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 388737 */     // MIs[3] Operand 1
     /* 388737 */     // No operand predicates
     /* 388737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388745 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 388747 */     // (strict_fma:{ *:[v4f32] } (fneg:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 388747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 388750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 388752 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 388754 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 388756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 388760 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 388763 */     GIR_RootConstrainSelectedInstOperands,
     /* 388764 */     // GIR_Coverage, 6119,
     /* 388764 */     GIR_EraseRootFromParent_Done,
     /* 388765 */   // Label 7746: @388765
     /* 388765 */   GIM_Try, /*On fail goto*//*Label 7747*/ GIMT_Encode4(388849), // Rule ID 6151 //
     /* 388770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 388773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 388777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 388781 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 388785 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388790 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 388794 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 388798 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 388802 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 388806 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388811 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 388815 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 388819 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 388823 */     // MIs[3] Operand 1
     /* 388823 */     // No operand predicates
     /* 388823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388827 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 388829 */     // (strict_fma:{ *:[v4f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 388829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 388832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 388834 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 388836 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 388840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 388844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 388847 */     GIR_RootConstrainSelectedInstOperands,
     /* 388848 */     // GIR_Coverage, 6151,
     /* 388848 */     GIR_EraseRootFromParent_Done,
     /* 388849 */   // Label 7747: @388849
     /* 388849 */   GIM_Try, /*On fail goto*//*Label 7748*/ GIMT_Encode4(388927), // Rule ID 6195 //
     /* 388854 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 388862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 388866 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 388870 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 388874 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 388878 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 388882 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 388886 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388891 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 388895 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 388899 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 388903 */     // MIs[3] Operand 1
     /* 388903 */     // No operand predicates
     /* 388903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388907 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 388909 */     // (strict_fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64duplane32:{ *:[v4f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 388909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 388912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 388914 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 388916 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 388918 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 388922 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 388925 */     GIR_RootConstrainSelectedInstOperands,
     /* 388926 */     // GIR_Coverage, 6195,
     /* 388926 */     GIR_EraseRootFromParent_Done,
     /* 388927 */   // Label 7748: @388927
     /* 388927 */   GIM_Try, /*On fail goto*//*Label 7749*/ GIMT_Encode4(389008), // Rule ID 6055 //
     /* 388932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 388935 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 388943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 388947 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 388951 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 388955 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 388959 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 388963 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 388967 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388972 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 388976 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 388980 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 388984 */     // MIs[3] Operand 1
     /* 388984 */     // No operand predicates
     /* 388984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388988 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 388990 */     // (strict_fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (fneg:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 388990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 388993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 388995 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 388997 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 388999 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 389003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 389006 */     GIR_RootConstrainSelectedInstOperands,
     /* 389007 */     // GIR_Coverage, 6055,
     /* 389007 */     GIR_EraseRootFromParent_Done,
     /* 389008 */   // Label 7749: @389008
     /* 389008 */   GIM_Try, /*On fail goto*//*Label 7750*/ GIMT_Encode4(389077), // Rule ID 2543 //
     /* 389013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 389020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 389024 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 389028 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 389032 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389037 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 389041 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 389045 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 389049 */     // MIs[2] Operand 1
     /* 389049 */     // No operand predicates
     /* 389049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389057 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 389059 */     // (strict_fma:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLAv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 389059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i32_indexed),
     /* 389062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 389064 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 389066 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 389068 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 389072 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 389075 */     GIR_RootConstrainSelectedInstOperands,
     /* 389076 */     // GIR_Coverage, 2543,
     /* 389076 */     GIR_EraseRootFromParent_Done,
     /* 389077 */   // Label 7750: @389077
     /* 389077 */   GIM_Try, /*On fail goto*//*Label 7751*/ GIMT_Encode4(389146), // Rule ID 6023 //
     /* 389082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389085 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 389093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 389097 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 389101 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 389105 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389110 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 389114 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 389118 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 389122 */     // MIs[2] Operand 1
     /* 389122 */     // No operand predicates
     /* 389122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389126 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 389128 */     // (strict_fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rd)  =>  (FMLAv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 389128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i32_indexed),
     /* 389131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 389133 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 389135 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 389137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 389141 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 389144 */     GIR_RootConstrainSelectedInstOperands,
     /* 389145 */     // GIR_Coverage, 6023,
     /* 389145 */     GIR_EraseRootFromParent_Done,
     /* 389146 */   // Label 7751: @389146
     /* 389146 */   GIM_Try, /*On fail goto*//*Label 7752*/ GIMT_Encode4(389239), // Rule ID 6177 //
     /* 389151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 389155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 389159 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 389163 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 389167 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 389171 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 389175 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 389180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389188 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 389190 */     // (strict_fma:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } (fneg:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rm)), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 389190 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 389193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 389197 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 389202 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 389205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 389209 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 389212 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389217 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 389222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 389225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 389227 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 389229 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 389231 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 389234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 389237 */     GIR_RootConstrainSelectedInstOperands,
     /* 389238 */     // GIR_Coverage, 6177,
     /* 389238 */     GIR_EraseRootFromParent_Done,
     /* 389239 */   // Label 7752: @389239
     /* 389239 */   GIM_Try, /*On fail goto*//*Label 7753*/ GIMT_Encode4(389338), // Rule ID 6089 //
     /* 389244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 389251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 389255 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 389259 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 389264 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 389268 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 389272 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 389276 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389285 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 389287 */     // (strict_fma:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm), (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 389287 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 389290 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 389294 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 389299 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 389302 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 389306 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 389309 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389314 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 389319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 389322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 389324 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 389326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 389330 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 389333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 389336 */     GIR_RootConstrainSelectedInstOperands,
     /* 389337 */     // GIR_Coverage, 6089,
     /* 389337 */     GIR_EraseRootFromParent_Done,
     /* 389338 */   // Label 7753: @389338
     /* 389338 */   GIM_Try, /*On fail goto*//*Label 7754*/ GIMT_Encode4(389434), // Rule ID 6121 //
     /* 389343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 389350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 389354 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 389358 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 389362 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 389366 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 389370 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 389375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389383 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 389385 */     // (strict_fma:{ *:[v4f32] } (fneg:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm)), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 389385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 389388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 389392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 389397 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 389400 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 389404 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 389407 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389412 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 389417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 389420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 389422 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 389424 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 389426 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 389429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 389432 */     GIR_RootConstrainSelectedInstOperands,
     /* 389433 */     // GIR_Coverage, 6121,
     /* 389433 */     GIR_EraseRootFromParent_Done,
     /* 389434 */   // Label 7754: @389434
     /* 389434 */   GIM_Try, /*On fail goto*//*Label 7755*/ GIMT_Encode4(389533), // Rule ID 6153 //
     /* 389439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 389446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 389450 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 389454 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389459 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 389463 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 389467 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 389471 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 389476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389480 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 389482 */     // (strict_fma:{ *:[v4f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 389482 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 389485 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 389489 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 389494 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 389497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 389501 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 389504 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389509 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 389514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 389517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 389519 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 389521 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 389525 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 389528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 389531 */     GIR_RootConstrainSelectedInstOperands,
     /* 389532 */     // GIR_Coverage, 6153,
     /* 389532 */     GIR_EraseRootFromParent_Done,
     /* 389533 */   // Label 7755: @389533
     /* 389533 */   GIM_Try, /*On fail goto*//*Label 7756*/ GIMT_Encode4(389626), // Rule ID 6199 //
     /* 389538 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 389546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 389550 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 389554 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 389558 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 389562 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 389566 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 389571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389575 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 389577 */     // (strict_fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64dup:{ *:[v4f32] } (fneg:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rm)), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 389577 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 389580 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 389584 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 389589 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 389592 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 389596 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 389599 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389604 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 389609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 389612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 389614 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 389616 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 389618 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 389621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 389624 */     GIR_RootConstrainSelectedInstOperands,
     /* 389625 */     // GIR_Coverage, 6199,
     /* 389625 */     GIR_EraseRootFromParent_Done,
     /* 389626 */   // Label 7756: @389626
     /* 389626 */   GIM_Try, /*On fail goto*//*Label 7757*/ GIMT_Encode4(389722), // Rule ID 6057 //
     /* 389631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 389642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 389646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 389650 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 389654 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 389658 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 389662 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 389667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389671 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 389673 */     // (strict_fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (fneg:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm)), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 389673 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 389676 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 389680 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 389685 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 389688 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 389692 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 389695 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389700 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 389705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 389708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 389710 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 389712 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 389714 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 389717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 389720 */     GIR_RootConstrainSelectedInstOperands,
     /* 389721 */     // GIR_Coverage, 6057,
     /* 389721 */     GIR_EraseRootFromParent_Done,
     /* 389722 */   // Label 7757: @389722
     /* 389722 */   GIM_Try, /*On fail goto*//*Label 7758*/ GIMT_Encode4(389806), // Rule ID 2545 //
     /* 389727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 389734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 389738 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 389742 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 389747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 389757 */     // (strict_fma:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLAv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 389757 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 389760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 389764 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 389769 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 389772 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 389776 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 389779 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389784 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 389789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i32_indexed),
     /* 389792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 389794 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 389796 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 389798 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 389801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 389804 */     GIR_RootConstrainSelectedInstOperands,
     /* 389805 */     // GIR_Coverage, 2545,
     /* 389805 */     GIR_EraseRootFromParent_Done,
     /* 389806 */   // Label 7758: @389806
     /* 389806 */   GIM_Try, /*On fail goto*//*Label 7759*/ GIMT_Encode4(389856), // Rule ID 13253 //
     /* 389811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 389818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 389822 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 389826 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 389841 */     // (strict_fma:{ *:[v4f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 389841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4f32),
     /* 389844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 389846 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 389848 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 389850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 389854 */     GIR_RootConstrainSelectedInstOperands,
     /* 389855 */     // GIR_Coverage, 13253,
     /* 389855 */     GIR_EraseRootFromParent_Done,
     /* 389856 */   // Label 7759: @389856
     /* 389856 */   GIM_Try, /*On fail goto*//*Label 7760*/ GIMT_Encode4(389940), // Rule ID 6025 //
     /* 389861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 389872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 389876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 389880 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 389885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 389891 */     // (strict_fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm), V128:{ *:[v4f32] }:$Rd)  =>  (FMLAv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 389891 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 389894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 389898 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 389903 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 389906 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 389910 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 389913 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389918 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 389923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i32_indexed),
     /* 389926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 389928 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 389930 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 389932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 389935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 389938 */     GIR_RootConstrainSelectedInstOperands,
     /* 389939 */     // GIR_Coverage, 6025,
     /* 389939 */     GIR_EraseRootFromParent_Done,
     /* 389940 */   // Label 7760: @389940
     /* 389940 */   GIM_Try, /*On fail goto*//*Label 7761*/ GIMT_Encode4(389990), // Rule ID 1309 //
     /* 389945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389948 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 389956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 389960 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 389964 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 389975 */     // (strict_fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 389975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4f32),
     /* 389978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 389980 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 389982 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 389984 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 389988 */     GIR_RootConstrainSelectedInstOperands,
     /* 389989 */     // GIR_Coverage, 1309,
     /* 389989 */     GIR_EraseRootFromParent_Done,
     /* 389990 */   // Label 7761: @389990
     /* 389990 */   GIM_Try, /*On fail goto*//*Label 7762*/ GIMT_Encode4(390023), // Rule ID 1299 //
     /* 389995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389998 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390010 */     // (strict_fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLAv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 390010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4f32),
     /* 390013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 390015 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 390017 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 390019 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 390021 */     GIR_RootConstrainSelectedInstOperands,
     /* 390022 */     // GIR_Coverage, 1299,
     /* 390022 */     GIR_EraseRootFromParent_Done,
     /* 390023 */   // Label 7762: @390023
     /* 390023 */   GIM_Reject,
     /* 390024 */ // Label 7743: @390024
     /* 390024 */ GIM_Reject,
     /* 390025 */ // Label 7594: @390025
     /* 390025 */ GIM_Try, /*On fail goto*//*Label 7763*/ GIMT_Encode4(391203),
     /* 390030 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 390033 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 390036 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 390039 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390043 */   GIM_Try, /*On fail goto*//*Label 7764*/ GIMT_Encode4(390127), // Rule ID 6071 //
     /* 390048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 390051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 390055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 390059 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 390063 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 390067 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 390072 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 390076 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 390080 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 390084 */     // MIs[2] Operand 1
     /* 390084 */     // No operand predicates
     /* 390084 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 390088 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 390092 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 390096 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390105 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 390107 */     // (strict_fma:{ *:[v8f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 390107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 390110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 390112 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 390114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 390118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 390122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 390125 */     GIR_RootConstrainSelectedInstOperands,
     /* 390126 */     // GIR_Coverage, 6071,
     /* 390126 */     GIR_EraseRootFromParent_Done,
     /* 390127 */   // Label 7764: @390127
     /* 390127 */   GIM_Try, /*On fail goto*//*Label 7765*/ GIMT_Encode4(390208), // Rule ID 6103 //
     /* 390132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 390135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 390139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 390143 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 390147 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 390151 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 390155 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 390159 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 390163 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 390168 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 390172 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 390176 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 390180 */     // MIs[3] Operand 1
     /* 390180 */     // No operand predicates
     /* 390180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390188 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 390190 */     // (strict_fma:{ *:[v8f16] } (fneg:{ *:[v8f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 390190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 390193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 390195 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 390197 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 390199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 390203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 390206 */     GIR_RootConstrainSelectedInstOperands,
     /* 390207 */     // GIR_Coverage, 6103,
     /* 390207 */     GIR_EraseRootFromParent_Done,
     /* 390208 */   // Label 7765: @390208
     /* 390208 */   GIM_Try, /*On fail goto*//*Label 7766*/ GIMT_Encode4(390292), // Rule ID 6135 //
     /* 390213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 390216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 390220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 390224 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 390228 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390233 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 390237 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 390241 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 390245 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 390249 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 390254 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 390258 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 390262 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 390266 */     // MIs[3] Operand 1
     /* 390266 */     // No operand predicates
     /* 390266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390270 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 390272 */     // (strict_fma:{ *:[v8f16] } (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 390272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 390275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 390277 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 390279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 390283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 390287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 390290 */     GIR_RootConstrainSelectedInstOperands,
     /* 390291 */     // GIR_Coverage, 6135,
     /* 390291 */     GIR_EraseRootFromParent_Done,
     /* 390292 */   // Label 7766: @390292
     /* 390292 */   GIM_Try, /*On fail goto*//*Label 7767*/ GIMT_Encode4(390373), // Rule ID 6039 //
     /* 390297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 390300 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 390308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 390312 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 390316 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 390320 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 390324 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 390328 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 390332 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 390337 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 390341 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 390345 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 390349 */     // MIs[3] Operand 1
     /* 390349 */     // No operand predicates
     /* 390349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390353 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 390355 */     // (strict_fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (fneg:{ *:[v8f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 390355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 390358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 390360 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 390362 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 390364 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 390368 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 390371 */     GIR_RootConstrainSelectedInstOperands,
     /* 390372 */     // GIR_Coverage, 6039,
     /* 390372 */     GIR_EraseRootFromParent_Done,
     /* 390373 */   // Label 7767: @390373
     /* 390373 */   GIM_Try, /*On fail goto*//*Label 7768*/ GIMT_Encode4(390442), // Rule ID 2527 //
     /* 390378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 390381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 390385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 390389 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 390393 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 390397 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 390402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 390406 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 390410 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 390414 */     // MIs[2] Operand 1
     /* 390414 */     // No operand predicates
     /* 390414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390422 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 390424 */     // (strict_fma:{ *:[v8f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLAv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 390424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv8i16_indexed),
     /* 390427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 390429 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 390431 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 390433 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 390437 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 390440 */     GIR_RootConstrainSelectedInstOperands,
     /* 390441 */     // GIR_Coverage, 2527,
     /* 390441 */     GIR_EraseRootFromParent_Done,
     /* 390442 */   // Label 7768: @390442
     /* 390442 */   GIM_Try, /*On fail goto*//*Label 7769*/ GIMT_Encode4(390511), // Rule ID 6007 //
     /* 390447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 390450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 390458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 390462 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 390466 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 390470 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 390475 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 390479 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 390483 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 390487 */     // MIs[2] Operand 1
     /* 390487 */     // No operand predicates
     /* 390487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390491 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 390493 */     // (strict_fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V128:{ *:[v8f16] }:$Rd)  =>  (FMLAv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 390493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv8i16_indexed),
     /* 390496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 390498 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 390500 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 390502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 390506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 390509 */     GIR_RootConstrainSelectedInstOperands,
     /* 390510 */     // GIR_Coverage, 6007,
     /* 390510 */     GIR_EraseRootFromParent_Done,
     /* 390511 */   // Label 7769: @390511
     /* 390511 */   GIM_Try, /*On fail goto*//*Label 7770*/ GIMT_Encode4(390610), // Rule ID 6073 //
     /* 390516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 390519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 390523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 390527 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 390531 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 390536 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 390540 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 390544 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 390548 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390557 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 390559 */     // (strict_fma:{ *:[v8f16] } (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm), (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 390559 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 390562 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 390566 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 390571 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 390574 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 390578 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 390581 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390586 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 390591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 390594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 390596 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 390598 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 390602 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 390605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 390608 */     GIR_RootConstrainSelectedInstOperands,
     /* 390609 */     // GIR_Coverage, 6073,
     /* 390609 */     GIR_EraseRootFromParent_Done,
     /* 390610 */   // Label 7770: @390610
     /* 390610 */   GIM_Try, /*On fail goto*//*Label 7771*/ GIMT_Encode4(390706), // Rule ID 6105 //
     /* 390615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 390618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 390622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 390626 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 390630 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 390634 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 390638 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 390642 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 390647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390655 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 390657 */     // (strict_fma:{ *:[v8f16] } (fneg:{ *:[v8f16] } (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm)), V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 390657 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 390660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 390664 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 390669 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 390672 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 390676 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 390679 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390684 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 390689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 390692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 390694 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 390696 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 390698 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 390701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 390704 */     GIR_RootConstrainSelectedInstOperands,
     /* 390705 */     // GIR_Coverage, 6105,
     /* 390705 */     GIR_EraseRootFromParent_Done,
     /* 390706 */   // Label 7771: @390706
     /* 390706 */   GIM_Try, /*On fail goto*//*Label 7772*/ GIMT_Encode4(390805), // Rule ID 6137 //
     /* 390711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 390714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 390718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 390722 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 390726 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390731 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 390735 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 390739 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 390743 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 390748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390752 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 390754 */     // (strict_fma:{ *:[v8f16] } (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 390754 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 390757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 390761 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 390766 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 390769 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 390773 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 390776 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390781 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 390786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 390789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 390791 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 390793 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 390797 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 390800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 390803 */     GIR_RootConstrainSelectedInstOperands,
     /* 390804 */     // GIR_Coverage, 6137,
     /* 390804 */     GIR_EraseRootFromParent_Done,
     /* 390805 */   // Label 7772: @390805
     /* 390805 */   GIM_Try, /*On fail goto*//*Label 7773*/ GIMT_Encode4(390901), // Rule ID 6041 //
     /* 390810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 390813 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 390821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 390825 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 390829 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 390833 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 390837 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 390841 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 390846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390850 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 390852 */     // (strict_fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (fneg:{ *:[v8f16] } (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm)), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 390852 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 390855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 390859 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 390864 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 390867 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 390871 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 390874 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390879 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 390884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 390887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 390889 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 390891 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 390893 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 390896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 390899 */     GIR_RootConstrainSelectedInstOperands,
     /* 390900 */     // GIR_Coverage, 6041,
     /* 390900 */     GIR_EraseRootFromParent_Done,
     /* 390901 */   // Label 7773: @390901
     /* 390901 */   GIM_Try, /*On fail goto*//*Label 7774*/ GIMT_Encode4(390985), // Rule ID 2529 //
     /* 390906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 390909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 390913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 390917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 390921 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 390926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 390936 */     // (strict_fma:{ *:[v8f16] } (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLAv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 390936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 390939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 390943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 390948 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 390951 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 390955 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 390958 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390963 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 390968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv8i16_indexed),
     /* 390971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 390973 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 390975 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 390977 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 390980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 390983 */     GIR_RootConstrainSelectedInstOperands,
     /* 390984 */     // GIR_Coverage, 2529,
     /* 390984 */     GIR_EraseRootFromParent_Done,
     /* 390985 */   // Label 7774: @390985
     /* 390985 */   GIM_Try, /*On fail goto*//*Label 7775*/ GIMT_Encode4(391035), // Rule ID 13249 //
     /* 390990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 390993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 390997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 391001 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 391005 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 391020 */     // (strict_fma:{ *:[v8f16] } (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rm), V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 391020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8f16),
     /* 391023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 391025 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 391027 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 391029 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 391033 */     GIR_RootConstrainSelectedInstOperands,
     /* 391034 */     // GIR_Coverage, 13249,
     /* 391034 */     GIR_EraseRootFromParent_Done,
     /* 391035 */   // Label 7775: @391035
     /* 391035 */   GIM_Try, /*On fail goto*//*Label 7776*/ GIMT_Encode4(391119), // Rule ID 6009 //
     /* 391040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 391043 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 391051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 391055 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 391059 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 391064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 391070 */     // (strict_fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V128:{ *:[v8f16] }:$Rd)  =>  (FMLAv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 391070 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 391073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 391077 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 391082 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 391085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 391089 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 391092 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391097 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 391102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv8i16_indexed),
     /* 391105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 391107 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 391109 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 391111 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 391114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 391117 */     GIR_RootConstrainSelectedInstOperands,
     /* 391118 */     // GIR_Coverage, 6009,
     /* 391118 */     GIR_EraseRootFromParent_Done,
     /* 391119 */   // Label 7776: @391119
     /* 391119 */   GIM_Try, /*On fail goto*//*Label 7777*/ GIMT_Encode4(391169), // Rule ID 1305 //
     /* 391124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 391127 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 391135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 391139 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 391143 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 391154 */     // (strict_fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rm), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 391154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8f16),
     /* 391157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 391159 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 391161 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 391163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 391167 */     GIR_RootConstrainSelectedInstOperands,
     /* 391168 */     // GIR_Coverage, 1305,
     /* 391168 */     GIR_EraseRootFromParent_Done,
     /* 391169 */   // Label 7777: @391169
     /* 391169 */   GIM_Try, /*On fail goto*//*Label 7778*/ GIMT_Encode4(391202), // Rule ID 1295 //
     /* 391174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 391177 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391189 */     // (strict_fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rm, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLAv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 391189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv8f16),
     /* 391192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 391194 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 391196 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 391198 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 391200 */     GIR_RootConstrainSelectedInstOperands,
     /* 391201 */     // GIR_Coverage, 1295,
     /* 391201 */     GIR_EraseRootFromParent_Done,
     /* 391202 */   // Label 7778: @391202
     /* 391202 */   GIM_Reject,
     /* 391203 */ // Label 7763: @391203
     /* 391203 */ GIM_Reject,
     /* 391204 */ // Label 7595: @391204
     /* 391204 */ GIM_Reject,
     /* 391205 */ // Label 106: @391205
     /* 391205 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 7787*/ GIMT_Encode4(391504),
     /* 391216 */ /*GILLT_s16*//*Label 7779*/ GIMT_Encode4(391256),
     /* 391220 */ /*GILLT_s32*//*Label 7780*/ GIMT_Encode4(391287),
     /* 391224 */ /*GILLT_s64*//*Label 7781*/ GIMT_Encode4(391318), GIMT_Encode4(0),
     /* 391232 */ /*GILLT_v2s32*//*Label 7782*/ GIMT_Encode4(391349),
     /* 391236 */ /*GILLT_v2s64*//*Label 7783*/ GIMT_Encode4(391380),
     /* 391240 */ /*GILLT_v4s16*//*Label 7784*/ GIMT_Encode4(391411),
     /* 391244 */ /*GILLT_v4s32*//*Label 7785*/ GIMT_Encode4(391442), GIMT_Encode4(0),
     /* 391252 */ /*GILLT_v8s16*//*Label 7786*/ GIMT_Encode4(391473),
     /* 391256 */ // Label 7779: @391256
     /* 391256 */ GIM_Try, /*On fail goto*//*Label 7788*/ GIMT_Encode4(391286), // Rule ID 569 //
     /* 391261 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 391264 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 391267 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 391271 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 391275 */   // (strict_fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (FSQRTHr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 391275 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTHr),
     /* 391280 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 391284 */   GIR_RootConstrainSelectedInstOperands,
     /* 391285 */   // GIR_Coverage, 569,
     /* 391285 */   GIR_Done,
     /* 391286 */ // Label 7788: @391286
     /* 391286 */ GIM_Reject,
     /* 391287 */ // Label 7780: @391287
     /* 391287 */ GIM_Try, /*On fail goto*//*Label 7789*/ GIMT_Encode4(391317), // Rule ID 571 //
     /* 391292 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 391295 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 391298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 391302 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 391306 */   // (strict_fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (FSQRTSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 391306 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTSr),
     /* 391311 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 391315 */   GIR_RootConstrainSelectedInstOperands,
     /* 391316 */   // GIR_Coverage, 571,
     /* 391316 */   GIR_Done,
     /* 391317 */ // Label 7789: @391317
     /* 391317 */ GIM_Reject,
     /* 391318 */ // Label 7781: @391318
     /* 391318 */ GIM_Try, /*On fail goto*//*Label 7790*/ GIMT_Encode4(391348), // Rule ID 573 //
     /* 391323 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 391326 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 391329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391333 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391337 */   // (strict_fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (FSQRTDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 391337 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTDr),
     /* 391342 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 391346 */   GIR_RootConstrainSelectedInstOperands,
     /* 391347 */   // GIR_Coverage, 573,
     /* 391347 */   GIR_Done,
     /* 391348 */ // Label 7790: @391348
     /* 391348 */ GIM_Reject,
     /* 391349 */ // Label 7782: @391349
     /* 391349 */ GIM_Try, /*On fail goto*//*Label 7791*/ GIMT_Encode4(391379), // Rule ID 959 //
     /* 391354 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 391357 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 391360 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391364 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391368 */   // (strict_fsqrt:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FSQRTv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 391368 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTv2f32),
     /* 391373 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 391377 */   GIR_RootConstrainSelectedInstOperands,
     /* 391378 */   // GIR_Coverage, 959,
     /* 391378 */   GIR_Done,
     /* 391379 */ // Label 7791: @391379
     /* 391379 */ GIM_Reject,
     /* 391380 */ // Label 7783: @391380
     /* 391380 */ GIM_Try, /*On fail goto*//*Label 7792*/ GIMT_Encode4(391410), // Rule ID 963 //
     /* 391385 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 391388 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 391391 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391395 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391399 */   // (strict_fsqrt:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FSQRTv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 391399 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTv2f64),
     /* 391404 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 391408 */   GIR_RootConstrainSelectedInstOperands,
     /* 391409 */   // GIR_Coverage, 963,
     /* 391409 */   GIR_Done,
     /* 391410 */ // Label 7792: @391410
     /* 391410 */ GIM_Reject,
     /* 391411 */ // Label 7784: @391411
     /* 391411 */ GIM_Try, /*On fail goto*//*Label 7793*/ GIMT_Encode4(391441), // Rule ID 955 //
     /* 391416 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 391419 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 391422 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391426 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391430 */   // (strict_fsqrt:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FSQRTv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 391430 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTv4f16),
     /* 391435 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 391439 */   GIR_RootConstrainSelectedInstOperands,
     /* 391440 */   // GIR_Coverage, 955,
     /* 391440 */   GIR_Done,
     /* 391441 */ // Label 7793: @391441
     /* 391441 */ GIM_Reject,
     /* 391442 */ // Label 7785: @391442
     /* 391442 */ GIM_Try, /*On fail goto*//*Label 7794*/ GIMT_Encode4(391472), // Rule ID 961 //
     /* 391447 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 391450 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 391453 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391457 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391461 */   // (strict_fsqrt:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FSQRTv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 391461 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTv4f32),
     /* 391466 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 391470 */   GIR_RootConstrainSelectedInstOperands,
     /* 391471 */   // GIR_Coverage, 961,
     /* 391471 */   GIR_Done,
     /* 391472 */ // Label 7794: @391472
     /* 391472 */ GIM_Reject,
     /* 391473 */ // Label 7786: @391473
     /* 391473 */ GIM_Try, /*On fail goto*//*Label 7795*/ GIMT_Encode4(391503), // Rule ID 957 //
     /* 391478 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 391481 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 391484 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391488 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391492 */   // (strict_fsqrt:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FSQRTv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 391492 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTv8f16),
     /* 391497 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 391501 */   GIR_RootConstrainSelectedInstOperands,
     /* 391502 */   // GIR_Coverage, 957,
     /* 391502 */   GIR_Done,
     /* 391503 */ // Label 7795: @391503
     /* 391503 */ GIM_Reject,
     /* 391504 */ // Label 7787: @391504
     /* 391504 */ GIM_Reject,
     /* 391505 */ // Label 107: @391505
     /* 391505 */ GIM_Try, /*On fail goto*//*Label 7796*/ GIMT_Encode4(391518), // Rule ID 6486 //
     /* 391510 */   // (trap)  =>  (BRK 1:{ *:[i32] })
     /* 391510 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BRK),
     /* 391513 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 391516 */   GIR_RootConstrainSelectedInstOperands,
     /* 391517 */   // GIR_Coverage, 6486,
     /* 391517 */   GIR_EraseRootFromParent_Done,
     /* 391518 */ // Label 7796: @391518
     /* 391518 */ GIM_Reject,
     /* 391519 */ // Label 108: @391519
     /* 391519 */ GIM_Try, /*On fail goto*//*Label 7797*/ GIMT_Encode4(391539), // Rule ID 6487 //
     /* 391524 */   // (debugtrap)  =>  (BRK 61440:{ *:[i32] })
     /* 391524 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BRK),
     /* 391527 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(61440),
     /* 391537 */   GIR_RootConstrainSelectedInstOperands,
     /* 391538 */   // GIR_Coverage, 6487,
     /* 391538 */   GIR_EraseRootFromParent_Done,
     /* 391539 */ // Label 7797: @391539
     /* 391539 */ GIM_Reject,
     /* 391540 */ // Label 109: @391540
     /* 391540 */ GIM_Try, /*On fail goto*//*Label 7798*/ GIMT_Encode4(391564), // Rule ID 6488 //
     /* 391545 */   // MIs[0] kind
     /* 391545 */   GIM_CheckIsImm, /*MI*/0, /*Op*/0,
     /* 391548 */   GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/0, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_ubsan_trap_imm),
     /* 391553 */   // (ubsantrap (timm:{ *:[i32] })<<P:Predicate_ubsan_trap_imm>><<X:ubsan_trap_xform>>:$kind)  =>  (BRK (ubsan_trap_xform:{ *:[i32] } (timm:{ *:[i32] })<<P:Predicate_ubsan_trap_imm>>:$kind))
     /* 391553 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BRK),
     /* 391556 */   GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/0, /*OperandRenderer*/GIMT_Encode2(GICR_renderUbsanTrap), // kind
     /* 391562 */   GIR_RootConstrainSelectedInstOperands,
     /* 391563 */   // GIR_Coverage, 6488,
     /* 391563 */   GIR_EraseRootFromParent_Done,
     /* 391564 */ // Label 7798: @391564
     /* 391564 */ GIM_Reject,
     /* 391565 */ // Label 110: @391565
     /* 391565 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 7802*/ GIMT_Encode4(391874),
     /* 391576 */ /*GILLT_s16*//*Label 7799*/ GIMT_Encode4(391588),
     /* 391580 */ /*GILLT_s32*//*Label 7800*/ GIMT_Encode4(391741),
     /* 391584 */ /*GILLT_s64*//*Label 7801*/ GIMT_Encode4(391846),
     /* 391588 */ // Label 7799: @391588
     /* 391588 */ GIM_Try, /*On fail goto*//*Label 7803*/ GIMT_Encode4(391689), // Rule ID 5591 //
     /* 391593 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 391596 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 391599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 391603 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391607 */   // (vecreduce_fadd:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FADDPv2i16p:{ *:[f16] } (EXTRACT_SUBREG:{ *:[i64] } (FADDPv8f16:{ *:[f128] } (FADDPv8f16:{ *:[f128] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rn), V128:{ *:[v8f16] }:$Rn), dsub:{ *:[i32] }))
     /* 391607 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /* 391610 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FADDPv8f16),
     /* 391614 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 391619 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 391623 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 391627 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 391629 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 391632 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::FADDPv8f16),
     /* 391636 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 391641 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 391644 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 391648 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 391650 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 391653 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 391657 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 391662 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 391669 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391674 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391679 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i16p),
     /* 391682 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 391684 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 391687 */   GIR_RootConstrainSelectedInstOperands,
     /* 391688 */   // GIR_Coverage, 5591,
     /* 391688 */   GIR_EraseRootFromParent_Done,
     /* 391689 */ // Label 7803: @391689
     /* 391689 */ GIM_Try, /*On fail goto*//*Label 7804*/ GIMT_Encode4(391740), // Rule ID 5592 //
     /* 391694 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 391697 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 391700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 391704 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391708 */   // (vecreduce_fadd:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FADDPv2i16p:{ *:[f16] } (FADDPv4f16:{ *:[i64] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rn))
     /* 391708 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 391711 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FADDPv4f16),
     /* 391715 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 391720 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 391724 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 391728 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 391730 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i16p),
     /* 391733 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 391735 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 391738 */   GIR_RootConstrainSelectedInstOperands,
     /* 391739 */   // GIR_Coverage, 5592,
     /* 391739 */   GIR_EraseRootFromParent_Done,
     /* 391740 */ // Label 7804: @391740
     /* 391740 */ GIM_Reject,
     /* 391741 */ // Label 7800: @391741
     /* 391741 */ GIM_Try, /*On fail goto*//*Label 7805*/ GIMT_Encode4(391818), // Rule ID 5593 //
     /* 391746 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 391749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 391753 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391757 */   // (vecreduce_fadd:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FADDPv2i32p:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i64] } (FADDPv4f32:{ *:[f128] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rn), dsub:{ *:[i32] }))
     /* 391757 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 391760 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::FADDPv4f32),
     /* 391764 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 391769 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 391773 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 391777 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 391779 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 391782 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 391786 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 391791 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 391798 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391803 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391808 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i32p),
     /* 391811 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 391813 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 391816 */   GIR_RootConstrainSelectedInstOperands,
     /* 391817 */   // GIR_Coverage, 5593,
     /* 391817 */   GIR_EraseRootFromParent_Done,
     /* 391818 */ // Label 7805: @391818
     /* 391818 */ GIM_Try, /*On fail goto*//*Label 7806*/ GIMT_Encode4(391845), // Rule ID 5594 //
     /* 391823 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 391826 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 391830 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391834 */   // (vecreduce_fadd:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FADDPv2i32p:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)
     /* 391834 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i32p),
     /* 391839 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 391843 */   GIR_RootConstrainSelectedInstOperands,
     /* 391844 */   // GIR_Coverage, 5594,
     /* 391844 */   GIR_Done,
     /* 391845 */ // Label 7806: @391845
     /* 391845 */ GIM_Reject,
     /* 391846 */ // Label 7801: @391846
     /* 391846 */ GIM_Try, /*On fail goto*//*Label 7807*/ GIMT_Encode4(391873), // Rule ID 5595 //
     /* 391851 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 391854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391858 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391862 */   // (vecreduce_fadd:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FADDPv2i64p:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)
     /* 391862 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i64p),
     /* 391867 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 391871 */   GIR_RootConstrainSelectedInstOperands,
     /* 391872 */   // GIR_Coverage, 5595,
     /* 391872 */   GIR_Done,
     /* 391873 */ // Label 7807: @391873
     /* 391873 */ GIM_Reject,
     /* 391874 */ // Label 7802: @391874
     /* 391874 */ GIM_Reject,
     /* 391875 */ // Label 111: @391875
     /* 391875 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 7811*/ GIMT_Encode4(392045),
     /* 391886 */ /*GILLT_s16*//*Label 7808*/ GIMT_Encode4(391898),
     /* 391890 */ /*GILLT_s32*//*Label 7809*/ GIMT_Encode4(391959),
     /* 391894 */ /*GILLT_s64*//*Label 7810*/ GIMT_Encode4(392017),
     /* 391898 */ // Label 7808: @391898
     /* 391898 */ GIM_Try, /*On fail goto*//*Label 7812*/ GIMT_Encode4(391928), // Rule ID 1942 //
     /* 391903 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 391906 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 391909 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 391913 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391917 */   // (vecreduce_fmax:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FMAXNMVv4i16v:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)
     /* 391917 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMVv4i16v),
     /* 391922 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 391926 */   GIR_RootConstrainSelectedInstOperands,
     /* 391927 */   // GIR_Coverage, 1942,
     /* 391927 */   GIR_Done,
     /* 391928 */ // Label 7812: @391928
     /* 391928 */ GIM_Try, /*On fail goto*//*Label 7813*/ GIMT_Encode4(391958), // Rule ID 1944 //
     /* 391933 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 391936 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 391939 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 391943 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391947 */   // (vecreduce_fmax:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FMAXNMVv8i16v:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)
     /* 391947 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMVv8i16v),
     /* 391952 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 391956 */   GIR_RootConstrainSelectedInstOperands,
     /* 391957 */   // GIR_Coverage, 1944,
     /* 391957 */   GIR_Done,
     /* 391958 */ // Label 7813: @391958
     /* 391958 */ GIM_Reject,
     /* 391959 */ // Label 7809: @391959
     /* 391959 */ GIM_Try, /*On fail goto*//*Label 7814*/ GIMT_Encode4(391989), // Rule ID 1946 //
     /* 391964 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 391967 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 391970 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 391974 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391978 */   // (vecreduce_fmax:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FMAXNMVv4i32v:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)
     /* 391978 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMVv4i32v),
     /* 391983 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 391987 */   GIR_RootConstrainSelectedInstOperands,
     /* 391988 */   // GIR_Coverage, 1946,
     /* 391988 */   GIR_Done,
     /* 391989 */ // Label 7814: @391989
     /* 391989 */ GIM_Try, /*On fail goto*//*Label 7815*/ GIMT_Encode4(392016), // Rule ID 5601 //
     /* 391994 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 391997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 392001 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 392005 */   // (vecreduce_fmax:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FMAXNMPv2i32p:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)
     /* 392005 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMPv2i32p),
     /* 392010 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 392014 */   GIR_RootConstrainSelectedInstOperands,
     /* 392015 */   // GIR_Coverage, 5601,
     /* 392015 */   GIR_Done,
     /* 392016 */ // Label 7815: @392016
     /* 392016 */ GIM_Reject,
     /* 392017 */ // Label 7810: @392017
     /* 392017 */ GIM_Try, /*On fail goto*//*Label 7816*/ GIMT_Encode4(392044), // Rule ID 5603 //
     /* 392022 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 392025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 392029 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392033 */   // (vecreduce_fmax:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FMAXNMPv2i64p:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)
     /* 392033 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMPv2i64p),
     /* 392038 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 392042 */   GIR_RootConstrainSelectedInstOperands,
     /* 392043 */   // GIR_Coverage, 5603,
     /* 392043 */   GIR_Done,
     /* 392044 */ // Label 7816: @392044
     /* 392044 */ GIM_Reject,
     /* 392045 */ // Label 7811: @392045
     /* 392045 */ GIM_Reject,
     /* 392046 */ // Label 112: @392046
     /* 392046 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 7820*/ GIMT_Encode4(392216),
     /* 392057 */ /*GILLT_s16*//*Label 7817*/ GIMT_Encode4(392069),
     /* 392061 */ /*GILLT_s32*//*Label 7818*/ GIMT_Encode4(392130),
     /* 392065 */ /*GILLT_s64*//*Label 7819*/ GIMT_Encode4(392188),
     /* 392069 */ // Label 7817: @392069
     /* 392069 */ GIM_Try, /*On fail goto*//*Label 7821*/ GIMT_Encode4(392099), // Rule ID 1954 //
     /* 392074 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 392077 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 392080 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 392084 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 392088 */   // (vecreduce_fmin:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FMINNMVv4i16v:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)
     /* 392088 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMVv4i16v),
     /* 392093 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 392097 */   GIR_RootConstrainSelectedInstOperands,
     /* 392098 */   // GIR_Coverage, 1954,
     /* 392098 */   GIR_Done,
     /* 392099 */ // Label 7821: @392099
     /* 392099 */ GIM_Try, /*On fail goto*//*Label 7822*/ GIMT_Encode4(392129), // Rule ID 1956 //
     /* 392104 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 392107 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 392110 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 392114 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392118 */   // (vecreduce_fmin:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FMINNMVv8i16v:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)
     /* 392118 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMVv8i16v),
     /* 392123 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 392127 */   GIR_RootConstrainSelectedInstOperands,
     /* 392128 */   // GIR_Coverage, 1956,
     /* 392128 */   GIR_Done,
     /* 392129 */ // Label 7822: @392129
     /* 392129 */ GIM_Reject,
     /* 392130 */ // Label 7818: @392130
     /* 392130 */ GIM_Try, /*On fail goto*//*Label 7823*/ GIMT_Encode4(392160), // Rule ID 1958 //
     /* 392135 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 392138 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392141 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 392145 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392149 */   // (vecreduce_fmin:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FMINNMVv4i32v:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)
     /* 392149 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMVv4i32v),
     /* 392154 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 392158 */   GIR_RootConstrainSelectedInstOperands,
     /* 392159 */   // GIR_Coverage, 1958,
     /* 392159 */   GIR_Done,
     /* 392160 */ // Label 7823: @392160
     /* 392160 */ GIM_Try, /*On fail goto*//*Label 7824*/ GIMT_Encode4(392187), // Rule ID 5609 //
     /* 392165 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 392168 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 392172 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 392176 */   // (vecreduce_fmin:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FMINNMPv2i32p:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)
     /* 392176 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMPv2i32p),
     /* 392181 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 392185 */   GIR_RootConstrainSelectedInstOperands,
     /* 392186 */   // GIR_Coverage, 5609,
     /* 392186 */   GIR_Done,
     /* 392187 */ // Label 7824: @392187
     /* 392187 */ GIM_Reject,
     /* 392188 */ // Label 7819: @392188
     /* 392188 */ GIM_Try, /*On fail goto*//*Label 7825*/ GIMT_Encode4(392215), // Rule ID 5611 //
     /* 392193 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 392196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 392200 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392204 */   // (vecreduce_fmin:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FMINNMPv2i64p:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)
     /* 392204 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMPv2i64p),
     /* 392209 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 392213 */   GIR_RootConstrainSelectedInstOperands,
     /* 392214 */   // GIR_Coverage, 5611,
     /* 392214 */   GIR_Done,
     /* 392215 */ // Label 7825: @392215
     /* 392215 */ GIM_Reject,
     /* 392216 */ // Label 7820: @392216
     /* 392216 */ GIM_Reject,
     /* 392217 */ // Label 113: @392217
     /* 392217 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 7829*/ GIMT_Encode4(392387),
     /* 392228 */ /*GILLT_s16*//*Label 7826*/ GIMT_Encode4(392240),
     /* 392232 */ /*GILLT_s32*//*Label 7827*/ GIMT_Encode4(392301),
     /* 392236 */ /*GILLT_s64*//*Label 7828*/ GIMT_Encode4(392359),
     /* 392240 */ // Label 7826: @392240
     /* 392240 */ GIM_Try, /*On fail goto*//*Label 7830*/ GIMT_Encode4(392270), // Rule ID 1948 //
     /* 392245 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 392248 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 392251 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 392255 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 392259 */   // (vecreduce_fmaximum:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FMAXVv4i16v:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)
     /* 392259 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXVv4i16v),
     /* 392264 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 392268 */   GIR_RootConstrainSelectedInstOperands,
     /* 392269 */   // GIR_Coverage, 1948,
     /* 392269 */   GIR_Done,
     /* 392270 */ // Label 7830: @392270
     /* 392270 */ GIM_Try, /*On fail goto*//*Label 7831*/ GIMT_Encode4(392300), // Rule ID 1950 //
     /* 392275 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 392278 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 392281 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 392285 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392289 */   // (vecreduce_fmaximum:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FMAXVv8i16v:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)
     /* 392289 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXVv8i16v),
     /* 392294 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 392298 */   GIR_RootConstrainSelectedInstOperands,
     /* 392299 */   // GIR_Coverage, 1950,
     /* 392299 */   GIR_Done,
     /* 392300 */ // Label 7831: @392300
     /* 392300 */ GIM_Reject,
     /* 392301 */ // Label 7827: @392301
     /* 392301 */ GIM_Try, /*On fail goto*//*Label 7832*/ GIMT_Encode4(392331), // Rule ID 1952 //
     /* 392306 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 392309 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 392316 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392320 */   // (vecreduce_fmaximum:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FMAXVv4i32v:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)
     /* 392320 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXVv4i32v),
     /* 392325 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 392329 */   GIR_RootConstrainSelectedInstOperands,
     /* 392330 */   // GIR_Coverage, 1952,
     /* 392330 */   GIR_Done,
     /* 392331 */ // Label 7832: @392331
     /* 392331 */ GIM_Try, /*On fail goto*//*Label 7833*/ GIMT_Encode4(392358), // Rule ID 5605 //
     /* 392336 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 392339 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 392343 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 392347 */   // (vecreduce_fmaximum:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FMAXPv2i32p:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)
     /* 392347 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXPv2i32p),
     /* 392352 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 392356 */   GIR_RootConstrainSelectedInstOperands,
     /* 392357 */   // GIR_Coverage, 5605,
     /* 392357 */   GIR_Done,
     /* 392358 */ // Label 7833: @392358
     /* 392358 */ GIM_Reject,
     /* 392359 */ // Label 7828: @392359
     /* 392359 */ GIM_Try, /*On fail goto*//*Label 7834*/ GIMT_Encode4(392386), // Rule ID 5607 //
     /* 392364 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 392367 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 392371 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392375 */   // (vecreduce_fmaximum:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FMAXPv2i64p:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)
     /* 392375 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXPv2i64p),
     /* 392380 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 392384 */   GIR_RootConstrainSelectedInstOperands,
     /* 392385 */   // GIR_Coverage, 5607,
     /* 392385 */   GIR_Done,
     /* 392386 */ // Label 7834: @392386
     /* 392386 */ GIM_Reject,
     /* 392387 */ // Label 7829: @392387
     /* 392387 */ GIM_Reject,
     /* 392388 */ // Label 114: @392388
     /* 392388 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 7838*/ GIMT_Encode4(392558),
     /* 392399 */ /*GILLT_s16*//*Label 7835*/ GIMT_Encode4(392411),
     /* 392403 */ /*GILLT_s32*//*Label 7836*/ GIMT_Encode4(392472),
     /* 392407 */ /*GILLT_s64*//*Label 7837*/ GIMT_Encode4(392530),
     /* 392411 */ // Label 7835: @392411
     /* 392411 */ GIM_Try, /*On fail goto*//*Label 7839*/ GIMT_Encode4(392441), // Rule ID 1960 //
     /* 392416 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 392419 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 392422 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 392426 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 392430 */   // (vecreduce_fminimum:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FMINVv4i16v:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)
     /* 392430 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINVv4i16v),
     /* 392435 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 392439 */   GIR_RootConstrainSelectedInstOperands,
     /* 392440 */   // GIR_Coverage, 1960,
     /* 392440 */   GIR_Done,
     /* 392441 */ // Label 7839: @392441
     /* 392441 */ GIM_Try, /*On fail goto*//*Label 7840*/ GIMT_Encode4(392471), // Rule ID 1962 //
     /* 392446 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 392449 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 392452 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 392456 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392460 */   // (vecreduce_fminimum:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FMINVv8i16v:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)
     /* 392460 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINVv8i16v),
     /* 392465 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 392469 */   GIR_RootConstrainSelectedInstOperands,
     /* 392470 */   // GIR_Coverage, 1962,
     /* 392470 */   GIR_Done,
     /* 392471 */ // Label 7840: @392471
     /* 392471 */ GIM_Reject,
     /* 392472 */ // Label 7836: @392472
     /* 392472 */ GIM_Try, /*On fail goto*//*Label 7841*/ GIMT_Encode4(392502), // Rule ID 1964 //
     /* 392477 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 392480 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392483 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 392487 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392491 */   // (vecreduce_fminimum:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FMINVv4i32v:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)
     /* 392491 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINVv4i32v),
     /* 392496 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 392500 */   GIR_RootConstrainSelectedInstOperands,
     /* 392501 */   // GIR_Coverage, 1964,
     /* 392501 */   GIR_Done,
     /* 392502 */ // Label 7841: @392502
     /* 392502 */ GIM_Try, /*On fail goto*//*Label 7842*/ GIMT_Encode4(392529), // Rule ID 5613 //
     /* 392507 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 392510 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 392514 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 392518 */   // (vecreduce_fminimum:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FMINPv2i32p:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)
     /* 392518 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINPv2i32p),
     /* 392523 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 392527 */   GIR_RootConstrainSelectedInstOperands,
     /* 392528 */   // GIR_Coverage, 5613,
     /* 392528 */   GIR_Done,
     /* 392529 */ // Label 7842: @392529
     /* 392529 */ GIM_Reject,
     /* 392530 */ // Label 7837: @392530
     /* 392530 */ GIM_Try, /*On fail goto*//*Label 7843*/ GIMT_Encode4(392557), // Rule ID 5615 //
     /* 392535 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 392538 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 392542 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392546 */   // (vecreduce_fminimum:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FMINPv2i64p:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)
     /* 392546 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINPv2i64p),
     /* 392551 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 392555 */   GIR_RootConstrainSelectedInstOperands,
     /* 392556 */   // GIR_Coverage, 5615,
     /* 392556 */   GIR_Done,
     /* 392557 */ // Label 7843: @392557
     /* 392557 */ GIM_Reject,
     /* 392558 */ // Label 7838: @392558
     /* 392558 */ GIM_Reject,
     /* 392559 */ // Label 115: @392559
     /* 392559 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(4), /*)*//*default:*//*Label 7848*/ GIMT_Encode4(393687),
     /* 392570 */ /*GILLT_s8*//*Label 7844*/ GIMT_Encode4(392586),
     /* 392574 */ /*GILLT_s16*//*Label 7845*/ GIMT_Encode4(392633),
     /* 392578 */ /*GILLT_s32*//*Label 7846*/ GIMT_Encode4(393048),
     /* 392582 */ /*GILLT_s64*//*Label 7847*/ GIMT_Encode4(393501),
     /* 392586 */ // Label 7844: @392586
     /* 392586 */ GIM_Try, /*On fail goto*//*Label 7849*/ GIMT_Encode4(392609), // Rule ID 5860 //
     /* 392591 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 392594 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 392598 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 392602 */   // (vecreduce_add:{ *:[i8] } V64:{ *:[v8i8] }:$Rn)  =>  (ADDVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn)
     /* 392602 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDVv8i8v),
     /* 392607 */   GIR_RootConstrainSelectedInstOperands,
     /* 392608 */   // GIR_Coverage, 5860,
     /* 392608 */   GIR_Done,
     /* 392609 */ // Label 7849: @392609
     /* 392609 */ GIM_Try, /*On fail goto*//*Label 7850*/ GIMT_Encode4(392632), // Rule ID 5861 //
     /* 392614 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 392617 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 392621 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392625 */   // (vecreduce_add:{ *:[i8] } V128:{ *:[v16i8] }:$Rn)  =>  (ADDVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn)
     /* 392625 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDVv16i8v),
     /* 392630 */   GIR_RootConstrainSelectedInstOperands,
     /* 392631 */   // GIR_Coverage, 5861,
     /* 392631 */   GIR_Done,
     /* 392632 */ // Label 7850: @392632
     /* 392632 */ GIM_Reject,
     /* 392633 */ // Label 7845: @392633
     /* 392633 */ GIM_Try, /*On fail goto*//*Label 7851*/ GIMT_Encode4(392683), // Rule ID 5807 //
     /* 392638 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 392641 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 392645 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 392649 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 392653 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 392656 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 392661 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 392665 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 392670 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 392672 */   // (vecreduce_add:{ *:[i16] } (intrinsic_wo_chain:{ *:[v4i16] } 725:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn))  =>  (UADDLVv8i8v:{ *:[i16] } V64:{ *:[v8i8] }:$Rn)
     /* 392672 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv8i8v),
     /* 392675 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 392677 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 392681 */   GIR_RootConstrainSelectedInstOperands,
     /* 392682 */   // GIR_Coverage, 5807,
     /* 392682 */   GIR_EraseRootFromParent_Done,
     /* 392683 */ // Label 7851: @392683
     /* 392683 */ GIM_Try, /*On fail goto*//*Label 7852*/ GIMT_Encode4(392733), // Rule ID 5809 //
     /* 392688 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 392691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 392695 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 392699 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 392703 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 392706 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 392711 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 392715 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392720 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 392722 */   // (vecreduce_add:{ *:[i16] } (intrinsic_wo_chain:{ *:[v8i16] } 725:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn))  =>  (UADDLVv16i8v:{ *:[i16] } V128:{ *:[v16i8] }:$Rn)
     /* 392722 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv16i8v),
     /* 392725 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 392727 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 392731 */   GIR_RootConstrainSelectedInstOperands,
     /* 392732 */   // GIR_Coverage, 5809,
     /* 392732 */   GIR_EraseRootFromParent_Done,
     /* 392733 */ // Label 7852: @392733
     /* 392733 */ GIM_Try, /*On fail goto*//*Label 7853*/ GIMT_Encode4(392783), // Rule ID 5817 //
     /* 392738 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 392741 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 392745 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 392749 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 392753 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 392756 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /* 392761 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 392765 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 392770 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 392772 */   // (vecreduce_add:{ *:[i16] } (intrinsic_wo_chain:{ *:[v4i16] } 660:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn))  =>  (SADDLVv8i8v:{ *:[i16] } V64:{ *:[v8i8] }:$Rn)
     /* 392772 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv8i8v),
     /* 392775 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 392777 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 392781 */   GIR_RootConstrainSelectedInstOperands,
     /* 392782 */   // GIR_Coverage, 5817,
     /* 392782 */   GIR_EraseRootFromParent_Done,
     /* 392783 */ // Label 7853: @392783
     /* 392783 */ GIM_Try, /*On fail goto*//*Label 7854*/ GIMT_Encode4(392833), // Rule ID 5819 //
     /* 392788 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 392791 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 392795 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 392799 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 392803 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 392806 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /* 392811 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 392815 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392820 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 392822 */   // (vecreduce_add:{ *:[i16] } (intrinsic_wo_chain:{ *:[v8i16] } 660:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn))  =>  (SADDLVv16i8v:{ *:[i16] } V128:{ *:[v16i8] }:$Rn)
     /* 392822 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv16i8v),
     /* 392825 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 392827 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 392831 */   GIR_RootConstrainSelectedInstOperands,
     /* 392832 */   // GIR_Coverage, 5819,
     /* 392832 */   GIR_EraseRootFromParent_Done,
     /* 392833 */ // Label 7854: @392833
     /* 392833 */ GIM_Try, /*On fail goto*//*Label 7855*/ GIMT_Encode4(392875), // Rule ID 5816 //
     /* 392838 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 392841 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 392845 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 392849 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /* 392853 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 392857 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 392862 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 392864 */   // (vecreduce_add:{ *:[i16] } (AArch64saddlp_n:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn))  =>  (SADDLVv8i8v:{ *:[i16] } V64:{ *:[v8i8] }:$Rn)
     /* 392864 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv8i8v),
     /* 392867 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 392869 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 392873 */   GIR_RootConstrainSelectedInstOperands,
     /* 392874 */   // GIR_Coverage, 5816,
     /* 392874 */   GIR_EraseRootFromParent_Done,
     /* 392875 */ // Label 7855: @392875
     /* 392875 */ GIM_Try, /*On fail goto*//*Label 7856*/ GIMT_Encode4(392917), // Rule ID 5818 //
     /* 392880 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 392883 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 392887 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 392891 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /* 392895 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 392899 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392904 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 392906 */   // (vecreduce_add:{ *:[i16] } (AArch64saddlp_n:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn))  =>  (SADDLVv16i8v:{ *:[i16] } V128:{ *:[v16i8] }:$Rn)
     /* 392906 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv16i8v),
     /* 392909 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 392911 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 392915 */   GIR_RootConstrainSelectedInstOperands,
     /* 392916 */   // GIR_Coverage, 5818,
     /* 392916 */   GIR_EraseRootFromParent_Done,
     /* 392917 */ // Label 7856: @392917
     /* 392917 */ GIM_Try, /*On fail goto*//*Label 7857*/ GIMT_Encode4(392959), // Rule ID 5806 //
     /* 392922 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 392925 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 392929 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 392933 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /* 392937 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 392941 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 392946 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 392948 */   // (vecreduce_add:{ *:[i16] } (AArch64uaddlp_n:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn))  =>  (UADDLVv8i8v:{ *:[i16] } V64:{ *:[v8i8] }:$Rn)
     /* 392948 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv8i8v),
     /* 392951 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 392953 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 392957 */   GIR_RootConstrainSelectedInstOperands,
     /* 392958 */   // GIR_Coverage, 5806,
     /* 392958 */   GIR_EraseRootFromParent_Done,
     /* 392959 */ // Label 7857: @392959
     /* 392959 */ GIM_Try, /*On fail goto*//*Label 7858*/ GIMT_Encode4(393001), // Rule ID 5808 //
     /* 392964 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 392967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 392971 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 392975 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /* 392979 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 392983 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392988 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 392990 */   // (vecreduce_add:{ *:[i16] } (AArch64uaddlp_n:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn))  =>  (UADDLVv16i8v:{ *:[i16] } V128:{ *:[v16i8] }:$Rn)
     /* 392990 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv16i8v),
     /* 392993 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 392995 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 392999 */   GIR_RootConstrainSelectedInstOperands,
     /* 393000 */   // GIR_Coverage, 5808,
     /* 393000 */   GIR_EraseRootFromParent_Done,
     /* 393001 */ // Label 7858: @393001
     /* 393001 */ GIM_Try, /*On fail goto*//*Label 7859*/ GIMT_Encode4(393024), // Rule ID 5862 //
     /* 393006 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 393009 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 393013 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 393017 */   // (vecreduce_add:{ *:[i16] } V64:{ *:[v4i16] }:$Rn)  =>  (ADDVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn)
     /* 393017 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDVv4i16v),
     /* 393022 */   GIR_RootConstrainSelectedInstOperands,
     /* 393023 */   // GIR_Coverage, 5862,
     /* 393023 */   GIR_Done,
     /* 393024 */ // Label 7859: @393024
     /* 393024 */ GIM_Try, /*On fail goto*//*Label 7860*/ GIMT_Encode4(393047), // Rule ID 5863 //
     /* 393029 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 393032 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 393036 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393040 */   // (vecreduce_add:{ *:[i16] } V128:{ *:[v8i16] }:$Rn)  =>  (ADDVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn)
     /* 393040 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDVv8i16v),
     /* 393045 */   GIR_RootConstrainSelectedInstOperands,
     /* 393046 */   // GIR_Coverage, 5863,
     /* 393046 */   GIR_Done,
     /* 393047 */ // Label 7860: @393047
     /* 393047 */ GIM_Reject,
     /* 393048 */ // Label 7846: @393048
     /* 393048 */ GIM_Try, /*On fail goto*//*Label 7861*/ GIMT_Encode4(393098), // Rule ID 5811 //
     /* 393053 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 393056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 393060 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 393064 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 393068 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 393071 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 393076 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 393080 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393085 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 393087 */   // (vecreduce_add:{ *:[i32] } (intrinsic_wo_chain:{ *:[v4i32] } 725:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn))  =>  (UADDLVv8i16v:{ *:[i32] } V128:{ *:[v8i16] }:$Rn)
     /* 393087 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv8i16v),
     /* 393090 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 393092 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 393096 */   GIR_RootConstrainSelectedInstOperands,
     /* 393097 */   // GIR_Coverage, 5811,
     /* 393097 */   GIR_EraseRootFromParent_Done,
     /* 393098 */ // Label 7861: @393098
     /* 393098 */ GIM_Try, /*On fail goto*//*Label 7862*/ GIMT_Encode4(393148), // Rule ID 5813 //
     /* 393103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 393106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 393110 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 393114 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 393118 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 393121 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 393126 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 393130 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 393135 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 393137 */   // (vecreduce_add:{ *:[i32] } (intrinsic_wo_chain:{ *:[v2i32] } 725:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn))  =>  (UADDLVv4i16v:{ *:[i32] } V64:{ *:[v4i16] }:$Rn)
     /* 393137 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv4i16v),
     /* 393140 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 393142 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 393146 */   GIR_RootConstrainSelectedInstOperands,
     /* 393147 */   // GIR_Coverage, 5813,
     /* 393147 */   GIR_EraseRootFromParent_Done,
     /* 393148 */ // Label 7862: @393148
     /* 393148 */ GIM_Try, /*On fail goto*//*Label 7863*/ GIMT_Encode4(393198), // Rule ID 5821 //
     /* 393153 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 393156 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 393160 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 393164 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 393168 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 393171 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /* 393176 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 393180 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393185 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 393187 */   // (vecreduce_add:{ *:[i32] } (intrinsic_wo_chain:{ *:[v4i32] } 660:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn))  =>  (SADDLVv8i16v:{ *:[i32] } V128:{ *:[v8i16] }:$Rn)
     /* 393187 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv8i16v),
     /* 393190 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 393192 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 393196 */   GIR_RootConstrainSelectedInstOperands,
     /* 393197 */   // GIR_Coverage, 5821,
     /* 393197 */   GIR_EraseRootFromParent_Done,
     /* 393198 */ // Label 7863: @393198
     /* 393198 */ GIM_Try, /*On fail goto*//*Label 7864*/ GIMT_Encode4(393248), // Rule ID 5823 //
     /* 393203 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 393206 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 393210 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 393214 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 393218 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 393221 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /* 393226 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 393230 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 393235 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 393237 */   // (vecreduce_add:{ *:[i32] } (intrinsic_wo_chain:{ *:[v2i32] } 660:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn))  =>  (SADDLVv4i16v:{ *:[i32] } V64:{ *:[v4i16] }:$Rn)
     /* 393237 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv4i16v),
     /* 393240 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 393242 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 393246 */   GIR_RootConstrainSelectedInstOperands,
     /* 393247 */   // GIR_Coverage, 5823,
     /* 393247 */   GIR_EraseRootFromParent_Done,
     /* 393248 */ // Label 7864: @393248
     /* 393248 */ GIM_Try, /*On fail goto*//*Label 7865*/ GIMT_Encode4(393290), // Rule ID 5820 //
     /* 393253 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 393256 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 393260 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 393264 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /* 393268 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 393272 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393277 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 393279 */   // (vecreduce_add:{ *:[i32] } (AArch64saddlp_n:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn))  =>  (SADDLVv8i16v:{ *:[i32] } V128:{ *:[v8i16] }:$Rn)
     /* 393279 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv8i16v),
     /* 393282 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 393284 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 393288 */   GIR_RootConstrainSelectedInstOperands,
     /* 393289 */   // GIR_Coverage, 5820,
     /* 393289 */   GIR_EraseRootFromParent_Done,
     /* 393290 */ // Label 7865: @393290
     /* 393290 */ GIM_Try, /*On fail goto*//*Label 7866*/ GIMT_Encode4(393332), // Rule ID 5822 //
     /* 393295 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 393298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 393302 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 393306 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /* 393310 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 393314 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 393319 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 393321 */   // (vecreduce_add:{ *:[i32] } (AArch64saddlp_n:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn))  =>  (SADDLVv4i16v:{ *:[i32] } V64:{ *:[v4i16] }:$Rn)
     /* 393321 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv4i16v),
     /* 393324 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 393326 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 393330 */   GIR_RootConstrainSelectedInstOperands,
     /* 393331 */   // GIR_Coverage, 5822,
     /* 393331 */   GIR_EraseRootFromParent_Done,
     /* 393332 */ // Label 7866: @393332
     /* 393332 */ GIM_Try, /*On fail goto*//*Label 7867*/ GIMT_Encode4(393374), // Rule ID 5810 //
     /* 393337 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 393340 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 393344 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 393348 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /* 393352 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 393356 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393361 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 393363 */   // (vecreduce_add:{ *:[i32] } (AArch64uaddlp_n:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn))  =>  (UADDLVv8i16v:{ *:[i32] } V128:{ *:[v8i16] }:$Rn)
     /* 393363 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv8i16v),
     /* 393366 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 393368 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 393372 */   GIR_RootConstrainSelectedInstOperands,
     /* 393373 */   // GIR_Coverage, 5810,
     /* 393373 */   GIR_EraseRootFromParent_Done,
     /* 393374 */ // Label 7867: @393374
     /* 393374 */ GIM_Try, /*On fail goto*//*Label 7868*/ GIMT_Encode4(393416), // Rule ID 5812 //
     /* 393379 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 393382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 393386 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 393390 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /* 393394 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 393398 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 393403 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 393405 */   // (vecreduce_add:{ *:[i32] } (AArch64uaddlp_n:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn))  =>  (UADDLVv4i16v:{ *:[i32] } V64:{ *:[v4i16] }:$Rn)
     /* 393405 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv4i16v),
     /* 393408 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 393410 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 393414 */   GIR_RootConstrainSelectedInstOperands,
     /* 393415 */   // GIR_Coverage, 5812,
     /* 393415 */   GIR_EraseRootFromParent_Done,
     /* 393416 */ // Label 7868: @393416
     /* 393416 */ GIM_Try, /*On fail goto*//*Label 7869*/ GIMT_Encode4(393477), // Rule ID 5864 //
     /* 393421 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 393424 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 393428 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 393432 */   // (vecreduce_add:{ *:[i32] } V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (ADDPv2i32:{ *:[i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rn), ssub:{ *:[i32] })
     /* 393432 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 393435 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i32),
     /* 393439 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 393444 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 393448 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 393452 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 393454 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 393457 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 393459 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 393466 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 393471 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 393476 */   // GIR_Coverage, 5864,
     /* 393476 */   GIR_EraseRootFromParent_Done,
     /* 393477 */ // Label 7869: @393477
     /* 393477 */ GIM_Try, /*On fail goto*//*Label 7870*/ GIMT_Encode4(393500), // Rule ID 5865 //
     /* 393482 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 393485 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 393489 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393493 */   // (vecreduce_add:{ *:[i32] } V128:{ *:[v4i32] }:$Rn)  =>  (ADDVv4i32v:{ *:[i32] } V128:{ *:[v4i32] }:$Rn)
     /* 393493 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDVv4i32v),
     /* 393498 */   GIR_RootConstrainSelectedInstOperands,
     /* 393499 */   // GIR_Coverage, 5865,
     /* 393499 */   GIR_Done,
     /* 393500 */ // Label 7870: @393500
     /* 393500 */ GIM_Reject,
     /* 393501 */ // Label 7847: @393501
     /* 393501 */ GIM_Try, /*On fail goto*//*Label 7871*/ GIMT_Encode4(393686),
     /* 393506 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 393509 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 393513 */   GIM_Try, /*On fail goto*//*Label 7872*/ GIMT_Encode4(393556), // Rule ID 5815 //
     /* 393518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 393522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 393526 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 393529 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 393534 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 393538 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 393545 */     // (vecreduce_add:{ *:[i64] } (intrinsic_wo_chain:{ *:[v2i64] } 725:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn))  =>  (UADDLVv4i32v:{ *:[i64] } V128:{ *:[v4i32] }:$Rn)
     /* 393545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv4i32v),
     /* 393548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 393550 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 393554 */     GIR_RootConstrainSelectedInstOperands,
     /* 393555 */     // GIR_Coverage, 5815,
     /* 393555 */     GIR_EraseRootFromParent_Done,
     /* 393556 */   // Label 7872: @393556
     /* 393556 */   GIM_Try, /*On fail goto*//*Label 7873*/ GIMT_Encode4(393599), // Rule ID 5825 //
     /* 393561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 393565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 393569 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 393572 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /* 393577 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 393581 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393586 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 393588 */     // (vecreduce_add:{ *:[i64] } (intrinsic_wo_chain:{ *:[v2i64] } 660:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn))  =>  (SADDLVv4i32v:{ *:[i64] } V128:{ *:[v4i32] }:$Rn)
     /* 393588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv4i32v),
     /* 393591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 393593 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 393597 */     GIR_RootConstrainSelectedInstOperands,
     /* 393598 */     // GIR_Coverage, 5825,
     /* 393598 */     GIR_EraseRootFromParent_Done,
     /* 393599 */   // Label 7873: @393599
     /* 393599 */   GIM_Try, /*On fail goto*//*Label 7874*/ GIMT_Encode4(393634), // Rule ID 5824 //
     /* 393604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 393608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /* 393612 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 393616 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 393623 */     // (vecreduce_add:{ *:[i64] } (AArch64saddlp_n:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn))  =>  (SADDLVv4i32v:{ *:[i64] } V128:{ *:[v4i32] }:$Rn)
     /* 393623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv4i32v),
     /* 393626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 393628 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 393632 */     GIR_RootConstrainSelectedInstOperands,
     /* 393633 */     // GIR_Coverage, 5824,
     /* 393633 */     GIR_EraseRootFromParent_Done,
     /* 393634 */   // Label 7874: @393634
     /* 393634 */   GIM_Try, /*On fail goto*//*Label 7875*/ GIMT_Encode4(393669), // Rule ID 5814 //
     /* 393639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 393643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /* 393647 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 393651 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 393658 */     // (vecreduce_add:{ *:[i64] } (AArch64uaddlp_n:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn))  =>  (UADDLVv4i32v:{ *:[i64] } V128:{ *:[v4i32] }:$Rn)
     /* 393658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv4i32v),
     /* 393661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 393663 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 393667 */     GIR_RootConstrainSelectedInstOperands,
     /* 393668 */     // GIR_Coverage, 5814,
     /* 393668 */     GIR_EraseRootFromParent_Done,
     /* 393669 */   // Label 7875: @393669
     /* 393669 */   GIM_Try, /*On fail goto*//*Label 7876*/ GIMT_Encode4(393685), // Rule ID 5866 //
     /* 393674 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393678 */     // (vecreduce_add:{ *:[i64] } V128:{ *:[v2i64] }:$Rn)  =>  (ADDPv2i64p:{ *:[i64] } V128:{ *:[v2i64] }:$Rn)
     /* 393678 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i64p),
     /* 393683 */     GIR_RootConstrainSelectedInstOperands,
     /* 393684 */     // GIR_Coverage, 5866,
     /* 393684 */     GIR_Done,
     /* 393685 */   // Label 7876: @393685
     /* 393685 */   GIM_Reject,
     /* 393686 */ // Label 7871: @393686
     /* 393686 */ GIM_Reject,
     /* 393687 */ // Label 7848: @393687
     /* 393687 */ GIM_Reject,
     /* 393688 */ // Label 116: @393688
     /* 393688 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(3), /*)*//*default:*//*Label 7880*/ GIMT_Encode4(393890),
     /* 393699 */ /*GILLT_s8*//*Label 7877*/ GIMT_Encode4(393711),
     /* 393703 */ /*GILLT_s16*//*Label 7878*/ GIMT_Encode4(393758),
     /* 393707 */ /*GILLT_s32*//*Label 7879*/ GIMT_Encode4(393805),
     /* 393711 */ // Label 7877: @393711
     /* 393711 */ GIM_Try, /*On fail goto*//*Label 7881*/ GIMT_Encode4(393734), // Rule ID 5957 //
     /* 393716 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 393719 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 393723 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 393727 */   // (vecreduce_smax:{ *:[i8] } FPR64:{ *:[v8i8] }:$Rn)  =>  (SMAXVv8i8v:{ *:[i8] } FPR64:{ *:[v8i8] }:$Rn)
     /* 393727 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv8i8v),
     /* 393732 */   GIR_RootConstrainSelectedInstOperands,
     /* 393733 */   // GIR_Coverage, 5957,
     /* 393733 */   GIR_Done,
     /* 393734 */ // Label 7881: @393734
     /* 393734 */ GIM_Try, /*On fail goto*//*Label 7882*/ GIMT_Encode4(393757), // Rule ID 5958 //
     /* 393739 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 393742 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 393746 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393750 */   // (vecreduce_smax:{ *:[i8] } FPR128:{ *:[v16i8] }:$Rn)  =>  (SMAXVv16i8v:{ *:[i8] } FPR128:{ *:[v16i8] }:$Rn)
     /* 393750 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv16i8v),
     /* 393755 */   GIR_RootConstrainSelectedInstOperands,
     /* 393756 */   // GIR_Coverage, 5958,
     /* 393756 */   GIR_Done,
     /* 393757 */ // Label 7882: @393757
     /* 393757 */ GIM_Reject,
     /* 393758 */ // Label 7878: @393758
     /* 393758 */ GIM_Try, /*On fail goto*//*Label 7883*/ GIMT_Encode4(393781), // Rule ID 5959 //
     /* 393763 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 393766 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 393770 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 393774 */   // (vecreduce_smax:{ *:[i16] } FPR64:{ *:[v4i16] }:$Rn)  =>  (SMAXVv4i16v:{ *:[i16] } FPR64:{ *:[v4i16] }:$Rn)
     /* 393774 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv4i16v),
     /* 393779 */   GIR_RootConstrainSelectedInstOperands,
     /* 393780 */   // GIR_Coverage, 5959,
     /* 393780 */   GIR_Done,
     /* 393781 */ // Label 7883: @393781
     /* 393781 */ GIM_Try, /*On fail goto*//*Label 7884*/ GIMT_Encode4(393804), // Rule ID 5960 //
     /* 393786 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 393789 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 393793 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393797 */   // (vecreduce_smax:{ *:[i16] } FPR128:{ *:[v8i16] }:$Rn)  =>  (SMAXVv8i16v:{ *:[i16] } FPR128:{ *:[v8i16] }:$Rn)
     /* 393797 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv8i16v),
     /* 393802 */   GIR_RootConstrainSelectedInstOperands,
     /* 393803 */   // GIR_Coverage, 5960,
     /* 393803 */   GIR_Done,
     /* 393804 */ // Label 7884: @393804
     /* 393804 */ GIM_Reject,
     /* 393805 */ // Label 7879: @393805
     /* 393805 */ GIM_Try, /*On fail goto*//*Label 7885*/ GIMT_Encode4(393828), // Rule ID 5961 //
     /* 393810 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 393813 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 393817 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393821 */   // (vecreduce_smax:{ *:[i32] } V128:{ *:[v4i32] }:$Rn)  =>  (SMAXVv4i32v:{ *:[i32] } V128:{ *:[v4i32] }:$Rn)
     /* 393821 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv4i32v),
     /* 393826 */   GIR_RootConstrainSelectedInstOperands,
     /* 393827 */   // GIR_Coverage, 5961,
     /* 393827 */   GIR_Done,
     /* 393828 */ // Label 7885: @393828
     /* 393828 */ GIM_Try, /*On fail goto*//*Label 7886*/ GIMT_Encode4(393889), // Rule ID 5962 //
     /* 393833 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 393836 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 393840 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 393844 */   // (vecreduce_smax:{ *:[i32] } V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (SMAXPv2i32:{ *:[i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rn), ssub:{ *:[i32] })
     /* 393844 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 393847 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMAXPv2i32),
     /* 393851 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 393856 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 393860 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 393864 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 393866 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 393869 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 393871 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 393878 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 393883 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 393888 */   // GIR_Coverage, 5962,
     /* 393888 */   GIR_EraseRootFromParent_Done,
     /* 393889 */ // Label 7886: @393889
     /* 393889 */ GIM_Reject,
     /* 393890 */ // Label 7880: @393890
     /* 393890 */ GIM_Reject,
     /* 393891 */ // Label 117: @393891
     /* 393891 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(3), /*)*//*default:*//*Label 7890*/ GIMT_Encode4(394093),
     /* 393902 */ /*GILLT_s8*//*Label 7887*/ GIMT_Encode4(393914),
     /* 393906 */ /*GILLT_s16*//*Label 7888*/ GIMT_Encode4(393961),
     /* 393910 */ /*GILLT_s32*//*Label 7889*/ GIMT_Encode4(394008),
     /* 393914 */ // Label 7887: @393914
     /* 393914 */ GIM_Try, /*On fail goto*//*Label 7891*/ GIMT_Encode4(393937), // Rule ID 5951 //
     /* 393919 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 393922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 393926 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 393930 */   // (vecreduce_smin:{ *:[i8] } FPR64:{ *:[v8i8] }:$Rn)  =>  (SMINVv8i8v:{ *:[i8] } FPR64:{ *:[v8i8] }:$Rn)
     /* 393930 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINVv8i8v),
     /* 393935 */   GIR_RootConstrainSelectedInstOperands,
     /* 393936 */   // GIR_Coverage, 5951,
     /* 393936 */   GIR_Done,
     /* 393937 */ // Label 7891: @393937
     /* 393937 */ GIM_Try, /*On fail goto*//*Label 7892*/ GIMT_Encode4(393960), // Rule ID 5952 //
     /* 393942 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 393945 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 393949 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393953 */   // (vecreduce_smin:{ *:[i8] } FPR128:{ *:[v16i8] }:$Rn)  =>  (SMINVv16i8v:{ *:[i8] } FPR128:{ *:[v16i8] }:$Rn)
     /* 393953 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINVv16i8v),
     /* 393958 */   GIR_RootConstrainSelectedInstOperands,
     /* 393959 */   // GIR_Coverage, 5952,
     /* 393959 */   GIR_Done,
     /* 393960 */ // Label 7892: @393960
     /* 393960 */ GIM_Reject,
     /* 393961 */ // Label 7888: @393961
     /* 393961 */ GIM_Try, /*On fail goto*//*Label 7893*/ GIMT_Encode4(393984), // Rule ID 5953 //
     /* 393966 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 393969 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 393973 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 393977 */   // (vecreduce_smin:{ *:[i16] } FPR64:{ *:[v4i16] }:$Rn)  =>  (SMINVv4i16v:{ *:[i16] } FPR64:{ *:[v4i16] }:$Rn)
     /* 393977 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINVv4i16v),
     /* 393982 */   GIR_RootConstrainSelectedInstOperands,
     /* 393983 */   // GIR_Coverage, 5953,
     /* 393983 */   GIR_Done,
     /* 393984 */ // Label 7893: @393984
     /* 393984 */ GIM_Try, /*On fail goto*//*Label 7894*/ GIMT_Encode4(394007), // Rule ID 5954 //
     /* 393989 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 393992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 393996 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394000 */   // (vecreduce_smin:{ *:[i16] } FPR128:{ *:[v8i16] }:$Rn)  =>  (SMINVv8i16v:{ *:[i16] } FPR128:{ *:[v8i16] }:$Rn)
     /* 394000 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINVv8i16v),
     /* 394005 */   GIR_RootConstrainSelectedInstOperands,
     /* 394006 */   // GIR_Coverage, 5954,
     /* 394006 */   GIR_Done,
     /* 394007 */ // Label 7894: @394007
     /* 394007 */ GIM_Reject,
     /* 394008 */ // Label 7889: @394008
     /* 394008 */ GIM_Try, /*On fail goto*//*Label 7895*/ GIMT_Encode4(394031), // Rule ID 5955 //
     /* 394013 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 394016 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 394020 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394024 */   // (vecreduce_smin:{ *:[i32] } V128:{ *:[v4i32] }:$Rn)  =>  (SMINVv4i32v:{ *:[i32] } V128:{ *:[v4i32] }:$Rn)
     /* 394024 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINVv4i32v),
     /* 394029 */   GIR_RootConstrainSelectedInstOperands,
     /* 394030 */   // GIR_Coverage, 5955,
     /* 394030 */   GIR_Done,
     /* 394031 */ // Label 7895: @394031
     /* 394031 */ GIM_Try, /*On fail goto*//*Label 7896*/ GIMT_Encode4(394092), // Rule ID 5956 //
     /* 394036 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 394039 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 394043 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394047 */   // (vecreduce_smin:{ *:[i32] } V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (SMINPv2i32:{ *:[i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rn), ssub:{ *:[i32] })
     /* 394047 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 394050 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMINPv2i32),
     /* 394054 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 394059 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 394063 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 394067 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 394069 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 394072 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 394074 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 394081 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 394086 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394091 */   // GIR_Coverage, 5956,
     /* 394091 */   GIR_EraseRootFromParent_Done,
     /* 394092 */ // Label 7896: @394092
     /* 394092 */ GIM_Reject,
     /* 394093 */ // Label 7890: @394093
     /* 394093 */ GIM_Reject,
     /* 394094 */ // Label 118: @394094
     /* 394094 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(3), /*)*//*default:*//*Label 7900*/ GIMT_Encode4(394296),
     /* 394105 */ /*GILLT_s8*//*Label 7897*/ GIMT_Encode4(394117),
     /* 394109 */ /*GILLT_s16*//*Label 7898*/ GIMT_Encode4(394164),
     /* 394113 */ /*GILLT_s32*//*Label 7899*/ GIMT_Encode4(394211),
     /* 394117 */ // Label 7897: @394117
     /* 394117 */ GIM_Try, /*On fail goto*//*Label 7901*/ GIMT_Encode4(394140), // Rule ID 5945 //
     /* 394122 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 394125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 394129 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394133 */   // (vecreduce_umax:{ *:[i8] } FPR64:{ *:[v8i8] }:$Rn)  =>  (UMAXVv8i8v:{ *:[i8] } FPR64:{ *:[v8i8] }:$Rn)
     /* 394133 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv8i8v),
     /* 394138 */   GIR_RootConstrainSelectedInstOperands,
     /* 394139 */   // GIR_Coverage, 5945,
     /* 394139 */   GIR_Done,
     /* 394140 */ // Label 7901: @394140
     /* 394140 */ GIM_Try, /*On fail goto*//*Label 7902*/ GIMT_Encode4(394163), // Rule ID 5946 //
     /* 394145 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 394148 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 394152 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394156 */   // (vecreduce_umax:{ *:[i8] } FPR128:{ *:[v16i8] }:$Rn)  =>  (UMAXVv16i8v:{ *:[i8] } FPR128:{ *:[v16i8] }:$Rn)
     /* 394156 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv16i8v),
     /* 394161 */   GIR_RootConstrainSelectedInstOperands,
     /* 394162 */   // GIR_Coverage, 5946,
     /* 394162 */   GIR_Done,
     /* 394163 */ // Label 7902: @394163
     /* 394163 */ GIM_Reject,
     /* 394164 */ // Label 7898: @394164
     /* 394164 */ GIM_Try, /*On fail goto*//*Label 7903*/ GIMT_Encode4(394187), // Rule ID 5947 //
     /* 394169 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 394172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 394176 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394180 */   // (vecreduce_umax:{ *:[i16] } FPR64:{ *:[v4i16] }:$Rn)  =>  (UMAXVv4i16v:{ *:[i16] } FPR64:{ *:[v4i16] }:$Rn)
     /* 394180 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv4i16v),
     /* 394185 */   GIR_RootConstrainSelectedInstOperands,
     /* 394186 */   // GIR_Coverage, 5947,
     /* 394186 */   GIR_Done,
     /* 394187 */ // Label 7903: @394187
     /* 394187 */ GIM_Try, /*On fail goto*//*Label 7904*/ GIMT_Encode4(394210), // Rule ID 5948 //
     /* 394192 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 394195 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 394199 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394203 */   // (vecreduce_umax:{ *:[i16] } FPR128:{ *:[v8i16] }:$Rn)  =>  (UMAXVv8i16v:{ *:[i16] } FPR128:{ *:[v8i16] }:$Rn)
     /* 394203 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv8i16v),
     /* 394208 */   GIR_RootConstrainSelectedInstOperands,
     /* 394209 */   // GIR_Coverage, 5948,
     /* 394209 */   GIR_Done,
     /* 394210 */ // Label 7904: @394210
     /* 394210 */ GIM_Reject,
     /* 394211 */ // Label 7899: @394211
     /* 394211 */ GIM_Try, /*On fail goto*//*Label 7905*/ GIMT_Encode4(394234), // Rule ID 5949 //
     /* 394216 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 394219 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 394223 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394227 */   // (vecreduce_umax:{ *:[i32] } V128:{ *:[v4i32] }:$Rn)  =>  (UMAXVv4i32v:{ *:[i32] } V128:{ *:[v4i32] }:$Rn)
     /* 394227 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv4i32v),
     /* 394232 */   GIR_RootConstrainSelectedInstOperands,
     /* 394233 */   // GIR_Coverage, 5949,
     /* 394233 */   GIR_Done,
     /* 394234 */ // Label 7905: @394234
     /* 394234 */ GIM_Try, /*On fail goto*//*Label 7906*/ GIMT_Encode4(394295), // Rule ID 5950 //
     /* 394239 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 394242 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 394246 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394250 */   // (vecreduce_umax:{ *:[i32] } V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (UMAXPv2i32:{ *:[i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rn), ssub:{ *:[i32] })
     /* 394250 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 394253 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMAXPv2i32),
     /* 394257 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 394262 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 394266 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 394270 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 394272 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 394275 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 394277 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 394284 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 394289 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394294 */   // GIR_Coverage, 5950,
     /* 394294 */   GIR_EraseRootFromParent_Done,
     /* 394295 */ // Label 7906: @394295
     /* 394295 */ GIM_Reject,
     /* 394296 */ // Label 7900: @394296
     /* 394296 */ GIM_Reject,
     /* 394297 */ // Label 119: @394297
     /* 394297 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(3), /*)*//*default:*//*Label 7910*/ GIMT_Encode4(394499),
     /* 394308 */ /*GILLT_s8*//*Label 7907*/ GIMT_Encode4(394320),
     /* 394312 */ /*GILLT_s16*//*Label 7908*/ GIMT_Encode4(394367),
     /* 394316 */ /*GILLT_s32*//*Label 7909*/ GIMT_Encode4(394414),
     /* 394320 */ // Label 7907: @394320
     /* 394320 */ GIM_Try, /*On fail goto*//*Label 7911*/ GIMT_Encode4(394343), // Rule ID 5939 //
     /* 394325 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 394328 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 394332 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394336 */   // (vecreduce_umin:{ *:[i8] } FPR64:{ *:[v8i8] }:$Rn)  =>  (UMINVv8i8v:{ *:[i8] } FPR64:{ *:[v8i8] }:$Rn)
     /* 394336 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINVv8i8v),
     /* 394341 */   GIR_RootConstrainSelectedInstOperands,
     /* 394342 */   // GIR_Coverage, 5939,
     /* 394342 */   GIR_Done,
     /* 394343 */ // Label 7911: @394343
     /* 394343 */ GIM_Try, /*On fail goto*//*Label 7912*/ GIMT_Encode4(394366), // Rule ID 5940 //
     /* 394348 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 394351 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 394355 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394359 */   // (vecreduce_umin:{ *:[i8] } FPR128:{ *:[v16i8] }:$Rn)  =>  (UMINVv16i8v:{ *:[i8] } FPR128:{ *:[v16i8] }:$Rn)
     /* 394359 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINVv16i8v),
     /* 394364 */   GIR_RootConstrainSelectedInstOperands,
     /* 394365 */   // GIR_Coverage, 5940,
     /* 394365 */   GIR_Done,
     /* 394366 */ // Label 7912: @394366
     /* 394366 */ GIM_Reject,
     /* 394367 */ // Label 7908: @394367
     /* 394367 */ GIM_Try, /*On fail goto*//*Label 7913*/ GIMT_Encode4(394390), // Rule ID 5941 //
     /* 394372 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 394375 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 394379 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394383 */   // (vecreduce_umin:{ *:[i16] } FPR64:{ *:[v4i16] }:$Rn)  =>  (UMINVv4i16v:{ *:[i16] } FPR64:{ *:[v4i16] }:$Rn)
     /* 394383 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINVv4i16v),
     /* 394388 */   GIR_RootConstrainSelectedInstOperands,
     /* 394389 */   // GIR_Coverage, 5941,
     /* 394389 */   GIR_Done,
     /* 394390 */ // Label 7913: @394390
     /* 394390 */ GIM_Try, /*On fail goto*//*Label 7914*/ GIMT_Encode4(394413), // Rule ID 5942 //
     /* 394395 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 394398 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 394402 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394406 */   // (vecreduce_umin:{ *:[i16] } FPR128:{ *:[v8i16] }:$Rn)  =>  (UMINVv8i16v:{ *:[i16] } FPR128:{ *:[v8i16] }:$Rn)
     /* 394406 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINVv8i16v),
     /* 394411 */   GIR_RootConstrainSelectedInstOperands,
     /* 394412 */   // GIR_Coverage, 5942,
     /* 394412 */   GIR_Done,
     /* 394413 */ // Label 7914: @394413
     /* 394413 */ GIM_Reject,
     /* 394414 */ // Label 7909: @394414
     /* 394414 */ GIM_Try, /*On fail goto*//*Label 7915*/ GIMT_Encode4(394437), // Rule ID 5943 //
     /* 394419 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 394422 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 394426 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394430 */   // (vecreduce_umin:{ *:[i32] } V128:{ *:[v4i32] }:$Rn)  =>  (UMINVv4i32v:{ *:[i32] } V128:{ *:[v4i32] }:$Rn)
     /* 394430 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINVv4i32v),
     /* 394435 */   GIR_RootConstrainSelectedInstOperands,
     /* 394436 */   // GIR_Coverage, 5943,
     /* 394436 */   GIR_Done,
     /* 394437 */ // Label 7915: @394437
     /* 394437 */ GIM_Try, /*On fail goto*//*Label 7916*/ GIMT_Encode4(394498), // Rule ID 5944 //
     /* 394442 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 394445 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 394449 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394453 */   // (vecreduce_umin:{ *:[i32] } V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (UMINPv2i32:{ *:[i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rn), ssub:{ *:[i32] })
     /* 394453 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 394456 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMINPv2i32),
     /* 394460 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 394465 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 394469 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 394473 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 394475 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 394478 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 394480 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 394487 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 394492 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394497 */   // GIR_Coverage, 5944,
     /* 394497 */   GIR_EraseRootFromParent_Done,
     /* 394498 */ // Label 7916: @394498
     /* 394498 */ GIM_Reject,
     /* 394499 */ // Label 7910: @394499
     /* 394499 */ GIM_Reject,
     /* 394500 */ // Label 120: @394500
     /* 394500 */ GIM_Try, /*On fail goto*//*Label 7917*/ GIMT_Encode4(394639),
     /* 394505 */   GIM_CheckIsImm, /*MI*/0, /*Op*/0,
     /* 394508 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 394512 */   GIM_Try, /*On fail goto*//*Label 7918*/ GIMT_Encode4(394546), // Rule ID 257 //
     /* 394517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 394524 */     // (AArch64Prefetch (timm:{ *:[i32] }):$Rt, (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))  =>  (PRFMroW (timm:{ *:[i32] }):$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 394524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFMroW),
     /* 394527 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 394529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 394534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 394539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 394544 */     GIR_RootConstrainSelectedInstOperands,
     /* 394545 */     // GIR_Coverage, 257,
     /* 394545 */     GIR_EraseRootFromParent_Done,
     /* 394546 */   // Label 7918: @394546
     /* 394546 */   GIM_Try, /*On fail goto*//*Label 7919*/ GIMT_Encode4(394580), // Rule ID 258 //
     /* 394551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 394558 */     // (AArch64Prefetch (timm:{ *:[i32] }):$Rt, (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))  =>  (PRFMroX (timm:{ *:[i32] }):$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 394558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFMroX),
     /* 394561 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 394563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 394568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 394573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 394578 */     GIR_RootConstrainSelectedInstOperands,
     /* 394579 */     // GIR_Coverage, 258,
     /* 394579 */     GIR_EraseRootFromParent_Done,
     /* 394580 */   // Label 7919: @394580
     /* 394580 */   GIM_Try, /*On fail goto*//*Label 7920*/ GIMT_Encode4(394609), // Rule ID 273 //
     /* 394585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 394592 */     // (AArch64Prefetch (timm:{ *:[i32] }):$Rt, (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))  =>  (PRFMui (timm:{ *:[i32] }):$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 394592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFMui),
     /* 394595 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 394597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 394602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 394607 */     GIR_RootConstrainSelectedInstOperands,
     /* 394608 */     // GIR_Coverage, 273,
     /* 394608 */     GIR_EraseRootFromParent_Done,
     /* 394609 */   // Label 7920: @394609
     /* 394609 */   GIM_Try, /*On fail goto*//*Label 7921*/ GIMT_Encode4(394638), // Rule ID 294 //
     /* 394614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 394621 */     // (AArch64Prefetch (timm:{ *:[i32] }):$Rt, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))  =>  (PRFUMi (timm:{ *:[i32] }):$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 394621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFUMi),
     /* 394624 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 394626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 394631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 394636 */     GIR_RootConstrainSelectedInstOperands,
     /* 394637 */     // GIR_Coverage, 294,
     /* 394637 */     GIR_EraseRootFromParent_Done,
     /* 394638 */   // Label 7921: @394638
     /* 394638 */   GIM_Reject,
     /* 394639 */ // Label 7917: @394639
     /* 394639 */ GIM_Reject,
     /* 394640 */ // Label 121: @394640
     /* 394640 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(24), /*)*//*default:*//*Label 7934*/ GIMT_Encode4(395179),
     /* 394651 */ /*GILLT_s64*//*Label 7922*/ GIMT_Encode4(394735), GIMT_Encode4(0),
     /* 394659 */ /*GILLT_v2s32*//*Label 7923*/ GIMT_Encode4(394773),
     /* 394663 */ /*GILLT_v2s64*//*Label 7924*/ GIMT_Encode4(394811),
     /* 394667 */ /*GILLT_v4s16*//*Label 7925*/ GIMT_Encode4(394849),
     /* 394671 */ /*GILLT_v4s32*//*Label 7926*/ GIMT_Encode4(394887),
     /* 394675 */ /*GILLT_v8s8*//*Label 7927*/ GIMT_Encode4(394925),
     /* 394679 */ /*GILLT_v8s16*//*Label 7928*/ GIMT_Encode4(394963),
     /* 394683 */ /*GILLT_v16s8*//*Label 7929*/ GIMT_Encode4(395001), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 394703 */ /*GILLT_nxv2s64*//*Label 7930*/ GIMT_Encode4(395039), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 394715 */ /*GILLT_nxv4s32*//*Label 7931*/ GIMT_Encode4(395074), GIMT_Encode4(0),
     /* 394723 */ /*GILLT_nxv8s16*//*Label 7932*/ GIMT_Encode4(395109), GIMT_Encode4(0),
     /* 394731 */ /*GILLT_nxv16s8*//*Label 7933*/ GIMT_Encode4(395144),
     /* 394735 */ // Label 7922: @394735
     /* 394735 */ GIM_Try, /*On fail goto*//*Label 7935*/ GIMT_Encode4(394772), // Rule ID 5054 //
     /* 394740 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 394743 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 394746 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 394749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394753 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394757 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394761 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394765 */   // (AArch64bsp:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, V64:{ *:[v1i64] }:$Rn, V64:{ *:[v1i64] }:$Rm)  =>  (BSPv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, V64:{ *:[v1i64] }:$Rn, V64:{ *:[v1i64] }:$Rm)
     /* 394765 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /* 394770 */   GIR_RootConstrainSelectedInstOperands,
     /* 394771 */   // GIR_Coverage, 5054,
     /* 394771 */   GIR_Done,
     /* 394772 */ // Label 7935: @394772
     /* 394772 */ GIM_Reject,
     /* 394773 */ // Label 7923: @394773
     /* 394773 */ GIM_Try, /*On fail goto*//*Label 7936*/ GIMT_Encode4(394810), // Rule ID 5053 //
     /* 394778 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 394781 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 394784 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 394787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394791 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394795 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394799 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394803 */   // (AArch64bsp:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (BSPv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 394803 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /* 394808 */   GIR_RootConstrainSelectedInstOperands,
     /* 394809 */   // GIR_Coverage, 5053,
     /* 394809 */   GIR_Done,
     /* 394810 */ // Label 7936: @394810
     /* 394810 */ GIM_Reject,
     /* 394811 */ // Label 7924: @394811
     /* 394811 */ GIM_Try, /*On fail goto*//*Label 7937*/ GIMT_Encode4(394848), // Rule ID 5058 //
     /* 394816 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 394819 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 394822 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 394825 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394829 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394833 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394837 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394841 */   // (AArch64bsp:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (BSPv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 394841 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /* 394846 */   GIR_RootConstrainSelectedInstOperands,
     /* 394847 */   // GIR_Coverage, 5058,
     /* 394847 */   GIR_Done,
     /* 394848 */ // Label 7937: @394848
     /* 394848 */ GIM_Reject,
     /* 394849 */ // Label 7925: @394849
     /* 394849 */ GIM_Try, /*On fail goto*//*Label 7938*/ GIMT_Encode4(394886), // Rule ID 5052 //
     /* 394854 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 394857 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 394860 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 394863 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394867 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394871 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394875 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394879 */   // (AArch64bsp:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (BSPv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 394879 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /* 394884 */   GIR_RootConstrainSelectedInstOperands,
     /* 394885 */   // GIR_Coverage, 5052,
     /* 394885 */   GIR_Done,
     /* 394886 */ // Label 7938: @394886
     /* 394886 */ GIM_Reject,
     /* 394887 */ // Label 7926: @394887
     /* 394887 */ GIM_Try, /*On fail goto*//*Label 7939*/ GIMT_Encode4(394924), // Rule ID 5057 //
     /* 394892 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 394895 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 394898 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 394901 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394905 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394909 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394913 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394917 */   // (AArch64bsp:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (BSPv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 394917 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /* 394922 */   GIR_RootConstrainSelectedInstOperands,
     /* 394923 */   // GIR_Coverage, 5057,
     /* 394923 */   GIR_Done,
     /* 394924 */ // Label 7939: @394924
     /* 394924 */ GIM_Reject,
     /* 394925 */ // Label 7927: @394925
     /* 394925 */ GIM_Try, /*On fail goto*//*Label 7940*/ GIMT_Encode4(394962), // Rule ID 5051 //
     /* 394930 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 394933 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 394936 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 394939 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394943 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394947 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394951 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394955 */   // (AArch64bsp:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (BSPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 394955 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /* 394960 */   GIR_RootConstrainSelectedInstOperands,
     /* 394961 */   // GIR_Coverage, 5051,
     /* 394961 */   GIR_Done,
     /* 394962 */ // Label 7940: @394962
     /* 394962 */ GIM_Reject,
     /* 394963 */ // Label 7928: @394963
     /* 394963 */ GIM_Try, /*On fail goto*//*Label 7941*/ GIMT_Encode4(395000), // Rule ID 5056 //
     /* 394968 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 394971 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 394974 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 394977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394981 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394985 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394989 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394993 */   // (AArch64bsp:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (BSPv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 394993 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /* 394998 */   GIR_RootConstrainSelectedInstOperands,
     /* 394999 */   // GIR_Coverage, 5056,
     /* 394999 */   GIR_Done,
     /* 395000 */ // Label 7941: @395000
     /* 395000 */ GIM_Reject,
     /* 395001 */ // Label 7929: @395001
     /* 395001 */ GIM_Try, /*On fail goto*//*Label 7942*/ GIMT_Encode4(395038), // Rule ID 5055 //
     /* 395006 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 395009 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 395012 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 395015 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395019 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395023 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395027 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395031 */   // (AArch64bsp:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (BSPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 395031 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /* 395036 */   GIR_RootConstrainSelectedInstOperands,
     /* 395037 */   // GIR_Coverage, 5055,
     /* 395037 */   GIR_Done,
     /* 395038 */ // Label 7942: @395038
     /* 395038 */ GIM_Reject,
     /* 395039 */ // Label 7930: @395039
     /* 395039 */ GIM_Try, /*On fail goto*//*Label 7943*/ GIMT_Encode4(395073), // Rule ID 11805 //
     /* 395044 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 395047 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 395050 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 395053 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 395056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 395060 */   // (AArch64bsp:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (BSL_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 395060 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL_ZZZZ),
     /* 395063 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 395065 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 395067 */   GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 395069 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op3
     /* 395071 */   GIR_RootConstrainSelectedInstOperands,
     /* 395072 */   // GIR_Coverage, 11805,
     /* 395072 */   GIR_EraseRootFromParent_Done,
     /* 395073 */ // Label 7943: @395073
     /* 395073 */ GIM_Reject,
     /* 395074 */ // Label 7931: @395074
     /* 395074 */ GIM_Try, /*On fail goto*//*Label 7944*/ GIMT_Encode4(395108), // Rule ID 11803 //
     /* 395079 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 395082 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 395085 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 395088 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 395091 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 395095 */   // (AArch64bsp:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (BSL_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 395095 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL_ZZZZ),
     /* 395098 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 395100 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 395102 */   GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 395104 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op3
     /* 395106 */   GIR_RootConstrainSelectedInstOperands,
     /* 395107 */   // GIR_Coverage, 11803,
     /* 395107 */   GIR_EraseRootFromParent_Done,
     /* 395108 */ // Label 7944: @395108
     /* 395108 */ GIM_Reject,
     /* 395109 */ // Label 7932: @395109
     /* 395109 */ GIM_Try, /*On fail goto*//*Label 7945*/ GIMT_Encode4(395143), // Rule ID 11801 //
     /* 395114 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 395117 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 395120 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 395123 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 395126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 395130 */   // (AArch64bsp:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (BSL_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 395130 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL_ZZZZ),
     /* 395133 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 395135 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 395137 */   GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 395139 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op3
     /* 395141 */   GIR_RootConstrainSelectedInstOperands,
     /* 395142 */   // GIR_Coverage, 11801,
     /* 395142 */   GIR_EraseRootFromParent_Done,
     /* 395143 */ // Label 7945: @395143
     /* 395143 */ GIM_Reject,
     /* 395144 */ // Label 7933: @395144
     /* 395144 */ GIM_Try, /*On fail goto*//*Label 7946*/ GIMT_Encode4(395178), // Rule ID 11799 //
     /* 395149 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 395152 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 395155 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 395158 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 395161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 395165 */   // (AArch64bsp:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (BSL_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 395165 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL_ZZZZ),
     /* 395168 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 395170 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 395172 */   GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 395174 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op3
     /* 395176 */   GIR_RootConstrainSelectedInstOperands,
     /* 395177 */   // GIR_Coverage, 11799,
     /* 395177 */   GIR_EraseRootFromParent_Done,
     /* 395178 */ // Label 7946: @395178
     /* 395178 */ GIM_Reject,
     /* 395179 */ // Label 7934: @395179
     /* 395179 */ GIM_Reject,
     /* 395180 */ // Label 122: @395180
     /* 395180 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(12), /*)*//*default:*//*Label 7955*/ GIMT_Encode4(397002),
     /* 395191 */ /*GILLT_s64*//*Label 7947*/ GIMT_Encode4(395227), GIMT_Encode4(0),
     /* 395199 */ /*GILLT_v2s32*//*Label 7948*/ GIMT_Encode4(395422),
     /* 395203 */ /*GILLT_v2s64*//*Label 7949*/ GIMT_Encode4(395669),
     /* 395207 */ /*GILLT_v4s16*//*Label 7950*/ GIMT_Encode4(395916),
     /* 395211 */ /*GILLT_v4s32*//*Label 7951*/ GIMT_Encode4(396192),
     /* 395215 */ /*GILLT_v8s8*//*Label 7952*/ GIMT_Encode4(396439),
     /* 395219 */ /*GILLT_v8s16*//*Label 7953*/ GIMT_Encode4(396584),
     /* 395223 */ /*GILLT_v16s8*//*Label 7954*/ GIMT_Encode4(396860),
     /* 395227 */ // Label 7947: @395227
     /* 395227 */ GIM_Try, /*On fail goto*//*Label 7956*/ GIMT_Encode4(395421),
     /* 395232 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 395235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395239 */   GIM_Try, /*On fail goto*//*Label 7957*/ GIMT_Encode4(395286), // Rule ID 6384 //
     /* 395244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 395248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 395252 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 395255 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 395259 */     // MIs[1] Rn
     /* 395259 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 395263 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 395268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 395270 */     // (AArch64dup:{ *:[v1i64] } (ld:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv1d:{ *:[v1i64] } GPR64sp:{ *:[i64] }:$Rn)
     /* 395270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv1d),
     /* 395273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 395275 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 395279 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 395284 */     GIR_RootConstrainSelectedInstOperands,
     /* 395285 */     // GIR_Coverage, 6384,
     /* 395285 */     GIR_EraseRootFromParent_Done,
     /* 395286 */   // Label 7957: @395286
     /* 395286 */   GIM_Try, /*On fail goto*//*Label 7958*/ GIMT_Encode4(395333), // Rule ID 6395 //
     /* 395291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 395295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 395299 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 395302 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 395306 */     // MIs[1] Rn
     /* 395306 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 395310 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 395315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 395317 */     // (AArch64dup:{ *:[v1f64] } (ld:{ *:[f64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv1d:{ *:[v1f64] } GPR64sp:{ *:[i64] }:$Rn)
     /* 395317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv1d),
     /* 395320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 395322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 395326 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 395331 */     GIR_RootConstrainSelectedInstOperands,
     /* 395332 */     // GIR_Coverage, 6395,
     /* 395332 */     GIR_EraseRootFromParent_Done,
     /* 395333 */   // Label 7958: @395333
     /* 395333 */   GIM_Try, /*On fail goto*//*Label 7959*/ GIMT_Encode4(395380), // Rule ID 13120 //
     /* 395338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 395342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 395346 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 395349 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 395353 */     // MIs[1] Rn
     /* 395353 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 395357 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 395362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 395364 */     // (AArch64dup:{ *:[v1i64] } (ld:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv1d:{ *:[v1i64] } GPR64sp:{ *:[i64] }:$Rn)
     /* 395364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv1d),
     /* 395367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 395369 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 395373 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 395378 */     GIR_RootConstrainSelectedInstOperands,
     /* 395379 */     // GIR_Coverage, 13120,
     /* 395379 */     GIR_EraseRootFromParent_Done,
     /* 395380 */   // Label 7959: @395380
     /* 395380 */   GIM_Try, /*On fail goto*//*Label 7960*/ GIMT_Encode4(395400), // Rule ID 5617 //
     /* 395385 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 395389 */     // (AArch64dup:{ *:[v1i64] } GPR64:{ *:[i64] }:$Rn)  =>  (COPY_TO_REGCLASS:{ *:[v1i64] } GPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i32] })
     /* 395389 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 395394 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395399 */     // GIR_Coverage, 5617,
     /* 395399 */     GIR_Done,
     /* 395400 */   // Label 7960: @395400
     /* 395400 */   GIM_Try, /*On fail goto*//*Label 7961*/ GIMT_Encode4(395420), // Rule ID 5618 //
     /* 395405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395409 */     // (AArch64dup:{ *:[v1f64] } FPR64:{ *:[f64] }:$Rn)  =>  (COPY_TO_REGCLASS:{ *:[v1f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[i32] })
     /* 395409 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 395414 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395419 */     // GIR_Coverage, 5618,
     /* 395419 */     GIR_Done,
     /* 395420 */   // Label 7961: @395420
     /* 395420 */   GIM_Reject,
     /* 395421 */ // Label 7956: @395421
     /* 395421 */ GIM_Reject,
     /* 395422 */ // Label 7948: @395422
     /* 395422 */ GIM_Try, /*On fail goto*//*Label 7962*/ GIMT_Encode4(395668),
     /* 395427 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 395430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395434 */   GIM_Try, /*On fail goto*//*Label 7963*/ GIMT_Encode4(395481), // Rule ID 6381 //
     /* 395439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 395443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 395447 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 395450 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 395454 */     // MIs[1] Rn
     /* 395454 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 395458 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 395463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 395465 */     // (AArch64dup:{ *:[v2i32] } (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv2s:{ *:[v2i32] } GPR64sp:{ *:[i64] }:$Rn)
     /* 395465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv2s),
     /* 395468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 395470 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 395474 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 395479 */     GIR_RootConstrainSelectedInstOperands,
     /* 395480 */     // GIR_Coverage, 6381,
     /* 395480 */     GIR_EraseRootFromParent_Done,
     /* 395481 */   // Label 7963: @395481
     /* 395481 */   GIM_Try, /*On fail goto*//*Label 7964*/ GIMT_Encode4(395528), // Rule ID 6392 //
     /* 395486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 395490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 395494 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 395497 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 395501 */     // MIs[1] Rn
     /* 395501 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 395505 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 395510 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 395512 */     // (AArch64dup:{ *:[v2f32] } (ld:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv2s:{ *:[v2f32] } GPR64sp:{ *:[i64] }:$Rn)
     /* 395512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv2s),
     /* 395515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 395517 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 395521 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 395526 */     GIR_RootConstrainSelectedInstOperands,
     /* 395527 */     // GIR_Coverage, 6392,
     /* 395527 */     GIR_EraseRootFromParent_Done,
     /* 395528 */   // Label 7964: @395528
     /* 395528 */   GIM_Try, /*On fail goto*//*Label 7965*/ GIMT_Encode4(395575), // Rule ID 13117 //
     /* 395533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 395537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 395541 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 395544 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 395548 */     // MIs[1] Rn
     /* 395548 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 395552 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 395557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 395559 */     // (AArch64dup:{ *:[v2i32] } (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv2s:{ *:[v2i32] } GPR64sp:{ *:[i64] }:$Rn)
     /* 395559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv2s),
     /* 395562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 395564 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 395568 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 395573 */     GIR_RootConstrainSelectedInstOperands,
     /* 395574 */     // GIR_Coverage, 13117,
     /* 395574 */     GIR_EraseRootFromParent_Done,
     /* 395575 */   // Label 7965: @395575
     /* 395575 */   GIM_Try, /*On fail goto*//*Label 7966*/ GIMT_Encode4(395594), // Rule ID 1916 //
     /* 395580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 395583 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 395587 */     // (AArch64dup:{ *:[v2i32] } GPR32:{ *:[i32] }:$Rn)  =>  (DUPv2i32gpr:{ *:[v2i32] } GPR32:{ *:[i32] }:$Rn)
     /* 395587 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i32gpr),
     /* 395592 */     GIR_RootConstrainSelectedInstOperands,
     /* 395593 */     // GIR_Coverage, 1916,
     /* 395593 */     GIR_Done,
     /* 395594 */   // Label 7966: @395594
     /* 395594 */   GIM_Try, /*On fail goto*//*Label 7967*/ GIMT_Encode4(395667), // Rule ID 5619 //
     /* 395599 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 395603 */     // (AArch64dup:{ *:[v2f32] } FPR32:{ *:[f32] }:$Rn)  =>  (DUPv2i32lane:{ *:[v2f32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR32:{ *:[f32] }:$Rn, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 395603 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 395606 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 395610 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 395615 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 395617 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 395620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 395624 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 395629 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 395632 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 395636 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 395639 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395644 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395649 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 395654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i32lane),
     /* 395657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 395659 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 395662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 395665 */     GIR_RootConstrainSelectedInstOperands,
     /* 395666 */     // GIR_Coverage, 5619,
     /* 395666 */     GIR_EraseRootFromParent_Done,
     /* 395667 */   // Label 7967: @395667
     /* 395667 */   GIM_Reject,
     /* 395668 */ // Label 7962: @395668
     /* 395668 */ GIM_Reject,
     /* 395669 */ // Label 7949: @395669
     /* 395669 */ GIM_Try, /*On fail goto*//*Label 7968*/ GIMT_Encode4(395915),
     /* 395674 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 395677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395681 */   GIM_Try, /*On fail goto*//*Label 7969*/ GIMT_Encode4(395728), // Rule ID 6383 //
     /* 395686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 395690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 395694 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 395697 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 395701 */     // MIs[1] Rn
     /* 395701 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 395705 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 395710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 395712 */     // (AArch64dup:{ *:[v2i64] } (ld:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv2d:{ *:[v2i64] } GPR64sp:{ *:[i64] }:$Rn)
     /* 395712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv2d),
     /* 395715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 395717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 395721 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 395726 */     GIR_RootConstrainSelectedInstOperands,
     /* 395727 */     // GIR_Coverage, 6383,
     /* 395727 */     GIR_EraseRootFromParent_Done,
     /* 395728 */   // Label 7969: @395728
     /* 395728 */   GIM_Try, /*On fail goto*//*Label 7970*/ GIMT_Encode4(395775), // Rule ID 6394 //
     /* 395733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 395737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 395741 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 395744 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 395748 */     // MIs[1] Rn
     /* 395748 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 395752 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 395757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 395759 */     // (AArch64dup:{ *:[v2f64] } (ld:{ *:[f64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv2d:{ *:[v2f64] } GPR64sp:{ *:[i64] }:$Rn)
     /* 395759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv2d),
     /* 395762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 395764 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 395768 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 395773 */     GIR_RootConstrainSelectedInstOperands,
     /* 395774 */     // GIR_Coverage, 6394,
     /* 395774 */     GIR_EraseRootFromParent_Done,
     /* 395775 */   // Label 7970: @395775
     /* 395775 */   GIM_Try, /*On fail goto*//*Label 7971*/ GIMT_Encode4(395822), // Rule ID 13119 //
     /* 395780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 395784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 395788 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 395791 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 395795 */     // MIs[1] Rn
     /* 395795 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 395799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 395804 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 395806 */     // (AArch64dup:{ *:[v2i64] } (ld:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv2d:{ *:[v2i64] } GPR64sp:{ *:[i64] }:$Rn)
     /* 395806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv2d),
     /* 395809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 395811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 395815 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 395820 */     GIR_RootConstrainSelectedInstOperands,
     /* 395821 */     // GIR_Coverage, 13119,
     /* 395821 */     GIR_EraseRootFromParent_Done,
     /* 395822 */   // Label 7971: @395822
     /* 395822 */   GIM_Try, /*On fail goto*//*Label 7972*/ GIMT_Encode4(395841), // Rule ID 1918 //
     /* 395827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 395830 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 395834 */     // (AArch64dup:{ *:[v2i64] } GPR64:{ *:[i64] }:$Rn)  =>  (DUPv2i64gpr:{ *:[v2i64] } GPR64:{ *:[i64] }:$Rn)
     /* 395834 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i64gpr),
     /* 395839 */     GIR_RootConstrainSelectedInstOperands,
     /* 395840 */     // GIR_Coverage, 1918,
     /* 395840 */     GIR_Done,
     /* 395841 */   // Label 7972: @395841
     /* 395841 */   GIM_Try, /*On fail goto*//*Label 7973*/ GIMT_Encode4(395914), // Rule ID 5621 //
     /* 395846 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395850 */     // (AArch64dup:{ *:[v2f64] } FPR64:{ *:[f64] }:$Rn)  =>  (DUPv2i64lane:{ *:[v2f64] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR64:{ *:[f64] }:$Rn, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 395850 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 395853 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 395857 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 395862 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 395864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 395867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 395871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 395876 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 395879 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 395883 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 395886 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395891 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395896 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i64lane),
     /* 395904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 395906 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 395909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 395912 */     GIR_RootConstrainSelectedInstOperands,
     /* 395913 */     // GIR_Coverage, 5621,
     /* 395913 */     GIR_EraseRootFromParent_Done,
     /* 395914 */   // Label 7973: @395914
     /* 395914 */   GIM_Reject,
     /* 395915 */ // Label 7968: @395915
     /* 395915 */ GIM_Reject,
     /* 395916 */ // Label 7950: @395916
     /* 395916 */ GIM_Try, /*On fail goto*//*Label 7974*/ GIMT_Encode4(395977), // Rule ID 6379 //
     /* 395921 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 395924 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395928 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 395932 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 395936 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 395939 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 395943 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 395950 */   // MIs[1] Rn
     /* 395950 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 395954 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 395959 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 395961 */   // (AArch64dup:{ *:[v4i16] } (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>)  =>  (LD1Rv4h:{ *:[v4i16] } GPR64sp:{ *:[i64] }:$Rn)
     /* 395961 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv4h),
     /* 395964 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 395966 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 395970 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 395975 */   GIR_RootConstrainSelectedInstOperands,
     /* 395976 */   // GIR_Coverage, 6379,
     /* 395976 */   GIR_EraseRootFromParent_Done,
     /* 395977 */ // Label 7974: @395977
     /* 395977 */ GIM_Try, /*On fail goto*//*Label 7975*/ GIMT_Encode4(396031), // Rule ID 6396 //
     /* 395982 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 395985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395989 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 395993 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 395997 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 396000 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 396004 */   // MIs[1] Rn
     /* 396004 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 396008 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 396013 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 396015 */   // (AArch64dup:{ *:[v4f16] } (ld:{ *:[f16] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv4h:{ *:[v4f16] } GPR64sp:{ *:[i64] }:$Rn)
     /* 396015 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv4h),
     /* 396018 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 396020 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 396024 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 396029 */   GIR_RootConstrainSelectedInstOperands,
     /* 396030 */   // GIR_Coverage, 6396,
     /* 396030 */   GIR_EraseRootFromParent_Done,
     /* 396031 */ // Label 7975: @396031
     /* 396031 */ GIM_Try, /*On fail goto*//*Label 7976*/ GIMT_Encode4(396085), // Rule ID 13115 //
     /* 396036 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 396039 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 396043 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396047 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 396051 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 396054 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 396058 */   // MIs[1] Rn
     /* 396058 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 396062 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 396067 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 396069 */   // (AArch64dup:{ *:[v4i16] } (ld:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv4h:{ *:[v4i16] } GPR64sp:{ *:[i64] }:$Rn)
     /* 396069 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv4h),
     /* 396072 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 396074 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 396078 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 396083 */   GIR_RootConstrainSelectedInstOperands,
     /* 396084 */   // GIR_Coverage, 13115,
     /* 396084 */   GIR_EraseRootFromParent_Done,
     /* 396085 */ // Label 7976: @396085
     /* 396085 */ GIM_Try, /*On fail goto*//*Label 7977*/ GIMT_Encode4(396111), // Rule ID 1914 //
     /* 396090 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 396093 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 396096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 396100 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 396104 */   // (AArch64dup:{ *:[v4i16] } GPR32:{ *:[i32] }:$Rn)  =>  (DUPv4i16gpr:{ *:[v4i16] } GPR32:{ *:[i32] }:$Rn)
     /* 396104 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::DUPv4i16gpr),
     /* 396109 */   GIR_RootConstrainSelectedInstOperands,
     /* 396110 */   // GIR_Coverage, 1914,
     /* 396110 */   GIR_Done,
     /* 396111 */ // Label 7977: @396111
     /* 396111 */ GIM_Try, /*On fail goto*//*Label 7978*/ GIMT_Encode4(396191), // Rule ID 5622 //
     /* 396116 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 396119 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 396123 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 396127 */   // (AArch64dup:{ *:[v4f16] } FPR16:{ *:[f16] }:$Rn)  =>  (DUPv4i16lane:{ *:[v4f16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), FPR16:{ *:[f16] }:$Rn, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 396127 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 396130 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 396134 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 396139 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 396141 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 396144 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 396148 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 396153 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 396156 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 396160 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 396163 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396168 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396173 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 396178 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv4i16lane),
     /* 396181 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 396183 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 396186 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 396189 */   GIR_RootConstrainSelectedInstOperands,
     /* 396190 */   // GIR_Coverage, 5622,
     /* 396190 */   GIR_EraseRootFromParent_Done,
     /* 396191 */ // Label 7978: @396191
     /* 396191 */ GIM_Reject,
     /* 396192 */ // Label 7951: @396192
     /* 396192 */ GIM_Try, /*On fail goto*//*Label 7979*/ GIMT_Encode4(396438),
     /* 396197 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 396200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396204 */   GIM_Try, /*On fail goto*//*Label 7980*/ GIMT_Encode4(396251), // Rule ID 6382 //
     /* 396209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 396217 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 396220 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 396224 */     // MIs[1] Rn
     /* 396224 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 396228 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 396233 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 396235 */     // (AArch64dup:{ *:[v4i32] } (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv4s:{ *:[v4i32] } GPR64sp:{ *:[i64] }:$Rn)
     /* 396235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv4s),
     /* 396238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 396240 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 396244 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 396249 */     GIR_RootConstrainSelectedInstOperands,
     /* 396250 */     // GIR_Coverage, 6382,
     /* 396250 */     GIR_EraseRootFromParent_Done,
     /* 396251 */   // Label 7980: @396251
     /* 396251 */   GIM_Try, /*On fail goto*//*Label 7981*/ GIMT_Encode4(396298), // Rule ID 6393 //
     /* 396256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 396264 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 396267 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 396271 */     // MIs[1] Rn
     /* 396271 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 396275 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 396280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 396282 */     // (AArch64dup:{ *:[v4f32] } (ld:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv4s:{ *:[v4f32] } GPR64sp:{ *:[i64] }:$Rn)
     /* 396282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv4s),
     /* 396285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 396287 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 396291 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 396296 */     GIR_RootConstrainSelectedInstOperands,
     /* 396297 */     // GIR_Coverage, 6393,
     /* 396297 */     GIR_EraseRootFromParent_Done,
     /* 396298 */   // Label 7981: @396298
     /* 396298 */   GIM_Try, /*On fail goto*//*Label 7982*/ GIMT_Encode4(396345), // Rule ID 13118 //
     /* 396303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 396311 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 396314 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 396318 */     // MIs[1] Rn
     /* 396318 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 396322 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 396327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 396329 */     // (AArch64dup:{ *:[v4i32] } (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv4s:{ *:[v4i32] } GPR64sp:{ *:[i64] }:$Rn)
     /* 396329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv4s),
     /* 396332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 396334 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 396338 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 396343 */     GIR_RootConstrainSelectedInstOperands,
     /* 396344 */     // GIR_Coverage, 13118,
     /* 396344 */     GIR_EraseRootFromParent_Done,
     /* 396345 */   // Label 7982: @396345
     /* 396345 */   GIM_Try, /*On fail goto*//*Label 7983*/ GIMT_Encode4(396364), // Rule ID 1917 //
     /* 396350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 396353 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 396357 */     // (AArch64dup:{ *:[v4i32] } GPR32:{ *:[i32] }:$Rn)  =>  (DUPv4i32gpr:{ *:[v4i32] } GPR32:{ *:[i32] }:$Rn)
     /* 396357 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::DUPv4i32gpr),
     /* 396362 */     GIR_RootConstrainSelectedInstOperands,
     /* 396363 */     // GIR_Coverage, 1917,
     /* 396363 */     GIR_Done,
     /* 396364 */   // Label 7983: @396364
     /* 396364 */   GIM_Try, /*On fail goto*//*Label 7984*/ GIMT_Encode4(396437), // Rule ID 5620 //
     /* 396369 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 396373 */     // (AArch64dup:{ *:[v4f32] } FPR32:{ *:[f32] }:$Rn)  =>  (DUPv4i32lane:{ *:[v4f32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR32:{ *:[f32] }:$Rn, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 396373 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 396376 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 396380 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 396385 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 396387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 396390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 396394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 396399 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 396402 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 396406 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 396409 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396414 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396419 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 396424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv4i32lane),
     /* 396427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 396429 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 396432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 396435 */     GIR_RootConstrainSelectedInstOperands,
     /* 396436 */     // GIR_Coverage, 5620,
     /* 396436 */     GIR_EraseRootFromParent_Done,
     /* 396437 */   // Label 7984: @396437
     /* 396437 */   GIM_Reject,
     /* 396438 */ // Label 7979: @396438
     /* 396438 */ GIM_Reject,
     /* 396439 */ // Label 7952: @396439
     /* 396439 */ GIM_Try, /*On fail goto*//*Label 7985*/ GIMT_Encode4(396496), // Rule ID 13113 //
     /* 396444 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 396447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 396451 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396455 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 396459 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 396462 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 396466 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 396470 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 396472 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 396479 */   // (AArch64dup:{ *:[v8i8] } (ld:{ *:[i8] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn))<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv8b:{ *:[v8i8] } GPR64sp:{ *:[i64] }:$Rn)
     /* 396479 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv8b),
     /* 396482 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 396484 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 396489 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 396494 */   GIR_RootConstrainSelectedInstOperands,
     /* 396495 */   // GIR_Coverage, 13113,
     /* 396495 */   GIR_EraseRootFromParent_Done,
     /* 396496 */ // Label 7985: @396496
     /* 396496 */ GIM_Try, /*On fail goto*//*Label 7986*/ GIMT_Encode4(396557), // Rule ID 6377 //
     /* 396501 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 396504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 396508 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396512 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 396516 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 396519 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 396523 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 396530 */   // MIs[1] Rn
     /* 396530 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 396534 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 396539 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 396541 */   // (AArch64dup:{ *:[v8i8] } (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>)  =>  (LD1Rv8b:{ *:[v8i8] } GPR64sp:{ *:[i64] }:$Rn)
     /* 396541 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv8b),
     /* 396544 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 396546 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 396550 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 396555 */   GIR_RootConstrainSelectedInstOperands,
     /* 396556 */   // GIR_Coverage, 6377,
     /* 396556 */   GIR_EraseRootFromParent_Done,
     /* 396557 */ // Label 7986: @396557
     /* 396557 */ GIM_Try, /*On fail goto*//*Label 7987*/ GIMT_Encode4(396583), // Rule ID 1912 //
     /* 396562 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 396565 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 396568 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 396572 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 396576 */   // (AArch64dup:{ *:[v8i8] } GPR32:{ *:[i32] }:$Rn)  =>  (DUPv8i8gpr:{ *:[v8i8] } GPR32:{ *:[i32] }:$Rn)
     /* 396576 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::DUPv8i8gpr),
     /* 396581 */   GIR_RootConstrainSelectedInstOperands,
     /* 396582 */   // GIR_Coverage, 1912,
     /* 396582 */   GIR_Done,
     /* 396583 */ // Label 7987: @396583
     /* 396583 */ GIM_Reject,
     /* 396584 */ // Label 7953: @396584
     /* 396584 */ GIM_Try, /*On fail goto*//*Label 7988*/ GIMT_Encode4(396645), // Rule ID 6380 //
     /* 396589 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 396592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396596 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396600 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 396604 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 396607 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 396611 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 396618 */   // MIs[1] Rn
     /* 396618 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 396622 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 396627 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 396629 */   // (AArch64dup:{ *:[v8i16] } (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>)  =>  (LD1Rv8h:{ *:[v8i16] } GPR64sp:{ *:[i64] }:$Rn)
     /* 396629 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv8h),
     /* 396632 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 396634 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 396638 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 396643 */   GIR_RootConstrainSelectedInstOperands,
     /* 396644 */   // GIR_Coverage, 6380,
     /* 396644 */   GIR_EraseRootFromParent_Done,
     /* 396645 */ // Label 7988: @396645
     /* 396645 */ GIM_Try, /*On fail goto*//*Label 7989*/ GIMT_Encode4(396699), // Rule ID 6397 //
     /* 396650 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 396653 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396657 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396661 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 396665 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 396668 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 396672 */   // MIs[1] Rn
     /* 396672 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 396676 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 396681 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 396683 */   // (AArch64dup:{ *:[v8f16] } (ld:{ *:[f16] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv8h:{ *:[v8f16] } GPR64sp:{ *:[i64] }:$Rn)
     /* 396683 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv8h),
     /* 396686 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 396688 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 396692 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 396697 */   GIR_RootConstrainSelectedInstOperands,
     /* 396698 */   // GIR_Coverage, 6397,
     /* 396698 */   GIR_EraseRootFromParent_Done,
     /* 396699 */ // Label 7989: @396699
     /* 396699 */ GIM_Try, /*On fail goto*//*Label 7990*/ GIMT_Encode4(396753), // Rule ID 13116 //
     /* 396704 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 396707 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396711 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396715 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 396719 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 396722 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 396726 */   // MIs[1] Rn
     /* 396726 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 396730 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 396735 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 396737 */   // (AArch64dup:{ *:[v8i16] } (ld:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv8h:{ *:[v8i16] } GPR64sp:{ *:[i64] }:$Rn)
     /* 396737 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv8h),
     /* 396740 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 396742 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 396746 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 396751 */   GIR_RootConstrainSelectedInstOperands,
     /* 396752 */   // GIR_Coverage, 13116,
     /* 396752 */   GIR_EraseRootFromParent_Done,
     /* 396753 */ // Label 7990: @396753
     /* 396753 */ GIM_Try, /*On fail goto*//*Label 7991*/ GIMT_Encode4(396779), // Rule ID 1915 //
     /* 396758 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 396761 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 396764 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396768 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 396772 */   // (AArch64dup:{ *:[v8i16] } GPR32:{ *:[i32] }:$Rn)  =>  (DUPv8i16gpr:{ *:[v8i16] } GPR32:{ *:[i32] }:$Rn)
     /* 396772 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::DUPv8i16gpr),
     /* 396777 */   GIR_RootConstrainSelectedInstOperands,
     /* 396778 */   // GIR_Coverage, 1915,
     /* 396778 */   GIR_Done,
     /* 396779 */ // Label 7991: @396779
     /* 396779 */ GIM_Try, /*On fail goto*//*Label 7992*/ GIMT_Encode4(396859), // Rule ID 5623 //
     /* 396784 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 396787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396791 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 396795 */   // (AArch64dup:{ *:[v8f16] } FPR16:{ *:[f16] }:$Rn)  =>  (DUPv8i16lane:{ *:[v8f16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), FPR16:{ *:[f16] }:$Rn, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 396795 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 396798 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 396802 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 396807 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 396809 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 396812 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 396816 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 396821 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 396824 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 396828 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 396831 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396836 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396841 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 396846 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv8i16lane),
     /* 396849 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 396851 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 396854 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 396857 */   GIR_RootConstrainSelectedInstOperands,
     /* 396858 */   // GIR_Coverage, 5623,
     /* 396858 */   GIR_EraseRootFromParent_Done,
     /* 396859 */ // Label 7992: @396859
     /* 396859 */ GIM_Reject,
     /* 396860 */ // Label 7954: @396860
     /* 396860 */ GIM_Try, /*On fail goto*//*Label 7993*/ GIMT_Encode4(396921), // Rule ID 6378 //
     /* 396865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 396868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396872 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396876 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 396880 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 396883 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 396887 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 396894 */   // MIs[1] Rn
     /* 396894 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 396898 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 396903 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 396905 */   // (AArch64dup:{ *:[v16i8] } (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>)  =>  (LD1Rv16b:{ *:[v16i8] } GPR64sp:{ *:[i64] }:$Rn)
     /* 396905 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv16b),
     /* 396908 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 396910 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 396914 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 396919 */   GIR_RootConstrainSelectedInstOperands,
     /* 396920 */   // GIR_Coverage, 6378,
     /* 396920 */   GIR_EraseRootFromParent_Done,
     /* 396921 */ // Label 7993: @396921
     /* 396921 */ GIM_Try, /*On fail goto*//*Label 7994*/ GIMT_Encode4(396975), // Rule ID 13114 //
     /* 396926 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 396929 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396933 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396937 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 396941 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 396944 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 396948 */   // MIs[1] Rn
     /* 396948 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 396952 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 396957 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 396959 */   // (AArch64dup:{ *:[v16i8] } (ld:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv16b:{ *:[v16i8] } GPR64sp:{ *:[i64] }:$Rn)
     /* 396959 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv16b),
     /* 396962 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 396964 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 396968 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 396973 */   GIR_RootConstrainSelectedInstOperands,
     /* 396974 */   // GIR_Coverage, 13114,
     /* 396974 */   GIR_EraseRootFromParent_Done,
     /* 396975 */ // Label 7994: @396975
     /* 396975 */ GIM_Try, /*On fail goto*//*Label 7995*/ GIMT_Encode4(397001), // Rule ID 1913 //
     /* 396980 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 396983 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 396986 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396990 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 396994 */   // (AArch64dup:{ *:[v16i8] } GPR32:{ *:[i32] }:$Rn)  =>  (DUPv16i8gpr:{ *:[v16i8] } GPR32:{ *:[i32] }:$Rn)
     /* 396994 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::DUPv16i8gpr),
     /* 396999 */   GIR_RootConstrainSelectedInstOperands,
     /* 397000 */   // GIR_Coverage, 1913,
     /* 397000 */   GIR_Done,
     /* 397001 */ // Label 7995: @397001
     /* 397001 */ GIM_Reject,
     /* 397002 */ // Label 7955: @397002
     /* 397002 */ GIM_Reject,
     /* 397003 */ // Label 123: @397003
     /* 397003 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(7), GIMT_Encode2(11), /*)*//*default:*//*Label 7998*/ GIMT_Encode4(397257),
     /* 397014 */ /*GILLT_v4s16*//*Label 7996*/ GIMT_Encode4(397030), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 397026 */ /*GILLT_v8s16*//*Label 7997*/ GIMT_Encode4(397116),
     /* 397030 */ // Label 7996: @397030
     /* 397030 */ GIM_Try, /*On fail goto*//*Label 7999*/ GIMT_Encode4(397115),
     /* 397035 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 397038 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 397041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397045 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397049 */   GIM_Try, /*On fail goto*//*Label 8000*/ GIMT_Encode4(397083), // Rule ID 1922 //
     /* 397054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 397057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 397061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 397065 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 397069 */     // MIs[1] Operand 1
     /* 397069 */     // No operand predicates
     /* 397069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 397071 */     // (AArch64duplane16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)  =>  (DUPv4i16lane:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 397071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv4i16lane),
     /* 397074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 397076 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 397078 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 397081 */     GIR_RootConstrainSelectedInstOperands,
     /* 397082 */     // GIR_Coverage, 1922,
     /* 397082 */     GIR_EraseRootFromParent_Done,
     /* 397083 */   // Label 8000: @397083
     /* 397083 */   GIM_Try, /*On fail goto*//*Label 8001*/ GIMT_Encode4(397114), // Rule ID 5624 //
     /* 397088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 397092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 397096 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 397100 */     // MIs[1] Operand 1
     /* 397100 */     // No operand predicates
     /* 397100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 397102 */     // (AArch64duplane16:{ *:[v4f16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm)  =>  (DUPv4i16lane:{ *:[v4f16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm)
     /* 397102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv4i16lane),
     /* 397105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 397107 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 397109 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 397112 */     GIR_RootConstrainSelectedInstOperands,
     /* 397113 */     // GIR_Coverage, 5624,
     /* 397113 */     GIR_EraseRootFromParent_Done,
     /* 397114 */   // Label 8001: @397114
     /* 397114 */   GIM_Reject,
     /* 397115 */ // Label 7999: @397115
     /* 397115 */ GIM_Reject,
     /* 397116 */ // Label 7997: @397116
     /* 397116 */ GIM_Try, /*On fail goto*//*Label 8002*/ GIMT_Encode4(397256),
     /* 397121 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 397124 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 397127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397131 */   GIM_Try, /*On fail goto*//*Label 8003*/ GIMT_Encode4(397182), // Rule ID 6388 //
     /* 397136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 397140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 397144 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 397147 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 397151 */     // MIs[1] Rn
     /* 397151 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 397155 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 397160 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 397164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 397166 */     // (AArch64duplane16:{ *:[v8i16] } (ld:{ *:[v8i16] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (LD1Rv8h:{ *:[v8i16] } GPR64sp:{ *:[i64] }:$Rn)
     /* 397166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv8h),
     /* 397169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 397171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 397175 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 397180 */     GIR_RootConstrainSelectedInstOperands,
     /* 397181 */     // GIR_Coverage, 6388,
     /* 397181 */     GIR_EraseRootFromParent_Done,
     /* 397182 */   // Label 8003: @397182
     /* 397182 */   GIM_Try, /*On fail goto*//*Label 8004*/ GIMT_Encode4(397220), // Rule ID 1923 //
     /* 397187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 397190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 397198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 397202 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 397206 */     // MIs[1] Operand 1
     /* 397206 */     // No operand predicates
     /* 397206 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 397208 */     // (AArch64duplane16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)  =>  (DUPv8i16lane:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 397208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv8i16lane),
     /* 397211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 397213 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 397215 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 397218 */     GIR_RootConstrainSelectedInstOperands,
     /* 397219 */     // GIR_Coverage, 1923,
     /* 397219 */     GIR_EraseRootFromParent_Done,
     /* 397220 */   // Label 8004: @397220
     /* 397220 */   GIM_Try, /*On fail goto*//*Label 8005*/ GIMT_Encode4(397255), // Rule ID 5625 //
     /* 397225 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 397233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 397237 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 397241 */     // MIs[1] Operand 1
     /* 397241 */     // No operand predicates
     /* 397241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 397243 */     // (AArch64duplane16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm)  =>  (DUPv8i16lane:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm)
     /* 397243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv8i16lane),
     /* 397246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 397248 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 397250 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 397253 */     GIR_RootConstrainSelectedInstOperands,
     /* 397254 */     // GIR_Coverage, 5625,
     /* 397254 */     GIR_EraseRootFromParent_Done,
     /* 397255 */   // Label 8005: @397255
     /* 397255 */   GIM_Reject,
     /* 397256 */ // Label 8002: @397256
     /* 397256 */ GIM_Reject,
     /* 397257 */ // Label 7998: @397257
     /* 397257 */ GIM_Reject,
     /* 397258 */ // Label 124: @397258
     /* 397258 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(9), /*)*//*default:*//*Label 8008*/ GIMT_Encode4(397512),
     /* 397269 */ /*GILLT_v2s32*//*Label 8006*/ GIMT_Encode4(397285), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 397281 */ /*GILLT_v4s32*//*Label 8007*/ GIMT_Encode4(397371),
     /* 397285 */ // Label 8006: @397285
     /* 397285 */ GIM_Try, /*On fail goto*//*Label 8009*/ GIMT_Encode4(397370),
     /* 397290 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 397293 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 397296 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397300 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397304 */   GIM_Try, /*On fail goto*//*Label 8010*/ GIMT_Encode4(397338), // Rule ID 1920 //
     /* 397309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 397312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 397316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 397320 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 397324 */     // MIs[1] Operand 1
     /* 397324 */     // No operand predicates
     /* 397324 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 397326 */     // (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)  =>  (DUPv2i32lane:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 397326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i32lane),
     /* 397329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 397331 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 397333 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 397336 */     GIR_RootConstrainSelectedInstOperands,
     /* 397337 */     // GIR_Coverage, 1920,
     /* 397337 */     GIR_EraseRootFromParent_Done,
     /* 397338 */   // Label 8010: @397338
     /* 397338 */   GIM_Try, /*On fail goto*//*Label 8011*/ GIMT_Encode4(397369), // Rule ID 5626 //
     /* 397343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 397347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 397351 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 397355 */     // MIs[1] Operand 1
     /* 397355 */     // No operand predicates
     /* 397355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 397357 */     // (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm)  =>  (DUPv2i32lane:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm)
     /* 397357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i32lane),
     /* 397360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 397362 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 397364 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 397367 */     GIR_RootConstrainSelectedInstOperands,
     /* 397368 */     // GIR_Coverage, 5626,
     /* 397368 */     GIR_EraseRootFromParent_Done,
     /* 397369 */   // Label 8011: @397369
     /* 397369 */   GIM_Reject,
     /* 397370 */ // Label 8009: @397370
     /* 397370 */ GIM_Reject,
     /* 397371 */ // Label 8007: @397371
     /* 397371 */ GIM_Try, /*On fail goto*//*Label 8012*/ GIMT_Encode4(397511),
     /* 397376 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 397379 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 397382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397386 */   GIM_Try, /*On fail goto*//*Label 8013*/ GIMT_Encode4(397437), // Rule ID 6390 //
     /* 397391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 397395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 397399 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 397402 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 397406 */     // MIs[1] Rn
     /* 397406 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 397410 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 397415 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 397419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 397421 */     // (AArch64duplane32:{ *:[v4i32] } (ld:{ *:[v4i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (LD1Rv4s:{ *:[v4i32] } GPR64sp:{ *:[i64] }:$Rn)
     /* 397421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv4s),
     /* 397424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 397426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 397430 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 397435 */     GIR_RootConstrainSelectedInstOperands,
     /* 397436 */     // GIR_Coverage, 6390,
     /* 397436 */     GIR_EraseRootFromParent_Done,
     /* 397437 */   // Label 8013: @397437
     /* 397437 */   GIM_Try, /*On fail goto*//*Label 8014*/ GIMT_Encode4(397475), // Rule ID 1921 //
     /* 397442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 397445 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 397453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 397457 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 397461 */     // MIs[1] Operand 1
     /* 397461 */     // No operand predicates
     /* 397461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 397463 */     // (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)  =>  (DUPv4i32lane:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 397463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv4i32lane),
     /* 397466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 397468 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 397470 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 397473 */     GIR_RootConstrainSelectedInstOperands,
     /* 397474 */     // GIR_Coverage, 1921,
     /* 397474 */     GIR_EraseRootFromParent_Done,
     /* 397475 */   // Label 8014: @397475
     /* 397475 */   GIM_Try, /*On fail goto*//*Label 8015*/ GIMT_Encode4(397510), // Rule ID 5627 //
     /* 397480 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 397488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 397492 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 397496 */     // MIs[1] Operand 1
     /* 397496 */     // No operand predicates
     /* 397496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 397498 */     // (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm)  =>  (DUPv4i32lane:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm)
     /* 397498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv4i32lane),
     /* 397501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 397503 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 397505 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 397508 */     GIR_RootConstrainSelectedInstOperands,
     /* 397509 */     // GIR_Coverage, 5627,
     /* 397509 */     GIR_EraseRootFromParent_Done,
     /* 397510 */   // Label 8015: @397510
     /* 397510 */   GIM_Reject,
     /* 397511 */ // Label 8012: @397511
     /* 397511 */ GIM_Reject,
     /* 397512 */ // Label 8008: @397512
     /* 397512 */ GIM_Reject,
     /* 397513 */ // Label 125: @397513
     /* 397513 */ GIM_Try, /*On fail goto*//*Label 8016*/ GIMT_Encode4(397658),
     /* 397518 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 397521 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 397524 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 397527 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397531 */   GIM_Try, /*On fail goto*//*Label 8017*/ GIMT_Encode4(397582), // Rule ID 6391 //
     /* 397536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 397540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 397544 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 397547 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 397551 */     // MIs[1] Rn
     /* 397551 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 397555 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 397560 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 397564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 397566 */     // (AArch64duplane64:{ *:[v2i64] } (ld:{ *:[v2i64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (LD1Rv2d:{ *:[v2i64] } GPR64sp:{ *:[i64] }:$Rn)
     /* 397566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv2d),
     /* 397569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 397571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 397575 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 397580 */     GIR_RootConstrainSelectedInstOperands,
     /* 397581 */     // GIR_Coverage, 6391,
     /* 397581 */     GIR_EraseRootFromParent_Done,
     /* 397582 */   // Label 8017: @397582
     /* 397582 */   GIM_Try, /*On fail goto*//*Label 8018*/ GIMT_Encode4(397657),
     /* 397587 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397591 */     GIM_Try, /*On fail goto*//*Label 8019*/ GIMT_Encode4(397625), // Rule ID 1919 //
     /* 397596 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 397599 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 397603 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 397607 */       GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 397611 */       // MIs[1] Operand 1
     /* 397611 */       // No operand predicates
     /* 397611 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 397613 */       // (AArch64duplane64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)  =>  (DUPv2i64lane:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 397613 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i64lane),
     /* 397616 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 397618 */       GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 397620 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 397623 */       GIR_RootConstrainSelectedInstOperands,
     /* 397624 */       // GIR_Coverage, 1919,
     /* 397624 */       GIR_EraseRootFromParent_Done,
     /* 397625 */     // Label 8019: @397625
     /* 397625 */     GIM_Try, /*On fail goto*//*Label 8020*/ GIMT_Encode4(397656), // Rule ID 5628 //
     /* 397630 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 397634 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 397638 */       GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 397642 */       // MIs[1] Operand 1
     /* 397642 */       // No operand predicates
     /* 397642 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 397644 */       // (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$imm)  =>  (DUPv2i64lane:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$imm)
     /* 397644 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i64lane),
     /* 397647 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 397649 */       GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 397651 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 397654 */       GIR_RootConstrainSelectedInstOperands,
     /* 397655 */       // GIR_Coverage, 5628,
     /* 397655 */       GIR_EraseRootFromParent_Done,
     /* 397656 */     // Label 8020: @397656
     /* 397656 */     GIM_Reject,
     /* 397657 */   // Label 8018: @397657
     /* 397657 */   GIM_Reject,
     /* 397658 */ // Label 8016: @397658
     /* 397658 */ GIM_Reject,
     /* 397659 */ // Label 126: @397659
     /* 397659 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(12), /*)*//*default:*//*Label 8023*/ GIMT_Encode4(397837),
     /* 397670 */ /*GILLT_v8s8*//*Label 8021*/ GIMT_Encode4(397682), GIMT_Encode4(0),
     /* 397678 */ /*GILLT_v16s8*//*Label 8022*/ GIMT_Encode4(397731),
     /* 397682 */ // Label 8021: @397682
     /* 397682 */ GIM_Try, /*On fail goto*//*Label 8024*/ GIMT_Encode4(397730), // Rule ID 1924 //
     /* 397687 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 397690 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 397693 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 397696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397700 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397704 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 397708 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 397712 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 397716 */   // MIs[1] Operand 1
     /* 397716 */   // No operand predicates
     /* 397716 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 397718 */   // (AArch64duplane8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)  =>  (DUPv8i8lane:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 397718 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv8i8lane),
     /* 397721 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 397723 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 397725 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 397728 */   GIR_RootConstrainSelectedInstOperands,
     /* 397729 */   // GIR_Coverage, 1924,
     /* 397729 */   GIR_EraseRootFromParent_Done,
     /* 397730 */ // Label 8024: @397730
     /* 397730 */ GIM_Reject,
     /* 397731 */ // Label 8022: @397731
     /* 397731 */ GIM_Try, /*On fail goto*//*Label 8025*/ GIMT_Encode4(397836),
     /* 397736 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 397739 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 397742 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397746 */   GIM_Try, /*On fail goto*//*Label 8026*/ GIMT_Encode4(397797), // Rule ID 6386 //
     /* 397751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 397755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 397759 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 397762 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 397766 */     // MIs[1] Rn
     /* 397766 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 397770 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 397775 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 397779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 397781 */     // (AArch64duplane8:{ *:[v16i8] } (ld:{ *:[v16i8] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (LD1Rv16b:{ *:[v16i8] } GPR64sp:{ *:[i64] }:$Rn)
     /* 397781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv16b),
     /* 397784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 397786 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 397790 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 397795 */     GIR_RootConstrainSelectedInstOperands,
     /* 397796 */     // GIR_Coverage, 6386,
     /* 397796 */     GIR_EraseRootFromParent_Done,
     /* 397797 */   // Label 8026: @397797
     /* 397797 */   GIM_Try, /*On fail goto*//*Label 8027*/ GIMT_Encode4(397835), // Rule ID 1925 //
     /* 397802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 397805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 397813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 397817 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 397821 */     // MIs[1] Operand 1
     /* 397821 */     // No operand predicates
     /* 397821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 397823 */     // (AArch64duplane8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)  =>  (DUPv16i8lane:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 397823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv16i8lane),
     /* 397826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 397828 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 397830 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 397833 */     GIR_RootConstrainSelectedInstOperands,
     /* 397834 */     // GIR_Coverage, 1925,
     /* 397834 */     GIR_EraseRootFromParent_Done,
     /* 397835 */   // Label 8027: @397835
     /* 397835 */   GIM_Reject,
     /* 397836 */ // Label 8025: @397836
     /* 397836 */ GIM_Reject,
     /* 397837 */ // Label 8023: @397837
     /* 397837 */ GIM_Reject,
     /* 397838 */ // Label 127: @397838
     /* 397838 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(24), /*)*//*default:*//*Label 8037*/ GIMT_Encode4(399487),
     /* 397849 */ /*GILLT_s64*//*Label 8028*/ GIMT_Encode4(397933), GIMT_Encode4(0),
     /* 397857 */ /*GILLT_v2s32*//*Label 8029*/ GIMT_Encode4(398254),
     /* 397861 */ /*GILLT_v2s64*//*Label 8030*/ GIMT_Encode4(398575),
     /* 397865 */ /*GILLT_v4s16*//*Label 8031*/ GIMT_Encode4(398658),
     /* 397869 */ /*GILLT_v4s32*//*Label 8032*/ GIMT_Encode4(398979),
     /* 397873 */ /*GILLT_v8s8*//*Label 8033*/ GIMT_Encode4(399062),
     /* 397877 */ /*GILLT_v8s16*//*Label 8034*/ GIMT_Encode4(399271),
     /* 397881 */ /*GILLT_v16s8*//*Label 8035*/ GIMT_Encode4(399354), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 397929 */ /*GILLT_nxv16s8*//*Label 8036*/ GIMT_Encode4(399440),
     /* 397933 */ // Label 8028: @397933
     /* 397933 */ GIM_Try, /*On fail goto*//*Label 8038*/ GIMT_Encode4(398253),
     /* 397938 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 397941 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 397944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397948 */   GIM_Try, /*On fail goto*//*Label 8039*/ GIMT_Encode4(398063), // Rule ID 5445 //
     /* 397953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 397957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 397961 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 397965 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397970 */     // MIs[1] Operand 2
     /* 397970 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 397981 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 397985 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 397989 */     // MIs[2] Rn
     /* 397989 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 397994 */     // MIs[2] Operand 2
     /* 397994 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(1),
     /* 398005 */     // MIs[0] imm
     /* 398005 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 398009 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 398013 */     // MIs[3] Operand 1
     /* 398013 */     // No operand predicates
     /* 398013 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 398015 */     // (AArch64ext:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } V128:{ *:[v2i64] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v1i64] } V128:{ *:[v2i64] }:$Rn, 1:{ *:[i64] }), (imm:{ *:[i32] }):$imm)  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (EXTv16i8:{ *:[f128] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm), dsub:{ *:[i32] })
     /* 398015 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 398018 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 398022 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 398027 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 398031 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 398035 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // imm
     /* 398038 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 398040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 398043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 398045 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 398052 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398057 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398062 */     // GIR_Coverage, 5445,
     /* 398062 */     GIR_EraseRootFromParent_Done,
     /* 398063 */   // Label 8039: @398063
     /* 398063 */   GIM_Try, /*On fail goto*//*Label 8040*/ GIMT_Encode4(398178), // Rule ID 5450 //
     /* 398068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 398072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 398076 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 398080 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398085 */     // MIs[1] Operand 2
     /* 398085 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 398096 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 398100 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 398104 */     // MIs[2] Rn
     /* 398104 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 398109 */     // MIs[2] Operand 2
     /* 398109 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(1),
     /* 398120 */     // MIs[0] imm
     /* 398120 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 398124 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 398128 */     // MIs[3] Operand 1
     /* 398128 */     // No operand predicates
     /* 398128 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 398130 */     // (AArch64ext:{ *:[v1f64] } (extract_subvector:{ *:[v1f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v1f64] } V128:{ *:[v2f64] }:$Rn, 1:{ *:[i64] }), (imm:{ *:[i32] }):$imm)  =>  (EXTRACT_SUBREG:{ *:[v1f64] } (EXTv16i8:{ *:[f128] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i32] }):$imm), dsub:{ *:[i32] })
     /* 398130 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 398133 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 398137 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 398142 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 398146 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 398150 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // imm
     /* 398153 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 398155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 398158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 398160 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 398167 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398172 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398177 */     // GIR_Coverage, 5450,
     /* 398177 */     GIR_EraseRootFromParent_Done,
     /* 398178 */   // Label 8040: @398178
     /* 398178 */   GIM_Try, /*On fail goto*//*Label 8041*/ GIMT_Encode4(398215), // Rule ID 5442 //
     /* 398183 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398191 */     // MIs[0] imm
     /* 398191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 398195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 398199 */     // MIs[1] Operand 1
     /* 398199 */     // No operand predicates
     /* 398199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 398201 */     // (AArch64ext:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn, V64:{ *:[v1i64] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn, V64:{ *:[v1i64] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 398201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv8i8),
     /* 398204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 398206 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 398208 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 398210 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 398213 */     GIR_RootConstrainSelectedInstOperands,
     /* 398214 */     // GIR_Coverage, 5442,
     /* 398214 */     GIR_EraseRootFromParent_Done,
     /* 398215 */   // Label 8041: @398215
     /* 398215 */   GIM_Try, /*On fail goto*//*Label 8042*/ GIMT_Encode4(398252), // Rule ID 5447 //
     /* 398220 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398228 */     // MIs[0] imm
     /* 398228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 398232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 398236 */     // MIs[1] Operand 1
     /* 398236 */     // No operand predicates
     /* 398236 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 398238 */     // (AArch64ext:{ *:[v1f64] } V64:{ *:[v1f64] }:$Rn, V64:{ *:[v1f64] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv8i8:{ *:[v1f64] } V64:{ *:[v1f64] }:$Rn, V64:{ *:[v1f64] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 398238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv8i8),
     /* 398241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 398243 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 398245 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 398247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 398250 */     GIR_RootConstrainSelectedInstOperands,
     /* 398251 */     // GIR_Coverage, 5447,
     /* 398251 */     GIR_EraseRootFromParent_Done,
     /* 398252 */   // Label 8042: @398252
     /* 398252 */   GIM_Reject,
     /* 398253 */ // Label 8038: @398253
     /* 398253 */ GIM_Reject,
     /* 398254 */ // Label 8029: @398254
     /* 398254 */ GIM_Try, /*On fail goto*//*Label 8043*/ GIMT_Encode4(398574),
     /* 398259 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 398262 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 398265 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398269 */   GIM_Try, /*On fail goto*//*Label 8044*/ GIMT_Encode4(398384), // Rule ID 5435 //
     /* 398274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 398278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 398282 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 398286 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398291 */     // MIs[1] Operand 2
     /* 398291 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 398302 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 398306 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 398310 */     // MIs[2] Rn
     /* 398310 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 398315 */     // MIs[2] Operand 2
     /* 398315 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /* 398326 */     // MIs[0] imm
     /* 398326 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 398330 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 398334 */     // MIs[3] Operand 1
     /* 398334 */     // No operand predicates
     /* 398334 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 398336 */     // (AArch64ext:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn, 2:{ *:[i64] }), (imm:{ *:[i32] }):$imm)  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (EXTv16i8:{ *:[f128] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm), dsub:{ *:[i32] })
     /* 398336 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 398339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 398343 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 398348 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 398352 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 398356 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // imm
     /* 398359 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 398361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 398364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 398366 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 398373 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398378 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398383 */     // GIR_Coverage, 5435,
     /* 398383 */     GIR_EraseRootFromParent_Done,
     /* 398384 */   // Label 8044: @398384
     /* 398384 */   GIM_Try, /*On fail goto*//*Label 8045*/ GIMT_Encode4(398499), // Rule ID 5440 //
     /* 398389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 398393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 398397 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 398401 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398406 */     // MIs[1] Operand 2
     /* 398406 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 398417 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 398421 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 398425 */     // MIs[2] Rn
     /* 398425 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 398430 */     // MIs[2] Operand 2
     /* 398430 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /* 398441 */     // MIs[0] imm
     /* 398441 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 398445 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 398449 */     // MIs[3] Operand 1
     /* 398449 */     // No operand predicates
     /* 398449 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 398451 */     // (AArch64ext:{ *:[v2f32] } (extract_subvector:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rn, 2:{ *:[i64] }), (imm:{ *:[i32] }):$imm)  =>  (EXTRACT_SUBREG:{ *:[v2f32] } (EXTv16i8:{ *:[f128] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i32] }):$imm), dsub:{ *:[i32] })
     /* 398451 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 398454 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 398458 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 398463 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 398467 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 398471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // imm
     /* 398474 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 398476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 398479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 398481 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 398488 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398493 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398498 */     // GIR_Coverage, 5440,
     /* 398498 */     GIR_EraseRootFromParent_Done,
     /* 398499 */   // Label 8045: @398499
     /* 398499 */   GIM_Try, /*On fail goto*//*Label 8046*/ GIMT_Encode4(398536), // Rule ID 5432 //
     /* 398504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398512 */     // MIs[0] imm
     /* 398512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 398516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 398520 */     // MIs[1] Operand 1
     /* 398520 */     // No operand predicates
     /* 398520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 398522 */     // (AArch64ext:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 398522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv8i8),
     /* 398525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 398527 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 398529 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 398531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 398534 */     GIR_RootConstrainSelectedInstOperands,
     /* 398535 */     // GIR_Coverage, 5432,
     /* 398535 */     GIR_EraseRootFromParent_Done,
     /* 398536 */   // Label 8046: @398536
     /* 398536 */   GIM_Try, /*On fail goto*//*Label 8047*/ GIMT_Encode4(398573), // Rule ID 5437 //
     /* 398541 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398549 */     // MIs[0] imm
     /* 398549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 398553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 398557 */     // MIs[1] Operand 1
     /* 398557 */     // No operand predicates
     /* 398557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 398559 */     // (AArch64ext:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv8i8:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 398559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv8i8),
     /* 398562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 398564 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 398566 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 398568 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 398571 */     GIR_RootConstrainSelectedInstOperands,
     /* 398572 */     // GIR_Coverage, 5437,
     /* 398572 */     GIR_EraseRootFromParent_Done,
     /* 398573 */   // Label 8047: @398573
     /* 398573 */   GIM_Reject,
     /* 398574 */ // Label 8043: @398574
     /* 398574 */ GIM_Reject,
     /* 398575 */ // Label 8030: @398575
     /* 398575 */ GIM_Try, /*On fail goto*//*Label 8048*/ GIMT_Encode4(398657),
     /* 398580 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 398583 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 398586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398590 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398594 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398598 */   GIM_Try, /*On fail goto*//*Label 8049*/ GIMT_Encode4(398627), // Rule ID 5443 //
     /* 398603 */     // MIs[0] imm
     /* 398603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 398607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 398611 */     // MIs[1] Operand 1
     /* 398611 */     // No operand predicates
     /* 398611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 398613 */     // (AArch64ext:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 398613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 398616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 398618 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 398620 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 398622 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 398625 */     GIR_RootConstrainSelectedInstOperands,
     /* 398626 */     // GIR_Coverage, 5443,
     /* 398626 */     GIR_EraseRootFromParent_Done,
     /* 398627 */   // Label 8049: @398627
     /* 398627 */   GIM_Try, /*On fail goto*//*Label 8050*/ GIMT_Encode4(398656), // Rule ID 5448 //
     /* 398632 */     // MIs[0] imm
     /* 398632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 398636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 398640 */     // MIs[1] Operand 1
     /* 398640 */     // No operand predicates
     /* 398640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 398642 */     // (AArch64ext:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv16i8:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 398642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 398645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 398647 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 398649 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 398651 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 398654 */     GIR_RootConstrainSelectedInstOperands,
     /* 398655 */     // GIR_Coverage, 5448,
     /* 398655 */     GIR_EraseRootFromParent_Done,
     /* 398656 */   // Label 8050: @398656
     /* 398656 */   GIM_Reject,
     /* 398657 */ // Label 8048: @398657
     /* 398657 */ GIM_Reject,
     /* 398658 */ // Label 8031: @398658
     /* 398658 */ GIM_Try, /*On fail goto*//*Label 8051*/ GIMT_Encode4(398978),
     /* 398663 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 398666 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 398669 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398673 */   GIM_Try, /*On fail goto*//*Label 8052*/ GIMT_Encode4(398788), // Rule ID 5425 //
     /* 398678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 398682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 398686 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 398690 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398695 */     // MIs[1] Operand 2
     /* 398695 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 398706 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 398710 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 398714 */     // MIs[2] Rn
     /* 398714 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 398719 */     // MIs[2] Operand 2
     /* 398719 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /* 398730 */     // MIs[0] imm
     /* 398730 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 398734 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 398738 */     // MIs[3] Operand 1
     /* 398738 */     // No operand predicates
     /* 398738 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 398740 */     // (AArch64ext:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn, 4:{ *:[i64] }), (imm:{ *:[i32] }):$imm)  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (EXTv16i8:{ *:[f128] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm), dsub:{ *:[i32] })
     /* 398740 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 398743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 398747 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 398752 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 398756 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 398760 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // imm
     /* 398763 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 398765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 398768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 398770 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 398777 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398782 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398787 */     // GIR_Coverage, 5425,
     /* 398787 */     GIR_EraseRootFromParent_Done,
     /* 398788 */   // Label 8052: @398788
     /* 398788 */   GIM_Try, /*On fail goto*//*Label 8053*/ GIMT_Encode4(398903), // Rule ID 5430 //
     /* 398793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 398797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 398801 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 398805 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398810 */     // MIs[1] Operand 2
     /* 398810 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 398821 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 398825 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 398829 */     // MIs[2] Rn
     /* 398829 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 398834 */     // MIs[2] Operand 2
     /* 398834 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /* 398845 */     // MIs[0] imm
     /* 398845 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 398849 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 398853 */     // MIs[3] Operand 1
     /* 398853 */     // No operand predicates
     /* 398853 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 398855 */     // (AArch64ext:{ *:[v4f16] } (extract_subvector:{ *:[v4f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v4f16] } V128:{ *:[v8f16] }:$Rn, 4:{ *:[i64] }), (imm:{ *:[i32] }):$imm)  =>  (EXTRACT_SUBREG:{ *:[v4f16] } (EXTv16i8:{ *:[f128] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i32] }):$imm), dsub:{ *:[i32] })
     /* 398855 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 398858 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 398862 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 398867 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 398871 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 398875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // imm
     /* 398878 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 398880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 398883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 398885 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 398892 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398897 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398902 */     // GIR_Coverage, 5430,
     /* 398902 */     GIR_EraseRootFromParent_Done,
     /* 398903 */   // Label 8053: @398903
     /* 398903 */   GIM_Try, /*On fail goto*//*Label 8054*/ GIMT_Encode4(398940), // Rule ID 5422 //
     /* 398908 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398916 */     // MIs[0] imm
     /* 398916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 398920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 398924 */     // MIs[1] Operand 1
     /* 398924 */     // No operand predicates
     /* 398924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 398926 */     // (AArch64ext:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 398926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv8i8),
     /* 398929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 398931 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 398933 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 398935 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 398938 */     GIR_RootConstrainSelectedInstOperands,
     /* 398939 */     // GIR_Coverage, 5422,
     /* 398939 */     GIR_EraseRootFromParent_Done,
     /* 398940 */   // Label 8054: @398940
     /* 398940 */   GIM_Try, /*On fail goto*//*Label 8055*/ GIMT_Encode4(398977), // Rule ID 5427 //
     /* 398945 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398953 */     // MIs[0] imm
     /* 398953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 398957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 398961 */     // MIs[1] Operand 1
     /* 398961 */     // No operand predicates
     /* 398961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 398963 */     // (AArch64ext:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv8i8:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 398963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv8i8),
     /* 398966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 398968 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 398970 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 398972 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 398975 */     GIR_RootConstrainSelectedInstOperands,
     /* 398976 */     // GIR_Coverage, 5427,
     /* 398976 */     GIR_EraseRootFromParent_Done,
     /* 398977 */   // Label 8055: @398977
     /* 398977 */   GIM_Reject,
     /* 398978 */ // Label 8051: @398978
     /* 398978 */ GIM_Reject,
     /* 398979 */ // Label 8032: @398979
     /* 398979 */ GIM_Try, /*On fail goto*//*Label 8056*/ GIMT_Encode4(399061),
     /* 398984 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 398987 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 398990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398994 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398998 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399002 */   GIM_Try, /*On fail goto*//*Label 8057*/ GIMT_Encode4(399031), // Rule ID 5433 //
     /* 399007 */     // MIs[0] imm
     /* 399007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 399011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 399015 */     // MIs[1] Operand 1
     /* 399015 */     // No operand predicates
     /* 399015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 399017 */     // (AArch64ext:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 399017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 399020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 399022 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 399024 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 399026 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 399029 */     GIR_RootConstrainSelectedInstOperands,
     /* 399030 */     // GIR_Coverage, 5433,
     /* 399030 */     GIR_EraseRootFromParent_Done,
     /* 399031 */   // Label 8057: @399031
     /* 399031 */   GIM_Try, /*On fail goto*//*Label 8058*/ GIMT_Encode4(399060), // Rule ID 5438 //
     /* 399036 */     // MIs[0] imm
     /* 399036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 399040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 399044 */     // MIs[1] Operand 1
     /* 399044 */     // No operand predicates
     /* 399044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 399046 */     // (AArch64ext:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv16i8:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 399046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 399049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 399051 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 399053 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 399055 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 399058 */     GIR_RootConstrainSelectedInstOperands,
     /* 399059 */     // GIR_Coverage, 5438,
     /* 399059 */     GIR_EraseRootFromParent_Done,
     /* 399060 */   // Label 8058: @399060
     /* 399060 */   GIM_Reject,
     /* 399061 */ // Label 8056: @399061
     /* 399061 */ GIM_Reject,
     /* 399062 */ // Label 8033: @399062
     /* 399062 */ GIM_Try, /*On fail goto*//*Label 8059*/ GIMT_Encode4(399270),
     /* 399067 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 399070 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 399073 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399077 */   GIM_Try, /*On fail goto*//*Label 8060*/ GIMT_Encode4(399192), // Rule ID 5420 //
     /* 399082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 399086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 399090 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 399094 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399099 */     // MIs[1] Operand 2
     /* 399099 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 399110 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 399114 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 399118 */     // MIs[2] Rn
     /* 399118 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 399123 */     // MIs[2] Operand 2
     /* 399123 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(8),
     /* 399134 */     // MIs[0] imm
     /* 399134 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 399138 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 399142 */     // MIs[3] Operand 1
     /* 399142 */     // No operand predicates
     /* 399142 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 399144 */     // (AArch64ext:{ *:[v8i8] } (extract_subvector:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn, 8:{ *:[i64] }), (imm:{ *:[i32] }):$imm)  =>  (EXTRACT_SUBREG:{ *:[v8i8] } (EXTv16i8:{ *:[f128] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] }):$imm), dsub:{ *:[i32] })
     /* 399144 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 399147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 399151 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 399156 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 399160 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 399164 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // imm
     /* 399167 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 399169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 399172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 399174 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 399181 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399186 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399191 */     // GIR_Coverage, 5420,
     /* 399191 */     GIR_EraseRootFromParent_Done,
     /* 399192 */   // Label 8060: @399192
     /* 399192 */   GIM_Try, /*On fail goto*//*Label 8061*/ GIMT_Encode4(399232), // Rule ID 1868 //
     /* 399197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 399200 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399208 */     // MIs[0] imm
     /* 399208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 399212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 399216 */     // MIs[1] Operand 1
     /* 399216 */     // No operand predicates
     /* 399216 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 399218 */     // (AArch64ext:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 399218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv8i8),
     /* 399221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 399223 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 399225 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 399227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 399230 */     GIR_RootConstrainSelectedInstOperands,
     /* 399231 */     // GIR_Coverage, 1868,
     /* 399231 */     GIR_EraseRootFromParent_Done,
     /* 399232 */   // Label 8061: @399232
     /* 399232 */   GIM_Try, /*On fail goto*//*Label 8062*/ GIMT_Encode4(399269), // Rule ID 5417 //
     /* 399237 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399245 */     // MIs[0] imm
     /* 399245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 399249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 399253 */     // MIs[1] Operand 1
     /* 399253 */     // No operand predicates
     /* 399253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 399255 */     // (AArch64ext:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 399255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv8i8),
     /* 399258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 399260 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 399262 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 399264 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 399267 */     GIR_RootConstrainSelectedInstOperands,
     /* 399268 */     // GIR_Coverage, 5417,
     /* 399268 */     GIR_EraseRootFromParent_Done,
     /* 399269 */   // Label 8062: @399269
     /* 399269 */   GIM_Reject,
     /* 399270 */ // Label 8059: @399270
     /* 399270 */ GIM_Reject,
     /* 399271 */ // Label 8034: @399271
     /* 399271 */ GIM_Try, /*On fail goto*//*Label 8063*/ GIMT_Encode4(399353),
     /* 399276 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 399279 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 399282 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399286 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399290 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399294 */   GIM_Try, /*On fail goto*//*Label 8064*/ GIMT_Encode4(399323), // Rule ID 5423 //
     /* 399299 */     // MIs[0] imm
     /* 399299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 399303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 399307 */     // MIs[1] Operand 1
     /* 399307 */     // No operand predicates
     /* 399307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 399309 */     // (AArch64ext:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 399309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 399312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 399314 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 399316 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 399318 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 399321 */     GIR_RootConstrainSelectedInstOperands,
     /* 399322 */     // GIR_Coverage, 5423,
     /* 399322 */     GIR_EraseRootFromParent_Done,
     /* 399323 */   // Label 8064: @399323
     /* 399323 */   GIM_Try, /*On fail goto*//*Label 8065*/ GIMT_Encode4(399352), // Rule ID 5428 //
     /* 399328 */     // MIs[0] imm
     /* 399328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 399332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 399336 */     // MIs[1] Operand 1
     /* 399336 */     // No operand predicates
     /* 399336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 399338 */     // (AArch64ext:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv16i8:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 399338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 399341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 399343 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 399345 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 399347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 399350 */     GIR_RootConstrainSelectedInstOperands,
     /* 399351 */     // GIR_Coverage, 5428,
     /* 399351 */     GIR_EraseRootFromParent_Done,
     /* 399352 */   // Label 8065: @399352
     /* 399352 */   GIM_Reject,
     /* 399353 */ // Label 8063: @399353
     /* 399353 */ GIM_Reject,
     /* 399354 */ // Label 8035: @399354
     /* 399354 */ GIM_Try, /*On fail goto*//*Label 8066*/ GIMT_Encode4(399439),
     /* 399359 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 399362 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 399365 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399369 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399373 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399377 */   GIM_Try, /*On fail goto*//*Label 8067*/ GIMT_Encode4(399409), // Rule ID 1869 //
     /* 399382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 399385 */     // MIs[0] imm
     /* 399385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 399389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 399393 */     // MIs[1] Operand 1
     /* 399393 */     // No operand predicates
     /* 399393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 399395 */     // (AArch64ext:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 399395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 399398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 399400 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 399402 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 399404 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 399407 */     GIR_RootConstrainSelectedInstOperands,
     /* 399408 */     // GIR_Coverage, 1869,
     /* 399408 */     GIR_EraseRootFromParent_Done,
     /* 399409 */   // Label 8067: @399409
     /* 399409 */   GIM_Try, /*On fail goto*//*Label 8068*/ GIMT_Encode4(399438), // Rule ID 5418 //
     /* 399414 */     // MIs[0] imm
     /* 399414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 399418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 399422 */     // MIs[1] Operand 1
     /* 399422 */     // No operand predicates
     /* 399422 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 399424 */     // (AArch64ext:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 399424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 399427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 399429 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 399431 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 399433 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 399436 */     GIR_RootConstrainSelectedInstOperands,
     /* 399437 */     // GIR_Coverage, 5418,
     /* 399437 */     GIR_EraseRootFromParent_Done,
     /* 399438 */   // Label 8068: @399438
     /* 399438 */   GIM_Reject,
     /* 399439 */ // Label 8066: @399439
     /* 399439 */ GIM_Reject,
     /* 399440 */ // Label 8036: @399440
     /* 399440 */ GIM_Try, /*On fail goto*//*Label 8069*/ GIMT_Encode4(399486), // Rule ID 2733 //
     /* 399445 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 399448 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 399451 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 399454 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 399458 */   // MIs[0] Op3
     /* 399458 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 399462 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 399466 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_255),
     /* 399470 */   // MIs[1] Operand 1
     /* 399470 */   // No operand predicates
     /* 399470 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 399472 */   // (AArch64ext:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (imm:{ *:[i32] })<<P:Predicate_imm0_255>>:$Op3)  =>  (EXT_ZZI:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (imm:{ *:[i32] })<<P:Predicate_imm0_255>>:$Op3)
     /* 399472 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXT_ZZI),
     /* 399475 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 399477 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /* 399479 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /* 399481 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // Op3
     /* 399484 */   GIR_RootConstrainSelectedInstOperands,
     /* 399485 */   // GIR_Coverage, 2733,
     /* 399485 */   GIR_EraseRootFromParent_Done,
     /* 399486 */ // Label 8069: @399486
     /* 399486 */ GIM_Reject,
     /* 399487 */ // Label 8037: @399487
     /* 399487 */ GIM_Reject,
     /* 399488 */ // Label 128: @399488
     /* 399488 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(11), /*)*//*default:*//*Label 8077*/ GIMT_Encode4(399826),
     /* 399499 */ /*GILLT_s32*//*Label 8070*/ GIMT_Encode4(399535),
     /* 399503 */ /*GILLT_s64*//*Label 8071*/ GIMT_Encode4(399573), GIMT_Encode4(0),
     /* 399511 */ /*GILLT_v2s32*//*Label 8072*/ GIMT_Encode4(399636),
     /* 399515 */ /*GILLT_v2s64*//*Label 8073*/ GIMT_Encode4(399674),
     /* 399519 */ /*GILLT_v4s16*//*Label 8074*/ GIMT_Encode4(399712),
     /* 399523 */ /*GILLT_v4s32*//*Label 8075*/ GIMT_Encode4(399750), GIMT_Encode4(0),
     /* 399531 */ /*GILLT_v8s16*//*Label 8076*/ GIMT_Encode4(399788),
     /* 399535 */ // Label 8070: @399535
     /* 399535 */ GIM_Try, /*On fail goto*//*Label 8078*/ GIMT_Encode4(399572), // Rule ID 1622 //
     /* 399540 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 399543 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 399546 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 399549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 399553 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 399557 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 399561 */   // (AArch64fcmeq:{ *:[i32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FCMEQ32:{ *:[i32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 399561 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMEQ32),
     /* 399566 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 399570 */   GIR_RootConstrainSelectedInstOperands,
     /* 399571 */   // GIR_Coverage, 1622,
     /* 399571 */   GIR_Done,
     /* 399572 */ // Label 8078: @399572
     /* 399572 */ GIM_Reject,
     /* 399573 */ // Label 8071: @399573
     /* 399573 */ GIM_Try, /*On fail goto*//*Label 8079*/ GIMT_Encode4(399635),
     /* 399578 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 399581 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 399584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399588 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399592 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399596 */   GIM_Try, /*On fail goto*//*Label 8080*/ GIMT_Encode4(399615), // Rule ID 1621 //
     /* 399601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 399604 */     // (AArch64fcmeq:{ *:[i64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FCMEQ64:{ *:[i64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 399604 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMEQ64),
     /* 399609 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 399613 */     GIR_RootConstrainSelectedInstOperands,
     /* 399614 */     // GIR_Coverage, 1621,
     /* 399614 */     GIR_Done,
     /* 399615 */   // Label 8080: @399615
     /* 399615 */   GIM_Try, /*On fail goto*//*Label 8081*/ GIMT_Encode4(399634), // Rule ID 5197 //
     /* 399620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 399623 */     // (AArch64fcmeq:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FCMEQ64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 399623 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMEQ64),
     /* 399628 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 399632 */     GIR_RootConstrainSelectedInstOperands,
     /* 399633 */     // GIR_Coverage, 5197,
     /* 399633 */     GIR_Done,
     /* 399634 */   // Label 8081: @399634
     /* 399634 */   GIM_Reject,
     /* 399635 */ // Label 8079: @399635
     /* 399635 */ GIM_Reject,
     /* 399636 */ // Label 8072: @399636
     /* 399636 */ GIM_Try, /*On fail goto*//*Label 8082*/ GIMT_Encode4(399673), // Rule ID 1210 //
     /* 399641 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 399644 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 399647 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 399650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399654 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399658 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399662 */   // (AArch64fcmeq:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FCMEQv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 399662 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMEQv2f32),
     /* 399667 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 399671 */   GIR_RootConstrainSelectedInstOperands,
     /* 399672 */   // GIR_Coverage, 1210,
     /* 399672 */   GIR_Done,
     /* 399673 */ // Label 8082: @399673
     /* 399673 */ GIM_Reject,
     /* 399674 */ // Label 8073: @399674
     /* 399674 */ GIM_Try, /*On fail goto*//*Label 8083*/ GIMT_Encode4(399711), // Rule ID 1212 //
     /* 399679 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 399682 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 399685 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 399688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399692 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399696 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399700 */   // (AArch64fcmeq:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FCMEQv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 399700 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMEQv2f64),
     /* 399705 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 399709 */   GIR_RootConstrainSelectedInstOperands,
     /* 399710 */   // GIR_Coverage, 1212,
     /* 399710 */   GIR_Done,
     /* 399711 */ // Label 8083: @399711
     /* 399711 */ GIM_Reject,
     /* 399712 */ // Label 8074: @399712
     /* 399712 */ GIM_Try, /*On fail goto*//*Label 8084*/ GIMT_Encode4(399749), // Rule ID 1208 //
     /* 399717 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 399720 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 399723 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 399726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399730 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399734 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399738 */   // (AArch64fcmeq:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FCMEQv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 399738 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMEQv4f16),
     /* 399743 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 399747 */   GIR_RootConstrainSelectedInstOperands,
     /* 399748 */   // GIR_Coverage, 1208,
     /* 399748 */   GIR_Done,
     /* 399749 */ // Label 8084: @399749
     /* 399749 */ GIM_Reject,
     /* 399750 */ // Label 8075: @399750
     /* 399750 */ GIM_Try, /*On fail goto*//*Label 8085*/ GIMT_Encode4(399787), // Rule ID 1211 //
     /* 399755 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 399758 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 399761 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 399764 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399768 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399772 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399776 */   // (AArch64fcmeq:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FCMEQv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 399776 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMEQv4f32),
     /* 399781 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 399785 */   GIR_RootConstrainSelectedInstOperands,
     /* 399786 */   // GIR_Coverage, 1211,
     /* 399786 */   GIR_Done,
     /* 399787 */ // Label 8085: @399787
     /* 399787 */ GIM_Reject,
     /* 399788 */ // Label 8076: @399788
     /* 399788 */ GIM_Try, /*On fail goto*//*Label 8086*/ GIMT_Encode4(399825), // Rule ID 1209 //
     /* 399793 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 399796 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 399799 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 399802 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399806 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399810 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399814 */   // (AArch64fcmeq:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCMEQv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 399814 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMEQv8f16),
     /* 399819 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 399823 */   GIR_RootConstrainSelectedInstOperands,
     /* 399824 */   // GIR_Coverage, 1209,
     /* 399824 */   GIR_Done,
     /* 399825 */ // Label 8086: @399825
     /* 399825 */ GIM_Reject,
     /* 399826 */ // Label 8077: @399826
     /* 399826 */ GIM_Reject,
     /* 399827 */ // Label 129: @399827
     /* 399827 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(11), /*)*//*default:*//*Label 8093*/ GIMT_Encode4(400056),
     /* 399838 */ /*GILLT_s64*//*Label 8087*/ GIMT_Encode4(399870), GIMT_Encode4(0),
     /* 399846 */ /*GILLT_v2s32*//*Label 8088*/ GIMT_Encode4(399901),
     /* 399850 */ /*GILLT_v2s64*//*Label 8089*/ GIMT_Encode4(399932),
     /* 399854 */ /*GILLT_v4s16*//*Label 8090*/ GIMT_Encode4(399963),
     /* 399858 */ /*GILLT_v4s32*//*Label 8091*/ GIMT_Encode4(399994), GIMT_Encode4(0),
     /* 399866 */ /*GILLT_v8s16*//*Label 8092*/ GIMT_Encode4(400025),
     /* 399870 */ // Label 8087: @399870
     /* 399870 */ GIM_Try, /*On fail goto*//*Label 8094*/ GIMT_Encode4(399900), // Rule ID 2513 //
     /* 399875 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 399878 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 399881 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399885 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399889 */   // (AArch64fcmeqz:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)  =>  (FCMEQv1i64rz:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 399889 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMEQv1i64rz),
     /* 399894 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 399898 */   GIR_RootConstrainSelectedInstOperands,
     /* 399899 */   // GIR_Coverage, 2513,
     /* 399899 */   GIR_Done,
     /* 399900 */ // Label 8094: @399900
     /* 399900 */ GIM_Reject,
     /* 399901 */ // Label 8088: @399901
     /* 399901 */ GIM_Try, /*On fail goto*//*Label 8095*/ GIMT_Encode4(399931), // Rule ID 773 //
     /* 399906 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 399909 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 399912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399916 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399920 */   // (AArch64fcmeqz:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)  =>  (FCMEQv2i32rz:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 399920 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMEQv2i32rz),
     /* 399925 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 399929 */   GIR_RootConstrainSelectedInstOperands,
     /* 399930 */   // GIR_Coverage, 773,
     /* 399930 */   GIR_Done,
     /* 399931 */ // Label 8095: @399931
     /* 399931 */ GIM_Reject,
     /* 399932 */ // Label 8089: @399932
     /* 399932 */ GIM_Try, /*On fail goto*//*Label 8096*/ GIMT_Encode4(399962), // Rule ID 775 //
     /* 399937 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 399940 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 399943 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399947 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399951 */   // (AArch64fcmeqz:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)  =>  (FCMEQv2i64rz:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 399951 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMEQv2i64rz),
     /* 399956 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 399960 */   GIR_RootConstrainSelectedInstOperands,
     /* 399961 */   // GIR_Coverage, 775,
     /* 399961 */   GIR_Done,
     /* 399962 */ // Label 8096: @399962
     /* 399962 */ GIM_Reject,
     /* 399963 */ // Label 8090: @399963
     /* 399963 */ GIM_Try, /*On fail goto*//*Label 8097*/ GIMT_Encode4(399993), // Rule ID 771 //
     /* 399968 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 399971 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 399974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399978 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399982 */   // (AArch64fcmeqz:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)  =>  (FCMEQv4i16rz:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 399982 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMEQv4i16rz),
     /* 399987 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 399991 */   GIR_RootConstrainSelectedInstOperands,
     /* 399992 */   // GIR_Coverage, 771,
     /* 399992 */   GIR_Done,
     /* 399993 */ // Label 8097: @399993
     /* 399993 */ GIM_Reject,
     /* 399994 */ // Label 8091: @399994
     /* 399994 */ GIM_Try, /*On fail goto*//*Label 8098*/ GIMT_Encode4(400024), // Rule ID 774 //
     /* 399999 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400002 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 400005 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400009 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400013 */   // (AArch64fcmeqz:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)  =>  (FCMEQv4i32rz:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 400013 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMEQv4i32rz),
     /* 400018 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 400022 */   GIR_RootConstrainSelectedInstOperands,
     /* 400023 */   // GIR_Coverage, 774,
     /* 400023 */   GIR_Done,
     /* 400024 */ // Label 8098: @400024
     /* 400024 */ GIM_Reject,
     /* 400025 */ // Label 8092: @400025
     /* 400025 */ GIM_Try, /*On fail goto*//*Label 8099*/ GIMT_Encode4(400055), // Rule ID 772 //
     /* 400030 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 400033 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 400036 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400040 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400044 */   // (AArch64fcmeqz:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCMEQv8i16rz:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 400044 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMEQv8i16rz),
     /* 400049 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 400053 */   GIR_RootConstrainSelectedInstOperands,
     /* 400054 */   // GIR_Coverage, 772,
     /* 400054 */   GIR_Done,
     /* 400055 */ // Label 8099: @400055
     /* 400055 */ GIM_Reject,
     /* 400056 */ // Label 8093: @400056
     /* 400056 */ GIM_Reject,
     /* 400057 */ // Label 130: @400057
     /* 400057 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(11), /*)*//*default:*//*Label 8107*/ GIMT_Encode4(400720),
     /* 400068 */ /*GILLT_s32*//*Label 8100*/ GIMT_Encode4(400104),
     /* 400072 */ /*GILLT_s64*//*Label 8101*/ GIMT_Encode4(400142), GIMT_Encode4(0),
     /* 400080 */ /*GILLT_v2s32*//*Label 8102*/ GIMT_Encode4(400205),
     /* 400084 */ /*GILLT_v2s64*//*Label 8103*/ GIMT_Encode4(400308),
     /* 400088 */ /*GILLT_v4s16*//*Label 8104*/ GIMT_Encode4(400411),
     /* 400092 */ /*GILLT_v4s32*//*Label 8105*/ GIMT_Encode4(400514), GIMT_Encode4(0),
     /* 400100 */ /*GILLT_v8s16*//*Label 8106*/ GIMT_Encode4(400617),
     /* 400104 */ // Label 8100: @400104
     /* 400104 */ GIM_Try, /*On fail goto*//*Label 8108*/ GIMT_Encode4(400141), // Rule ID 1624 //
     /* 400109 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400112 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 400115 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 400118 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 400122 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 400126 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 400130 */   // (AArch64fcmge:{ *:[i32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FCMGE32:{ *:[i32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 400130 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGE32),
     /* 400135 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 400139 */   GIR_RootConstrainSelectedInstOperands,
     /* 400140 */   // GIR_Coverage, 1624,
     /* 400140 */   GIR_Done,
     /* 400141 */ // Label 8108: @400141
     /* 400141 */ GIM_Reject,
     /* 400142 */ // Label 8101: @400142
     /* 400142 */ GIM_Try, /*On fail goto*//*Label 8109*/ GIMT_Encode4(400204),
     /* 400147 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 400150 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 400153 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 400157 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 400161 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 400165 */   GIM_Try, /*On fail goto*//*Label 8110*/ GIMT_Encode4(400184), // Rule ID 1623 //
     /* 400170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400173 */     // (AArch64fcmge:{ *:[i64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FCMGE64:{ *:[i64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 400173 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGE64),
     /* 400178 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 400182 */     GIR_RootConstrainSelectedInstOperands,
     /* 400183 */     // GIR_Coverage, 1623,
     /* 400183 */     GIR_Done,
     /* 400184 */   // Label 8110: @400184
     /* 400184 */   GIM_Try, /*On fail goto*//*Label 8111*/ GIMT_Encode4(400203), // Rule ID 5198 //
     /* 400189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400192 */     // (AArch64fcmge:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FCMGE64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 400192 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGE64),
     /* 400197 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 400201 */     GIR_RootConstrainSelectedInstOperands,
     /* 400202 */     // GIR_Coverage, 5198,
     /* 400202 */     GIR_Done,
     /* 400203 */   // Label 8111: @400203
     /* 400203 */   GIM_Reject,
     /* 400204 */ // Label 8109: @400204
     /* 400204 */ GIM_Reject,
     /* 400205 */ // Label 8102: @400205
     /* 400205 */ GIM_Try, /*On fail goto*//*Label 8112*/ GIMT_Encode4(400307),
     /* 400210 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 400213 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 400216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 400220 */   GIM_Try, /*On fail goto*//*Label 8113*/ GIMT_Encode4(400279), // Rule ID 1172 //
     /* 400225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 400232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 400236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 400240 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 400245 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 400249 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 400253 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 400257 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 400262 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 400264 */     // (AArch64fcmge:{ *:[v2i32] } (fabs:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), (fabs:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rm))  =>  (FACGEv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 400264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGEv2f32),
     /* 400267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 400269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 400273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 400277 */     GIR_RootConstrainSelectedInstOperands,
     /* 400278 */     // GIR_Coverage, 1172,
     /* 400278 */     GIR_EraseRootFromParent_Done,
     /* 400279 */   // Label 8113: @400279
     /* 400279 */   GIM_Try, /*On fail goto*//*Label 8114*/ GIMT_Encode4(400306), // Rule ID 1215 //
     /* 400284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400287 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 400291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 400295 */     // (AArch64fcmge:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FCMGEv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 400295 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGEv2f32),
     /* 400300 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 400304 */     GIR_RootConstrainSelectedInstOperands,
     /* 400305 */     // GIR_Coverage, 1215,
     /* 400305 */     GIR_Done,
     /* 400306 */   // Label 8114: @400306
     /* 400306 */   GIM_Reject,
     /* 400307 */ // Label 8112: @400307
     /* 400307 */ GIM_Reject,
     /* 400308 */ // Label 8103: @400308
     /* 400308 */ GIM_Try, /*On fail goto*//*Label 8115*/ GIMT_Encode4(400410),
     /* 400313 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 400316 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 400319 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400323 */   GIM_Try, /*On fail goto*//*Label 8116*/ GIMT_Encode4(400382), // Rule ID 1176 //
     /* 400328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 400335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 400339 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 400343 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400348 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 400352 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 400356 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 400360 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400365 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 400367 */     // (AArch64fcmge:{ *:[v2i64] } (fabs:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), (fabs:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm))  =>  (FACGEv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 400367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGEv2f64),
     /* 400370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 400372 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 400376 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 400380 */     GIR_RootConstrainSelectedInstOperands,
     /* 400381 */     // GIR_Coverage, 1176,
     /* 400381 */     GIR_EraseRootFromParent_Done,
     /* 400382 */   // Label 8116: @400382
     /* 400382 */   GIM_Try, /*On fail goto*//*Label 8117*/ GIMT_Encode4(400409), // Rule ID 1217 //
     /* 400387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400390 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400398 */     // (AArch64fcmge:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FCMGEv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 400398 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGEv2f64),
     /* 400403 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 400407 */     GIR_RootConstrainSelectedInstOperands,
     /* 400408 */     // GIR_Coverage, 1217,
     /* 400408 */     GIR_Done,
     /* 400409 */   // Label 8117: @400409
     /* 400409 */   GIM_Reject,
     /* 400410 */ // Label 8115: @400410
     /* 400410 */ GIM_Reject,
     /* 400411 */ // Label 8104: @400411
     /* 400411 */ GIM_Try, /*On fail goto*//*Label 8118*/ GIMT_Encode4(400513),
     /* 400416 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 400419 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 400422 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 400426 */   GIM_Try, /*On fail goto*//*Label 8119*/ GIMT_Encode4(400485), // Rule ID 1168 //
     /* 400431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 400434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 400438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 400442 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 400446 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 400451 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 400455 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 400459 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 400463 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 400468 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 400470 */     // (AArch64fcmge:{ *:[v4i16] } (fabs:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), (fabs:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rm))  =>  (FACGEv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 400470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGEv4f16),
     /* 400473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 400475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 400479 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 400483 */     GIR_RootConstrainSelectedInstOperands,
     /* 400484 */     // GIR_Coverage, 1168,
     /* 400484 */     GIR_EraseRootFromParent_Done,
     /* 400485 */   // Label 8119: @400485
     /* 400485 */   GIM_Try, /*On fail goto*//*Label 8120*/ GIMT_Encode4(400512), // Rule ID 1213 //
     /* 400490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 400493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 400497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 400501 */     // (AArch64fcmge:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FCMGEv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 400501 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGEv4f16),
     /* 400506 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 400510 */     GIR_RootConstrainSelectedInstOperands,
     /* 400511 */     // GIR_Coverage, 1213,
     /* 400511 */     GIR_Done,
     /* 400512 */   // Label 8120: @400512
     /* 400512 */   GIM_Reject,
     /* 400513 */ // Label 8118: @400513
     /* 400513 */ GIM_Reject,
     /* 400514 */ // Label 8105: @400514
     /* 400514 */ GIM_Try, /*On fail goto*//*Label 8121*/ GIMT_Encode4(400616),
     /* 400519 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 400522 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 400525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400529 */   GIM_Try, /*On fail goto*//*Label 8122*/ GIMT_Encode4(400588), // Rule ID 1174 //
     /* 400534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 400541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 400545 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 400549 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400554 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 400558 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 400562 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 400566 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400571 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 400573 */     // (AArch64fcmge:{ *:[v4i32] } (fabs:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), (fabs:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm))  =>  (FACGEv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 400573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGEv4f32),
     /* 400576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 400578 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 400582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 400586 */     GIR_RootConstrainSelectedInstOperands,
     /* 400587 */     // GIR_Coverage, 1174,
     /* 400587 */     GIR_EraseRootFromParent_Done,
     /* 400588 */   // Label 8122: @400588
     /* 400588 */   GIM_Try, /*On fail goto*//*Label 8123*/ GIMT_Encode4(400615), // Rule ID 1216 //
     /* 400593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400596 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400604 */     // (AArch64fcmge:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FCMGEv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 400604 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGEv4f32),
     /* 400609 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 400613 */     GIR_RootConstrainSelectedInstOperands,
     /* 400614 */     // GIR_Coverage, 1216,
     /* 400614 */     GIR_Done,
     /* 400615 */   // Label 8123: @400615
     /* 400615 */   GIM_Reject,
     /* 400616 */ // Label 8121: @400616
     /* 400616 */ GIM_Reject,
     /* 400617 */ // Label 8106: @400617
     /* 400617 */ GIM_Try, /*On fail goto*//*Label 8124*/ GIMT_Encode4(400719),
     /* 400622 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 400625 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 400628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400632 */   GIM_Try, /*On fail goto*//*Label 8125*/ GIMT_Encode4(400691), // Rule ID 1170 //
     /* 400637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 400640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 400644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 400648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 400652 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400657 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 400661 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 400665 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 400669 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400674 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 400676 */     // (AArch64fcmge:{ *:[v8i16] } (fabs:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), (fabs:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rm))  =>  (FACGEv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 400676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGEv8f16),
     /* 400679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 400681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 400685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 400689 */     GIR_RootConstrainSelectedInstOperands,
     /* 400690 */     // GIR_Coverage, 1170,
     /* 400690 */     GIR_EraseRootFromParent_Done,
     /* 400691 */   // Label 8125: @400691
     /* 400691 */   GIM_Try, /*On fail goto*//*Label 8126*/ GIMT_Encode4(400718), // Rule ID 1214 //
     /* 400696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 400699 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400707 */     // (AArch64fcmge:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCMGEv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 400707 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGEv8f16),
     /* 400712 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 400716 */     GIR_RootConstrainSelectedInstOperands,
     /* 400717 */     // GIR_Coverage, 1214,
     /* 400717 */     GIR_Done,
     /* 400718 */   // Label 8126: @400718
     /* 400718 */   GIM_Reject,
     /* 400719 */ // Label 8124: @400719
     /* 400719 */ GIM_Reject,
     /* 400720 */ // Label 8107: @400720
     /* 400720 */ GIM_Reject,
     /* 400721 */ // Label 131: @400721
     /* 400721 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(11), /*)*//*default:*//*Label 8133*/ GIMT_Encode4(400950),
     /* 400732 */ /*GILLT_s64*//*Label 8127*/ GIMT_Encode4(400764), GIMT_Encode4(0),
     /* 400740 */ /*GILLT_v2s32*//*Label 8128*/ GIMT_Encode4(400795),
     /* 400744 */ /*GILLT_v2s64*//*Label 8129*/ GIMT_Encode4(400826),
     /* 400748 */ /*GILLT_v4s16*//*Label 8130*/ GIMT_Encode4(400857),
     /* 400752 */ /*GILLT_v4s32*//*Label 8131*/ GIMT_Encode4(400888), GIMT_Encode4(0),
     /* 400760 */ /*GILLT_v8s16*//*Label 8132*/ GIMT_Encode4(400919),
     /* 400764 */ // Label 8127: @400764
     /* 400764 */ GIM_Try, /*On fail goto*//*Label 8134*/ GIMT_Encode4(400794), // Rule ID 5229 //
     /* 400769 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400772 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 400775 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 400779 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 400783 */   // (AArch64fcmgez:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)  =>  (FCMGEv1i64rz:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 400783 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGEv1i64rz),
     /* 400788 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 400792 */   GIR_RootConstrainSelectedInstOperands,
     /* 400793 */   // GIR_Coverage, 5229,
     /* 400793 */   GIR_Done,
     /* 400794 */ // Label 8134: @400794
     /* 400794 */ GIM_Reject,
     /* 400795 */ // Label 8128: @400795
     /* 400795 */ GIM_Try, /*On fail goto*//*Label 8135*/ GIMT_Encode4(400825), // Rule ID 778 //
     /* 400800 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400803 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 400806 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 400810 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 400814 */   // (AArch64fcmgez:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)  =>  (FCMGEv2i32rz:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 400814 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGEv2i32rz),
     /* 400819 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 400823 */   GIR_RootConstrainSelectedInstOperands,
     /* 400824 */   // GIR_Coverage, 778,
     /* 400824 */   GIR_Done,
     /* 400825 */ // Label 8135: @400825
     /* 400825 */ GIM_Reject,
     /* 400826 */ // Label 8129: @400826
     /* 400826 */ GIM_Try, /*On fail goto*//*Label 8136*/ GIMT_Encode4(400856), // Rule ID 780 //
     /* 400831 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400834 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 400837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400841 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400845 */   // (AArch64fcmgez:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)  =>  (FCMGEv2i64rz:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 400845 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGEv2i64rz),
     /* 400850 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 400854 */   GIR_RootConstrainSelectedInstOperands,
     /* 400855 */   // GIR_Coverage, 780,
     /* 400855 */   GIR_Done,
     /* 400856 */ // Label 8136: @400856
     /* 400856 */ GIM_Reject,
     /* 400857 */ // Label 8130: @400857
     /* 400857 */ GIM_Try, /*On fail goto*//*Label 8137*/ GIMT_Encode4(400887), // Rule ID 776 //
     /* 400862 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 400865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 400868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 400872 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 400876 */   // (AArch64fcmgez:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)  =>  (FCMGEv4i16rz:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 400876 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGEv4i16rz),
     /* 400881 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 400885 */   GIR_RootConstrainSelectedInstOperands,
     /* 400886 */   // GIR_Coverage, 776,
     /* 400886 */   GIR_Done,
     /* 400887 */ // Label 8137: @400887
     /* 400887 */ GIM_Reject,
     /* 400888 */ // Label 8131: @400888
     /* 400888 */ GIM_Try, /*On fail goto*//*Label 8138*/ GIMT_Encode4(400918), // Rule ID 779 //
     /* 400893 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400896 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 400899 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400903 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400907 */   // (AArch64fcmgez:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)  =>  (FCMGEv4i32rz:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 400907 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGEv4i32rz),
     /* 400912 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 400916 */   GIR_RootConstrainSelectedInstOperands,
     /* 400917 */   // GIR_Coverage, 779,
     /* 400917 */   GIR_Done,
     /* 400918 */ // Label 8138: @400918
     /* 400918 */ GIM_Reject,
     /* 400919 */ // Label 8132: @400919
     /* 400919 */ GIM_Try, /*On fail goto*//*Label 8139*/ GIMT_Encode4(400949), // Rule ID 777 //
     /* 400924 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 400927 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 400930 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400934 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400938 */   // (AArch64fcmgez:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCMGEv8i16rz:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 400938 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGEv8i16rz),
     /* 400943 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 400947 */   GIR_RootConstrainSelectedInstOperands,
     /* 400948 */   // GIR_Coverage, 777,
     /* 400948 */   GIR_Done,
     /* 400949 */ // Label 8139: @400949
     /* 400949 */ GIM_Reject,
     /* 400950 */ // Label 8133: @400950
     /* 400950 */ GIM_Reject,
     /* 400951 */ // Label 132: @400951
     /* 400951 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(11), /*)*//*default:*//*Label 8147*/ GIMT_Encode4(401614),
     /* 400962 */ /*GILLT_s32*//*Label 8140*/ GIMT_Encode4(400998),
     /* 400966 */ /*GILLT_s64*//*Label 8141*/ GIMT_Encode4(401036), GIMT_Encode4(0),
     /* 400974 */ /*GILLT_v2s32*//*Label 8142*/ GIMT_Encode4(401099),
     /* 400978 */ /*GILLT_v2s64*//*Label 8143*/ GIMT_Encode4(401202),
     /* 400982 */ /*GILLT_v4s16*//*Label 8144*/ GIMT_Encode4(401305),
     /* 400986 */ /*GILLT_v4s32*//*Label 8145*/ GIMT_Encode4(401408), GIMT_Encode4(0),
     /* 400994 */ /*GILLT_v8s16*//*Label 8146*/ GIMT_Encode4(401511),
     /* 400998 */ // Label 8140: @400998
     /* 400998 */ GIM_Try, /*On fail goto*//*Label 8148*/ GIMT_Encode4(401035), // Rule ID 1626 //
     /* 401003 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 401006 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 401009 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 401012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 401016 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 401020 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 401024 */   // (AArch64fcmgt:{ *:[i32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FCMGT32:{ *:[i32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 401024 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGT32),
     /* 401029 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 401033 */   GIR_RootConstrainSelectedInstOperands,
     /* 401034 */   // GIR_Coverage, 1626,
     /* 401034 */   GIR_Done,
     /* 401035 */ // Label 8148: @401035
     /* 401035 */ GIM_Reject,
     /* 401036 */ // Label 8141: @401036
     /* 401036 */ GIM_Try, /*On fail goto*//*Label 8149*/ GIMT_Encode4(401098),
     /* 401041 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 401044 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 401047 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401051 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401055 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401059 */   GIM_Try, /*On fail goto*//*Label 8150*/ GIMT_Encode4(401078), // Rule ID 1625 //
     /* 401064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 401067 */     // (AArch64fcmgt:{ *:[i64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FCMGT64:{ *:[i64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 401067 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGT64),
     /* 401072 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 401076 */     GIR_RootConstrainSelectedInstOperands,
     /* 401077 */     // GIR_Coverage, 1625,
     /* 401077 */     GIR_Done,
     /* 401078 */   // Label 8150: @401078
     /* 401078 */   GIM_Try, /*On fail goto*//*Label 8151*/ GIMT_Encode4(401097), // Rule ID 5199 //
     /* 401083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 401086 */     // (AArch64fcmgt:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FCMGT64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 401086 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGT64),
     /* 401091 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 401095 */     GIR_RootConstrainSelectedInstOperands,
     /* 401096 */     // GIR_Coverage, 5199,
     /* 401096 */     GIR_Done,
     /* 401097 */   // Label 8151: @401097
     /* 401097 */   GIM_Reject,
     /* 401098 */ // Label 8149: @401098
     /* 401098 */ GIM_Reject,
     /* 401099 */ // Label 8142: @401099
     /* 401099 */ GIM_Try, /*On fail goto*//*Label 8152*/ GIMT_Encode4(401201),
     /* 401104 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 401107 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 401110 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401114 */   GIM_Try, /*On fail goto*//*Label 8153*/ GIMT_Encode4(401173), // Rule ID 1182 //
     /* 401119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 401122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 401126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 401130 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 401134 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401139 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 401143 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 401147 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 401151 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401156 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 401158 */     // (AArch64fcmgt:{ *:[v2i32] } (fabs:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), (fabs:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rm))  =>  (FACGTv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 401158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGTv2f32),
     /* 401161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 401163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 401167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 401171 */     GIR_RootConstrainSelectedInstOperands,
     /* 401172 */     // GIR_Coverage, 1182,
     /* 401172 */     GIR_EraseRootFromParent_Done,
     /* 401173 */   // Label 8153: @401173
     /* 401173 */   GIM_Try, /*On fail goto*//*Label 8154*/ GIMT_Encode4(401200), // Rule ID 1220 //
     /* 401178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 401181 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401189 */     // (AArch64fcmgt:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FCMGTv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 401189 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGTv2f32),
     /* 401194 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 401198 */     GIR_RootConstrainSelectedInstOperands,
     /* 401199 */     // GIR_Coverage, 1220,
     /* 401199 */     GIR_Done,
     /* 401200 */   // Label 8154: @401200
     /* 401200 */   GIM_Reject,
     /* 401201 */ // Label 8152: @401201
     /* 401201 */ GIM_Reject,
     /* 401202 */ // Label 8143: @401202
     /* 401202 */ GIM_Try, /*On fail goto*//*Label 8155*/ GIMT_Encode4(401304),
     /* 401207 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 401210 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 401213 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401217 */   GIM_Try, /*On fail goto*//*Label 8156*/ GIMT_Encode4(401276), // Rule ID 1186 //
     /* 401222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 401225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 401229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 401233 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 401237 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401242 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 401246 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 401250 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 401254 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401259 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 401261 */     // (AArch64fcmgt:{ *:[v2i64] } (fabs:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), (fabs:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm))  =>  (FACGTv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 401261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGTv2f64),
     /* 401264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 401266 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 401270 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 401274 */     GIR_RootConstrainSelectedInstOperands,
     /* 401275 */     // GIR_Coverage, 1186,
     /* 401275 */     GIR_EraseRootFromParent_Done,
     /* 401276 */   // Label 8156: @401276
     /* 401276 */   GIM_Try, /*On fail goto*//*Label 8157*/ GIMT_Encode4(401303), // Rule ID 1222 //
     /* 401281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 401284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401292 */     // (AArch64fcmgt:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FCMGTv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 401292 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGTv2f64),
     /* 401297 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 401301 */     GIR_RootConstrainSelectedInstOperands,
     /* 401302 */     // GIR_Coverage, 1222,
     /* 401302 */     GIR_Done,
     /* 401303 */   // Label 8157: @401303
     /* 401303 */   GIM_Reject,
     /* 401304 */ // Label 8155: @401304
     /* 401304 */ GIM_Reject,
     /* 401305 */ // Label 8144: @401305
     /* 401305 */ GIM_Try, /*On fail goto*//*Label 8158*/ GIMT_Encode4(401407),
     /* 401310 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 401313 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 401316 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401320 */   GIM_Try, /*On fail goto*//*Label 8159*/ GIMT_Encode4(401379), // Rule ID 1178 //
     /* 401325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 401328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 401332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 401336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 401340 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401345 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 401349 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 401353 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 401357 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401362 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 401364 */     // (AArch64fcmgt:{ *:[v4i16] } (fabs:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), (fabs:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rm))  =>  (FACGTv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 401364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGTv4f16),
     /* 401367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 401369 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 401373 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 401377 */     GIR_RootConstrainSelectedInstOperands,
     /* 401378 */     // GIR_Coverage, 1178,
     /* 401378 */     GIR_EraseRootFromParent_Done,
     /* 401379 */   // Label 8159: @401379
     /* 401379 */   GIM_Try, /*On fail goto*//*Label 8160*/ GIMT_Encode4(401406), // Rule ID 1218 //
     /* 401384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 401387 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401395 */     // (AArch64fcmgt:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FCMGTv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 401395 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGTv4f16),
     /* 401400 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 401404 */     GIR_RootConstrainSelectedInstOperands,
     /* 401405 */     // GIR_Coverage, 1218,
     /* 401405 */     GIR_Done,
     /* 401406 */   // Label 8160: @401406
     /* 401406 */   GIM_Reject,
     /* 401407 */ // Label 8158: @401407
     /* 401407 */ GIM_Reject,
     /* 401408 */ // Label 8145: @401408
     /* 401408 */ GIM_Try, /*On fail goto*//*Label 8161*/ GIMT_Encode4(401510),
     /* 401413 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 401416 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 401419 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401423 */   GIM_Try, /*On fail goto*//*Label 8162*/ GIMT_Encode4(401482), // Rule ID 1184 //
     /* 401428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 401431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 401435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 401439 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 401443 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401448 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 401452 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 401456 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 401460 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401465 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 401467 */     // (AArch64fcmgt:{ *:[v4i32] } (fabs:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), (fabs:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm))  =>  (FACGTv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 401467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGTv4f32),
     /* 401470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 401472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 401476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 401480 */     GIR_RootConstrainSelectedInstOperands,
     /* 401481 */     // GIR_Coverage, 1184,
     /* 401481 */     GIR_EraseRootFromParent_Done,
     /* 401482 */   // Label 8162: @401482
     /* 401482 */   GIM_Try, /*On fail goto*//*Label 8163*/ GIMT_Encode4(401509), // Rule ID 1221 //
     /* 401487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 401490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401498 */     // (AArch64fcmgt:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FCMGTv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 401498 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGTv4f32),
     /* 401503 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 401507 */     GIR_RootConstrainSelectedInstOperands,
     /* 401508 */     // GIR_Coverage, 1221,
     /* 401508 */     GIR_Done,
     /* 401509 */   // Label 8163: @401509
     /* 401509 */   GIM_Reject,
     /* 401510 */ // Label 8161: @401510
     /* 401510 */ GIM_Reject,
     /* 401511 */ // Label 8146: @401511
     /* 401511 */ GIM_Try, /*On fail goto*//*Label 8164*/ GIMT_Encode4(401613),
     /* 401516 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 401519 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 401522 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401526 */   GIM_Try, /*On fail goto*//*Label 8165*/ GIMT_Encode4(401585), // Rule ID 1180 //
     /* 401531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 401534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 401538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 401542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 401546 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401551 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 401555 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 401559 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 401563 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401568 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 401570 */     // (AArch64fcmgt:{ *:[v8i16] } (fabs:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), (fabs:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rm))  =>  (FACGTv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 401570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGTv8f16),
     /* 401573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 401575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 401579 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 401583 */     GIR_RootConstrainSelectedInstOperands,
     /* 401584 */     // GIR_Coverage, 1180,
     /* 401584 */     GIR_EraseRootFromParent_Done,
     /* 401585 */   // Label 8165: @401585
     /* 401585 */   GIM_Try, /*On fail goto*//*Label 8166*/ GIMT_Encode4(401612), // Rule ID 1219 //
     /* 401590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 401593 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401601 */     // (AArch64fcmgt:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCMGTv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 401601 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGTv8f16),
     /* 401606 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 401610 */     GIR_RootConstrainSelectedInstOperands,
     /* 401611 */     // GIR_Coverage, 1219,
     /* 401611 */     GIR_Done,
     /* 401612 */   // Label 8166: @401612
     /* 401612 */   GIM_Reject,
     /* 401613 */ // Label 8164: @401613
     /* 401613 */ GIM_Reject,
     /* 401614 */ // Label 8147: @401614
     /* 401614 */ GIM_Reject,
     /* 401615 */ // Label 133: @401615
     /* 401615 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(11), /*)*//*default:*//*Label 8173*/ GIMT_Encode4(401844),
     /* 401626 */ /*GILLT_s64*//*Label 8167*/ GIMT_Encode4(401658), GIMT_Encode4(0),
     /* 401634 */ /*GILLT_v2s32*//*Label 8168*/ GIMT_Encode4(401689),
     /* 401638 */ /*GILLT_v2s64*//*Label 8169*/ GIMT_Encode4(401720),
     /* 401642 */ /*GILLT_v4s16*//*Label 8170*/ GIMT_Encode4(401751),
     /* 401646 */ /*GILLT_v4s32*//*Label 8171*/ GIMT_Encode4(401782), GIMT_Encode4(0),
     /* 401654 */ /*GILLT_v8s16*//*Label 8172*/ GIMT_Encode4(401813),
     /* 401658 */ // Label 8167: @401658
     /* 401658 */ GIM_Try, /*On fail goto*//*Label 8174*/ GIMT_Encode4(401688), // Rule ID 5230 //
     /* 401663 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 401666 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 401669 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401673 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401677 */   // (AArch64fcmgtz:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)  =>  (FCMGTv1i64rz:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 401677 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGTv1i64rz),
     /* 401682 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 401686 */   GIR_RootConstrainSelectedInstOperands,
     /* 401687 */   // GIR_Coverage, 5230,
     /* 401687 */   GIR_Done,
     /* 401688 */ // Label 8174: @401688
     /* 401688 */ GIM_Reject,
     /* 401689 */ // Label 8168: @401689
     /* 401689 */ GIM_Try, /*On fail goto*//*Label 8175*/ GIMT_Encode4(401719), // Rule ID 783 //
     /* 401694 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 401697 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 401700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401704 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401708 */   // (AArch64fcmgtz:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)  =>  (FCMGTv2i32rz:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 401708 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGTv2i32rz),
     /* 401713 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 401717 */   GIR_RootConstrainSelectedInstOperands,
     /* 401718 */   // GIR_Coverage, 783,
     /* 401718 */   GIR_Done,
     /* 401719 */ // Label 8175: @401719
     /* 401719 */ GIM_Reject,
     /* 401720 */ // Label 8169: @401720
     /* 401720 */ GIM_Try, /*On fail goto*//*Label 8176*/ GIMT_Encode4(401750), // Rule ID 785 //
     /* 401725 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 401728 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 401731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401735 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401739 */   // (AArch64fcmgtz:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)  =>  (FCMGTv2i64rz:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 401739 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGTv2i64rz),
     /* 401744 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 401748 */   GIR_RootConstrainSelectedInstOperands,
     /* 401749 */   // GIR_Coverage, 785,
     /* 401749 */   GIR_Done,
     /* 401750 */ // Label 8176: @401750
     /* 401750 */ GIM_Reject,
     /* 401751 */ // Label 8170: @401751
     /* 401751 */ GIM_Try, /*On fail goto*//*Label 8177*/ GIMT_Encode4(401781), // Rule ID 781 //
     /* 401756 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 401759 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 401762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401766 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401770 */   // (AArch64fcmgtz:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)  =>  (FCMGTv4i16rz:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 401770 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGTv4i16rz),
     /* 401775 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 401779 */   GIR_RootConstrainSelectedInstOperands,
     /* 401780 */   // GIR_Coverage, 781,
     /* 401780 */   GIR_Done,
     /* 401781 */ // Label 8177: @401781
     /* 401781 */ GIM_Reject,
     /* 401782 */ // Label 8171: @401782
     /* 401782 */ GIM_Try, /*On fail goto*//*Label 8178*/ GIMT_Encode4(401812), // Rule ID 784 //
     /* 401787 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 401790 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 401793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401797 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401801 */   // (AArch64fcmgtz:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)  =>  (FCMGTv4i32rz:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 401801 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGTv4i32rz),
     /* 401806 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 401810 */   GIR_RootConstrainSelectedInstOperands,
     /* 401811 */   // GIR_Coverage, 784,
     /* 401811 */   GIR_Done,
     /* 401812 */ // Label 8178: @401812
     /* 401812 */ GIM_Reject,
     /* 401813 */ // Label 8172: @401813
     /* 401813 */ GIM_Try, /*On fail goto*//*Label 8179*/ GIMT_Encode4(401843), // Rule ID 782 //
     /* 401818 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 401821 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 401824 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401828 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401832 */   // (AArch64fcmgtz:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCMGTv8i16rz:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 401832 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGTv8i16rz),
     /* 401837 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 401841 */   GIR_RootConstrainSelectedInstOperands,
     /* 401842 */   // GIR_Coverage, 782,
     /* 401842 */   GIR_Done,
     /* 401843 */ // Label 8179: @401843
     /* 401843 */ GIM_Reject,
     /* 401844 */ // Label 8173: @401844
     /* 401844 */ GIM_Reject,
     /* 401845 */ // Label 134: @401845
     /* 401845 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(11), /*)*//*default:*//*Label 8186*/ GIMT_Encode4(402074),
     /* 401856 */ /*GILLT_s64*//*Label 8180*/ GIMT_Encode4(401888), GIMT_Encode4(0),
     /* 401864 */ /*GILLT_v2s32*//*Label 8181*/ GIMT_Encode4(401919),
     /* 401868 */ /*GILLT_v2s64*//*Label 8182*/ GIMT_Encode4(401950),
     /* 401872 */ /*GILLT_v4s16*//*Label 8183*/ GIMT_Encode4(401981),
     /* 401876 */ /*GILLT_v4s32*//*Label 8184*/ GIMT_Encode4(402012), GIMT_Encode4(0),
     /* 401884 */ /*GILLT_v8s16*//*Label 8185*/ GIMT_Encode4(402043),
     /* 401888 */ // Label 8180: @401888
     /* 401888 */ GIM_Try, /*On fail goto*//*Label 8187*/ GIMT_Encode4(401918), // Rule ID 5231 //
     /* 401893 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 401896 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 401899 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401903 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401907 */   // (AArch64fcmlez:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)  =>  (FCMLEv1i64rz:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 401907 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMLEv1i64rz),
     /* 401912 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 401916 */   GIR_RootConstrainSelectedInstOperands,
     /* 401917 */   // GIR_Coverage, 5231,
     /* 401917 */   GIR_Done,
     /* 401918 */ // Label 8187: @401918
     /* 401918 */ GIM_Reject,
     /* 401919 */ // Label 8181: @401919
     /* 401919 */ GIM_Try, /*On fail goto*//*Label 8188*/ GIMT_Encode4(401949), // Rule ID 788 //
     /* 401924 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 401927 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 401930 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401934 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401938 */   // (AArch64fcmlez:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)  =>  (FCMLEv2i32rz:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 401938 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMLEv2i32rz),
     /* 401943 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 401947 */   GIR_RootConstrainSelectedInstOperands,
     /* 401948 */   // GIR_Coverage, 788,
     /* 401948 */   GIR_Done,
     /* 401949 */ // Label 8188: @401949
     /* 401949 */ GIM_Reject,
     /* 401950 */ // Label 8182: @401950
     /* 401950 */ GIM_Try, /*On fail goto*//*Label 8189*/ GIMT_Encode4(401980), // Rule ID 790 //
     /* 401955 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 401958 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 401961 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401965 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401969 */   // (AArch64fcmlez:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)  =>  (FCMLEv2i64rz:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 401969 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMLEv2i64rz),
     /* 401974 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 401978 */   GIR_RootConstrainSelectedInstOperands,
     /* 401979 */   // GIR_Coverage, 790,
     /* 401979 */   GIR_Done,
     /* 401980 */ // Label 8189: @401980
     /* 401980 */ GIM_Reject,
     /* 401981 */ // Label 8183: @401981
     /* 401981 */ GIM_Try, /*On fail goto*//*Label 8190*/ GIMT_Encode4(402011), // Rule ID 786 //
     /* 401986 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 401989 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 401992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401996 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402000 */   // (AArch64fcmlez:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)  =>  (FCMLEv4i16rz:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 402000 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMLEv4i16rz),
     /* 402005 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 402009 */   GIR_RootConstrainSelectedInstOperands,
     /* 402010 */   // GIR_Coverage, 786,
     /* 402010 */   GIR_Done,
     /* 402011 */ // Label 8190: @402011
     /* 402011 */ GIM_Reject,
     /* 402012 */ // Label 8184: @402012
     /* 402012 */ GIM_Try, /*On fail goto*//*Label 8191*/ GIMT_Encode4(402042), // Rule ID 789 //
     /* 402017 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 402020 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 402023 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402027 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402031 */   // (AArch64fcmlez:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)  =>  (FCMLEv4i32rz:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 402031 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMLEv4i32rz),
     /* 402036 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 402040 */   GIR_RootConstrainSelectedInstOperands,
     /* 402041 */   // GIR_Coverage, 789,
     /* 402041 */   GIR_Done,
     /* 402042 */ // Label 8191: @402042
     /* 402042 */ GIM_Reject,
     /* 402043 */ // Label 8185: @402043
     /* 402043 */ GIM_Try, /*On fail goto*//*Label 8192*/ GIMT_Encode4(402073), // Rule ID 787 //
     /* 402048 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 402051 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 402054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402058 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402062 */   // (AArch64fcmlez:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCMLEv8i16rz:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 402062 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMLEv8i16rz),
     /* 402067 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 402071 */   GIR_RootConstrainSelectedInstOperands,
     /* 402072 */   // GIR_Coverage, 787,
     /* 402072 */   GIR_Done,
     /* 402073 */ // Label 8192: @402073
     /* 402073 */ GIM_Reject,
     /* 402074 */ // Label 8186: @402074
     /* 402074 */ GIM_Reject,
     /* 402075 */ // Label 135: @402075
     /* 402075 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(11), /*)*//*default:*//*Label 8199*/ GIMT_Encode4(402304),
     /* 402086 */ /*GILLT_s64*//*Label 8193*/ GIMT_Encode4(402118), GIMT_Encode4(0),
     /* 402094 */ /*GILLT_v2s32*//*Label 8194*/ GIMT_Encode4(402149),
     /* 402098 */ /*GILLT_v2s64*//*Label 8195*/ GIMT_Encode4(402180),
     /* 402102 */ /*GILLT_v4s16*//*Label 8196*/ GIMT_Encode4(402211),
     /* 402106 */ /*GILLT_v4s32*//*Label 8197*/ GIMT_Encode4(402242), GIMT_Encode4(0),
     /* 402114 */ /*GILLT_v8s16*//*Label 8198*/ GIMT_Encode4(402273),
     /* 402118 */ // Label 8193: @402118
     /* 402118 */ GIM_Try, /*On fail goto*//*Label 8200*/ GIMT_Encode4(402148), // Rule ID 5232 //
     /* 402123 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 402126 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 402129 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402133 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402137 */   // (AArch64fcmltz:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)  =>  (FCMLTv1i64rz:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 402137 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMLTv1i64rz),
     /* 402142 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 402146 */   GIR_RootConstrainSelectedInstOperands,
     /* 402147 */   // GIR_Coverage, 5232,
     /* 402147 */   GIR_Done,
     /* 402148 */ // Label 8200: @402148
     /* 402148 */ GIM_Reject,
     /* 402149 */ // Label 8194: @402149
     /* 402149 */ GIM_Try, /*On fail goto*//*Label 8201*/ GIMT_Encode4(402179), // Rule ID 793 //
     /* 402154 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 402157 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 402160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402164 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402168 */   // (AArch64fcmltz:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)  =>  (FCMLTv2i32rz:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 402168 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMLTv2i32rz),
     /* 402173 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 402177 */   GIR_RootConstrainSelectedInstOperands,
     /* 402178 */   // GIR_Coverage, 793,
     /* 402178 */   GIR_Done,
     /* 402179 */ // Label 8201: @402179
     /* 402179 */ GIM_Reject,
     /* 402180 */ // Label 8195: @402180
     /* 402180 */ GIM_Try, /*On fail goto*//*Label 8202*/ GIMT_Encode4(402210), // Rule ID 795 //
     /* 402185 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 402188 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 402191 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402195 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402199 */   // (AArch64fcmltz:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)  =>  (FCMLTv2i64rz:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 402199 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMLTv2i64rz),
     /* 402204 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 402208 */   GIR_RootConstrainSelectedInstOperands,
     /* 402209 */   // GIR_Coverage, 795,
     /* 402209 */   GIR_Done,
     /* 402210 */ // Label 8202: @402210
     /* 402210 */ GIM_Reject,
     /* 402211 */ // Label 8196: @402211
     /* 402211 */ GIM_Try, /*On fail goto*//*Label 8203*/ GIMT_Encode4(402241), // Rule ID 791 //
     /* 402216 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 402219 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 402222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402226 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402230 */   // (AArch64fcmltz:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)  =>  (FCMLTv4i16rz:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 402230 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMLTv4i16rz),
     /* 402235 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 402239 */   GIR_RootConstrainSelectedInstOperands,
     /* 402240 */   // GIR_Coverage, 791,
     /* 402240 */   GIR_Done,
     /* 402241 */ // Label 8203: @402241
     /* 402241 */ GIM_Reject,
     /* 402242 */ // Label 8197: @402242
     /* 402242 */ GIM_Try, /*On fail goto*//*Label 8204*/ GIMT_Encode4(402272), // Rule ID 794 //
     /* 402247 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 402250 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 402253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402257 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402261 */   // (AArch64fcmltz:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)  =>  (FCMLTv4i32rz:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 402261 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMLTv4i32rz),
     /* 402266 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 402270 */   GIR_RootConstrainSelectedInstOperands,
     /* 402271 */   // GIR_Coverage, 794,
     /* 402271 */   GIR_Done,
     /* 402272 */ // Label 8204: @402272
     /* 402272 */ GIM_Reject,
     /* 402273 */ // Label 8198: @402273
     /* 402273 */ GIM_Try, /*On fail goto*//*Label 8205*/ GIMT_Encode4(402303), // Rule ID 792 //
     /* 402278 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 402281 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 402284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402288 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402292 */   // (AArch64fcmltz:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCMLTv8i16rz:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 402292 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMLTv8i16rz),
     /* 402297 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 402301 */   GIR_RootConstrainSelectedInstOperands,
     /* 402302 */   // GIR_Coverage, 792,
     /* 402302 */   GIR_Done,
     /* 402303 */ // Label 8205: @402303
     /* 402303 */ GIM_Reject,
     /* 402304 */ // Label 8199: @402304
     /* 402304 */ GIM_Reject,
     /* 402305 */ // Label 136: @402305
     /* 402305 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(12), /*)*//*default:*//*Label 8210*/ GIMT_Encode4(402458),
     /* 402316 */ /*GILLT_s32*//*Label 8206*/ GIMT_Encode4(402356),
     /* 402320 */ /*GILLT_s64*//*Label 8207*/ GIMT_Encode4(402380), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 402344 */ /*GILLT_v8s8*//*Label 8208*/ GIMT_Encode4(402404), GIMT_Encode4(0),
     /* 402352 */ /*GILLT_v16s8*//*Label 8209*/ GIMT_Encode4(402431),
     /* 402356 */ // Label 8206: @402356
     /* 402356 */ GIM_Try, /*On fail goto*//*Label 8211*/ GIMT_Encode4(402379), // Rule ID 4005 //
     /* 402361 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 402364 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 402368 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 402372 */   // (AArch64rev16:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)  =>  (REV16Wr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 402372 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16Wr),
     /* 402377 */   GIR_RootConstrainSelectedInstOperands,
     /* 402378 */   // GIR_Coverage, 4005,
     /* 402378 */   GIR_Done,
     /* 402379 */ // Label 8211: @402379
     /* 402379 */ GIM_Reject,
     /* 402380 */ // Label 8207: @402380
     /* 402380 */ GIM_Try, /*On fail goto*//*Label 8212*/ GIMT_Encode4(402403), // Rule ID 4006 //
     /* 402385 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 402388 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 402392 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 402396 */   // (AArch64rev16:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)  =>  (REV16Xr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /* 402396 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16Xr),
     /* 402401 */   GIR_RootConstrainSelectedInstOperands,
     /* 402402 */   // GIR_Coverage, 4006,
     /* 402402 */   GIR_Done,
     /* 402403 */ // Label 8212: @402403
     /* 402403 */ GIM_Reject,
     /* 402404 */ // Label 8208: @402404
     /* 402404 */ GIM_Try, /*On fail goto*//*Label 8213*/ GIMT_Encode4(402430), // Rule ID 976 //
     /* 402409 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 402412 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 402415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402419 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402423 */   // (AArch64rev16:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)  =>  (REV16v8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 402423 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v8i8),
     /* 402428 */   GIR_RootConstrainSelectedInstOperands,
     /* 402429 */   // GIR_Coverage, 976,
     /* 402429 */   GIR_Done,
     /* 402430 */ // Label 8213: @402430
     /* 402430 */ GIM_Reject,
     /* 402431 */ // Label 8209: @402431
     /* 402431 */ GIM_Try, /*On fail goto*//*Label 8214*/ GIMT_Encode4(402457), // Rule ID 977 //
     /* 402436 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 402439 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 402442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402446 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402450 */   // (AArch64rev16:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)  =>  (REV16v16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 402450 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v16i8),
     /* 402455 */   GIR_RootConstrainSelectedInstOperands,
     /* 402456 */   // GIR_Coverage, 977,
     /* 402456 */   GIR_Done,
     /* 402457 */ // Label 8214: @402457
     /* 402457 */ GIM_Reject,
     /* 402458 */ // Label 8210: @402458
     /* 402458 */ GIM_Reject,
     /* 402459 */ // Label 137: @402459
     /* 402459 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(7), GIMT_Encode2(12), /*)*//*default:*//*Label 8219*/ GIMT_Encode4(402634),
     /* 402470 */ /*GILLT_v4s16*//*Label 8215*/ GIMT_Encode4(402490), GIMT_Encode4(0),
     /* 402478 */ /*GILLT_v8s8*//*Label 8216*/ GIMT_Encode4(402535),
     /* 402482 */ /*GILLT_v8s16*//*Label 8217*/ GIMT_Encode4(402562),
     /* 402486 */ /*GILLT_v16s8*//*Label 8218*/ GIMT_Encode4(402607),
     /* 402490 */ // Label 8215: @402490
     /* 402490 */ GIM_Try, /*On fail goto*//*Label 8220*/ GIMT_Encode4(402534),
     /* 402495 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 402498 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402502 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402506 */   GIM_Try, /*On fail goto*//*Label 8221*/ GIMT_Encode4(402521), // Rule ID 980 //
     /* 402511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 402514 */     // (AArch64rev32:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)  =>  (REV32v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 402514 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v4i16),
     /* 402519 */     GIR_RootConstrainSelectedInstOperands,
     /* 402520 */     // GIR_Coverage, 980,
     /* 402520 */     GIR_Done,
     /* 402521 */   // Label 8221: @402521
     /* 402521 */   GIM_Try, /*On fail goto*//*Label 8222*/ GIMT_Encode4(402533), // Rule ID 4950 //
     /* 402526 */     // (AArch64rev32:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (REV32v4i16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 402526 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v4i16),
     /* 402531 */     GIR_RootConstrainSelectedInstOperands,
     /* 402532 */     // GIR_Coverage, 4950,
     /* 402532 */     GIR_Done,
     /* 402533 */   // Label 8222: @402533
     /* 402533 */   GIM_Reject,
     /* 402534 */ // Label 8220: @402534
     /* 402534 */ GIM_Reject,
     /* 402535 */ // Label 8216: @402535
     /* 402535 */ GIM_Try, /*On fail goto*//*Label 8223*/ GIMT_Encode4(402561), // Rule ID 978 //
     /* 402540 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 402543 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 402546 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402550 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402554 */   // (AArch64rev32:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)  =>  (REV32v8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 402554 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i8),
     /* 402559 */   GIR_RootConstrainSelectedInstOperands,
     /* 402560 */   // GIR_Coverage, 978,
     /* 402560 */   GIR_Done,
     /* 402561 */ // Label 8223: @402561
     /* 402561 */ GIM_Reject,
     /* 402562 */ // Label 8217: @402562
     /* 402562 */ GIM_Try, /*On fail goto*//*Label 8224*/ GIMT_Encode4(402606),
     /* 402567 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 402570 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402574 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402578 */   GIM_Try, /*On fail goto*//*Label 8225*/ GIMT_Encode4(402593), // Rule ID 981 //
     /* 402583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 402586 */     // (AArch64rev32:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)  =>  (REV32v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 402586 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i16),
     /* 402591 */     GIR_RootConstrainSelectedInstOperands,
     /* 402592 */     // GIR_Coverage, 981,
     /* 402592 */     GIR_Done,
     /* 402593 */   // Label 8225: @402593
     /* 402593 */   GIM_Try, /*On fail goto*//*Label 8226*/ GIMT_Encode4(402605), // Rule ID 4952 //
     /* 402598 */     // (AArch64rev32:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (REV32v8i16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 402598 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i16),
     /* 402603 */     GIR_RootConstrainSelectedInstOperands,
     /* 402604 */     // GIR_Coverage, 4952,
     /* 402604 */     GIR_Done,
     /* 402605 */   // Label 8226: @402605
     /* 402605 */   GIM_Reject,
     /* 402606 */ // Label 8224: @402606
     /* 402606 */ GIM_Reject,
     /* 402607 */ // Label 8218: @402607
     /* 402607 */ GIM_Try, /*On fail goto*//*Label 8227*/ GIMT_Encode4(402633), // Rule ID 979 //
     /* 402612 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 402615 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 402618 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402622 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402626 */   // (AArch64rev32:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)  =>  (REV32v16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 402626 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v16i8),
     /* 402631 */   GIR_RootConstrainSelectedInstOperands,
     /* 402632 */   // GIR_Coverage, 979,
     /* 402632 */   GIR_Done,
     /* 402633 */ // Label 8227: @402633
     /* 402633 */ GIM_Reject,
     /* 402634 */ // Label 8219: @402634
     /* 402634 */ GIM_Reject,
     /* 402635 */ // Label 138: @402635
     /* 402635 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(12), /*)*//*default:*//*Label 8234*/ GIMT_Encode4(402908),
     /* 402646 */ /*GILLT_v2s32*//*Label 8228*/ GIMT_Encode4(402674), GIMT_Encode4(0),
     /* 402654 */ /*GILLT_v4s16*//*Label 8229*/ GIMT_Encode4(402719),
     /* 402658 */ /*GILLT_v4s32*//*Label 8230*/ GIMT_Encode4(402764),
     /* 402662 */ /*GILLT_v8s8*//*Label 8231*/ GIMT_Encode4(402809),
     /* 402666 */ /*GILLT_v8s16*//*Label 8232*/ GIMT_Encode4(402836),
     /* 402670 */ /*GILLT_v16s8*//*Label 8233*/ GIMT_Encode4(402881),
     /* 402674 */ // Label 8228: @402674
     /* 402674 */ GIM_Try, /*On fail goto*//*Label 8235*/ GIMT_Encode4(402718),
     /* 402679 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 402682 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402686 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402690 */   GIM_Try, /*On fail goto*//*Label 8236*/ GIMT_Encode4(402705), // Rule ID 986 //
     /* 402695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 402698 */     // (AArch64rev64:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)  =>  (REV64v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 402698 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /* 402703 */     GIR_RootConstrainSelectedInstOperands,
     /* 402704 */     // GIR_Coverage, 986,
     /* 402704 */     GIR_Done,
     /* 402705 */   // Label 8236: @402705
     /* 402705 */   GIM_Try, /*On fail goto*//*Label 8237*/ GIMT_Encode4(402717), // Rule ID 4954 //
     /* 402710 */     // (AArch64rev64:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (REV64v2i32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 402710 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /* 402715 */     GIR_RootConstrainSelectedInstOperands,
     /* 402716 */     // GIR_Coverage, 4954,
     /* 402716 */     GIR_Done,
     /* 402717 */   // Label 8237: @402717
     /* 402717 */   GIM_Reject,
     /* 402718 */ // Label 8235: @402718
     /* 402718 */ GIM_Reject,
     /* 402719 */ // Label 8229: @402719
     /* 402719 */ GIM_Try, /*On fail goto*//*Label 8238*/ GIMT_Encode4(402763),
     /* 402724 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 402727 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402731 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402735 */   GIM_Try, /*On fail goto*//*Label 8239*/ GIMT_Encode4(402750), // Rule ID 984 //
     /* 402740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 402743 */     // (AArch64rev64:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)  =>  (REV64v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 402743 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /* 402748 */     GIR_RootConstrainSelectedInstOperands,
     /* 402749 */     // GIR_Coverage, 984,
     /* 402749 */     GIR_Done,
     /* 402750 */   // Label 8239: @402750
     /* 402750 */   GIM_Try, /*On fail goto*//*Label 8240*/ GIMT_Encode4(402762), // Rule ID 4951 //
     /* 402755 */     // (AArch64rev64:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (REV64v4i16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 402755 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /* 402760 */     GIR_RootConstrainSelectedInstOperands,
     /* 402761 */     // GIR_Coverage, 4951,
     /* 402761 */     GIR_Done,
     /* 402762 */   // Label 8240: @402762
     /* 402762 */   GIM_Reject,
     /* 402763 */ // Label 8238: @402763
     /* 402763 */ GIM_Reject,
     /* 402764 */ // Label 8230: @402764
     /* 402764 */ GIM_Try, /*On fail goto*//*Label 8241*/ GIMT_Encode4(402808),
     /* 402769 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 402772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402776 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402780 */   GIM_Try, /*On fail goto*//*Label 8242*/ GIMT_Encode4(402795), // Rule ID 987 //
     /* 402785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 402788 */     // (AArch64rev64:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)  =>  (REV64v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 402788 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /* 402793 */     GIR_RootConstrainSelectedInstOperands,
     /* 402794 */     // GIR_Coverage, 987,
     /* 402794 */     GIR_Done,
     /* 402795 */   // Label 8242: @402795
     /* 402795 */   GIM_Try, /*On fail goto*//*Label 8243*/ GIMT_Encode4(402807), // Rule ID 4955 //
     /* 402800 */     // (AArch64rev64:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (REV64v4i32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 402800 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /* 402805 */     GIR_RootConstrainSelectedInstOperands,
     /* 402806 */     // GIR_Coverage, 4955,
     /* 402806 */     GIR_Done,
     /* 402807 */   // Label 8243: @402807
     /* 402807 */   GIM_Reject,
     /* 402808 */ // Label 8241: @402808
     /* 402808 */ GIM_Reject,
     /* 402809 */ // Label 8231: @402809
     /* 402809 */ GIM_Try, /*On fail goto*//*Label 8244*/ GIMT_Encode4(402835), // Rule ID 982 //
     /* 402814 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 402817 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 402820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402824 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402828 */   // (AArch64rev64:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)  =>  (REV64v8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 402828 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i8),
     /* 402833 */   GIR_RootConstrainSelectedInstOperands,
     /* 402834 */   // GIR_Coverage, 982,
     /* 402834 */   GIR_Done,
     /* 402835 */ // Label 8244: @402835
     /* 402835 */ GIM_Reject,
     /* 402836 */ // Label 8232: @402836
     /* 402836 */ GIM_Try, /*On fail goto*//*Label 8245*/ GIMT_Encode4(402880),
     /* 402841 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 402844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402848 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402852 */   GIM_Try, /*On fail goto*//*Label 8246*/ GIMT_Encode4(402867), // Rule ID 985 //
     /* 402857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 402860 */     // (AArch64rev64:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)  =>  (REV64v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 402860 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /* 402865 */     GIR_RootConstrainSelectedInstOperands,
     /* 402866 */     // GIR_Coverage, 985,
     /* 402866 */     GIR_Done,
     /* 402867 */   // Label 8246: @402867
     /* 402867 */   GIM_Try, /*On fail goto*//*Label 8247*/ GIMT_Encode4(402879), // Rule ID 4953 //
     /* 402872 */     // (AArch64rev64:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (REV64v8i16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 402872 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /* 402877 */     GIR_RootConstrainSelectedInstOperands,
     /* 402878 */     // GIR_Coverage, 4953,
     /* 402878 */     GIR_Done,
     /* 402879 */   // Label 8247: @402879
     /* 402879 */   GIM_Reject,
     /* 402880 */ // Label 8245: @402880
     /* 402880 */ GIM_Reject,
     /* 402881 */ // Label 8233: @402881
     /* 402881 */ GIM_Try, /*On fail goto*//*Label 8248*/ GIMT_Encode4(402907), // Rule ID 983 //
     /* 402886 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 402889 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 402892 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402896 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402900 */   // (AArch64rev64:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)  =>  (REV64v16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 402900 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v16i8),
     /* 402905 */   GIR_RootConstrainSelectedInstOperands,
     /* 402906 */   // GIR_Coverage, 983,
     /* 402906 */   GIR_Done,
     /* 402907 */ // Label 8248: @402907
     /* 402907 */ GIM_Reject,
     /* 402908 */ // Label 8234: @402908
     /* 402908 */ GIM_Reject,
     /* 402909 */ // Label 139: @402909
     /* 402909 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(11), /*)*//*default:*//*Label 8255*/ GIMT_Encode4(403114),
     /* 402920 */ /*GILLT_s64*//*Label 8249*/ GIMT_Encode4(402952), GIMT_Encode4(0),
     /* 402928 */ /*GILLT_v2s32*//*Label 8250*/ GIMT_Encode4(402979),
     /* 402932 */ /*GILLT_v2s64*//*Label 8251*/ GIMT_Encode4(403006),
     /* 402936 */ /*GILLT_v4s16*//*Label 8252*/ GIMT_Encode4(403033),
     /* 402940 */ /*GILLT_v4s32*//*Label 8253*/ GIMT_Encode4(403060), GIMT_Encode4(0),
     /* 402948 */ /*GILLT_v8s16*//*Label 8254*/ GIMT_Encode4(403087),
     /* 402952 */ // Label 8249: @402952
     /* 402952 */ GIM_Try, /*On fail goto*//*Label 8256*/ GIMT_Encode4(402978), // Rule ID 1008 //
     /* 402957 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 402960 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 402963 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402967 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402971 */   // (AArch64saddlp_n:{ *:[v1i64] } V64:{ *:[v2i32] }:$Rn)  =>  (SADDLPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v2i32] }:$Rn)
     /* 402971 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv2i32_v1i64),
     /* 402976 */   GIR_RootConstrainSelectedInstOperands,
     /* 402977 */   // GIR_Coverage, 1008,
     /* 402977 */   GIR_Done,
     /* 402978 */ // Label 8256: @402978
     /* 402978 */ GIM_Reject,
     /* 402979 */ // Label 8250: @402979
     /* 402979 */ GIM_Try, /*On fail goto*//*Label 8257*/ GIMT_Encode4(403005), // Rule ID 1004 //
     /* 402984 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 402987 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 402990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402994 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402998 */   // (AArch64saddlp_n:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn)  =>  (SADDLPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn)
     /* 402998 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv4i16_v2i32),
     /* 403003 */   GIR_RootConstrainSelectedInstOperands,
     /* 403004 */   // GIR_Coverage, 1004,
     /* 403004 */   GIR_Done,
     /* 403005 */ // Label 8257: @403005
     /* 403005 */ GIM_Reject,
     /* 403006 */ // Label 8251: @403006
     /* 403006 */ GIM_Try, /*On fail goto*//*Label 8258*/ GIMT_Encode4(403032), // Rule ID 1010 //
     /* 403011 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 403014 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 403017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403021 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403025 */   // (AArch64saddlp_n:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn)  =>  (SADDLPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn)
     /* 403025 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv4i32_v2i64),
     /* 403030 */   GIR_RootConstrainSelectedInstOperands,
     /* 403031 */   // GIR_Coverage, 1010,
     /* 403031 */   GIR_Done,
     /* 403032 */ // Label 8258: @403032
     /* 403032 */ GIM_Reject,
     /* 403033 */ // Label 8252: @403033
     /* 403033 */ GIM_Try, /*On fail goto*//*Label 8259*/ GIMT_Encode4(403059), // Rule ID 1000 //
     /* 403038 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 403041 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 403044 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403048 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403052 */   // (AArch64saddlp_n:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn)  =>  (SADDLPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn)
     /* 403052 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv8i8_v4i16),
     /* 403057 */   GIR_RootConstrainSelectedInstOperands,
     /* 403058 */   // GIR_Coverage, 1000,
     /* 403058 */   GIR_Done,
     /* 403059 */ // Label 8259: @403059
     /* 403059 */ GIM_Reject,
     /* 403060 */ // Label 8253: @403060
     /* 403060 */ GIM_Try, /*On fail goto*//*Label 8260*/ GIMT_Encode4(403086), // Rule ID 1006 //
     /* 403065 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 403068 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 403071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403075 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403079 */   // (AArch64saddlp_n:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn)  =>  (SADDLPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn)
     /* 403079 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv8i16_v4i32),
     /* 403084 */   GIR_RootConstrainSelectedInstOperands,
     /* 403085 */   // GIR_Coverage, 1006,
     /* 403085 */   GIR_Done,
     /* 403086 */ // Label 8260: @403086
     /* 403086 */ GIM_Reject,
     /* 403087 */ // Label 8254: @403087
     /* 403087 */ GIM_Try, /*On fail goto*//*Label 8261*/ GIMT_Encode4(403113), // Rule ID 1002 //
     /* 403092 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 403095 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 403098 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403102 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403106 */   // (AArch64saddlp_n:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn)  =>  (SADDLPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn)
     /* 403106 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv16i8_v8i16),
     /* 403111 */   GIR_RootConstrainSelectedInstOperands,
     /* 403112 */   // GIR_Coverage, 1002,
     /* 403112 */   GIR_Done,
     /* 403113 */ // Label 8261: @403113
     /* 403113 */ GIM_Reject,
     /* 403114 */ // Label 8255: @403114
     /* 403114 */ GIM_Reject,
     /* 403115 */ // Label 140: @403115
     /* 403115 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(9), /*)*//*default:*//*Label 8264*/ GIMT_Encode4(403513),
     /* 403126 */ /*GILLT_v2s64*//*Label 8262*/ GIMT_Encode4(403138), GIMT_Encode4(0),
     /* 403134 */ /*GILLT_v4s32*//*Label 8263*/ GIMT_Encode4(403276),
     /* 403138 */ // Label 8262: @403138
     /* 403138 */ GIM_Try, /*On fail goto*//*Label 8265*/ GIMT_Encode4(403197), // Rule ID 5841 //
     /* 403143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 403146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403150 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403154 */   // (AArch64saddlv:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn)  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (SADDLVv4i32v:{ *:[i64] } V128:{ *:[v4i32] }:$Rn), dsub:{ *:[i32] })
     /* 403154 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 403157 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv4i32v),
     /* 403161 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 403166 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 403170 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 403172 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 403175 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 403177 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 403180 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 403183 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 403186 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403191 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403196 */   // GIR_Coverage, 5841,
     /* 403196 */   GIR_EraseRootFromParent_Done,
     /* 403197 */ // Label 8265: @403197
     /* 403197 */ GIM_Try, /*On fail goto*//*Label 8266*/ GIMT_Encode4(403275), // Rule ID 5963 //
     /* 403202 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 403205 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403209 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403213 */   // (AArch64saddlv:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn)  =>  (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), (SADDLPv2i32_v1i64:{ *:[i64] } V64:{ *:[v2i32] }:$Rn), dsub:{ *:[i32] })
     /* 403213 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 403216 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv2i32_v1i64),
     /* 403220 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 403225 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 403229 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 403231 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /* 403234 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 403238 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 403243 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 403245 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 403248 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 403250 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 403253 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 403256 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 403259 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403264 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403269 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403274 */   // GIR_Coverage, 5963,
     /* 403274 */   GIR_EraseRootFromParent_Done,
     /* 403275 */ // Label 8266: @403275
     /* 403275 */ GIM_Reject,
     /* 403276 */ // Label 8263: @403276
     /* 403276 */ GIM_Try, /*On fail goto*//*Label 8267*/ GIMT_Encode4(403335), // Rule ID 5837 //
     /* 403281 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 403284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403288 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403292 */   // (AArch64saddlv:{ *:[v4i32] } V64:{ *:[v8i8] }:$Rn)  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (SADDLVv8i8v:{ *:[i16] } V64:{ *:[v8i8] }:$Rn), hsub:{ *:[i32] })
     /* 403292 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 403295 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv8i8v),
     /* 403299 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 403304 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 403308 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 403310 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 403313 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 403315 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 403318 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 403321 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 403324 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403329 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 403334 */   // GIR_Coverage, 5837,
     /* 403334 */   GIR_EraseRootFromParent_Done,
     /* 403335 */ // Label 8267: @403335
     /* 403335 */ GIM_Try, /*On fail goto*//*Label 8268*/ GIMT_Encode4(403394), // Rule ID 5838 //
     /* 403340 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 403343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403347 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403351 */   // (AArch64saddlv:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn)  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (SADDLVv4i16v:{ *:[i32] } V64:{ *:[v4i16] }:$Rn), ssub:{ *:[i32] })
     /* 403351 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 403354 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv4i16v),
     /* 403358 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 403363 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 403367 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 403369 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 403372 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 403374 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 403377 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 403380 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 403383 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403388 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 403393 */   // GIR_Coverage, 5838,
     /* 403393 */   GIR_EraseRootFromParent_Done,
     /* 403394 */ // Label 8268: @403394
     /* 403394 */ GIM_Try, /*On fail goto*//*Label 8269*/ GIMT_Encode4(403453), // Rule ID 5839 //
     /* 403399 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 403402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403406 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403410 */   // (AArch64saddlv:{ *:[v4i32] } V128:{ *:[v16i8] }:$Rn)  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (SADDLVv16i8v:{ *:[i16] } V128:{ *:[v16i8] }:$Rn), hsub:{ *:[i32] })
     /* 403410 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 403413 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv16i8v),
     /* 403417 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 403422 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 403426 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 403428 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 403431 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 403433 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 403436 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 403439 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 403442 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403447 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 403452 */   // GIR_Coverage, 5839,
     /* 403452 */   GIR_EraseRootFromParent_Done,
     /* 403453 */ // Label 8269: @403453
     /* 403453 */ GIM_Try, /*On fail goto*//*Label 8270*/ GIMT_Encode4(403512), // Rule ID 5840 //
     /* 403458 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 403461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403465 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403469 */   // (AArch64saddlv:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn)  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (SADDLVv8i16v:{ *:[i32] } V128:{ *:[v8i16] }:$Rn), ssub:{ *:[i32] })
     /* 403469 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 403472 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv8i16v),
     /* 403476 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 403481 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 403485 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 403487 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 403490 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 403492 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 403495 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 403498 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 403501 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403506 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 403511 */   // GIR_Coverage, 5840,
     /* 403511 */   GIR_EraseRootFromParent_Done,
     /* 403512 */ // Label 8270: @403512
     /* 403512 */ GIM_Reject,
     /* 403513 */ // Label 8264: @403513
     /* 403513 */ GIM_Reject,
     /* 403514 */ // Label 141: @403514
     /* 403514 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(20), /*)*//*default:*//*Label 8275*/ GIMT_Encode4(403883),
     /* 403525 */ /*GILLT_v2s32*//*Label 8271*/ GIMT_Encode4(403585), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 403537 */ /*GILLT_v4s32*//*Label 8272*/ GIMT_Encode4(403705), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 403569 */ /*GILLT_nxv2s64*//*Label 8273*/ GIMT_Encode4(403825), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 403581 */ /*GILLT_nxv4s32*//*Label 8274*/ GIMT_Encode4(403854),
     /* 403585 */ // Label 8271: @403585
     /* 403585 */ GIM_Try, /*On fail goto*//*Label 8276*/ GIMT_Encode4(403704),
     /* 403590 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 403593 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 403596 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 403599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403603 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403607 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403611 */   GIM_Try, /*On fail goto*//*Label 8277*/ GIMT_Encode4(403684), // Rule ID 26 //
     /* 403616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDotProd),
     /* 403619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 403623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 403627 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 403631 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 403635 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 403639 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 403643 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 403647 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403652 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 403656 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 403660 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 403664 */     // MIs[3] Operand 1
     /* 403664 */     // No operand predicates
     /* 403664 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 403666 */     // (AArch64sdot:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v8i8] }:$Rn, (bitconvert:{ *:[v8i8] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (SDOTlanev8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v8i8] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 403666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDOTlanev8i8),
     /* 403669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 403671 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 403673 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 403675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 403679 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 403682 */     GIR_RootConstrainSelectedInstOperands,
     /* 403683 */     // GIR_Coverage, 26,
     /* 403683 */     GIR_EraseRootFromParent_Done,
     /* 403684 */   // Label 8277: @403684
     /* 403684 */   GIM_Try, /*On fail goto*//*Label 8278*/ GIMT_Encode4(403703), // Rule ID 22 //
     /* 403689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDotProd),
     /* 403692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403696 */     // (AArch64sdot:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SDOTv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 403696 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SDOTv8i8),
     /* 403701 */     GIR_RootConstrainSelectedInstOperands,
     /* 403702 */     // GIR_Coverage, 22,
     /* 403702 */     GIR_Done,
     /* 403703 */   // Label 8278: @403703
     /* 403703 */   GIM_Reject,
     /* 403704 */ // Label 8276: @403704
     /* 403704 */ GIM_Reject,
     /* 403705 */ // Label 8272: @403705
     /* 403705 */ GIM_Try, /*On fail goto*//*Label 8279*/ GIMT_Encode4(403824),
     /* 403710 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 403713 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 403716 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 403719 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403723 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403727 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403731 */   GIM_Try, /*On fail goto*//*Label 8280*/ GIMT_Encode4(403804), // Rule ID 27 //
     /* 403736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDotProd),
     /* 403739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 403743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 403747 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 403751 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 403755 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 403759 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 403763 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 403767 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403772 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 403776 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 403780 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 403784 */     // MIs[3] Operand 1
     /* 403784 */     // No operand predicates
     /* 403784 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 403786 */     // (AArch64sdot:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, (bitconvert:{ *:[v16i8] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (SDOTlanev16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 403786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDOTlanev16i8),
     /* 403789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 403791 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 403793 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 403795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 403799 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 403802 */     GIR_RootConstrainSelectedInstOperands,
     /* 403803 */     // GIR_Coverage, 27,
     /* 403803 */     GIR_EraseRootFromParent_Done,
     /* 403804 */   // Label 8280: @403804
     /* 403804 */   GIM_Try, /*On fail goto*//*Label 8281*/ GIMT_Encode4(403823), // Rule ID 23 //
     /* 403809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDotProd),
     /* 403812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403816 */     // (AArch64sdot:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SDOTv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 403816 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SDOTv16i8),
     /* 403821 */     GIR_RootConstrainSelectedInstOperands,
     /* 403822 */     // GIR_Coverage, 23,
     /* 403822 */     GIR_Done,
     /* 403823 */   // Label 8281: @403823
     /* 403823 */   GIM_Reject,
     /* 403824 */ // Label 8279: @403824
     /* 403824 */ GIM_Reject,
     /* 403825 */ // Label 8273: @403825
     /* 403825 */ GIM_Try, /*On fail goto*//*Label 8282*/ GIMT_Encode4(403853), // Rule ID 2986 //
     /* 403830 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 403833 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 403836 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 403839 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 403842 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 403846 */   // (AArch64sdot:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SDOT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 403846 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SDOT_ZZZ_D),
     /* 403851 */   GIR_RootConstrainSelectedInstOperands,
     /* 403852 */   // GIR_Coverage, 2986,
     /* 403852 */   GIR_Done,
     /* 403853 */ // Label 8282: @403853
     /* 403853 */ GIM_Reject,
     /* 403854 */ // Label 8274: @403854
     /* 403854 */ GIM_Try, /*On fail goto*//*Label 8283*/ GIMT_Encode4(403882), // Rule ID 2985 //
     /* 403859 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 403862 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 403865 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 403868 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 403871 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 403875 */   // (AArch64sdot:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SDOT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 403875 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SDOT_ZZZ_S),
     /* 403880 */   GIR_RootConstrainSelectedInstOperands,
     /* 403881 */   // GIR_Coverage, 2985,
     /* 403881 */   GIR_Done,
     /* 403882 */ // Label 8283: @403882
     /* 403882 */ GIM_Reject,
     /* 403883 */ // Label 8275: @403883
     /* 403883 */ GIM_Reject,
     /* 403884 */ // Label 142: @403884
     /* 403884 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 8287*/ GIMT_Encode4(404000),
     /* 403895 */ /*GILLT_s16*//*Label 8284*/ GIMT_Encode4(403907),
     /* 403899 */ /*GILLT_s32*//*Label 8285*/ GIMT_Encode4(403938),
     /* 403903 */ /*GILLT_s64*//*Label 8286*/ GIMT_Encode4(403969),
     /* 403907 */ // Label 8284: @403907
     /* 403907 */ GIM_Try, /*On fail goto*//*Label 8288*/ GIMT_Encode4(403937), // Rule ID 1658 //
     /* 403912 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEONandIsStreamingSafe),
     /* 403915 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 403918 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 403922 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 403926 */   // (AArch64sitof:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (SCVTFv1i16:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 403926 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i16),
     /* 403931 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 403935 */   GIR_RootConstrainSelectedInstOperands,
     /* 403936 */   // GIR_Coverage, 1658,
     /* 403936 */   GIR_Done,
     /* 403937 */ // Label 8288: @403937
     /* 403937 */ GIM_Reject,
     /* 403938 */ // Label 8285: @403938
     /* 403938 */ GIM_Try, /*On fail goto*//*Label 8289*/ GIMT_Encode4(403968), // Rule ID 1657 //
     /* 403943 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 403946 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 403949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 403953 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 403957 */   // (AArch64sitof:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (SCVTFv1i32:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 403957 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i32),
     /* 403962 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 403966 */   GIR_RootConstrainSelectedInstOperands,
     /* 403967 */   // GIR_Coverage, 1657,
     /* 403967 */   GIR_Done,
     /* 403968 */ // Label 8289: @403968
     /* 403968 */ GIM_Reject,
     /* 403969 */ // Label 8286: @403969
     /* 403969 */ GIM_Try, /*On fail goto*//*Label 8290*/ GIMT_Encode4(403999), // Rule ID 1656 //
     /* 403974 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 403977 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 403980 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403984 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403988 */   // (AArch64sitof:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (SCVTFv1i64:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 403988 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i64),
     /* 403993 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 403997 */   GIR_RootConstrainSelectedInstOperands,
     /* 403998 */   // GIR_Coverage, 1656,
     /* 403998 */   GIR_Done,
     /* 403999 */ // Label 8290: @403999
     /* 403999 */ GIM_Reject,
     /* 404000 */ // Label 8287: @404000
     /* 404000 */ GIM_Reject,
     /* 404001 */ // Label 143: @404001
     /* 404001 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(11), /*)*//*default:*//*Label 8294*/ GIMT_Encode4(405233),
     /* 404012 */ /*GILLT_v2s64*//*Label 8291*/ GIMT_Encode4(404032), GIMT_Encode4(0),
     /* 404020 */ /*GILLT_v4s32*//*Label 8292*/ GIMT_Encode4(404593), GIMT_Encode4(0),
     /* 404028 */ /*GILLT_v8s16*//*Label 8293*/ GIMT_Encode4(405154),
     /* 404032 */ // Label 8291: @404032
     /* 404032 */ GIM_Try, /*On fail goto*//*Label 8295*/ GIMT_Encode4(404592),
     /* 404037 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 404040 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 404043 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404047 */   GIM_Try, /*On fail goto*//*Label 8296*/ GIMT_Encode4(404139), // Rule ID 2054 //
     /* 404052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 404055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 404059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 404063 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 404067 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 404071 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 404075 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 404079 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 404083 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404088 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 404092 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 404096 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 404100 */     // MIs[3] Operand 1
     /* 404100 */     // No operand predicates
     /* 404100 */     // MIs[1] Operand 2
     /* 404100 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(2),
     /* 404111 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 404113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 404120 */     // (AArch64smull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] }))  =>  (SMULLv4i32_indexed:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 404120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv4i32_indexed),
     /* 404123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 404125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 404130 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 404134 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 404137 */     GIR_RootConstrainSelectedInstOperands,
     /* 404138 */     // GIR_Coverage, 2054,
     /* 404138 */     GIR_EraseRootFromParent_Done,
     /* 404139 */   // Label 8296: @404139
     /* 404139 */   GIM_Try, /*On fail goto*//*Label 8297*/ GIMT_Encode4(404231), // Rule ID 13418 //
     /* 404144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 404147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 404151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 404155 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 404159 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 404163 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 404167 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 404171 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 404175 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404180 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 404184 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 404188 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 404192 */     // MIs[3] Operand 1
     /* 404192 */     // No operand predicates
     /* 404192 */     // MIs[1] Operand 2
     /* 404192 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(2),
     /* 404203 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 404205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 404212 */     // (AArch64smull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] }), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn))  =>  (SMULLv4i32_indexed:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 404212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv4i32_indexed),
     /* 404215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 404217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 404222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 404226 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 404229 */     GIR_RootConstrainSelectedInstOperands,
     /* 404230 */     // GIR_Coverage, 13418,
     /* 404230 */     GIR_EraseRootFromParent_Done,
     /* 404231 */   // Label 8297: @404231
     /* 404231 */   GIM_Try, /*On fail goto*//*Label 8298*/ GIMT_Encode4(404317), // Rule ID 13416 //
     /* 404236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 404239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 404243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 404247 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 404251 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 404255 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 404259 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 404263 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 404267 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404272 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 404276 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 404280 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 404284 */     // MIs[3] Operand 1
     /* 404284 */     // No operand predicates
     /* 404284 */     // MIs[1] Operand 2
     /* 404284 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 404295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 404299 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 404301 */     // (AArch64smull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn)  =>  (SMULLv2i32_indexed:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 404301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv2i32_indexed),
     /* 404304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 404306 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 404308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 404312 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 404315 */     GIR_RootConstrainSelectedInstOperands,
     /* 404316 */     // GIR_Coverage, 13416,
     /* 404316 */     GIR_EraseRootFromParent_Done,
     /* 404317 */   // Label 8298: @404317
     /* 404317 */   GIM_Try, /*On fail goto*//*Label 8299*/ GIMT_Encode4(404403), // Rule ID 2052 //
     /* 404322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 404325 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 404329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 404333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 404337 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 404341 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 404345 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 404349 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 404353 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 404357 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404362 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 404366 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 404370 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 404374 */     // MIs[3] Operand 1
     /* 404374 */     // No operand predicates
     /* 404374 */     // MIs[1] Operand 2
     /* 404374 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 404385 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 404387 */     // (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }))  =>  (SMULLv2i32_indexed:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 404387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv2i32_indexed),
     /* 404390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 404392 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 404394 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 404398 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 404401 */     GIR_RootConstrainSelectedInstOperands,
     /* 404402 */     // GIR_Coverage, 2052,
     /* 404402 */     GIR_EraseRootFromParent_Done,
     /* 404403 */   // Label 8299: @404403
     /* 404403 */   GIM_Try, /*On fail goto*//*Label 8300*/ GIMT_Encode4(404442), // Rule ID 1741 //
     /* 404408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 404411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 404418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 404425 */     // (AArch64smull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm))  =>  (SMULLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 404425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv4i32_v2i64),
     /* 404428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 404430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 404435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 404440 */     GIR_RootConstrainSelectedInstOperands,
     /* 404441 */     // GIR_Coverage, 1741,
     /* 404441 */     GIR_EraseRootFromParent_Done,
     /* 404442 */   // Label 8300: @404442
     /* 404442 */   GIM_Try, /*On fail goto*//*Label 8301*/ GIMT_Encode4(404505), // Rule ID 13417 //
     /* 404447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 404450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 404454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 404458 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 404462 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 404466 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404471 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 404475 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 404479 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 404483 */     // MIs[2] Operand 1
     /* 404483 */     // No operand predicates
     /* 404483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 404487 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 404489 */     // (AArch64smull:{ *:[v2i64] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2i32] }:$Rn)  =>  (SMULLv2i32_indexed:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 404489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv2i32_indexed),
     /* 404492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 404494 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 404496 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 404500 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 404503 */     GIR_RootConstrainSelectedInstOperands,
     /* 404504 */     // GIR_Coverage, 13417,
     /* 404504 */     GIR_EraseRootFromParent_Done,
     /* 404505 */   // Label 8301: @404505
     /* 404505 */   GIM_Try, /*On fail goto*//*Label 8302*/ GIMT_Encode4(404568), // Rule ID 2053 //
     /* 404510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 404513 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 404517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 404521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 404525 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 404529 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 404533 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404538 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 404542 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 404546 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 404550 */     // MIs[2] Operand 1
     /* 404550 */     // No operand predicates
     /* 404550 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 404552 */     // (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SMULLv2i32_indexed:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 404552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv2i32_indexed),
     /* 404555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 404557 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 404559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 404563 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 404566 */     GIR_RootConstrainSelectedInstOperands,
     /* 404567 */     // GIR_Coverage, 2053,
     /* 404567 */     GIR_EraseRootFromParent_Done,
     /* 404568 */   // Label 8302: @404568
     /* 404568 */   GIM_Try, /*On fail goto*//*Label 8303*/ GIMT_Encode4(404591), // Rule ID 1740 //
     /* 404573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 404576 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 404580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 404584 */     // (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SMULLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 404584 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMULLv2i32_v2i64),
     /* 404589 */     GIR_RootConstrainSelectedInstOperands,
     /* 404590 */     // GIR_Coverage, 1740,
     /* 404590 */     GIR_Done,
     /* 404591 */   // Label 8303: @404591
     /* 404591 */   GIM_Reject,
     /* 404592 */ // Label 8295: @404592
     /* 404592 */ GIM_Reject,
     /* 404593 */ // Label 8292: @404593
     /* 404593 */ GIM_Try, /*On fail goto*//*Label 8304*/ GIMT_Encode4(405153),
     /* 404598 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 404601 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 404604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404608 */   GIM_Try, /*On fail goto*//*Label 8305*/ GIMT_Encode4(404700), // Rule ID 2051 //
     /* 404613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 404616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 404620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 404624 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 404628 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 404632 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 404636 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 404640 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 404644 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 404649 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 404653 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 404657 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 404661 */     // MIs[3] Operand 1
     /* 404661 */     // No operand predicates
     /* 404661 */     // MIs[1] Operand 2
     /* 404661 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4),
     /* 404672 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 404674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 404681 */     // (AArch64smull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] }))  =>  (SMULLv8i16_indexed:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 404681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv8i16_indexed),
     /* 404684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 404686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 404691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 404695 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 404698 */     GIR_RootConstrainSelectedInstOperands,
     /* 404699 */     // GIR_Coverage, 2051,
     /* 404699 */     GIR_EraseRootFromParent_Done,
     /* 404700 */   // Label 8305: @404700
     /* 404700 */   GIM_Try, /*On fail goto*//*Label 8306*/ GIMT_Encode4(404792), // Rule ID 13415 //
     /* 404705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 404708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 404712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 404716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 404720 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 404724 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 404728 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 404732 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 404736 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 404741 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 404745 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 404749 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 404753 */     // MIs[3] Operand 1
     /* 404753 */     // No operand predicates
     /* 404753 */     // MIs[1] Operand 2
     /* 404753 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4),
     /* 404764 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 404766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 404773 */     // (AArch64smull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] }), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn))  =>  (SMULLv8i16_indexed:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 404773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv8i16_indexed),
     /* 404776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 404778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 404783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 404787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 404790 */     GIR_RootConstrainSelectedInstOperands,
     /* 404791 */     // GIR_Coverage, 13415,
     /* 404791 */     GIR_EraseRootFromParent_Done,
     /* 404792 */   // Label 8306: @404792
     /* 404792 */   GIM_Try, /*On fail goto*//*Label 8307*/ GIMT_Encode4(404878), // Rule ID 13413 //
     /* 404797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 404800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 404804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 404808 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 404812 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 404816 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 404820 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 404824 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 404828 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 404833 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 404837 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 404841 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 404845 */     // MIs[3] Operand 1
     /* 404845 */     // No operand predicates
     /* 404845 */     // MIs[1] Operand 2
     /* 404845 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 404856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 404860 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 404862 */     // (AArch64smull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn)  =>  (SMULLv4i16_indexed:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 404862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv4i16_indexed),
     /* 404865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 404867 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 404869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 404873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 404876 */     GIR_RootConstrainSelectedInstOperands,
     /* 404877 */     // GIR_Coverage, 13413,
     /* 404877 */     GIR_EraseRootFromParent_Done,
     /* 404878 */   // Label 8307: @404878
     /* 404878 */   GIM_Try, /*On fail goto*//*Label 8308*/ GIMT_Encode4(404964), // Rule ID 2049 //
     /* 404883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 404886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 404890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 404894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 404898 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 404902 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 404906 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 404910 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 404914 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 404918 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 404923 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 404927 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 404931 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 404935 */     // MIs[3] Operand 1
     /* 404935 */     // No operand predicates
     /* 404935 */     // MIs[1] Operand 2
     /* 404935 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 404946 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 404948 */     // (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }))  =>  (SMULLv4i16_indexed:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 404948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv4i16_indexed),
     /* 404951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 404953 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 404955 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 404959 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 404962 */     GIR_RootConstrainSelectedInstOperands,
     /* 404963 */     // GIR_Coverage, 2049,
     /* 404963 */     GIR_EraseRootFromParent_Done,
     /* 404964 */   // Label 8308: @404964
     /* 404964 */   GIM_Try, /*On fail goto*//*Label 8309*/ GIMT_Encode4(405003), // Rule ID 1739 //
     /* 404969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 404972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 404979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 404986 */     // (AArch64smull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm))  =>  (SMULLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 404986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv8i16_v4i32),
     /* 404989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 404991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 404996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 405001 */     GIR_RootConstrainSelectedInstOperands,
     /* 405002 */     // GIR_Coverage, 1739,
     /* 405002 */     GIR_EraseRootFromParent_Done,
     /* 405003 */   // Label 8309: @405003
     /* 405003 */   GIM_Try, /*On fail goto*//*Label 8310*/ GIMT_Encode4(405066), // Rule ID 13414 //
     /* 405008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 405015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 405019 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 405023 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 405027 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 405032 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 405036 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 405040 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 405044 */     // MIs[2] Operand 1
     /* 405044 */     // No operand predicates
     /* 405044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405048 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 405050 */     // (AArch64smull:{ *:[v4i32] } (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4i16] }:$Rn)  =>  (SMULLv4i16_indexed:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 405050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv4i16_indexed),
     /* 405053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 405055 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 405057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 405061 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 405064 */     GIR_RootConstrainSelectedInstOperands,
     /* 405065 */     // GIR_Coverage, 13414,
     /* 405065 */     GIR_EraseRootFromParent_Done,
     /* 405066 */   // Label 8310: @405066
     /* 405066 */   GIM_Try, /*On fail goto*//*Label 8311*/ GIMT_Encode4(405129), // Rule ID 2050 //
     /* 405071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 405082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 405086 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 405090 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 405094 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 405099 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 405103 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 405107 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 405111 */     // MIs[2] Operand 1
     /* 405111 */     // No operand predicates
     /* 405111 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 405113 */     // (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (SMULLv4i16_indexed:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 405113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv4i16_indexed),
     /* 405116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 405118 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 405120 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 405124 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 405127 */     GIR_RootConstrainSelectedInstOperands,
     /* 405128 */     // GIR_Coverage, 2050,
     /* 405128 */     GIR_EraseRootFromParent_Done,
     /* 405129 */   // Label 8311: @405129
     /* 405129 */   GIM_Try, /*On fail goto*//*Label 8312*/ GIMT_Encode4(405152), // Rule ID 1738 //
     /* 405134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405137 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405145 */     // (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SMULLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 405145 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMULLv4i16_v4i32),
     /* 405150 */     GIR_RootConstrainSelectedInstOperands,
     /* 405151 */     // GIR_Coverage, 1738,
     /* 405151 */     GIR_Done,
     /* 405152 */   // Label 8312: @405152
     /* 405152 */   GIM_Reject,
     /* 405153 */ // Label 8304: @405153
     /* 405153 */ GIM_Reject,
     /* 405154 */ // Label 8293: @405154
     /* 405154 */ GIM_Try, /*On fail goto*//*Label 8313*/ GIMT_Encode4(405232),
     /* 405159 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 405162 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 405165 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405169 */   GIM_Try, /*On fail goto*//*Label 8314*/ GIMT_Encode4(405208), // Rule ID 1737 //
     /* 405174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 405184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 405191 */     // (AArch64smull:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm))  =>  (SMULLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 405191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv16i8_v8i16),
     /* 405194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 405196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 405201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 405206 */     GIR_RootConstrainSelectedInstOperands,
     /* 405207 */     // GIR_Coverage, 1737,
     /* 405207 */     GIR_EraseRootFromParent_Done,
     /* 405208 */   // Label 8314: @405208
     /* 405208 */   GIM_Try, /*On fail goto*//*Label 8315*/ GIMT_Encode4(405231), // Rule ID 1736 //
     /* 405213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405216 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405224 */     // (AArch64smull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SMULLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 405224 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMULLv8i8_v8i16),
     /* 405229 */     GIR_RootConstrainSelectedInstOperands,
     /* 405230 */     // GIR_Coverage, 1736,
     /* 405230 */     GIR_Done,
     /* 405231 */   // Label 8315: @405231
     /* 405231 */   GIM_Reject,
     /* 405232 */ // Label 8313: @405232
     /* 405232 */ GIM_Reject,
     /* 405233 */ // Label 8294: @405233
     /* 405233 */ GIM_Reject,
     /* 405234 */ // Label 144: @405234
     /* 405234 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(24), /*)*//*default:*//*Label 8334*/ GIMT_Encode4(406013),
     /* 405245 */ /*GILLT_v2s32*//*Label 8316*/ GIMT_Encode4(405321),
     /* 405249 */ /*GILLT_v2s64*//*Label 8317*/ GIMT_Encode4(405376),
     /* 405253 */ /*GILLT_v4s16*//*Label 8318*/ GIMT_Encode4(405431),
     /* 405257 */ /*GILLT_v4s32*//*Label 8319*/ GIMT_Encode4(405486),
     /* 405261 */ /*GILLT_v8s8*//*Label 8320*/ GIMT_Encode4(405541),
     /* 405265 */ /*GILLT_v8s16*//*Label 8321*/ GIMT_Encode4(405575),
     /* 405269 */ /*GILLT_v16s8*//*Label 8322*/ GIMT_Encode4(405630), GIMT_Encode4(0),
     /* 405277 */ /*GILLT_nxv2s1*//*Label 8323*/ GIMT_Encode4(405664),
     /* 405281 */ /*GILLT_nxv2s16*//*Label 8324*/ GIMT_Encode4(405690),
     /* 405285 */ /*GILLT_nxv2s32*//*Label 8325*/ GIMT_Encode4(405716),
     /* 405289 */ /*GILLT_nxv2s64*//*Label 8326*/ GIMT_Encode4(405742),
     /* 405293 */ /*GILLT_nxv4s1*//*Label 8327*/ GIMT_Encode4(405789),
     /* 405297 */ /*GILLT_nxv4s16*//*Label 8328*/ GIMT_Encode4(405815),
     /* 405301 */ /*GILLT_nxv4s32*//*Label 8329*/ GIMT_Encode4(405841),
     /* 405305 */ /*GILLT_nxv8s1*//*Label 8330*/ GIMT_Encode4(405888),
     /* 405309 */ /*GILLT_nxv8s16*//*Label 8331*/ GIMT_Encode4(405914),
     /* 405313 */ /*GILLT_nxv16s1*//*Label 8332*/ GIMT_Encode4(405961),
     /* 405317 */ /*GILLT_nxv16s8*//*Label 8333*/ GIMT_Encode4(405987),
     /* 405321 */ // Label 8316: @405321
     /* 405321 */ GIM_Try, /*On fail goto*//*Label 8335*/ GIMT_Encode4(405375),
     /* 405326 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 405329 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 405332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405336 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405340 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405344 */   GIM_Try, /*On fail goto*//*Label 8336*/ GIMT_Encode4(405359), // Rule ID 1874 //
     /* 405349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405352 */     // (AArch64trn1:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (TRN1v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 405352 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v2i32),
     /* 405357 */     GIR_RootConstrainSelectedInstOperands,
     /* 405358 */     // GIR_Coverage, 1874,
     /* 405358 */     GIR_Done,
     /* 405359 */   // Label 8336: @405359
     /* 405359 */   GIM_Try, /*On fail goto*//*Label 8337*/ GIMT_Encode4(405374), // Rule ID 2505 //
     /* 405364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405367 */     // (AArch64trn1:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (TRN1v2i32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 405367 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v2i32),
     /* 405372 */     GIR_RootConstrainSelectedInstOperands,
     /* 405373 */     // GIR_Coverage, 2505,
     /* 405373 */     GIR_Done,
     /* 405374 */   // Label 8337: @405374
     /* 405374 */   GIM_Reject,
     /* 405375 */ // Label 8335: @405375
     /* 405375 */ GIM_Reject,
     /* 405376 */ // Label 8317: @405376
     /* 405376 */ GIM_Try, /*On fail goto*//*Label 8338*/ GIMT_Encode4(405430),
     /* 405381 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 405384 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 405387 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405391 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405395 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405399 */   GIM_Try, /*On fail goto*//*Label 8339*/ GIMT_Encode4(405414), // Rule ID 1876 //
     /* 405404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405407 */     // (AArch64trn1:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (TRN1v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 405407 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v2i64),
     /* 405412 */     GIR_RootConstrainSelectedInstOperands,
     /* 405413 */     // GIR_Coverage, 1876,
     /* 405413 */     GIR_Done,
     /* 405414 */   // Label 8339: @405414
     /* 405414 */   GIM_Try, /*On fail goto*//*Label 8340*/ GIMT_Encode4(405429), // Rule ID 2507 //
     /* 405419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405422 */     // (AArch64trn1:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (TRN1v2i64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 405422 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v2i64),
     /* 405427 */     GIR_RootConstrainSelectedInstOperands,
     /* 405428 */     // GIR_Coverage, 2507,
     /* 405428 */     GIR_Done,
     /* 405429 */   // Label 8340: @405429
     /* 405429 */   GIM_Reject,
     /* 405430 */ // Label 8338: @405430
     /* 405430 */ GIM_Reject,
     /* 405431 */ // Label 8318: @405431
     /* 405431 */ GIM_Try, /*On fail goto*//*Label 8341*/ GIMT_Encode4(405485),
     /* 405436 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 405439 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 405442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405446 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405450 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405454 */   GIM_Try, /*On fail goto*//*Label 8342*/ GIMT_Encode4(405469), // Rule ID 1872 //
     /* 405459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405462 */     // (AArch64trn1:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (TRN1v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 405462 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v4i16),
     /* 405467 */     GIR_RootConstrainSelectedInstOperands,
     /* 405468 */     // GIR_Coverage, 1872,
     /* 405468 */     GIR_Done,
     /* 405469 */   // Label 8342: @405469
     /* 405469 */   GIM_Try, /*On fail goto*//*Label 8343*/ GIMT_Encode4(405484), // Rule ID 2503 //
     /* 405474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405477 */     // (AArch64trn1:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (TRN1v4i16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 405477 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v4i16),
     /* 405482 */     GIR_RootConstrainSelectedInstOperands,
     /* 405483 */     // GIR_Coverage, 2503,
     /* 405483 */     GIR_Done,
     /* 405484 */   // Label 8343: @405484
     /* 405484 */   GIM_Reject,
     /* 405485 */ // Label 8341: @405485
     /* 405485 */ GIM_Reject,
     /* 405486 */ // Label 8319: @405486
     /* 405486 */ GIM_Try, /*On fail goto*//*Label 8344*/ GIMT_Encode4(405540),
     /* 405491 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 405494 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 405497 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405501 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405505 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405509 */   GIM_Try, /*On fail goto*//*Label 8345*/ GIMT_Encode4(405524), // Rule ID 1875 //
     /* 405514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405517 */     // (AArch64trn1:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (TRN1v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 405517 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v4i32),
     /* 405522 */     GIR_RootConstrainSelectedInstOperands,
     /* 405523 */     // GIR_Coverage, 1875,
     /* 405523 */     GIR_Done,
     /* 405524 */   // Label 8345: @405524
     /* 405524 */   GIM_Try, /*On fail goto*//*Label 8346*/ GIMT_Encode4(405539), // Rule ID 2506 //
     /* 405529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405532 */     // (AArch64trn1:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (TRN1v4i32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 405532 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v4i32),
     /* 405537 */     GIR_RootConstrainSelectedInstOperands,
     /* 405538 */     // GIR_Coverage, 2506,
     /* 405538 */     GIR_Done,
     /* 405539 */   // Label 8346: @405539
     /* 405539 */   GIM_Reject,
     /* 405540 */ // Label 8344: @405540
     /* 405540 */ GIM_Reject,
     /* 405541 */ // Label 8320: @405541
     /* 405541 */ GIM_Try, /*On fail goto*//*Label 8347*/ GIMT_Encode4(405574), // Rule ID 1870 //
     /* 405546 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405549 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 405552 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 405555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405559 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405563 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405567 */   // (AArch64trn1:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (TRN1v8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 405567 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v8i8),
     /* 405572 */   GIR_RootConstrainSelectedInstOperands,
     /* 405573 */   // GIR_Coverage, 1870,
     /* 405573 */   GIR_Done,
     /* 405574 */ // Label 8347: @405574
     /* 405574 */ GIM_Reject,
     /* 405575 */ // Label 8321: @405575
     /* 405575 */ GIM_Try, /*On fail goto*//*Label 8348*/ GIMT_Encode4(405629),
     /* 405580 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 405583 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 405586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405590 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405594 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405598 */   GIM_Try, /*On fail goto*//*Label 8349*/ GIMT_Encode4(405613), // Rule ID 1873 //
     /* 405603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405606 */     // (AArch64trn1:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (TRN1v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 405606 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v8i16),
     /* 405611 */     GIR_RootConstrainSelectedInstOperands,
     /* 405612 */     // GIR_Coverage, 1873,
     /* 405612 */     GIR_Done,
     /* 405613 */   // Label 8349: @405613
     /* 405613 */   GIM_Try, /*On fail goto*//*Label 8350*/ GIMT_Encode4(405628), // Rule ID 2504 //
     /* 405618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405621 */     // (AArch64trn1:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (TRN1v8i16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 405621 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v8i16),
     /* 405626 */     GIR_RootConstrainSelectedInstOperands,
     /* 405627 */     // GIR_Coverage, 2504,
     /* 405627 */     GIR_Done,
     /* 405628 */   // Label 8350: @405628
     /* 405628 */   GIM_Reject,
     /* 405629 */ // Label 8348: @405629
     /* 405629 */ GIM_Reject,
     /* 405630 */ // Label 8322: @405630
     /* 405630 */ GIM_Try, /*On fail goto*//*Label 8351*/ GIMT_Encode4(405663), // Rule ID 1871 //
     /* 405635 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405638 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 405641 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 405644 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405648 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405652 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405656 */   // (AArch64trn1:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (TRN1v16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 405656 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v16i8),
     /* 405661 */   GIR_RootConstrainSelectedInstOperands,
     /* 405662 */   // GIR_Coverage, 1871,
     /* 405662 */   GIR_Done,
     /* 405663 */ // Label 8351: @405663
     /* 405663 */ GIM_Reject,
     /* 405664 */ // Label 8323: @405664
     /* 405664 */ GIM_Try, /*On fail goto*//*Label 8352*/ GIMT_Encode4(405689), // Rule ID 8910 //
     /* 405669 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 405672 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 405675 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 405678 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 405682 */   // (AArch64trn1:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (TRN1_PPP_D:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 405682 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_PPP_D),
     /* 405687 */   GIR_RootConstrainSelectedInstOperands,
     /* 405688 */   // GIR_Coverage, 8910,
     /* 405688 */   GIR_Done,
     /* 405689 */ // Label 8352: @405689
     /* 405689 */ GIM_Reject,
     /* 405690 */ // Label 8324: @405690
     /* 405690 */ GIM_Try, /*On fail goto*//*Label 8353*/ GIMT_Encode4(405715), // Rule ID 8886 //
     /* 405695 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 405698 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 405701 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 405704 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 405708 */   // (AArch64trn1:{ *:[nxv2f16] } nxv2f16:{ *:[nxv2f16] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2)  =>  (TRN1_ZZZ_D:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$Op1, ?:{ *:[nxv2f16] }:$Op2)
     /* 405708 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_D),
     /* 405713 */   GIR_RootConstrainSelectedInstOperands,
     /* 405714 */   // GIR_Coverage, 8886,
     /* 405714 */   GIR_Done,
     /* 405715 */ // Label 8353: @405715
     /* 405715 */ GIM_Reject,
     /* 405716 */ // Label 8325: @405716
     /* 405716 */ GIM_Try, /*On fail goto*//*Label 8354*/ GIMT_Encode4(405741), // Rule ID 8887 //
     /* 405721 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 405724 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 405727 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 405730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 405734 */   // (AArch64trn1:{ *:[nxv2f32] } nxv2f32:{ *:[nxv2f32] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2)  =>  (TRN1_ZZZ_D:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$Op1, ?:{ *:[nxv2f32] }:$Op2)
     /* 405734 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_D),
     /* 405739 */   GIR_RootConstrainSelectedInstOperands,
     /* 405740 */   // GIR_Coverage, 8887,
     /* 405740 */   GIR_Done,
     /* 405741 */ // Label 8354: @405741
     /* 405741 */ GIM_Reject,
     /* 405742 */ // Label 8326: @405742
     /* 405742 */ GIM_Try, /*On fail goto*//*Label 8355*/ GIMT_Encode4(405788),
     /* 405747 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 405750 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 405753 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 405757 */   GIM_Try, /*On fail goto*//*Label 8356*/ GIMT_Encode4(405772), // Rule ID 8882 //
     /* 405762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 405765 */     // (AArch64trn1:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (TRN1_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 405765 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_D),
     /* 405770 */     GIR_RootConstrainSelectedInstOperands,
     /* 405771 */     // GIR_Coverage, 8882,
     /* 405771 */     GIR_Done,
     /* 405772 */   // Label 8356: @405772
     /* 405772 */   GIM_Try, /*On fail goto*//*Label 8357*/ GIMT_Encode4(405787), // Rule ID 8888 //
     /* 405777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 405780 */     // (AArch64trn1:{ *:[nxv2f64] } nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (TRN1_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 405780 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_D),
     /* 405785 */     GIR_RootConstrainSelectedInstOperands,
     /* 405786 */     // GIR_Coverage, 8888,
     /* 405786 */     GIR_Done,
     /* 405787 */   // Label 8357: @405787
     /* 405787 */   GIM_Reject,
     /* 405788 */ // Label 8355: @405788
     /* 405788 */ GIM_Reject,
     /* 405789 */ // Label 8327: @405789
     /* 405789 */ GIM_Try, /*On fail goto*//*Label 8358*/ GIMT_Encode4(405814), // Rule ID 8909 //
     /* 405794 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 405797 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 405800 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 405803 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 405807 */   // (AArch64trn1:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (TRN1_PPP_S:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 405807 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_PPP_S),
     /* 405812 */   GIR_RootConstrainSelectedInstOperands,
     /* 405813 */   // GIR_Coverage, 8909,
     /* 405813 */   GIR_Done,
     /* 405814 */ // Label 8358: @405814
     /* 405814 */ GIM_Reject,
     /* 405815 */ // Label 8328: @405815
     /* 405815 */ GIM_Try, /*On fail goto*//*Label 8359*/ GIMT_Encode4(405840), // Rule ID 8884 //
     /* 405820 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 405823 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 405826 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 405829 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 405833 */   // (AArch64trn1:{ *:[nxv4f16] } nxv4f16:{ *:[nxv4f16] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2)  =>  (TRN1_ZZZ_S:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$Op1, ?:{ *:[nxv4f16] }:$Op2)
     /* 405833 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_S),
     /* 405838 */   GIR_RootConstrainSelectedInstOperands,
     /* 405839 */   // GIR_Coverage, 8884,
     /* 405839 */   GIR_Done,
     /* 405840 */ // Label 8359: @405840
     /* 405840 */ GIM_Reject,
     /* 405841 */ // Label 8329: @405841
     /* 405841 */ GIM_Try, /*On fail goto*//*Label 8360*/ GIMT_Encode4(405887),
     /* 405846 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 405849 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 405852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 405856 */   GIM_Try, /*On fail goto*//*Label 8361*/ GIMT_Encode4(405871), // Rule ID 8881 //
     /* 405861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 405864 */     // (AArch64trn1:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (TRN1_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 405864 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_S),
     /* 405869 */     GIR_RootConstrainSelectedInstOperands,
     /* 405870 */     // GIR_Coverage, 8881,
     /* 405870 */     GIR_Done,
     /* 405871 */   // Label 8361: @405871
     /* 405871 */   GIM_Try, /*On fail goto*//*Label 8362*/ GIMT_Encode4(405886), // Rule ID 8885 //
     /* 405876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 405879 */     // (AArch64trn1:{ *:[nxv4f32] } nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (TRN1_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 405879 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_S),
     /* 405884 */     GIR_RootConstrainSelectedInstOperands,
     /* 405885 */     // GIR_Coverage, 8885,
     /* 405885 */     GIR_Done,
     /* 405886 */   // Label 8362: @405886
     /* 405886 */   GIM_Reject,
     /* 405887 */ // Label 8360: @405887
     /* 405887 */ GIM_Reject,
     /* 405888 */ // Label 8330: @405888
     /* 405888 */ GIM_Try, /*On fail goto*//*Label 8363*/ GIMT_Encode4(405913), // Rule ID 8908 //
     /* 405893 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 405896 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 405899 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 405902 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 405906 */   // (AArch64trn1:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (TRN1_PPP_H:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 405906 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_PPP_H),
     /* 405911 */   GIR_RootConstrainSelectedInstOperands,
     /* 405912 */   // GIR_Coverage, 8908,
     /* 405912 */   GIR_Done,
     /* 405913 */ // Label 8363: @405913
     /* 405913 */ GIM_Reject,
     /* 405914 */ // Label 8331: @405914
     /* 405914 */ GIM_Try, /*On fail goto*//*Label 8364*/ GIMT_Encode4(405960),
     /* 405919 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 405922 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 405925 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 405929 */   GIM_Try, /*On fail goto*//*Label 8365*/ GIMT_Encode4(405944), // Rule ID 8880 //
     /* 405934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 405937 */     // (AArch64trn1:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (TRN1_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 405937 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_H),
     /* 405942 */     GIR_RootConstrainSelectedInstOperands,
     /* 405943 */     // GIR_Coverage, 8880,
     /* 405943 */     GIR_Done,
     /* 405944 */   // Label 8365: @405944
     /* 405944 */   GIM_Try, /*On fail goto*//*Label 8366*/ GIMT_Encode4(405959), // Rule ID 8883 //
     /* 405949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 405952 */     // (AArch64trn1:{ *:[nxv8f16] } nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (TRN1_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 405952 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_H),
     /* 405957 */     GIR_RootConstrainSelectedInstOperands,
     /* 405958 */     // GIR_Coverage, 8883,
     /* 405958 */     GIR_Done,
     /* 405959 */   // Label 8366: @405959
     /* 405959 */   GIM_Reject,
     /* 405960 */ // Label 8364: @405960
     /* 405960 */ GIM_Reject,
     /* 405961 */ // Label 8332: @405961
     /* 405961 */ GIM_Try, /*On fail goto*//*Label 8367*/ GIMT_Encode4(405986), // Rule ID 2414 //
     /* 405966 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 405969 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 405972 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 405975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 405979 */   // (AArch64trn1:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (TRN1_PPP_B:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 405979 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_PPP_B),
     /* 405984 */   GIR_RootConstrainSelectedInstOperands,
     /* 405985 */   // GIR_Coverage, 2414,
     /* 405985 */   GIR_Done,
     /* 405986 */ // Label 8367: @405986
     /* 405986 */ GIM_Reject,
     /* 405987 */ // Label 8333: @405987
     /* 405987 */ GIM_Try, /*On fail goto*//*Label 8368*/ GIMT_Encode4(406012), // Rule ID 8879 //
     /* 405992 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 405995 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 405998 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 406001 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 406005 */   // (AArch64trn1:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (TRN1_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 406005 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_B),
     /* 406010 */   GIR_RootConstrainSelectedInstOperands,
     /* 406011 */   // GIR_Coverage, 8879,
     /* 406011 */   GIR_Done,
     /* 406012 */ // Label 8368: @406012
     /* 406012 */ GIM_Reject,
     /* 406013 */ // Label 8334: @406013
     /* 406013 */ GIM_Reject,
     /* 406014 */ // Label 145: @406014
     /* 406014 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(24), /*)*//*default:*//*Label 8387*/ GIMT_Encode4(406793),
     /* 406025 */ /*GILLT_v2s32*//*Label 8369*/ GIMT_Encode4(406101),
     /* 406029 */ /*GILLT_v2s64*//*Label 8370*/ GIMT_Encode4(406156),
     /* 406033 */ /*GILLT_v4s16*//*Label 8371*/ GIMT_Encode4(406211),
     /* 406037 */ /*GILLT_v4s32*//*Label 8372*/ GIMT_Encode4(406266),
     /* 406041 */ /*GILLT_v8s8*//*Label 8373*/ GIMT_Encode4(406321),
     /* 406045 */ /*GILLT_v8s16*//*Label 8374*/ GIMT_Encode4(406355),
     /* 406049 */ /*GILLT_v16s8*//*Label 8375*/ GIMT_Encode4(406410), GIMT_Encode4(0),
     /* 406057 */ /*GILLT_nxv2s1*//*Label 8376*/ GIMT_Encode4(406444),
     /* 406061 */ /*GILLT_nxv2s16*//*Label 8377*/ GIMT_Encode4(406470),
     /* 406065 */ /*GILLT_nxv2s32*//*Label 8378*/ GIMT_Encode4(406496),
     /* 406069 */ /*GILLT_nxv2s64*//*Label 8379*/ GIMT_Encode4(406522),
     /* 406073 */ /*GILLT_nxv4s1*//*Label 8380*/ GIMT_Encode4(406569),
     /* 406077 */ /*GILLT_nxv4s16*//*Label 8381*/ GIMT_Encode4(406595),
     /* 406081 */ /*GILLT_nxv4s32*//*Label 8382*/ GIMT_Encode4(406621),
     /* 406085 */ /*GILLT_nxv8s1*//*Label 8383*/ GIMT_Encode4(406668),
     /* 406089 */ /*GILLT_nxv8s16*//*Label 8384*/ GIMT_Encode4(406694),
     /* 406093 */ /*GILLT_nxv16s1*//*Label 8385*/ GIMT_Encode4(406741),
     /* 406097 */ /*GILLT_nxv16s8*//*Label 8386*/ GIMT_Encode4(406767),
     /* 406101 */ // Label 8369: @406101
     /* 406101 */ GIM_Try, /*On fail goto*//*Label 8388*/ GIMT_Encode4(406155),
     /* 406106 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 406109 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 406112 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406116 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406120 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406124 */   GIM_Try, /*On fail goto*//*Label 8389*/ GIMT_Encode4(406139), // Rule ID 1881 //
     /* 406129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406132 */     // (AArch64trn2:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (TRN2v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 406132 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v2i32),
     /* 406137 */     GIR_RootConstrainSelectedInstOperands,
     /* 406138 */     // GIR_Coverage, 1881,
     /* 406138 */     GIR_Done,
     /* 406139 */   // Label 8389: @406139
     /* 406139 */   GIM_Try, /*On fail goto*//*Label 8390*/ GIMT_Encode4(406154), // Rule ID 5454 //
     /* 406144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406147 */     // (AArch64trn2:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (TRN2v2i32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 406147 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v2i32),
     /* 406152 */     GIR_RootConstrainSelectedInstOperands,
     /* 406153 */     // GIR_Coverage, 5454,
     /* 406153 */     GIR_Done,
     /* 406154 */   // Label 8390: @406154
     /* 406154 */   GIM_Reject,
     /* 406155 */ // Label 8388: @406155
     /* 406155 */ GIM_Reject,
     /* 406156 */ // Label 8370: @406156
     /* 406156 */ GIM_Try, /*On fail goto*//*Label 8391*/ GIMT_Encode4(406210),
     /* 406161 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 406164 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 406167 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406171 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406175 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406179 */   GIM_Try, /*On fail goto*//*Label 8392*/ GIMT_Encode4(406194), // Rule ID 1883 //
     /* 406184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406187 */     // (AArch64trn2:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (TRN2v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 406187 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v2i64),
     /* 406192 */     GIR_RootConstrainSelectedInstOperands,
     /* 406193 */     // GIR_Coverage, 1883,
     /* 406193 */     GIR_Done,
     /* 406194 */   // Label 8392: @406194
     /* 406194 */   GIM_Try, /*On fail goto*//*Label 8393*/ GIMT_Encode4(406209), // Rule ID 5456 //
     /* 406199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406202 */     // (AArch64trn2:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (TRN2v2i64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 406202 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v2i64),
     /* 406207 */     GIR_RootConstrainSelectedInstOperands,
     /* 406208 */     // GIR_Coverage, 5456,
     /* 406208 */     GIR_Done,
     /* 406209 */   // Label 8393: @406209
     /* 406209 */   GIM_Reject,
     /* 406210 */ // Label 8391: @406210
     /* 406210 */ GIM_Reject,
     /* 406211 */ // Label 8371: @406211
     /* 406211 */ GIM_Try, /*On fail goto*//*Label 8394*/ GIMT_Encode4(406265),
     /* 406216 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 406219 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 406222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406226 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406230 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406234 */   GIM_Try, /*On fail goto*//*Label 8395*/ GIMT_Encode4(406249), // Rule ID 1879 //
     /* 406239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406242 */     // (AArch64trn2:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (TRN2v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 406242 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v4i16),
     /* 406247 */     GIR_RootConstrainSelectedInstOperands,
     /* 406248 */     // GIR_Coverage, 1879,
     /* 406248 */     GIR_Done,
     /* 406249 */   // Label 8395: @406249
     /* 406249 */   GIM_Try, /*On fail goto*//*Label 8396*/ GIMT_Encode4(406264), // Rule ID 5452 //
     /* 406254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406257 */     // (AArch64trn2:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (TRN2v4i16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 406257 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v4i16),
     /* 406262 */     GIR_RootConstrainSelectedInstOperands,
     /* 406263 */     // GIR_Coverage, 5452,
     /* 406263 */     GIR_Done,
     /* 406264 */   // Label 8396: @406264
     /* 406264 */   GIM_Reject,
     /* 406265 */ // Label 8394: @406265
     /* 406265 */ GIM_Reject,
     /* 406266 */ // Label 8372: @406266
     /* 406266 */ GIM_Try, /*On fail goto*//*Label 8397*/ GIMT_Encode4(406320),
     /* 406271 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 406274 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 406277 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406281 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406285 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406289 */   GIM_Try, /*On fail goto*//*Label 8398*/ GIMT_Encode4(406304), // Rule ID 1882 //
     /* 406294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406297 */     // (AArch64trn2:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (TRN2v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 406297 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v4i32),
     /* 406302 */     GIR_RootConstrainSelectedInstOperands,
     /* 406303 */     // GIR_Coverage, 1882,
     /* 406303 */     GIR_Done,
     /* 406304 */   // Label 8398: @406304
     /* 406304 */   GIM_Try, /*On fail goto*//*Label 8399*/ GIMT_Encode4(406319), // Rule ID 5455 //
     /* 406309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406312 */     // (AArch64trn2:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (TRN2v4i32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 406312 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v4i32),
     /* 406317 */     GIR_RootConstrainSelectedInstOperands,
     /* 406318 */     // GIR_Coverage, 5455,
     /* 406318 */     GIR_Done,
     /* 406319 */   // Label 8399: @406319
     /* 406319 */   GIM_Reject,
     /* 406320 */ // Label 8397: @406320
     /* 406320 */ GIM_Reject,
     /* 406321 */ // Label 8373: @406321
     /* 406321 */ GIM_Try, /*On fail goto*//*Label 8400*/ GIMT_Encode4(406354), // Rule ID 1877 //
     /* 406326 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406329 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 406332 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 406335 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406339 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406343 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406347 */   // (AArch64trn2:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (TRN2v8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 406347 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v8i8),
     /* 406352 */   GIR_RootConstrainSelectedInstOperands,
     /* 406353 */   // GIR_Coverage, 1877,
     /* 406353 */   GIR_Done,
     /* 406354 */ // Label 8400: @406354
     /* 406354 */ GIM_Reject,
     /* 406355 */ // Label 8374: @406355
     /* 406355 */ GIM_Try, /*On fail goto*//*Label 8401*/ GIMT_Encode4(406409),
     /* 406360 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 406363 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 406366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406370 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406374 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406378 */   GIM_Try, /*On fail goto*//*Label 8402*/ GIMT_Encode4(406393), // Rule ID 1880 //
     /* 406383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406386 */     // (AArch64trn2:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (TRN2v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 406386 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v8i16),
     /* 406391 */     GIR_RootConstrainSelectedInstOperands,
     /* 406392 */     // GIR_Coverage, 1880,
     /* 406392 */     GIR_Done,
     /* 406393 */   // Label 8402: @406393
     /* 406393 */   GIM_Try, /*On fail goto*//*Label 8403*/ GIMT_Encode4(406408), // Rule ID 5453 //
     /* 406398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406401 */     // (AArch64trn2:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (TRN2v8i16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 406401 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v8i16),
     /* 406406 */     GIR_RootConstrainSelectedInstOperands,
     /* 406407 */     // GIR_Coverage, 5453,
     /* 406407 */     GIR_Done,
     /* 406408 */   // Label 8403: @406408
     /* 406408 */   GIM_Reject,
     /* 406409 */ // Label 8401: @406409
     /* 406409 */ GIM_Reject,
     /* 406410 */ // Label 8375: @406410
     /* 406410 */ GIM_Try, /*On fail goto*//*Label 8404*/ GIMT_Encode4(406443), // Rule ID 1878 //
     /* 406415 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406418 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 406421 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 406424 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406428 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406432 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406436 */   // (AArch64trn2:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (TRN2v16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 406436 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v16i8),
     /* 406441 */   GIR_RootConstrainSelectedInstOperands,
     /* 406442 */   // GIR_Coverage, 1878,
     /* 406442 */   GIR_Done,
     /* 406443 */ // Label 8404: @406443
     /* 406443 */ GIM_Reject,
     /* 406444 */ // Label 8376: @406444
     /* 406444 */ GIM_Try, /*On fail goto*//*Label 8405*/ GIMT_Encode4(406469), // Rule ID 8913 //
     /* 406449 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 406452 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 406455 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 406458 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 406462 */   // (AArch64trn2:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (TRN2_PPP_D:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 406462 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_PPP_D),
     /* 406467 */   GIR_RootConstrainSelectedInstOperands,
     /* 406468 */   // GIR_Coverage, 8913,
     /* 406468 */   GIR_Done,
     /* 406469 */ // Label 8405: @406469
     /* 406469 */ GIM_Reject,
     /* 406470 */ // Label 8377: @406470
     /* 406470 */ GIM_Try, /*On fail goto*//*Label 8406*/ GIMT_Encode4(406495), // Rule ID 8896 //
     /* 406475 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 406478 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 406481 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 406484 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 406488 */   // (AArch64trn2:{ *:[nxv2f16] } nxv2f16:{ *:[nxv2f16] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2)  =>  (TRN2_ZZZ_D:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$Op1, ?:{ *:[nxv2f16] }:$Op2)
     /* 406488 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_D),
     /* 406493 */   GIR_RootConstrainSelectedInstOperands,
     /* 406494 */   // GIR_Coverage, 8896,
     /* 406494 */   GIR_Done,
     /* 406495 */ // Label 8406: @406495
     /* 406495 */ GIM_Reject,
     /* 406496 */ // Label 8378: @406496
     /* 406496 */ GIM_Try, /*On fail goto*//*Label 8407*/ GIMT_Encode4(406521), // Rule ID 8897 //
     /* 406501 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 406504 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 406507 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 406510 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 406514 */   // (AArch64trn2:{ *:[nxv2f32] } nxv2f32:{ *:[nxv2f32] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2)  =>  (TRN2_ZZZ_D:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$Op1, ?:{ *:[nxv2f32] }:$Op2)
     /* 406514 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_D),
     /* 406519 */   GIR_RootConstrainSelectedInstOperands,
     /* 406520 */   // GIR_Coverage, 8897,
     /* 406520 */   GIR_Done,
     /* 406521 */ // Label 8407: @406521
     /* 406521 */ GIM_Reject,
     /* 406522 */ // Label 8379: @406522
     /* 406522 */ GIM_Try, /*On fail goto*//*Label 8408*/ GIMT_Encode4(406568),
     /* 406527 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 406530 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 406533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 406537 */   GIM_Try, /*On fail goto*//*Label 8409*/ GIMT_Encode4(406552), // Rule ID 8892 //
     /* 406542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 406545 */     // (AArch64trn2:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (TRN2_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 406545 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_D),
     /* 406550 */     GIR_RootConstrainSelectedInstOperands,
     /* 406551 */     // GIR_Coverage, 8892,
     /* 406551 */     GIR_Done,
     /* 406552 */   // Label 8409: @406552
     /* 406552 */   GIM_Try, /*On fail goto*//*Label 8410*/ GIMT_Encode4(406567), // Rule ID 8898 //
     /* 406557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 406560 */     // (AArch64trn2:{ *:[nxv2f64] } nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (TRN2_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 406560 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_D),
     /* 406565 */     GIR_RootConstrainSelectedInstOperands,
     /* 406566 */     // GIR_Coverage, 8898,
     /* 406566 */     GIR_Done,
     /* 406567 */   // Label 8410: @406567
     /* 406567 */   GIM_Reject,
     /* 406568 */ // Label 8408: @406568
     /* 406568 */ GIM_Reject,
     /* 406569 */ // Label 8380: @406569
     /* 406569 */ GIM_Try, /*On fail goto*//*Label 8411*/ GIMT_Encode4(406594), // Rule ID 8912 //
     /* 406574 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 406577 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 406580 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 406583 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 406587 */   // (AArch64trn2:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (TRN2_PPP_S:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 406587 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_PPP_S),
     /* 406592 */   GIR_RootConstrainSelectedInstOperands,
     /* 406593 */   // GIR_Coverage, 8912,
     /* 406593 */   GIR_Done,
     /* 406594 */ // Label 8411: @406594
     /* 406594 */ GIM_Reject,
     /* 406595 */ // Label 8381: @406595
     /* 406595 */ GIM_Try, /*On fail goto*//*Label 8412*/ GIMT_Encode4(406620), // Rule ID 8894 //
     /* 406600 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 406603 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 406606 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 406609 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 406613 */   // (AArch64trn2:{ *:[nxv4f16] } nxv4f16:{ *:[nxv4f16] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2)  =>  (TRN2_ZZZ_S:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$Op1, ?:{ *:[nxv4f16] }:$Op2)
     /* 406613 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_S),
     /* 406618 */   GIR_RootConstrainSelectedInstOperands,
     /* 406619 */   // GIR_Coverage, 8894,
     /* 406619 */   GIR_Done,
     /* 406620 */ // Label 8412: @406620
     /* 406620 */ GIM_Reject,
     /* 406621 */ // Label 8382: @406621
     /* 406621 */ GIM_Try, /*On fail goto*//*Label 8413*/ GIMT_Encode4(406667),
     /* 406626 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 406629 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 406632 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 406636 */   GIM_Try, /*On fail goto*//*Label 8414*/ GIMT_Encode4(406651), // Rule ID 8891 //
     /* 406641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 406644 */     // (AArch64trn2:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (TRN2_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 406644 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_S),
     /* 406649 */     GIR_RootConstrainSelectedInstOperands,
     /* 406650 */     // GIR_Coverage, 8891,
     /* 406650 */     GIR_Done,
     /* 406651 */   // Label 8414: @406651
     /* 406651 */   GIM_Try, /*On fail goto*//*Label 8415*/ GIMT_Encode4(406666), // Rule ID 8895 //
     /* 406656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 406659 */     // (AArch64trn2:{ *:[nxv4f32] } nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (TRN2_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 406659 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_S),
     /* 406664 */     GIR_RootConstrainSelectedInstOperands,
     /* 406665 */     // GIR_Coverage, 8895,
     /* 406665 */     GIR_Done,
     /* 406666 */   // Label 8415: @406666
     /* 406666 */   GIM_Reject,
     /* 406667 */ // Label 8413: @406667
     /* 406667 */ GIM_Reject,
     /* 406668 */ // Label 8383: @406668
     /* 406668 */ GIM_Try, /*On fail goto*//*Label 8416*/ GIMT_Encode4(406693), // Rule ID 8911 //
     /* 406673 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 406676 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 406679 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 406682 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 406686 */   // (AArch64trn2:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (TRN2_PPP_H:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 406686 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_PPP_H),
     /* 406691 */   GIR_RootConstrainSelectedInstOperands,
     /* 406692 */   // GIR_Coverage, 8911,
     /* 406692 */   GIR_Done,
     /* 406693 */ // Label 8416: @406693
     /* 406693 */ GIM_Reject,
     /* 406694 */ // Label 8384: @406694
     /* 406694 */ GIM_Try, /*On fail goto*//*Label 8417*/ GIMT_Encode4(406740),
     /* 406699 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 406702 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 406705 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 406709 */   GIM_Try, /*On fail goto*//*Label 8418*/ GIMT_Encode4(406724), // Rule ID 8890 //
     /* 406714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 406717 */     // (AArch64trn2:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (TRN2_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 406717 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_H),
     /* 406722 */     GIR_RootConstrainSelectedInstOperands,
     /* 406723 */     // GIR_Coverage, 8890,
     /* 406723 */     GIR_Done,
     /* 406724 */   // Label 8418: @406724
     /* 406724 */   GIM_Try, /*On fail goto*//*Label 8419*/ GIMT_Encode4(406739), // Rule ID 8893 //
     /* 406729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 406732 */     // (AArch64trn2:{ *:[nxv8f16] } nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (TRN2_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 406732 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_H),
     /* 406737 */     GIR_RootConstrainSelectedInstOperands,
     /* 406738 */     // GIR_Coverage, 8893,
     /* 406738 */     GIR_Done,
     /* 406739 */   // Label 8419: @406739
     /* 406739 */   GIM_Reject,
     /* 406740 */ // Label 8417: @406740
     /* 406740 */ GIM_Reject,
     /* 406741 */ // Label 8385: @406741
     /* 406741 */ GIM_Try, /*On fail goto*//*Label 8420*/ GIMT_Encode4(406766), // Rule ID 2418 //
     /* 406746 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 406749 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 406752 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 406755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 406759 */   // (AArch64trn2:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (TRN2_PPP_B:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 406759 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_PPP_B),
     /* 406764 */   GIR_RootConstrainSelectedInstOperands,
     /* 406765 */   // GIR_Coverage, 2418,
     /* 406765 */   GIR_Done,
     /* 406766 */ // Label 8420: @406766
     /* 406766 */ GIM_Reject,
     /* 406767 */ // Label 8386: @406767
     /* 406767 */ GIM_Try, /*On fail goto*//*Label 8421*/ GIMT_Encode4(406792), // Rule ID 8889 //
     /* 406772 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 406775 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 406778 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 406781 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 406785 */   // (AArch64trn2:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (TRN2_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 406785 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_B),
     /* 406790 */   GIR_RootConstrainSelectedInstOperands,
     /* 406791 */   // GIR_Coverage, 8889,
     /* 406791 */   GIR_Done,
     /* 406792 */ // Label 8421: @406792
     /* 406792 */ GIM_Reject,
     /* 406793 */ // Label 8387: @406793
     /* 406793 */ GIM_Reject,
     /* 406794 */ // Label 146: @406794
     /* 406794 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(11), /*)*//*default:*//*Label 8428*/ GIMT_Encode4(406999),
     /* 406805 */ /*GILLT_s64*//*Label 8422*/ GIMT_Encode4(406837), GIMT_Encode4(0),
     /* 406813 */ /*GILLT_v2s32*//*Label 8423*/ GIMT_Encode4(406864),
     /* 406817 */ /*GILLT_v2s64*//*Label 8424*/ GIMT_Encode4(406891),
     /* 406821 */ /*GILLT_v4s16*//*Label 8425*/ GIMT_Encode4(406918),
     /* 406825 */ /*GILLT_v4s32*//*Label 8426*/ GIMT_Encode4(406945), GIMT_Encode4(0),
     /* 406833 */ /*GILLT_v8s16*//*Label 8427*/ GIMT_Encode4(406972),
     /* 406837 */ // Label 8422: @406837
     /* 406837 */ GIM_Try, /*On fail goto*//*Label 8429*/ GIMT_Encode4(406863), // Rule ID 1069 //
     /* 406842 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406845 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 406848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406852 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406856 */   // (AArch64uaddlp_n:{ *:[v1i64] } V64:{ *:[v2i32] }:$Rn)  =>  (UADDLPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v2i32] }:$Rn)
     /* 406856 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv2i32_v1i64),
     /* 406861 */   GIR_RootConstrainSelectedInstOperands,
     /* 406862 */   // GIR_Coverage, 1069,
     /* 406862 */   GIR_Done,
     /* 406863 */ // Label 8429: @406863
     /* 406863 */ GIM_Reject,
     /* 406864 */ // Label 8423: @406864
     /* 406864 */ GIM_Try, /*On fail goto*//*Label 8430*/ GIMT_Encode4(406890), // Rule ID 1065 //
     /* 406869 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406872 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 406875 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406879 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406883 */   // (AArch64uaddlp_n:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn)  =>  (UADDLPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn)
     /* 406883 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv4i16_v2i32),
     /* 406888 */   GIR_RootConstrainSelectedInstOperands,
     /* 406889 */   // GIR_Coverage, 1065,
     /* 406889 */   GIR_Done,
     /* 406890 */ // Label 8430: @406890
     /* 406890 */ GIM_Reject,
     /* 406891 */ // Label 8424: @406891
     /* 406891 */ GIM_Try, /*On fail goto*//*Label 8431*/ GIMT_Encode4(406917), // Rule ID 1071 //
     /* 406896 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406899 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 406902 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406906 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406910 */   // (AArch64uaddlp_n:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn)  =>  (UADDLPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn)
     /* 406910 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv4i32_v2i64),
     /* 406915 */   GIR_RootConstrainSelectedInstOperands,
     /* 406916 */   // GIR_Coverage, 1071,
     /* 406916 */   GIR_Done,
     /* 406917 */ // Label 8431: @406917
     /* 406917 */ GIM_Reject,
     /* 406918 */ // Label 8425: @406918
     /* 406918 */ GIM_Try, /*On fail goto*//*Label 8432*/ GIMT_Encode4(406944), // Rule ID 1061 //
     /* 406923 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406926 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 406929 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406933 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406937 */   // (AArch64uaddlp_n:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn)  =>  (UADDLPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn)
     /* 406937 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv8i8_v4i16),
     /* 406942 */   GIR_RootConstrainSelectedInstOperands,
     /* 406943 */   // GIR_Coverage, 1061,
     /* 406943 */   GIR_Done,
     /* 406944 */ // Label 8432: @406944
     /* 406944 */ GIM_Reject,
     /* 406945 */ // Label 8426: @406945
     /* 406945 */ GIM_Try, /*On fail goto*//*Label 8433*/ GIMT_Encode4(406971), // Rule ID 1067 //
     /* 406950 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406953 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 406956 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406960 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406964 */   // (AArch64uaddlp_n:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn)  =>  (UADDLPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn)
     /* 406964 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv8i16_v4i32),
     /* 406969 */   GIR_RootConstrainSelectedInstOperands,
     /* 406970 */   // GIR_Coverage, 1067,
     /* 406970 */   GIR_Done,
     /* 406971 */ // Label 8433: @406971
     /* 406971 */ GIM_Reject,
     /* 406972 */ // Label 8427: @406972
     /* 406972 */ GIM_Try, /*On fail goto*//*Label 8434*/ GIMT_Encode4(406998), // Rule ID 1063 //
     /* 406977 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406980 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 406983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406987 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406991 */   // (AArch64uaddlp_n:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn)  =>  (UADDLPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn)
     /* 406991 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv16i8_v8i16),
     /* 406996 */   GIR_RootConstrainSelectedInstOperands,
     /* 406997 */   // GIR_Coverage, 1063,
     /* 406997 */   GIR_Done,
     /* 406998 */ // Label 8434: @406998
     /* 406998 */ GIM_Reject,
     /* 406999 */ // Label 8428: @406999
     /* 406999 */ GIM_Reject,
     /* 407000 */ // Label 147: @407000
     /* 407000 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(9), /*)*//*default:*//*Label 8437*/ GIMT_Encode4(407866),
     /* 407011 */ /*GILLT_v2s64*//*Label 8435*/ GIMT_Encode4(407023), GIMT_Encode4(0),
     /* 407019 */ /*GILLT_v4s32*//*Label 8436*/ GIMT_Encode4(407317),
     /* 407023 */ // Label 8435: @407023
     /* 407023 */ GIM_Try, /*On fail goto*//*Label 8438*/ GIMT_Encode4(407105), // Rule ID 5827 //
     /* 407028 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 407031 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407035 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 407039 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 407043 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 407046 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 407051 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 407055 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407060 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 407062 */   // (AArch64uaddlv:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v4i32] } 725:{ *:[iPTR] }, V128:{ *:[v8i16] }:$op))  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (UADDLVv8i16v:{ *:[i32] } V128:{ *:[v8i16] }:$op), ssub:{ *:[i32] })
     /* 407062 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 407065 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv8i16v),
     /* 407069 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 407074 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // op
     /* 407078 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 407080 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 407083 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 407085 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 407088 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 407091 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 407094 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407099 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 407104 */   // GIR_Coverage, 5827,
     /* 407104 */   GIR_EraseRootFromParent_Done,
     /* 407105 */ // Label 8438: @407105
     /* 407105 */ GIM_Try, /*On fail goto*//*Label 8439*/ GIMT_Encode4(407179), // Rule ID 5826 //
     /* 407110 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 407113 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407117 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 407121 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /* 407125 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 407129 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407134 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 407136 */   // (AArch64uaddlv:{ *:[v2i64] } (AArch64uaddlp_n:{ *:[v4i32] } V128:{ *:[v8i16] }:$op))  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (UADDLVv8i16v:{ *:[i32] } V128:{ *:[v8i16] }:$op), ssub:{ *:[i32] })
     /* 407136 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 407139 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv8i16v),
     /* 407143 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 407148 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // op
     /* 407152 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 407154 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 407157 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 407159 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 407162 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 407165 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 407168 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407173 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 407178 */   // GIR_Coverage, 5826,
     /* 407178 */   GIR_EraseRootFromParent_Done,
     /* 407179 */ // Label 8439: @407179
     /* 407179 */ GIM_Try, /*On fail goto*//*Label 8440*/ GIMT_Encode4(407238), // Rule ID 5836 //
     /* 407184 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 407187 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407191 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407195 */   // (AArch64uaddlv:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn)  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (UADDLVv4i32v:{ *:[i64] } V128:{ *:[v4i32] }:$Rn), dsub:{ *:[i32] })
     /* 407195 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 407198 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv4i32v),
     /* 407202 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 407207 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 407211 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 407213 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 407216 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 407218 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 407221 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 407224 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 407227 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407232 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 407237 */   // GIR_Coverage, 5836,
     /* 407237 */   GIR_EraseRootFromParent_Done,
     /* 407238 */ // Label 8440: @407238
     /* 407238 */ GIM_Try, /*On fail goto*//*Label 8441*/ GIMT_Encode4(407316), // Rule ID 5964 //
     /* 407243 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 407246 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407250 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 407254 */   // (AArch64uaddlv:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn)  =>  (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), (UADDLPv2i32_v1i64:{ *:[i64] } V64:{ *:[v2i32] }:$Rn), dsub:{ *:[i32] })
     /* 407254 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 407257 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv2i32_v1i64),
     /* 407261 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 407266 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 407270 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 407272 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /* 407275 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 407279 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 407284 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 407286 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 407289 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 407291 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 407294 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 407297 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 407300 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407305 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407310 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 407315 */   // GIR_Coverage, 5964,
     /* 407315 */   GIR_EraseRootFromParent_Done,
     /* 407316 */ // Label 8441: @407316
     /* 407316 */ GIM_Reject,
     /* 407317 */ // Label 8436: @407317
     /* 407317 */ GIM_Try, /*On fail goto*//*Label 8442*/ GIMT_Encode4(407399), // Rule ID 5829 //
     /* 407322 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 407325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407329 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 407333 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 407337 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 407340 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 407345 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 407349 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407354 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 407356 */   // (AArch64uaddlv:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v8i16] } 725:{ *:[iPTR] }, V128:{ *:[v16i8] }:$op))  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (UADDLVv16i8v:{ *:[i16] } V128:{ *:[v16i8] }:$op), hsub:{ *:[i32] })
     /* 407356 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 407359 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv16i8v),
     /* 407363 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 407368 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // op
     /* 407372 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 407374 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 407377 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 407379 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 407382 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 407385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 407388 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407393 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 407398 */   // GIR_Coverage, 5829,
     /* 407398 */   GIR_EraseRootFromParent_Done,
     /* 407399 */ // Label 8442: @407399
     /* 407399 */ GIM_Try, /*On fail goto*//*Label 8443*/ GIMT_Encode4(407481), // Rule ID 5831 //
     /* 407404 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 407407 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407411 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 407415 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 407419 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 407422 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 407427 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 407431 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 407436 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 407438 */   // (AArch64uaddlv:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 725:{ *:[iPTR] }, V64:{ *:[v8i8] }:$op))  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (UADDLVv8i8v:{ *:[i16] } V64:{ *:[v8i8] }:$op), hsub:{ *:[i32] })
     /* 407438 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 407441 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv8i8v),
     /* 407445 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 407450 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // op
     /* 407454 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 407456 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 407459 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 407461 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 407464 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 407467 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 407470 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407475 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 407480 */   // GIR_Coverage, 5831,
     /* 407480 */   GIR_EraseRootFromParent_Done,
     /* 407481 */ // Label 8443: @407481
     /* 407481 */ GIM_Try, /*On fail goto*//*Label 8444*/ GIMT_Encode4(407555), // Rule ID 5828 //
     /* 407486 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 407489 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407493 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 407497 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /* 407501 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 407505 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407510 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 407512 */   // (AArch64uaddlv:{ *:[v4i32] } (AArch64uaddlp_n:{ *:[v8i16] } V128:{ *:[v16i8] }:$op))  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (UADDLVv16i8v:{ *:[i16] } V128:{ *:[v16i8] }:$op), hsub:{ *:[i32] })
     /* 407512 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 407515 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv16i8v),
     /* 407519 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 407524 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // op
     /* 407528 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 407530 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 407533 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 407535 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 407538 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 407541 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 407544 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407549 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 407554 */   // GIR_Coverage, 5828,
     /* 407554 */   GIR_EraseRootFromParent_Done,
     /* 407555 */ // Label 8444: @407555
     /* 407555 */ GIM_Try, /*On fail goto*//*Label 8445*/ GIMT_Encode4(407629), // Rule ID 5830 //
     /* 407560 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 407563 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407567 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 407571 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /* 407575 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 407579 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 407584 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 407586 */   // (AArch64uaddlv:{ *:[v4i32] } (AArch64uaddlp_n:{ *:[v4i16] } V64:{ *:[v8i8] }:$op))  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (UADDLVv8i8v:{ *:[i16] } V64:{ *:[v8i8] }:$op), hsub:{ *:[i32] })
     /* 407586 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 407589 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv8i8v),
     /* 407593 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 407598 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // op
     /* 407602 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 407604 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 407607 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 407609 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 407612 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 407615 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 407618 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407623 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 407628 */   // GIR_Coverage, 5830,
     /* 407628 */   GIR_EraseRootFromParent_Done,
     /* 407629 */ // Label 8445: @407629
     /* 407629 */ GIM_Try, /*On fail goto*//*Label 8446*/ GIMT_Encode4(407688), // Rule ID 5832 //
     /* 407634 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 407637 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407641 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 407645 */   // (AArch64uaddlv:{ *:[v4i32] } V64:{ *:[v8i8] }:$Rn)  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (UADDLVv8i8v:{ *:[i16] } V64:{ *:[v8i8] }:$Rn), hsub:{ *:[i32] })
     /* 407645 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 407648 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv8i8v),
     /* 407652 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 407657 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 407661 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 407663 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 407666 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 407668 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 407671 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 407674 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 407677 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407682 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 407687 */   // GIR_Coverage, 5832,
     /* 407687 */   GIR_EraseRootFromParent_Done,
     /* 407688 */ // Label 8446: @407688
     /* 407688 */ GIM_Try, /*On fail goto*//*Label 8447*/ GIMT_Encode4(407747), // Rule ID 5833 //
     /* 407693 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 407696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407700 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 407704 */   // (AArch64uaddlv:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn)  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (UADDLVv4i16v:{ *:[i32] } V64:{ *:[v4i16] }:$Rn), ssub:{ *:[i32] })
     /* 407704 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 407707 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv4i16v),
     /* 407711 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 407716 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 407720 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 407722 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 407725 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 407727 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 407730 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 407733 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 407736 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407741 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 407746 */   // GIR_Coverage, 5833,
     /* 407746 */   GIR_EraseRootFromParent_Done,
     /* 407747 */ // Label 8447: @407747
     /* 407747 */ GIM_Try, /*On fail goto*//*Label 8448*/ GIMT_Encode4(407806), // Rule ID 5834 //
     /* 407752 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 407755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407759 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407763 */   // (AArch64uaddlv:{ *:[v4i32] } V128:{ *:[v16i8] }:$Rn)  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (UADDLVv16i8v:{ *:[i16] } V128:{ *:[v16i8] }:$Rn), hsub:{ *:[i32] })
     /* 407763 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 407766 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv16i8v),
     /* 407770 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 407775 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 407779 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 407781 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 407784 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 407786 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 407789 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 407792 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 407795 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407800 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 407805 */   // GIR_Coverage, 5834,
     /* 407805 */   GIR_EraseRootFromParent_Done,
     /* 407806 */ // Label 8448: @407806
     /* 407806 */ GIM_Try, /*On fail goto*//*Label 8449*/ GIMT_Encode4(407865), // Rule ID 5835 //
     /* 407811 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 407814 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407818 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407822 */   // (AArch64uaddlv:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn)  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (UADDLVv8i16v:{ *:[i32] } V128:{ *:[v8i16] }:$Rn), ssub:{ *:[i32] })
     /* 407822 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 407825 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv8i16v),
     /* 407829 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 407834 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 407838 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 407840 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 407843 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 407845 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 407848 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 407851 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 407854 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407859 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 407864 */   // GIR_Coverage, 5835,
     /* 407864 */   GIR_EraseRootFromParent_Done,
     /* 407865 */ // Label 8449: @407865
     /* 407865 */ GIM_Reject,
     /* 407866 */ // Label 8437: @407866
     /* 407866 */ GIM_Reject,
     /* 407867 */ // Label 148: @407867
     /* 407867 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(20), /*)*//*default:*//*Label 8454*/ GIMT_Encode4(408236),
     /* 407878 */ /*GILLT_v2s32*//*Label 8450*/ GIMT_Encode4(407938), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 407890 */ /*GILLT_v4s32*//*Label 8451*/ GIMT_Encode4(408058), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 407922 */ /*GILLT_nxv2s64*//*Label 8452*/ GIMT_Encode4(408178), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 407934 */ /*GILLT_nxv4s32*//*Label 8453*/ GIMT_Encode4(408207),
     /* 407938 */ // Label 8450: @407938
     /* 407938 */ GIM_Try, /*On fail goto*//*Label 8455*/ GIMT_Encode4(408057),
     /* 407943 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 407946 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 407949 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 407952 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 407956 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 407960 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 407964 */   GIM_Try, /*On fail goto*//*Label 8456*/ GIMT_Encode4(408037), // Rule ID 28 //
     /* 407969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDotProd),
     /* 407972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 407976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 407980 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 407984 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 407988 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 407992 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 407996 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 408000 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 408005 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 408009 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 408013 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 408017 */     // MIs[3] Operand 1
     /* 408017 */     // No operand predicates
     /* 408017 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 408019 */     // (AArch64udot:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v8i8] }:$Rn, (bitconvert:{ *:[v8i8] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (UDOTlanev8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v8i8] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 408019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDOTlanev8i8),
     /* 408022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 408024 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 408026 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 408028 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 408032 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 408035 */     GIR_RootConstrainSelectedInstOperands,
     /* 408036 */     // GIR_Coverage, 28,
     /* 408036 */     GIR_EraseRootFromParent_Done,
     /* 408037 */   // Label 8456: @408037
     /* 408037 */   GIM_Try, /*On fail goto*//*Label 8457*/ GIMT_Encode4(408056), // Rule ID 24 //
     /* 408042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDotProd),
     /* 408045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 408049 */     // (AArch64udot:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UDOTv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 408049 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UDOTv8i8),
     /* 408054 */     GIR_RootConstrainSelectedInstOperands,
     /* 408055 */     // GIR_Coverage, 24,
     /* 408055 */     GIR_Done,
     /* 408056 */   // Label 8457: @408056
     /* 408056 */   GIM_Reject,
     /* 408057 */ // Label 8455: @408057
     /* 408057 */ GIM_Reject,
     /* 408058 */ // Label 8451: @408058
     /* 408058 */ GIM_Try, /*On fail goto*//*Label 8458*/ GIMT_Encode4(408177),
     /* 408063 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 408066 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 408069 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 408072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 408076 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 408080 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 408084 */   GIM_Try, /*On fail goto*//*Label 8459*/ GIMT_Encode4(408157), // Rule ID 29 //
     /* 408089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDotProd),
     /* 408092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 408096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 408100 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 408104 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 408108 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 408112 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 408116 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 408120 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 408125 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 408129 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 408133 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 408137 */     // MIs[3] Operand 1
     /* 408137 */     // No operand predicates
     /* 408137 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 408139 */     // (AArch64udot:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, (bitconvert:{ *:[v16i8] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (UDOTlanev16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 408139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDOTlanev16i8),
     /* 408142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 408144 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 408146 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 408148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 408152 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 408155 */     GIR_RootConstrainSelectedInstOperands,
     /* 408156 */     // GIR_Coverage, 29,
     /* 408156 */     GIR_EraseRootFromParent_Done,
     /* 408157 */   // Label 8459: @408157
     /* 408157 */   GIM_Try, /*On fail goto*//*Label 8460*/ GIMT_Encode4(408176), // Rule ID 25 //
     /* 408162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDotProd),
     /* 408165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 408169 */     // (AArch64udot:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UDOTv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 408169 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UDOTv16i8),
     /* 408174 */     GIR_RootConstrainSelectedInstOperands,
     /* 408175 */     // GIR_Coverage, 25,
     /* 408175 */     GIR_Done,
     /* 408176 */   // Label 8460: @408176
     /* 408176 */   GIM_Reject,
     /* 408177 */ // Label 8458: @408177
     /* 408177 */ GIM_Reject,
     /* 408178 */ // Label 8452: @408178
     /* 408178 */ GIM_Try, /*On fail goto*//*Label 8461*/ GIMT_Encode4(408206), // Rule ID 7600 //
     /* 408183 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 408186 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 408189 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 408192 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 408195 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 408199 */   // (AArch64udot:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UDOT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 408199 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UDOT_ZZZ_D),
     /* 408204 */   GIR_RootConstrainSelectedInstOperands,
     /* 408205 */   // GIR_Coverage, 7600,
     /* 408205 */   GIR_Done,
     /* 408206 */ // Label 8461: @408206
     /* 408206 */ GIM_Reject,
     /* 408207 */ // Label 8453: @408207
     /* 408207 */ GIM_Try, /*On fail goto*//*Label 8462*/ GIMT_Encode4(408235), // Rule ID 7599 //
     /* 408212 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 408215 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 408218 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 408221 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 408224 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 408228 */   // (AArch64udot:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UDOT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 408228 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UDOT_ZZZ_S),
     /* 408233 */   GIR_RootConstrainSelectedInstOperands,
     /* 408234 */   // GIR_Coverage, 7599,
     /* 408234 */   GIR_Done,
     /* 408235 */ // Label 8462: @408235
     /* 408235 */ GIM_Reject,
     /* 408236 */ // Label 8454: @408236
     /* 408236 */ GIM_Reject,
     /* 408237 */ // Label 149: @408237
     /* 408237 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 8466*/ GIMT_Encode4(408353),
     /* 408248 */ /*GILLT_s16*//*Label 8463*/ GIMT_Encode4(408260),
     /* 408252 */ /*GILLT_s32*//*Label 8464*/ GIMT_Encode4(408291),
     /* 408256 */ /*GILLT_s64*//*Label 8465*/ GIMT_Encode4(408322),
     /* 408260 */ // Label 8463: @408260
     /* 408260 */ GIM_Try, /*On fail goto*//*Label 8467*/ GIMT_Encode4(408290), // Rule ID 1669 //
     /* 408265 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEONandIsStreamingSafe),
     /* 408268 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 408271 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 408275 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 408279 */   // (AArch64uitof:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (UCVTFv1i16:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 408279 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i16),
     /* 408284 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 408288 */   GIR_RootConstrainSelectedInstOperands,
     /* 408289 */   // GIR_Coverage, 1669,
     /* 408289 */   GIR_Done,
     /* 408290 */ // Label 8467: @408290
     /* 408290 */ GIM_Reject,
     /* 408291 */ // Label 8464: @408291
     /* 408291 */ GIM_Try, /*On fail goto*//*Label 8468*/ GIMT_Encode4(408321), // Rule ID 1668 //
     /* 408296 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 408299 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 408302 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 408306 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 408310 */   // (AArch64uitof:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (UCVTFv1i32:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 408310 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i32),
     /* 408315 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 408319 */   GIR_RootConstrainSelectedInstOperands,
     /* 408320 */   // GIR_Coverage, 1668,
     /* 408320 */   GIR_Done,
     /* 408321 */ // Label 8468: @408321
     /* 408321 */ GIM_Reject,
     /* 408322 */ // Label 8465: @408322
     /* 408322 */ GIM_Try, /*On fail goto*//*Label 8469*/ GIMT_Encode4(408352), // Rule ID 1667 //
     /* 408327 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 408330 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 408333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 408337 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 408341 */   // (AArch64uitof:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (UCVTFv1i64:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 408341 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 408346 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 408350 */   GIR_RootConstrainSelectedInstOperands,
     /* 408351 */   // GIR_Coverage, 1667,
     /* 408351 */   GIR_Done,
     /* 408352 */ // Label 8469: @408352
     /* 408352 */ GIM_Reject,
     /* 408353 */ // Label 8466: @408353
     /* 408353 */ GIM_Reject,
     /* 408354 */ // Label 150: @408354
     /* 408354 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(11), /*)*//*default:*//*Label 8473*/ GIMT_Encode4(409586),
     /* 408365 */ /*GILLT_v2s64*//*Label 8470*/ GIMT_Encode4(408385), GIMT_Encode4(0),
     /* 408373 */ /*GILLT_v4s32*//*Label 8471*/ GIMT_Encode4(408946), GIMT_Encode4(0),
     /* 408381 */ /*GILLT_v8s16*//*Label 8472*/ GIMT_Encode4(409507),
     /* 408385 */ // Label 8470: @408385
     /* 408385 */ GIM_Try, /*On fail goto*//*Label 8474*/ GIMT_Encode4(408945),
     /* 408390 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 408393 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 408396 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 408400 */   GIM_Try, /*On fail goto*//*Label 8475*/ GIMT_Encode4(408492), // Rule ID 2106 //
     /* 408405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 408408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 408412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 408416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 408420 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 408424 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 408428 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 408432 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 408436 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 408441 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 408445 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 408449 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 408453 */     // MIs[3] Operand 1
     /* 408453 */     // No operand predicates
     /* 408453 */     // MIs[1] Operand 2
     /* 408453 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(2),
     /* 408464 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 408466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 408473 */     // (AArch64umull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] }))  =>  (UMULLv4i32_indexed:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 408473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv4i32_indexed),
     /* 408476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 408478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 408483 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 408487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 408490 */     GIR_RootConstrainSelectedInstOperands,
     /* 408491 */     // GIR_Coverage, 2106,
     /* 408491 */     GIR_EraseRootFromParent_Done,
     /* 408492 */   // Label 8475: @408492
     /* 408492 */   GIM_Try, /*On fail goto*//*Label 8476*/ GIMT_Encode4(408584), // Rule ID 13448 //
     /* 408497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 408500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 408504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 408508 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 408512 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 408516 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 408520 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 408524 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 408528 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 408533 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 408537 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 408541 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 408545 */     // MIs[3] Operand 1
     /* 408545 */     // No operand predicates
     /* 408545 */     // MIs[1] Operand 2
     /* 408545 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(2),
     /* 408556 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 408558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 408565 */     // (AArch64umull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] }), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn))  =>  (UMULLv4i32_indexed:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 408565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv4i32_indexed),
     /* 408568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 408570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 408575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 408579 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 408582 */     GIR_RootConstrainSelectedInstOperands,
     /* 408583 */     // GIR_Coverage, 13448,
     /* 408583 */     GIR_EraseRootFromParent_Done,
     /* 408584 */   // Label 8476: @408584
     /* 408584 */   GIM_Try, /*On fail goto*//*Label 8477*/ GIMT_Encode4(408670), // Rule ID 13446 //
     /* 408589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 408592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 408596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 408600 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 408604 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 408608 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 408612 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 408616 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 408620 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 408625 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 408629 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 408633 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 408637 */     // MIs[3] Operand 1
     /* 408637 */     // No operand predicates
     /* 408637 */     // MIs[1] Operand 2
     /* 408637 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 408648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 408652 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 408654 */     // (AArch64umull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn)  =>  (UMULLv2i32_indexed:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 408654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv2i32_indexed),
     /* 408657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 408659 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 408661 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 408665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 408668 */     GIR_RootConstrainSelectedInstOperands,
     /* 408669 */     // GIR_Coverage, 13446,
     /* 408669 */     GIR_EraseRootFromParent_Done,
     /* 408670 */   // Label 8477: @408670
     /* 408670 */   GIM_Try, /*On fail goto*//*Label 8478*/ GIMT_Encode4(408756), // Rule ID 2104 //
     /* 408675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 408678 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 408682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 408686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 408690 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 408694 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 408698 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 408702 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 408706 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 408710 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 408715 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 408719 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 408723 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 408727 */     // MIs[3] Operand 1
     /* 408727 */     // No operand predicates
     /* 408727 */     // MIs[1] Operand 2
     /* 408727 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 408738 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 408740 */     // (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }))  =>  (UMULLv2i32_indexed:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 408740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv2i32_indexed),
     /* 408743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 408745 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 408747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 408751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 408754 */     GIR_RootConstrainSelectedInstOperands,
     /* 408755 */     // GIR_Coverage, 2104,
     /* 408755 */     GIR_EraseRootFromParent_Done,
     /* 408756 */   // Label 8478: @408756
     /* 408756 */   GIM_Try, /*On fail goto*//*Label 8479*/ GIMT_Encode4(408795), // Rule ID 1831 //
     /* 408761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 408764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 408771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 408778 */     // (AArch64umull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm))  =>  (UMULLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 408778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv4i32_v2i64),
     /* 408781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 408783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 408788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 408793 */     GIR_RootConstrainSelectedInstOperands,
     /* 408794 */     // GIR_Coverage, 1831,
     /* 408794 */     GIR_EraseRootFromParent_Done,
     /* 408795 */   // Label 8479: @408795
     /* 408795 */   GIM_Try, /*On fail goto*//*Label 8480*/ GIMT_Encode4(408858), // Rule ID 13447 //
     /* 408800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 408803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 408807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 408811 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 408815 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 408819 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 408824 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 408828 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 408832 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 408836 */     // MIs[2] Operand 1
     /* 408836 */     // No operand predicates
     /* 408836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 408840 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 408842 */     // (AArch64umull:{ *:[v2i64] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2i32] }:$Rn)  =>  (UMULLv2i32_indexed:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 408842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv2i32_indexed),
     /* 408845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 408847 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 408849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 408853 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 408856 */     GIR_RootConstrainSelectedInstOperands,
     /* 408857 */     // GIR_Coverage, 13447,
     /* 408857 */     GIR_EraseRootFromParent_Done,
     /* 408858 */   // Label 8480: @408858
     /* 408858 */   GIM_Try, /*On fail goto*//*Label 8481*/ GIMT_Encode4(408921), // Rule ID 2105 //
     /* 408863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 408866 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 408870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 408874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 408878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 408882 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 408886 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 408891 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 408895 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 408899 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 408903 */     // MIs[2] Operand 1
     /* 408903 */     // No operand predicates
     /* 408903 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 408905 */     // (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (UMULLv2i32_indexed:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 408905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv2i32_indexed),
     /* 408908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 408910 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 408912 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 408916 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 408919 */     GIR_RootConstrainSelectedInstOperands,
     /* 408920 */     // GIR_Coverage, 2105,
     /* 408920 */     GIR_EraseRootFromParent_Done,
     /* 408921 */   // Label 8481: @408921
     /* 408921 */   GIM_Try, /*On fail goto*//*Label 8482*/ GIMT_Encode4(408944), // Rule ID 1830 //
     /* 408926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 408929 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 408933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 408937 */     // (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UMULLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 408937 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMULLv2i32_v2i64),
     /* 408942 */     GIR_RootConstrainSelectedInstOperands,
     /* 408943 */     // GIR_Coverage, 1830,
     /* 408943 */     GIR_Done,
     /* 408944 */   // Label 8482: @408944
     /* 408944 */   GIM_Reject,
     /* 408945 */ // Label 8474: @408945
     /* 408945 */ GIM_Reject,
     /* 408946 */ // Label 8471: @408946
     /* 408946 */ GIM_Try, /*On fail goto*//*Label 8483*/ GIMT_Encode4(409506),
     /* 408951 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 408954 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 408957 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 408961 */   GIM_Try, /*On fail goto*//*Label 8484*/ GIMT_Encode4(409053), // Rule ID 2103 //
     /* 408966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 408969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 408973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 408977 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 408981 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 408985 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 408989 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 408993 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 408997 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 409002 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 409006 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 409010 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 409014 */     // MIs[3] Operand 1
     /* 409014 */     // No operand predicates
     /* 409014 */     // MIs[1] Operand 2
     /* 409014 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4),
     /* 409025 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 409027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 409034 */     // (AArch64umull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] }))  =>  (UMULLv8i16_indexed:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 409034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv8i16_indexed),
     /* 409037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 409039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 409044 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 409048 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 409051 */     GIR_RootConstrainSelectedInstOperands,
     /* 409052 */     // GIR_Coverage, 2103,
     /* 409052 */     GIR_EraseRootFromParent_Done,
     /* 409053 */   // Label 8484: @409053
     /* 409053 */   GIM_Try, /*On fail goto*//*Label 8485*/ GIMT_Encode4(409145), // Rule ID 13445 //
     /* 409058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 409065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 409069 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 409073 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 409077 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 409081 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 409085 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 409089 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 409094 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 409098 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 409102 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 409106 */     // MIs[3] Operand 1
     /* 409106 */     // No operand predicates
     /* 409106 */     // MIs[1] Operand 2
     /* 409106 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4),
     /* 409117 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 409119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 409126 */     // (AArch64umull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] }), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn))  =>  (UMULLv8i16_indexed:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 409126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv8i16_indexed),
     /* 409129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 409131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 409136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 409140 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 409143 */     GIR_RootConstrainSelectedInstOperands,
     /* 409144 */     // GIR_Coverage, 13445,
     /* 409144 */     GIR_EraseRootFromParent_Done,
     /* 409145 */   // Label 8485: @409145
     /* 409145 */   GIM_Try, /*On fail goto*//*Label 8486*/ GIMT_Encode4(409231), // Rule ID 13443 //
     /* 409150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 409157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 409161 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 409165 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 409169 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 409173 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 409177 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 409181 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 409186 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 409190 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 409194 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 409198 */     // MIs[3] Operand 1
     /* 409198 */     // No operand predicates
     /* 409198 */     // MIs[1] Operand 2
     /* 409198 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 409209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 409213 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 409215 */     // (AArch64umull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn)  =>  (UMULLv4i16_indexed:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 409215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv4i16_indexed),
     /* 409218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 409220 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 409222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 409226 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 409229 */     GIR_RootConstrainSelectedInstOperands,
     /* 409230 */     // GIR_Coverage, 13443,
     /* 409230 */     GIR_EraseRootFromParent_Done,
     /* 409231 */   // Label 8486: @409231
     /* 409231 */   GIM_Try, /*On fail goto*//*Label 8487*/ GIMT_Encode4(409317), // Rule ID 2101 //
     /* 409236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 409243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 409247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 409251 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 409255 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 409259 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 409263 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 409267 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 409271 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 409276 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 409280 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 409284 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 409288 */     // MIs[3] Operand 1
     /* 409288 */     // No operand predicates
     /* 409288 */     // MIs[1] Operand 2
     /* 409288 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 409299 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 409301 */     // (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }))  =>  (UMULLv4i16_indexed:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 409301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv4i16_indexed),
     /* 409304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 409306 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 409308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 409312 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 409315 */     GIR_RootConstrainSelectedInstOperands,
     /* 409316 */     // GIR_Coverage, 2101,
     /* 409316 */     GIR_EraseRootFromParent_Done,
     /* 409317 */   // Label 8487: @409317
     /* 409317 */   GIM_Try, /*On fail goto*//*Label 8488*/ GIMT_Encode4(409356), // Rule ID 1829 //
     /* 409322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 409332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 409339 */     // (AArch64umull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm))  =>  (UMULLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 409339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv8i16_v4i32),
     /* 409342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 409344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 409349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 409354 */     GIR_RootConstrainSelectedInstOperands,
     /* 409355 */     // GIR_Coverage, 1829,
     /* 409355 */     GIR_EraseRootFromParent_Done,
     /* 409356 */   // Label 8488: @409356
     /* 409356 */   GIM_Try, /*On fail goto*//*Label 8489*/ GIMT_Encode4(409419), // Rule ID 13444 //
     /* 409361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 409368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 409372 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 409376 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 409380 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 409385 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 409389 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 409393 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 409397 */     // MIs[2] Operand 1
     /* 409397 */     // No operand predicates
     /* 409397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 409401 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 409403 */     // (AArch64umull:{ *:[v4i32] } (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4i16] }:$Rn)  =>  (UMULLv4i16_indexed:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 409403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv4i16_indexed),
     /* 409406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 409408 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 409410 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 409414 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 409417 */     GIR_RootConstrainSelectedInstOperands,
     /* 409418 */     // GIR_Coverage, 13444,
     /* 409418 */     GIR_EraseRootFromParent_Done,
     /* 409419 */   // Label 8489: @409419
     /* 409419 */   GIM_Try, /*On fail goto*//*Label 8490*/ GIMT_Encode4(409482), // Rule ID 2102 //
     /* 409424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409427 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 409431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 409435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 409439 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 409443 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 409447 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 409452 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 409456 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 409460 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 409464 */     // MIs[2] Operand 1
     /* 409464 */     // No operand predicates
     /* 409464 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 409466 */     // (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (UMULLv4i16_indexed:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 409466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv4i16_indexed),
     /* 409469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 409471 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 409473 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 409477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 409480 */     GIR_RootConstrainSelectedInstOperands,
     /* 409481 */     // GIR_Coverage, 2102,
     /* 409481 */     GIR_EraseRootFromParent_Done,
     /* 409482 */   // Label 8490: @409482
     /* 409482 */   GIM_Try, /*On fail goto*//*Label 8491*/ GIMT_Encode4(409505), // Rule ID 1828 //
     /* 409487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 409494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 409498 */     // (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UMULLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 409498 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMULLv4i16_v4i32),
     /* 409503 */     GIR_RootConstrainSelectedInstOperands,
     /* 409504 */     // GIR_Coverage, 1828,
     /* 409504 */     GIR_Done,
     /* 409505 */   // Label 8491: @409505
     /* 409505 */   GIM_Reject,
     /* 409506 */ // Label 8483: @409506
     /* 409506 */ GIM_Reject,
     /* 409507 */ // Label 8472: @409507
     /* 409507 */ GIM_Try, /*On fail goto*//*Label 8492*/ GIMT_Encode4(409585),
     /* 409512 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 409515 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 409518 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409522 */   GIM_Try, /*On fail goto*//*Label 8493*/ GIMT_Encode4(409561), // Rule ID 1827 //
     /* 409527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 409537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 409544 */     // (AArch64umull:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm))  =>  (UMULLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 409544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv16i8_v8i16),
     /* 409547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 409549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 409554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 409559 */     GIR_RootConstrainSelectedInstOperands,
     /* 409560 */     // GIR_Coverage, 1827,
     /* 409560 */     GIR_EraseRootFromParent_Done,
     /* 409561 */   // Label 8493: @409561
     /* 409561 */   GIM_Try, /*On fail goto*//*Label 8494*/ GIMT_Encode4(409584), // Rule ID 1826 //
     /* 409566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 409573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 409577 */     // (AArch64umull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UMULLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 409577 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMULLv8i8_v8i16),
     /* 409582 */     GIR_RootConstrainSelectedInstOperands,
     /* 409583 */     // GIR_Coverage, 1826,
     /* 409583 */     GIR_Done,
     /* 409584 */   // Label 8494: @409584
     /* 409584 */   GIM_Reject,
     /* 409585 */ // Label 8492: @409585
     /* 409585 */ GIM_Reject,
     /* 409586 */ // Label 8473: @409586
     /* 409586 */ GIM_Reject,
     /* 409587 */ // Label 151: @409587
     /* 409587 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(24), /*)*//*default:*//*Label 8513*/ GIMT_Encode4(410366),
     /* 409598 */ /*GILLT_v2s32*//*Label 8495*/ GIMT_Encode4(409674),
     /* 409602 */ /*GILLT_v2s64*//*Label 8496*/ GIMT_Encode4(409729),
     /* 409606 */ /*GILLT_v4s16*//*Label 8497*/ GIMT_Encode4(409784),
     /* 409610 */ /*GILLT_v4s32*//*Label 8498*/ GIMT_Encode4(409839),
     /* 409614 */ /*GILLT_v8s8*//*Label 8499*/ GIMT_Encode4(409894),
     /* 409618 */ /*GILLT_v8s16*//*Label 8500*/ GIMT_Encode4(409928),
     /* 409622 */ /*GILLT_v16s8*//*Label 8501*/ GIMT_Encode4(409983), GIMT_Encode4(0),
     /* 409630 */ /*GILLT_nxv2s1*//*Label 8502*/ GIMT_Encode4(410017),
     /* 409634 */ /*GILLT_nxv2s16*//*Label 8503*/ GIMT_Encode4(410043),
     /* 409638 */ /*GILLT_nxv2s32*//*Label 8504*/ GIMT_Encode4(410069),
     /* 409642 */ /*GILLT_nxv2s64*//*Label 8505*/ GIMT_Encode4(410095),
     /* 409646 */ /*GILLT_nxv4s1*//*Label 8506*/ GIMT_Encode4(410142),
     /* 409650 */ /*GILLT_nxv4s16*//*Label 8507*/ GIMT_Encode4(410168),
     /* 409654 */ /*GILLT_nxv4s32*//*Label 8508*/ GIMT_Encode4(410194),
     /* 409658 */ /*GILLT_nxv8s1*//*Label 8509*/ GIMT_Encode4(410241),
     /* 409662 */ /*GILLT_nxv8s16*//*Label 8510*/ GIMT_Encode4(410267),
     /* 409666 */ /*GILLT_nxv16s1*//*Label 8511*/ GIMT_Encode4(410314),
     /* 409670 */ /*GILLT_nxv16s8*//*Label 8512*/ GIMT_Encode4(410340),
     /* 409674 */ // Label 8495: @409674
     /* 409674 */ GIM_Try, /*On fail goto*//*Label 8514*/ GIMT_Encode4(409728),
     /* 409679 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 409682 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 409685 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 409689 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 409693 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 409697 */   GIM_Try, /*On fail goto*//*Label 8515*/ GIMT_Encode4(409712), // Rule ID 1888 //
     /* 409702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409705 */     // (AArch64uzp1:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UZP1v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 409705 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v2i32),
     /* 409710 */     GIR_RootConstrainSelectedInstOperands,
     /* 409711 */     // GIR_Coverage, 1888,
     /* 409711 */     GIR_Done,
     /* 409712 */   // Label 8515: @409712
     /* 409712 */   GIM_Try, /*On fail goto*//*Label 8516*/ GIMT_Encode4(409727), // Rule ID 5459 //
     /* 409717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409720 */     // (AArch64uzp1:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (UZP1v2i32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 409720 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v2i32),
     /* 409725 */     GIR_RootConstrainSelectedInstOperands,
     /* 409726 */     // GIR_Coverage, 5459,
     /* 409726 */     GIR_Done,
     /* 409727 */   // Label 8516: @409727
     /* 409727 */   GIM_Reject,
     /* 409728 */ // Label 8514: @409728
     /* 409728 */ GIM_Reject,
     /* 409729 */ // Label 8496: @409729
     /* 409729 */ GIM_Try, /*On fail goto*//*Label 8517*/ GIMT_Encode4(409783),
     /* 409734 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 409737 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 409740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409744 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409748 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409752 */   GIM_Try, /*On fail goto*//*Label 8518*/ GIMT_Encode4(409767), // Rule ID 1890 //
     /* 409757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409760 */     // (AArch64uzp1:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (UZP1v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 409760 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v2i64),
     /* 409765 */     GIR_RootConstrainSelectedInstOperands,
     /* 409766 */     // GIR_Coverage, 1890,
     /* 409766 */     GIR_Done,
     /* 409767 */   // Label 8518: @409767
     /* 409767 */   GIM_Try, /*On fail goto*//*Label 8519*/ GIMT_Encode4(409782), // Rule ID 5461 //
     /* 409772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409775 */     // (AArch64uzp1:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (UZP1v2i64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 409775 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v2i64),
     /* 409780 */     GIR_RootConstrainSelectedInstOperands,
     /* 409781 */     // GIR_Coverage, 5461,
     /* 409781 */     GIR_Done,
     /* 409782 */   // Label 8519: @409782
     /* 409782 */   GIM_Reject,
     /* 409783 */ // Label 8517: @409783
     /* 409783 */ GIM_Reject,
     /* 409784 */ // Label 8497: @409784
     /* 409784 */ GIM_Try, /*On fail goto*//*Label 8520*/ GIMT_Encode4(409838),
     /* 409789 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 409792 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 409795 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 409799 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 409803 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 409807 */   GIM_Try, /*On fail goto*//*Label 8521*/ GIMT_Encode4(409822), // Rule ID 1886 //
     /* 409812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409815 */     // (AArch64uzp1:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UZP1v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 409815 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v4i16),
     /* 409820 */     GIR_RootConstrainSelectedInstOperands,
     /* 409821 */     // GIR_Coverage, 1886,
     /* 409821 */     GIR_Done,
     /* 409822 */   // Label 8521: @409822
     /* 409822 */   GIM_Try, /*On fail goto*//*Label 8522*/ GIMT_Encode4(409837), // Rule ID 5457 //
     /* 409827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409830 */     // (AArch64uzp1:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (UZP1v4i16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 409830 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v4i16),
     /* 409835 */     GIR_RootConstrainSelectedInstOperands,
     /* 409836 */     // GIR_Coverage, 5457,
     /* 409836 */     GIR_Done,
     /* 409837 */   // Label 8522: @409837
     /* 409837 */   GIM_Reject,
     /* 409838 */ // Label 8520: @409838
     /* 409838 */ GIM_Reject,
     /* 409839 */ // Label 8498: @409839
     /* 409839 */ GIM_Try, /*On fail goto*//*Label 8523*/ GIMT_Encode4(409893),
     /* 409844 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 409847 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 409850 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409854 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409858 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409862 */   GIM_Try, /*On fail goto*//*Label 8524*/ GIMT_Encode4(409877), // Rule ID 1889 //
     /* 409867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409870 */     // (AArch64uzp1:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UZP1v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 409870 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v4i32),
     /* 409875 */     GIR_RootConstrainSelectedInstOperands,
     /* 409876 */     // GIR_Coverage, 1889,
     /* 409876 */     GIR_Done,
     /* 409877 */   // Label 8524: @409877
     /* 409877 */   GIM_Try, /*On fail goto*//*Label 8525*/ GIMT_Encode4(409892), // Rule ID 5460 //
     /* 409882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409885 */     // (AArch64uzp1:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (UZP1v4i32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 409885 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v4i32),
     /* 409890 */     GIR_RootConstrainSelectedInstOperands,
     /* 409891 */     // GIR_Coverage, 5460,
     /* 409891 */     GIR_Done,
     /* 409892 */   // Label 8525: @409892
     /* 409892 */   GIM_Reject,
     /* 409893 */ // Label 8523: @409893
     /* 409893 */ GIM_Reject,
     /* 409894 */ // Label 8499: @409894
     /* 409894 */ GIM_Try, /*On fail goto*//*Label 8526*/ GIMT_Encode4(409927), // Rule ID 1884 //
     /* 409899 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409902 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 409905 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 409908 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 409912 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 409916 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 409920 */   // (AArch64uzp1:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UZP1v8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 409920 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v8i8),
     /* 409925 */   GIR_RootConstrainSelectedInstOperands,
     /* 409926 */   // GIR_Coverage, 1884,
     /* 409926 */   GIR_Done,
     /* 409927 */ // Label 8526: @409927
     /* 409927 */ GIM_Reject,
     /* 409928 */ // Label 8500: @409928
     /* 409928 */ GIM_Try, /*On fail goto*//*Label 8527*/ GIMT_Encode4(409982),
     /* 409933 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 409936 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 409939 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409943 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409947 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409951 */   GIM_Try, /*On fail goto*//*Label 8528*/ GIMT_Encode4(409966), // Rule ID 1887 //
     /* 409956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409959 */     // (AArch64uzp1:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UZP1v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 409959 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v8i16),
     /* 409964 */     GIR_RootConstrainSelectedInstOperands,
     /* 409965 */     // GIR_Coverage, 1887,
     /* 409965 */     GIR_Done,
     /* 409966 */   // Label 8528: @409966
     /* 409966 */   GIM_Try, /*On fail goto*//*Label 8529*/ GIMT_Encode4(409981), // Rule ID 5458 //
     /* 409971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409974 */     // (AArch64uzp1:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (UZP1v8i16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 409974 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v8i16),
     /* 409979 */     GIR_RootConstrainSelectedInstOperands,
     /* 409980 */     // GIR_Coverage, 5458,
     /* 409980 */     GIR_Done,
     /* 409981 */   // Label 8529: @409981
     /* 409981 */   GIM_Reject,
     /* 409982 */ // Label 8527: @409982
     /* 409982 */ GIM_Reject,
     /* 409983 */ // Label 8501: @409983
     /* 409983 */ GIM_Try, /*On fail goto*//*Label 8530*/ GIMT_Encode4(410016), // Rule ID 1885 //
     /* 409988 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409991 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 409994 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 409997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410001 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410005 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410009 */   // (AArch64uzp1:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UZP1v16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 410009 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v16i8),
     /* 410014 */   GIR_RootConstrainSelectedInstOperands,
     /* 410015 */   // GIR_Coverage, 1885,
     /* 410015 */   GIR_Done,
     /* 410016 */ // Label 8530: @410016
     /* 410016 */ GIM_Reject,
     /* 410017 */ // Label 8502: @410017
     /* 410017 */ GIM_Try, /*On fail goto*//*Label 8531*/ GIMT_Encode4(410042), // Rule ID 8904 //
     /* 410022 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410025 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 410028 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 410031 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 410035 */   // (AArch64uzp1:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (UZP1_PPP_D:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 410035 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_PPP_D),
     /* 410040 */   GIR_RootConstrainSelectedInstOperands,
     /* 410041 */   // GIR_Coverage, 8904,
     /* 410041 */   GIR_Done,
     /* 410042 */ // Label 8531: @410042
     /* 410042 */ GIM_Reject,
     /* 410043 */ // Label 8503: @410043
     /* 410043 */ GIM_Try, /*On fail goto*//*Label 8532*/ GIMT_Encode4(410068), // Rule ID 8866 //
     /* 410048 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410051 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 410054 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 410057 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 410061 */   // (AArch64uzp1:{ *:[nxv2f16] } nxv2f16:{ *:[nxv2f16] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2)  =>  (UZP1_ZZZ_D:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$Op1, ?:{ *:[nxv2f16] }:$Op2)
     /* 410061 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_D),
     /* 410066 */   GIR_RootConstrainSelectedInstOperands,
     /* 410067 */   // GIR_Coverage, 8866,
     /* 410067 */   GIR_Done,
     /* 410068 */ // Label 8532: @410068
     /* 410068 */ GIM_Reject,
     /* 410069 */ // Label 8504: @410069
     /* 410069 */ GIM_Try, /*On fail goto*//*Label 8533*/ GIMT_Encode4(410094), // Rule ID 8867 //
     /* 410074 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410077 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 410080 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 410083 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 410087 */   // (AArch64uzp1:{ *:[nxv2f32] } nxv2f32:{ *:[nxv2f32] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2)  =>  (UZP1_ZZZ_D:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$Op1, ?:{ *:[nxv2f32] }:$Op2)
     /* 410087 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_D),
     /* 410092 */   GIR_RootConstrainSelectedInstOperands,
     /* 410093 */   // GIR_Coverage, 8867,
     /* 410093 */   GIR_Done,
     /* 410094 */ // Label 8533: @410094
     /* 410094 */ GIM_Reject,
     /* 410095 */ // Label 8505: @410095
     /* 410095 */ GIM_Try, /*On fail goto*//*Label 8534*/ GIMT_Encode4(410141),
     /* 410100 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 410103 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 410106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 410110 */   GIM_Try, /*On fail goto*//*Label 8535*/ GIMT_Encode4(410125), // Rule ID 8862 //
     /* 410115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410118 */     // (AArch64uzp1:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (UZP1_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 410118 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_D),
     /* 410123 */     GIR_RootConstrainSelectedInstOperands,
     /* 410124 */     // GIR_Coverage, 8862,
     /* 410124 */     GIR_Done,
     /* 410125 */   // Label 8535: @410125
     /* 410125 */   GIM_Try, /*On fail goto*//*Label 8536*/ GIMT_Encode4(410140), // Rule ID 8868 //
     /* 410130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410133 */     // (AArch64uzp1:{ *:[nxv2f64] } nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (UZP1_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 410133 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_D),
     /* 410138 */     GIR_RootConstrainSelectedInstOperands,
     /* 410139 */     // GIR_Coverage, 8868,
     /* 410139 */     GIR_Done,
     /* 410140 */   // Label 8536: @410140
     /* 410140 */   GIM_Reject,
     /* 410141 */ // Label 8534: @410141
     /* 410141 */ GIM_Reject,
     /* 410142 */ // Label 8506: @410142
     /* 410142 */ GIM_Try, /*On fail goto*//*Label 8537*/ GIMT_Encode4(410167), // Rule ID 8903 //
     /* 410147 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410150 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 410153 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 410156 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 410160 */   // (AArch64uzp1:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (UZP1_PPP_S:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 410160 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_PPP_S),
     /* 410165 */   GIR_RootConstrainSelectedInstOperands,
     /* 410166 */   // GIR_Coverage, 8903,
     /* 410166 */   GIR_Done,
     /* 410167 */ // Label 8537: @410167
     /* 410167 */ GIM_Reject,
     /* 410168 */ // Label 8507: @410168
     /* 410168 */ GIM_Try, /*On fail goto*//*Label 8538*/ GIMT_Encode4(410193), // Rule ID 8864 //
     /* 410173 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410176 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 410179 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 410182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 410186 */   // (AArch64uzp1:{ *:[nxv4f16] } nxv4f16:{ *:[nxv4f16] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2)  =>  (UZP1_ZZZ_S:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$Op1, ?:{ *:[nxv4f16] }:$Op2)
     /* 410186 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_S),
     /* 410191 */   GIR_RootConstrainSelectedInstOperands,
     /* 410192 */   // GIR_Coverage, 8864,
     /* 410192 */   GIR_Done,
     /* 410193 */ // Label 8538: @410193
     /* 410193 */ GIM_Reject,
     /* 410194 */ // Label 8508: @410194
     /* 410194 */ GIM_Try, /*On fail goto*//*Label 8539*/ GIMT_Encode4(410240),
     /* 410199 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 410202 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 410205 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 410209 */   GIM_Try, /*On fail goto*//*Label 8540*/ GIMT_Encode4(410224), // Rule ID 8861 //
     /* 410214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410217 */     // (AArch64uzp1:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UZP1_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 410217 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_S),
     /* 410222 */     GIR_RootConstrainSelectedInstOperands,
     /* 410223 */     // GIR_Coverage, 8861,
     /* 410223 */     GIR_Done,
     /* 410224 */   // Label 8540: @410224
     /* 410224 */   GIM_Try, /*On fail goto*//*Label 8541*/ GIMT_Encode4(410239), // Rule ID 8865 //
     /* 410229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410232 */     // (AArch64uzp1:{ *:[nxv4f32] } nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (UZP1_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 410232 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_S),
     /* 410237 */     GIR_RootConstrainSelectedInstOperands,
     /* 410238 */     // GIR_Coverage, 8865,
     /* 410238 */     GIR_Done,
     /* 410239 */   // Label 8541: @410239
     /* 410239 */   GIM_Reject,
     /* 410240 */ // Label 8539: @410240
     /* 410240 */ GIM_Reject,
     /* 410241 */ // Label 8509: @410241
     /* 410241 */ GIM_Try, /*On fail goto*//*Label 8542*/ GIMT_Encode4(410266), // Rule ID 8902 //
     /* 410246 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410249 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 410252 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 410255 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 410259 */   // (AArch64uzp1:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (UZP1_PPP_H:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 410259 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_PPP_H),
     /* 410264 */   GIR_RootConstrainSelectedInstOperands,
     /* 410265 */   // GIR_Coverage, 8902,
     /* 410265 */   GIR_Done,
     /* 410266 */ // Label 8542: @410266
     /* 410266 */ GIM_Reject,
     /* 410267 */ // Label 8510: @410267
     /* 410267 */ GIM_Try, /*On fail goto*//*Label 8543*/ GIMT_Encode4(410313),
     /* 410272 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 410275 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 410278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 410282 */   GIM_Try, /*On fail goto*//*Label 8544*/ GIMT_Encode4(410297), // Rule ID 8860 //
     /* 410287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410290 */     // (AArch64uzp1:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UZP1_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 410290 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_H),
     /* 410295 */     GIR_RootConstrainSelectedInstOperands,
     /* 410296 */     // GIR_Coverage, 8860,
     /* 410296 */     GIR_Done,
     /* 410297 */   // Label 8544: @410297
     /* 410297 */   GIM_Try, /*On fail goto*//*Label 8545*/ GIMT_Encode4(410312), // Rule ID 8863 //
     /* 410302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410305 */     // (AArch64uzp1:{ *:[nxv8f16] } nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (UZP1_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 410305 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_H),
     /* 410310 */     GIR_RootConstrainSelectedInstOperands,
     /* 410311 */     // GIR_Coverage, 8863,
     /* 410311 */     GIR_Done,
     /* 410312 */   // Label 8545: @410312
     /* 410312 */   GIM_Reject,
     /* 410313 */ // Label 8543: @410313
     /* 410313 */ GIM_Reject,
     /* 410314 */ // Label 8511: @410314
     /* 410314 */ GIM_Try, /*On fail goto*//*Label 8546*/ GIMT_Encode4(410339), // Rule ID 2406 //
     /* 410319 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410322 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 410325 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 410328 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 410332 */   // (AArch64uzp1:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (UZP1_PPP_B:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 410332 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_PPP_B),
     /* 410337 */   GIR_RootConstrainSelectedInstOperands,
     /* 410338 */   // GIR_Coverage, 2406,
     /* 410338 */   GIR_Done,
     /* 410339 */ // Label 8546: @410339
     /* 410339 */ GIM_Reject,
     /* 410340 */ // Label 8512: @410340
     /* 410340 */ GIM_Try, /*On fail goto*//*Label 8547*/ GIMT_Encode4(410365), // Rule ID 8859 //
     /* 410345 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410348 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 410351 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 410354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 410358 */   // (AArch64uzp1:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UZP1_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 410358 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_B),
     /* 410363 */   GIR_RootConstrainSelectedInstOperands,
     /* 410364 */   // GIR_Coverage, 8859,
     /* 410364 */   GIR_Done,
     /* 410365 */ // Label 8547: @410365
     /* 410365 */ GIM_Reject,
     /* 410366 */ // Label 8513: @410366
     /* 410366 */ GIM_Reject,
     /* 410367 */ // Label 152: @410367
     /* 410367 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(24), /*)*//*default:*//*Label 8566*/ GIMT_Encode4(411146),
     /* 410378 */ /*GILLT_v2s32*//*Label 8548*/ GIMT_Encode4(410454),
     /* 410382 */ /*GILLT_v2s64*//*Label 8549*/ GIMT_Encode4(410509),
     /* 410386 */ /*GILLT_v4s16*//*Label 8550*/ GIMT_Encode4(410564),
     /* 410390 */ /*GILLT_v4s32*//*Label 8551*/ GIMT_Encode4(410619),
     /* 410394 */ /*GILLT_v8s8*//*Label 8552*/ GIMT_Encode4(410674),
     /* 410398 */ /*GILLT_v8s16*//*Label 8553*/ GIMT_Encode4(410708),
     /* 410402 */ /*GILLT_v16s8*//*Label 8554*/ GIMT_Encode4(410763), GIMT_Encode4(0),
     /* 410410 */ /*GILLT_nxv2s1*//*Label 8555*/ GIMT_Encode4(410797),
     /* 410414 */ /*GILLT_nxv2s16*//*Label 8556*/ GIMT_Encode4(410823),
     /* 410418 */ /*GILLT_nxv2s32*//*Label 8557*/ GIMT_Encode4(410849),
     /* 410422 */ /*GILLT_nxv2s64*//*Label 8558*/ GIMT_Encode4(410875),
     /* 410426 */ /*GILLT_nxv4s1*//*Label 8559*/ GIMT_Encode4(410922),
     /* 410430 */ /*GILLT_nxv4s16*//*Label 8560*/ GIMT_Encode4(410948),
     /* 410434 */ /*GILLT_nxv4s32*//*Label 8561*/ GIMT_Encode4(410974),
     /* 410438 */ /*GILLT_nxv8s1*//*Label 8562*/ GIMT_Encode4(411021),
     /* 410442 */ /*GILLT_nxv8s16*//*Label 8563*/ GIMT_Encode4(411047),
     /* 410446 */ /*GILLT_nxv16s1*//*Label 8564*/ GIMT_Encode4(411094),
     /* 410450 */ /*GILLT_nxv16s8*//*Label 8565*/ GIMT_Encode4(411120),
     /* 410454 */ // Label 8548: @410454
     /* 410454 */ GIM_Try, /*On fail goto*//*Label 8567*/ GIMT_Encode4(410508),
     /* 410459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 410462 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 410465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 410469 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 410473 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 410477 */   GIM_Try, /*On fail goto*//*Label 8568*/ GIMT_Encode4(410492), // Rule ID 1895 //
     /* 410482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 410485 */     // (AArch64uzp2:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UZP2v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 410485 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v2i32),
     /* 410490 */     GIR_RootConstrainSelectedInstOperands,
     /* 410491 */     // GIR_Coverage, 1895,
     /* 410491 */     GIR_Done,
     /* 410492 */   // Label 8568: @410492
     /* 410492 */   GIM_Try, /*On fail goto*//*Label 8569*/ GIMT_Encode4(410507), // Rule ID 5464 //
     /* 410497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 410500 */     // (AArch64uzp2:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (UZP2v2i32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 410500 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v2i32),
     /* 410505 */     GIR_RootConstrainSelectedInstOperands,
     /* 410506 */     // GIR_Coverage, 5464,
     /* 410506 */     GIR_Done,
     /* 410507 */   // Label 8569: @410507
     /* 410507 */   GIM_Reject,
     /* 410508 */ // Label 8567: @410508
     /* 410508 */ GIM_Reject,
     /* 410509 */ // Label 8549: @410509
     /* 410509 */ GIM_Try, /*On fail goto*//*Label 8570*/ GIMT_Encode4(410563),
     /* 410514 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 410517 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 410520 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410524 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410528 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410532 */   GIM_Try, /*On fail goto*//*Label 8571*/ GIMT_Encode4(410547), // Rule ID 1897 //
     /* 410537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 410540 */     // (AArch64uzp2:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (UZP2v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 410540 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v2i64),
     /* 410545 */     GIR_RootConstrainSelectedInstOperands,
     /* 410546 */     // GIR_Coverage, 1897,
     /* 410546 */     GIR_Done,
     /* 410547 */   // Label 8571: @410547
     /* 410547 */   GIM_Try, /*On fail goto*//*Label 8572*/ GIMT_Encode4(410562), // Rule ID 5466 //
     /* 410552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 410555 */     // (AArch64uzp2:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (UZP2v2i64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 410555 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v2i64),
     /* 410560 */     GIR_RootConstrainSelectedInstOperands,
     /* 410561 */     // GIR_Coverage, 5466,
     /* 410561 */     GIR_Done,
     /* 410562 */   // Label 8572: @410562
     /* 410562 */   GIM_Reject,
     /* 410563 */ // Label 8570: @410563
     /* 410563 */ GIM_Reject,
     /* 410564 */ // Label 8550: @410564
     /* 410564 */ GIM_Try, /*On fail goto*//*Label 8573*/ GIMT_Encode4(410618),
     /* 410569 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 410572 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 410575 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 410579 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 410583 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 410587 */   GIM_Try, /*On fail goto*//*Label 8574*/ GIMT_Encode4(410602), // Rule ID 1893 //
     /* 410592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 410595 */     // (AArch64uzp2:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UZP2v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 410595 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v4i16),
     /* 410600 */     GIR_RootConstrainSelectedInstOperands,
     /* 410601 */     // GIR_Coverage, 1893,
     /* 410601 */     GIR_Done,
     /* 410602 */   // Label 8574: @410602
     /* 410602 */   GIM_Try, /*On fail goto*//*Label 8575*/ GIMT_Encode4(410617), // Rule ID 5462 //
     /* 410607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 410610 */     // (AArch64uzp2:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (UZP2v4i16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 410610 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v4i16),
     /* 410615 */     GIR_RootConstrainSelectedInstOperands,
     /* 410616 */     // GIR_Coverage, 5462,
     /* 410616 */     GIR_Done,
     /* 410617 */   // Label 8575: @410617
     /* 410617 */   GIM_Reject,
     /* 410618 */ // Label 8573: @410618
     /* 410618 */ GIM_Reject,
     /* 410619 */ // Label 8551: @410619
     /* 410619 */ GIM_Try, /*On fail goto*//*Label 8576*/ GIMT_Encode4(410673),
     /* 410624 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 410627 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 410630 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410634 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410638 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410642 */   GIM_Try, /*On fail goto*//*Label 8577*/ GIMT_Encode4(410657), // Rule ID 1896 //
     /* 410647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 410650 */     // (AArch64uzp2:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UZP2v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 410650 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v4i32),
     /* 410655 */     GIR_RootConstrainSelectedInstOperands,
     /* 410656 */     // GIR_Coverage, 1896,
     /* 410656 */     GIR_Done,
     /* 410657 */   // Label 8577: @410657
     /* 410657 */   GIM_Try, /*On fail goto*//*Label 8578*/ GIMT_Encode4(410672), // Rule ID 5465 //
     /* 410662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 410665 */     // (AArch64uzp2:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (UZP2v4i32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 410665 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v4i32),
     /* 410670 */     GIR_RootConstrainSelectedInstOperands,
     /* 410671 */     // GIR_Coverage, 5465,
     /* 410671 */     GIR_Done,
     /* 410672 */   // Label 8578: @410672
     /* 410672 */   GIM_Reject,
     /* 410673 */ // Label 8576: @410673
     /* 410673 */ GIM_Reject,
     /* 410674 */ // Label 8552: @410674
     /* 410674 */ GIM_Try, /*On fail goto*//*Label 8579*/ GIMT_Encode4(410707), // Rule ID 1891 //
     /* 410679 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 410682 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 410685 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 410688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 410692 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 410696 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 410700 */   // (AArch64uzp2:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UZP2v8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 410700 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v8i8),
     /* 410705 */   GIR_RootConstrainSelectedInstOperands,
     /* 410706 */   // GIR_Coverage, 1891,
     /* 410706 */   GIR_Done,
     /* 410707 */ // Label 8579: @410707
     /* 410707 */ GIM_Reject,
     /* 410708 */ // Label 8553: @410708
     /* 410708 */ GIM_Try, /*On fail goto*//*Label 8580*/ GIMT_Encode4(410762),
     /* 410713 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 410716 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 410719 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410723 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410727 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410731 */   GIM_Try, /*On fail goto*//*Label 8581*/ GIMT_Encode4(410746), // Rule ID 1894 //
     /* 410736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 410739 */     // (AArch64uzp2:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UZP2v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 410739 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v8i16),
     /* 410744 */     GIR_RootConstrainSelectedInstOperands,
     /* 410745 */     // GIR_Coverage, 1894,
     /* 410745 */     GIR_Done,
     /* 410746 */   // Label 8581: @410746
     /* 410746 */   GIM_Try, /*On fail goto*//*Label 8582*/ GIMT_Encode4(410761), // Rule ID 5463 //
     /* 410751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 410754 */     // (AArch64uzp2:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (UZP2v8i16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 410754 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v8i16),
     /* 410759 */     GIR_RootConstrainSelectedInstOperands,
     /* 410760 */     // GIR_Coverage, 5463,
     /* 410760 */     GIR_Done,
     /* 410761 */   // Label 8582: @410761
     /* 410761 */   GIM_Reject,
     /* 410762 */ // Label 8580: @410762
     /* 410762 */ GIM_Reject,
     /* 410763 */ // Label 8554: @410763
     /* 410763 */ GIM_Try, /*On fail goto*//*Label 8583*/ GIMT_Encode4(410796), // Rule ID 1892 //
     /* 410768 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 410771 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 410774 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 410777 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410781 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410785 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410789 */   // (AArch64uzp2:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UZP2v16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 410789 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v16i8),
     /* 410794 */   GIR_RootConstrainSelectedInstOperands,
     /* 410795 */   // GIR_Coverage, 1892,
     /* 410795 */   GIR_Done,
     /* 410796 */ // Label 8583: @410796
     /* 410796 */ GIM_Reject,
     /* 410797 */ // Label 8555: @410797
     /* 410797 */ GIM_Try, /*On fail goto*//*Label 8584*/ GIMT_Encode4(410822), // Rule ID 8907 //
     /* 410802 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410805 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 410808 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 410811 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 410815 */   // (AArch64uzp2:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (UZP2_PPP_D:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 410815 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_PPP_D),
     /* 410820 */   GIR_RootConstrainSelectedInstOperands,
     /* 410821 */   // GIR_Coverage, 8907,
     /* 410821 */   GIR_Done,
     /* 410822 */ // Label 8584: @410822
     /* 410822 */ GIM_Reject,
     /* 410823 */ // Label 8556: @410823
     /* 410823 */ GIM_Try, /*On fail goto*//*Label 8585*/ GIMT_Encode4(410848), // Rule ID 8876 //
     /* 410828 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410831 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 410834 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 410837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 410841 */   // (AArch64uzp2:{ *:[nxv2f16] } nxv2f16:{ *:[nxv2f16] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2)  =>  (UZP2_ZZZ_D:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$Op1, ?:{ *:[nxv2f16] }:$Op2)
     /* 410841 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_D),
     /* 410846 */   GIR_RootConstrainSelectedInstOperands,
     /* 410847 */   // GIR_Coverage, 8876,
     /* 410847 */   GIR_Done,
     /* 410848 */ // Label 8585: @410848
     /* 410848 */ GIM_Reject,
     /* 410849 */ // Label 8557: @410849
     /* 410849 */ GIM_Try, /*On fail goto*//*Label 8586*/ GIMT_Encode4(410874), // Rule ID 8877 //
     /* 410854 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410857 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 410860 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 410863 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 410867 */   // (AArch64uzp2:{ *:[nxv2f32] } nxv2f32:{ *:[nxv2f32] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2)  =>  (UZP2_ZZZ_D:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$Op1, ?:{ *:[nxv2f32] }:$Op2)
     /* 410867 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_D),
     /* 410872 */   GIR_RootConstrainSelectedInstOperands,
     /* 410873 */   // GIR_Coverage, 8877,
     /* 410873 */   GIR_Done,
     /* 410874 */ // Label 8586: @410874
     /* 410874 */ GIM_Reject,
     /* 410875 */ // Label 8558: @410875
     /* 410875 */ GIM_Try, /*On fail goto*//*Label 8587*/ GIMT_Encode4(410921),
     /* 410880 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 410883 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 410886 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 410890 */   GIM_Try, /*On fail goto*//*Label 8588*/ GIMT_Encode4(410905), // Rule ID 8872 //
     /* 410895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410898 */     // (AArch64uzp2:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (UZP2_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 410898 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_D),
     /* 410903 */     GIR_RootConstrainSelectedInstOperands,
     /* 410904 */     // GIR_Coverage, 8872,
     /* 410904 */     GIR_Done,
     /* 410905 */   // Label 8588: @410905
     /* 410905 */   GIM_Try, /*On fail goto*//*Label 8589*/ GIMT_Encode4(410920), // Rule ID 8878 //
     /* 410910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410913 */     // (AArch64uzp2:{ *:[nxv2f64] } nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (UZP2_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 410913 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_D),
     /* 410918 */     GIR_RootConstrainSelectedInstOperands,
     /* 410919 */     // GIR_Coverage, 8878,
     /* 410919 */     GIR_Done,
     /* 410920 */   // Label 8589: @410920
     /* 410920 */   GIM_Reject,
     /* 410921 */ // Label 8587: @410921
     /* 410921 */ GIM_Reject,
     /* 410922 */ // Label 8559: @410922
     /* 410922 */ GIM_Try, /*On fail goto*//*Label 8590*/ GIMT_Encode4(410947), // Rule ID 8906 //
     /* 410927 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410930 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 410933 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 410936 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 410940 */   // (AArch64uzp2:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (UZP2_PPP_S:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 410940 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_PPP_S),
     /* 410945 */   GIR_RootConstrainSelectedInstOperands,
     /* 410946 */   // GIR_Coverage, 8906,
     /* 410946 */   GIR_Done,
     /* 410947 */ // Label 8590: @410947
     /* 410947 */ GIM_Reject,
     /* 410948 */ // Label 8560: @410948
     /* 410948 */ GIM_Try, /*On fail goto*//*Label 8591*/ GIMT_Encode4(410973), // Rule ID 8874 //
     /* 410953 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410956 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 410959 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 410962 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 410966 */   // (AArch64uzp2:{ *:[nxv4f16] } nxv4f16:{ *:[nxv4f16] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2)  =>  (UZP2_ZZZ_S:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$Op1, ?:{ *:[nxv4f16] }:$Op2)
     /* 410966 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_S),
     /* 410971 */   GIR_RootConstrainSelectedInstOperands,
     /* 410972 */   // GIR_Coverage, 8874,
     /* 410972 */   GIR_Done,
     /* 410973 */ // Label 8591: @410973
     /* 410973 */ GIM_Reject,
     /* 410974 */ // Label 8561: @410974
     /* 410974 */ GIM_Try, /*On fail goto*//*Label 8592*/ GIMT_Encode4(411020),
     /* 410979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 410982 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 410985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 410989 */   GIM_Try, /*On fail goto*//*Label 8593*/ GIMT_Encode4(411004), // Rule ID 8871 //
     /* 410994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410997 */     // (AArch64uzp2:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UZP2_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 410997 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_S),
     /* 411002 */     GIR_RootConstrainSelectedInstOperands,
     /* 411003 */     // GIR_Coverage, 8871,
     /* 411003 */     GIR_Done,
     /* 411004 */   // Label 8593: @411004
     /* 411004 */   GIM_Try, /*On fail goto*//*Label 8594*/ GIMT_Encode4(411019), // Rule ID 8875 //
     /* 411009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 411012 */     // (AArch64uzp2:{ *:[nxv4f32] } nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (UZP2_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 411012 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_S),
     /* 411017 */     GIR_RootConstrainSelectedInstOperands,
     /* 411018 */     // GIR_Coverage, 8875,
     /* 411018 */     GIR_Done,
     /* 411019 */   // Label 8594: @411019
     /* 411019 */   GIM_Reject,
     /* 411020 */ // Label 8592: @411020
     /* 411020 */ GIM_Reject,
     /* 411021 */ // Label 8562: @411021
     /* 411021 */ GIM_Try, /*On fail goto*//*Label 8595*/ GIMT_Encode4(411046), // Rule ID 8905 //
     /* 411026 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 411029 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 411032 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 411035 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 411039 */   // (AArch64uzp2:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (UZP2_PPP_H:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 411039 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_PPP_H),
     /* 411044 */   GIR_RootConstrainSelectedInstOperands,
     /* 411045 */   // GIR_Coverage, 8905,
     /* 411045 */   GIR_Done,
     /* 411046 */ // Label 8595: @411046
     /* 411046 */ GIM_Reject,
     /* 411047 */ // Label 8563: @411047
     /* 411047 */ GIM_Try, /*On fail goto*//*Label 8596*/ GIMT_Encode4(411093),
     /* 411052 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 411055 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 411058 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 411062 */   GIM_Try, /*On fail goto*//*Label 8597*/ GIMT_Encode4(411077), // Rule ID 8870 //
     /* 411067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 411070 */     // (AArch64uzp2:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UZP2_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 411070 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_H),
     /* 411075 */     GIR_RootConstrainSelectedInstOperands,
     /* 411076 */     // GIR_Coverage, 8870,
     /* 411076 */     GIR_Done,
     /* 411077 */   // Label 8597: @411077
     /* 411077 */   GIM_Try, /*On fail goto*//*Label 8598*/ GIMT_Encode4(411092), // Rule ID 8873 //
     /* 411082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 411085 */     // (AArch64uzp2:{ *:[nxv8f16] } nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (UZP2_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 411085 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_H),
     /* 411090 */     GIR_RootConstrainSelectedInstOperands,
     /* 411091 */     // GIR_Coverage, 8873,
     /* 411091 */     GIR_Done,
     /* 411092 */   // Label 8598: @411092
     /* 411092 */   GIM_Reject,
     /* 411093 */ // Label 8596: @411093
     /* 411093 */ GIM_Reject,
     /* 411094 */ // Label 8564: @411094
     /* 411094 */ GIM_Try, /*On fail goto*//*Label 8599*/ GIMT_Encode4(411119), // Rule ID 2410 //
     /* 411099 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 411102 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 411105 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 411108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 411112 */   // (AArch64uzp2:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (UZP2_PPP_B:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 411112 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_PPP_B),
     /* 411117 */   GIR_RootConstrainSelectedInstOperands,
     /* 411118 */   // GIR_Coverage, 2410,
     /* 411118 */   GIR_Done,
     /* 411119 */ // Label 8599: @411119
     /* 411119 */ GIM_Reject,
     /* 411120 */ // Label 8565: @411120
     /* 411120 */ GIM_Try, /*On fail goto*//*Label 8600*/ GIMT_Encode4(411145), // Rule ID 8869 //
     /* 411125 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 411128 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 411131 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 411134 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 411138 */   // (AArch64uzp2:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UZP2_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 411138 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_B),
     /* 411143 */   GIR_RootConstrainSelectedInstOperands,
     /* 411144 */   // GIR_Coverage, 8869,
     /* 411144 */   GIR_Done,
     /* 411145 */ // Label 8600: @411145
     /* 411145 */ GIM_Reject,
     /* 411146 */ // Label 8566: @411146
     /* 411146 */ GIM_Reject,
     /* 411147 */ // Label 153: @411147
     /* 411147 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(12), /*)*//*default:*//*Label 8609*/ GIMT_Encode4(411844),
     /* 411158 */ /*GILLT_s64*//*Label 8601*/ GIMT_Encode4(411194), GIMT_Encode4(0),
     /* 411166 */ /*GILLT_v2s32*//*Label 8602*/ GIMT_Encode4(411305),
     /* 411170 */ /*GILLT_v2s64*//*Label 8603*/ GIMT_Encode4(411382),
     /* 411174 */ /*GILLT_v4s16*//*Label 8604*/ GIMT_Encode4(411459),
     /* 411178 */ /*GILLT_v4s32*//*Label 8605*/ GIMT_Encode4(411536),
     /* 411182 */ /*GILLT_v8s8*//*Label 8606*/ GIMT_Encode4(411613),
     /* 411186 */ /*GILLT_v8s16*//*Label 8607*/ GIMT_Encode4(411690),
     /* 411190 */ /*GILLT_v16s8*//*Label 8608*/ GIMT_Encode4(411767),
     /* 411194 */ // Label 8601: @411194
     /* 411194 */ GIM_Try, /*On fail goto*//*Label 8610*/ GIMT_Encode4(411304),
     /* 411199 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 411202 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 411206 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 411210 */   GIM_Try, /*On fail goto*//*Label 8611*/ GIMT_Encode4(411235), // Rule ID 5236 //
     /* 411215 */     // MIs[0] Operand 2
     /* 411215 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(63),
     /* 411226 */     // (AArch64vashr:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn, 63:{ *:[i32] })  =>  (CMLTv1i64rz:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn)
     /* 411226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv1i64rz),
     /* 411229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 411231 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 411233 */     GIR_RootConstrainSelectedInstOperands,
     /* 411234 */     // GIR_Coverage, 5236,
     /* 411234 */     GIR_EraseRootFromParent_Done,
     /* 411235 */   // Label 8611: @411235
     /* 411235 */   GIM_Try, /*On fail goto*//*Label 8612*/ GIMT_Encode4(411269), // Rule ID 2120 //
     /* 411240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 411243 */     // MIs[0] imm
     /* 411243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 411247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 411251 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 411255 */     // MIs[1] Operand 1
     /* 411255 */     // No operand predicates
     /* 411255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 411257 */     // (AArch64vashr:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (SSHRd:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 411257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHRd),
     /* 411260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 411262 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 411264 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 411267 */     GIR_RootConstrainSelectedInstOperands,
     /* 411268 */     // GIR_Coverage, 2120,
     /* 411268 */     GIR_EraseRootFromParent_Done,
     /* 411269 */   // Label 8612: @411269
     /* 411269 */   GIM_Try, /*On fail goto*//*Label 8613*/ GIMT_Encode4(411303), // Rule ID 6260 //
     /* 411274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 411277 */     // MIs[0] imm
     /* 411277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 411281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 411285 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 411289 */     // MIs[1] Operand 1
     /* 411289 */     // No operand predicates
     /* 411289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 411291 */     // (AArch64vashr:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (SSHRd:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /* 411291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHRd),
     /* 411294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 411296 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 411298 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 411301 */     GIR_RootConstrainSelectedInstOperands,
     /* 411302 */     // GIR_Coverage, 6260,
     /* 411302 */     GIR_EraseRootFromParent_Done,
     /* 411303 */   // Label 8613: @411303
     /* 411303 */   GIM_Reject,
     /* 411304 */ // Label 8610: @411304
     /* 411304 */ GIM_Reject,
     /* 411305 */ // Label 8602: @411305
     /* 411305 */ GIM_Try, /*On fail goto*//*Label 8614*/ GIMT_Encode4(411381),
     /* 411310 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 411313 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 411317 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 411321 */   GIM_Try, /*On fail goto*//*Label 8615*/ GIMT_Encode4(411346), // Rule ID 4880 //
     /* 411326 */     // MIs[0] Operand 2
     /* 411326 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(31),
     /* 411337 */     // (AArch64vashr:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, 31:{ *:[i32] })  =>  (CMLTv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 411337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv2i32rz),
     /* 411340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 411342 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 411344 */     GIR_RootConstrainSelectedInstOperands,
     /* 411345 */     // GIR_Coverage, 4880,
     /* 411345 */     GIR_EraseRootFromParent_Done,
     /* 411346 */   // Label 8615: @411346
     /* 411346 */   GIM_Try, /*On fail goto*//*Label 8616*/ GIMT_Encode4(411380), // Rule ID 2227 //
     /* 411351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 411354 */     // MIs[0] imm
     /* 411354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 411358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 411362 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 411366 */     // MIs[1] Operand 1
     /* 411366 */     // No operand predicates
     /* 411366 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 411368 */     // (AArch64vashr:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (SSHRv2i32_shift:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 411368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHRv2i32_shift),
     /* 411371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 411373 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 411375 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 411378 */     GIR_RootConstrainSelectedInstOperands,
     /* 411379 */     // GIR_Coverage, 2227,
     /* 411379 */     GIR_EraseRootFromParent_Done,
     /* 411380 */   // Label 8616: @411380
     /* 411380 */   GIM_Reject,
     /* 411381 */ // Label 8614: @411381
     /* 411381 */ GIM_Reject,
     /* 411382 */ // Label 8603: @411382
     /* 411382 */ GIM_Try, /*On fail goto*//*Label 8617*/ GIMT_Encode4(411458),
     /* 411387 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 411390 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411394 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411398 */   GIM_Try, /*On fail goto*//*Label 8618*/ GIMT_Encode4(411423), // Rule ID 4884 //
     /* 411403 */     // MIs[0] Operand 2
     /* 411403 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(63),
     /* 411414 */     // (AArch64vashr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, 63:{ *:[i32] })  =>  (CMLTv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 411414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv2i64rz),
     /* 411417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 411419 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 411421 */     GIR_RootConstrainSelectedInstOperands,
     /* 411422 */     // GIR_Coverage, 4884,
     /* 411422 */     GIR_EraseRootFromParent_Done,
     /* 411423 */   // Label 8618: @411423
     /* 411423 */   GIM_Try, /*On fail goto*//*Label 8619*/ GIMT_Encode4(411457), // Rule ID 2229 //
     /* 411428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 411431 */     // MIs[0] imm
     /* 411431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 411435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 411439 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 411443 */     // MIs[1] Operand 1
     /* 411443 */     // No operand predicates
     /* 411443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 411445 */     // (AArch64vashr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (SSHRv2i64_shift:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 411445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHRv2i64_shift),
     /* 411448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 411450 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 411452 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 411455 */     GIR_RootConstrainSelectedInstOperands,
     /* 411456 */     // GIR_Coverage, 2229,
     /* 411456 */     GIR_EraseRootFromParent_Done,
     /* 411457 */   // Label 8619: @411457
     /* 411457 */   GIM_Reject,
     /* 411458 */ // Label 8617: @411458
     /* 411458 */ GIM_Reject,
     /* 411459 */ // Label 8604: @411459
     /* 411459 */ GIM_Try, /*On fail goto*//*Label 8620*/ GIMT_Encode4(411535),
     /* 411464 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 411467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 411471 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 411475 */   GIM_Try, /*On fail goto*//*Label 8621*/ GIMT_Encode4(411500), // Rule ID 4879 //
     /* 411480 */     // MIs[0] Operand 2
     /* 411480 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(15),
     /* 411491 */     // (AArch64vashr:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, 15:{ *:[i32] })  =>  (CMLTv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 411491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv4i16rz),
     /* 411494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 411496 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 411498 */     GIR_RootConstrainSelectedInstOperands,
     /* 411499 */     // GIR_Coverage, 4879,
     /* 411499 */     GIR_EraseRootFromParent_Done,
     /* 411500 */   // Label 8621: @411500
     /* 411500 */   GIM_Try, /*On fail goto*//*Label 8622*/ GIMT_Encode4(411534), // Rule ID 2225 //
     /* 411505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 411508 */     // MIs[0] imm
     /* 411508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 411512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 411516 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /* 411520 */     // MIs[1] Operand 1
     /* 411520 */     // No operand predicates
     /* 411520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 411522 */     // (AArch64vashr:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)  =>  (SSHRv4i16_shift:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 411522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHRv4i16_shift),
     /* 411525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 411527 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 411529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 411532 */     GIR_RootConstrainSelectedInstOperands,
     /* 411533 */     // GIR_Coverage, 2225,
     /* 411533 */     GIR_EraseRootFromParent_Done,
     /* 411534 */   // Label 8622: @411534
     /* 411534 */   GIM_Reject,
     /* 411535 */ // Label 8620: @411535
     /* 411535 */ GIM_Reject,
     /* 411536 */ // Label 8605: @411536
     /* 411536 */ GIM_Try, /*On fail goto*//*Label 8623*/ GIMT_Encode4(411612),
     /* 411541 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 411544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411548 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411552 */   GIM_Try, /*On fail goto*//*Label 8624*/ GIMT_Encode4(411577), // Rule ID 4883 //
     /* 411557 */     // MIs[0] Operand 2
     /* 411557 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(31),
     /* 411568 */     // (AArch64vashr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, 31:{ *:[i32] })  =>  (CMLTv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 411568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv4i32rz),
     /* 411571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 411573 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 411575 */     GIR_RootConstrainSelectedInstOperands,
     /* 411576 */     // GIR_Coverage, 4883,
     /* 411576 */     GIR_EraseRootFromParent_Done,
     /* 411577 */   // Label 8624: @411577
     /* 411577 */   GIM_Try, /*On fail goto*//*Label 8625*/ GIMT_Encode4(411611), // Rule ID 2228 //
     /* 411582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 411585 */     // MIs[0] imm
     /* 411585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 411589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 411593 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 411597 */     // MIs[1] Operand 1
     /* 411597 */     // No operand predicates
     /* 411597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 411599 */     // (AArch64vashr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (SSHRv4i32_shift:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 411599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHRv4i32_shift),
     /* 411602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 411604 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 411606 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 411609 */     GIR_RootConstrainSelectedInstOperands,
     /* 411610 */     // GIR_Coverage, 2228,
     /* 411610 */     GIR_EraseRootFromParent_Done,
     /* 411611 */   // Label 8625: @411611
     /* 411611 */   GIM_Reject,
     /* 411612 */ // Label 8623: @411612
     /* 411612 */ GIM_Reject,
     /* 411613 */ // Label 8606: @411613
     /* 411613 */ GIM_Try, /*On fail goto*//*Label 8626*/ GIMT_Encode4(411689),
     /* 411618 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 411621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 411625 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 411629 */   GIM_Try, /*On fail goto*//*Label 8627*/ GIMT_Encode4(411654), // Rule ID 4878 //
     /* 411634 */     // MIs[0] Operand 2
     /* 411634 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(7),
     /* 411645 */     // (AArch64vashr:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, 7:{ *:[i32] })  =>  (CMLTv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 411645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv8i8rz),
     /* 411648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 411650 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 411652 */     GIR_RootConstrainSelectedInstOperands,
     /* 411653 */     // GIR_Coverage, 4878,
     /* 411653 */     GIR_EraseRootFromParent_Done,
     /* 411654 */   // Label 8627: @411654
     /* 411654 */   GIM_Try, /*On fail goto*//*Label 8628*/ GIMT_Encode4(411688), // Rule ID 2223 //
     /* 411659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 411662 */     // MIs[0] imm
     /* 411662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 411666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 411670 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /* 411674 */     // MIs[1] Operand 1
     /* 411674 */     // No operand predicates
     /* 411674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 411676 */     // (AArch64vashr:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm)  =>  (SSHRv8i8_shift:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 411676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHRv8i8_shift),
     /* 411679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 411681 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 411683 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 411686 */     GIR_RootConstrainSelectedInstOperands,
     /* 411687 */     // GIR_Coverage, 2223,
     /* 411687 */     GIR_EraseRootFromParent_Done,
     /* 411688 */   // Label 8628: @411688
     /* 411688 */   GIM_Reject,
     /* 411689 */ // Label 8626: @411689
     /* 411689 */ GIM_Reject,
     /* 411690 */ // Label 8607: @411690
     /* 411690 */ GIM_Try, /*On fail goto*//*Label 8629*/ GIMT_Encode4(411766),
     /* 411695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 411698 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411702 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411706 */   GIM_Try, /*On fail goto*//*Label 8630*/ GIMT_Encode4(411731), // Rule ID 4882 //
     /* 411711 */     // MIs[0] Operand 2
     /* 411711 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(15),
     /* 411722 */     // (AArch64vashr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, 15:{ *:[i32] })  =>  (CMLTv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 411722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv8i16rz),
     /* 411725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 411727 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 411729 */     GIR_RootConstrainSelectedInstOperands,
     /* 411730 */     // GIR_Coverage, 4882,
     /* 411730 */     GIR_EraseRootFromParent_Done,
     /* 411731 */   // Label 8630: @411731
     /* 411731 */   GIM_Try, /*On fail goto*//*Label 8631*/ GIMT_Encode4(411765), // Rule ID 2226 //
     /* 411736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 411739 */     // MIs[0] imm
     /* 411739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 411743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 411747 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /* 411751 */     // MIs[1] Operand 1
     /* 411751 */     // No operand predicates
     /* 411751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 411753 */     // (AArch64vashr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)  =>  (SSHRv8i16_shift:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 411753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHRv8i16_shift),
     /* 411756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 411758 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 411760 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 411763 */     GIR_RootConstrainSelectedInstOperands,
     /* 411764 */     // GIR_Coverage, 2226,
     /* 411764 */     GIR_EraseRootFromParent_Done,
     /* 411765 */   // Label 8631: @411765
     /* 411765 */   GIM_Reject,
     /* 411766 */ // Label 8629: @411766
     /* 411766 */ GIM_Reject,
     /* 411767 */ // Label 8608: @411767
     /* 411767 */ GIM_Try, /*On fail goto*//*Label 8632*/ GIMT_Encode4(411843),
     /* 411772 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 411775 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411779 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411783 */   GIM_Try, /*On fail goto*//*Label 8633*/ GIMT_Encode4(411808), // Rule ID 4881 //
     /* 411788 */     // MIs[0] Operand 2
     /* 411788 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(7),
     /* 411799 */     // (AArch64vashr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, 7:{ *:[i32] })  =>  (CMLTv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 411799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv16i8rz),
     /* 411802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 411804 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 411806 */     GIR_RootConstrainSelectedInstOperands,
     /* 411807 */     // GIR_Coverage, 4881,
     /* 411807 */     GIR_EraseRootFromParent_Done,
     /* 411808 */   // Label 8633: @411808
     /* 411808 */   GIM_Try, /*On fail goto*//*Label 8634*/ GIMT_Encode4(411842), // Rule ID 2224 //
     /* 411813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 411816 */     // MIs[0] imm
     /* 411816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 411820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 411824 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /* 411828 */     // MIs[1] Operand 1
     /* 411828 */     // No operand predicates
     /* 411828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 411830 */     // (AArch64vashr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm)  =>  (SSHRv16i8_shift:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 411830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHRv16i8_shift),
     /* 411833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 411835 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 411837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 411840 */     GIR_RootConstrainSelectedInstOperands,
     /* 411841 */     // GIR_Coverage, 2224,
     /* 411841 */     GIR_EraseRootFromParent_Done,
     /* 411842 */   // Label 8634: @411842
     /* 411842 */   GIM_Reject,
     /* 411843 */ // Label 8632: @411843
     /* 411843 */ GIM_Reject,
     /* 411844 */ // Label 8609: @411844
     /* 411844 */ GIM_Reject,
     /* 411845 */ // Label 154: @411845
     /* 411845 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(12), /*)*//*default:*//*Label 8643*/ GIMT_Encode4(412300),
     /* 411856 */ /*GILLT_s64*//*Label 8635*/ GIMT_Encode4(411892), GIMT_Encode4(0),
     /* 411864 */ /*GILLT_v2s32*//*Label 8636*/ GIMT_Encode4(411978),
     /* 411868 */ /*GILLT_v2s64*//*Label 8637*/ GIMT_Encode4(412024),
     /* 411872 */ /*GILLT_v4s16*//*Label 8638*/ GIMT_Encode4(412070),
     /* 411876 */ /*GILLT_v4s32*//*Label 8639*/ GIMT_Encode4(412116),
     /* 411880 */ /*GILLT_v8s8*//*Label 8640*/ GIMT_Encode4(412162),
     /* 411884 */ /*GILLT_v8s16*//*Label 8641*/ GIMT_Encode4(412208),
     /* 411888 */ /*GILLT_v16s8*//*Label 8642*/ GIMT_Encode4(412254),
     /* 411892 */ // Label 8635: @411892
     /* 411892 */ GIM_Try, /*On fail goto*//*Label 8644*/ GIMT_Encode4(411977),
     /* 411897 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 411900 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 411904 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 411908 */   GIM_Try, /*On fail goto*//*Label 8645*/ GIMT_Encode4(411942), // Rule ID 2129 //
     /* 411913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 411916 */     // MIs[0] imm
     /* 411916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 411920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 411924 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 411928 */     // MIs[1] Operand 1
     /* 411928 */     // No operand predicates
     /* 411928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 411930 */     // (AArch64vlshr:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (USHRd:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 411930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHRd),
     /* 411933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 411935 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 411937 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 411940 */     GIR_RootConstrainSelectedInstOperands,
     /* 411941 */     // GIR_Coverage, 2129,
     /* 411941 */     GIR_EraseRootFromParent_Done,
     /* 411942 */   // Label 8645: @411942
     /* 411942 */   GIM_Try, /*On fail goto*//*Label 8646*/ GIMT_Encode4(411976), // Rule ID 6263 //
     /* 411947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 411950 */     // MIs[0] imm
     /* 411950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 411954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 411958 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 411962 */     // MIs[1] Operand 1
     /* 411962 */     // No operand predicates
     /* 411962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 411964 */     // (AArch64vlshr:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (USHRd:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /* 411964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHRd),
     /* 411967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 411969 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 411971 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 411974 */     GIR_RootConstrainSelectedInstOperands,
     /* 411975 */     // GIR_Coverage, 6263,
     /* 411975 */     GIR_EraseRootFromParent_Done,
     /* 411976 */   // Label 8646: @411976
     /* 411976 */   GIM_Reject,
     /* 411977 */ // Label 8644: @411977
     /* 411977 */ GIM_Reject,
     /* 411978 */ // Label 8636: @411978
     /* 411978 */ GIM_Try, /*On fail goto*//*Label 8647*/ GIMT_Encode4(412023), // Rule ID 2286 //
     /* 411983 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 411986 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 411989 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 411993 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 411997 */   // MIs[0] imm
     /* 411997 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 412001 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 412005 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 412009 */   // MIs[1] Operand 1
     /* 412009 */   // No operand predicates
     /* 412009 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 412011 */   // (AArch64vlshr:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (USHRv2i32_shift:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 412011 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHRv2i32_shift),
     /* 412014 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 412016 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 412018 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 412021 */   GIR_RootConstrainSelectedInstOperands,
     /* 412022 */   // GIR_Coverage, 2286,
     /* 412022 */   GIR_EraseRootFromParent_Done,
     /* 412023 */ // Label 8647: @412023
     /* 412023 */ GIM_Reject,
     /* 412024 */ // Label 8637: @412024
     /* 412024 */ GIM_Try, /*On fail goto*//*Label 8648*/ GIMT_Encode4(412069), // Rule ID 2288 //
     /* 412029 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412032 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 412035 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 412039 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 412043 */   // MIs[0] imm
     /* 412043 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 412047 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 412051 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 412055 */   // MIs[1] Operand 1
     /* 412055 */   // No operand predicates
     /* 412055 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 412057 */   // (AArch64vlshr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (USHRv2i64_shift:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 412057 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHRv2i64_shift),
     /* 412060 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 412062 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 412064 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 412067 */   GIR_RootConstrainSelectedInstOperands,
     /* 412068 */   // GIR_Coverage, 2288,
     /* 412068 */   GIR_EraseRootFromParent_Done,
     /* 412069 */ // Label 8648: @412069
     /* 412069 */ GIM_Reject,
     /* 412070 */ // Label 8638: @412070
     /* 412070 */ GIM_Try, /*On fail goto*//*Label 8649*/ GIMT_Encode4(412115), // Rule ID 2284 //
     /* 412075 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412078 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 412081 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 412085 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 412089 */   // MIs[0] imm
     /* 412089 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 412093 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 412097 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /* 412101 */   // MIs[1] Operand 1
     /* 412101 */   // No operand predicates
     /* 412101 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 412103 */   // (AArch64vlshr:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)  =>  (USHRv4i16_shift:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 412103 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHRv4i16_shift),
     /* 412106 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 412108 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 412110 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 412113 */   GIR_RootConstrainSelectedInstOperands,
     /* 412114 */   // GIR_Coverage, 2284,
     /* 412114 */   GIR_EraseRootFromParent_Done,
     /* 412115 */ // Label 8649: @412115
     /* 412115 */ GIM_Reject,
     /* 412116 */ // Label 8639: @412116
     /* 412116 */ GIM_Try, /*On fail goto*//*Label 8650*/ GIMT_Encode4(412161), // Rule ID 2287 //
     /* 412121 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412124 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 412127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 412131 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 412135 */   // MIs[0] imm
     /* 412135 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 412139 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 412143 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 412147 */   // MIs[1] Operand 1
     /* 412147 */   // No operand predicates
     /* 412147 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 412149 */   // (AArch64vlshr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (USHRv4i32_shift:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 412149 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHRv4i32_shift),
     /* 412152 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 412154 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 412156 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 412159 */   GIR_RootConstrainSelectedInstOperands,
     /* 412160 */   // GIR_Coverage, 2287,
     /* 412160 */   GIR_EraseRootFromParent_Done,
     /* 412161 */ // Label 8650: @412161
     /* 412161 */ GIM_Reject,
     /* 412162 */ // Label 8640: @412162
     /* 412162 */ GIM_Try, /*On fail goto*//*Label 8651*/ GIMT_Encode4(412207), // Rule ID 2282 //
     /* 412167 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412170 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 412173 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 412177 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 412181 */   // MIs[0] imm
     /* 412181 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 412185 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 412189 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /* 412193 */   // MIs[1] Operand 1
     /* 412193 */   // No operand predicates
     /* 412193 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 412195 */   // (AArch64vlshr:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm)  =>  (USHRv8i8_shift:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 412195 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHRv8i8_shift),
     /* 412198 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 412200 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 412202 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 412205 */   GIR_RootConstrainSelectedInstOperands,
     /* 412206 */   // GIR_Coverage, 2282,
     /* 412206 */   GIR_EraseRootFromParent_Done,
     /* 412207 */ // Label 8651: @412207
     /* 412207 */ GIM_Reject,
     /* 412208 */ // Label 8641: @412208
     /* 412208 */ GIM_Try, /*On fail goto*//*Label 8652*/ GIMT_Encode4(412253), // Rule ID 2285 //
     /* 412213 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412216 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 412219 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 412223 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 412227 */   // MIs[0] imm
     /* 412227 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 412231 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 412235 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /* 412239 */   // MIs[1] Operand 1
     /* 412239 */   // No operand predicates
     /* 412239 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 412241 */   // (AArch64vlshr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)  =>  (USHRv8i16_shift:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 412241 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHRv8i16_shift),
     /* 412244 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 412246 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 412248 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 412251 */   GIR_RootConstrainSelectedInstOperands,
     /* 412252 */   // GIR_Coverage, 2285,
     /* 412252 */   GIR_EraseRootFromParent_Done,
     /* 412253 */ // Label 8652: @412253
     /* 412253 */ GIM_Reject,
     /* 412254 */ // Label 8642: @412254
     /* 412254 */ GIM_Try, /*On fail goto*//*Label 8653*/ GIMT_Encode4(412299), // Rule ID 2283 //
     /* 412259 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412262 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 412265 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 412269 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 412273 */   // MIs[0] imm
     /* 412273 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 412277 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 412281 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /* 412285 */   // MIs[1] Operand 1
     /* 412285 */   // No operand predicates
     /* 412285 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 412287 */   // (AArch64vlshr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm)  =>  (USHRv16i8_shift:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 412287 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHRv16i8_shift),
     /* 412290 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 412292 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 412294 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 412297 */   GIR_RootConstrainSelectedInstOperands,
     /* 412298 */   // GIR_Coverage, 2283,
     /* 412298 */   GIR_EraseRootFromParent_Done,
     /* 412299 */ // Label 8653: @412299
     /* 412299 */ GIM_Reject,
     /* 412300 */ // Label 8643: @412300
     /* 412300 */ GIM_Reject,
     /* 412301 */ // Label 155: @412301
     /* 412301 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(24), /*)*//*default:*//*Label 8672*/ GIMT_Encode4(413080),
     /* 412312 */ /*GILLT_v2s32*//*Label 8654*/ GIMT_Encode4(412388),
     /* 412316 */ /*GILLT_v2s64*//*Label 8655*/ GIMT_Encode4(412443),
     /* 412320 */ /*GILLT_v4s16*//*Label 8656*/ GIMT_Encode4(412498),
     /* 412324 */ /*GILLT_v4s32*//*Label 8657*/ GIMT_Encode4(412553),
     /* 412328 */ /*GILLT_v8s8*//*Label 8658*/ GIMT_Encode4(412608),
     /* 412332 */ /*GILLT_v8s16*//*Label 8659*/ GIMT_Encode4(412642),
     /* 412336 */ /*GILLT_v16s8*//*Label 8660*/ GIMT_Encode4(412697), GIMT_Encode4(0),
     /* 412344 */ /*GILLT_nxv2s1*//*Label 8661*/ GIMT_Encode4(412731),
     /* 412348 */ /*GILLT_nxv2s16*//*Label 8662*/ GIMT_Encode4(412757),
     /* 412352 */ /*GILLT_nxv2s32*//*Label 8663*/ GIMT_Encode4(412783),
     /* 412356 */ /*GILLT_nxv2s64*//*Label 8664*/ GIMT_Encode4(412809),
     /* 412360 */ /*GILLT_nxv4s1*//*Label 8665*/ GIMT_Encode4(412856),
     /* 412364 */ /*GILLT_nxv4s16*//*Label 8666*/ GIMT_Encode4(412882),
     /* 412368 */ /*GILLT_nxv4s32*//*Label 8667*/ GIMT_Encode4(412908),
     /* 412372 */ /*GILLT_nxv8s1*//*Label 8668*/ GIMT_Encode4(412955),
     /* 412376 */ /*GILLT_nxv8s16*//*Label 8669*/ GIMT_Encode4(412981),
     /* 412380 */ /*GILLT_nxv16s1*//*Label 8670*/ GIMT_Encode4(413028),
     /* 412384 */ /*GILLT_nxv16s8*//*Label 8671*/ GIMT_Encode4(413054),
     /* 412388 */ // Label 8654: @412388
     /* 412388 */ GIM_Try, /*On fail goto*//*Label 8673*/ GIMT_Encode4(412442),
     /* 412393 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 412396 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 412399 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 412403 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 412407 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 412411 */   GIM_Try, /*On fail goto*//*Label 8674*/ GIMT_Encode4(412426), // Rule ID 1902 //
     /* 412416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412419 */     // (AArch64zip1:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (ZIP1v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 412419 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v2i32),
     /* 412424 */     GIR_RootConstrainSelectedInstOperands,
     /* 412425 */     // GIR_Coverage, 1902,
     /* 412425 */     GIR_Done,
     /* 412426 */   // Label 8674: @412426
     /* 412426 */   GIM_Try, /*On fail goto*//*Label 8675*/ GIMT_Encode4(412441), // Rule ID 5469 //
     /* 412431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412434 */     // (AArch64zip1:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (ZIP1v2i32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 412434 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v2i32),
     /* 412439 */     GIR_RootConstrainSelectedInstOperands,
     /* 412440 */     // GIR_Coverage, 5469,
     /* 412440 */     GIR_Done,
     /* 412441 */   // Label 8675: @412441
     /* 412441 */   GIM_Reject,
     /* 412442 */ // Label 8673: @412442
     /* 412442 */ GIM_Reject,
     /* 412443 */ // Label 8655: @412443
     /* 412443 */ GIM_Try, /*On fail goto*//*Label 8676*/ GIMT_Encode4(412497),
     /* 412448 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 412451 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 412454 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 412458 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 412462 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 412466 */   GIM_Try, /*On fail goto*//*Label 8677*/ GIMT_Encode4(412481), // Rule ID 1904 //
     /* 412471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412474 */     // (AArch64zip1:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (ZIP1v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 412474 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v2i64),
     /* 412479 */     GIR_RootConstrainSelectedInstOperands,
     /* 412480 */     // GIR_Coverage, 1904,
     /* 412480 */     GIR_Done,
     /* 412481 */   // Label 8677: @412481
     /* 412481 */   GIM_Try, /*On fail goto*//*Label 8678*/ GIMT_Encode4(412496), // Rule ID 5471 //
     /* 412486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412489 */     // (AArch64zip1:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (ZIP1v2i64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 412489 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v2i64),
     /* 412494 */     GIR_RootConstrainSelectedInstOperands,
     /* 412495 */     // GIR_Coverage, 5471,
     /* 412495 */     GIR_Done,
     /* 412496 */   // Label 8678: @412496
     /* 412496 */   GIM_Reject,
     /* 412497 */ // Label 8676: @412497
     /* 412497 */ GIM_Reject,
     /* 412498 */ // Label 8656: @412498
     /* 412498 */ GIM_Try, /*On fail goto*//*Label 8679*/ GIMT_Encode4(412552),
     /* 412503 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 412506 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 412509 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 412513 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 412517 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 412521 */   GIM_Try, /*On fail goto*//*Label 8680*/ GIMT_Encode4(412536), // Rule ID 1900 //
     /* 412526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412529 */     // (AArch64zip1:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (ZIP1v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 412529 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v4i16),
     /* 412534 */     GIR_RootConstrainSelectedInstOperands,
     /* 412535 */     // GIR_Coverage, 1900,
     /* 412535 */     GIR_Done,
     /* 412536 */   // Label 8680: @412536
     /* 412536 */   GIM_Try, /*On fail goto*//*Label 8681*/ GIMT_Encode4(412551), // Rule ID 5467 //
     /* 412541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412544 */     // (AArch64zip1:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (ZIP1v4i16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 412544 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v4i16),
     /* 412549 */     GIR_RootConstrainSelectedInstOperands,
     /* 412550 */     // GIR_Coverage, 5467,
     /* 412550 */     GIR_Done,
     /* 412551 */   // Label 8681: @412551
     /* 412551 */   GIM_Reject,
     /* 412552 */ // Label 8679: @412552
     /* 412552 */ GIM_Reject,
     /* 412553 */ // Label 8657: @412553
     /* 412553 */ GIM_Try, /*On fail goto*//*Label 8682*/ GIMT_Encode4(412607),
     /* 412558 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 412561 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 412564 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 412568 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 412572 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 412576 */   GIM_Try, /*On fail goto*//*Label 8683*/ GIMT_Encode4(412591), // Rule ID 1903 //
     /* 412581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412584 */     // (AArch64zip1:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (ZIP1v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 412584 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v4i32),
     /* 412589 */     GIR_RootConstrainSelectedInstOperands,
     /* 412590 */     // GIR_Coverage, 1903,
     /* 412590 */     GIR_Done,
     /* 412591 */   // Label 8683: @412591
     /* 412591 */   GIM_Try, /*On fail goto*//*Label 8684*/ GIMT_Encode4(412606), // Rule ID 5470 //
     /* 412596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412599 */     // (AArch64zip1:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (ZIP1v4i32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 412599 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v4i32),
     /* 412604 */     GIR_RootConstrainSelectedInstOperands,
     /* 412605 */     // GIR_Coverage, 5470,
     /* 412605 */     GIR_Done,
     /* 412606 */   // Label 8684: @412606
     /* 412606 */   GIM_Reject,
     /* 412607 */ // Label 8682: @412607
     /* 412607 */ GIM_Reject,
     /* 412608 */ // Label 8658: @412608
     /* 412608 */ GIM_Try, /*On fail goto*//*Label 8685*/ GIMT_Encode4(412641), // Rule ID 1898 //
     /* 412613 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412616 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 412619 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 412622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 412626 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 412630 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 412634 */   // (AArch64zip1:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (ZIP1v8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 412634 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v8i8),
     /* 412639 */   GIR_RootConstrainSelectedInstOperands,
     /* 412640 */   // GIR_Coverage, 1898,
     /* 412640 */   GIR_Done,
     /* 412641 */ // Label 8685: @412641
     /* 412641 */ GIM_Reject,
     /* 412642 */ // Label 8659: @412642
     /* 412642 */ GIM_Try, /*On fail goto*//*Label 8686*/ GIMT_Encode4(412696),
     /* 412647 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 412650 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 412653 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 412657 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 412661 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 412665 */   GIM_Try, /*On fail goto*//*Label 8687*/ GIMT_Encode4(412680), // Rule ID 1901 //
     /* 412670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412673 */     // (AArch64zip1:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (ZIP1v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 412673 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v8i16),
     /* 412678 */     GIR_RootConstrainSelectedInstOperands,
     /* 412679 */     // GIR_Coverage, 1901,
     /* 412679 */     GIR_Done,
     /* 412680 */   // Label 8687: @412680
     /* 412680 */   GIM_Try, /*On fail goto*//*Label 8688*/ GIMT_Encode4(412695), // Rule ID 5468 //
     /* 412685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412688 */     // (AArch64zip1:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (ZIP1v8i16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 412688 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v8i16),
     /* 412693 */     GIR_RootConstrainSelectedInstOperands,
     /* 412694 */     // GIR_Coverage, 5468,
     /* 412694 */     GIR_Done,
     /* 412695 */   // Label 8688: @412695
     /* 412695 */   GIM_Reject,
     /* 412696 */ // Label 8686: @412696
     /* 412696 */ GIM_Reject,
     /* 412697 */ // Label 8660: @412697
     /* 412697 */ GIM_Try, /*On fail goto*//*Label 8689*/ GIMT_Encode4(412730), // Rule ID 1899 //
     /* 412702 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 412708 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 412711 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 412715 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 412719 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 412723 */   // (AArch64zip1:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (ZIP1v16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 412723 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v16i8),
     /* 412728 */   GIR_RootConstrainSelectedInstOperands,
     /* 412729 */   // GIR_Coverage, 1899,
     /* 412729 */   GIR_Done,
     /* 412730 */ // Label 8689: @412730
     /* 412730 */ GIM_Reject,
     /* 412731 */ // Label 8661: @412731
     /* 412731 */ GIM_Try, /*On fail goto*//*Label 8690*/ GIMT_Encode4(412756), // Rule ID 3348 //
     /* 412736 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 412739 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 412742 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 412745 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 412749 */   // (AArch64zip1:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (ZIP1_PPP_D:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 412749 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_PPP_D),
     /* 412754 */   GIR_RootConstrainSelectedInstOperands,
     /* 412755 */   // GIR_Coverage, 3348,
     /* 412755 */   GIR_Done,
     /* 412756 */ // Label 8690: @412756
     /* 412756 */ GIM_Reject,
     /* 412757 */ // Label 8662: @412757
     /* 412757 */ GIM_Try, /*On fail goto*//*Label 8691*/ GIMT_Encode4(412782), // Rule ID 2879 //
     /* 412762 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 412765 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 412768 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 412771 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 412775 */   // (AArch64zip1:{ *:[nxv2f16] } nxv2f16:{ *:[nxv2f16] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2)  =>  (ZIP1_ZZZ_D:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$Op1, ?:{ *:[nxv2f16] }:$Op2)
     /* 412775 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_D),
     /* 412780 */   GIR_RootConstrainSelectedInstOperands,
     /* 412781 */   // GIR_Coverage, 2879,
     /* 412781 */   GIR_Done,
     /* 412782 */ // Label 8691: @412782
     /* 412782 */ GIM_Reject,
     /* 412783 */ // Label 8663: @412783
     /* 412783 */ GIM_Try, /*On fail goto*//*Label 8692*/ GIMT_Encode4(412808), // Rule ID 2880 //
     /* 412788 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 412791 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 412794 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 412797 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 412801 */   // (AArch64zip1:{ *:[nxv2f32] } nxv2f32:{ *:[nxv2f32] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2)  =>  (ZIP1_ZZZ_D:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$Op1, ?:{ *:[nxv2f32] }:$Op2)
     /* 412801 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_D),
     /* 412806 */   GIR_RootConstrainSelectedInstOperands,
     /* 412807 */   // GIR_Coverage, 2880,
     /* 412807 */   GIR_Done,
     /* 412808 */ // Label 8692: @412808
     /* 412808 */ GIM_Reject,
     /* 412809 */ // Label 8664: @412809
     /* 412809 */ GIM_Try, /*On fail goto*//*Label 8693*/ GIMT_Encode4(412855),
     /* 412814 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 412817 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 412820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 412824 */   GIM_Try, /*On fail goto*//*Label 8694*/ GIMT_Encode4(412839), // Rule ID 2875 //
     /* 412829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 412832 */     // (AArch64zip1:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ZIP1_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 412832 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_D),
     /* 412837 */     GIR_RootConstrainSelectedInstOperands,
     /* 412838 */     // GIR_Coverage, 2875,
     /* 412838 */     GIR_Done,
     /* 412839 */   // Label 8694: @412839
     /* 412839 */   GIM_Try, /*On fail goto*//*Label 8695*/ GIMT_Encode4(412854), // Rule ID 2881 //
     /* 412844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 412847 */     // (AArch64zip1:{ *:[nxv2f64] } nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (ZIP1_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 412847 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_D),
     /* 412852 */     GIR_RootConstrainSelectedInstOperands,
     /* 412853 */     // GIR_Coverage, 2881,
     /* 412853 */     GIR_Done,
     /* 412854 */   // Label 8695: @412854
     /* 412854 */   GIM_Reject,
     /* 412855 */ // Label 8693: @412855
     /* 412855 */ GIM_Reject,
     /* 412856 */ // Label 8665: @412856
     /* 412856 */ GIM_Try, /*On fail goto*//*Label 8696*/ GIMT_Encode4(412881), // Rule ID 3347 //
     /* 412861 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 412864 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 412867 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 412870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 412874 */   // (AArch64zip1:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (ZIP1_PPP_S:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 412874 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_PPP_S),
     /* 412879 */   GIR_RootConstrainSelectedInstOperands,
     /* 412880 */   // GIR_Coverage, 3347,
     /* 412880 */   GIR_Done,
     /* 412881 */ // Label 8696: @412881
     /* 412881 */ GIM_Reject,
     /* 412882 */ // Label 8666: @412882
     /* 412882 */ GIM_Try, /*On fail goto*//*Label 8697*/ GIMT_Encode4(412907), // Rule ID 2877 //
     /* 412887 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 412890 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 412893 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 412896 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 412900 */   // (AArch64zip1:{ *:[nxv4f16] } nxv4f16:{ *:[nxv4f16] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2)  =>  (ZIP1_ZZZ_S:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$Op1, ?:{ *:[nxv4f16] }:$Op2)
     /* 412900 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_S),
     /* 412905 */   GIR_RootConstrainSelectedInstOperands,
     /* 412906 */   // GIR_Coverage, 2877,
     /* 412906 */   GIR_Done,
     /* 412907 */ // Label 8697: @412907
     /* 412907 */ GIM_Reject,
     /* 412908 */ // Label 8667: @412908
     /* 412908 */ GIM_Try, /*On fail goto*//*Label 8698*/ GIMT_Encode4(412954),
     /* 412913 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 412916 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 412919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 412923 */   GIM_Try, /*On fail goto*//*Label 8699*/ GIMT_Encode4(412938), // Rule ID 2874 //
     /* 412928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 412931 */     // (AArch64zip1:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ZIP1_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 412931 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_S),
     /* 412936 */     GIR_RootConstrainSelectedInstOperands,
     /* 412937 */     // GIR_Coverage, 2874,
     /* 412937 */     GIR_Done,
     /* 412938 */   // Label 8699: @412938
     /* 412938 */   GIM_Try, /*On fail goto*//*Label 8700*/ GIMT_Encode4(412953), // Rule ID 2878 //
     /* 412943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 412946 */     // (AArch64zip1:{ *:[nxv4f32] } nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (ZIP1_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 412946 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_S),
     /* 412951 */     GIR_RootConstrainSelectedInstOperands,
     /* 412952 */     // GIR_Coverage, 2878,
     /* 412952 */     GIR_Done,
     /* 412953 */   // Label 8700: @412953
     /* 412953 */   GIM_Reject,
     /* 412954 */ // Label 8698: @412954
     /* 412954 */ GIM_Reject,
     /* 412955 */ // Label 8668: @412955
     /* 412955 */ GIM_Try, /*On fail goto*//*Label 8701*/ GIMT_Encode4(412980), // Rule ID 3346 //
     /* 412960 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 412963 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 412966 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 412969 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 412973 */   // (AArch64zip1:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (ZIP1_PPP_H:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 412973 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_PPP_H),
     /* 412978 */   GIR_RootConstrainSelectedInstOperands,
     /* 412979 */   // GIR_Coverage, 3346,
     /* 412979 */   GIR_Done,
     /* 412980 */ // Label 8701: @412980
     /* 412980 */ GIM_Reject,
     /* 412981 */ // Label 8669: @412981
     /* 412981 */ GIM_Try, /*On fail goto*//*Label 8702*/ GIMT_Encode4(413027),
     /* 412986 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 412989 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 412992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 412996 */   GIM_Try, /*On fail goto*//*Label 8703*/ GIMT_Encode4(413011), // Rule ID 2873 //
     /* 413001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413004 */     // (AArch64zip1:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ZIP1_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 413004 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_H),
     /* 413009 */     GIR_RootConstrainSelectedInstOperands,
     /* 413010 */     // GIR_Coverage, 2873,
     /* 413010 */     GIR_Done,
     /* 413011 */   // Label 8703: @413011
     /* 413011 */   GIM_Try, /*On fail goto*//*Label 8704*/ GIMT_Encode4(413026), // Rule ID 2876 //
     /* 413016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413019 */     // (AArch64zip1:{ *:[nxv8f16] } nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (ZIP1_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 413019 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_H),
     /* 413024 */     GIR_RootConstrainSelectedInstOperands,
     /* 413025 */     // GIR_Coverage, 2876,
     /* 413025 */     GIR_Done,
     /* 413026 */   // Label 8704: @413026
     /* 413026 */   GIM_Reject,
     /* 413027 */ // Label 8702: @413027
     /* 413027 */ GIM_Reject,
     /* 413028 */ // Label 8670: @413028
     /* 413028 */ GIM_Try, /*On fail goto*//*Label 8705*/ GIMT_Encode4(413053), // Rule ID 2398 //
     /* 413033 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413036 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 413039 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 413042 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 413046 */   // (AArch64zip1:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (ZIP1_PPP_B:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 413046 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_PPP_B),
     /* 413051 */   GIR_RootConstrainSelectedInstOperands,
     /* 413052 */   // GIR_Coverage, 2398,
     /* 413052 */   GIR_Done,
     /* 413053 */ // Label 8705: @413053
     /* 413053 */ GIM_Reject,
     /* 413054 */ // Label 8671: @413054
     /* 413054 */ GIM_Try, /*On fail goto*//*Label 8706*/ GIMT_Encode4(413079), // Rule ID 2872 //
     /* 413059 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413062 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 413065 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 413068 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 413072 */   // (AArch64zip1:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (ZIP1_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 413072 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_B),
     /* 413077 */   GIR_RootConstrainSelectedInstOperands,
     /* 413078 */   // GIR_Coverage, 2872,
     /* 413078 */   GIR_Done,
     /* 413079 */ // Label 8706: @413079
     /* 413079 */ GIM_Reject,
     /* 413080 */ // Label 8672: @413080
     /* 413080 */ GIM_Reject,
     /* 413081 */ // Label 156: @413081
     /* 413081 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(24), /*)*//*default:*//*Label 8725*/ GIMT_Encode4(413860),
     /* 413092 */ /*GILLT_v2s32*//*Label 8707*/ GIMT_Encode4(413168),
     /* 413096 */ /*GILLT_v2s64*//*Label 8708*/ GIMT_Encode4(413223),
     /* 413100 */ /*GILLT_v4s16*//*Label 8709*/ GIMT_Encode4(413278),
     /* 413104 */ /*GILLT_v4s32*//*Label 8710*/ GIMT_Encode4(413333),
     /* 413108 */ /*GILLT_v8s8*//*Label 8711*/ GIMT_Encode4(413388),
     /* 413112 */ /*GILLT_v8s16*//*Label 8712*/ GIMT_Encode4(413422),
     /* 413116 */ /*GILLT_v16s8*//*Label 8713*/ GIMT_Encode4(413477), GIMT_Encode4(0),
     /* 413124 */ /*GILLT_nxv2s1*//*Label 8714*/ GIMT_Encode4(413511),
     /* 413128 */ /*GILLT_nxv2s16*//*Label 8715*/ GIMT_Encode4(413537),
     /* 413132 */ /*GILLT_nxv2s32*//*Label 8716*/ GIMT_Encode4(413563),
     /* 413136 */ /*GILLT_nxv2s64*//*Label 8717*/ GIMT_Encode4(413589),
     /* 413140 */ /*GILLT_nxv4s1*//*Label 8718*/ GIMT_Encode4(413636),
     /* 413144 */ /*GILLT_nxv4s16*//*Label 8719*/ GIMT_Encode4(413662),
     /* 413148 */ /*GILLT_nxv4s32*//*Label 8720*/ GIMT_Encode4(413688),
     /* 413152 */ /*GILLT_nxv8s1*//*Label 8721*/ GIMT_Encode4(413735),
     /* 413156 */ /*GILLT_nxv8s16*//*Label 8722*/ GIMT_Encode4(413761),
     /* 413160 */ /*GILLT_nxv16s1*//*Label 8723*/ GIMT_Encode4(413808),
     /* 413164 */ /*GILLT_nxv16s8*//*Label 8724*/ GIMT_Encode4(413834),
     /* 413168 */ // Label 8707: @413168
     /* 413168 */ GIM_Try, /*On fail goto*//*Label 8726*/ GIMT_Encode4(413222),
     /* 413173 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 413176 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 413179 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 413183 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 413187 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 413191 */   GIM_Try, /*On fail goto*//*Label 8727*/ GIMT_Encode4(413206), // Rule ID 1909 //
     /* 413196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413199 */     // (AArch64zip2:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (ZIP2v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 413199 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v2i32),
     /* 413204 */     GIR_RootConstrainSelectedInstOperands,
     /* 413205 */     // GIR_Coverage, 1909,
     /* 413205 */     GIR_Done,
     /* 413206 */   // Label 8727: @413206
     /* 413206 */   GIM_Try, /*On fail goto*//*Label 8728*/ GIMT_Encode4(413221), // Rule ID 5474 //
     /* 413211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413214 */     // (AArch64zip2:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (ZIP2v2i32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 413214 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v2i32),
     /* 413219 */     GIR_RootConstrainSelectedInstOperands,
     /* 413220 */     // GIR_Coverage, 5474,
     /* 413220 */     GIR_Done,
     /* 413221 */   // Label 8728: @413221
     /* 413221 */   GIM_Reject,
     /* 413222 */ // Label 8726: @413222
     /* 413222 */ GIM_Reject,
     /* 413223 */ // Label 8708: @413223
     /* 413223 */ GIM_Try, /*On fail goto*//*Label 8729*/ GIMT_Encode4(413277),
     /* 413228 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 413231 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 413234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 413238 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 413242 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 413246 */   GIM_Try, /*On fail goto*//*Label 8730*/ GIMT_Encode4(413261), // Rule ID 1911 //
     /* 413251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413254 */     // (AArch64zip2:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (ZIP2v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 413254 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v2i64),
     /* 413259 */     GIR_RootConstrainSelectedInstOperands,
     /* 413260 */     // GIR_Coverage, 1911,
     /* 413260 */     GIR_Done,
     /* 413261 */   // Label 8730: @413261
     /* 413261 */   GIM_Try, /*On fail goto*//*Label 8731*/ GIMT_Encode4(413276), // Rule ID 5476 //
     /* 413266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413269 */     // (AArch64zip2:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (ZIP2v2i64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 413269 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v2i64),
     /* 413274 */     GIR_RootConstrainSelectedInstOperands,
     /* 413275 */     // GIR_Coverage, 5476,
     /* 413275 */     GIR_Done,
     /* 413276 */   // Label 8731: @413276
     /* 413276 */   GIM_Reject,
     /* 413277 */ // Label 8729: @413277
     /* 413277 */ GIM_Reject,
     /* 413278 */ // Label 8709: @413278
     /* 413278 */ GIM_Try, /*On fail goto*//*Label 8732*/ GIMT_Encode4(413332),
     /* 413283 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 413286 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 413289 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 413293 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 413297 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 413301 */   GIM_Try, /*On fail goto*//*Label 8733*/ GIMT_Encode4(413316), // Rule ID 1907 //
     /* 413306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413309 */     // (AArch64zip2:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (ZIP2v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 413309 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v4i16),
     /* 413314 */     GIR_RootConstrainSelectedInstOperands,
     /* 413315 */     // GIR_Coverage, 1907,
     /* 413315 */     GIR_Done,
     /* 413316 */   // Label 8733: @413316
     /* 413316 */   GIM_Try, /*On fail goto*//*Label 8734*/ GIMT_Encode4(413331), // Rule ID 5472 //
     /* 413321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413324 */     // (AArch64zip2:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (ZIP2v4i16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 413324 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v4i16),
     /* 413329 */     GIR_RootConstrainSelectedInstOperands,
     /* 413330 */     // GIR_Coverage, 5472,
     /* 413330 */     GIR_Done,
     /* 413331 */   // Label 8734: @413331
     /* 413331 */   GIM_Reject,
     /* 413332 */ // Label 8732: @413332
     /* 413332 */ GIM_Reject,
     /* 413333 */ // Label 8710: @413333
     /* 413333 */ GIM_Try, /*On fail goto*//*Label 8735*/ GIMT_Encode4(413387),
     /* 413338 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 413341 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 413344 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 413348 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 413352 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 413356 */   GIM_Try, /*On fail goto*//*Label 8736*/ GIMT_Encode4(413371), // Rule ID 1910 //
     /* 413361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413364 */     // (AArch64zip2:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (ZIP2v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 413364 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v4i32),
     /* 413369 */     GIR_RootConstrainSelectedInstOperands,
     /* 413370 */     // GIR_Coverage, 1910,
     /* 413370 */     GIR_Done,
     /* 413371 */   // Label 8736: @413371
     /* 413371 */   GIM_Try, /*On fail goto*//*Label 8737*/ GIMT_Encode4(413386), // Rule ID 5475 //
     /* 413376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413379 */     // (AArch64zip2:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (ZIP2v4i32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 413379 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v4i32),
     /* 413384 */     GIR_RootConstrainSelectedInstOperands,
     /* 413385 */     // GIR_Coverage, 5475,
     /* 413385 */     GIR_Done,
     /* 413386 */   // Label 8737: @413386
     /* 413386 */   GIM_Reject,
     /* 413387 */ // Label 8735: @413387
     /* 413387 */ GIM_Reject,
     /* 413388 */ // Label 8711: @413388
     /* 413388 */ GIM_Try, /*On fail goto*//*Label 8738*/ GIMT_Encode4(413421), // Rule ID 1905 //
     /* 413393 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413396 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 413399 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 413402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 413406 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 413410 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 413414 */   // (AArch64zip2:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (ZIP2v8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 413414 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v8i8),
     /* 413419 */   GIR_RootConstrainSelectedInstOperands,
     /* 413420 */   // GIR_Coverage, 1905,
     /* 413420 */   GIR_Done,
     /* 413421 */ // Label 8738: @413421
     /* 413421 */ GIM_Reject,
     /* 413422 */ // Label 8712: @413422
     /* 413422 */ GIM_Try, /*On fail goto*//*Label 8739*/ GIMT_Encode4(413476),
     /* 413427 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 413430 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 413433 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 413437 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 413441 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 413445 */   GIM_Try, /*On fail goto*//*Label 8740*/ GIMT_Encode4(413460), // Rule ID 1908 //
     /* 413450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413453 */     // (AArch64zip2:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (ZIP2v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 413453 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v8i16),
     /* 413458 */     GIR_RootConstrainSelectedInstOperands,
     /* 413459 */     // GIR_Coverage, 1908,
     /* 413459 */     GIR_Done,
     /* 413460 */   // Label 8740: @413460
     /* 413460 */   GIM_Try, /*On fail goto*//*Label 8741*/ GIMT_Encode4(413475), // Rule ID 5473 //
     /* 413465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413468 */     // (AArch64zip2:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (ZIP2v8i16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 413468 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v8i16),
     /* 413473 */     GIR_RootConstrainSelectedInstOperands,
     /* 413474 */     // GIR_Coverage, 5473,
     /* 413474 */     GIR_Done,
     /* 413475 */   // Label 8741: @413475
     /* 413475 */   GIM_Reject,
     /* 413476 */ // Label 8739: @413476
     /* 413476 */ GIM_Reject,
     /* 413477 */ // Label 8713: @413477
     /* 413477 */ GIM_Try, /*On fail goto*//*Label 8742*/ GIMT_Encode4(413510), // Rule ID 1906 //
     /* 413482 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413485 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 413488 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 413491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 413495 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 413499 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 413503 */   // (AArch64zip2:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (ZIP2v16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 413503 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v16i8),
     /* 413508 */   GIR_RootConstrainSelectedInstOperands,
     /* 413509 */   // GIR_Coverage, 1906,
     /* 413509 */   GIR_Done,
     /* 413510 */ // Label 8742: @413510
     /* 413510 */ GIM_Reject,
     /* 413511 */ // Label 8714: @413511
     /* 413511 */ GIM_Try, /*On fail goto*//*Label 8743*/ GIMT_Encode4(413536), // Rule ID 8901 //
     /* 413516 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413519 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 413522 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 413525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 413529 */   // (AArch64zip2:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (ZIP2_PPP_D:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 413529 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_PPP_D),
     /* 413534 */   GIR_RootConstrainSelectedInstOperands,
     /* 413535 */   // GIR_Coverage, 8901,
     /* 413535 */   GIR_Done,
     /* 413536 */ // Label 8743: @413536
     /* 413536 */ GIM_Reject,
     /* 413537 */ // Label 8715: @413537
     /* 413537 */ GIM_Try, /*On fail goto*//*Label 8744*/ GIMT_Encode4(413562), // Rule ID 8856 //
     /* 413542 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413545 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 413548 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 413551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 413555 */   // (AArch64zip2:{ *:[nxv2f16] } nxv2f16:{ *:[nxv2f16] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2)  =>  (ZIP2_ZZZ_D:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$Op1, ?:{ *:[nxv2f16] }:$Op2)
     /* 413555 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_D),
     /* 413560 */   GIR_RootConstrainSelectedInstOperands,
     /* 413561 */   // GIR_Coverage, 8856,
     /* 413561 */   GIR_Done,
     /* 413562 */ // Label 8744: @413562
     /* 413562 */ GIM_Reject,
     /* 413563 */ // Label 8716: @413563
     /* 413563 */ GIM_Try, /*On fail goto*//*Label 8745*/ GIMT_Encode4(413588), // Rule ID 8857 //
     /* 413568 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413571 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 413574 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 413577 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 413581 */   // (AArch64zip2:{ *:[nxv2f32] } nxv2f32:{ *:[nxv2f32] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2)  =>  (ZIP2_ZZZ_D:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$Op1, ?:{ *:[nxv2f32] }:$Op2)
     /* 413581 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_D),
     /* 413586 */   GIR_RootConstrainSelectedInstOperands,
     /* 413587 */   // GIR_Coverage, 8857,
     /* 413587 */   GIR_Done,
     /* 413588 */ // Label 8745: @413588
     /* 413588 */ GIM_Reject,
     /* 413589 */ // Label 8717: @413589
     /* 413589 */ GIM_Try, /*On fail goto*//*Label 8746*/ GIMT_Encode4(413635),
     /* 413594 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 413597 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 413600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 413604 */   GIM_Try, /*On fail goto*//*Label 8747*/ GIMT_Encode4(413619), // Rule ID 8852 //
     /* 413609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413612 */     // (AArch64zip2:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ZIP2_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 413612 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_D),
     /* 413617 */     GIR_RootConstrainSelectedInstOperands,
     /* 413618 */     // GIR_Coverage, 8852,
     /* 413618 */     GIR_Done,
     /* 413619 */   // Label 8747: @413619
     /* 413619 */   GIM_Try, /*On fail goto*//*Label 8748*/ GIMT_Encode4(413634), // Rule ID 8858 //
     /* 413624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413627 */     // (AArch64zip2:{ *:[nxv2f64] } nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (ZIP2_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 413627 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_D),
     /* 413632 */     GIR_RootConstrainSelectedInstOperands,
     /* 413633 */     // GIR_Coverage, 8858,
     /* 413633 */     GIR_Done,
     /* 413634 */   // Label 8748: @413634
     /* 413634 */   GIM_Reject,
     /* 413635 */ // Label 8746: @413635
     /* 413635 */ GIM_Reject,
     /* 413636 */ // Label 8718: @413636
     /* 413636 */ GIM_Try, /*On fail goto*//*Label 8749*/ GIMT_Encode4(413661), // Rule ID 8900 //
     /* 413641 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413644 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 413647 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 413650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 413654 */   // (AArch64zip2:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (ZIP2_PPP_S:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 413654 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_PPP_S),
     /* 413659 */   GIR_RootConstrainSelectedInstOperands,
     /* 413660 */   // GIR_Coverage, 8900,
     /* 413660 */   GIR_Done,
     /* 413661 */ // Label 8749: @413661
     /* 413661 */ GIM_Reject,
     /* 413662 */ // Label 8719: @413662
     /* 413662 */ GIM_Try, /*On fail goto*//*Label 8750*/ GIMT_Encode4(413687), // Rule ID 8854 //
     /* 413667 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413670 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 413673 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 413676 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 413680 */   // (AArch64zip2:{ *:[nxv4f16] } nxv4f16:{ *:[nxv4f16] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2)  =>  (ZIP2_ZZZ_S:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$Op1, ?:{ *:[nxv4f16] }:$Op2)
     /* 413680 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_S),
     /* 413685 */   GIR_RootConstrainSelectedInstOperands,
     /* 413686 */   // GIR_Coverage, 8854,
     /* 413686 */   GIR_Done,
     /* 413687 */ // Label 8750: @413687
     /* 413687 */ GIM_Reject,
     /* 413688 */ // Label 8720: @413688
     /* 413688 */ GIM_Try, /*On fail goto*//*Label 8751*/ GIMT_Encode4(413734),
     /* 413693 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 413696 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 413699 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 413703 */   GIM_Try, /*On fail goto*//*Label 8752*/ GIMT_Encode4(413718), // Rule ID 8851 //
     /* 413708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413711 */     // (AArch64zip2:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ZIP2_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 413711 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_S),
     /* 413716 */     GIR_RootConstrainSelectedInstOperands,
     /* 413717 */     // GIR_Coverage, 8851,
     /* 413717 */     GIR_Done,
     /* 413718 */   // Label 8752: @413718
     /* 413718 */   GIM_Try, /*On fail goto*//*Label 8753*/ GIMT_Encode4(413733), // Rule ID 8855 //
     /* 413723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413726 */     // (AArch64zip2:{ *:[nxv4f32] } nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (ZIP2_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 413726 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_S),
     /* 413731 */     GIR_RootConstrainSelectedInstOperands,
     /* 413732 */     // GIR_Coverage, 8855,
     /* 413732 */     GIR_Done,
     /* 413733 */   // Label 8753: @413733
     /* 413733 */   GIM_Reject,
     /* 413734 */ // Label 8751: @413734
     /* 413734 */ GIM_Reject,
     /* 413735 */ // Label 8721: @413735
     /* 413735 */ GIM_Try, /*On fail goto*//*Label 8754*/ GIMT_Encode4(413760), // Rule ID 8899 //
     /* 413740 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413743 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 413746 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 413749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 413753 */   // (AArch64zip2:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (ZIP2_PPP_H:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 413753 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_PPP_H),
     /* 413758 */   GIR_RootConstrainSelectedInstOperands,
     /* 413759 */   // GIR_Coverage, 8899,
     /* 413759 */   GIR_Done,
     /* 413760 */ // Label 8754: @413760
     /* 413760 */ GIM_Reject,
     /* 413761 */ // Label 8722: @413761
     /* 413761 */ GIM_Try, /*On fail goto*//*Label 8755*/ GIMT_Encode4(413807),
     /* 413766 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 413769 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 413772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 413776 */   GIM_Try, /*On fail goto*//*Label 8756*/ GIMT_Encode4(413791), // Rule ID 8850 //
     /* 413781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413784 */     // (AArch64zip2:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ZIP2_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 413784 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_H),
     /* 413789 */     GIR_RootConstrainSelectedInstOperands,
     /* 413790 */     // GIR_Coverage, 8850,
     /* 413790 */     GIR_Done,
     /* 413791 */   // Label 8756: @413791
     /* 413791 */   GIM_Try, /*On fail goto*//*Label 8757*/ GIMT_Encode4(413806), // Rule ID 8853 //
     /* 413796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413799 */     // (AArch64zip2:{ *:[nxv8f16] } nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (ZIP2_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 413799 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_H),
     /* 413804 */     GIR_RootConstrainSelectedInstOperands,
     /* 413805 */     // GIR_Coverage, 8853,
     /* 413805 */     GIR_Done,
     /* 413806 */   // Label 8757: @413806
     /* 413806 */   GIM_Reject,
     /* 413807 */ // Label 8755: @413807
     /* 413807 */ GIM_Reject,
     /* 413808 */ // Label 8723: @413808
     /* 413808 */ GIM_Try, /*On fail goto*//*Label 8758*/ GIMT_Encode4(413833), // Rule ID 2402 //
     /* 413813 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413816 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 413819 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 413822 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 413826 */   // (AArch64zip2:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (ZIP2_PPP_B:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 413826 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_PPP_B),
     /* 413831 */   GIR_RootConstrainSelectedInstOperands,
     /* 413832 */   // GIR_Coverage, 2402,
     /* 413832 */   GIR_Done,
     /* 413833 */ // Label 8758: @413833
     /* 413833 */ GIM_Reject,
     /* 413834 */ // Label 8724: @413834
     /* 413834 */ GIM_Try, /*On fail goto*//*Label 8759*/ GIMT_Encode4(413859), // Rule ID 8849 //
     /* 413839 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413842 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 413845 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 413848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 413852 */   // (AArch64zip2:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (ZIP2_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 413852 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_B),
     /* 413857 */   GIR_RootConstrainSelectedInstOperands,
     /* 413858 */   // GIR_Coverage, 8849,
     /* 413858 */   GIR_Done,
     /* 413859 */ // Label 8759: @413859
     /* 413859 */ GIM_Reject,
     /* 413860 */ // Label 8725: @413860
     /* 413860 */ GIM_Reject,
     /* 413861 */ // Label 157: @413861
     /* 413861 */ GIM_Reject,
     /* 413862 */ }; // Size: 413862 bytes
  return MatchTable0;
}
#undef GIMT_Encode2
#undef GIMT_Encode4
#undef GIMT_Encode8

#endif // ifdef GET_GLOBALISEL_IMPL

#ifdef GET_GLOBALISEL_PREDICATES_DECL
PredicateBitset AvailableModuleFeatures;
mutable PredicateBitset AvailableFunctionFeatures;
PredicateBitset getAvailableFeatures() const {
  return AvailableModuleFeatures | AvailableFunctionFeatures;
}
PredicateBitset
computeAvailableModuleFeatures(const AArch64Subtarget *Subtarget) const;
PredicateBitset
computeAvailableFunctionFeatures(const AArch64Subtarget *Subtarget,
                                 const MachineFunction *MF) const;
void setupGeneratedPerFunctionState(MachineFunction &MF) override;
#endif // ifdef GET_GLOBALISEL_PREDICATES_DECL
#ifdef GET_GLOBALISEL_PREDICATES_INIT
AvailableModuleFeatures(computeAvailableModuleFeatures(&STI)),
AvailableFunctionFeatures()
#endif // ifdef GET_GLOBALISEL_PREDICATES_INIT
